<TeXmacs|1.0.6.12>

<project|hab.tp>

<style|tmbook-compact>

<\body>
  <assign|chapter-nr|3><chapter|Analyse complexe effective><label|effan-chap>

  Un de nos objectifs majeurs est le dveloppement d'un systme de <em|calcul
  analytique>, permettant de calculer de manire fiable (et donc en prcision
  arbitraire) avec des objets de nature analytique, de la mme manire que le
  calcul formel permet la manipulation d'objets plus algbriques. Dans ce
  projet, l'analyse complexe joue un rle central, pour plusieurs
  raisons<nbsp>:

  <\enumerate>
    <item>La plupart des problmes explicites de l'analyse et du calcul
    formel (comme la rsolution d'quations diffrentielles) admettent des
    solutions analytiques ou semi-analytiques.

    <item>L'existence d'algorithmes efficaces sur les sries formelles donne
    lieu  une algorithmique multi-prcision efficace pour les fonctions
    analytiques.

    <item>Les fonctions analytiques sont trs rigides, puisqu'entirement
    dtermines par leurs dveloppements en srie en un point, modulo le
    procd du prolongement analytique.

    <item>Les singularits des fonctions analytiques peuvent souvent tre
    analyses de faon automatique, ce qui permet d'optimiser des algorithmes
    numriques.
  </enumerate>

  Dans ce chapitre, nous prsentons une partie de nos travaux thoriques.
  Dans les chapitres<nbsp><reference|eval-chap> et<nbsp><reference|gal-chap>
  nous nous intresserons  la complexit algorithmique et une application.
  Des implantations sont en cours dans <name|Mathemagix><nbsp><cite|vdH:mmx>.

  <section|Nombres calculables>

  Un nombre rel <with|mode|math|x> est <em|calculable> s'il existe un
  <em|algorithme d'approximation> qui prend
  <with|mode|math|\<varepsilon\>\<in\>\<bbb-Z\>*2<rsup|\<bbb-Z\>>>
  avec<nbsp><with|mode|math|\<varepsilon\>\<gtr\>0> en entre et qui rend une
  <em|<math|\<varepsilon\>>-approximation>
  <with|mode|math|<wide|x|~>\<in\>\<bbb-Z\>*2<rsup|\<bbb-Z\>>> telle que
  <with|mode|math|\|<wide|x|~>-x\|\<less\>\<varepsilon\>>. Nous notons par
  <math|\<bbb-R\><rsup|com>> et <math|\<bbb-C\><rsup|com>\<assign\>\<bbb-R\><rsup|com>+\<mathi\>*\<bbb-R\><rsup|com>>
  les ensembles des nombres rels et complexes calculables. On dsignera par
  <math|\<bbb-R\><rsup|dig>=\<bbb-Z\>*2<rsup|\<bbb-Z\>>> l'ensemble des
  <em|nombres rels digitaux>.

  La thorie des nombres calculables est bien
  dveloppe<nbsp><cite|Tur36|Grz55a|Alb80|BB85|Wei00>. Elle fut  l'origine
  de l'introduction des machines de Turing<nbsp><cite|Tur36>. Plusieurs
  dfinitions quivalentes ou subtilement diffrentes existent pour les
  nombres calculables<nbsp><cite|Wei00>. Les nombres rels calculables
  <math|\<bbb-R\><rsup|com>> forment un corps et il existe des algorithmes
  pour effectuer les oprations de corps, ainsi que d'autres oprations
  classiques comme <math|exp>, <math|log>, <math|sin>, etc. Les deux
  rsultats fondamentaux suivants peuvent paratre plus surprenants 
  premire vue<nbsp>:

  <\theorem>
    <label|zero-undec-th><theorem-note|<cite|Tur36>> Il n'existe pas
    d'algorithme pour dcider si un nombre calculable vaut zro.
  </theorem>

  <\theorem>
    <theorem-note|<cite|Grz55a>> Toute fonction calculable d'un ouvert
    <math|\<Omega\>> de <math|(\<bbb-R\><rsup|com>)<rsup|n>>
    dans<nbsp><math|\<bbb-R\><rsup|com>> est continue.
  </theorem>

  L'absence de test  zro (d'o l'impossibilit de calculer avec des
  fonctions discontinues) peut tre trs problmatique dans certains
  contextes. Dans ce cas, on a plusieurs options<nbsp>:

  <\enumerate>
    <item>On utilise un test heuristique (avec un niveau de
    \S<nbsp>fiabilit<nbsp>\T paramtrable).

    <item>On se limite  utiliser des nombres dans une classe plus petite
    <math|\<bbb-K\>\<subseteq\>\<bbb-R\><rsup|com>> (comme les constantes
    algbriques ou exp-logs).

    <item>On adopte une approche non dterministe
    <cite-detail|vdH:riemann|Section 2.5>.
  </enumerate>

  Dans la section<nbsp><reference|zero-sec>, nous reviendrons de faon
  dtaille sur le problme du test  zro.

  Une particularit du calcul avec des nombres rels est l'existence de deux
  autres classes importantes <math|\<bbb-R\><rsup|lcom>> et
  <math|\<bbb-R\><rsup|rcom>>  ct de<nbsp><math|\<bbb-R\><rsup|com>><nbsp>:
  on dit que <math|x\<in\>\<bbb-R\>> est <em|calculable  gauche> si <math|x>
  est la limite d'une fonction calculable
  <math|f:<no-break>\<bbb-N\>\<rightarrow\>\<bbb-R\><rsup|dig>> croissante.
  Un tel nombre correspond  une \S<nbsp>borne infrieure calculable<nbsp>\T.
  Les classes<nbsp><math|\<bbb-R\><rsup|lcom>>
  et<nbsp><math|\<bbb-R\><rsup|rcom>> des nombres calculables  gauche et 
  droite vrifient <math|\<bbb-R\><rsup|lcom>\<varsupsetneq\>\<bbb-R\><rsup|com>\<varsubsetneq\>\<bbb-R\><rsup|rcom>>
  et <math|\<bbb-R\><rsup|com>=\<bbb-R\><rsup|lcom>\<cap\>\<bbb-R\><rsup|rcom>><nbsp>;
  elles peuvent tre interprtes comme le reflet de la notion
  d'\S<nbsp>numrabilit rcursive<nbsp>\T de la thorie de calculabilit.
  Cette subtilit intervient peu en calcul formel, mais assez
  systmatiquement dans l'analyse effective. Nous recommandons de directement
  en tenir compte dans la dfinition des types intervenant dans les
  algorithmes, <nbsp>l'image de l'introduction
  de<nbsp><math|\<bbb-R\><rsup|lcom>> et <math|\<bbb-R\><rsup|rcom>>.

  D'un point de vue pratique, le calcul avec des nombres calculables
  prsuppose de rendre automatique le processus des estimations d'erreur.
  Cela peut se faire <em|a<nbsp>priori>, en fonction d'une tolrance
  <math|\<varepsilon\>> en entre, ou <em|a posteriori>, en utilisant une
  arithmtique d'intervalles<nbsp><cite|Moo66|AH83> ou de boules. Les deux
  stratgies ont l'inconvnient de potentiellement conduire  une
  surestimation des erreurs. En plus du dveloppement d'algorithmes efficaces
  dans un modle fix (comme l'arithmtique d'intervalles et une
  algorithmique efficace pour valuer des fonctions), il peut donc tre
  intressant ou ncessaire de rajouter une couche d'optimisation de plus
  haut niveau, afin de minimiser ces surestimations. Dans le cas le plus
  simple de l'valuation d'expressions sous forme de <em|dag> (graphes
  acycliques orients), il existe quelques pistes pour une telle
  couche<nbsp><cite|vdH:effreal|vdH:issac06|IRRAM>.

  <section|La hirarchie numrique>

  Notre prsentation des nombres calculables nous a dj permis de distinguer
  un certain nombres de niveaux conceptuels<nbsp>: un niveau abstrait (calcul
  avec des lments de<nbsp><math|\<bbb-R\><rsup|com>>,
  <math|\<bbb-R\><rsup|lcom>>, <math|\<bbb-R\><rsup|rcom>>), l'arithmtique
  d'intervalles, et l'algorithmique efficace sous-jacente avec des
  approximations (calcul dans <math|\<bbb-R\><rsup|dig>>). Cette hirarchie
  de niveaux (voir la figure<nbsp><reference|hier-num-fig>) est prsente
  d'une faon assez systmatique en analyse effective et peut servir de guide
  pour l'laboration et l'implantation des algorithmes. Rsumons les
  caractristiques principales de chaque niveau.

  <paragraph*|Niveau abstrait>Les objets analytiques de haut niveau peuvent
  tre interprts comme des promesses pour approximer un objet analytique
  abstrait avec une tolrance d'erreur fixe par l'utilisateur. La
  spcification d'un type haut niveau (comme <math|\<bbb-R\><rsup|com>> ou
  <math|\<bbb-R\><rsup|lcom>>) prsuppose la spcification d'un type pour les
  approximations (comme <math|\<bbb-R\><rsup|dig>>), ainsi que pour les
  tolrances (comme <math|\<bbb-R\><rsup|dig,\<gtr\>>>). Les instances des
  types haut niveau peuvent tre manipules formellement. Par exemple, on
  peut utiliser un algorithme gnrique pour multiplier des matrices 
  coefficients dans<nbsp><math|\<bbb-R\><rsup|com>>. Toutefois, il est
  souvent plus efficace de faire ce genre d'oprations  un niveau plus bas
  (ce qui correspond  une rinterprtation
  <math|<value|ssMat>(\<bbb-R\><rsup|com>)\<cong\><value|ssMat>(\<bbb-R\>)<rsup|com>>).
  Il est donc conseill de limiter les manipulations haut niveau 
  l'optimisation des oprations dans les couches d'en dessous.

  <paragraph*|Niveau fiable>Au lieu de travailler avec des promesses
  d'approximations, on peut dvelopper plus directement un calcul avec des
  boules (ou intervalles) gnralises, c'est--dire des approximations
  (comme un centre dans <math|\<bbb-R\><rsup|dig>>) munies d'une imprcision
  (comme un rayon dans <math|\<bbb-R\><rsup|dig,\<gtr\>>>). En fournissant
  les entres avec des imprcisions de plus en plus petites, on obtient en
  gnral des sorties dont les imprcisions tendent vers <math|0>, ce qui
  permet de remonter au niveau abstrait. Pour des raisons d'efficacit et de
  qualit des rayons, il est souvent prfrable de regrouper des ensembles de
  calcul avec des boules afin d'effectuer la plupart des calculs directement
  sur les centres, et retarder les estimations d'erreur vers la fin (par
  exemple, en calculant dans <math|<value|ssBall>(<value|ssMat>(\<bbb-R\><rsup|dig>),\<bbb-R\><rsup|dig,\<gtr\>>)>
  plutt que dans <math|<value|ssMat>(<value|ssBall>(\<bbb-R\><rsup|dig>,\<bbb-R\><rsup|dig,\<gtr\>>))>.

  <paragraph*|Niveau numrique>Modulo le travail dans les couches au-dessus,
  le problme initial d'analyse est ramen  un ou plusieurs problmes de
  calcul numrique plus classiques. Pour de faibles prcisions en nombre de
  chiffres aprs la virgule, on peut souvent utiliser des logiciels existants
  comme botes noires. Pour des prcisions plus importantes, il peut tre
  ncessaire de dvelopper des algorithmes avec une meilleure vitesse de
  convergence. Par ailleurs, le problme peut souvent tre rcrit en un
  problme de nature arithmtique, o les nombres flottants dans
  <math|\<bbb-R\><rsup|dig>> ont t remplacs par des entiers, aprs quoi on
  peut essayer d'appliquer un algorithme de bonne complexit asymptotique.

  <paragraph*|Niveau arithmtique>Aprs harmonisation des exposants et
  remplacement des nombres flottants dans <math|\<bbb-R\><rsup|dig>> par des
  entiers dans <math|\<bbb-Z\>>, on retombe gnralement sur un problme
  \S<nbsp>bas-niveau<nbsp>\T typique du calcul formel, comme la
  multiplication rapide des entiers. Dans des cas plus complexes, comme la
  multiplication de deux polynmes ou matrices avec des coefficients dans
  <math|\<bbb-R\><rsup|dig>>, l'harmonisation peut-tre un problme difficile
  en soi (voir <cite-detail|vdH:relax|Section<nbsp>6.2> pour quelques astuces
  typiques). En effet, une mauvaise harmonisation induit de l'instabilit
  numrique, alors que le renoncement  descendre au niveau arithmtique nous
  condamne  utiliser des algorithmes de mauvaises complexits asymptotiques.

  <\big-figure|<with|gr-mode|<tuple|edit|text-at>|gr-frame|<tuple|scale|1.00005cm|<tuple|0.5gw|0.400001gh>>|gr-geometry|<tuple|geometry|1par|0.433335par|center>|gr-grid|<tuple|empty>|gr-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-edit-grid-aspect|<tuple|<tuple|axes|none>|<tuple|1|none>|<tuple|8|none>>|gr-edit-grid|<tuple|empty>|gr-edit-grid-old|<tuple|cartesian|<point|0|0>|1>|gr-grid-aspect|<tuple|<tuple|axes|#808080>|<tuple|1|#c0c0c0>|<tuple|8|#e0e0ff>>|gr-grid-aspect-props|<tuple|<tuple|axes|#808080>|<tuple|1|#c0c0c0>|<tuple|8|#e0e0ff>>|gr-text-at-halign|center|gr-line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|gr-fill-color|default|gr-color|default|gr-as-visual-grid|on|magnification|<times|0.999999999999997|<value|magnification>>|gr-line-width|1ln|<graphics||<with|fill-color|pastel
  blue|<cline|<point|-6.75|3>|<point|-2.25|3.0>|<point|-2.25|3.75>|<point|-6.75|3.75>>>|<with|text-at-halign|center|<text-at|Problme
  d'analyse|<point|-4.5|3.25>>>|<with|fill-color|pastel
  blue|<cline|<point|-6.75|1.25>|<point|-2.25|1.25>|<point|-2.25|2.0>|<point|-6.75|2.0>>>|<with|text-at-halign|center|<text-at|Problme
  robuste|<point|-4.5|1.5>>>|<with|text-at-halign|center|<text-at|<em|<small|algorithme
  formel>>|<point|0.0|3.5>>>|<with|fill-color|pastel
  blue|<cline|<point|-6.75|-0.5>|<point|-2.25|-0.5>|<point|-2.25|0.25>|<point|-6.75|0.25>>>|<with|text-at-halign|center|<text-at|Problme
  numrique|<point|-4.5|-0.25>>>|<with|text-at-halign|center|<text-at|<em|<small|algorithme
  certifi>>|<point|0.0|1.75>>>|<with|text-at-halign|center|<text-at|<em|<small|algorithme
  numrique>>|<point|0.0|0.0>>>|<with|fill-color|pastel
  blue|<cline|<point|2.25|-0.5>|<point|6.75|-0.5>|<point|6.75|0.25>|<point|2.25|0.25>>>|<with|text-at-halign|center|<text-at|Solution
  numrique|<point|4.5|-0.25>>>|<with|fill-color|pastel
  blue|<cline|<point|2.25|1.25>|<point|6.75|1.25>|<point|6.75|2.0>|<point|2.25|2.0>>>|<with|text-at-halign|center|<text-at|Solution
  garantie|<point|4.5|1.5>>>|<with|fill-color|pastel
  blue|<cline|<point|2.25|3>|<point|6.75|3.0>|<point|6.75|3.75>|<point|2.25|3.75>>>|<with|text-at-halign|center|<text-at|Solution
  analytique|<point|4.5|3.25>>>|<with|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-2.25|3.375>|<point|2.25|3.375>>>|<with|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-4.5|3.0>|<point|-4.5|2.0>>>|<with|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-2.25|-0.125>|<point|2.25|-0.125>>>|<with|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-2.25|1.625>|<point|2.25|1.625>>>|<with|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|4.5|2.0>|<point|4.5|3.0>>>|<with|fill-color|pastel
  blue|<cline|<point|-6.75|-1.5>|<point|-2.25|-1.5>|<point|-2.25|-2.25>|<point|-6.75|-2.25>>>|<with|fill-color|pastel
  blue|<cline|<point|2.25|-2.25>|<point|6.75|-2.25>|<point|6.75|-1.5>|<point|2.25|-1.5>>>|<with|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-2.25|-1.875>|<point|2.25|-1.875>>>|<with|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|4.5|-1.5>|<point|4.5|-0.5>>>|<with|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-4.5|1.25>|<point|-4.5|0.25>>>|<with|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|4.5|0.25>|<point|4.48815212897892|1.21393964448119>>>|<with|line-arrows|<tuple|<with|dash-style|none|<line|<tuple|-10ln|6ln>|<tuple|0ln|0ln>|<tuple|-10ln|-6ln>>>>|<line|<point|-4.50730053741215|-0.521653575857792>|<point|-4.5|-1.5>>>|<with|text-at-halign|center|<text-at|<small|<em|algorithme
  algbrique>>|<point|0.0|-1.75>>>|<with|text-at-halign|center|<text-at|Problme
  arithmtique|<point|-4.5|-2>>>|<with|text-at-halign|center|<text-at|Solution
  exacte|<point|4.5|-2>>>>>>
    <label|hier-num-fig>La hirarchie numrique.
  </big-figure>

  <section|Fonctions analytiques calculables><label|fonc-calc-sec>

  Considrons une quation diffrentielle algbrique

  <\equation>
    <label|ade-anal>P(f,\<ldots\>,f<rsup|(r)>)=0
  </equation>

  avec des conditions initiales <math|f(0),\<ldots\>,f<rsup|(r)>(0)>
  non-singulires en <math|0><nbsp>:

  <\equation>
    <label|non-sing-ade><frac|\<partial\> P|\<partial\> f<rsup|(r)>>
    (f(0),\<ldots\>,f<rsup|(r)>(0))\<neq\>0.
  </equation>

  Une telle quation admet une unique solution analytique <math|f> en
  <math|0>. Lorsque les coefficients de <math|P> et
  <math|f(0),\<ldots\>,f<rsup|(r)>(0)> appartiennent  un sous-corps
  <math|\<bbb-K\>\<subseteq\>\<bbb-C\>>, on dira que <math|f> est une
  <em|fonction algbrico-diffrentielle rgulire> sur <math|\<bbb-K\>>, et
  que <math|(P,f(0),\<ldots\>,f<rsup|(r)>(0))> est un <em|problme de Cauchy
  polynomial><nbsp>sur<nbsp><math|\<bbb-K\>>.

  tant donne une fonction algbrico-diffrentielle rgulire <math|f> sur
  <math|\<bbb-C\><rsup|com>>, ou toute fonction analytique plus gnrale
  donne sous forme suffisamment explicite, l'analyse complexe effective vise
   pouvoir faire des calculs certifis avec <math|f>. En particulier, on
  voudrait pouvoir dterminer la surface de Riemann <math|\<cal-R\><rsub|f>>
  de <math|f>, valuer<nbsp><math|f> en n'importe quel point
  <math|z\<in\>\<cal-R\><rsub|f><rsup|com>>, analyser automatiquement les
  singularits de <math|f>, etc.

  Dans<nbsp><cite|vdH:effan|vdH:riemann> nous avons introduit plusieurs
  notions de <em|fonctions analytiques calculables>. Commenons par la classe
  <math|\<bbb-A\><rsup|lcom>> des <em|fonctions analytiques localement
  calculables>. La dfinition de <math|\<bbb-A\><rsup|lcom>> est
  rcursive<nbsp>: chaque <math|f\<in\>\<bbb-A\><rsup|lcom>> est une fonction
  analytique en <math|0> avec les mthodes suivantes<nbsp>:

  <\enumerate>
    <item><math|\<bbb-A\><rsup|lcom>\<rightarrow\>\<bbb-C\><rsup|com>[[z]]<rsup|com>;f\<mapsto\><with|math-font-family|ms|series>(f):>
    calcule le dveloppement en srie de <math|f>. La classe
    <with|mode|math|\<bbb-C\><rsup|com>[[z]]<rsup|com>> vient  son tour avec
    une mthode <math|\<bbb-C\><rsup|com>[[z]]<rsup|com>\<times\>\<bbb-N\>\<rightarrow\>\<bbb-C\><rsup|com>;(f,<no-break>n)\<mapsto\>f<rsub|n>>
    pour calculer les coefficients de <math|f>.

    <item><math|\<bbb-A\><rsup|lcom>\<rightarrow\><wide|\<bbb-R\>|\<bar\>><rsup|lcom,\<gtr\>>;f\<mapsto\><reff|<rsub|f>>>
    calcule une borne infrieure pour le rayon de convergence <math|<rth|f>>
    de <math|f>. Ici, <with|mode|math|<wide|\<bbb-R\>|\<bar\>>=\<bbb-R\>\<cup\>{\<upm\>\<infty\>}>.

    <item><math|\<bbb-A\><rsup|lcom>\<times\>\<bbb-R\><rsup|com,\<gtr\>>\<rightharpoonup\>\<bbb-R\><rsup|rcom,\<geqslant\>>;(f,\<rho\>)\<mapsto\><Beff|f><rsub|\<rho\>>>
    fournit une borne suprieure pour <math|<Bth|f><rsub|\<rho\>>=sup<rsub|\|z\|\<leqslant\>\<rho\>>\|f(z)\|>,
    sous l'hypothse que <math|\<rho\>\<less\><reff|f>>.

    <item><math|\<bbb-A\><rsup|lcom>\<times\>\<bbb-C\><rsup|com>\<rightharpoonup\>\<bbb-A\><rsup|lcom>;(f,\<delta\>)\<mapsto\>f<rsub|+\<delta\>>>
    calcule le prolongement analytique <math|f<rsub|+\<delta\>>(z)=f(\<delta\>+z)>
    de <math|f> en <math|\<delta\>>, o l'on suppose
    <math|\|\<delta\>\|\<less\><reff|f>>.
  </enumerate>

  On montre<nbsp><cite|vdH:effan> qu'il existe des algorithmes pour les
  oprations de base dans<nbsp><math|\<bbb-A\><rsup|lcom>>, comme
  <math|<op|+>>, <math|<op|->>, <math|<op|\<times\>>>, <math|<op|/>>,
  <math|<op|<value|I>>>, <math|<op|\<partial\>>>, <math|exp>, <math|log>,
  etc.

  Il est  noter que le <em|rayon de convergence calculable> <math|<reff|f>>
  est autoris  tre strictement infrieur au vrai rayon de convergence.
  Cette souplesse est importante : dans le cas d'une fonction analytique de
  la forme <math|f-f>, avec <math|<reff|f>\<less\>\<upl\>\<infty\>>, on n'a
  pas forcment d'algorithme pour dtecter l'annulation
  <math|f-f=<no-break>0> (voir le thorme<nbsp><reference|zero-undec-th>).
  Il n'y a donc pas d'algorithme gnral pour dtecter que
  <math|<rth|f>=\<upl\>\<infty\>>. Le thorme d'indcidabilit suivant
  explique pourquoi on se contente de demander
  <math|<reff|f>\<in\><wide|\<bbb-R\>|\<bar\>><rsup|lcom,\<gtr\>>> plutt que
  <math|<reff|f>\<in\><wide|\<bbb-R\>|\<bar\>><rsup|com,\<gtr\>>><nbsp>:

  <\theorem>
    <theorem-note|<cite|DL89>> Il n'y a pas d'algorithme gnral pour
    dterminer si la solution <math|f> d'un problme de Cauchy polynomial sur
    <math|\<bbb-Q\>> vrifie <math|<rth|f>\<less\>1>.
  </theorem>

  tant donne une fonction analytique <math|f> en <math|0>, on appelle
  <em|domaine cheminal> de <math|f>, l'ensemble<nbsp><math|\<bbb-P\><rsub|f>>
  des chemins <math|\<gamma\>=[\<delta\><rsub|1>,\<ldots\>,\<delta\><rsub|l>]>
  avec <math|\<delta\><rsub|1>,\<ldots\>,\<delta\><rsub|l>\<in\>\<bbb-C\>>,
  tels que <math|\|\<delta\><rsub|1>\|\<less\><rth|f>>,
  <math|\|\<delta\><rsub|2>\|\<less\><rth|f<rsub|+\<delta\><rsub|1>>>>,<nbsp>etc.
  tant donne une fonction <math|f\<in\>\<bbb-A\><rsup|lcom>>, on dfinit de
  manire analogue le domaine cheminal <math|\<bbb-P\><rsub|f><rsup|com>>
  calculable de <math|f> (en rajoutant ventuellement les chemins dont une
  subdivision est dans <math|\<bbb-P\><rsub|f><rsup|com>>, comme
  dans<nbsp><cite|vdH:effan>). On a le rsultat positif suivant<nbsp>:

  <\theorem>
    <theorem-note|<cite|vdH:effan|vdH:riemann>> Il existe un algorithme qui
    prend en entre un problme de Cauchy polynomial sur
    <math|\<bbb-C\><rsup|com>> et qui calcule une solution
    <math|f\<in\>\<bbb-A\><rsup|lcom>> avec

    <\equation*>
      \<bbb-P\><rsub|f><rsup|com>={[\<delta\><rsub|1>,\<ldots\>,\<delta\><rsub|l>]\<in\>\<bbb-P\><rsub|f>:\<delta\><rsub|1>,\<ldots\>,\<delta\><rsub|l>\<in\>\<bbb-C\><rsup|com>}.
    </equation*>

    En particulier, on peut valuer <math|f<rsub|+\<delta\><rsub|1>,\<ldots\>,+\<delta\><rsub|l>>(0)>
    au bout de chaque chemin dans <math|\<bbb-P\><rsub|f><rsup|com>>.
  </theorem>

  L'approche locale aux fonctions analytiques calculables admet deux
  inconvnients majeurs<nbsp>: (1)<nbsp>elle ne fournit pas de moyens pour
  identifier des branches identiques de la surface de Riemann, (2)<nbsp>elle
  n'impose pas de cohrence globale sur la qualit des bornes effectives
  <math|<reff|f>> et <math|<Beff|f><rsub|\<rho\>>> au cours d'un processus de
  prolongement analytique (tant donns <math|f,g\<in\>\<bbb-A\><rsup|lcom>>
  avec <math|<with|math-font-family|ms|series>(f)=<with|math-font-family|ms|series>(g)>,
  on dit que <math|g> est <em|meilleur> que <math|f> (et on crit
  <math|g\<sqsupseteq\>f>) si <math|\<bbb-P\><rsub|g><rsup|com>\<supseteq\>\<bbb-P\><rsub|f><rsup|com>>
  et si <math|<Beff|g<rsub|+\<delta\><rsub|1>,\<ldots\>,+\<delta\><rsub|l>>><rsub|\<rho\>>\<leqslant\><Beff|f<rsub|+\<delta\><rsub|1>,\<ldots\>,+\<delta\><rsub|l>>><rsub|\<rho\>>>,
  chaque fois que <with|mode|math|<Beff|f<rsub|+\<delta\><rsub|1>,\<ldots\>,+\<delta\><rsub|l>>><rsub|\<rho\>>>
  est dfini).

  Pour ces raisons, nous avons introduit dans <cite|vdH:riemann> la notion de
  <em|fonction analytique calculable> sur une <em|surface de Riemann
  calculable> <math|\<cal-R\>>. Une telle fonction<nbsp><math|f> est
  caractrise par sa surface de Riemann calculable <math|\<cal-R\><rsub|f>>
  et une fonction <math|\<Lambda\><rsub|f>:\<cal-R\><rsub|f>\<rightarrow\><no-break>\<bbb-A\><rsup|lcom>>
  permettant de localiser <math|f> en n'importe quel point de
  <math|\<cal-R\><rsub|f>>. Ces localisations vrifient les relations de
  compatibilit suivantes<nbsp>:

  <\enumerate>
    <item><math|<reff|\<Lambda\><rsub|f>(z)>=r<rsub|z>> est le rayon du plus
    grand disque avec centre <math|z> et contenue dans
    <math|\<cal-R\><rsub|f>>.<no-page-break>

    <item><math|<Beff|\<Lambda\><rsub|f>(z)><rsub|\<rho\>>=<Bth|\<Lambda\><rsub|f>(z)><rsub|\<rho\>>>
    pour tout <math|z\<in\>\<cal-R\><rsub|f>> et
    <math|\<rho\>\<less\>r<rsub|z>>.<no-page-break>

    <item><math|\<Lambda\><rsub|f>(z)<rsub|+\<delta\>>=\<Lambda\><rsub|f>(z<rsub|+\<delta\>>)>
    pour <math|\|\<delta\>\|\<less\>r<rsub|z>>, o <math|z<rsub|+\<delta\>>>
    dsigne le translat de <math|z> par <math|\<delta\>> sur
    <math|\<cal-R\><rsub|f>>.
  </enumerate>

  Les conditions 1 et 2 expriment galement le fait que les localisations ne
  peuvent plus tre rendues meilleures de faon automatique. Souvent, on
  suppose galement que <math|\<cal-R\><rsub|f>> est muni d'une
  origine<nbsp><math|\<bullet\>>. Un rsultat thorique intressant dit que
  toute fonction analytique localement calculable peut s'amliorer en une
  fonction analytique globalement calculable<nbsp>:

  <\theorem>
    Il existe une fonction calculable <math|\<sharp\>:\<bbb-A\><rsup|lcom>\<rightarrow\>\<bbb-A\><rsup|com>>
    telle que

    <\enumerate>
      <item><math|\<Lambda\><rsub|f<rsup|\<sharp\>>>(\<bullet\>)\<sqsupseteq\>f>
      pour tout <math|f\<in\>\<bbb-A\><rsup|lcom>>.

      <item>Pour tout <math|f\<in\>\<bbb-A\><rsup|lcom>> et
      <math|g\<in\>\<bbb-A\><rsup|com>> avec
      <math|\<Lambda\><rsub|g>(\<bullet\>)\<sqsupseteq\>f>, on a
      <math|\<Lambda\><rsub|g>(\<bullet\>)\<sqsupseteq\>\<Lambda\><rsub|f<rsup|\<sharp\>>>(\<bullet\>)>.
    </enumerate>
  </theorem>

  <yes-indent>Dans <cite|vdH:riemann> on peut trouver un certain nombre
  d'autres rsultats concernant les fonctions analytiques effectives et des
  algorithmes efficaces pour calculer les bornes <math|<reff|f>> et
  <math|<Beff|f><rsub|\<rho\>>>. Dans le pass, nous avons galement ralis
  un prototype d'implantation<nbsp>; voir les
  figures<nbsp><reference|effan-fig-1>--<reference|effan-fig-4>.

  \;

  <\with|par-mode|center>
    <small-figure|<postscript|quintic.ps|*.27|*.27||||>|<label|effan-fig-1>Un
    polynme de degr <math|5>.><small-figure|<postscript|explog.ps|*.27|*.27||||>|<label|effan-fig-2><with|mode|math|f=log
    <left|(>\<mathe\><rsup|\<mathe\><rsup|z>+\<mathi\>*z>+\<mathe\><rsup|\<mathi\>*\<mathe\><rsup|z>><right|)>>.>
  </with>

  <\with|par-mode|center>
    <small-figure|<postscript|singline.ps|*.27|*.27||||>|<label|effan-fig-3>Solution
    d'un <abbr|.d.o.>><small-figure|<postscript|pellipt.ps|*.27|*.27||||>|<label|effan-fig-4>Solution
    de <with|mode|math|f<rprime|''>=1+4*f<rsup|3>+f<rprime|'>>.>
  </with>

  <section|Tests effectifs de nullit><label|zero-sec>

  Un problme central de l'analyse effective est de savoir si une constante
  ou une fonction est identique  zro. Le
  thorme<nbsp><reference|zero-undec-th> montre que cette question est
  indcidable quand on l'envisage en toute gnralit. Malheureusement, la
  question reste difficile pour des classes de fonctions ou constantes plus
  spcifiques, comme les fonctions algbrico-diffrentielles rgulires sur
  <math|\<bbb-Q\>> et leurs valeurs. Mme quand tout reste algbrique, la
  complexit des calculs peut vite devenir grande.

  De manire gnrale, remarquons d'abord que les tests de nullit sont de
  nature asymtrique<nbsp>: alors qu'il peut tre extrmement difficile de
  montrer qu'une constante <math|x> (ou <group|fonction><nbsp><math|f>) est
  nulle, il est en gnral facile de montrer le contraire. Par exemple, pour
  dmontrer <math|x\<neq\>0>, il suffit d'valuer <math|x> avec une prcision
  suffisante. Par consquent, il existe des algorithmes diffrents pour
  dmontrer l'galit et l'ingalit, et une bonne stratgie globale est de
  les faire tourner en<nbsp>parallle.

  Le problme des tests  zro est aussi beaucoup plus difficile pour les
  constantes que pour les fonctions. Dans le cas des fonctions, leurs
  quations de dfinition fournissent gnralement les relations  partir
  desquelles on dmontre leur nullit. Dans le cas des constantes, il existe
  souvent des relations surprenantes supplmentaires, comme dans le cas des
  multi-ztas<nbsp><cite|MP98|Ec02|Ec03b|Ec04>,  cause du phnomne de
  dimorphie. De faon symtrique, dmontrer la non-nullit bute gnralement
  sur des questions difficiles en thorie des nombres. Pour ces raisons, il
  est conseill de commencer par les fonctions avant de s'attaquer aux
  constantes.

  Enfin, il convient de rappeler qu'un test  zro concerne spcifiquement
  <em|une> constante ou <em|une> fonction. Pour certaines classes, comme les
  fonctions exp-log ou les multi-ztas, il existe des thormes de
  structure<nbsp><cite|Ris75|Ec02|Ec03b>. Lorsque cela est le cas, on peut
  souvent concevoir des tests  zro trs efficaces. En revanche, on n'a pas
  forcment besoin d'un thorme de structure gnral pour dcider si une
  constante ou fonction particulire vaut zro.

  <subsection|Conjectures de tmoin>

  Afin de dmontrer <math|c\<neq\>0> pour une constante <math|c> donne, il
  suffit de l'valuer avec une prcision <math|n> suffisante. Une question
  naturelle est de trouver une borne explicite pour<nbsp><math|n> en fonction
  de la taille pour dcrire <math|c>. Un exemple artificiel comme

  <\equation>
    <label|almost-id>\<mathe\><rsup|\<mathe\><rsup|\<mathe\><rsup|10>>+\<mathe\><rsup|-\<mathe\><rsup|\<mathe\><rsup|10>>>>-\<mathe\><rsup|\<mathe\><rsup|\<mathe\><rsup|10>>>-1\<approx\>0
  </equation>

  montre que cette prcision peut devenir trs grande pour des petites
  expressions. Nous conjecturons qu'une presque-identit de se genre est
  <em|toujours> la spcialisation d'un dveloppement asymptotique dont les
  premiers termes s'annulent (voir aussi<nbsp><cite|BB92|vdH:witness>). Les
  conjectures de tmoin visent  rendre cette assertion plus prcise.

  Considrons le cas des constantes exp-log, construites  partir de
  <math|<wide|\<bbb-Q\>|^>> par les oprations <math|<op|+>>, <math|<op|->>,
  <math|<op|\<times\>>>, <math|/>, <math|exp> et <math|log>. Pour viter le
  phnomne<nbsp>(<reference|almost-id>), on ne considrera que des
  constantes exp-log <math|c> dont l'expression admet la proprit que
  <math|\|x\|\<leqslant\>1> pour chaque sous-expression de <math|c> de la
  forme <math|exp(x)>. Pour diffrentes fonctions <math|\<varpi\>>, il fut
  conjectur<nbsp><cite|vdH:phd|Rich01|vdH:witness> que <math|c=0> si et
  seulement <math|\|c\|\<less\>\<mathe\><rsup|\<um\>\<omega\>(s(c))>>, o
  <math|s(c)> dsigne la taille de <math|c> en tant qu'expression.
  Malheureusement, on ne peut pas prendre <math|\<varpi\>> polynomial<nbsp>:

  <\theorem>
    <theorem-note|<cite|vdH:cexconj>> Pour toute fonction polynomiale
    <math|\<varpi\>(n)>, il existe une constante exp-log <math|c> avec
    <math|c\<neq\>0>, mais <math|\|c\|\<less\>\<mathe\><rsup|\<um\>\<varpi\>(s(c))>>.
  </theorem>

  <\proof>
    Nous montrons l'ide de la dmonstration pour le cas particulier o
    <math|\<varpi\>(n)=o(n<rsup|log 3/log 2>)>. Considrons la fonction

    <\equation*>
      f(z)=2*log(1-log(1-z/2))-z=O(z<rsup|3>).
    </equation*>

    La variable <math|z> n'intervient que deux fois dans le membre droit,
    alors que <math|f> admet un zro d'ordre <math|3>  l'origine. Par
    consquent, <math|c=f<rsup|\<circ\>k>(1/2)> admet une taille
    <math|s(c)=O(2<rsup|k>)>, alors que <math|\|c\|\<less\>\<mathe\><rsup|\<um\>\<alpha\>*3<rsup|k>>>
    pour un certain <math|\<alpha\>\<gtr\>0>.
  </proof>

  <\remark>
    Mme lorsque l'on sait qu'une constante n'est pas nulle, il peut tre
    difficile de dterminer son signe, comme dans l'exemple
    <math|c=sin(10<rsup|10<rsup|10<rsup|10>>>)>.
  </remark>

  <subsection|Algorithmes>

  Au del du cas algbrique, il existe peu de tests  zro effectifs pour des
  constantes. La seule exception notable concerne les constantes
  lmentaires, qui sont dfinies par des systmes d'quations exp-logs. Dans
  ce cas, il existe un algorithme<nbsp><cite|Rich97> dont la terminaison
  dpend de la conjecture de Schanuel.

  Il existe plus de travaux dans le cas des fonctions. Un cadre
  particulirement intressant est celui des sries
  algbrico-diffrentielles, o on rappelle (voir l'introduction et la
  section<nbsp><reference|fonc-calc-sec>) que nos fonctions sont gnralement
  donnes par des sries.

  Soit <math|\<cal-R\>\<subseteq\>\<cal-K\>[[z]]<rsup|com>> un anneau
  diffrentiel effectif avec un test  zro et
  <math|\<cal-R\>\<supseteq\>\<cal-K\>>. Une srie <em|diffrentiellement
  algbrique> sur <math|\<cal-R\>> est la solution
  <math|f\<in\>\<cal-K\>[[z]]> d'une quation<nbsp>(<reference|ade-anal>) 
  coefficients dans<nbsp><math|\<cal-R\>>. On dira que <math|f> est
  <em|rgulire> lorsque<nbsp>(<reference|non-sing-ade>) est vrifie. Mme
  dans le cas o<nbsp><math|f> est irrgulire (ce qui est par exemple le cas
  si <math|\<cal-R\>=\<cal-K\>\<subseteq\>\<bbb-C\>> et <math|f> est
  divergente), l'quation<nbsp>(<reference|ade-anal>) fournit une relation de
  rcurrence pour les coefficients <math|f<rsub|k>> de <math|f> pour tout
  <math|k\<geqslant\>k<rsub|0>> suffisamment grand. Par consquent, <math|f>
  est entirement dtermine par un nombre fini de donnes, ce qui permet la
  construction d'un nouvel anneau effectif<nbsp><math|\<cal-S\>=\<cal-R\>[f,f<rprime|'>,f<rprime|''>,\<ldots\>]\<subseteq\>\<cal-K\>[[z]]<rsup|com>>.
  On a le rsultat suivant<nbsp>:

  <\theorem>
    <label|zero-test-th><theorem-note|<cite|vdH:issac02>> Il existe un test 
    zro pour les lments de <math|\<cal-S\>>.
  </theorem>

  Il existe d'autres approches intressantes dans des cadres plus
  restreints<nbsp> <cite|DL84|DL89|Sh93|Pel95|vdH:96b|Pel:phd|vdH:oldzt><nbsp>;
  voir <cite-detail|vdH:issac02|Section<nbsp>2> pour une discussion.
  Toutefois, par rapport  ces autres travaux, notre algorithme a l'avantage
  de combiner efficacit et gnralit. Le rsultat s'appuie sur de l'algbre
  diffrentielle et gnralise un prcdent algorithme pour le cas d'ordre un
  <cite|Sh89|vdH:zerotest>. La complexit de cet algorithme plus particulier
  fut analys dans <cite|vdH:zerotest> et nous nous attendons  ce que les
  mthodes employes s'tendent aux ordres suprieurs.
</body>

<\initial>
  <\collection>
    <associate|font-base-size|11>
    <associate|language|french>
    <associate|par-hyphen|professional>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|ade-anal|<tuple|4.1|3>>
    <associate|almost-id|<tuple|4.3|5>>
    <associate|auto-1|<tuple|4|1>>
    <associate|auto-10|<tuple|4.4|5>>
    <associate|auto-11|<tuple|4.4.1|5>>
    <associate|auto-12|<tuple|4.4.2|6>>
    <associate|auto-13|<tuple|4.5|6>>
    <associate|auto-14|<tuple|4.4|6>>
    <associate|auto-15|<tuple|4.4.1|7>>
    <associate|auto-16|<tuple|4.4.2|8>>
    <associate|auto-17|<tuple|4.8|?>>
    <associate|auto-18|<tuple|4.7|?>>
    <associate|auto-19|<tuple|4.10|?>>
    <associate|auto-2|<tuple|4.1|1>>
    <associate|auto-20|<tuple|4.7|?>>
    <associate|auto-3|<tuple|4.2|2>>
    <associate|auto-4|<tuple|4.1|3>>
    <associate|auto-5|<tuple|4.3|3>>
    <associate|auto-6|<tuple|4.2|4>>
    <associate|auto-7|<tuple|4.3|4>>
    <associate|auto-8|<tuple|4.4|5>>
    <associate|auto-9|<tuple|4.5|5>>
    <associate|can-weak-rep-alg|<tuple|1.1|?>>
    <associate|effan-chap|<tuple|4|1>>
    <associate|effan-dig-4|<tuple|4.5|?>>
    <associate|effan-fig-1|<tuple|4.2|4>>
    <associate|effan-fig-2|<tuple|4.3|4>>
    <associate|effan-fig-3|<tuple|4.4|5>>
    <associate|effan-fig-4|<tuple|4.5|5>>
    <associate|exp-log|<tuple|4.7|8>>
    <associate|fonc-calc-sec|<tuple|4.3|3>>
    <associate|hier-num-fig|<tuple|4.1|3>>
    <associate|itr-ex|<tuple|4.1|?>>
    <associate|mstokes2|<tuple|4.6|9>>
    <associate|non-sing-ade|<tuple|4.2|3>>
    <associate|normal-ode|<tuple|4.2|?>>
    <associate|thf-sec|<tuple|4.4|?>>
    <associate|toc-1|<tuple|1|?>>
    <associate|toc-2|<tuple|1.1|?>>
    <associate|toc-3|<tuple|1.2|?>>
    <associate|toc-4|<tuple|1.2.1|?>>
    <associate|toc-5|<tuple|1.2.1|?>>
    <associate|toc-6|<tuple|1.2.1|?>>
    <associate|toc-7|<tuple|1.2.2|?>>
    <associate|toc-8|<tuple|1.3|?>>
    <associate|zero-sec|<tuple|4.4|5>>
    <associate|zero-test-th|<tuple|4.8|6>>
    <associate|zero-undec-th|<tuple|4.1|1>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|bib>
      vdH:mmx

      Tur36

      Grz55a

      Alb80

      BB85

      Wei00

      Tur36

      Wei00

      Tur36

      Grz55a

      vdH:riemann

      Moo66

      AH83

      vdH:effreal

      vdH:issac06

      IRRAM

      vdH:relax

      vdH:effan

      vdH:riemann

      vdH:effan

      DL89

      vdH:effan

      vdH:effan

      vdH:riemann

      vdH:riemann

      vdH:riemann

      MP98

      Ec02

      Ec03b

      Ec04

      Ris75

      Ec02

      Ec03b

      BB92

      vdH:witness

      vdH:phd

      Rich01

      vdH:witness

      vdH:cexconj

      Rich97

      vdH:issac02

      DL84

      DL89

      Sh93

      Pel95

      vdH:96b

      Pel:phd

      vdH:oldzt

      vdH:issac02

      Sh89

      vdH:zerotest

      vdH:zerotest
    </associate>
    <\associate|figure>
      <\tuple|normal>
        <label|hier-num-fig>La hirarchie numrique.
      </tuple|<pageref|auto-4>>

      <tuple|normal|<label|effan-fig-1>Un polynme de degr
      <with|mode|<quote|math>|5>.|<pageref|auto-6>>

      <tuple|normal|<label|effan-fig-2><with|mode|<quote|math>|f=log
      <left|(>\<mathe\><rsup|\<mathe\><rsup|z>+\<mathi\>*z>+\<mathe\><rsup|\<mathi\>*\<mathe\><rsup|z>><right|)>>.|<pageref|auto-7>>

      <tuple|normal|<label|effan-fig-3>Solution d'un
      <group|.d.o.>|<pageref|auto-8>>

      <tuple|normal|<label|effan-fig-4>Solution de
      <with|mode|<quote|math>|f<rprime|''>=1+4*f<rsup|3>+f<rprime|'>>.|<pageref|auto-9>>
    </associate>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|font-shape|<quote|small-caps>|4.<space|2spc>Analyse
      complexe effective> <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-1><vspace|0.5fn>

      4.1.<space|2spc>Nombres calculables
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-2>

      4.2.<space|2spc>La hirarchie numrique
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-3>

      4.3.<space|2spc>Fonctions analytiques calculables
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-5>

      4.4.<space|2spc>Tests effectifs de nullit
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-10>

      <with|par-left|<quote|1.5fn>|4.4.1.<space|2spc>Conjectures de tmoin
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-11>>

      <with|par-left|<quote|1.5fn>|4.4.2.<space|2spc>Algorithmes
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-12>>
    </associate>
  </collection>
</auxiliary>