<TeXmacs|1.0.6.12>

<project|hab.tp>

<style|tmbook-compact>

<\body>
  <assign|chapter-nr|4><chapter|valuation rapide de
  fonctions><label|eval-chap>

  Dans le but de dvelopper des logiciels concrets pour calculer avec des
  fonctions analytiques, il ne suffit pas de montrer que l'on peut faire
  certains calculs en principe<nbsp>: il faut aussi concevoir des algorithmes
  efficaces.

  Dans ce chapitre, nous considrons le problme fondamental de l'valuation
  efficace d'une fonction analytique <math|f>. Plus prcisment, tant donn
  un nombre calculable<nbsp><group|<math|z\<in\>\<bbb-C\><rsup|com>>>, on dit
  que<nbsp><math|z> est de complexit <math|T(n)> si on peut trouver une
  <em|<math|2<rsup|\<um\>n>>-approximation>
  <group|<math|<wide|z|~>\<in\>\<bbb-Z\>[\<mathi\>]*2<rsup| \<bbb-Z\>>>> avec
  <math|\|<wide|z|~>-z\|\<less\>2<rsup| \<um\>n>> en temps
  <math|O(T(n+O(1)))>. De mme, une fonction
  <math|f:\<cal-S\>\<rightarrow\>\<bbb-C\>> avec
  <math|\<cal-S\>\<subseteq\>\<bbb-C\><rsup|d>> est de complexit <math|T(n)>
  si <math|f(z<rsub|1>,\<ldots\>,z<rsub|d>)> est de complexit
  <math|T(n)+U(n)> pour tout <group|<math|(z<rsub|1>,\<ldots\>,z<rsub|d>)\<in\>\<cal-S\>>>
  tel que <math|z<rsub|1>,\<ldots\>,z<rsub|d>> sont de
  complexit<nbsp><math|U(n)>.

  Il est classique<nbsp><cite|SS71|Kar63|Toom63b|CT65> que la multiplication
  de deux nombres naturels  <math|n> chiffres peut s'effectuer en temps
  presque linaire <math|<value|ssM>(n)=O(n*log n*log log n)>. Par
  consquent, la multiplication est de complexit <math|<value|ssM>(n)> sur
  tout compact <math|\<cal-S\>>. D'autres oprations, comme la division et
  l'inversion fonctionnelle d'une fonction de complexit
  <math|<value|ssM>(n)>, peuvent galement se faire en temps
  <math|O(<value|ssM>(n))>, en utilisant la mthode de Newton.

  Beaucoup de fonctions spciales (l'exponentielle, le logarithme, le sinus,
  toute fonction algbrique, les fonctions hypergomtriques, les fonctions
  de Bessel,<nbsp>etc.) tombent dans la classe des <em|fonctions holonomes>,
  ou sont facilement exprimables en termes de fonctions holonomes
  (fonction<nbsp><math|\<wp\>> de Weierstrass, fonction <math|W> de
  Lambert,<nbsp><abbr|etc.>). Une grande partie de ce chapitre est consacre
  <nbsp>l'valuation rapide de ce genre de fonctions, y compris dans des
  singularits.

  Dans la dernire section, nous considrons l'valuation rapide de fonctions
  analytiques plus gnrales. En particulier, nous prsentons la technique de
  calcul dtendu, qui permet la rsolution efficace d'quations
  diffrentielles ou fonctionnelles  l'aide de sries formelles.

  <section|Fonctions holonomes><label|hol-sec>

  Une <em|fonction holonome><bi-index|fonction|holonme> <math|f> sur un
  corps <with|mode|math|\<bbb-K\>\<subseteq\>\<bbb-C\>> est la solution d'une
  quation diffrentielle linaire

  <\equation>
    <label|hol-eq>L(f)=(L<rsub|r>*\<partial\><rsup|r>+\<cdots\>+L<rsub|0>)(f)=0,
  </equation>

   coefficients <math|L<rsub|0>,\<ldots\>,L<rsub|r>> dans
  <with|mode|math|\<bbb-K\>[z]>. tant donne une fonction analytique
  <math|f>, elle est holonome si et seulement si

  <\equation>
    <label|hol-charac>dim<rsub|\<bbb-K\>(z)>
    Vect(f,f<rprime|'>,f<rprime|''>,\<ldots\>)\<less\>\<upl\>\<infty\>.
  </equation>

  Ceci est encore quivalent  l'existence d'une quation matricielle de
  premier ordre

  <\equation>
    <label|hol-matr-eq>\<partial\> F=M F,
  </equation>

  avec <math|M<rsub|i,j>\<in\>\<bbb-K\>(z)>, et telle que <math|f> est une
  des composantes de <math|F>. La caractrisation<nbsp>(<reference|hol-charac>)
  implique en particulier que la classe des fonctions holonomes est stable
  sous un grand nombre d'oprations comme l'addition, la multiplication, la
  drivation, l'intgration, le produit de convolution, <abbr|etc.>

  En rcrivant l'oprateur <math|L=L<rsub|r>*\<partial\><rsup|r>+\<cdots\>+L<rsub|0>>
  en fonction de <math|\<delta\>=z*\<partial\>>, les substitutions
  <math|\<delta\>\<leftrightarrow\>k> et <math|z<rsup|\<um\>1>\<leftrightarrow\>S:k\<mapsto\>k+1>
  conduisent  une relation de rcurrence

  <\equation>
    <label|hol-shift-eq>(\<Lambda\><rsub|s>*S<rsup|s>+\<cdots\>+\<Lambda\><rsub|0>)(f)=0,<space|2em>\<Lambda\><rsub|i>\<in\>\<bbb-K\>(k)
  </equation>

  pour les coefficients de Taylor de <math|f> en <math|0>, et <em|vice
  versa>. Comme dans le cas diffrentiel, l'existence d'une relation de
  rcurrence<nbsp>(<reference|hol-shift-eq>) quivaut  la condition

  <\equation*>
    dim<rsub|\<bbb-K\>(k)> Vect(f,<no-break>S
    f,\<ldots\>)\<less\>\<upl\>\<infty\>,
  </equation*>

  ainsi qu' l'existence d'un systme aux diffrences de premier ordre

  <\equation>
    <label|hol-shift-matr-eq>S F=\<Mu\>*F,
  </equation>

  avec <math|\<Mu\><rsub|i,j>\<in\>\<bbb-K\>(k)>, et tel que <math|f> est une
  des composantes de <math|F>.

  <section|valuation en des points algbriques><label|hol-alg-sec>

  Soit <math|\<bbb-K\>> un corps algbrique de nombres de dimension finie. On
  montre que deux nombres de tailles<nbsp><math|O(n)> dans <math|\<bbb-K\>>
  peuvent se multiplier en temps <math|O(<value|ssM>(n))>. Soit<nbsp><math|f>
  une fonction holonome sur <math|\<bbb-K\>> d'ordre <math|r>. Nous disons
  que <math|f> admet des <em|conditions initiales dans <math|\<bbb-K\>>> en
  un point rgulier <math|z<rsub|0>\<in\>\<bbb-K\>>, si
  <math|f(z<rsub|0>),\<ldots\>,f<rsup|(r-1)>(z<rsub|0>)\<in\><no-break>\<bbb-K\>>
  (et donc <math|f<rsup|(k)>(z<rsub|0>)\<in\>\<bbb-K\>> pour tout <math|k>).
  Pour simplifier les notations, supposons que <math|z<rsub|0>=0>, et notons
  par <math|r> le rayon de convergence de <math|f>.

  Pour <math|z\<in\>\<bbb-K\>> avec <math|\|z\|\<less\>r> et
  <math|\<varepsilon\>=2<rsup|-n>>, le calcul d'une
  <math|\<varepsilon\>>-approximation de <math|f(z)> se divise en deux tapes
  :

  <\enumerate>
    <item>Couper la srie <math|f<rsub|0>+f<rsub|1>*z+f<rsub|2>*z<rsup|2>+\<cdots\>>
    en deux parties <math|f<rsub|0>+\<cdots\>+f<rsub|k-1>*z<rsup|k-1>> et
    <math|f<rsub|k>*z<rsup| k>+f<rsub|k+1>*z<rsup| k+1>+\<cdots\>> de faon
    que l'on puisse borner

    <\equation>
      <label|rest-bound>\|f<rsub|k>*z<rsup| k>+f<rsub|k+1>*z<rsup|
      k+1>+\<cdots\>\|\<less\><frac|\<varepsilon\>|2>.
    </equation>

    <item>Calculer une <math|<frac|\<varepsilon\>|2>>-approximation de

    <\equation*>
      g<rsub|k>=f<rsub|0>+\<cdots\>+f<rsub|k-1>*z<rsup|k-1>.
    </equation*>
  </enumerate>

  Dans <cite|vdH:hol|vdH:singhol|vdH:riemann> nous dcrivons diffrents
  algorithmes pour obtenir une majoration
  effective<nbsp>(<reference|rest-bound>) tout en s'assurant que
  <math|k=O(n)>. L'valuation efficace de<nbsp><math|g<rsub|k>> se fait
  moyennant deux remarques.

  Premirement, la srie <math|g> est galement holonome, donc le problme se
  ramne au calcul efficace des coefficients d'une srie holonome. Pour la
  suite, soit

  <\equation*>
    G<rsub|k+1>=M<rsub|k>*G<rsub|k>
  </equation*>

  une quation de rcurrence matricielle, o <math|G> est un vecteur avec
  <math|g> comme premire entre et o <math|M> est une matrice 
  coefficients dans <math|\<bbb-K\>(k)>.

  Deuximement, le calcul de <math|G<rsub|k>> se ramne au calcul d'un
  produit de matrices

  <\equation*>
    M<rsub|0;k>=M<rsub|k-1>*\<cdots\>*M<rsub|0>,
  </equation*>

  (puisque <math|G<rsub|k>=M<rsub|0;k>*G<rsub|0>>), ce qui peut se faire par
  la stratgie dite \S<nbsp>diviser pour rgner<nbsp>\T<nbsp>:

  <\eqnarray*>
    <tformat|<table|<row|<cell|M<rsub|k;k+1>>|<cell|=>|<cell|M<rsub|k><eq-number><label|dr-init>>>|<row|<cell|M<rsub|k;l>>|<cell|=>|<cell|M<rsub|\<lfloor\>(k+l)/2\<rfloor\>;l>*M<rsub|k;\<lfloor\>(k+l)/2\<rfloor\>><eq-number><label|dr-rec>>>>>
  </eqnarray*>

  Dans le cas o <math|k=8>, ceci peut s'illustrer par l'arbre suivant<nbsp>:

  <\equation*>
    <tree|M<rsub|0;8>|<tree|M<rsub|0;4>|<tree|M<rsub|0;2>|M<rsub|0>|M<rsub|1>>|<tree|M<rsub|2;4>|M<rsub|2>|M<rsub|3>>>|<tree|M<rsub|4;8>|<tree|M<rsub|4;6>|M<rsub|4>|M<rsub|5>>|<tree|M<rsub|6;8>|M<rsub|6>|M<rsub|7>>>>.
  </equation*>

  En analysant la procdure, on observe que la taille des entres de chaque
  matrice <math|M<rsub|k;k+2*d>> est environ le double de la taille de
  <math|M<rsub|k;k+d>>. Donc, chaque fois que l'on monte un cran dans
  l'arbre, la taille des entres des matrices double alors que le nombre de
  matrices  multiplier se divise par deux. En valuant le cot des
  oprations, il s'ensuit que les multiplications sur chaque ligne ont
  <em|grosso modo> un cot constant, si on utilise une multiplication rapide.
  Par ailleurs, les nombres sur la dernire ligne sont de tailles <math|O(log
  k)>. Ceci conduit au thorme suivant<nbsp>:

  <\theorem>
    <label|hol-th><theorem-note|<cite|vdH:phd|vdH:hol>> Soit <math|\<bbb-K\>>
    un corps algbrique de nombres et soit<nbsp><math|f> une fonction
    holonome sur <math|\<bbb-K\>>, avec des conditions initiales en <math|0>
    dans <math|\<bbb-K\>>. Soit <math|r> le rayon de convergence de <math|f>
    et soit <math|z\<in\>\<bbb-K\>> tel que <math|\|z\|\<less\>r>. Alors on
    peut calculer <math|f(z)> avec une prcision de <math|n> chiffres en
    temps <math|O(<value|ssM>(n)*log<rsup|2> n)>.
  </theorem>

  <\remark>
    La stratgie \S<nbsp>diviser pour rgner<nbsp>\T pour l'valuation de
    fonctions holonomes admet une longue histoire. Une premire rfrence sur
    l'valuation de<nbsp><math|\<mathe\>> et l'exponentielle en utilisant
    cette mthode est<nbsp><cite|Br76a>. La gnralisation aux fonctions
    holonomes est due aux frres Chudnovsky <cite|CC90>. Nous avions
    redcouvert cet algorithme de faon indpendante dans
    <cite|vdH:phd|vdH:hol>, avec quelques petites amliorations<nbsp>:
    <math|\<bbb-K\>> peut tre un corps algbrique de nombres plus gnral
    que<nbsp><math|\<bbb-Q\>><nbsp>; par ailleurs, les
    bornes<nbsp>(<reference|rest-bound>) sont calcules automatiquement. On
    peut aussi se demander si l'algorithme tait connu des auteurs
    de<nbsp><cite|SS72>. Des cas particuliers de l'algorithme furent
    retrouvs indpendamment par diffrentes
    personnes<nbsp><cite|Kar91|HP97>.
  </remark>

  <section|Continuation analytique><label|hol-cont-sec>

  Une deuxime ide dans <cite|CC90>, que nous avions retrouve dans
  <cite|vdH:phd|vdH:hol>, est que l'on peut conserver une bonne complexit
  d'valuation dans des points non ncessairement algbriques en faisant du
  prolongement analytique.

  Considrons une fonction holonome <math|f> d'ordre <math|r> sur
  <math|\<bbb-K\>>. Cette fonction est entirement dtermine par l'oprateur
  <math|L> avec <math|L f=0> et la <em|condition initiale><index|condition
  initiale>

  <\equation*>
    F(z)=<matrix|<tformat|<table|<row|<cell|f(z)>>|<row|<cell|\<vdots\>>>|<row|<cell|f<rsup|(r-1)>(z)>>>>>
  </equation*>

  dans un point non singulier <math|z>. tant donn un chemin en ligne brise
  <math|\<gamma\>=z\<rightsquigarrow\><no-break>z<rprime|'>> qui vite les
  singularits de<nbsp><math|f>, le prolongement <math|F(z<rprime|'>)> de
  <math|F> le long de <math|\<gamma\>> dpend <math|\<bbb-C\>>-linairement
  de la condition initiale <math|F(z)> en <math|z>. La
  matrice<nbsp><math|\<Delta\><rsub|z\<rightsquigarrow\>z<rprime|'>>> qui
  exprime cette dpendance

  <\equation*>
    F(z<rprime|'>)=\<Delta\><rsub|z\<rightsquigarrow\>z<rprime|'>>*F(z)
  </equation*>

  s'appelle la <em|matrice de connection><index|matrice de connection> le
  long de <math|\<gamma\>>. Nous avons

  <\eqnarray*>
    <tformat|<table|<row|<cell|\<Delta\><rsub|z\<rightsquigarrow\>z<rprime|'>\<rightsquigarrow\>z<rprime|''>>>|<cell|=>|<cell|\<Delta\><rsub|z<rprime|'>\<rightsquigarrow\>z<rprime|''>>*\<Delta\><rsub|z\<rightsquigarrow\>z<rprime|'>><eq-number><label|cm-comp>>>|<row|<cell|\<Delta\><rsub|z<rprime|'>\<rightsquigarrow\>z>>|<cell|=>|<cell|\<Delta\><rsub|z\<rightsquigarrow\>z<rprime|'>><rsup|\<um\>1><eq-number><label|cm-inv>>>>>
  </eqnarray*>

  pour la composition et l'inversion de chemins.

  Supposons maintenant que la ligne brise
  <math|z\<rightsquigarrow\>z<rprime|'>> n'admet que des sommets
  dans<nbsp><math|\<bbb-K\>>. D'aprs<nbsp>(<reference|cm-comp>) et le
  thorme<nbsp><reference|hol-th>, il s'en suit que
  <math|\<Delta\><rsub|z\<rightsquigarrow\>z<rprime|'>>> peut s'approximer
  avec une prcision de <math|n> chiffres en temps
  <math|O(<value|ssM>(n)*log<rsup|2> n)>. Il est intressant d'tudier la
  faon que ce temps de calcul dpend du chemin
  <math|z\<rightsquigarrow\>z<rprime|'>>. En notant par <math|\<rho\>(z)> la
  distance de <math|z> aux zros de <math|L<rsub|r>>, une analyse plus fine
  donne<nbsp>:

  <\theorem>
    <label|par-hol-th><theorem-note|<cite|vdH:phd|vdH:hol>> Soient donns
    :<no-page-break>

    <\itemize>
      <item>Un oprateur diffrentiel <with|mode|math|L\<in\>\<bbb-K\>[z][\<partial\>]>
      non nul.<no-page-break>

      <item>Un domaine ouvert <math|\<cal-U\>> sur lequel toute solution de
      <math|L f=0> est borne.<no-page-break>

      <item>Un chemin droit <math|z\<rightarrow\>z<rprime|'>> de
      <math|z\<in\>\<bbb-K\>> vers <math|z<rprime|'>\<in\>\<bbb-K\>> avec
      <math|\<cal-B\>(z,\|z<rprime|'>-z\|)\<subseteq\>\<cal-U\>>.
    </itemize>

    Notons par <math|s> la somme des tailles de <math|z> et de
    <math|z<rprime|'>> et <math|\<tau\>=<frac|\<rho\>(z)|\|z<rprime|'>-z\|>>.
    Alors on peut calculer une <math|2<rsup|\<um\>n>>-approximation de
    <math|\<Delta\><rsub|z\<rightarrow\>z<rprime|'>>> en temps

    <\equation>
      <label|par-hol-compl>T(n)=O<left|(><frac|<value|ssM>(n)*(s+log n)*log
      n|log \<tau\>><right|)>,
    </equation>

    uniformment en <math|z> et en <math|z<rprime|'>>, sous la condition que
    <math|log log \<tau\>=O(n)>.
  </theorem>

  tant donn un chemin droit <math|\<gamma\>=z\<rightarrow\>z<rprime|'>> tel
  que <math|z> et <math|z<rprime|'>> ne soient plus ncessairement
  dans<nbsp><math|\<bbb-K\>>, on peut approximer <math|\<gamma\>> par un
  nouveau chemin

  <\equation*>
    <wide|\<gamma\>|~>=z<rsub|l>\<rightarrow\>z<rsub|l-1>\<rightarrow\>\<cdots\>\<rightarrow\>z<rsub|1>\<rightarrow\>z<rprime|'><rsub|1>\<rightarrow\>\<cdots\>\<rightarrow\>z<rprime|'><rsub|l-1>\<rightarrow\>z<rprime|'><rsub|l>
  </equation*>

  dont les sommets sont tous dans <math|\<bbb-K\>>. Plus prcisment, prenons
  pour <math|z<rsub|i>> et <math|z<rprime|'><rsub|i>> les troncatures des
  critures binaires de <math|z> et <math|z<rprime|'>>  <math|2<rsup|i>>
  chiffres aprs la virgule. Dans l'estimation<nbsp>(<reference|par-hol-compl>)
  pour les matrices <math|\<Delta\><rsub|z<rsub|i+1>\<rightarrow\>z<rsub|i>>>
  et <math|\<Delta\><rsub|z<rprime|'><rsub|i>\<rightarrow\>z<rprime|'><rsub|i+1>>>,
  on aura alors simultanment <math|s=O(2<rsup|i>)> et
  <math|log<rsup|\<um\>1> \<tau\>=O(2<rsup|\<um\>i>)>. Le cot du calcul est
  donc plus ou moins indpendant de <math|i>, alors que <math|l=O(log n)>
  tapes suffissent pour garantir que <math|\<\|\|\>\<Delta\><rsub|<wide|\<gamma\>|~>>-\<Delta\><rsub|\<gamma\>>\<\|\|\>\<less\>2<rsup|\<um\>n>>.
  Prenant en compte que l'estimation (<reference|par-hol-compl>) devient
  <math|T(n)=O(<value|ssM>(n)*s*log n/log \<tau\>)> pour <math|s\<gtr\>log
  n>, on trouve<nbsp>:

  <\theorem>
    <label|nonalg-hol-th><theorem-note|<cite|vdH:phd|vdH:hol>> Soit
    <math|L=L<rsub|r>*\<partial\><rsup|r>+\<cdots\>+L<rsub|0>\<in\>\<bbb-K\>[z][\<partial\>]>
    un oprateur diffrentiel non nul sur un corps algbrique de nombres
    <math|\<bbb-K\>> et soit <math|z\<rightsquigarrow\>z<rprime|'>> un chemin
    en ligne brise dont les sommets sont calculables. Alors une
    <math|2<rsup|\<um\>n>>-approximation de<nbsp><math|\<Delta\><rsub|z\<rightsquigarrow\>z<rprime|'>>>
    peut tre obtenue en temps <math|O(<value|ssM>(n)*log<rsup|2> n*log log
    n)>, supposant que l'on fasse abstraction du cot pour approximer
    <math|z> et <math|z<rprime|'>>.
  </theorem>

  <\remark>
    L'astuce de l'approximation de <math|z> et <math|z<rprime|'>> par des
    nombres dont la prcision double  chaque tape porte le nom \S<nbsp>bit
    burst<nbsp>\T dans<nbsp><cite|CC90>. Leur analyse de complexit plus
    grossire conduit  une borne de complexit
    <math|O(<value|ssM>(n)*log<rsup|3> n)> lgrement moins bonne que la
    ntre.
  </remark>

  Plus gnralement, on peut utiliser le thorme<nbsp><reference|par-hol-th>
  pour approximer un chemin arbitraire <math|\<gamma\>> par une ligne brise
  adquate, toujours dans l'optique de calculer
  <math|\<Delta\><rsub|\<gamma\>>> efficacement. En dehors des extrmits du
  chemin, on a clairement intrt  chercher des sommets de taille minimale
  dans <math|\<bbb-Q\>[\<mathi\>]>, afin de minimiser <math|s>
  dans<nbsp>(<reference|par-hol-compl>). Parmi toutes les approximations de
  <math|\<gamma\>> en ligne brise <math|z<rsub|0>\<rightarrow\>\<cdots\>\<rightarrow\>z<rsub|l>>,
  il s'agit ensuite de minimiser la somme

  <\equation*>
    <big|sum><rsub|i=0><rsup|l-1>log<rsup|\<um\>1>
    <frac|\<rho\>(z<rsub|i>)|\|z<rsub|i+1>-z<rsub|i>\|><big|.>.
  </equation*>

  Cela peut s'interprter comme un problme de recherche de
  \S<nbsp>godsiques discrtes<nbsp>\T. Tant que la singularit (disons
  <math|0>) la plus proche ne change pas, la stratgie optimale consiste 
  prendre <math|\<lambda\>=z<rsub|i+1>/z<rsub|i>> constant (en
  approximation). crivant <math|\<lambda\>=<no-break>\<mathe\><rsup|r*\<mathe\><rsup|\<mathi\>*\<theta\>>>>
  avec <math|r\<less\>1>, ceci conduit  minimiser

  <\equation*>
    <frac|1|r*log \|1-\<mathe\><rsup|r*\<mathe\><rsup|\<mathi\>*\<theta\>>>\|>
  </equation*>

  pour <math|r> en fonction de <math|\<theta\>>. Pour <math|\<theta\>=0>,
  cela donne <math|\<lambda\>\<approx\><frac|1|2>> et pour
  <math|\<mathe\><rsup|\<mathi\>*\<theta\>>=\<mathi\>>, on obtient
  <math|\<lambda\>=\<mathe\><rsup|\<mathi\>*\<alpha\>>> avec
  <math|\<alpha\>\<approx\><frac|2*\<mathpi\>|17>>. Pour des chemins
  <math|\<gamma\>> plus complexes, nous remarquons enfin la possibilit de
  prcalculer les matrices de monodromie autour de chaque singularit pour un
  point de base fixe.

  <section|Singularits rgulires><label|reg-sing-sec>

  L'algorithme de la section<nbsp><reference|hol-alg-sec> ne s'applique pas
  directement pour calculer un grand nombre de dcimales de
  <math|\<zeta\>(3)><subindex|constante|d'Apry><subindex|Apry|constant
  d'<emdash>>, bien que <math|\<zeta\>(3)> soit l'valuation en <math|1> du
  trilogarithme <math|Li<rsub|3>(z)=<big|sum><rsub|n=1><rsup|\<infty\>>z<rsup|n>/n<rsup|3><big|.>>,
  qui est holonome. Le problme vient du fait que le trilogarithme admet des
  singularits en <math|0> (dans un autre feuillet de la surface de Riemann)
  et en <math|1>. Ceci conduit  s'interroger sur la manire de calculer la
  limite d'une fonction holonome dans une singularit lorsque celle-ci
  existe. Commenons par les singularits rgulires.

  Soit <math|L=L<rsub|r>*\<delta\><rsup|r>+\<cdots\>+L<rsub|0>\<in\>\<bbb-K\>[z][\<delta\>]>
  un oprateur diffrentiel, o <math|\<delta\>=z*\<partial\>>. On rappelle
  que <math|L> est <em|rgulier><bi-index|oprateur|rgulier> en <math|0> si
  <math|L<rsub|r>(0)\<neq\>0>. Par exemple, l'oprateur
  <math|L=(1-z)*\<delta\><rsup|4>-\<delta\><rsup|3>> est rgulier en
  <math|0>, et on a <math|L Li<rsub|3>=0>. Un oprateur rgulier <math|L>
  admet un systme fondamental de <math|r> solutions locales de la forme

  <\equation>
    <label|log-sol>f=(f<rsub|0>+\<cdots\>+f<rsub|t>*log<rsup|t>
    z)*z<rsup|\<sigma\>>,
  </equation>

  o <math|f<rsub|0>,\<ldots\>,f<rsub|t>> sont des sries convergentes dans
  <math|\<bbb-K\>[[z]]> et <math|\<sigma\>\<in\>\<bbb-K\><rsup|alg>> est
  algbrique sur<nbsp><math|\<bbb-K\>>. Une telle solution <math|f> peut
  galement s'interprter comme une srie gnralise dans
  <math|\<bbb-K\>[[(log z)<rsup|\<bbb-N\>>*z<rsup|\<bbb-N\>>]]*z<rsup|\<bbb-K\><rsup|alg>>>
  (voir aussi la section<nbsp><reference|lde-sec>), avec un monme dominant
  de la forme <math|\<frak-d\><rsub|f>=(log z)<rsup|i>*z<rsup|j+\<sigma\>>>
  (<math|i,j\<in\>\<bbb-N\>>).

  Fixons un ordre total sur le groupe des monmes <math|(log
  z)<rsup|\<bbb-N\>>*z<rsup|\<bbb-K\><rsup|alg>>>, qui prolonge l'ordre
  naturel sur <math|(log z)<rsup|\<bbb-N\>>*z<rsup|\<bbb-N\>>>. Alors il
  existe un unique systme fondamental, dit <em|canonique><subindex|systme
  fondamental|canonique>, de solutions <math|(f<rsup|[1]>,\<ldots\>,f<rsup|[r]>)>,
  vrifiant les proprits suivantes<nbsp>:

  <\description>
    <item*|SFC1>Les monmes dominants <math|\<frak-d\><rsub|i>> des
    <math|f<rsup|[i]>> vrifient <math|\<frak-d\><rsub|1>\<succ\>\<cdots\>\<succ\>\<frak-d\><rsub|r>>.

    <item*|SFC2>Pour tout <math|i>, le coefficient
    <math|f<rsub|\<frak-d\><rsub|i>><rsup|[i]>> de <math|\<frak-d\><rsub|i>>
    dans <math|f<rsup|[i]>> vaut <math|1>.

    <item*|SFC3>Pour tout <math|i> et tout <math|j\<neq\>i>, on a
    <math|f<rsup|[i]><rsub|\<frak-d\><rsub|j>>=0>.
  </description>

  Par dualit, l'existence d'un systme fondamental canonique de solutions
  permet de dfinir la <em|condition initiale><index|condition initiale>
  d'une solution <math|f> de <math|L f=0> en <math|0> comme le vecteur
  colonne <math|F(0)=(\<alpha\><rsub|1>,\<ldots\>,\<alpha\><rsub|r>)> avec

  <\equation*>
    f=\<alpha\><rsub|1>*f<rsup|[1]>+\<cdots\>+\<alpha\><rsub|r>*f<rsup|[r]>.
  </equation*>

  Ceci permet de gnraliser la notion de matrice de connection
  <math|\<Delta\><rsub|0<rsub|\<theta\>>\<rightarrow\>z>> pour des chemins
  droits de <math|0>  <math|z=r*\<mathe\><rsup|\<mathi\>*\<theta\>>> avec
  <math|r> petit. Ici, l'angle de sortie <math|\<theta\>> est dans
  <math|\<bbb-R\>> et non pas dans <math|\<bbb-R\>/(2*\<mathpi\>*\<bbb-R\>)>,
  afin de dterminer <math|log (r*\<mathe\><rsup|\<mathi\>*\<theta\>>)=log
  r+\<theta\>*\<mathi\>>. En utilisant les
  relations<nbsp>(<reference|cm-comp>) et<nbsp>(<reference|cm-inv>), cette
  gnralisation s'tend  des chemins en lignes brises qui peuvent passer 
  la fois par des points non singuliers et singuliers rguliers, quitte 
  spcifier des angles de sortie et d'arrive pour les singularits
  rgulires rencontres. Cette construction, et sa contre-partie gomtrique
  de \S<nbsp>surfaces de Riemann tendues<nbsp>\T, est explique en dtail
  dans<nbsp><cite|vdH:singhol>.

  Venons en maintenant  l'valuation efficace de solutions de
  type<nbsp>(<reference|log-sol>). Sans perdre de gnralit, on peut
  supposer que <math|\<sigma\>=0> et que toutes les solutions  <math|L f=0>
  dans <math|\<bbb-K\>[log z]((z))> sont dans
  <math|\<bbb-K\>[[z]]\<oplus\>\<cdots\>\<oplus\>\<bbb-K\>[[z]]*log<rsup|t>
  z>. En gnralisant les transformations <math|\<delta\>\<leftrightarrow\>k>
  et <math|z<rsup|\<um\>1>\<leftrightarrow\>S> de la
  section<nbsp><reference|hol-sec>, on montre<nbsp><cite-detail|vdH:singhol|Section<nbsp>3>
  qu'il existe un systme de premire ordre

  <\equation>
    <label|sing-rec-rel>F<rsub|k+1>=M<rsub|k>*F<rsub|k>,
  </equation>

  avec <math|M>  coefficients dans <math|\<bbb-K\>(k)>, et tel que le
  vecteur <math|F> contient <math|f<rsub|0>,\<ldots\>,f<rsub|t>> comme
  entres. Par ailleurs, chaque entre de <math|M> est borne pour
  <math|k\<rightarrow\>\<infty\>>, ce qui explique la convergence des sries
  <math|f<rsub|i>>. La seule diffrence avec le cas non singulier rside dans
  le fait que les dnominateurs des entres de <math|M> peuvent s'annuler
  pour un nombre fini de valeurs <math|k\<in\>{k<rsub|1>,\<ldots\>,k<rsub|p>}\<subseteq\>\<bbb-N\>>.
  Pour ces valeurs dgnres, nous montrons<nbsp><cite-detail|vdH:singhol|Section<nbsp>3.2.3>
  comment trouver des matrices exceptionnelles
  <math|M<rsub|k<rsub|1>>,\<ldots\>,M<rsub|k<rsub|p>>> pour lesquelles la
  relation<nbsp>(<reference|sing-rec-rel>) reste vraie. La stratgie
  \S<nbsp>diviser pour rgner<nbsp>\T de<nbsp>(<reference|dr-init>)
  et<nbsp>(<reference|dr-rec>) peut alors s'appliquer comme avant, ce qui
  nous amne au rsultat suivant<nbsp>:

  <\theorem>
    <label|reshol-th><theorem-note|<cite|vdH:singhol>> Soit
    <math|L\<in\>\<bbb-K\>[z][\<delta\>]> un oprateur diffrentiel linaire,
    rgulier en <math|0>. Alors il existe un nombre <math|\<rho\>\<gtr\>0>
    tel que pour tout <math|z=r*\<mathe\><rsup|\<mathi\>*\<theta\>>\<in\>\<bbb-K\>>
    avec <math|r\<less\>\<rho\>>, la matrice de transition
    <math|\<Delta\><rsub|0<rsub|\<theta\>>\<rightarrow\>z>> peut tre value
    avec une prcision de <math|n> chiffres en temps
    <math|O(<value|ssM>(n)*log<rsup|2> n)>.
  </theorem>

  <\remark>
    Dans un certain nombre de cas, les valeurs de fonctions holonomes dans
    des singularits rgulires peuvent aussi tre obtenues en utilisant des
    relations remarquables. Par exemple, dans<nbsp><cite|Kar95|HP97>,
    l'algorithme \S diviser pour rgner<nbsp>\T est appliqu plus directement
    pour l'valuation de <math|\<zeta\>(3)> et <math|\<zeta\>(2*k+1)>,
    <math|k\<in\>\<bbb-N\>>. Plus gnralement, des coefficients de la srie
    de Drinfel'd<subindex|srie|de Drinfel'd><subindex|Drinfel'd|srie de
    <emdash>><nbsp><cite|Drin91|vdH:issac98|vdH:shuffle> peuvent se calculer
    de faon commode en utilisant une relation
    remarquable<nbsp><cite-detail|vdH:singhol|Remarque<nbsp>4.1>.
  </remark>

  <\remark>
    Le calcul des matrices de connection admet deux applications
    intressantes<nbsp><cite-detail|vdH:singhol|Section<nbsp>4.2.4><nbsp>: le
    calcul de valeurs renormalises de fonctions holonomes et la rsolution
    de problmes de Sturm-Liouville (et leurs gnralisations  plusieurs
    singularits et plusieurs conditions initiales).
  </remark>

  <section|Acclro-sommation><label|hol-acc-sec>

  Pour avoir un ensemble complet d'algorithmes pour l'valuation de fonctions
  holonomes, il reste  traiter le cas des limites dans des singularits
  irrgulires. Par exemple, la constante
  d'Euler<subindex|constante|d'Euler><subindex|Euler|constante d'<emdash>>
  est le rsultat d'une valuation de ce type<nbsp>:

  <\equation>
    <label|gamma-formula>\<matheuler\>=\<um\><big|int><rsub|0><rsup|\<infty\>>\<mathe\><rsup|\<um\>x>*log
    x*\<mathd\> x<big|.>
  </equation>

  Une difficult majeure des singularits irrgulires est que les solutions
  formelles en sries sont gnralement divergentes. On ne peut leur donner
  un sens analytique que par des techniques de
  resommation<nbsp><cite|Bor28|Har63>, ce qui rend les algorithmes nettement
  plus complexes que ceux des sections prcdentes.

  Dans l'article<nbsp><cite|vdH:reshol>, nous montrons comment gnraliser
  les matrices de connection aux chemins passant par des singularits
  irrgulires, en utilisant une version fine de la procdure
  d'acclro-sommation d'calle<nbsp><inactive|><cite|Ec87|Ec92|Ec93|Br91>.
  Nous montrons ensuite comment utiliser des algorithmes \S<nbsp>diviser pour
  rgner<nbsp>\T pour le calcul efficace de ces matrices. Il est  noter que
  les matrices de Stokes sont un cas particulier de la thorie. Trs
  brivement, les ides principales sont les suivantes<nbsp>:

  <\description>
    <item*|Conditions initiales gnralises>Les constructions des bases
    fondamentales canoniques de solutions et la notion duale des conditions
    initiales dans la singularit se gnralisent, en considrant des
    solutions sous forme de transsries formelles, gnralement divergentes.

    <item*|Acclro-sommation>Les transsries formelles <math|<wide|f|~>>
    dans la base fondamentale canonique des solutions sont transformes en
    vritables solutions analytiques <em|via> le procd d'acclro-sommation
    d'calle<nbsp>:

    <\equation*>
      <tabular*|<tformat|<cwith|1|-1|2|2|cell-halign|c>|<cwith|1|-1|7|7|cell-halign|c>|<cwith|1|-1|8|8|cell-halign|c>|<cwith|1|-1|10|10|cell-halign|c>|<cwith|1|-1|11|11|cell-halign|l>|<cwith|1|-1|9|9|cell-halign|l>|<cwith|1|-1|1|1|cell-halign|r>|<table|<row|<cell|<wide|f|~>>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|f>>|<row|<cell|<with|math-level|1|<wide|\<cal-B\>|~><rsub|z<rsub|1>>>\<longdownarrow\>>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|>|<cell|\<longuparrow\><with|math-level|1|<wide|\<cal-L\>|^><rsub|z<rsub|p>><rsup|\<theta\><rsub|p>>>>>|<row|<cell|<wide|f|^><rsub|1>>|<cell|\<longrightarrowlim\><rsub|<wide|\<cal-A\>|^><rsub|z<rsub|1>\<rightarrow\>z<rsub|2>><rsup|\<theta\><rsub|1>>>>|<cell|<wide|f|^><rsub|2>>|<cell|\<longrightarrow\>>|<cell|\<cdots\>>|<cell|\<longrightarrow\>>|<cell|<wide|f|^><rsub|p-1>>|<cell|\<longrightarrowlim\><rsub|<wide|\<cal-A\>|^><rsub|z<rsub|p-1>\<rightarrow\>z<rsub|p>><rsup|\<theta\><rsub|p-1>>>>|<cell|<wide|f|^><rsub|p>>>>>>
    </equation*>

    Ceci permet de dfinir des matrices de transition entre <math|0> et des
    points <math|z> dans un secteur au voisinage de <math|0><nbsp>; outre
    l'angle <math|arg z> de sortie, il faudra spcifier les angles
    <math|\<theta\><rsub|1>,\<ldots\>,\<theta\><rsub|p>> utiliss lors des
    acclrations <with|mode|math|<wide|\<cal-A\>|^><rsub|z<rsub|1>\<rightarrow\>z<rsub|2>><rsup|\<theta\><rsub|1>>,\<ldots\>,<wide|\<cal-A\>|^><rsub|z<rsub|p-1>\<rightarrow\>z<rsub|p>><rsup|\<theta\><rsub|p-1>>>
    et de la transformation de Laplace <with|mode|math|<wide|\<cal-L\>|^><rsub|z<rsub|p>><rsup|\<theta\><rsub|p>>>
    finale.

    <item*|Oprateurs d'annulation>Le processus d'acclro-sommation peut
    s'effectuer sans sortir du cadre des fonctions holonomes. Nous montrons
    comment calculer des oprateurs d'annulation pour toutes les fonctions
    intermdiaires, y compris les majeurs. En outre, ces oprateurs sont
    suffisamment petits pour que la condition de croissance  l'infini
    (propre au processus d'acclro-sommation) soit respecte pour toutes les
    solutions de l'oprateur.

    <item*|Intgration>Moyennant tout ce qui prcde, on se ramne au
    problme suivant<nbsp>: tant donne une quation holonome <math|L f=0>
    dont le systme fondamental des solutions admet une dcroissance
    exponentielle  l'infini, comment calculer l'intgrale d'une solution
    particulire entre un point donn et l'infini<nbsp>? On montrera comment
    calculer ce genre d'intgrales en utilisant la stratgie \S<nbsp>diviser
    pour rgner<nbsp>\T.

    <item*|Estimations automatiques des erreurs>Toutes les bornes d'erreur
    intervenant dans le processus peuvent se calculer de faon entirement
    automatique en fonction de l'quation<nbsp>(<reference|hol-eq>) et du
    chemin suivi.
  </description>

  Au final, ceci conduit au thorme suivant<nbsp>:

  <\theorem>
    <label|singhol-th><theorem-note|<cite|vdH:reshol>> Soit
    <math|L\<in\>\<bbb-K\>[z][\<delta\>]> un oprateur diffrentiel linaire
    et soit <math|\<gamma\>> un chemin en ligne brise, pouvant passer par
    des singularits rgulires ou irrgulires. Alors <math|n> chiffres de
    la matrice de connection gnralise <math|\<Delta\><rsub|\<gamma\>>>
    peuvent se calculer en temps <math|O(<value|ssM>(n)*log<rsup|3> n)>.
  </theorem>

  <\remark>
    Dans certains cas<nbsp><cite-detail|vdH:reshol|Annexe<nbsp>A>, il est
    possible d'conomiser un facteur <math|log n> en faisant de la sommation
    jusqu'au plus petit terme<nbsp><cite|Poin1886>. On peut conomiser le
    mme facteur <math|log n> lorsque l'intgrande est une fonction entire.
  </remark>

  <\remark>
    Des algorithmes rapides pour le calcul rapide de la
    constante<nbsp><math|\<matheuler\>> taient dj connus
    auparavant<nbsp><cite|Swee63|BMM80|Kar00>. Plusieurs records du monde
    pour le calcul de <math|\<matheuler\>> ont t obtenus par <abbr|X.>
    Gourdon et <abbr|P.> Demichel en implantant des versions \S<nbsp>diviser
    pour rgner<nbsp>\T de<nbsp><cite|Swee63|BMM80>.
  </remark>

  <\big-table|<block*|<tformat|<cwith|1|-1|1|-1|cell-bsep|0.5spc>|<cwith|1|-1|1|-1|cell-tsep|0.5spc>|<cwith|1|1|1|-1|cell-background|pastel
  blue>|<cwith|1|-1|1|-1|cell-lborder|0.5ln>|<cwith|1|-1|1|-1|cell-rborder|0.5ln>|<cwith|1|-1|1|-1|cell-bborder|0.5ln>|<cwith|1|-1|1|-1|cell-tborder|0.5ln>|<cwith|2|2|3|3|cell-background|pastel
  yellow>|<table|<row|<cell|Sries de type>|<cell|<with|mode|math|L<rsub|i,j>,z\<in\>\<bbb-Q\><rsup|alg>>>|<cell|<math|L<rsub|i,j>\<in\>\<bbb-Q\><rsup|alg>>,
  <math|z\<in\>\<bbb-C\><rsup|com>>>|<cell|<math|L<rsub|i,j>,z\<in\>\<bbb-C\><rsup|com>>>>|<row|<cell|<with|mode|math|<big|sum><rsub|n=0><rsup|\<infty\>><frac|f<rsub|n>|(n!)<rsup|\<kappa\>>>*z<rsup|n><big|.>>>|<cell|<with|mode|math|O(<value|ssM>(n)*log
  n)>>|<cell|<with|mode|math|O(<value|ssM>(n)*log<rsup|2>
  n)>>|<cell|<math|O(<value|ssM>(n<rsup|3/2>)*<sqrt|log
  n>)>>>|<row|<cell|<with|mode|math|<big|sum><rsub|n=0><rsup|\<infty\>>f<rsub|n>*z<rsup|n><big|.>>>|<cell|<with|mode|math|O(<value|ssM>(n)*log<rsup|2>
  n)>>|<cell|<with|mode|math|O(<value|ssM>(n)*log<rsup|2> n*log log
  n)>>|<cell|<with|mode|math|O(<value|ssM>(n<rsup|3/2>)*log
  n)>>>|<row|<cell|<with|mode|math|<big|sum><rsub|n=0><rsup|\<infty\>><big|.>f<rsub|n>*(n!)<rsup|\<kappa\>>*z<rsup|n>>>|<cell|<with|mode|math|O(<value|ssM>(n)*log<rsup|3>
  n)>>|<cell|<with|mode|math|O(<value|ssM>(n)*log<rsup|3>
  n)>>|<cell|<with|mode|math|O(<value|ssM>(n<rsup|3/2>)*log<rsup|2> n)>>>>>>>
    <label|eval-table>Rcapitulatif des complexits pour valuer diffrents
    types de sries holonomes. Nous supposons que
    <with|mode|math|\<kappa\>\<in\>\<bbb-Q\><rsup|\<gtr\>>> et
    <with|mode|math|\|f<rsub|n>\|\<leqslant\>K*\<alpha\><rsup|n>><with|mode|math|<big|.>>
    pour certains <with|mode|math|K,\<alpha\>\<gtr\>0>. Le cas divergent
    prsuppose une procdure adquate d'acclro-sommation. La case en jaune
    corrige une erreur dans<nbsp><cite|vdH:reshol>.
  </big-table>

  <section|Algorithmes efficaces pour les sries>

  Considrons maintenant une fonction analytique plus gnrale
  <math|f=f<rsub|0>+f<rsub|1>*z+\<cdots\>> en<nbsp><math|0>, avec un rayon de
  convergence <math|r>. La stratgie la plus simple pour valuer <math|f> en
  un point <math|z> avec <math|\|z\|\<less\>r> consiste  calculer un nombre
  suffisant de coefficients <math|f<rsub|0>,\<ldots\>,f<rsub|n>> avec une
  prcision suffisante, et de prendre <math|f(z)\<approx\>f<rsub|0>+\<cdots\>+f<rsub|n>*z<rsup|n>>.
  Dans ce qui suit, on supposera que <math|f> est la solution unique d'une
  quation diffrentielle ou fonctionnelle avec conditions initiales. Ds
  lors, on peut utiliser la technique des sries
  majorantes<nbsp><cite|BB1856|Kov1875|vdH:effan|vdH:maj> ou des oprateurs
  contractants <cite-detail|vdH:riemann|Sections<nbsp>6.3 et<nbsp>6.4> afin
  de trouver des bornes effectives pour le rayon <math|r> et l'ordre
  <math|n>. Cela nous ramne au problme de calcul efficace des coefficients
  d'une srie.

  Soit donc <math|\<cal-C\>> un anneau effectif de constantes. Pour nos
  tudes de complexit, on supposera que les oprations dans <math|\<cal-C\>>
  ont un cot <math|O(1)>. En ralit, si on calcule avec des nombres de
  <math|n> chiffres, il faudrait donc multiplier nos complexits par
  <math|O(<value|ssM>(n))>. Ce facteur supplmentaire peut tre rduit 
  <math|O(n)> en recourant  des <acronym|FFT> bivaries.

  De manire gnrale, la plupart des algorithmes pour calculer avec des
  nombres admettent des variantes pour les polynmes et les sries tronques.
  Par exemple, la multiplication de sries  l'ordre <math|n> peut se faire
  en temps <math|<value|ssM>(n)=O(n*log n*log log n)> et la mthode de Newton
  permet le calcul des inverses, du logarithme et de l'exponentielle en
  temps<nbsp><math|O(<value|ssM>(n))>.

  Une observation importante<nbsp><cite|BK75|BK77|BK78> est que la mthode de
  Newton peut aussi tre utilise pour rsoudre des quation diffrentielles
  et fonctionnelles. Pour cela, il est cependant ncessaire que la linarise
  de l'quation puisse se rsoudre. Dans le cas d'une quation diffrentielle
  d'ordre suprieur, ceci peut se faire par la mthode de variation des
  constantes<nbsp><cite|BK78|vdH:relax>. Une meilleure
  mthode<nbsp><cite|Sedo01|BCOSSS06> consiste  rcrire l'quation linaire
  comme systme de premier ordre et de calculer un systme fondamental de
  solutions. Les deux approches permettent la rsolution d'une quation
  diffrentielle ordinaire en temps<nbsp><math|O(<value|ssM>(n))>.

  Une autre ide pour la rsolution d'quations implicites dans les sries
  est d'utiliser une variante de l'quation elle-mme pour le calcul des
  coefficients. Par exemple, l'quation <math|g=\<mathe\><rsup|f>> peut se
  rcrire <math|g=<big|int><big|.>f<rprime|'>*g>, aprs quoi on obtient la
  relation de rcurrence

  <\equation*>
    g<rsub|n>=<left|(><value|I>f<rprime|'>*g<right|)><rsub|n>=<frac|1|n-1>*(f<rprime|'>*g)<rsub|n-1>=<frac|1|n-1>*<big|sum><rsub|k=0><rsup|n-1>f<rprime|'><rsub|n-1-k>*g<rsub|k><big|.>
  </equation*>

  pour les coefficients de <math|g>. Le problme de cette stratgie est que
  le <math|n>-ime terme du produit <math|f<rprime|'>*g> doit tre disponible
  ds que les <math|n> premiers termes de <math|f<rprime|'>> et <math|g> le
  sont. Par consquent, on ne peut plus recourir  des algorithmes
  asymptotiquement efficaces pour multiplier des sries tronques.

  Supposons toujours que l'on veut calculer le produit <math|h=f*g> avec la
  contrainte que <math|h<rsub|0>,\<ldots\>,<no-break>h<rsub|n>> doivent tre
  disponibles ds que <math|f<rsub|0>,\<ldots\>,f<rsub|n>> et
  <math|g<rsub|0>,\<ldots\>,g<rsub|n>> le sont.
  Dans<nbsp><cite|vdH:issac97|vdH:relax|vdH:issac03|vdH:newrelax>, nous avons
  introduit plusieurs algorithmes efficaces pour ce problme de
  <em|multiplication dtendue>. \ L'ide majeure derrire ces algorithmes est
  d'<em|anticiper> le calcul des coefficients ultrieurs
  <math|g<rsub|n+1>,\<ldots\>,g<rsub|2*n-1>>  l'tape<nbsp><math|n>. Nous
  avons illustr cette ide pour l'algorithme
  de<nbsp><cite|vdH:issac97|vdH:relax>. Dans la
  figure<nbsp><reference|relax-fig>, la contribution de chaque carr au
  produit <math|h> est calcule par un algorithme de multiplication rapide.
  Par exemple,  l'tape <math|6>, lorsque
  <math|f<rsub|0>,\<ldots\>,f<rsub|6>> et
  <math|g<rsub|0>,\<ldots\>,<no-break>g<rsub|6>> sont connus, le carr
  <math|4\<times\>4> avec un <math|6> dedans correspond au calcul de la
  contribution de <math|(f<rsub|3>+\<cdots\>+f<rsub|6>*z<rsup|3>)*(g<rsub|3>+\<cdots\>+g<rsub|6>*z<rsup|3>)>.
  Une analyse de complexit conduit  l'estimation

  <\equation>
    <label|rel-bound-1><value|ssR>(n)=O(<value|ssM>(n)*log n).
  </equation>

  Dans le cas o <math|\<cal-C\>> admet suffisamment de racines
  <math|2<rsup|p>>-imes d'unit, le meilleur algorithme de multiplication
  dtendue actuel<nbsp><cite|vdH:newrelax> admet une complexit

  <\equation>
    <label|rel-bound-2><value|ssR>(n)=O(n*log n*\<mathe\><rsup|2*<sqrt|log
    2*log log n>>).
  </equation>

  Par ailleurs, les algorithmes<nbsp><cite|BK75> pour la composition et
  l'inversion de sries formelles peuvent galement tre rendus
  dtendus<nbsp><cite|vdH:relax>, conduisant  des algorithmes en
  temps<nbsp><math|O(<value|ssR>(n)*<sqrt|n*log n|>)>. On peut amliorer
  cette complexit jusqu' <math|O(<value|ssR>(n)* log n)> dans le cas d'une
  post-composition avec une fonction algbrique.

  <big-figure|<postscript|relaxed1.ps|/2|/2||||>|<label|relax-fig>Illustration
  de l'algorithme rapide pour la multiplication dtendue.>

  Dans les cas o l'on peut utiliser  la fois la mthode de Newton et la
  mthode dtendue, il est intressant de faire une comparaison plus
  dtaille. Le cas le plus important est la rsolution d'quations
  diffrentielles ordinaires (seule la mthode dtendue continue  marcher
  pour les quations aux drives partielles). Or, bien que la mthode de
  Newton en <math|O(<value|ssM>(n))> est thoriquement la plus efficace, sa
  complexit cache un facteur constant plus important et une dpendance moins
  bonne par rapport aux paramtres de l'quation, comme l'ordre <math|r>. En
  effet, la complexit de la mthode de Brent et Kung dpend
  exponentiellement de <math|r>. Mme dans le cas
  de<nbsp><cite|Sedo01|BCOSSS06>, trouver <em|une> solution particulire de

  <\equation*>
    f<rsup|(17)>-z*f<rprime|'>+f=0
  </equation*>

  conduit essentiellement  trouver une base de solutions et  perdre
  l'aspect creux de l'quation. Toutefois, dans<nbsp><cite|vdH:fnewton>, nous
  avons propos quelques optimisations, qui permettent de rduire ces
  inconvnients. Dans le tableau<nbsp><reference|lin-sys-tab>, nous avons
  rsum l'tat actuel des connaissances dans le cas d'un systme d'quations
  linaires.

  <\big-table|<block|<tformat|<cwith|1|1|1|1|cell-row-span|1>|<cwith|1|1|1|1|cell-col-span|3>|<cwith|1|-1|2|2|cell-halign|c>|<cwith|1|-1|3|3|cell-halign|c>|<cwith|1|-1|2|2|cell-width|4.5cm>|<cwith|1|-1|1|1|cell-halign|c>|<cwith|2|2|1|-1|cell-background|pastel
  blue>|<cwith|1|1|1|-1|cell-background|#a0a0ff>|<cwith|1|1|1|1|cell-background|#c0c0ff>|<cwith|1|-1|3|3|cell-width|6cm>|<table|<row|<cell|Rsolution
  d'un systme <with|mode|math|r>-dimensionnel d'quations diffrentielles
  linaires>|<cell|>|<cell|>>|<row|<cell|Algorithme>|<cell|Systme
  fondamental>|<cell|Une solution>>|<row|<cell|Dtendu>|<cell|<with|mode|math|<op|\<sim\>>
  <value|ssR>(n)*r<rsup|2>>>|<cell|<with|mode|math|<op|\<sim\>>
  <value|ssR>(n)*s>>>|<row|<cell|<cite|Sedo01>>|<cell|<with|mode|math|<op|\<sim\>>
  4*<value|ssM>(n)*r<rsup|2>>>|<cell|<with|mode|math|<op|\<sim\>>
  <value|ssM>(n)*(17/6*r<rsup|2>+s/2+2/3*r)>>>|<row|<cell|<cite|vdH:fnewton>>|<cell|<with|mode|math|<op|\<sim\>>
  7/3*<value|ssM>(n)*r<rsup|2>>>|<cell|<with|mode|math|<op|\<sim\>>
  <value|ssM>(n)*(s+4/3*r)>>>>>>>
    <label|lin-sys-tab>Complexits pour la rsolution d'un systme
    <with|mode|math|r>-dimensionnel <with|mode|math|\<delta\> F=A*F> 
    l'ordre <math|n> avec une condition initiale donne. Le paramtre
    <with|mode|math|s> dsigne le nombre de coefficients non nuls dans
    <with|mode|math|A> (on a toujours <with|mode|math|s\<leqslant\>r<rsup|2>>).
    On suppose des coefficients flottants (longs ou pas) et
    <with|mode|math|r=o(log n)>.
  </big-table>

  \;
</body>

<\initial>
  <\collection>
    <associate|font-base-size|11>
    <associate|language|french>
    <associate|par-hyphen|professional>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|ade-sys-tab|<tuple|5.3|?>>
    <associate|auto-1|<tuple|5|1>>
    <associate|auto-10|<tuple|5.4|6>>
    <associate|auto-11|<tuple|5.4|6>>
    <associate|auto-12|<tuple|5.4|6>>
    <associate|auto-13|<tuple|5.4|6>>
    <associate|auto-14|<tuple|5.12|6>>
    <associate|auto-15|<tuple|5.12|6>>
    <associate|auto-16|<tuple|5.7|7>>
    <associate|auto-17|<tuple|5.7|7>>
    <associate|auto-18|<tuple|5.5|7>>
    <associate|auto-19|<tuple|5.5|7>>
    <associate|auto-2|<tuple|5.1|1>>
    <associate|auto-20|<tuple|5.5|7>>
    <associate|auto-21|<tuple|5.1|9>>
    <associate|auto-22|<tuple|5.6|9>>
    <associate|auto-23|<tuple|5.1|11>>
    <associate|auto-24|<tuple|5.2|11>>
    <associate|auto-25|<tuple|5.3|?>>
    <associate|auto-26|<tuple|5.15|?>>
    <associate|auto-27|<tuple|5.5.2|?>>
    <associate|auto-28|<tuple|5.6|?>>
    <associate|auto-29|<tuple|5.7|?>>
    <associate|auto-3|<tuple|5.1|1>>
    <associate|auto-30|<tuple|5.7|?>>
    <associate|auto-4|<tuple|5.1|1>>
    <associate|auto-5|<tuple|5.2|2>>
    <associate|auto-6|<tuple|5.3|4>>
    <associate|auto-7|<tuple|5.3|4>>
    <associate|auto-8|<tuple|5.3|4>>
    <associate|auto-9|<tuple|5.4|6>>
    <associate|can-weak-rep-alg|<tuple|1.1|?>>
    <associate|cm-comp|<tuple|5.9|4>>
    <associate|cm-inv|<tuple|5.10|4>>
    <associate|dr-init|<tuple|5.7|3>>
    <associate|dr-rec|<tuple|5.8|3>>
    <associate|eval-chap|<tuple|5|?>>
    <associate|eval-table|<tuple|5.1|9>>
    <associate|gamma-formula|<tuple|5.14|7>>
    <associate|hol-acc-sec|<tuple|5.5|?>>
    <associate|hol-alg-sec|<tuple|5.2|2>>
    <associate|hol-charac|<tuple|5.2|1>>
    <associate|hol-cont-sec|<tuple|5.3|?>>
    <associate|hol-eq|<tuple|5.1|1>>
    <associate|hol-matr-eq|<tuple|5.3|2>>
    <associate|hol-sec|<tuple|5.1|1>>
    <associate|hol-shift-eq|<tuple|5.4|2>>
    <associate|hol-shift-matr-eq|<tuple|5.5|2>>
    <associate|hol-th|<tuple|5.1|3>>
    <associate|hold-shift-eq|<tuple|5.3|?>>
    <associate|irreg-sol|<tuple|5.15|8>>
    <associate|itr-ex|<tuple|4.1|?>>
    <associate|lin-sys-tab|<tuple|5.2|11>>
    <associate|log-sol|<tuple|5.12|6>>
    <associate|main-th-1|<tuple|5.10|?>>
    <associate|nonalg-hol-th|<tuple|5.4|5>>
    <associate|normal-ode|<tuple|4.2|?>>
    <associate|par-hol-compl|<tuple|5.11|4>>
    <associate|par-hol-th|<tuple|5.3|4>>
    <associate|reg-sing-sec|<tuple|5.4|6>>
    <associate|rel-bound-1|<tuple|5.15|10>>
    <associate|rel-bound-2|<tuple|5.16|10>>
    <associate|relax-fig|<tuple|5.1|11>>
    <associate|reshol-th|<tuple|5.6|?>>
    <associate|reshol:AS|<tuple|5.15|?>>
    <associate|rest-bound|<tuple|5.6|2>>
    <associate|sing-rec-rel|<tuple|5.13|7>>
    <associate|singhol-th|<tuple|5.9|9>>
    <associate|thf-sec|<tuple|4.4|?>>
    <associate|toc-1|<tuple|1|?>>
    <associate|toc-2|<tuple|1.1|?>>
    <associate|toc-3|<tuple|1.2|?>>
    <associate|toc-4|<tuple|1.2.1|?>>
    <associate|toc-5|<tuple|1.2.1|?>>
    <associate|toc-6|<tuple|1.2.1|?>>
    <associate|toc-7|<tuple|1.2.2|?>>
    <associate|toc-8|<tuple|1.3|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|bib>
      SS71

      Kar63

      Toom63b

      CT65

      vdH:hol

      vdH:singhol

      vdH:riemann

      vdH:phd

      vdH:hol

      Br76a

      CC90

      vdH:phd

      vdH:hol

      SS72

      Kar91

      HP97

      CC90

      vdH:phd

      vdH:hol

      vdH:phd

      vdH:hol

      vdH:phd

      vdH:hol

      CC90

      vdH:singhol

      vdH:singhol

      vdH:singhol

      vdH:singhol

      Kar95

      HP97

      Drin91

      vdH:issac98

      vdH:shuffle

      vdH:singhol

      vdH:singhol

      Bor28

      Har63

      vdH:reshol

      Ec87

      Ec92

      Ec93

      Br91

      vdH:reshol

      vdH:reshol

      Poin1886

      Swee63

      BMM80

      Kar00

      Swee63

      BMM80

      vdH:reshol

      BB1856

      Kov1875

      vdH:effan

      vdH:maj

      vdH:riemann

      BK75

      BK77

      BK78

      BK78

      vdH:relax

      Sedo01

      BCOSSS06

      vdH:issac97

      vdH:relax

      vdH:issac03

      vdH:newrelax

      vdH:issac97

      vdH:relax

      vdH:newrelax

      BK75

      vdH:relax

      Sedo01

      BCOSSS06

      vdH:fnewton

      Sedo01

      vdH:fnewton
    </associate>
    <\associate|figure>
      <tuple|normal|<label|relax-fig>Illustration de l'algorithme rapide pour
      la multiplication dtendue.|<pageref|auto-23>>
    </associate>
    <\associate|idx>
      <tuple|<tuple|fonction|holonme>|<pageref|auto-3>>

      <tuple|<tuple|holonme|fonction>|<pageref|auto-4>>

      <tuple|<tuple|condition initiale>|<pageref|auto-7>>

      <tuple|<tuple|matrice de connection>|<pageref|auto-8>>

      <tuple|<tuple|constante|d'Apry>|<pageref|auto-10>>

      <tuple|<tuple|Apry|constant d'<with|font|<quote|roman>|\V>>|<pageref|auto-11>>

      <tuple|<tuple|oprateur|rgulier>|<pageref|auto-12>>

      <tuple|<tuple|rgulier|oprateur>|<pageref|auto-13>>

      <tuple|<tuple|systme fondamental|canonique>|<pageref|auto-14>>

      <tuple|<tuple|condition initiale>|<pageref|auto-15>>

      <tuple|<tuple|srie|de Drinfel'd>|<pageref|auto-16>>

      <tuple|<tuple|Drinfel'd|srie de <with|font|<quote|roman>|\V>>|<pageref|auto-17>>

      <tuple|<tuple|constante|d'Euler>|<pageref|auto-19>>

      <tuple|<tuple|Euler|constante d'<with|font|<quote|roman>|\V>>|<pageref|auto-20>>
    </associate>
    <\associate|table>
      <\tuple|normal>
        <label|eval-table>Rcapitulatif des complexits pour valuer
        diffrents types de sries holonomes. Nous supposons que
        <with|mode|<quote|math>|\<kappa\>\<in\>\<bbb-Q\><rsup|\<gtr\>>> et
        <with|mode|<quote|math>|\|f<rsub|n>\|\<leqslant\>K*\<alpha\><rsup|n>><with|mode|<quote|math>|<big|.>>
        pour certains <with|mode|<quote|math>|K,\<alpha\>\<gtr\>0>. Le cas
        divergent prsuppose une procdure adquate d'acclro-sommation. La
        case en jaune corrige une erreur dans
        <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>>[<write|bib|vdH:reshol><reference|bib-vdH:reshol>].
      </tuple|<pageref|auto-21>>

      <\tuple|normal>
        <label|lin-sys-tab>Complexits pour la rsolution d'un systme
        <with|mode|<quote|math>|r>-dimensionnel
        <with|mode|<quote|math>|\<delta\> F=A*F>  l'ordre
        <with|mode|<quote|math>|n> avec une condition initiale donne. Le
        paramtre <with|mode|<quote|math>|s> dsigne le nombre de
        coefficients non nuls dans <with|mode|<quote|math>|A> (on a toujours
        <with|mode|<quote|math>|s\<leqslant\>r<rsup|2>>). On suppose des
        coefficients flottants (longs ou pas) et
        <with|mode|<quote|math>|r=o(log n)>.
      </tuple|<pageref|auto-24>>
    </associate>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|font-shape|<quote|small-caps>|5.<space|2spc>valuation
      rapide de fonctions> <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-1><vspace|0.5fn>

      5.1.<space|2spc>Fonctions holonomes
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-2>

      5.2.<space|2spc>valuation en des points algbriques
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-5>

      5.3.<space|2spc>Continuation analytique
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-6>

      5.4.<space|2spc>Singularits rgulires
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-9>

      5.5.<space|2spc>Acclro-sommation <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-18>

      5.6.<space|2spc>Algorithmes efficaces pour les sries
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-22>
    </associate>
  </collection>
</auxiliary>