<TeXmacs|1.0.6.12>

<project|hab.tp>

<style|tmbook-compact>

<\body>
  <assign|chapter-nr|5><chapter|Thorie de Galois
  diffrentielle><label|gal-chap>

  Dans ce chapitre, nous prsentons deux algorithmes pour la factorisation
  d'un oprateur diffrentiel linaire  coefficients dans
  <math|\<bbb-Q\><rsup|alg>[z]> et le calcul de son groupe de Galois
  diffrentiel<nbsp><cite|vdH:galois>. Le deuxime algorithme exige de
  calculer avec une prcision suffisante (dont nous sommes  prsent
  incapable de dcider quand elle est atteinte).

  Nos algorithmes introduisent de l'analyse dans des problmes qui sont
  classiquement du ressort de techniques purement algbriques du calcul
  formel<nbsp><cite|SSC85|SU93|Mit96|vH:phd|vH97|vHW97|cS98|vdPS03>. Par
  ailleurs, notre faon de calculer avec des groupes algbriques diffre de
  la faon habituelle de faire en calcul formel<nbsp>: plutt que de calculer
  avec les quations du groupe<nbsp><cite|Der99|DJK05>, nous calculerons
  directement avec la varit.

  Mme s'il est tout  fait concevable que l'on puisse faire autrement, notre
  exemple met en lumire une philosophie plus gnrale<nbsp>:

  <\enumerate>
    <item>L'analyse effective peut rsoudre ou aider  rsoudre plus
    efficacement des problmes de nature algbrique en apparence (et <em|vice
    versa>). Il est grand temps que le <em|status quo> (considrer des
    mthodes numriques comme taboues et/ou manquer de courage pour implanter
    de tels algorithmes) soit dpass.

    <item>Faire attention  ne jamais perdre la signification gomtrique des
    objets avec lesquels on calcule<nbsp>: la manipulation d'quations par
    des techniques prouves (bases de Groebner, algbre diffrentielle)
    n'est pas l'alpha et l'omga du calcul formel.
  </enumerate>

  <section|Rappels><label|gal-rap-sec>

  Soit <math|\<bbb-K\>> un sous-corps algbriquement clos de
  <math|\<bbb-C\><rsup|com>> et <math|\<cal-F\>=\<bbb-K\>(z)>. Considrons un
  oprateur diffrentiel linaire monique
  <with|mode|math|L=\<partial\><rsup|n>+L<rsub|n-1>*\<partial\>+\<cdots\>+L<rsub|0>\<in\>\<cal-F\>[\<partial\>]>.
  Nous noterons par <with|mode|math|\<cal-S\>=\<cal-S\><rsub|L>\<subseteq\>\<bbb-K\>\<cup\><no-break>{\<infty\>}>
  l'ensemble fini des singularits de <math|L> (dans le cas
  de<nbsp><math|\<infty\>>, on considre la transformation
  <with|mode|math|z\<mapsto\>z<rsup|\<um\>1>>). Une <em|extension de
  Picard-Vessiot> de<nbsp><with|mode|math|\<cal-F\>> est un corps
  diffrentiel <with|mode|math|\<cal-K\>\<supseteq\>\<cal-F\>> tel que

  <\description>
    <item*|PV1><with|mode|math|\<cal-K\>=\<cal-F\>\<langle\>h<rsub|1>,\<ldots\>,h<rsub|n>\<rangle\>>
    est gnr diffrentiellement par <with|mode|math|\<cal-F\>> et un
    systme fondamental <with|mode|math|\<b-h\>=(h<rsub|1>,\<ldots\>,h<rsub|n>)\<in\>\<cal-K\><rsup|n>>
    de solutions  <with|mode|math|L f=0>.

    <item*|PV2><with|mode|math|\<cal-K\>> admet <with|mode|math|\<bbb-K\>>
    comme corps de constantes.
  </description>

  En prenant un systme fondamental canonique de solutions
  <math|\<b-h\><rsup|z<rsub|0>>> dans un point<nbsp><group|<math|z<rsub|0>\<in\>\<bbb-K\>>>
  non-singulier (ou singulier<nbsp>; voir par exemple la
  section<nbsp><reference|reg-sing-sec>), on construit une extension de
  Picard-Vessiot.

  Soit <with|mode|math|\<cal-K\>> une extension de Picard-Vessiot de
  <with|mode|math|\<cal-F\>> avec <with|mode|math|\<b-h\>\<in\>\<cal-K\><rsup|n>>
  comme dans<nbsp><strong|PV1>. Le <em|groupe de Galois diffrentiel>
  <with|mode|math|<value|ssGal><rsub|\<cal-K\>/\<cal-F\>>> de l'extension
  <with|mode|math|\<cal-K\>/\<cal-F\>> est le groupe des automorphismes
  diffrentiels qui laissent <with|mode|math|\<cal-F\>> invariant point par
  point. Il est classique<nbsp><cite|Kol73> que
  <with|mode|math|<value|ssGal><rsub|L>=<value|ssGal><rsub|L>(\<bbb-K\>)=<value|ssGal><rsub|\<cal-K\>/\<cal-F\>>>
  est indpendant ( isomorphisme prs) du choix particulier de l'extension
  de Picard-Vessiot <with|mode|math|\<cal-K\>>. tant donn un automorphisme
  <with|mode|math|\<sigma\>\<in\><no-break><value|ssGal><rsub|\<cal-K\>/\<cal-F\>>>,
  toute solution <with|mode|math|f> de <with|mode|math|L f=0> est envoye
  vers une autre solution. En particulier, <math|\<sigma\>> induit une
  matrice <math|M<rsub|\<sigma\>,\<b-h\>>\<in\><value|ssGL><rsub|n>(\<bbb-K\>)>
  dans la base <math|\<b-h\>>, conduisant  une prsentation
  <math|<value|ssGal><rsub|L,\<b-h\>>> de <math|<value|ssGal><rsub|L>> dans
  <math|<value|ssGL><rsub|n>(\<bbb-K\>)>. On vrifie que
  <math|<value|ssGal><rsub|L,\<b-h\>>> est un groupe algbrique de matrices,
  ferm pour la topologie de Zariski. Par ailleurs,
  <math|<value|ssGal><rsub|L>(<wide|\<bbb-K\>|^>)=<value|ssGal>(\<bbb-K\>)\<otimes\><wide|\<bbb-K\>|^>>
  pour toute extension <math|<wide|\<bbb-K\>|^>\<supseteq\>\<bbb-K\>> des
  scalaires.

  La thorie de Galois diffrentielle admet de nombreuses analogies avec la
  thorie de Galois classique<nbsp><cite|Kap57|Kol73|vdPS03>. D'une part, il
  existe une contre-partie diffrentielle de la correspondance de Galois. Par
  ailleurs, les relations remarquables entre les solutions et l'existence de
  solutions d'un certain type peuvent se lire sur le groupe de Galois. Par
  exemple, l'existence de solutions Liouvilliennes est quivalente 
  l'existence d'une base dans laquelle <math|<value|ssGal><rsub|L>> est
  triangulaire. De mme, l'existence d'une factorisation de <math|L> est
  quivalente  l'existence d'un sous-espace invariant non trivial sous
  l'action de <math|<value|ssGal><rsub|L>>.

  La thorie d'acclro-sommation d'calle permet d'tablir un lien entre la
  thorie de Galois diffrentielle et l'analyse. En effet, le thorme de
  densit de Martinet-Ramis<nbsp><cite|MR91> affirme que
  <math|<value|ssGal><rsub|L>> est engendr par les matrices de monodromie
  autour des singularits de <math|L>, combines avec les groupes
  exponentiels locaux, ainsi que les matrices de Stokes. Dans le cas
  Fuchsien, ce rsultat est du  Schlesinger<nbsp><cite|Schl95|Schl97>. Les
  algorithmes dans ce chapitre s'appuient sur notre version effective du
  thorme de densit<nbsp>:

  <\theorem>
    <label|density-th><theorem-note|(Thorme<nbsp>effectif de densit)>. Il
    existe un algorithme qui prend <math|L\<in\>\<cal-F\>[\<partial\>]> en
    entre, et qui calcule un nombre fini de matrices
    <math|\<cal-M\>\<subseteq\><value|ssGL><rsub|n>(\<bbb-C\><rsup|com>)>,
    tel que <math|\<cal-M\>> gnre <math|<value|ssGal><rsub|L>> en tant que
    sous-groupe algbrique ferm de <math|<value|ssGL><rsub|n>(\<bbb-C\>)>.
  </theorem>

  <\proof>
    Combinaison de <cite-detail|vdH:galois|Section<nbsp>2.5> et le
    Thorme<nbsp><reference|reshol-th> (dans le cas o <math|\<bbb-K\>>
    contient des nombres transcendants, le
    Thorme<nbsp><reference|reshol-th> s'applique encore, sauf que les
    <math|2<rsup|\<um\>d>>-approximations se calculent en temps
    <math|O(<value|ssM>(d<rsup|3/2>)*log<rsup|2> d)> seulement).
  </proof>

  <section|Factorisation d'oprateurs diffrentiels><label|cal-fact-sec>

  Il est classique que les factorisations de <math|L> sont en correspondance
  avec les sous-espaces vectoriels non triviaux sous l'action
  de<nbsp><math|<value|ssGal><rsub|L>><nbsp>:

  <\proposition>
    <label|gal-fact-char>

    <\enumerate-alpha>
      <item>Si <with|mode|math|L> se factorise
      <with|mode|math|L=K<rsub|1>*K<rsub|2>>, alors
      <with|mode|math|<value|ssGal><rsub|L,\<b-h\>>> laisse
      <with|mode|math|ker K<rsub|2>> invariant.

      <item>Si <with|mode|math|V> est un sous-espace vectoriel de
      <math|\<bbb-C\><rsup|n>>, invariant sous l'action
      de<nbsp><with|mode|math|<value|ssGal><rsub|L,\<b-h\>>>, alors
      <with|mode|math|L> se factorise <with|mode|math|L=K<rsub|1>*K<rsub|2>>
      avec <with|mode|math|V=ker K<rsub|2>>.
    </enumerate-alpha>
  </proposition>

  Combinant cette proposition avec le thorme<nbsp><reference|density-th>,
  factoriser <math|L> quivaut donc  trouver les sous-espaces invariants
  <math|V> sous l'action de <math|\<cal-M\>>. Ces espaces <math|V> sont
  encore les sous-espaces invariants sous l'action de l'algbre
  <math|<value|ssAlg>(\<cal-M\>)> engendre par <math|\<cal-M\>>, ce qui
  rduit leur dtermination  un problme d'algbre linaire de
  dimension<nbsp><math|n<rsup|2>>. Dans<nbsp><cite-detail|vdH:galois|Sections<nbsp>3.2
  et<nbsp>3.3>, nous prsentons un algorithme un peu plus fin pour la
  dtermination des sous-espaces invariants.

  Toutefois, notre prsentation a fait abstraction d'un problme
  important<nbsp>: les entres des matrices dans <math|\<cal-M\>> tant des
  constantes transcendantes (holonomes) dans<nbsp><math|\<bbb-C\><rsup|com>>,
  nous n'avons pas de test d'galit dans
  <math|\<bbb-Q\>[M<rsub|i,j>\|M\<in\>\<cal-M\>]>. Par consquent,
  l'algorithme pour dterminer les espaces invariants est incomplet<nbsp>: en
  utilisant une prcision <math|d> et un test heuristique d'galit pour la
  prcision <math|d>, l'algorithme permet de dmontrer la non-existence de
  sous-espaces invariants, mais pas leur existence ventuelle. Toutefois, on
  sait que l'algorithme est correct  partir d'une prcision suffisamment
  grande<nbsp><math|d\<geqslant\>d<rsub|0>>, dont nous ignorons la valeur.

  Heureusement, il existe un remde  ce problme pineux dans le cas de la
  factorisation<nbsp>: si on <em|pense> avoir trouv un sous-espace invariant
  <math|V>, alors la proposition<nbsp><reference|gal-fact-char> permet de
  trouver un <em|candidat> <math|K<rsub|2>> pour le facteur droit (ceci fait
  intervenir plusieurs techniques non-triviales, mais classiques, pour
  reconstruire les coefficients de <math|K<rsub|2>>  partir de <math|V>
  <emdash> notamment l'algorithme LLL<nbsp><cite|LLL82> et les approximations
  de Pad). En utilisant une division dans
  l'anneau<nbsp><math|\<cal-F\>[\<partial\>]>, on peut enfin tester si le
  candidat facteur est effectivement un facteur de <math|L>. Pour une
  prcision suffisante, on obtiendra ainsi un vritable facteur, ou une
  preuve qu'un tel facteur n'existe pas.

  <\theorem>
    Soit <math|\<bbb-K\>\<subseteq\>\<bbb-C\><rsup|com>> un corps
    algbriquement clos effectif avec un test effectif de nullit. Alors il
    existe un algorithme de factorisation dans
    <math|\<bbb-K\>(z)[\<partial\>]>.
  </theorem>

  <\remark>
    L'intrt de notre mthode rside dans sa bonne complexit
    potentielle<nbsp>: si la prcision <math|d> ncessaire pour obtenir une
    rponse reste petite, et si l'tape de reconstruction peut se faire vite,
    alors l'algorithme est essentiellement polynomial. Par ailleurs, la
    mthode permet de traiter aussi bien le cas o
    <math|\<bbb-K\>=\<bbb-Q\><rsup|alg>> ou
    <math|\<bbb-K\>\<varsupsetneq\>\<bbb-Q\><rsup|alg>>, bien que certains
    calculs sont plus rapides dans le cas algbrique (l'valuation des
    fonctions et la phase de reconstruction par l'algorithme LLL).
  </remark>

  <section|Calcul du groupe de Galois diffrentiel><label|gal-comp-sec>

  Un deuxime problme intressant est le calcul explicite du groupe de
  Galois diffrentiel. En vertu du thorme<nbsp><reference|density-th>, il
  suffit de pouvoir dterminer le plus petit sous-groupe algbrique
  <math|\<langle\>\<cal-M\>\<rangle\>> engendr par un ensemble fini de
  matrices <math|\<cal-M\>\<subseteq\><value|ssGL><rsub|n>(\<bbb-C\><rsup|com>)>.
   cause du problme des tests de nullit, nos algorithmes ne fonctionneront
  que pour une prcision suffisante, que nous ne savons pas dterminer.

  Plus gnralement, le calcul de <math|\<langle\>\<cal-M\>\<rangle\>> fait
  partie d'un programme pour calculer avec les groupes algbriques ferms
  <math|\<cal-G\>> de <math|<value|ssGL><rsub|n>(\<bbb-C\><rsup|com>)>. Ceci
  comprend entre autres les problmes suivants<nbsp>:

  <\description>
    <item*|GA1>Passage de la composante connexe <math|\<cal-G\><rsup|o>> 
    l'algbre de Lie et <em|vice versa>.

    <item*|GA2>Test d'appartenance <math|M\<in\>\<cal-G\>>.

    <item*|GA3>Calcul du groupe algbrique ferm
    <math|\<langle\>\<cal-M\>\<rangle\>> engendr par <math|\<cal-G\>>.

    <item*|GA4>Passage de <math|\<cal-G\>> aux invariants sous l'action de
    <math|\<cal-G\>>.

    <item*|GA5>Identification de <math|\<cal-G\>> dans une classification des
    groupes algbriques.
  </description>

  La rsolution de ces problmes dpend fortement de la faon de reprsenter
  <math|\<cal-G\>>. Dans notre papier<nbsp><cite|vdH:galois>, nous
  travaillons systmatiquement avec la dcomposition

  <\equation>
    <label|alg-gr-repr>\<cal-G\>=\<cal-F\>*\<mathe\><rsup|\<cal-L\>>
  </equation>

  en produit de la composante connexe <math|\<mathe\><rsup|\<cal-L\>>> et
  d'un groupe fini <math|\<cal-F\>\<subseteq\><value|ssGL><rsub|n>(\<bbb-C\><rsup|com>)>
  modulo<nbsp><math|\<mathe\><rsup|\<cal-L\>>>. En reprsentant l'algbre de
  Lie <math|\<cal-L\>> par une base finie, tous les calculs avec la
  composante connexe <math|\<cal-G\><rsup|o>> se ramnent  de l'algbre
  linaire. Par ailleurs, il est thoriquement possible
  d'numrer<nbsp><math|\<cal-F\>>, ce qui rend les calculs concernant
  <math|\<cal-F\>> essentiellement triviaux.

  Notre reprsentation admet l'avantage que <strong|GA1> est rsolue par
  dfinition. La question<nbsp><strong|GA2> est traite
  dans<nbsp><cite-detail|vdH:galois|Section 4.4>. La
  question<nbsp><strong|GA3> est classique<nbsp><cite-detail|vdH:galois|Sections<nbsp>4.2
  et<nbsp>4.3> dans le cas d'une matrice et se rduit  de l'algbre linaire
  et <strong|GA2> dans le cas gnral. En utilisant une
  variante<nbsp><cite-detail|vdH:galois|Lemme<nbsp>3> d'un rsultat de
  Dixon<nbsp><cite-detail|Dix71|Thorme<nbsp>9.2> pour des besoins de
  terminaison, ceci conduit au rsultat suivant<nbsp>:

  <\theorem>
    <label|gal-th><theorem-note|<cite|vdH:galois>> Il existe un algorithme
    qui prend un ensemble fini <math|\<cal-M\>\<subseteq\><no-break><value|ssGL><rsub|n>(\<bbb-C\><rsup|com>)>
    en entre et qui, sous l'hypothse de calculer avec une prcision
    suffisante, retourne le plus petit sous-groupe algbrique ferm
    <math|\<langle\>\<cal-M\>\<rangle\>> engendr par<nbsp><math|\<cal-M\>>.
  </theorem>

  On peut galement choisir de reprsenter <math|\<cal-G\>> par un systme
  d'quations polynomiales. Dans ce cas, le problme <strong|GA2> devient
  trivial, il y a un travail  faire au niveau de <strong|GA1> <cite|dG07> et
  <strong|GA3> se rsout par des techniques de bases de
  Groebner<nbsp><cite|DJK05>. En revanche, cette reprsentation est moins
  compacte,  la fois pour la composante connexe <math|\<cal-G\><rsup|o>> et
  la partie finie. En particulier, un groupe comme
  <math|\<bbb-Z\>/10<rsup|18>*\<bbb-Z\>> devient trs dsagrable 
  reprsenter, si on a fait un mauvais choix de coordonnes.

  Bien sr, le groupe <math|\<bbb-Z\>/10<rsup|18>*\<bbb-Z\>> est galement
  trop grand pour tre numr. Toutefois, en s'inspirant d'algorithmes
  classiques pour calculer avec des groupes finis<nbsp><cite|Sims70|Sims71>,
  on peut amliorer la faon de calculer avec le groupe fini <math|\<cal-F\>>
  modulo <math|\<mathe\><rsup|\<cal-L\>>><nbsp><cite-detail|vdH:galois|Sections<nbsp>4.6
  et<nbsp>4.7>. L'ide principale est de se ramener au cas o
  <math|[\<cal-G\>,\<cal-L\>]\<subseteq\>\<cal-L\>> et d'observer qu'il
  existe des lments dans <math|\<cal-G\>\<setminus\>\<mathe\><rsup|\<cal-L\>>>
  qui sont proches de l'identit modulo <math|\<mathe\><rsup|\<cal-L\>>>,
  lorsque <math|\<cal-F\>> est grand. Ces lments se comportent en ralit
  comme des gnrateurs infinitsimaux d'une composante continue. L'lment
  le plus proche de l'identit commute avec tous les autres modulo
  <math|\<mathe\><rsup|\<cal-L\>>> et en le remplaant par un nouveau
  gnrateur infinitsimal dans <math|\<cal-L\>>, on obtient un groupe
  algbrique <math|<wide|\<cal-G\>|~>=<wide|\<cal-F\>|~>*\<mathe\><rsup|<wide|\<cal-L\>|~>>>
  trs similaire <nbsp><math|\<cal-G\>>, mais dont la partie
  discrte<nbsp><math|<wide|\<cal-F\>|~>> est plus petit. Par rcurrence, on
  se ramne ainsi  un groupe fini de taille plus raisonnable. D'un point de
  vue effectif, on peut trouver les lments proche de l'identit par une
  variante non commutative de l'algorithme LLL.

  <\remark>
    En rdigeant ce rapport, on a retrouv un thorme de
    Jordan<nbsp><cite-detail|vdPS03|Section<nbsp>4.3>, dont une des
    consquences semble tre la suivante<nbsp>: il existe une constante
    <math|K<rsub|n>> qui ne dpend que de la dimension <math|n>, telle que
    pour tout sous-groupe algbrique ferm <math|\<cal-G\>> de
    <math|<value|ssGL><rsub|n>(\<bbb-C\>)>, il existe un sous-groupe
    distingu <math|\<cal-A\>\<supseteq\>\<cal-G\><rsup|o>> tel que
    <math|\<cal-A\>/\<cal-G\><rsup|o>> soit commutatif et
    <math|#\<cal-G\>/\<cal-G\><rsup|o>\<leqslant\>K<rsub|n>>. Ce rsultat
    permet de simplifier un peu plus <cite-detail|vdH:galois|Sections<nbsp>4.6
    et<nbsp>4.7>. On peut aussi esprer en dduire des quations creuses de
    taille raisonnable pour <math|\<cal-G\>> en tant que varit ou encore
    rendre effectif le thorme de Chevalley avec une complexit raisonnable.
  </remark>

  <section|Perspectives><label|gal-persp-sec>

  En ralit, les algorithmes de ce chapitre soulvent tout autant de
  questions qu'ils apportent de rponses. Avant tout, il serait intressant
  de pouvoir enlever l'hypothse sur la prcision du
  thorme<nbsp><reference|gal-th>, en trouvant une condition d'arrt pour
  tester si le \S<nbsp>candidat  la prcision <math|d><nbsp>\T
  <math|\<cal-G\><rsub|d>> pour le groupe
  <math|\<cal-G\>=\<langle\>\<cal-F\>\<rangle\>> est correct, comme nous
  l'avions fait dans le cas de la factorisation. Cette fois-ci, les deux
  directions <math|\<cal-G\>\<subseteq\>\<cal-G\><rsub|d>> et
  <math|\<cal-G\><rsub|d>\<subseteq\>\<cal-G\>> posent des difficults. Voici
  quelques pistes<nbsp>:

  <\enumerate>
    <item>Trouver les invariants de <math|\<cal-G\><rsub|d>>
    <cite|Der99|HK07> et vrifier qu'elles soient effectivement vrifies par
    un systme fondamental de solutions, ou rendre effectif le thorme de
    Chevalley en tant guid par <math|\<cal-G\><rsub|d>>.

    <item>Supposant <math|\<bbb-K\>=\<bbb-Q\><rsup|alg>>, se dbarrasser des
    constantes transcendantes en quotientant le prolongement analytique
    <math|\<b-h\>(z)> d'un systme fondamental de solutions
    <math|\<b-h\>=(h<rsub|1>,\<ldots\>,<no-break>h<rsub|r>)>, disons
    en<nbsp><math|0>, par l'action de <math|\<cal-G\><rsub|d>>. En effet,
    tant donn un petit <math|z\<in\><no-break>\<bbb-Q\><rsup|alg>>, le
    thorme des jauges<nbsp><cite|vdPS03> entrane l'existence d'un point
    algbrique dans l'orbite<nbsp><math|\<cal-G\>*\<b-h\>(z)> (communication
    prive par <abbr|M.><nbsp>Singer et <abbr|G.> Duval). On peut aussi
    examiner si, aprs application d'une transformation de jauge au systme
    original, on peut tester plus directement
    si<nbsp><math|\<cal-G\><rsub|d>=\<cal-G\>>.

    <item>Borner le nombre de composantes connexes de <math|\<cal-G\>> comme
    dans<nbsp><cite-detail|DJK03|Section<nbsp>3.2>.
  </enumerate>

  D'autres problmes intressants concernent les changements de
  reprsentation et en particulier la reconstruction des quations  partir
  d'une varit. Il devrait aussi tre ais d'tendre les techniques de la
  section <reference|cal-fact-sec>  toute une srie de problmes plus
  spcifiques, comme la dtermination de solutions Liouvilliennes, dcider si
  <math|\<cal-G\>> est diagonalisable ou si<nbsp><math|\<cal-G\><rsup|o>> est
  commutatif, etc.

  Enfin, on peut chercher  encoder des familles entires d'oprateurs ou
  systmes diffrentiels  l'aide de sries non commutatives (comme pour les
  polylogarithmes), et voir dans quel mesure on peut obtenir des informations
  sur toute la famille, au lieu de faire une tude au cas par cas.
</body>

<\initial>
  <\collection>
    <associate|font-base-size|11>
    <associate|language|french>
    <associate|par-hyphen|professional>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|alg-gr-repr|<tuple|6.1|?>>
    <associate|auto-1|<tuple|6|?>>
    <associate|auto-10|<tuple|1.5|?>>
    <associate|auto-11|<tuple|1.5|?>>
    <associate|auto-12|<tuple|1.6|?>>
    <associate|auto-13|<tuple|1.1.6|?>>
    <associate|auto-2|<tuple|6.1|?>>
    <associate|auto-3|<tuple|6.2|?>>
    <associate|auto-4|<tuple|6.3|?>>
    <associate|auto-5|<tuple|6.4|?>>
    <associate|auto-6|<tuple|4.5|?>>
    <associate|auto-7|<tuple|1.2|?>>
    <associate|auto-8|<tuple|1.3|?>>
    <associate|auto-9|<tuple|1.4|?>>
    <associate|cal-fact-sec|<tuple|6.2|?>>
    <associate|can-weak-rep-alg|<tuple|1.1|?>>
    <associate|density-th|<tuple|6.1|?>>
    <associate|gal-chap|<tuple|6|?>>
    <associate|gal-comp-sec|<tuple|6.3|?>>
    <associate|gal-fact-char|<tuple|6.2|?>>
    <associate|gal-persp-sec|<tuple|6.4|?>>
    <associate|gal-rap-sec|<tuple|6.1|?>>
    <associate|gal-th|<tuple|6.5|?>>
    <associate|itr-ex|<tuple|4.1|?>>
    <associate|normal-ode|<tuple|4.2|?>>
    <associate|singhol-th|<tuple|6.1|?>>
    <associate|thf-sec|<tuple|4.4|?>>
    <associate|toc-1|<tuple|1|?>>
    <associate|toc-2|<tuple|1.1|?>>
    <associate|toc-3|<tuple|1.2|?>>
    <associate|toc-4|<tuple|1.2.1|?>>
    <associate|toc-5|<tuple|1.2.1|?>>
    <associate|toc-6|<tuple|1.2.1|?>>
    <associate|toc-7|<tuple|1.2.2|?>>
    <associate|toc-8|<tuple|1.3|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|bib>
      vdH:galois

      SSC85

      SU93

      Mit96

      vH:phd

      vH97

      vHW97

      cS98

      vdPS03

      Der99

      DJK05

      Kol73

      Kap57

      Kol73

      vdPS03

      MR91

      Schl95

      Schl97

      vdH:galois

      vdH:galois

      LLL82

      vdH:galois

      vdH:galois

      vdH:galois

      vdH:galois

      Dix71

      vdH:galois

      dG07

      DJK05

      Sims70

      Sims71

      vdH:galois

      vdPS03

      vdH:galois

      Der99

      HK07

      vdPS03

      DJK03
    </associate>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|font-shape|<quote|small-caps>|6.<space|2spc>Thorie
      de Galois diffrentielle> <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-1><vspace|0.5fn>

      6.1.<space|2spc>Rappels <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-2>

      6.2.<space|2spc>Factorisation d'oprateurs diffrentiels
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-3>

      6.3.<space|2spc>Calcul du groupe de Galois diffrentiel
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-4>

      6.4.<space|2spc>Perspectives <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-5>
    </associate>
  </collection>
</auxiliary>