<TeXmacs|1.0.4.4>

<project|ln.tp>

<style|tmbook>

<\body>
  <assign|chapter-nr|4><chapter|Operations on transseries><label|trop-chap>

  <glossary-line|<vspace*|1fn><strong|Chapter 5. Operations on
  transseries><vspace|1fn>>One of the major features of the field
  <with|mode|math|\<bbb-T\>=C<gbt|x>> of grid-based transseries in
  <with|mode|math|x> is its stability under the usual operations from
  calculus: differentiation, integration, composition and inversion.

  What is more, besides the classical properties from calculus, these
  operations satisfy interesting additional properties, which express their
  compatibility with infinite summation, the ordering, and the asymptotic
  relations <with|mode|math|<op|\<preccurlyeq\>>>,
  <with|mode|math|<op|\<prec\>>>, etc. Therefore, the field of transseries
  occurs as a natural model of ``ordered or asymptotic differential
  algebra'', in addition to the more classical Hardy fields. It actually
  suggests the development of a whole new branch of model theory, which
  integrates the infinitary summation operators. Also, not much is known on
  the model theory of compositions.

  In section <reference|diff-sec>, we start by defining the differentiation
  <abbr|w.r.t.> <with|mode|math|x> as the unique strongly linear
  <with|mode|math|C>-differentiation with <with|mode|math|x<rprime|'>=1> and
  <with|mode|math|(\<mathe\><rsup|f>)<rprime|'>=f<rprime|'>*\<mathe\><rsup|f>>
  for all <with|mode|math|f>. This differentiation satisfies

  <\eqnarray*>
    <tformat|<table|<row|<cell|f\<prec\><inactive|g>\<wedge\>g\<nasymp\>1>|<cell|\<Rightarrow\>>|<cell|f<rprime|'>\<prec\>g<rprime|'>>>|<row|<cell|f\<gtr\>0\<wedge\>f\<succ\>1>|<cell|\<Rightarrow\>>|<cell|f<rprime|'>\<gtr\>0>>>>
  </eqnarray*>

  In section <reference|int-sec>, we show that the differentiation has a
  unique right inverse <with|mode|math|<value|I>> with the property that
  <with|mode|math|(<value|I> f)<rsub|\<asymp\>>=0> for all
  <with|mode|math|f\<in\>\<bbb-T\>>; for this reason, we call
  <with|mode|math|<value|I> f> the ``distinguished integral'' of
  <with|mode|math|f>. Moreover, the distinguished integration is strongly
  linear and we will see in the exercises that one often has
  <with|mode|math|(<value|I> f)*(<value|I> g)=<value|I> f*<value|I>
  g+<value|I> g*<value|I> f>.

  In section <reference|comp-sec>, we proceed with the definition of a
  composition on <with|mode|math|\<bbb-T\>>. More precisely, given
  <with|mode|math|g\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>>, we will show that
  there exists a unique strongly linear <with|mode|math|C>-difference
  operator <with|mode|math|<op|\<circ\><rsub|g>>> with
  <with|mode|math|<op|\<circ\><rsub|g>>(x)=g> and
  <with|mode|math|<op|\<circ\><rsub|g>>(\<mathe\><rsup|f>)=\<mathe\><rsup|<op|\<circ\><rsub|g>>(f)>>
  for all <with|mode|math|f>. This difference operator satisfies

  <\eqnarray*>
    <tformat|<table|<row|<cell|f\<succ\>1>|<cell|\<Rightarrow\>>|<cell|<op|\<circ\><rsub|g>>(f)\<succ\>1>>|<row|<cell|f\<geqslant\>0>|<cell|\<Rightarrow\>>|<cell|<op|\<circ\><rsub|g>>(f)\<geqslant\>0>>>>
  </eqnarray*>

  Moreover, the composition defined by <with|mode|math|f\<circ\>g=<op|\<circ\>><rsub|g>(f)>
  is associative and compatible with the differentiation:
  <with|mode|math|(f\<circ\>g)<rprime|'>=g<rprime|'>*(f<rprime|'>\<circ\>g)>
  for all <with|mode|math|f\<in\>\<bbb-T\>> and
  <with|mode|math|g\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>>. Finally, the
  Taylor series expansion <with|mode|math|f\<circ\>(x+\<delta\>)=f+f<rprime|'>*\<delta\>+<frac|1|2>*f<rprime|''>*\<delta\><rsup|2>+\<cdots\>>
  holds under mild hypotheses on <with|mode|math|f> and
  <with|mode|math|\<delta\>>.

  In section <reference|inv-sec>, we finally show that each
  <with|mode|math|g\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>> admits a unique
  functional inverse <with|mode|math|g<rsup|inv>> with
  <with|mode|math|g\<circ\>g<rsup|inv>=g<rsup|inv>\<circ\>g=x>. We conclude
  this chapter with calle's ``Translagrange theorem'' <cite|Ec03>, which
  generalizes Lagrange's classical inversion formula.

  <section|Differentiation><label|diff-sec>

  Let <with|mode|math|R> be a strong totally ordered partial exp-log
  <with|mode|math|C>-algebra. A <em|strong
  derivation><bi-index|strong|derivation> on <with|mode|math|R> is a mapping
  <with|mode|math|\<partial\>:R\<rightarrow\>R;f\<mapsto\>f<rprime|'>=\<partial\>
  f>, which satisfies

  <\description>
    <item*|D1><with|mode|math|\<partial\> c=0>, for all
    <with|mode|math|c\<in\>C>.

    <item*|D2><with|mode|math|\<partial\>> is strongly linear.

    <item*|D3><with|mode|math|\<partial\>(f*g)=(\<partial\>
    f)*g+f*\<partial\> g>, for all <with|mode|math|f,g\<in\>R><with|mode|math|>.
  </description>

  We say that <with|mode|math|\<partial\>> is an <em|exp-log
  derivation><bi-index|exp-log|derivation>, if we also have

  <\description>
    <item*|D4><with|mode|math|\<partial\>(exp f)=(\<partial\> f)*exp f>, for
    all <with|mode|math|f\<in\>dom exp\<subseteq\>R>.
  </description>

  We say that <with|mode|math|\<partial\>> is (strictly)
  <em|asymptotic><bi-index|asymptotic|derivation> resp.
  <em|positive><index|positive derivation>, if

  <\description>
    <item*|D5><with|mode|math|f\<prec\><inactive|g>\<Rightarrow\>\<partial\>
    f\<prec\>\<partial\> g>, for all <with|mode|math|f,g\<in\>R> with
    <with|mode|math|g\<nasymp\>1>.

    <item*|D6><with|mode|math|f\<succ\>1\<Rightarrow\>(f\<gtr\>0\<Rightarrow\>\<partial\>
    f\<gtr\>0)>, for all <with|mode|math|f\<in\>R>.
  </description>

  In this section, we will show that there exists a unique strong exp-log
  derivation <with|mode|math|\<partial\>> on <with|mode|math|\<bbb-T\>>, such
  that <with|mode|math|\<partial\> x=1><glossary-explain|<with|mode|math|f<rprime|'>>|derivative
  of <with|mode|math|f>>. This derivation turns out to be asymptotic and
  positive. In the sequel, given a derivation <with|mode|math|\<partial\>> on
  a field, we will denote by <with|mode|math|f<rsup|\<dag\>>=f<rprime|'>/f><glossary-explain|<with|mode|math|f<rprime|\<dag\>>>|logarithmic
  derivative of <with|mode|math|f>> the <em|logarithmic
  derivative><bi-index|logarithmic|derivative> of <with|mode|math|f\<neq\>0>.

  <\lemma>
    <label|der-lin-ext>Let <with|mode|math|\<bbb-T\>=C<gb|\<frak-T\>>> be an
    arbitrary field of transseries and let
    <with|mode|math|\<partial\>:\<frak-T\>\<rightarrow\>\<bbb-T\>> be a
    mapping, which satisfies <with|mode|math|\<partial\>(\<frak-m\>*\<frak-n\>)=(\<partial\>
    \<frak-m\>)*\<frak-n\>+\<frak-m\>*\<partial\> \<frak-n\>> for all
    <with|mode|math|\<frak-m\>,\<frak-n\>\<in\>\<frak-T\>>. Then

    <\enumerate-alpha>
      <item><with|mode|math|\<partial\>> is a grid-based mapping, which
      extends uniquely to a strong derivation on
      <no-break><with|mode|math|\<bbb-T\>>.

      <item>If <with|mode|math|\<partial\>(log \<frak-m\>)=\<partial\>
      \<frak-m\>/\<frak-m\>> for all <with|mode|math|\<frak-m\>\<in\>\<frak-T\>>,
      then <with|mode|math|\<partial\>> is an exp-log derivation on
      <with|mode|math|\<bbb-T\>>.
    </enumerate-alpha>
  </lemma>

  <\proof>
    Let <with|mode|math|\<frak-G\>> be a grid-based subset of
    <with|mode|math|\<bbb-T\>>, so that <with|mode|math|\<frak-G\>\<subseteq\>{\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|n>}<rsup|\<ast\>>*\<frak-n\>>
    for certain monomials <with|mode|math|\<frak-m\><rsub|1>\<prec\>1,\<ldots\>,\<frak-m\><rsub|n>\<prec\>1>
    and <with|mode|math|\<frak-n\>> in <with|mode|math|\<frak-T\>>. For any
    <with|mode|math|\<frak-m\><rsub|1><rsup|\<alpha\><rsub|1>>*\<cdots\>*\<frak-m\><rsub|n><rsup|\<alpha\><rsub|n>>*\<frak-n\>\<in\>\<frak-T\>>,
    we have

    <\equation*>
      (\<frak-m\><rsub|1><rsup|\<alpha\><rsub|1>>*\<cdots\>*\<frak-m\><rsub|n><rsup|\<alpha\><rsub|n>>*\<frak-n\>)<rprime|'>=<left|(>\<alpha\><rsub|1>*\<frak-m\><rsub|1><rprime|\<dag\>>+\<cdots\>+\<alpha\><rsub|n>*\<frak-m\><rsub|n><rprime|\<dag\>>+\<frak-n\><rprime|\<dag\>><right|)>*\<frak-m\><rsub|1><rsup|\<alpha\><rsub|1>>*\<cdots\>*\<frak-m\><rsub|n><rsup|\<alpha\><rsub|n>>*\<frak-n\>.
    </equation*>

    Hence <with|mode|math|supp \ \<frak-v\><rprime|'>\<subseteq\>(supp
    \<frak-m\><rsub|1><rprime|\<dag\>>\<cup\>\<cdots\>\<cup\>supp
    *\<frak-m\><rsub|n><rprime|\<dag\>>\<cup\>supp
    \<frak-n\><rprime|\<dag\>>) \<frak-v\>> for all
    <with|mode|math|\<frak-v\>\<in\>\<frak-G\>>, and
    <with|mode|math|\<partial\>> a grid-based mapping. The strongly linear
    extension of <with|mode|math|\<partial\>> is indeed a derivation, since
    <with|mode|math|(f,<no-break>g)\<mapsto\>(f*g)<rprime|'>> and
    <with|mode|math|(f,g)\<mapsto\>f<rprime|'>*g+f*g<rprime|'>> are both
    strongly bilinear mappings from <with|mode|math|\<bbb-T\><rsup|2>> into
    <with|mode|math|\<bbb-T\>>, which coincide on
    <with|mode|math|\<frak-T\><rsup|2>> (a proof which does not use strong
    bilinearity can be given in a similar way as for proposition
    <reference|ex-lin-mult>). This proves (<with|font-shape|italic|a>).

    As to (<with|font-shape|italic|b>), assume that <with|mode|math|(log
    \<frak-m\>)<rprime|'>=\<frak-m\><rprime|\<dag\>>> for all
    <with|mode|math|\<frak-m\>\<in\>\<frak-T\>>. Obviously, in order to prove
    that <with|mode|math|\<partial\>> is a strong exp-log derivation, it
    suffices to prove that <with|mode|math|(log
    f)<rprime|'>=f<rprime|\<dag\>>> for all
    <with|mode|math|f\<in\>\<bbb-T\><rsup|\<gtr\>>>. Now each
    <with|mode|math|f\<in\>\<bbb-T\><rsup|\<gtr\>>> may be decomposed as
    <with|mode|math|f=c*\<frak-m\>*(1+\<varepsilon\>)>, with
    <with|mode|math|c\<in\>C<rsup|\<gtr\>>>,
    <with|mode|math|\<frak-m\>\<in\>\<frak-T\>> and
    <with|mode|math|\<varepsilon\>\<prec\>1>. For each
    <with|mode|math|k\<in\>\<bbb-N\><rsup|\<gtr\>>>, we have
    <with|mode|math|(<frac|(\<um\>1)<rsup|k-1>|k>*\<varepsilon\><rsup|k>)<rprime|'>=(\<um\>1)<rsup|k-1>*\<varepsilon\><rsup|k-1><rsup|>*\<varepsilon\><rprime|'>>.
    Hence, <with|mode|math|(log (1+\<varepsilon\>))<rprime|'>=\<varepsilon\><rprime|'>/(1+\<varepsilon\>)=(1+\<varepsilon\>)<rprime|\<dag\>>>,
    by strong linearity. We conclude that

    <equation*|<htab|5mm>(log f)<rprime|'>=(log c)<rprime|'>+(log
    \<frak-m\>)<rprime|'>+(log (1+\<varepsilon\>))<rprime|'>=\<frak-m\><rprime|\<dag\>>+(1+\<varepsilon\>)<rprime|\<dag\>>=(c*\<frak-m\>*(1+\<varepsilon\>))<rprime|\<dag\>>.>
  </proof>

  <\proposition>
    <label|unique-der-prop>There exists a unique strong exp-log derivation
    <with|mode|math|\<partial\>> on <with|mode|math|\<bbb-T\>> with
    <with|mode|math|\<partial\> x=1>.
  </proposition>

  <\proof>
    We will show by induction over <with|mode|math|p\<in\>\<bbb-N\>> that
    there exists a unique strong exp-log derivation
    <with|mode|math|\<partial\>> on <with|mode|math|C<rsub|p><gbt|x>=C<gb|\<frak-T\><rsub|p>>>
    with <with|mode|math|\<partial\> x=1>. Since this mapping
    <with|mode|math|\<partial\>> is required to be strongly linear, it is
    determined uniquely by its restriction to
    <with|mode|math|\<frak-T\><rsub|p>>. Furthermore,
    <with|mode|math|\<partial\>> will be a strong exp-log derivation, if its
    restriction to <with|mode|math|\<frak-T\><rsub|p>> satisfies the
    requirements of lemma <reference|der-lin-ext>.

    For <with|mode|math|p=0>, the derivative of a monomial
    <with|mode|math|\<frak-m\>=x<rsup|\<alpha\><rsub|0>>*\<cdots\>*log<rsub|q><rsup|\<alpha\><rsub|q>>
    x\<in\>\<frak-T\><rsub|0>> must be given by

    <\equation*>
      (x<rsup|\<alpha\><rsub|0>>*\<cdots\>*log<rsub|q><rsup|\<alpha\><rsub|q>>
      x)<rprime|'>=<left|(><frac|\<alpha\><rsub|0>|x>+\<cdots\>+<frac|\<alpha\><rsub|q>|x*\<cdots\>*log<rsub|q>
      x><right|)>*x<rsup|\<alpha\><rsub|0>>*\<cdots\>*log<rsub|q><rsup|\<alpha\><rsub|q>>
      x
    </equation*>

    in view of axioms <with|font-series|bold|D3> and
    <with|font-series|bold|D4> and the requirements of lemma
    <reference|der-lin-ext> are easily checked.

    \ If <with|mode|math|p\<gtr\>0>, then the induction hypothesis states
    that there exists a unique strong exp-log derivation
    <with|mode|math|\<partial\>> on <with|mode|math|C<rsub|p-1><gbt|x>> with
    <with|mode|math|\<partial\> x=1>. In view of <with|font-series|bold|D4>,
    any strong exp-log derivation on <with|mode|math|C<rsub|p><gbt|x>> should
    therefore satisfy

    <\equation*>
      (\<mathe\><rsup|f>)<rprime|'>=f<rprime|'>*\<mathe\><rsup|f>,
    </equation*>

    for all <with|mode|math|\<mathe\><rsup|f>\<in\>\<frak-T\><rsub|p>=exp
    C<rsub|p-1><gbt|x><rsub|\<succ\>>>. On the other hand, when defining
    (<with|mode|math|\<mathe\><rsup|f>)<rprime|'>> in this way, we have
    <with|mode|math|(\<mathe\><rsup|f>*\<mathe\><rsup|g>)<rprime|'>=(f<rprime|'>+g<rprime|'>)*\<mathe\><rsup|f+g>=(f<rprime|'>*\<mathe\><rsup|f>)*\<mathe\><rsup|g>+\<mathe\><rsup|f>(g<rprime|'>*\<mathe\><rsup|g>)=(\<mathe\><rsup|f>)<rprime|'>*\<mathe\><rsup|g>+\<mathe\><rsup|f>*(\<mathe\><rsup|g>)<rprime|'>>
    for all <with|mode|math|\<mathe\><rsup|f>,\<mathe\><rsup|g>\<in\>\<frak-T\><rsub|p>>.
    Hence, there exists a unique strong derivation
    <with|mode|math|\<partial\>> with <with|mode|math|\<partial\> x=1> on
    <with|mode|math|C<rsub|p><gbt|x>>, by lemma <reference|der-lin-ext>.
    Moreover, <with|mode|math|\<partial\>> is a strong exp-log derivation,
    since <with|mode|math|(log \<mathe\><rsup|f>)<rprime|'>=f<rprime|'>*=(f<rprime|'>*\<mathe\><rsup|f>)/\<mathe\><rsup|f>=(\<mathe\><rsup|f>)<rprime|'>/\<mathe\><rsup|f>>
    for all monomials <with|mode|math|\<mathe\><rsup|f>\<in\>\<frak-T\><rsub|p>>.
  </proof>

  <\proposition>
    For all <with|mode|math|f\<in\>\<bbb-T\>>, we have

    <eqnarray*|<tformat|<table|<row|<cell|f\<uparrow\><rprime|'>>|<cell|=>|<cell|\<mathe\><rsup|x>*(f<rprime|'>\<uparrow\>);>>|<row|<cell|f\<downarrow\><rprime|'>>|<cell|=>|<cell|<with|math-display|false|<frac|1|x>>*(f<rprime|'>\<downarrow\>).>>>>>
  </proposition>

  <\proof>
    The mappings <with|mode|math|d<rsub|1>:f\<mapsto\>(\<mathe\><rsup|\<um\>x>*(f\<uparrow\><rprime|'>))\<downarrow\>>
    and <with|mode|math|d<rsub|2>:f\<mapsto\>(x*(f\<downarrow\><rprime|'>))\<uparrow\>>
    are both strong exp-log derivations with <with|mode|math|d<rsub|1>
    x=d<rsub|2> x=1>. We conclude by proposition <reference|unique-der-prop>.
  </proof>

  <\big-figure|<postscript|figures/derivative.ps|*2/5|*2/5||||><space|2em><postscript|figures/valder.ps|*2/5|*2/5||||>>
    We will often adopt a geometric point of view for which the derivative
    <with|mode|math|\<partial\>> is a function on the ``transline''
    <with|mode|math|\<bbb-T\>>. Due to the highly non-Archimedean character
    of <with|mode|math|\<bbb-T\>>, it is difficult to sketch the behaviour of
    this function. An attempt has been made in the left figure above. The two
    squares correspond to the regions where both coordinates are
    infinitesimal <abbr|resp.> bounded. Notice that
    <with|mode|math|\<partial\>> is locally decreasing everywhere (the small
    curves), although its restriction to <with|mode|math|\<bbb-T\><rsub|\<succ\>>>
    is increasing (the fat curve). At the right hand side, we also sketched
    the behaviour of the functions <with|mode|math|\<frak-m\>\<mapsto\>\<frak-d\><rsub|\<frak-m\><rprime|'>>>
    and <with|mode|math|\<frak-m\>\<mapsto\>\<frak-d\><rsub|\<frak-m\><rprime|\<dag\>>>>
    for transmonomials (using logarithmic coordinates).
  </big-figure>

  <\proposition>
    <label|diff-tb>Let <with|mode|math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>
    be a transbasis.<no-page-break>

    <\enumerate-alpha>
      <item>If <with|mode|math|\<frak-b\><rsub|1>=x> or
      <with|mode|math|\<frak-b\><rsub|1>=exp x>, then
      <with|mode|math|C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>
      is stable under <with|mode|math|\<partial\>>.

      <item>If <with|mode|math|\<frak-b\><rsub|1>=log<rsub|l> x> and
      <with|mode|math|log<rsub|l-1> x,\<ldots\>,x\<in\>\<frak-B\>>, then
      <with|mode|math|C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>
      is stable under <with|mode|math|\<partial\>>.
    </enumerate-alpha>
  </proposition>

  <\proof>
    Let us prove (<with|font-shape|italic|a>) by induction over
    <with|mode|math|n>. Clearly, <with|mode|math|C<gb|x>> and
    <with|mode|math|C<gb|exp x>> are stable under differentiation. So assume
    that <with|mode|math|n\<gtr\>1> and that
    <with|mode|math|C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n-1>>>
    is stable under differentiation. Then
    <with|mode|math|\<frak-b\><rsub|n><rprime|'>=(log
    \<frak-b\><rsub|n>)<rprime|'>*\<frak-b\><rsub|n>\<in\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>.
    Hence

    <\equation*>
      (\<frak-b\><rsub|1><rsup|\<alpha\><rsub|1>>*\<cdots\>*\<frak-b\><rsub|n><rsup|\<alpha\><rsub|n>>)<rprime|'>=<left|(>\<alpha\><rsub|1>*\<frak-b\><rsub|1><rprime|\<dag\>>+\<cdots\>+\<alpha\><rsub|n>*\<frak-b\><rsub|n><rprime|\<dag\>><right|)>*\<frak-b\><rsub|1><rsup|\<alpha\><rsub|1>>*\<cdots\>*\<frak-b\><rsub|n><rsup|\<alpha\><rsub|n>>\<in\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>,
    </equation*>

    for all monomials <with|mode|math|\<frak-b\><rsub|1><rsup|\<alpha\><rsub|1>>*\<cdots\>*\<frak-b\><rsub|n><rsup|\<alpha\><rsub|n>>\<in\>\<frak-B\><rsup|C>>.
    Consequently, <with|mode|math|C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>
    is stable under differentiation, by strong linearity.

    As to (<with|font-shape|italic|b>), we first observe that
    <with|mode|math|(\<frak-b\><rsub|1>\<circ\>exp<rsub|l>,\<ldots\>,\<frak-b\><rsub|n>\<circ\>exp<rsub|l>)>
    is also a transbasis, so <with|mode|math|C<gb|\<frak-b\><rsub|1>\<circ\>exp<rsub|l>;\<ldots\>;\<frak-b\><rsub|n>\<circ\>exp<rsub|l>>>
    is stable under differentiation. Given
    <with|mode|math|f\<in\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;<no-break>\<frak-b\><rsub|n>>>,
    we now have

    <\equation*>
      f<rprime|'>=(f\<circ\>exp<rsub|l>\<circ\>log<rsub|l>)<rprime|'>=<frac|1|x*log
      x*\<cdots\>*log<rsub|l-1> x>*((f\<circ\>exp<rsub|l>)<rprime|'>\<circ\>log<rsub|l>)\<in\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>.
    </equation*>
  </proof>

  <\proposition>
    The derivation <with|mode|math|\<partial\>> on <with|mode|math|\<bbb-T\>>
    is asymptotic and positive.
  </proposition>

  <\proof>
    Let <with|mode|math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>
    be a transbasis with <with|mode|math|\<frak-b\><rsub|1>=\<mathe\><rsup|x>>.
    We will first prove by induction over <with|mode|math|n>, that
    <with|mode|math|\<partial\>> is asymptotic and positive on
    <with|mode|math|C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>,
    and <with|mode|math|f<rprime|'>\<succ\>1>, for all
    <with|mode|math|f\<succ\>1> in <with|mode|math|C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>.
    This is easy in the case when <with|mode|math|n=1>. So assume that
    <with|mode|math|n\<gtr\>1>.

    Given a monomial <with|mode|math|\<frak-m\>=\<frak-b\><rsub|1><rsup|\<alpha\><rsub|1>>*\<cdots\>*\<frak-b\><rsub|n><rsup|\<alpha\><rsub|n>>><with|mode|math|>,
    we first observe that <with|mode|math|\<frak-m\><rsup|\<dag\>>=\<alpha\><rsub|1>*\<frak-b\><rsub|1><rsup|\<dag\>>+\<cdots\>+\<alpha\><rsub|n>*\<frak-b\><rsub|n><rsup|\<dag\>>=\<alpha\><rsub|1>+\<alpha\><rsub|2>*(log
    \<frak-b\><rsub|2>)<rprime|'>+\<cdots\>+\<alpha\><rsub|n>(log
    *\<frak-b\><rsub|n>)<rprime|'>> belongs to
    <with|mode|math|C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n-1>>>.
    Moreover, <with|mode|math|\<frak-b\><rsub|i><rsup|\<dag\>>=(log
    <no-break>\<frak-b\><rsub|i>)<rprime|'>\<prec\>(log
    \<frak-b\><rsub|n>)<rprime|'>=\<frak-b\><rsub|n><rsup|\<dag\>>>, for all
    <with|mode|math|1\<less\>i\<less\>n>, by the induction hypothesis.
    Actually, the induction hypothesis also implies that
    <with|mode|math|\<frak-b\><rsub|1><rsup|\<dag\>>=1\<prec\>\<frak-b\><rsub|n><rsup|\<dag\>>>,
    since <with|mode|math|log \<frak-b\><rsub|n>\<succ\>1>. Consequently,
    <with|mode|math|\<frak-m\><rsup|\<dag\>>\<asymp\>\<frak-b\><rsub|n><rsup|\<dag\>>>,
    if <with|mode|math|\<alpha\><rsub|n>\<neq\>0>.

    Secondly, let <with|mode|math|\<frak-m\>=\<frak-b\><rsub|1><rsup|\<alpha\><rsub|1>>*\<cdots\>*\<frak-b\><rsub|n><rsup|\<alpha\><rsub|n>>>
    and <with|mode|math|\<frak-n\>=\<frak-b\><rsub|1><rsup|\<beta\><rsub|1>>*\<cdots\>*\<frak-b\><rsub|n><rsup|\<beta\><rsub|n>>>
    be monomials with <with|mode|math|\<frak-m\>\<prec\>\<frak-n\>\<neq\>1>.
    If <with|mode|math|\<alpha\><rsub|n>=\<beta\><rsub|n>=0>, then
    <with|mode|math|\<frak-m\><rprime|'>\<prec\>\<frak-n\><rprime|'>> by the
    induction hypothesis. If <with|mode|math|\<alpha\><rsub|n>\<less\>\<beta\><rsub|n>>,
    then <with|mode|math|\<frak-m\><rprime|'>\<in\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n-1>>*\<frak-b\><rsub|n><rsup|\<alpha\><rsub|n>>>
    and <with|mode|math|\<frak-n\><rprime|'>\<in\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n-1>>*\<frak-b\><rsub|n><rsup|\<beta\><rsub|n>>>,
    whence <with|mode|math|\<frak-m\><rprime|'>\<prec\>\<frak-n\><rprime|'>>.
    If <with|mode|math|\<alpha\><rsub|n>=\<beta\><rsub|n>\<neq\>0>, then
    <with|mode|math|\<frak-m\><rprime|'>\<asymp\>\<frak-b\><rsub|n><rsup|\<dag\>>*\<frak-m\>\<prec\>\<frak-b\><rsub|n><rsup|\<dag\>>*\<frak-n\>\<asymp\>\<frak-n\><rprime|'>>.
    Hence <with|mode|math|\<frak-m\><rprime|'>\<prec\>\<frak-n\><rprime|'>>
    in all cases. Given <with|mode|math|f\<in\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>
    with <with|mode|math|f\<neq\>0> and <with|mode|math|f\<nasymp\>1>, we
    thus get <with|mode|math|\<frak-m\><rprime|'>\<prec\>\<frak-d\><rsub|f><rprime|'>>,
    for all <with|mode|math|\<frak-m\>\<in\>supp
    f\<setminus\>{\<frak-d\><rsub|f>}>, whence
    <with|mode|math|f<rprime|'>\<sim\>c<rsub|f>*\<frak-d\><rsub|f><rprime|'>>,
    by strong linearity.

    Let us now prove that the induction hypothesis is satisfied at order
    <with|mode|math|n>. Given <with|mode|math|f,g\<in\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>,
    with <with|mode|math|1\<nasymp\>f\<prec\>g\<nasymp\>1>, we have
    <with|mode|math|f<rprime|'>\<sim\>c<rsub|f>*\<frak-d\><rsub|f><rprime|'>\<prec\>c<rsub|g>*\<frak-d\><rsub|g><rprime|'>\<sim\>g<rprime|'>>.
    If <with|mode|math|f\<asymp\>1>, we still have
    <with|mode|math|f<rprime|'>\<prec\>g<rprime|'>>, since
    <with|mode|math|f<rprime|'>=f<rsub|\<nasymp\>><rprime|'>> and
    <with|mode|math|f<rsub|\<nasymp\>>\<prec\>f\<prec\>g>. Now let
    <with|mode|math|f\<in\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>><rsup|\<gtr\>,\<succ\>>>.
    By the induction hypothesis, we have <with|mode|math|\<frak-d\><rsub|f><rprime|\<dag\>>\<gtr\>0>,
    since <with|mode|math|log f\<in\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n-1>><rsup|\<gtr\>,\<succ\>>>.
    We conclude that <with|mode|math|f<rprime|'>\<sim\>c<rsub|f>*\<frak-d\><rsub|f><rprime|'>=c<rsub|f>*\<frak-d\><rsub|f><rprime|\<dag\>>*\<frak-d\><rsub|f>\<gtr\>0>.

    At this point, we have proved that <with|mode|math|\<partial\>> is
    asymptotic and positive on <with|mode|math|C<gb|\<frak-b\><rsub|1>;\<ldots\>;<no-break>\<frak-b\><rsub|n>>>.
    By theorem <reference|incl-tb-th>(<em|a>), this also proves that
    <with|mode|math|\<partial\>> asymptotic and positive on
    <with|mode|math|C<rsub|0><gbt|exp x>>. Now let
    <with|mode|math|f,g\<in\>C<rsub|l><gbt|exp x>> be such that
    <with|mode|math|f\<prec\>g\<nasymp\>1>. Then

    <\equation*>
      f<rprime|'>=(f\<circ\>exp<rsub|l>\<circ\>log<rsub|l>)<rprime|'>=<frac|(f\<circ\>exp<rsub|l>)<rprime|'>|x*\<cdots\>*log<rsub|l-1>
      x>\<prec\><frac|(g\<circ\>exp<rsub|l>)<rprime|'>|x*\<cdots\>*log<rsub|l-1>
      x>=(g\<circ\>exp<rsub|l>\<circ\>log<rsub|l>)<rprime|'>=g<rprime|'>.
    </equation*>

    Similarly, if <with|mode|math|f\<in\>C<rsub|l><gbt|exp x>> is such that
    <with|mode|math|f\<succ\>1> and <with|mode|math|f\<gtr\>0>, then
    <with|mode|math|f<rprime|'>=(f\<circ\>exp<rsub|l>)<rprime|'>/(x*\<cdots\>*log<rsub|l>
    x)\<gtr\>0>.
  </proof>

  <\remark>
    A transbasis <with|mode|math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>
    of level <with|mode|math|1> will also be called a <em|plane
    transbasis><bi-index*|plane|transbasis>. The two facts that
    <with|mode|math|C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|i>>> is
    stable under differentiation for each <no-break><with|mode|math|i> and
    <with|mode|math|\<frak-m\><rsup|\<dag\>>\<precprec\>\<frak-m\>> for all
    <with|mode|math|\<frak-m\>=\<frak-b\><rsub|1><rsup|\<alpha\><rsub|1>>*\<cdots\>*\<frak-b\><rsub|n><rsup|\<alpha\><rsub|n>>\<neq\>1>,
    make plane transbases particularly useful for differential calculus.

    By theorem <reference|incl-tb-th>(<em|a>), we notice that any exponential
    transseries can be expanded with respect to a plane transbases.
    Computations which involve more general transseries can usually be
    reduced to the exponential case using the technique of upward and
    downward shifting.
  </remark>

  <\exercise>
    For all <with|mode|math|f,g\<in\>\<bbb-T\>>, prove that

    <\eqnarray*>
      <tformat|<table|<row|<cell|f\<preccurlyeq\>g\<wedge\>f\<prec\>1\<wedge\>g\<prec\>1>|<cell|\<Rightarrow\>>|<cell|f<rprime|\<dag\>>\<succcurlyeq\>g<rprime|\<dag\>><space|0.2spc>;>>|<row|<cell|f\<prec\>1\<wedge\>g\<nasymp\>1>|<cell|\<Rightarrow\>>|<cell|f<rprime|'>\<prec\>g<rprime|\<dag\>>.>>>>
    </eqnarray*>
  </exercise>

  <\exercise>
    <label|asymp-log-der-ex>For all <with|mode|math|f,g\<in\>\<bbb-T\><rsup|\<neq\>>>
    with <with|mode|math|f\<nasymp\>1> and <with|mode|math|g\<nasymp\>1>,
    show that

    <\eqnarray*>
      <tformat|<table|<row|<cell|f\<precpreceq\>g>|<cell|\<Leftrightarrow\>>|<cell|f<rprime|\<dag\>>\<preccurlyeq\>g<rprime|\<dag\>><space|0.2spc>;>>|<row|<cell|f\<precprec\>g>|<cell|\<Leftrightarrow\>>|<cell|f<rprime|\<dag\>>\<prec\>g<rprime|\<dag\>><space|0.2spc>;>>|<row|<cell|f\<asympasymp\>g>|<cell|\<Leftrightarrow\>>|<cell|f<rprime|\<dag\>>\<asymp\>g<rprime|\<dag\>><space|0.2spc>;>>|<row|<cell|f\<simsim\>g>|<cell|\<Leftrightarrow\>>|<cell|f<rprime|\<dag\>>\<sim\>g<rprime|\<dag\>>.>>>>
    </eqnarray*>
  </exercise>

  <\exercise>
    Let <with|mode|math|f\<in\>\<bbb-T\>>. Prove that

    <\enumerate-alpha>
      <item><with|mode|math|math-display|true|f\<succ\>1<space|0.6spc>\<Leftrightarrow\><space|0.6spc>f<rprime|'>\<succ\><frac|1|x*log
      x*log log x*\<cdots\>>>.

      <item><with|mode|math|f<rprime|'>\<gtr\>0<space|0.6spc>\<Leftrightarrow\><space|0.6spc>((f\<succ\>1\<wedge\>f\<gtr\>0)\<vee\>(f\<preccurlyeq\>1\<wedge\>f<rsub|\<nasymp\>>\<less\>0))>.

      <item><with|mode|math|f<rprime|'>\<gtr\>0<space|0.6spc>\<Leftrightarrow\><space|0.6spc>((\<forall\>\<lambda\>\<in\>C,f\<gtr\>\<lambda\>)\<vee\>(\<exists\>\<lambda\>\<in\>C,\<forall\>\<mu\>\<in\>C,\<mu\>\<less\>\<lambda\>\<Rightarrow\>\<mu\>\<less\>f\<less\>\<lambda\>))>.
    </enumerate-alpha>

    In the case of (a), notice that we may for instance interpret
    <with|mode|math|f<rprime|'>\<succ\><frac|1|x*log x*log log x*\<cdots\>>>
    as a relation in a field of well-based transseries in <with|mode|math|x>.
  </exercise>

  <\exercise>
    Consider a derivation <with|mode|math|\<partial\>> on a totally ordered
    <with|mode|math|C>-algebra <with|mode|math|R>, which is also a field. We
    say that <with|mode|math|\<partial\>> is
    asymptotic<bi-index|asymptotic|derivation> resp. positive<index|positive
    derivation>, but not necessarily strictly, if

    <\description>
      <item*|D5<with|mode|math|math-font-series|bold|<rprime|'>>><with|mode|math|f\<preccurlyeq\><inactive|g>\<Rightarrow\>\<partial\>
      f\<preccurlyeq\>\<partial\> g>, for all <with|mode|math|f,g\<in\>R>
      with <with|mode|math|g\<nasymp\>1>.

      <item*|D6<with|mode|math|math-font-series|bold|<rprime|'>>><with|mode|math|f\<succ\>1\<Rightarrow\>(f\<geqslant\>0\<Rightarrow\>\<partial\>
      f\<geqslant\>0)>, for all <with|mode|math|f\<in\>R>.
    </description>

    If <with|mode|math|d> is an asymptotic derivation, prove that
    <with|mode|math|f*d> is again an asymptotic derivation for any
    <with|mode|math|f\<in\><no-break>R>. Given positive derivations
    <with|mode|math|d<rsub|1>,\<ldots\>,d<rsub|n>>, prove that
    <with|mode|math|f<rsub|1>*d<rsub|1>+\<cdots\>+f<rsub|n>*d<rsub|n>> is
    again a positive derivation. Prove that neither the set of asymptotic,
    nor the set of positive derivations necessarily form a module.
  </exercise>

  <\exercise>
    Let <with|mode|math|\<bbb-T\>=C<gbt|x<rsub|1>>\<cdots\><gbt|x<rsub|n>>>.
    Characterize

    <\enumerate-alpha>
      <item>The strong <with|mode|math|C>-module of all strong exp-log
      derivations on <with|mode|math|\<bbb-T\>>.

      <item>The set of all (not necessarily strictly) asymptotic strong
      exp-log derivations on <with|mode|math|\<bbb-T\>>.

      <item>The set of all (not necessarily strictly) positive strong exp-log
      derivations on <with|mode|math|\<bbb-T\>>.
    </enumerate-alpha>
  </exercise>

  <\exercise>
    Let <with|mode|math|\<frak-T\><rsup|\<flat\>>\<ni\>x> be a flat subset of
    the set <with|mode|math|\<frak-T\>> of transmonomials and let
    <with|mode|math|\<frak-T\><rsup|\<sharp\>>> be its steep complement (see
    exercise <reference|flat-steep-ex>).

    <\enumerate-alpha>
      <item>Show that <with|mode|math|\<bbb-T\><rsup|\<flat\>>=C<gb|\<frak-T\><rsup|\<flat\>>>>
      is stable under differentiation.

      <item>Considering <with|mode|math|\<bbb-T\>> as a strong
      <with|mode|math|\<bbb-T\><rsup|\<flat\>>>-algebra, show that there
      exists a unique <with|mode|math|\<bbb-T\><rsup|\<flat\>>>-strongly
      linear mapping <with|mode|math|\<partial\><rsup|\<sharp\>>:\<bbb-T\>\<rightarrow\>\<bbb-T\>>
      with <with|mode|math|\<partial\><rsup|\<sharp\>>
      \<frak-m\><rsup|\<sharp\>>=(\<frak-m\><rsup|\<sharp\>>)<rprime|'>> for
      all <with|mode|math|\<frak-m\><rsup|\<sharp\>>\<in\>\<frak-T\><rsup|\<sharp\>>>.

      <item>Show that <with|mode|math|(<big|sum><rsub|\<frak-m\><rsup|\<sharp\>>\<in\>\<frak-T\><rsup|\<sharp\>>>f<rsub|\<frak-m\><rsup|\<sharp\>>>*\<frak-m\><rsup|\<sharp\>>)<rprime|'>=<big|sum><rsub|\<frak-m\><rsup|\<sharp\>>\<in\>\<frak-T\><rsup|\<sharp\>>>f<rsub|\<frak-m\><rsup|\<sharp\>>><rprime|'>*\<frak-m\><rsup|\<sharp\>>+<big|sum><rsub|\<frak-m\><rsup|\<sharp\>>\<in\>\<frak-T\><rsup|\<sharp\>>>f<rsub|\<frak-m\><rsup|\<sharp\>>>*\<partial\><rsup|\<sharp\>>
      \<frak-m\><rsup|\<sharp\>>> for all <with|mode|math|f\<in\>\<bbb-T\>>.
    </enumerate-alpha>
  </exercise>

  <\exercise>
    Let <with|mode|math|f> be a convergent transseries. Prove that
    <with|mode|math|f<rprime|'>> is convergent and that the germ at infinity
    associated to <with|mode|math|f<rprime|'>> coincides with the derivative
    of the germ at infinity associated to <with|mode|math|f>. In other words,
    <with|mode|math|C<cgbt|x>> is a Hardy field.
  </exercise>

  <\exercise>
    Construct a strong exp-log derivation on the field
    <with|mode|math|C[[[x]]]> of well-based transseries of finite exponential
    and logarithmic depths. Show that there exists a unique such derivation
    <with|mode|math|\<partial\>> with <with|mode|math|\<partial\> x=1>, and
    show that <with|mode|math|\<partial\>> is asymptotic and positive. Hint:
    see<nbsp><cite|vdH:phd>.
  </exercise>

  <section|Integration><label|int-sec>

  In this section, we show that each transseries
  <with|mode|math|f\<in\>\<bbb-T\>> admits an integral in
  <with|mode|math|\<bbb-T\>>. Since the derivative of a transseries vanishes
  if and only if it is a constant, we infer that <with|mode|math|f> admits a
  unique, <em|distinguished \ integral><bi-index|distinguished|integral>
  <with|mode|math|<value|I> f><glossary-explain|<with|mode|math|<value|I>
  f>|distinguished integral of <with|mode|math|f>>, whose constant term
  <with|mode|math|(<group|<value|I> f>)<rsub|\<asymp\>>> vanishes. The
  distinguished property immediately implies that mapping
  <with|mode|math|<group|<value|I>:f\<mapsto\><big|int>f>> is linear. We will
  show that <with|mode|math|<value|I>> is actually strongly linear.

  <\proposition>
    <label|int-tr>There exists a unique right inverse
    <with|mode|math|<value|I>:\<bbb-T\>\<rightarrow\>\<bbb-T\>> of
    <with|mode|math|\<partial\>>, such that the constant term
    <with|mode|math|(<value|I> f)<rsub|\<asymp\>>> of
    <with|mode|math|<value|I> <space|-0.4spc>f> vanishes for all
    <with|mode|math|f\<in\>\<bbb-T\>>. This right inverse is strongly linear.
  </proposition>

  <\proof>
    We will first consider the case when <with|mode|math|f\<in\>\<bbb-E\>> is
    exponential. Let <with|mode|math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>
    be a plane transbasis for <with|mode|math|f>. Consider the double sum

    <equation|<with|math-display|false|<big|int>>f=f<rsub|\<asymp\>>*x+<big|sum><rsub|\<frak-m\>\<in\>supp
    f\<setminus\>{1}><big|sum><rsub|k\<geqslant\>0>f<rsub|\<frak-m\>>*F<rsub|\<frak-m\>,k>*\<frak-m\>,<label|int-expr>>

    where

    <\eqnarray*>
      <tformat|<table|<row|<cell|F<rsub|\<frak-m\>,0>>|<cell|=>|<cell|<with|math-display|false|<frac|1|\<frak-m\><rprime|\<dag\>>>><space|0.6spc>;>>|<row|<cell|F<rsub|\<frak-m\>,k>>|<cell|=>|<cell|\<um\><with|math-display|false|<frac|1|\<frak-m\><rprime|\<dag\>>>>*F<rsub|\<frak-m\>,k-1><rprime|'><space|3spc><with|mode|text|for
      >k\<geqslant\>1.>>>>
    </eqnarray*>

    We will show that the family <with|mode|math|(f<rsub|\<frak-m\>>*F<rsub|\<frak-m\>,k>*\<frak-m\>)<rsub|\<frak-m\>\<in\>supp
    f\<setminus\>{1},k\<geqslant\>0>> is grid-based, so that
    (<reference|int-expr>) defines an integral of <with|mode|math|f>.

    Let us first study the <with|mode|math|F<rsub|\<frak-m\>,k>> for a
    monomial <with|mode|math|\<frak-m\>=\<frak-b\><rsub|1><rsup|\<alpha\><rsub|1>>*\<cdots\>*\<frak-b\><rsub|i><rsup|\<alpha\><rsub|i>>>
    with <with|mode|math|<inactive|\<alpha\><rsub|i>>\<neq\>0>. We observe
    that <with|mode|math|\<frak-m\><rprime|'>=(\<alpha\><rsub|1>*\<frak-b\><rsub|1><rprime|\<dag\>>+\<cdots\>+\<alpha\><rsub|i>*\<frak-b\><rsub|i><rprime|\<dag\>>)*\<frak-m\>\<asymp\>\<frak-d\><rsub|\<frak-b\><rsub|i><rprime|\<dag\>>>*\<frak-m\>>.
    Setting

    <\eqnarray*>
      <tformat|<table|<row|<cell|\<frak-d\><rsub|i>>|<cell|=>|<cell|\<frak-d\><rsub|\<frak-b\><rsub|i><rprime|\<dag\>>>
      ;>>|<row|<cell|\<frak-D\><rsub|i>>|<cell|=>|<cell|((supp
      \<frak-b\><rsub|1><rprime|\<dag\>>\<cup\>\<cdots\>\<cup\>supp
      \<frak-b\><rsub|i><rprime|\<dag\>>)*\<frak-d\><rsub|i><rsup|\<um\>1>)<rsup|\<ast\>>*\<frak-d\><rsub|i>,>>|<row|<cell|\<frak-D\><rsub|\<less\>i>>|<cell|=>|<cell|\<frak-D\><rsub|1>\<cup\>\<cdots\>\<cup\>\<frak-D\><rsub|i-1>>>>>
    </eqnarray*>

    we thus have <with|mode|math|supp \<frak-m\><rprime|'>\<subseteq\>\<frak-D\><rsub|i>*\<frak-m\>>
    and <with|mode|math|supp F<rsub|\<frak-m\>,0>\<subseteq\>\<frak-D\><rsub|i>/\<frak-d\><rsub|i><rsup|2>>.
    Moreover, for any <with|mode|math|\<frak-v\>\<in\>supp
    <no-break>F<rsub|\<frak-m\>,k>>, we have <with|mode|math|supp
    \<frak-v\><rprime|'>\<subseteq\>\<frak-D\><rsub|\<less\>i>*\<frak-v\>>.
    Now define families <with|mode|math|\<cal-T\><rsub|\<frak-m\>,k>> by

    <\eqnarray*>
      <tformat|<table|<row|<cell|\<cal-T\><rsub|\<frak-m\>,0>>|<cell|=>|<cell|term
      (<with|math-display|false|<frac|1|\<frak-m\><rprime|\<dag\>>>>)>>|<row|<cell|\<cal-T\><rsub|\<frak-m\>,k>>|<cell|=>|<cell|-\<cal-T\><rsub|\<frak-m\>,0><big|.>*\<cal-T\><rsub|\<frak-m\>,k-1><rprime|'>>>>>
    </eqnarray*>

    where

    <\equation*>
      \<cal-T\><rsub|\<frak-m\>,k-1><rprime|'>=((\<frak-v\><rprime|'>)<rsub|\<frak-v\>*\<frak-w\>>*\<frak-v\>*\<frak-w\>)<rsub|\<frak-v\>\<in\>\<cal-T\><rsub|k-1>,\<frak-w\>\<in\>\<frak-D\><rsub|\<less\>i>>.
    </equation*>

    Then <with|mode|math|F<rsub|\<frak-m\>,k>=<big|sum>\<cal-T\><rsub|\<frak-m\>,k><big|.>>
    for all <with|mode|math|k\<in\>\<bbb-N\>>. Setting
    <with|mode|math|\<cal-T\><rsub|\<frak-m\>>=<big|cup><rsub|k\<in\>\<bbb-N\>>\<cal-T\><rsub|\<frak-m\>,k><big|.>>,
    we have

    <\eqnarray*>
      <tformat|<table|<row|<cell|mon \<cal-T\><rsub|\<frak-m\>>>|<cell|\<subsetsim\>>|<cell|((mon
      \<frak-D\><rsub|\<less\>i>)*(mon \<cal-T\><rsub|\<frak-m\>,0>))<rsup|\<ast\>>*(mon
      \<cal-T\><rsub|\<frak-m\>,0>)>>|<row|<cell|mon
      \<cal-T\><rsub|\<frak-m\>,0>>|<cell|\<subsetsim\>>|<cell|mon
      \<frak-D\><rsub|i>/\<frak-d\><rsub|i><rsup|2>,>>>>
    </eqnarray*>

    whence <with|mode|math|\<cal-T\><rsub|\<frak-m\>>> is grid-based by
    proposition <reference|gb-fam-prop>(<em|c>) and (<reference|mon-fam-eq>).
    We conclude that <with|mode|math|<value|I>
    \<frak-m\>=<big|sum><rsub|k\<geqslant\>0>F<rsub|\<frak-m\>,k>*\<frak-m\>>
    is well-defined, and

    <\eqnarray*>
      <tformat|<table|<row|<cell|<with|math-display|false|><value|I>
      \<frak-m\>>|<cell|=>|<cell|<big|sum><rsub|k\<geqslant\>0>(F<rsub|\<frak-m\>,k><rprime|'>+\<frak-m\><rprime|\<dag\>>*F<rsub|\<frak-m\>,k>)<big|.>*\<frak-m\>>>|<row|<cell|>|<cell|=>|<cell|<big|sum><rsub|k\<geqslant\>0>\<frak-m\><rprime|\<dag\>>*(F<rsub|\<frak-m\>,k>-F<rsub|\<frak-m\>,k+1>)*\<frak-m\>=\<frak-m\><rprime|\<dag\>>*F<rsub|\<frak-m\>,0>*\<frak-m\>=\<frak-m\>.>>>>
    </eqnarray*>

    <yes-indent>Let us now show that the mapping
    <with|mode|math|<value|I>:\<frak-B\><rsup|C>\<rightarrow\>\<bbb-T\>> is
    grid-based. Given a grid-based subset <with|mode|math|\<frak-G\>> of
    <with|mode|math|\<frak-B\><rsup|C>>, we may decompose
    <with|mode|math|\<frak-G\>\<setminus\>{1}=\<frak-G\><rsub|1>\<amalg\>\<cdots\>\<amalg\>\<frak-G\><rsub|n>>,
    where <with|mode|math|\<frak-G\><rsub|i>={\<frak-m\>\<in\>\<frak-G\>:\<frak-m\>\<asympasymp\>\<frak-b\><rsub|i>}>
    for <with|mode|math|1\<leqslant\>i\<leqslant\>n>. By what precedes,
    <with|mode|math|<big|amalg><rsub|\<frak-m\>\<in\>\<frak-S\><rsub|i>>\<cal-T\><rsub|\<frak-m\>>>
    is grid-based for each <no-break><with|mode|math|i>. Hence,
    <with|mode|math|<value|I>> is a grid-based mapping which extends uniquely
    to <with|mode|math|\<bbb-T\>> by strong linearity. Furthermore, given
    <with|mode|math|\<frak-m\>=\<frak-b\><rsub|1><rsup|\<alpha\><rsub|1>>*\<cdots\>*\<frak-b\><rsub|i><rsup|\<alpha\><rsub|i>>>
    with <with|mode|math|<inactive|\<alpha\><rsub|i>>\<neq\>0>, we have
    <with|mode|math|\<frak-D\><rsub|i>\<subseteq\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|i-1>>>,
    so that <with|mode|math|supp f<rsub|\<frak-m\>>*F<rsub|\<frak-m\>,k>*\<frak-m\>\<subseteq\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|i-1>>*\<frak-b\><rsub|i><rsup|\<alpha\><rsub|i>>\<nni\>{1}>.
    This implies that <with|mode|math|<value|I>> is a distinguished, strongly
    linear integral on <with|mode|math|C<rsup|0><gbt|exp x>>.

    Assume now that we have defined a distinguished, strongly linear integral
    <with|mode|math|<value|I>> on <with|mode|math|C<rsup|p><gbt|exp x>>. We
    claim that we may extend <with|mode|math|<value|I>> to
    <with|mode|math|C<rsup|p+1><gbt|exp x>> by

    <\equation>
      <label|upsh-int-def><value|I> f=<with|math-display|false|>(<value|I>
      \<mathe\><rsup|x>*f\<uparrow\>)\<downarrow\>.
    </equation>

    Indeed, (<reference|upsh-int-def>) defines a distinguished integral,
    since <with|mode|math|(<value|I> \<mathe\><rsup|x>*f\<uparrow\>)\<downarrow\><rprime|'>=<frac|1|x>*((\<mathe\><rsup|x>*f\<uparrow\>)\<downarrow\>)=f>
    and <with|mode|math|(<group|<value|I>
    \<mathe\><rsup|x>*f\<uparrow\>>)\<downarrow\><rsub|\<asymp\>>=(<big|int>\<mathe\><rsup|x>*f\<downarrow\>)<rsub|\<asymp\>>=0>,
    for all <with|mode|math|f\<in\>C<rsup|p+1><gbt|exp x>>. Its distinguished
    property implies that it extends the previous integral on
    <with|mode|math|C<rsup|p><gbt|exp x>>. Its strong linearity follows from
    the fact that we may see <with|mode|math|<value|I>> as the composition of
    four strongly linear operations. Our proposition now follows by induction
    over <with|mode|math|p>.
  </proof>

  <\proposition>
    <label|int-tb>Let <with|mode|math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>
    be a transbasis.<no-page-break>

    <\enumerate-alpha>
      <item>If <with|mode|math|\<frak-b\><rsub|1>=x> or
      <with|mode|math|\<frak-b\><rsub|1>=exp x>, then
      <with|mode|math|C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|i>>[log
      \<frak-b\><rsub|1>]> is stable under <with|mode|math|<I>> for all
      <with|mode|math|i>.

      <item>If <with|mode|math|\<frak-b\><rsub|1>=log<rsub|l> x> and
      <with|mode|math|log<rsub|l-1> x,\<ldots\>,x\<in\>\<frak-B\>>, then
      <with|mode|math|C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>[log
      \<frak-b\><rsub|1>]> is stable under
      <no-break><with|mode|math|<value|I>>.
    </enumerate-alpha>
  </proposition>

  <\proof>
    We will consider the case when <with|mode|math|\<frak-b\><rsub|1>=\<mathe\><rsup|x>>
    and <with|mode|math|i=n>. The other cases follow by upward shifting. Now
    given <with|mode|math|f=f<rsub|d>*x<rsup|d>+\<cdots\>+f<rsub|0>> with
    <with|mode|math|f<rsub|0>,\<ldots\>,f<rsub|d>\<in\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>,
    we claim that <with|mode|math|<I> f=F\<assign\>g<rsub|d+1>*x<rsup|d+1>+\<cdots\>+g<rsub|0>>,
    where <with|mode|math|g<rsub|0>,\<ldots\>,g<rsub|d+1>\<in\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>
    are given by

    <\eqnarray*>
      <tformat|<table|<row|<cell|g<rsub|d+1>>|<cell|=>|<cell|f<rsub|d,\<asymp\>>/(d+1);>>|<row|<cell|g<rsub|d>>|<cell|=>|<cell|f<rsub|d-1,\<asymp\>>/d+<I>
      (f<rsub|d>-(d+1)*g<rsub|d+1>)<rsub|\<nasymp\>>;>>|<row|<cell|g<rsub|d-1>>|<cell|=>|<cell|f<rsub|d-2,\<asymp\>>/(d-1)+<I>
      (f<rsub|d-1>-d*g<rsub|d>)<rsub|\<nasymp\>>;>>|<row|<cell|>|<cell|\<vdots\>>|<cell|>>|<row|<cell|g<rsub|0>>|<cell|=>|<cell|<I>
      (f<rsub|0>-g<rsub|1>)<rsub|\<nasymp\>>.>>>>
    </eqnarray*>

    Indeed, it is easily checked that <with|mode|math|F<rprime|'>=f>.
    Furthermore,

    <\equation*>
      F<rsub|\<asymp\>>=g<rsub|0,\<asymp\>>=(<I>
      (f<rsub|0>-g<rsub|1>)<rsub|\<nasymp\>>)<rsub|\<asymp\>>=0,
    </equation*>

    whence <with|mode|math|F=<I> f>, by the distinguished property of
    integration.
  </proof>

  <\fold>
    <\exercise>
      Let <with|mode|math|\<frak-m\>\<neq\>1> be a transmonomial. Show that
      there exists a unique transmonomial
      <with|mode|math|\<frak-n\>\<asympasymp\>\<frak-m\>>, so that
      <with|mode|math|\<frak-n\><rprime|'>> is a transmonomial.
    </exercise>
  <|fold>
    <\solution>
      Take \ <with|mode|math|\<frak-n\>=exp <value|I>
      \<frak-d\><rsub|\<frak-m\><rprime|\<dag\>>>>. By exercise
      <reference|asymp-log-der-ex>, we have
      <with|mode|math|\<frak-n\>\<asympasymp\>\<frak-m\>>, since
      <with|mode|math|\<frak-n\><rprime|\<dag\>>=\<frak-d\><rsub|\<frak-m\><rprime|\<dag\>>>\<asymp\>\<frak-m\><rprime|\<dag\>>>.
      Moreover, <with|mode|math|<value|I>> maps
      <with|mode|math|{f\<in\>\<bbb-T\>:supp f\<succ\>(x*log x*log<rsub|2>
      x*\<cdots\>)<rsup|\<um\>1>}> into <with|mode|math|\<bbb-T\><rsup|\<uparrow\>>>,
      so <with|mode|math|\<frak-n\>> is a transmonomial.
    </solution>
  </fold>

  <\fold>
    <\exercise>
      Let <with|mode|math|f,g\<in\>\<bbb-T\>>.

      <\enumerate-alpha>
        <item>If <with|mode|math|<value|I> f\<prec\>1> and
        <with|mode|math|<value|I> g\<prec\>1>, then show that

        <equation|(<I> f)(<I> g)=<I> f*<I> g+<I> g*<I>
        f.<label|int-symmetral>>

        <item>Give a necessary and sufficient condition for
        (<reference|int-symmetral>) to hold.

        <item>Prove that there does not exist a strong integration on
        <with|mode|math|C((\<mathe\><rsup|x>))> so that
        (<reference|int-symmetral>) holds for all
        <with|mode|math|f,g\<in\>C((\<mathe\><rsup|x>))>.
      </enumerate-alpha>
    </exercise>
  <|fold>
    <\solution>
      \;

      <\enumerate-alpha>
        <item>Follows from (<em|b>) below.

        <item>We have (<reference|int-symmetral>) if and only if
        <with|mode|math|[(<I> f)(<I> g)]<rsup|=>=0>.

        <item>Assume the contrary and let <with|mode|math|\<alpha\>> and
        <with|mode|math|\<beta\>> be such that <with|mode|math|<value|I>
        \<mathe\><rsup|x>=\<mathe\><rsup|x>-\<alpha\>> and
        <with|mode|math|<value|I> \<mathe\><rsup|\<um\>x>=\<um\><no-break>\<mathe\><rsup|\<um\>x>+<no-break>\<beta\>>.
        Then (<reference|int-symmetral>) implies
        <with|mode|math|<group|<value|I> \<mathe\><rsup|n*x>>=<value|I><rsub|log
        \<alpha\>><rsup|x> \<mathe\><rsup|n*t>*\<mathd\>
        t=(\<mathe\><rsup|n*x>\<um\>\<alpha\><rsup|n>)/n> and
        <with|mode|math|<value|I> \<mathe\><rsup|\<um\>n*x>=\<um\>(\<mathe\><rsup|\<um\>n*x>-\<beta\><rsup|n>)/n>
        for all <with|mode|math|n\<in\>\<bbb-N\><rsup|\<gtr\>>>. If
        <with|mode|math|\<beta\>\<neq\>0>, it follows that
        <with|mode|math|(<value|I> \<mathe\><rsup|\<um\>n*x>)<rsub|n\<in\>\<bbb-N\>>>
        is not strongly summable, as it should be. Hence
        <with|mode|math|\<beta\>=0>, and <with|mode|math|(<value|I>
        \<mathe\><rsup|x>)*(<value|I> \<mathe\><rsup|\<um\>x>)=1-\<alpha\>*\<mathe\><rsup|\<um\>x>=<value|I>
        \<mathe\><rsup|x>*<value|I> \<mathe\><rsup|\<um\>x>+<value|I>
        \<mathe\><rsup|\<um\>x>*<value|I> \<mathe\><rsup|x>=\<um\><value|I>
        1+<value|I> (1-\<alpha\>*\<mathe\><rsup|\<um\>x>)=\<um\>\<alpha\>*\<mathe\><rsup|\<um\>x>>.
        This contradiction shows that (<reference|int-symmetral>) cannot be
        satisfied for all <with|mode|math|f,g\<in\>C((\<mathe\><rsup|x>))>.
      </enumerate-alpha>
    </solution>
  </fold>

  <\exercise>
    <label|erf-ex>Show that <with|mode|math|<value|I>
    \<mathe\><rsup|x<rsup|2>>> is divergent. Deduce that
    <with|mode|math|<value|I> \<mathe\><rsup|x<rsup|2>>> is not an exp-log
    function.
  </exercise>

  <\exercise>
    Let <with|mode|math|\<varphi\>:H\<hookrightarrow\>\<bbb-T\>> an embedding
    of a Hardy field into <with|mode|math|\<bbb-T\>=\<bbb-R\><gbt|x>>. The
    embedding <with|mode|math|\<varphi\>> is assumed to preserve the
    differential ring structure and the ordering. Given
    <with|mode|math|f\<in\>H>, show that <with|mode|math|\<varphi\>> can be
    extended into an embedding <with|mode|math|<wide|\<varphi\>|^>:H(<value|I>
    f)\<hookrightarrow\>\<bbb-T\>>.
  </exercise>

  <section|Functional composition><label|comp-sec>

  Let <with|mode|math|R> and <with|mode|math|S> be strong totally ordered
  partial exp-log <with|mode|math|C>-algebras. A <em|strong difference
  operator><bi-index|strong|difference operator> of <with|mode|math|R> into
  <with|mode|math|S> is an injection <with|mode|math|\<delta\>:R\<rightarrow\>S>,
  which satisfies

  <\description>
    <item*|<with|mode|math|\<Delta\>>1><with|mode|math|\<delta\> c=c>, for
    all <with|mode|math|c\<in\>C>.

    <item*|<with|mode|math|\<Delta\>>2><with|mode|math|\<delta\>> is strongly
    linear.

    <item*|<with|mode|math|\<Delta\>>3><with|mode|math|\<delta\>(f*g)=\<delta\>(f)*\<delta\>(g)>,
    for all <with|mode|math|f,g\<in\>R>.
  </description>

  If <with|mode|math|S=R>, then we say that <with|mode|math|\<delta\>> is a
  strong difference operator on <with|mode|math|R>. We say that
  <with|mode|math|\<delta\>> is an <em|exp-log difference
  operator><bi-index|exp-log|difference operator>, if we also have

  <\description>
    <item*|<with|mode|math|\<Delta\>>4><with|mode|math|\<delta\>(exp f)=exp
    \<delta\>(f)>, for all <with|mode|math|f\<in\>R\<cap\>dom exp>.
  </description>

  We say that <with|mode|math|\<delta\>> is
  <em|asymptotic><bi-index|asymptotic|difference operator> resp.
  <em|increasing><bi-index|increasing|difference operator>, if

  <\description>
    <item*|<with|mode|math|\<Delta\>>5><with|mode|math|f\<prec\>1\<Rightarrow\>\<delta\>(f)\<prec\>1>,
    for all <with|mode|math|f\<in\>R>.

    <item*|<with|mode|math|\<Delta\>>6><with|mode|math|f\<geqslant\>0\<Rightarrow\>\<delta\>(f)\<geqslant\>0>,
    for all <with|mode|math|f\<in\>R>.
  </description>

  In this section, we will show that for each
  <with|mode|math|g\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>>, there exists a
  unique strong exp-log difference operator
  <with|mode|math|<op|\<circ\><rsub|g>>><glossary-explain|<with|mode|math|<op|\<circ\><rsub|g>>>|right
  composition with <with|mode|math|g>> on <with|mode|math|\<bbb-T\>>, such
  that <with|mode|math|<op|\<circ\><rsub|g>>(x)=g>. This allows us to define
  a composition on <with|mode|math|\<bbb-T\>> by
  <with|mode|math|<op|\<circ\>>:\<bbb-T\>\<times\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>\<rightarrow\>\<bbb-T\>,
  (f,g)\<mapsto\><op|\<circ\><rsub|g>>(f)><glossary-explain|<with|mode|math|f\<circ\>g>|composition
  of <with|mode|math|f> and <with|mode|math|g>><bi-index|composition|transseries>.
  We will show that this composition is associative, that it satisfies the
  chain rule, and that we can perform Taylor series expansion under certain
  conditions.

  <\lemma>
    <label|der-lin-ext>Let <with|mode|math|\<bbb-T\>=C<gb|\<frak-T\>>\<subseteq\><wide|\<bbb-T\>|^>=C<gb|<wide|\<frak-T\>|^>>>
    be arbitrary fields of transseries and let
    <with|mode|math|\<delta\>:\<frak-T\>\<rightarrow\><wide|\<bbb-T\>|^>> be
    a mapping, which satisfies <with|mode|math|\<delta\>(\<frak-m\>*\<frak-n\>)=\<delta\>(\<frak-m\>)*\<delta\>(\<frak-n\>)>
    and <with|mode|math|1\<prec\>\<frak-m\>\<Rightarrow\>\<delta\>(\<frak-m\>)\<in\><wide|\<bbb-T\>|^><rsup|\<gtr\>,\<succ\>>>
    for all <with|mode|math|\<frak-m\>,\<frak-n\>\<in\>\<frak-T\>>. Then

    <\enumerate-alpha>
      <item><with|mode|math|\<delta\>> is a grid-based mapping, which extends
      uniquely to a strong, asymptotic and increasing difference operator
      from <with|mode|math|\<bbb-T\>> into
      <with|mode|math|<wide|\<bbb-T\>|^>>.

      <item>If <with|mode|math|\<delta\>(log \<frak-m\>)=log
      \<delta\>(\<frak-m\>)> for all <with|mode|math|\<frak-m\>\<in\>\<frak-T\>>,
      then the extension of <with|mode|math|\<delta\>> to
      <with|mode|math|\<bbb-T\>> is an exp-log difference operator.
    </enumerate-alpha>
  </lemma>

  <\proof>
    Let <with|mode|math|\<frak-G\>> be a grid-based subset of
    <with|mode|math|\<bbb-T\>>, so that <with|mode|math|\<frak-G\>\<subseteq\>{\<frak-m\><rsub|1>,\<ldots\>,<no-break>\<frak-m\><rsub|n>}<rsup|\<ast\>>*\<frak-n\>>
    for certain monomials <with|mode|math|\<frak-m\><rsub|1>\<prec\>1,\<ldots\>,\<frak-m\><rsub|n>\<prec\>1>
    and <with|mode|math|\<frak-n\>> in <with|mode|math|\<frak-T\>>. Then the
    family <with|mode|math|\<cal-F\><rsup|\<ast\>>> with
    <with|mode|math|\<cal-F\>=(\<delta\>(\<frak-m\><rsub|i>))<rsub|1\<leqslant\>i\<leqslant\>n>>
    is grid-based, by proposition <reference|gb-fam-prop>(<em|c>). It follows
    that <with|mode|math|\<delta\>:<no-break>\<frak-T\>\<rightarrow\><wide|\<bbb-T\>|^>>
    is grid-based, since <with|mode|math|(\<delta\>(\<frak-v\>))<rsub|\<frak-v\>\<in\>\<frak-G\>>\<subsetsim\>\<cal-F\><rsup|\<ast\>>*\<delta\>(\<frak-n\>)>.
    By proposition <reference|ex-lin-mult>, the extension of
    <with|mode|math|\<delta\>> to <with|mode|math|\<bbb-T\>> is a strong
    difference operator. If <with|mode|math|f\<in\>\<bbb-T\><rsup|\<prec\>>>,
    then <with|mode|math|\<delta\>(\<frak-m\>)\<prec\>1> for all
    <with|mode|math|\<frak-m\>\<in\>supp f>, whence
    <with|mode|math|\<delta\>(f)=<big|sum>f<rsub|\<frak-m\>>*\<delta\>(\<frak-m\>)<big|.>\<prec\>1>.
    This proves that <with|mode|math|\<delta\>> is asymptotic and, given
    <with|mode|math|f\<in\><no-break>\<bbb-T\><rsup|\<neq\>>>, it also
    follows that <with|mode|math|\<delta\>(f)\<sim\>\<delta\>(\<tau\><rsub|f>)=c<rsub|f>*\<delta\>(\<frak-d\><rsub|f>)>.
    In particular, if <with|mode|math|f\<gtr\>0>, then
    <with|mode|math|\<delta\>(f)\<gtr\>0>. This completes the proof of
    <no-break>(<with|font-shape|italic|a>).

    Now assume that <with|mode|math|\<delta\>(log \<frak-m\>)=log
    \<delta\>(\<frak-m\>)> for all <with|mode|math|\<frak-m\>\<in\>\<frak-T\>>.
    In order to prove (<with|font-shape|italic|b>), it obviously suffices to
    show that <with|mode|math|\<delta\>(log f)=log \<delta\>(f)> for all
    <with|mode|math|f\<in\>\<bbb-T\><rsup|\<gtr\>>>. Now each
    <with|mode|math|f\<in\>\<bbb-T\><rsup|\<gtr\>>> may be decomposed as
    <with|mode|math|f=c*\<frak-m\>*(1+\<varepsilon\>)>, with
    <with|mode|math|c\<in\>C<rsup|\<gtr\>>>,
    <with|mode|math|\<frak-m\>\<in\>\<frak-T\>> and
    <with|mode|math|\<varepsilon\>\<prec\>1>. For each
    <no-break><with|mode|math|k\<in\><no-break>\<bbb-N\><rsup|\<gtr\>>>, we
    have <with|mode|math|\<delta\>(<frac|(\<um\>1)<rsup|k-1>|k>*\<varepsilon\><rsup|k>)=<frac|(\<um\>1)<rsup|k-1>|k>*\<delta\>(\<varepsilon\>)<rsup|k><rsup|>>.
    Hence, <with|mode|math|\<delta\>(log (1+\<varepsilon\>))=log
    (1+\<delta\>(\<varepsilon\>))>, by strong linearity. We conclude that
    <with|mode|math|\<delta\>(log f)=\<delta\>(log c)+*\<delta\>(log
    \<frak-d\><rsub|f>)+\<delta\>(log(1+\<varepsilon\>))=log c+log
    \<delta\>(\<frak-d\><rsub|f>)+log (1+\<delta\>(\<varepsilon\>))=log
    (c*\<delta\>(\<frak-d\><rsub|f>)*(1+\<delta\>(\<varepsilon\>)))=log
    <no-break>\<delta\>(c*\<frak-d\><rsub|f>*(1+\<varepsilon\>))=log
    \<delta\>(f)>.
  </proof>

  <\proposition>
    <label|unique-comp-prop>Let <with|mode|math|g\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>>.
    Then there exists a unique strong exp-log difference operator
    <with|mode|math|<op|\<circ\><rsub|g>>> on <with|mode|math|\<bbb-T\>> with
    <with|mode|math|<op|\<circ\><rsub|g>>(x)=g>. This difference operator is
    asymptotic and increasing.
  </proposition>

  <\proof>
    We will show by induction over <with|mode|math|p\<in\>\<bbb-N\>> that
    there exists a unique strong exp-log difference operator
    <with|mode|math|<op|\<circ\><rsub|g>>> from
    <with|mode|math|C<rsub|p><gbt|x>=C<gb|\<frak-T\><rsub|p>>> into
    <with|mode|math|\<bbb-T\>> with <with|mode|math|<op|\<circ\><rsub|g>>
    x=g>, and we will show that this difference operator is asymptotic and
    increasing.

    For <with|mode|math|p=0>, the axioms <with|font-series|bold|<with|mode|math|math-font-series|bold|\<Delta\>>3>
    and <with|font-series|bold|<with|mode|math|math-font-series|bold|\<Delta\>>4>
    imply that

    <\equation*>
      <op|\<circ\><rsub|g>>(x<rsup|\<alpha\><rsub|0>>*\<cdots\>*log<rsub|q><rsup|\<alpha\><rsub|q>>
      x)=*g<rsup|\<alpha\><rsub|0>>*\<cdots\>*log<rsub|q><rsup|\<alpha\><rsub|q>>
      g
    </equation*>

    for all monomials <with|mode|math|x<rsup|\<alpha\><rsub|0>>*\<cdots\>*log<rsub|q><rsup|\<alpha\><rsub|q>>
    x\<in\>\<frak-T\><rsub|0>>. \ If <with|mode|math|x<rsup|\<alpha\><rsub|0>>*\<cdots\>*log<rsub|q><rsup|\<alpha\><rsub|q>>
    x\<succ\>1>, <abbr|i.e.> <with|mode|math|\<alpha\><rsub|0>=\<cdots\>=\<alpha\><rsub|i-1>=0>
    and <with|mode|math|\<alpha\><rsub|i>\<gtr\>0> for some
    <with|mode|math|i>, we also get <with|mode|math|<op|\<circ\><rsub|g>>(x<rsup|\<alpha\><rsub|0>>*\<cdots\>*log<rsub|q><rsup|\<alpha\><rsub|q>>
    x)\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>>, since
    <with|mode|math|log<rsub|i+1><rsup|\<alpha\><rsub|i+1>>
    <no-break>g*\<cdots\>*log<rsub|q><rsup|\<alpha\><rsub|q>>
    <no-break>g\<precprec\>log<rsub|i><rsup|\<alpha\><rsub|i>>
    g\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>>. This completes the proof in the
    case when <with|mode|math|p=0>, by lemma <reference|der-lin-ext>.

    If <with|mode|math|p\<gtr\>0>, then the induction hypothesis states that
    there exists a unique strong exp-log difference operator
    <with|mode|math|><with|mode|math|<op|\<circ\><rsub|g>>:C<rsub|p-1><gbt|x>\<rightarrow\>\<bbb-T\>>
    with <with|mode|math|<op|\<circ\><rsub|g>>(x)=g>, and
    <with|mode|math|<op|\<circ\><rsub|g>>> is asymptotic and increasing. In
    view of <with|font-series|bold|<with|mode|math|math-font-series|bold|\<Delta\>>4>,
    any extension of <with|mode|math|<op|\<circ\><rsub|g>>> to
    <with|mode|math|C<rsub|p><gbt|x>> should therefore satisfy
    <with|mode|math|<op|\<circ\><rsub|g>>(\<mathe\><rsup|f>)=\<mathe\><rsup|\<circ\><rsub|g>(f)>>
    for all <with|mode|math|\<mathe\><rsup|f>\<in\>\<frak-T\><rsub|p>=exp
    C<rsub|p-1><gbt|x><rsub|\<succ\>>>. On the other hand, when defining
    <with|mode|math|<op|\<circ\><rsub|g>>> in this way on
    <with|mode|math|\<frak-T\><rsub|p>>, we have
    <with|mode|math|<op|\<circ\><rsub|g>>(\<mathe\><rsup|f<rsub|1>>*\<mathe\><rsup|f<rsub|2>>)=*\<mathe\><rsup|<op|\<circ\><rsub|g>>(f<rsub|1>+f<rsub|2>)>=\<mathe\><rsup|<op|\<circ\><rsub|g>>(f<rsub|1>)>*\<mathe\><rsup|<op|\<circ\><rsub|g>>(f<rsub|2>)>=<op|\<circ\><rsub|g>>(\<mathe\><rsup|f>)*<op|\<circ\><rsub|g>>(\<mathe\><rsup|g>)>
    for all <with|mode|math|\<mathe\><rsup|f<rsub|1>>,\<mathe\><rsup|f<rsub|2>>\<in\>\<frak-T\><rsub|p>>.
    Similarly, <with|mode|math|(f=f<rsub|\<succ\>>\<wedge\>\<mathe\><rsup|f>\<succ\>1)\<Rightarrow\>(f\<gtr\>0\<wedge\>f\<succ\>1)\<Rightarrow\>\<circ\><rsub|g>(f)\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>\<Rightarrow\><op|\<circ\><rsub|g>>(\<mathe\><rsup|f>)=\<mathe\><rsup|<op|\<circ\><rsub|g>>(\<mathe\><rsup|f>)>\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>>
    for all <with|mode|math|\<mathe\><rsup|f>\<in\>\<frak-T\><rsub|p>>. This
    completes the proof in the general case, by lemma
    <reference|der-lin-ext>.
  </proof>

  <\proposition>
    <label|comp-props>

    <\enumerate-alpha>
      <item><with|mode|math|f\<circ\>(g\<circ\>h)=(f\<circ\>g)\<circ\>h>, for
      all <with|mode|math|f\<in\>\<bbb-T\>> and
      <with|mode|math|g,h\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>>.

      <item><with|mode|math|(f\<circ\>g)<rprime|'>=g<rprime|'>*(f<rprime|'>\<circ\>g)>,
      for all <with|mode|math|f\<in\>\<bbb-T\>> and
      <with|mode|math|g\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>>.

      <item>Let <with|mode|math|f,\<delta\>\<in\>\<bbb-T\>> be such that
      <with|mode|math|\<delta\>\<prec\>x> and
      <with|mode|math|\<frak-m\><rprime|\<dag\>>*\<delta\>\<prec\>1> for all
      <with|mode|math|\<frak-m\>\<in\>supp f>. Then<bi-index*|Taylor|series>

      <equation|f\<circ\>(x+\<delta\>)=f+f<rprime|'>*\<delta\>+<with|math-display|false|<frac|1|2>>*f<rprime|''>*\<delta\><rsup|2>+\<cdots\><label|Taylor>>
    </enumerate-alpha>
  </proposition>

  <\proof>
    Property (<with|font-shape|italic|a>) follows from proposition
    <reference|unique-comp-prop> and the fact that
    <with|mode|math|(<op|\<circ\><rsub|h>>)\<circ\>(<op|\<circ\><rsub|g>>)>
    and <with|mode|math|<op|\<circ\><rsub|g\<circ\>h>>> are both strong
    exponential difference operators which map <with|mode|math|x> to
    <with|mode|math|g\<circ\>h>.

    Let <with|mode|math|\<Phi\>> be the set of
    <with|mode|math|f\<in\>\<bbb-T\>>, for which
    <with|mode|math|(f\<circ\>g)<rprime|'>=g<rprime|'>*(f<rprime|'>\<circ\>g)>.
    We have <with|mode|math|x\<in\>\<Phi\>> and <with|mode|math|\<Phi\>> is
    stable under grid-based summation, since the mappings
    <with|mode|math|f\<mapsto\>(f\<circ\>g)<rprime|'>> and
    <with|mode|math|g<rprime|'>*(f<rprime|'>\<circ\><no-break>g)> are both
    strongly linear. <with|mode|math|\<Phi\>> is also stable under
    exponentiation and logarithm: if <with|mode|math|f\<in\>\<Phi\>>, then

    <\equation*>
      (\<mathe\><rsup|f>\<circ\>g)<rprime|'>=(\<mathe\><rsup|f\<circ\>g>)<rprime|'>=(f\<circ\>g)<rprime|'>*\<mathe\><rsup|f\<circ\>g>=g<rprime|'>*(f<rprime|'>\<circ\>g)*\<mathe\><rsup|f\<circ\>g>=g<rprime|'>*((f<rprime|'>*\<mathe\><rsup|f>)\<circ\>g)=g<rprime|'>*((\<mathe\><rsup|f>)<rprime|'>\<circ\>g)
    </equation*>

    and

    <\equation*>
      f\<gtr\>0\<Rightarrow\>((log f)\<circ\>g)<rprime|'>=(log
      (f\<circ\>g))<rprime|'>=g<rprime|'>*(f<rprime|'>\<circ\>g)/f\<circ\>g=g<rprime|'>*((log
      f)<rprime|'>\<circ\>g).
    </equation*>

    This proves (<with|font-shape|italic|b>), since the smallest subset
    <with|mode|math|\<Phi\>> of <with|mode|math|\<bbb-T\>> which satisfies
    the above properties is <with|mode|math|\<bbb-T\>> itself.

    As to (<with|font-shape|italic|c>), we first have to prove that the right
    hand side of (<reference|Taylor>) is well-defined. Let
    <with|mode|math|\<delta\>\<prec\>x> be a transseries in
    <with|mode|math|\<bbb-T\>> and denote by
    <with|mode|math|\<bbb-T\><rsup|\<flat\>>> the set of transseries
    <with|mode|math|f>, such that <with|mode|math|\<frak-m\><rprime|\<dag\>>*\<delta\>\<prec\>1>
    for all <with|mode|math|\<frak-m\>\<in\>supp f>. Given a transmonomial
    <with|mode|math|\<frak-m\>>, we have

    <\equation*>
      \<frak-m\><rprime|\<dag\>>*\<delta\>\<prec\>1\<Leftrightarrow\>(log
      \<frak-m\>)<rprime|'>\<prec\>1/\<delta\>\<Leftrightarrow\>log
      \<frak-m\>\<prec\><value|I> 1/\<delta\>\<Leftrightarrow\>\<frak-m\>\<precprec\>\<mathe\><rsup|<big|int>1/\<delta\>>,
    </equation*>

    since <with|mode|math|1<mid|/>\<delta\>\<succ\>1/x>. We infer that

    <\equation*>
      \<bbb-T\><rsup|\<flat\>>={f\<in\>\<bbb-T\>:\<forall\>\<frak-m\>\<in\>supp
      f,\<frak-m\>\<precprec\>\<mathe\><rsup|<big|int>1/\<delta\>>}.
    </equation*>

    Let us show that <with|mode|math|\<bbb-T\><rsup|\<flat\>>> is stable
    under differentiation. By the strong linearity of the differentiation, it
    suffices to prove that <with|mode|math|\<frak-m\><rprime|'>\<in\>\<bbb-T\><rsup|\<flat\>>>,
    for all transmonomials <with|mode|math|\<frak-m\>> with
    <with|mode|math|\<frak-m\>\<precprec\><no-break>\<mathe\><rsup|<big|int>1/\<delta\>>>.
    If <with|mode|math|\<frak-m\>\<precpreceq\>x>, then
    <with|mode|math|\<frak-n\>\<precpreceq\>x\<precprec\>\<mathe\><rsup|<big|int>1/\<delta\>>>,
    for all <with|mode|math|\<frak-n\>\<in\>supp \<frak-m\><rprime|'>>. If
    <with|mode|math|\<frak-m\>\<succsucc\>x>, then
    <with|mode|math|\<frak-n\>/\<frak-m\>\<precprec\>\<frak-m\>> for all
    <with|mode|math|\<frak-n\>\<in\>supp \<frak-m\><rprime|'>>, whence
    <with|mode|math|><with|mode|math|\<frak-n\>\<asympasymp\>\<frak-m\>\<precprec\>\<mathe\><rsup|<big|int>1/\<delta\>>>.

    Now consider a transbasis <with|mode|math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>,
    such that <with|mode|math|\<frak-b\><rsub|1>=log<rsub|p>
    x,\<ldots\>,x\<in\>\<frak-B\>> and <with|mode|math|\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>\<in\>\<bbb-T\><rsup|\<flat\>>>.
    By theorem <reference|incl-tb-th>(<em|b>), any
    <with|mode|math|f\<in\>\<bbb-T\><rsup|\<flat\>>> can be expanded with
    respect to such a transbasis. Let

    <\equation*>
      \<frak-D\>=supp \<frak-b\><rsub|1><rprime|\<dag\>>\<cup\>\<cdots\>\<cup\>supp
      \<frak-b\><rsub|n><rprime|\<dag\>>\<prec\><with|math-display|false|<frac|1|\<delta\>>>,
    </equation*>

    so that <with|mode|math|supp \ f<rprime|'>\<subseteq\>(supp
    f)*\<frak-D\>\<subseteq\>\<frak-B\><rsup|C>>, for all
    <with|mode|math|f\<in\>C<gb|\<frak-B\><rsup|C>>>. Now let
    <with|mode|math|f\<in\>C<gb|\<frak-B\><rsup|C>>>,
    <with|mode|math|l\<in\><no-break>\<bbb-N\>>, and consider the family
    <with|mode|math|\<cal-T\><rsub|l>> of all terms

    <\equation*>
      \<tau\><rsub|\<frak-v\>,(\<frak-m\><rsub|1>,\<frak-n\><rsub|1>)*\<cdots\>*(\<frak-m\><rsub|l>,\<frak-n\><rsub|l>)>=<with|math-display|false|<frac|1|l!>>*(f<rsub|\<frak-v\>>*\<frak-v\>)*(\<frak-v\><rprime|\<dag\>><rsub|\<frak-m\><rsub|1>>*\<frak-m\><rsub|1>)*(\<delta\><rsub|\<frak-n\><rsub|1>>*\<frak-n\><rsub|1>)*\<cdots\>*((\<frak-v\>*\<frak-m\><rsub|1>*\<cdots\>*\<frak-m\><rsub|l-1>)<rprime|\<dag\>><rsub|\<frak-m\><rsub|l>>*\<frak-m\><rsub|l>)*(\<delta\><rsub|\<frak-n\><rsub|l>>*\<frak-n\><rsub|l>).
    </equation*>

    Then

    <\equation*>
      <with|math-display|false|<frac|1|l!>>*f<rsup|(l)>*\<delta\><rsup|l>=<big|sum>\<cal-T\><rsub|l>.
    </equation*>

    Moreover, setting <with|mode|math|\<cal-T\>=<big|amalg><rsub|l\<in\>\<bbb-N\>>\<cal-T\><rsub|l><big|.>>,
    we have

    <\equation*>
      mon \<cal-T\>\<subsetsim\>mon(f)*(mon(\<frak-D\>)*mon(\<delta\>))<rsup|\<ast\>>,
    </equation*>

    so <with|mode|math|\<cal-T\>> is grid-based, by proposition
    <reference|gb-fam-prop>(<em|c>). Since <with|mode|math|\<cal-T\>> refines
    the family <with|mode|math|(<with|math-display|false|<frac|1|l!>>*f<rsup|(l)>*\<delta\><rsup|l>)<rsub|l\<in\>\<bbb-N\>>>,
    it follows that the Taylor series in (<reference|Taylor>) is
    well-defined. For a similar reason, the mapping
    <with|mode|math|\<frak-B\><rsup|C>\<rightarrow\>\<bbb-T\>,\<frak-v\>\<mapsto\><big|sum><rsub|l\<geqslant\>0><frac|1|l!>*\<frak-v\><rsup|(l)>*\<delta\><rsup|l>>
    is grid-based, so the mapping <with|mode|math|C<gb|\<frak-B\><rsup|C>>\<rightarrow\><no-break>\<bbb-T\>;f\<mapsto\><big|sum><rsub|l\<geqslant\>0><frac|1|l!>*f<rsup|(l)>*\<delta\><rsup|l>>
    is actually strongly linear.

    Now let <with|mode|math|\<Phi\>> be the subset of
    <with|mode|math|\<bbb-T\><rsup|\<flat\>>> of all <with|mode|math|f>, such
    that (<reference|Taylor>) holds. Clearly, <with|mode|math|x\<in\>\<Phi\>>
    and <with|mode|math|\<Phi\>> is stable under strongly linear
    combinations. We claim that <with|mode|math|\<Phi\>> is also stable under
    exponentiation and logarithm. Indeed, assume that
    <with|mode|math|f\<in\>\<Phi\>> and <with|mode|math|\<mathe\><rsup|f>\<in\>\<bbb-T\><rsup|\<flat\>>>.
    Then <with|mode|math|1/f<rprime|'>\<asymp\>\<frak-d\><rsub|\<mathe\><rsup|f>>/\<frak-d\><rsub|\<mathe\><rsup|f>><rprime|'>\<succ\>\<delta\>>,
    <with|mode|math|f<rprime|'>/f<rprime|''>\<succ\>\<delta\>>,
    <with|mode|math|f<rprime|''>/f<rprime|'''>\<succ\>\<delta\>>,
    <with|mode|math|\<ldots\>>, since <with|mode|math|\<frak-d\><rsub|\<mathe\><rsup|f>>,f<rprime|'>,f<rprime|''>,\<ldots\>\<in\>\<bbb-T\><rsup|\<flat\>>>.
    Hence <with|mode|math|f<rsup|(n)>*\<delta\><rsup|n>\<prec\>1> for all
    <with|mode|math|n\<geqslant\>1>, which allows us to expand

    <\eqnarray*>
      <tformat|<table|<row|<cell|A>|<cell|=>|<cell|(\<mathe\><rsup|f>)\<circ\>(x+\<delta\>)=\<mathe\><rsup|f+f<rprime|'>*\<delta\>+<frac|1|2>*f<rprime|''>*\<delta\><rsup|2>+\<cdots\>>>>|<row|<cell|>|<cell|=>|<cell|\<mathe\><rsup|f>*(1+\<delta\>+<frac|1|2>*f<rprime|''>*\<delta\><rsup|2>+\<cdots\>+(\<delta\>+<frac|1|2>*f<rprime|''>*\<delta\><rsup|2>+\<cdots\>)<rsup|2>+\<ldots\>).>>>>
    </eqnarray*>

    We have to show that <with|mode|math|A> coincides with

    <\eqnarray*>
      <tformat|<table|<row|<cell|B>|<cell|=>|<cell|\<mathe\><rsup|f>+(\<mathe\><rsup|f>)<rprime|'>*\<delta\>+<with|math-display|false|<frac|1|2>>*(\<mathe\><rsup|f>)<rprime|''>*\<delta\><rsup|2>>>|<row|<cell|>|<cell|=>|<cell|\<mathe\><rsup|f>*(1+f<rprime|'>*\<delta\>+<with|math-display|false|<frac|1|2>>*((f<rprime|'>)<rsup|2>+f<rprime|''>)*\<delta\><rsup|2>+\<cdots\>).>>>>
    </eqnarray*>

    But this follows from the fact that we may see <with|mode|math|A=B> as a
    formal identity in the ring <with|mode|math|C[[\<mathe\><rsup|f>,\<delta\>,f<rprime|'>,f<rprime|''>,\<ldots\>]]>.
    Indeed, <with|mode|math|A> and <with|mode|math|B> satisfy the same
    differential equation

    <\eqnarray*>
      <tformat|<table|<row|<cell|<frac|\<partial\>A|\<partial\>\<delta\>>>|<cell|=>|<cell|<left|(>f<rprime|'>*+f<rprime|''>*\<delta\>+<frac|1|2>*f<rprime|'''>*\<delta\><rsup|2>+\<cdots\><right|)>*A>>|<row|<cell|>|<cell|=>|<cell|f<rprime|'>*A+<left|(><frac|\<partial\>A|\<partial\>f<rprime|'>>*f<rprime|''>+<frac|\<partial\>A|\<partial\>f<rprime|''>>*f<rprime|'''>+\<cdots\><right|)>*\<delta\>;>>|<row|<cell|<frac|\<partial\>B|\<partial\>\<delta\>>>|<cell|=>|<cell|f<rprime|'>*B+<left|(><frac|\<partial\>B|\<partial\>f<rprime|'>>*f<rprime|''>+<frac|\<partial\>B|\<partial\>f<rprime|''>>*f<rprime|'''>+\<cdots\><right|)>*\<delta\>,>>>>
    </eqnarray*>

    and <with|mode|math|[\<delta\><rsup|0>]A=[\<delta\><rsup|0>]B=\<mathe\><rsup|f>>.
    Similarly, one may show that <with|mode|math|\<Phi\>> is stable under
    logarithm. This proves (<with|font-shape|italic|c>), since the smallest
    subset of <with|mode|math|\<bbb-T\><rsup|\<flat\>>>, which contains
    <with|mode|math|x> and which is stable under strongly linear
    combinations, exponentiation and logarithm, is
    <with|mode|math|\<bbb-T\><rsup|\<flat\>>> itself.
  </proof>

  <\exercise>
    Let <with|mode|math|f\<in\>\<bbb-T\>> and
    <with|mode|math|g\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>>.

    <\enumerate-alpha>
      <item>Prove that the exponentiality of <with|mode|math|f\<circ\>g>
      equals the sum of the exponentialities of <with|mode|math|f> and
      <no-break><with|mode|math|g>.

      <item>Prove that the exponential height resp. logarithmic depth of
      <with|mode|math|f\<circ\>g> is bounded by the sum of the exponential
      heights resp. logarithmic depths of <with|mode|math|f> and
      <with|mode|math|g>.

      <item>Improve the bound in (<em|b>) by taking into account the
      exponentialities of <with|mode|math|f> and <with|mode|math|g>.
    </enumerate-alpha>
  </exercise>

  <\exercise>
    Let <with|mode|math|f,h\<in\>\<bbb-T\>> and
    <with|mode|math|g\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>> be such that
    <with|mode|math|h\<prec\>g>. Under which condition do we have

    <equation*|f\<circ\>(g+h)=f\<circ\>g+(f<rprime|'>\<circ\>g)*h+<frac|1|2>*(f<rprime|''>\<circ\>g)*h<rsup|2>+\<cdots\><space|0.6spc>?>
  </exercise>

  <\exercise>
    Let <with|mode|math|f\<in\>\<bbb-T\>> and let <with|mode|math|\<cal-D\>>
    a grid-based family of transseries, such that
    <with|mode|math|\<frak-m\><rprime|\<dag\>>*\<delta\>\<prec\>1>, for all
    <with|mode|math|\<frak-m\>\<in\>supp f> and
    <with|mode|math|\<delta\>\<in\>\<cal-D\>>. prove that

    <equation*|f\<circ\><left|(>x+<big|sum>\<cal-D\><right|)>=<big|sum><rsub|\<delta\><rsub|1>*\<cdots\>*\<delta\><rsub|l>\<in\>\<cal-D\><rsup|\<ast\>>><frac|1|l!>*f<rsup|(l)>*\<delta\><rsub|1>*\<cdots\>*\<delta\><rsub|l>.>
  </exercise>

  <\exercise>
    Let <with|mode|math|\<frak-m\>> be a transmonomial in
    <with|mode|math|\<bbb-T\>> and <with|mode|math|g\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>>
    a transseries, such that <with|mode|math|\<frak-m\>\<circ\><no-break>g\<succsucc\>x>
    and <with|mode|math|\<frak-n\>\<precprec\>log \<frak-m\>\<circ\>g> for
    all <with|mode|math|\<frak-n\>\<in\>supp g>. Prove that
    <with|mode|math|\<frak-m\>\<circ\>g> is a transmonomial.
  </exercise>

  <\exercise>
    Show that <with|mode|math|\<bbb-R\><cgbt|x>> is stable under composition.
  </exercise>

  <\exercise>
    Let <with|mode|math|\<frak-A\>=(\<frak-a\><rsub|1>,\<ldots\>,\<frak-a\><rsub|m>)>
    and <with|mode|math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>
    be two transbases and consider two series
    <with|mode|math|f\<in\>C<gb|\<frak-a\><rsub|1>;\<ldots\>,\<frak-a\><rsub|m>>>
    and <with|mode|math|g\<in\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>><rsup|\<gtr\>,\<succ\>>>.
    Construct a transbasis for <with|mode|math|f\<circ\>g> of size
    <no-break><with|mode|math|<group|<op|\<leqslant\>> m+n>>.
  </exercise>

  <section|Functional inversion><label|inv-sec>

  <subsection|Existence of functional inverses>

  <\theorem>
    Any <with|mode|math|g\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>> admits a
    functional inverse <with|mode|math|g<rsup|inv>\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>><glossary-explain|<with|mode|math|g<rsup|inv>>|functional
    inverse of <with|mode|math|g>><index|inverse of
    transseries><subindex|transseries|inverse> with

    <\equation*>
      g<rsup|inv>\<circ\>g=g\<circ\>g<rsup|inv>=x.
    </equation*>
  </theorem>

  <\proof>
    Without loss of generality, one may assume that
    <with|mode|math|g=x+\<varepsilon\>>, where
    <with|mode|math|\<varepsilon\>\<prec\>1> is exponential. Indeed, it
    suffices to replace <with|mode|math|g> by
    <with|mode|math|log<rsub|l-p>\<circ\>g\<circ\>exp<rsub|l>> for
    sufficiently large <no-break><with|mode|math|l>, where <with|mode|math|p>
    is the exponentiality of <with|mode|math|g>. Let
    <with|mode|math|\<frak-B\>=(\<frak-b\><rsub|1>=\<mathe\><rsup|x>,\<ldots\>,\<frak-b\><rsub|n>)>
    be a plane transbasis for <no-break><with|mode|math|\<varepsilon\>>. We
    will prove that <with|mode|math|g> admits a functional inverse of the
    form <with|mode|math|f=x+\<delta\>>, where
    <with|mode|math|\<delta\>\<prec\>1> can be expanded with respect to a
    plane transbasis <with|mode|math|(\<frak-a\><rsub|1>,\<ldots\>,<no-break>\<frak-a\><rsub|n>)>
    which satisfies <with|mode|math|\<frak-a\><rsub|n>=\<frak-b\><rsub|n>\<circ\>(x+\<delta\><rsub|0>),\<frak-a\><rsub|n-1>=\<frak-b\><rsub|n-1>\<circ\>(x+\<delta\><rsub|0,0>),\<ldots\>>.

    Let us first assume that the constant coefficient
    <with|mode|math|\<varepsilon\><rsub|0>> of
    <with|mode|math|\<varepsilon\>> in <with|mode|math|\<frak-b\><rsub|n>>
    vanishes. Then proposition <reference|comp-props>(<with|font-shape|italic|c>)
    implies that

    <\equation>
      <label|K-inv-th>K f\<assign\>f\<circ\>(x+\<varepsilon\>)-f=f<rprime|'>*\<varepsilon\>+<frac|1|2>*f<rprime|''>*\<varepsilon\><rsup|2><rsup|>+\<cdots\>
    </equation>

    for any <with|mode|math|f\<in\>C<gb|x;\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>.
    In particular, for every <with|mode|math|\<frak-m\>\<in\>x<rsup|C>*\<frak-b\><rsub|1><rsup|C>*\<cdots\>*\<frak-b\><rsub|n><rsup|C>>,
    we have

    <\equation*>
      supp <frac|K \<frak-m\>|\<frak-m\>>\<subseteq\>\<frak-K\>\<assign\>({x<rsup|\<um\>1>,\<frak-b\><rsub|1><rprime|\<dag\>>,\<ldots\>,\<frak-b\><rsub|n><rprime|\<dag\>>}*supp
      \<varepsilon\>)<rsup|\<ast\>>.
    </equation*>

    Now the functional inverse of <with|mode|math|g> is given by

    <\eqnarray*>
      <tformat|<table|<row|<cell|g<rsup|inv>>|<cell|=>|<cell|x-K x+K<rsup|2>
      x-K<rsup|3> x+\<cdots\>.>>|<row|<cell|>|<cell|=>|<cell|<big|sum><rsub|(\<frak-k\><rsub|1>,\<ldots\>,\<frak-k\><rsub|l>)\<in\>\<frak-K\><rsup|\<ast\>>>(\<um\>1)<rsup|l>*(K
      x)<rsub|\<frak-k\><rsub|1>>*(K \<frak-k\><rsub|1>)<rsub|\<frak-k\><rsub|2>>*\<cdots\>*(K
      \<frak-k\><rsub|l-1>)<rsub|\<frak-k\><rsub|l>>*(x*\<frak-k\><rsub|1>*\<cdots\>*\<frak-k\><rsub|l>)>>>>
    </eqnarray*>

    Since <with|mode|math|K x=\<varepsilon\>\<in\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>
    and <with|mode|math|K> maps <with|mode|math|C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>
    into itself, we conclude that <with|mode|math|g<rsup|inv>=x+\<delta\>>,
    with <with|mode|math|\<delta\>\<in\>C<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>><rsub|\<prec\>>>.

    The general case is proved by induction over <with|mode|math|n>. If
    <with|mode|math|n=1>, then we must have
    <with|mode|math|\<varepsilon\><rsub|0>=0>, so we are done. So assume that
    <with|mode|math|n\<gtr\>1>. By the induction hypothesis, there exists a
    functional inverse <with|mode|math|<wide|f|~>=x+<wide|\<delta\>|~>> for
    <with|mode|math|<wide|g|~>=x+<wide|\<varepsilon\>|~>=x+\<varepsilon\><rsub|0>>,
    such that <with|mode|math|<wide|\<delta\>|~>\<in\>C<gb|\<frak-a\><rsub|1>;\<ldots\>;\<frak-a\><rsub|n-1>><rsub|\<prec\>>>,
    where <with|mode|math|\<frak-a\><rsub|n-1>=\<frak-b\><rsub|n-1>\<circ\>(x+<wide|\<delta\>|~><rsub|0>),\<frak-a\><rsub|n-2>=\<frak-b\><rsub|n-2>\<circ\>(x+<wide|\<delta\>|~><rsub|0,0>),\<ldots\>>.
    Now <with|mode|math|g\<circ\><wide|f|~>=x+(g-<wide|g|~>)\<circ\><wide|f|~>\<in\>C<gb|\<frak-a\><rsub|1>;\<ldots\>;\<frak-a\><rsub|n>>>,
    where <with|mode|math|\<frak-a\><rsub|n>=\<frak-b\><rsub|n>\<circ\><wide|f|~>>,
    and <with|mode|math|((g-<wide|g|~>)\<circ\><wide|f|~>)<rsub|0>=0>. It
    follows that <with|mode|math|g\<circ\><wide|f|~>> has a functional
    inverse of the form <with|mode|math|(g\<circ\><wide|f|~>)<rsup|inv>=x+\<eta\>>
    with <with|mode|math|\<eta\>\<in\>C<gb|\<frak-a\><rsub|1>;\<ldots\>;\<frak-a\><rsub|n>>>
    and <with|mode|math|\<eta\><rsub|0>=0>. We conclude that
    <with|mode|math|g<rsup|inv>=<wide|f|~>\<circ\>(g\<circ\><wide|f|~>)<rsup|inv>>
    is a functional inverse of <with|mode|math|g> and we have
    <with|mode|math|g<rsup|inv>=<wide|f|~>\<circ\>(x+\<eta\>)=<wide|f|~>+<wide|f|~><rprime|'>*\<eta\>+<frac|1|2>*<wide|f|~><rprime|''>*\<eta\><rsup|2>+\<cdots\>\<in\>C<gb|\<frak-a\><rsub|1>;\<ldots\>;\<frak-a\><rsub|n>>>.
  </proof>

  <subsection|The Translagrange theorem><label|trlagr-sec>

  We define a scalar product on <with|mode|math|\<bbb-T\>>
  by<glossary-explain|<with|mode|math|\<langle\>f,g\<rangle\>>|scalar product
  <with|mode|math|(f*g)<rsub|\<asymp\>>> of <with|mode|math|f> and
  <with|mode|math|g>><index|scalar product of
  transseries><subindex|transseries|scalar product>

  <\equation*>
    \<langle\>f,g\<rangle\>=(f*g)<rsub|\<asymp\>>.
  </equation*>

  Given transseries <with|mode|math|M,N\<in\>\<bbb-T\>> and
  <with|mode|math|f\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>>, let us denote

  <\equation*>
    f<rsub|[M,N]>=\<langle\>M\<circ\>f,N\<rangle\>.
  </equation*>

  When taking transmonomials for <with|mode|math|M> and <with|mode|math|N>,
  then the coefficients <with|mode|math|f<rsub|[M,N]>> describe the
  post-composition operator with <with|mode|math|f>. More precisely, for all
  <with|mode|math|\<frak-m\>,\<frak-n\>\<in\>\<frak-T\>> we have

  <\equation*>
    (\<frak-m\>\<circ\>f)<rsub|\<frak-n\>>=f<rsub|[\<frak-m\>,\<frak-n\><rsup|\<um\>1>]>.
  </equation*>

  <\theorem>
    <label|trlagr>Let <with|mode|math|M,N,\<varepsilon\>\<prec\>1> be
    exponential transseries and <with|mode|math|f=x+\<varepsilon\>>. Then
    <with|mode|math|g=f<rsup|inv>> satisfies<bi-index*|Translagrange|theorem>

    <\equation*>
      g<rsub|[M,N<rprime|'>]>=\<um\>f<rsub|[N,M<rprime|'>]>.
    </equation*>
  </theorem>

  <\proof>
    Since <with|mode|math|h<rsub|\<asymp\>>=(<value|I> h)<rsub|x>> for all
    <with|mode|math|h\<in\>\<bbb-T\>>, we have

    <\eqnarray*>
      <tformat|<table|<row|<cell|g<rsub|[M,N<rprime|'>]>=\<langle\>M\<circ\>g,N<rprime|'>\<rangle\>>|<cell|=>|<cell|[<value|I>
      (M\<circ\>g)*N<rprime|'>]<rsub|x><space|0.6spc>;>>|<row|<cell|f<rsub|[N,M<rprime|'>]>=\<langle\>N\<circ\>f,M<rprime|'>\<rangle\>>|<cell|=>|<cell|[<value|I>
      (N\<circ\>f)*M<rprime|'>]<rsub|x>.>>>>
    </eqnarray*>

    Since <with|mode|math|[<value|I> (N\<circ\>f)*M<rprime|'>]-[<value|I>
    (N\<circ\>f)*M<rprime|'>]<rsub|x>*x> and <with|mode|math|g-x> are
    exponential, we have

    <\equation*>
      [<value|I> (N\<circ\>f)*M<rprime|'>]<rsub|x>=[(<value|I>
      (N\<circ\>f)*M<rprime|'>)\<circ\>g]<rsub|x>.
    </equation*>

    Using the rule <with|mode|math|(<value|I> h)\<circ\>g=<value|I>
    (h\<circ\>g)*g<rprime|'>>, it follows that

    <\equation*>
      [<value|I> (N\<circ\>f)*M<rprime|'>]<rsub|x>=[<value|I>
      N*(M<rprime|'>\<circ\>g)*g<rprime|'>]<rsub|x>=[<value|I>
      N*(M\<circ\>g)<rprime|'>]<rsub|x>.
    </equation*>

    Now integration by parts yields

    <\equation*>
      g<rsub|[M,N]>+f<rsub|[N,M<rprime|'>]>=[<value|I>
      (M\<circ\>g)*N<rprime|'>]<rsub|x>+[<value|I>
      N*(M\<circ\>g)<rprime|'>]<rsub|x>=[N*(M\<circ\>g)]<rsub|x>
    </equation*>

    But <with|mode|math|[N*(M\<circ\>g)]<rsub|x>=0>, since
    <with|mode|math|N*(M\<circ\>g)> is exponential.
  </proof>

  The theorem generalizes to the case when <with|mode|math|M,N> and
  <with|mode|math|\<varepsilon\>> are no longer exponential, by applying the
  following rule a finite number of times:

  <\equation*>
    f<rsub|[M,N]>=(log\<circ\>f\<circ\>exp)<rsub|[M\<circ\>exp,N\<circ\>exp]>.
  </equation*>

  <\corollary>
    Let <with|mode|math|M,N,\<varepsilon\>\<prec\>1> be transseries of depths
    <with|mode|math|<op|\<leqslant\>>l> and
    <with|mode|math|f=x+\<varepsilon\>>. Then <with|mode|math|g=f<rsup|inv>>
    satisfies

    <\equation*>
      g<rsub|[M,N<rprime|'>/log<rsub|l><rprime|'>]>=\<um\>f<rsub|[N,M<rprime|'>/log<rsub|l><rprime|'>]>.
    </equation*>
  </corollary>

  <\exercise>
    Let <with|mode|math|g=x+\<varepsilon\>> where
    <with|mode|math|\<varepsilon\>> is exponential and let <with|mode|math|K>
    be as in (<reference|K-inv-th>).

    <\enumerate-alpha>
      <item>Show that we do not always have <with|mode|math|g<rsup|inv>=x-K
      x+K<rsup|2> x+\<cdots\>>.

      <item>Give a necessary and sufficient condition for which
      \ <with|mode|math|g<rsup|inv>=x-K x+K<rsup|2> x+\<cdots\>>.
    </enumerate-alpha>
  </exercise>

  <\exercise>
    <label|Hardy-conj>

    <\enumerate-alpha>
      <item>A classical theorem of Liouville <cite|Li1837|Li1838> states that
      <with|mode|math|(x*log x)<rsup|inv>> is not an exp-log function. Show
      that there exists no exp-log function <with|mode|math|f> with
      <with|mode|math|f\<asymp\>(log x*log log x)<rsup|inv>>
      (see<nbsp><cite|Har11> for a variant of this problem).

      <item>Show that there exists no exp-log function <with|mode|math|f>
      with <with|mode|math|f\<asymp\>\<mathe\><rsup|<big|int>
      \<mathe\><rsup|x<rsup|2>>>>. Hint: use exercise <reference|erf-ex>.

      <item>Assume that <with|mode|math|g\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>>
      is not an exp-log function. Show that there exists an
      <with|mode|math|n\<in\>\<bbb-N\>>, such that there exists no exp-log
      function <with|mode|math|f> with <with|mode|math|f\<asymp\>exp<rsub|n>
      g>.
    </enumerate-alpha>
  </exercise>

  <\exercise>
    Show that <with|mode|math|\<bbb-R\><cgbt|x>> is stable under functional
    inversion.
  </exercise>

  <\exercise>
    Classify the convex subgroups of <with|mode|math|(\<bbb-T\><rsup|\<gtr\>,\<succ\>>,<op|\<circ\>>)>.
    Hint: <with|mode|math|G> is a convex subgroup of
    <with|mode|math|\<bbb-T\><rsup|\<gtr\>,\<succ\>>> if and only if its
    contraction <with|mode|math|con G> is a convex subgroup.
  </exercise>

  <\exercise>
    Show that Lagrange's inversion formula is a special case of theorem
    <reference|trlagr>.
  </exercise>

  <\exercise>
    Show that theorem <reference|trlagr> still holds when
    <with|mode|math|M=x> and <with|mode|math|N> is exponential.
  </exercise>

  <\exercise>
    Let <with|mode|math|M,N> be transseries and let
    <with|mode|math|f\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>> be a transseries
    of level <with|mode|math|0>. Show that for all sufficiently large
    <with|mode|math|l>, the inverse <with|mode|math|g=f<rsup|inv>> satisfies

    <\equation*>
      g<rsub|[M,N]>=\<um\>f<rsub|[<value|I>
      (N*log<rsub|l><rprime|'>),M<rprime|'>/log<rsub|l><rprime|'>]>.
    </equation*>

    If one allows <with|mode|math|l=\<omega\>>, then show that the formula
    holds for transseries of arbitrary levels.
  </exercise>

  \;
</body>

<\initial>
  <\collection>
    <associate|font-base-size|12>
    <associate|page-show-hf|true>
    <associate|window height|732160>
    <associate|window width|1008640>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|Hardy-conj|<tuple|5.20|13>>
    <associate|K-inv-th|<tuple|5.5|12>>
    <associate|Taylor|<tuple|5.4|9>>
    <associate|asymp-log-der-ex|<tuple|5.2|5>>
    <associate|auto-1|<tuple|5|1>>
    <associate|auto-10|<tuple|5.1|2>>
    <associate|auto-11|<tuple|5.1|2>>
    <associate|auto-12|<tuple|5.1|2>>
    <associate|auto-13|<tuple|5.1|2>>
    <associate|auto-14|<tuple|5.1|3>>
    <associate|auto-15|<tuple|5.6|5>>
    <associate|auto-16|<tuple|5.6|5>>
    <associate|auto-17|<tuple|5.4|5>>
    <associate|auto-18|<tuple|5.4|5>>
    <associate|auto-19|<tuple|5.4|5>>
    <associate|auto-2|<tuple|5.1|2>>
    <associate|auto-20|<tuple|5.2|6>>
    <associate|auto-21|<tuple|5.2|6>>
    <associate|auto-22|<tuple|5.2|6>>
    <associate|auto-23|<tuple|5.2|6>>
    <associate|auto-24|<tuple|5.3|8>>
    <associate|auto-25|<tuple|5.3|8>>
    <associate|auto-26|<tuple|5.3|8>>
    <associate|auto-27|<tuple|5.3|8>>
    <associate|auto-28|<tuple|5.3|8>>
    <associate|auto-29|<tuple|5.3|8>>
    <associate|auto-3|<tuple|5.1|2>>
    <associate|auto-30|<tuple|5.3|8>>
    <associate|auto-31|<tuple|5.3|8>>
    <associate|auto-32|<tuple|5.3|8>>
    <associate|auto-33|<tuple|5.3|8>>
    <associate|auto-34|<tuple|5.3|8>>
    <associate|auto-35|<tuple|5.3|8>>
    <associate|auto-36|<tuple|5.3|8>>
    <associate|auto-37|<tuple|c|9>>
    <associate|auto-38|<tuple|c|9>>
    <associate|auto-39|<tuple|5.4|12>>
    <associate|auto-4|<tuple|5.1|2>>
    <associate|auto-40|<tuple|5.4.1|12>>
    <associate|auto-41|<tuple|5.12|12>>
    <associate|auto-42|<tuple|5.12|12>>
    <associate|auto-43|<tuple|5.12|12>>
    <associate|auto-44|<tuple|5.4.2|12>>
    <associate|auto-45|<tuple|5.4.2|12>>
    <associate|auto-46|<tuple|5.4.2|12>>
    <associate|auto-47|<tuple|5.4.2|12>>
    <associate|auto-48|<tuple|5.13|13>>
    <associate|auto-49|<tuple|5.13|13>>
    <associate|auto-5|<tuple|5.1|2>>
    <associate|auto-50|<tuple|5.13|?>>
    <associate|auto-6|<tuple|5.1|2>>
    <associate|auto-7|<tuple|5.1|2>>
    <associate|auto-8|<tuple|5.1|2>>
    <associate|auto-9|<tuple|5.1|2>>
    <associate|comp-props|<tuple|5.11|9>>
    <associate|comp-sec|<tuple|5.3|8>>
    <associate|der-lin-ext|<tuple|5.9|8>>
    <associate|diff-sec|<tuple|5.1|2>>
    <associate|diff-tb|<tuple|5.4|4>>
    <associate|erf-ex|<tuple|5.11|8>>
    <associate|int-expr|<tuple|5.1|6>>
    <associate|int-expr-Noeth|<tuple|5.2|?>>
    <associate|int-sec|<tuple|5.2|6>>
    <associate|int-symmetral|<tuple|5.3|8>>
    <associate|int-tb|<tuple|5.8|7>>
    <associate|int-tr|<tuple|5.7|6>>
    <associate|inv-sec|<tuple|5.4|12>>
    <associate|toc-1|<tuple|5|?>>
    <associate|toc-2|<tuple|5.1|?>>
    <associate|toc-3|<tuple|5.2|?>>
    <associate|toc-4|<tuple|5.3|?>>
    <associate|toc-5|<tuple|5.4|?>>
    <associate|toc-6|<tuple|5.4.1|?>>
    <associate|toc-7|<tuple|5.4.2|?>>
    <associate|toc-8|<tuple|5.5|?>>
    <associate|trlagr|<tuple|5.13|13>>
    <associate|trlagr-sec|<tuple|5.4.2|12>>
    <associate|trop-chap|<tuple|5|1>>
    <associate|unique-comp-prop|<tuple|5.10|9>>
    <associate|unique-der-prop|<tuple|5.2|2>>
    <associate|upsh-int-def|<tuple|5.2|7>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|bib>
      Ec03

      Li1837

      Li1838

      Har11
    </associate>
    <\associate|figure>
      <\tuple|normal>
        We will often adopt a geometric point of view for which the
        derivative <with|mode|<quote|math>|\<partial\>> is a function on the
        ``transline'' <with|mode|<quote|math>|\<bbb-T\>>. Due to the highly
        non-Archimedean character of <with|mode|<quote|math>|\<bbb-T\>>, it
        is difficult to sketch the behaviour of this function. An attempt has
        been made in the left figure above. The two squares correspond to the
        regions where both coordinates are infinitesimal <group|resp.>
        bounded. Notice that <with|mode|<quote|math>|\<partial\>> is locally
        decreasing everywhere (the small curves), although its restriction to
        <with|mode|<quote|math>|\<bbb-T\><rsub|\<succ\>>> is increasing (the
        fat curve). At the right hand side, we also sketched the behaviour of
        the functions <with|mode|<quote|math>|\<frak-m\>\<mapsto\>\<frak-d\><rsub|\<frak-m\><rprime|'>>>
        and <with|mode|<quote|math>|\<frak-m\>\<mapsto\>\<frak-d\><rsub|\<frak-m\><rprime|\<dag\>>>>
        for transmonomials (using logarithmic coordinates).
      </tuple|<pageref|auto-14>>
    </associate>
    <\associate|gly>
      <tuple|<vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|Chapter
      5. Operations on transseries><vspace|1fn>>

      <tuple|normal|<with|mode|<quote|math>|f<rprime|'>>|derivative of
      <with|mode|<quote|math>|f>|<pageref|auto-10>>

      <tuple|normal|<with|mode|<quote|math>|f<rprime|\<dag\>>>|logarithmic
      derivative of <with|mode|<quote|math>|f>|<pageref|auto-11>>

      <tuple|normal|<with|mode|<quote|math>|<with|math-display|<quote|false>|<with|math-condensed|<quote|true>|<big|int>>>
      f>|distinguished integral of <with|mode|<quote|math>|f>|<pageref|auto-23>>

      <tuple|normal|<with|mode|<quote|math>|<with|math-condensed|<quote|true>|\<circ\><rsub|g>>>|right
      composition with <with|mode|<quote|math>|g>|<pageref|auto-33>>

      <tuple|normal|<with|mode|<quote|math>|f\<circ\>g>|composition of
      <with|mode|<quote|math>|f> and <with|mode|<quote|math>|g>|<pageref|auto-34>>

      <tuple|normal|<with|mode|<quote|math>|g<rsup|inv>>|functional inverse
      of <with|mode|<quote|math>|g>|<pageref|auto-41>>

      <tuple|normal|<with|mode|<quote|math>|\<langle\>f,g\<rangle\>>|scalar
      product <with|mode|<quote|math>|(f*g)<rsub|\<asymp\>>> of
      <with|mode|<quote|math>|f> and <with|mode|<quote|math>|g>|<pageref|auto-45>>
    </associate>
    <\associate|idx>
      <tuple|<tuple|strong|derivation>|<pageref|auto-3>>

      <tuple|<tuple|derivation|strong>|<pageref|auto-4>>

      <tuple|<tuple|exp-log|derivation>|<pageref|auto-5>>

      <tuple|<tuple|derivation|exp-log>|<pageref|auto-6>>

      <tuple|<tuple|asymptotic|derivation>|<pageref|auto-7>>

      <tuple|<tuple|derivation|asymptotic>|<pageref|auto-8>>

      <tuple|<tuple|positive derivation>|<pageref|auto-9>>

      <tuple|<tuple|logarithmic|derivative>|<pageref|auto-12>>

      <tuple|<tuple|derivative|logarithmic>|<pageref|auto-13>>

      <tuple|<tuple|plane transbasis>|<pageref|auto-15>>

      <tuple|<tuple|transbasis|plane>|<pageref|auto-16>>

      <tuple|<tuple|asymptotic|derivation>|<pageref|auto-17>>

      <tuple|<tuple|derivation|asymptotic>|<pageref|auto-18>>

      <tuple|<tuple|positive derivation>|<pageref|auto-19>>

      <tuple|<tuple|distinguished|integral>|<pageref|auto-21>>

      <tuple|<tuple|integral|distinguished>|<pageref|auto-22>>

      <tuple|<tuple|strong|difference operator>|<pageref|auto-25>>

      <tuple|<tuple|difference operator|strong>|<pageref|auto-26>>

      <tuple|<tuple|exp-log|difference operator>|<pageref|auto-27>>

      <tuple|<tuple|difference operator|exp-log>|<pageref|auto-28>>

      <tuple|<tuple|asymptotic|difference operator>|<pageref|auto-29>>

      <tuple|<tuple|difference operator|asymptotic>|<pageref|auto-30>>

      <tuple|<tuple|increasing|difference operator>|<pageref|auto-31>>

      <tuple|<tuple|difference operator|increasing>|<pageref|auto-32>>

      <tuple|<tuple|composition|transseries>|<pageref|auto-35>>

      <tuple|<tuple|transseries|composition>|<pageref|auto-36>>

      <tuple|<tuple|Taylor series>|<pageref|auto-37>>

      <tuple|<tuple|series|Taylor>|<pageref|auto-38>>

      <tuple|<tuple|inverse of transseries>|<pageref|auto-42>>

      <tuple|<tuple|transseries|inverse>|<pageref|auto-43>>

      <tuple|<tuple|scalar product of transseries>|<pageref|auto-46>>

      <tuple|<tuple|transseries|scalar product>|<pageref|auto-47>>

      <tuple|<tuple|Translagrange theorem>|<pageref|auto-48>>

      <tuple|<tuple|theorem|Translagrange>|<pageref|auto-49>>
    </associate>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|font-shape|<quote|small-caps>|5.<space|2spc>Operations
      on transseries> <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-1><vspace|0.5fn>

      5.1.<space|2spc>Differentiation <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-2>

      5.2.<space|2spc>Integration <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-20>

      5.3.<space|2spc>Functional composition
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-24>

      5.4.<space|2spc>Functional inversion
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-39>

      <with|par-left|<quote|1.5fn>|5.4.1.<space|2spc>Existence of functional
      inverses <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-40>>

      <with|par-left|<quote|1.5fn>|5.4.2.<space|2spc>The Translagrange
      theorem <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-44>>
    </associate>
  </collection>
</auxiliary>