<TeXmacs|1.0.4.4>

<project|ln.tp>

<style|tmbook>

<\body>
  <assign|chapter-nr|5><chapter|Grid-based operators>

  <glossary-line|<vspace*|1fn><strong|Chapter 6. Grid-based
  operators><vspace|1fn>><label|gbop>Besides multiplication and strong
  summation, we have introduced other interesting operations on the field of
  transseries in the previous chapter, like differentiation, integration,
  composition and functional inversion. In this chapter we will perform a
  theoretical study of an even larger class of operations on transseries,
  which contains the above elementary operations, but also many natural
  combinations of them.

  This theoretical study is carried out best in the context of ``grid-based
  modules''. Let <with|mode|math|C> be a ring. In chapter
  <reference|gbs-chap>, we defined a grid-based algebra to be a strong
  <with|mode|math|C>-algebra of the form <with|mode|math|C<gb|\<frak-M\>>><subindex|grid-based|algebra>,
  where <with|mode|math|\<frak-M\>> is a monomial
  monoid<bi-index|monomial|monoid>. An arbitrary subset
  <with|mode|math|\<frak-S\>> of <with|mode|math|\<frak-M\>> is called a
  <em|monomial set><bi-index|monomial|set> and the set
  <with|mode|math|C<gb|\<frak-S\>>> of strong linear combinations of elements
  in <with|mode|math|\<frak-S\>> a <em|grid-based
  module><subindex|grid-based|module>.

  In section <reference|ml-grop-sec>, we start by generalizing the notion of
  strongly linear mappings from chapter <reference|gbs-chap> to the
  multilinear case. Most natural elementary operations like multiplication,
  differentiation, right composition, <abbr|etc.> can then be seen as either
  linear or bilinear ``grid-based operators''. In section
  <reference|grop-sec>, we next introduce the general concept of a grid-based
  operator. Roughly speaking, such an operator is a mapping
  <with|mode|math|\<Phi\>:C<gb|\<frak-M\>>\<rightarrow\>C<gb|\<frak-N\>>>
  which admits a ``generalized Taylor series expansion''

  <\equation*>
    \<Phi\>=\<Phi\><rsub|0>+\<Phi\><rsub|1>+\<Phi\><rsub|2>+\<cdots\>,
  </equation*>

  such that there exists a <with|mode|math|d>-linear grid-based operator
  <with|mode|math|<wide|\<Phi\>|\<check\>><rsub|d>:C<gb|\<frak-M\>><rsup|d>\<rightarrow\>C<gb|\<frak-N\>>>
  with <with|mode|math|\<Phi\><rsub|d>(f)=<wide|\<Phi\>|\<check\>><rsub|d>(f,\<ldots\>,f)>
  for each <no-break><with|mode|math|d>. If
  <with|mode|math|C\<supseteq\>\<bbb-Q\>>, then such Taylor series expansions
  are unique and we will show that the <with|mode|math|<wide|\<Phi\>|\<check\>><rsub|d>>
  may be chosen to be symmetric.

  Multilinear grid-based operators may both be reinterpreted as general
  grid-based operators and linear grid-based operators using the ``syntactic
  sugar isomorphisms''

  <\eqnarray*>
    <tformat|<table|<row|<cell|C<gb|\<frak-M\><rsub|1>\<amalg\>\<cdots\>\<amalg\>\<frak-M\><rsub|m>>>|<cell|\<cong\>>|<cell|C<gb|\<frak-M\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-M\><rsub|m>>>>|<row|<cell|C<gb|\<frak-M\><rsub|1>\<times\>\<cdots\>\<times\>\<frak-M\><rsub|m>>>|<cell|\<cong\>>|<cell|C<gb|\<frak-M\><rsub|1>>\<otimes\>\<cdots\>\<otimes\>C<gb|\<frak-M\><rsub|m>>>>>>
  </eqnarray*>

  The first isomorphism also provides a notion of grid-based operators in
  several variables.

  As promised, many operations can be carried with grid-based operators: they
  can be composed and one may define a natural strong summation on the space
  of grid-based operators <with|mode|math|\<Phi\>:C<gb|\<frak-M\>>\<rightarrow\>C<gb|\<frak-N\>>>.
  An explicit strong basis of ``symmetric atomic operators'' for this space
  will be established in section <reference|atom-dec-sec>. Last but not
  least, we will prove several implicit function theorems for grid-based
  operators in section <reference|impl-func-th-sec>. These theorems will be a
  key ingredient for the resolution of differential (and more general
  functional equations) in the next chapters.

  <section|Multilinear grid-based operators><label|ml-grop-sec>

  <subsection|Multilinear grid-based operators>

  Let <with|mode|math|M<rsub|1>,\<ldots\>,M<rsub|m>> and <with|mode|math|N>
  be strong modules over a ring <with|mode|math|C>. A mapping

  <\equation*>
    \<Phi\>:M<rsub|1>\<times\>\<cdots\>\<times\>M<rsub|m>\<rightarrow\>N
  </equation*>

  is said to be <em|strongly multilinear><subindex|multilinear|strongly><subindex|strong|multilinear
  mapping>, if for all <with|mode|math|\<cal-F\><rsub|1>\<in\><value|rsS>(M<rsub|1>),\<ldots\>,\<cal-F\><rsub|m>\<in\><value|rsS>(M<rsub|m>)>,
  we have <with|mode|math|M(\<cal-F\><rsub|1>,\<ldots\>,\<cal-F\><rsub|m>)\<in\><value|rsS>(N)>
  and

  <equation*|\<Phi\><left|(><big|sum>\<cal-F\><rsub|1>,\<ldots\>,<big|sum>\<cal-F\><rsub|m><right|)>=<big|sum>\<Phi\>(\<cal-F\><rsub|1>,\<ldots\>,\<cal-F\><rsub|m>).>

  If <with|mode|math|M<rsub|1>,\<ldots\>,M<rsub|m>> and <with|mode|math|N>
  are grid-based modules, then we also say that <with|mode|math|\<Phi\>> is a
  <em|multilinear grid-based operator><subindex|multilinear|grid-based
  operator><subsubindex|grid-based|operator|multilinear>.

  <\example>
    Given monomial monoids <with|mode|math|\<frak-M\>> and
    <with|mode|math|\<frak-N\>>, all strongly linear mappings
    <with|mode|math|L:<no-break>C<gb|\<frak-M\>>\<rightarrow\>C<gb|\<frak-N\>>>
    are multilinear grid-based operators. Denoting
    <with|mode|math|\<bbb-S\>=C<gb|\<frak-M\>>>, we have in particular the
    following important types of linear grid-based operators:

    <\enumerate>
      <item><em|Left multiplication operators>
      <with|mode|math|\<times\><rsub|f>:\<bbb-S\>\<rightarrow\>\<bbb-S\>,g\<mapsto\>f*g>,
      with <with|mode|math|f\<in\>\<bbb-S\>>.

      <item><em|Strong derivations><bi-index|strong|derivation>
      <with|mode|math|d:\<bbb-S\>\<rightarrow\>\<bbb-S\>>. If
      <with|mode|math|\<bbb-S\>> admits <with|mode|math|R>-powers, then such
      derivations should also satisfy <with|mode|math|d
      f<rsup|\<lambda\>>=\<lambda\>*(d f)*f<rsup|\<lambda\>-1>>, whenever
      <with|mode|math|f<rsup|\<lambda\>>> is well-defined for
      <with|mode|math|f\<in\>\<bbb-S\>> and
      <with|mode|math|\<lambda\>\<in\>R>.

      <item><em|Strong integrations><bi-index|strong|integration>; these are
      partial, strongly linear right inverses
      <with|mode|math|I:\<bbb-S\>\<rightarrow\>\<bbb-S\>> of strong
      derivations <with|mode|math|d:\<bbb-S\>\<rightarrow\>\<bbb-S\>>,
      <abbr|i.e.> <with|mode|math|d*I=Id>.

      <item><em|Strong difference operators><bi-index|strong|difference
      operator> <with|mode|math|\<delta\>:\<bbb-S\>\<rightarrow\>\<bbb-S\>>.
      If <with|mode|math|\<bbb-S\>> admits <with|mode|math|R>-powers, then
      such difference operators should also satisfy <with|mode|math|\<delta\>
      f<rsup|\<lambda\>>=(\<delta\> <no-break>f)<rsup|\<lambda\>>>, whenever
      <with|mode|math|f<rsup|\<lambda\>>> is well-defined for
      <with|mode|math|f\<in\>\<bbb-S\>> and
      <with|mode|math|\<lambda\>\<in\>R>).

      <item><em|Strong summation operators><subindex|strong|summation
      operator>; these are partial, strongly linear right inverses
      <with|mode|math|\<Sigma\>:\<bbb-S\>\<rightarrow\>\<bbb-S\>> of finite
      difference operators, <abbr|i.e.> <with|mode|math|(\<delta\>-Id)*\<Sigma\>=Id>,
      for some strong difference operator
      <with|mode|math|\<delta\>:\<bbb-S\>\<rightarrow\>\<bbb-S\>>.
    </enumerate>
  </example>

  <\example>
    Given a monomial monoid <with|mode|math|\<frak-M\>>, the multiplication
    <with|mode|math|<op|\<cdot\>>:C<space|-0.4spc><gb|\<frak-M\>><rsup|2><space|-0.4spc>\<rightarrow\><space|-0.4spc>C<space|-0.4spc><gb|\<frak-M\>>>
    and the scalar product <with|mode|math|C<gb|\<frak-M\>><rsup|2>\<rightarrow\>C;(f,g)\<mapsto\>\<langle\>f,g\<rangle\>=(f*g)<rsub|\<asymp\>>>
    are strongly bilinear mappings.
  </example>

  <\example>
    Compositions<subindex|composition|multilinear grid-based
    operator><subsubindex|multilinear|grid-based
    operator|composition><glossary-explain|<with|mode|math|\<Psi\>\<circ\>(\<Phi\><rsub|1>,\<ldots\>,\<Phi\><rsub|n>)>|composition
    of multilinear grid-based operators>

    <eqnarray*|<tformat|<table|<row|<cell|\<Psi\>\<circ\>(\<Phi\><rsub|1>,\<ldots\>,\<Phi\><rsub|n>):<space|0.6spc><big|prod><rsub|i=1><rsup|n><big|prod><rsub|j=1><rsup|m<rsub|i>>M<rsub|i,j>>|<cell|\<longrightarrow\>>|<cell|V;>>|<row|<cell|((f<rsub|i,j>)<rsub|1\<leqslant\>j\<leqslant\>m<rsub|n>>)<rsub|1\<leqslant\>i\<leqslant\>n>>|<cell|\<longmapsto\>>|<cell|\<Psi\>(\<Phi\><rsub|1>(f<rsub|1,1>,\<ldots\>,f<rsub|1,m<rsub|1>>),\<ldots\>,\<Phi\><rsub|n>(f<rsub|n,1>,\<ldots\>,f<rsub|n,m<rsub|n>>))>>>>>

    of multilinear grid-based operators

    <\eqnarray*>
      <tformat|<table|<row|<cell|\<Psi\>:N<rsub|1>\<times\>\<cdots\>\<times\>N<rsub|n>>|<cell|\<longrightarrow\>>|<cell|V>>|<row|<cell|\<Phi\><rsub|i>:M<rsub|i,1>\<times\>\<cdots\>\<times\>M<rsub|i,m<rsub|i>>>|<cell|\<longrightarrow\>>|<cell|N<rsub|i><space|2fn>(i=1,\<ldots\>,n)>>>>
    </eqnarray*>

    <no-page-break*>are again multilinear grid-based operators.
  </example>

  <\example>
    The <with|mode|math|m>-linear grid-based operators of the form
    <with|mode|math|\<Phi\>:<no-break>C<gb|\<frak-M\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-M\><rsub|m>>\<rightarrow\>C<gb|\<frak-N\>>>
    form a <with|mode|math|C>-module. For instance, if
    <with|mode|math|d:\<bbb-S\>\<rightarrow\>\<bbb-S\>> is a strong
    derivation, where <with|mode|math|\<bbb-S\>=C<gb|\<frak-M\>>>, then
    <em|strong differential operators><subindex|strong|differential
    operator><subindex|differential|strong <emdash>
    operator><subindex|operator|strong differential> of the form

    <\equation*>
      L=L<rsub|r>*d<rsup|r>+\<cdots\>+L<rsub|0>
    </equation*>

    are linear grid-based operators. In section <reference|grop-ssum>, we
    will see that we may actually define strong summations on spaces of
    grid-based operators.
  </example>

  <subsection|Operator supports>

  Let <with|mode|math|\<Phi\>:C<gb|\<frak-M\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-M\><rsub|m>>\<rightarrow\>C<gb|\<frak-N\>>>
  be an <with|mode|math|m>-linear grid-based operator, such that
  <with|mode|math|\<frak-M\><rsub|1>,\<ldots\>,\<frak-M\><rsub|m>> and
  <with|mode|math|\<frak-N\>> are all subsets of a common monomial group
  <with|mode|math|\<frak-G\>>. Then the <em|operator
  support><bi-index|operator|support> of <with|mode|math|L> is defined
  by<glossary-explain|<with|mode|math|supp \<Phi\>>|operator support of
  <with|mode|math|\<Phi\>>>

  <\equation*>
    supp \<Phi\>=<big|cup><rsub|(\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>)\<in\>\<frak-M\><rsub|1>\<times\>\<cdots\>\<times\>\<frak-M\><rsub|m>>supp
    <frac|\<Phi\>(\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>)|\<frak-m\><rsub|1>*\<cdots\>*\<frak-m\><rsub|m>>.
  </equation*>

  The operator support is the smallest subset of <with|mode|math|\<frak-G\>>,
  such that

  <equation|supp \<Phi\>(f<rsub|1>,\<ldots\>,f<rsub|m>)<space|0.6spc>\<subseteq\><space|0.6spc>(supp
  \<Phi\>)*(supp f<rsub|1>)*\<cdots\>*(supp f<rsub|m>),<label|osupp-form>>

  for all <with|mode|math|(f<rsub|1>,\<ldots\>,f<rsub|m>)\<in\>C<gb|\<frak-M\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-M\><rsub|m>>>.
  Given <with|mode|math|\<frak-S\><rsub|1>\<subseteq\>\<frak-M\><rsub|1>,\<ldots\>,\<frak-S\><rsub|m>\<subseteq\>\<frak-M\><rsub|m>>,
  we also denote <with|mode|math|supp<rsub|\<frak-S\><rsub|1>\<times\>\<cdots\>\<times\>\<frak-S\><rsub|m>>\<Phi\>=supp
  \<Phi\><rsub|\|C<gb|\<frak-S\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-S\><rsub|m>>>>.

  <\example>
    We have

    <\eqnarray*>
      <tformat|<table|<row|<cell|supp \<cdot\>>|<cell|=>|<cell|{1};>>|<row|<cell|supp
      \<Psi\>\<circ\><big|prod><rsub|i=1><rsup|n>\<Phi\><rsub|i>>|<cell|\<subseteq\>>|<cell|(supp
      \<Psi\>)*(supp \<Phi\><rsub|1>)*\<cdots\>*(supp \<Phi\><rsub|n>),>>>>
    </eqnarray*>

    for multilinear operators <with|mode|math|\<Phi\><rsub|k>:C<gb|\<frak-M\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-M\><rsub|m>>\<rightarrow\>C<gb|\<frak-N\><rsub|k>>>
    for <with|mode|math|k=1,\<ldots\>,n> and
    <with|mode|math|\<Psi\>:C<gb|\<frak-N\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-N\><rsub|n>>\<rightarrow\>C<gb|\<frak-V\>>>.
  </example>

  <\exercise>
    <label|gbop-subst-ex>Let <with|mode|math|L<rsub|1>,\<ldots\>,L<rsub|k>:C<gb|\<frak-M\>>\<rightarrow\>C<gb|\<frak-M\>>>
    be infinitesimal linear grid-based operators (<abbr|i.e.>
    <with|mode|math|supp L<rsub|i>\<prec\>1> for
    <with|mode|math|i=1,\<ldots\>,k>).

    <\enumerate-alpha>
      <item>Show that <with|mode|math|f(L<rsub|1>,\<ldots\>,L<rsub|k>)> is
      well-defined for non-commutative series
      <with|mode|math|f\<in\>C\<langle\>\<langle\>z<rsub|1>,\<ldots\>,z<rsub|n>\<rangle\>\<rangle\>>.

      <item>Determine the largest subspace of
      <with|mode|math|\<bbb-T\>=C<gbt|x>> on which
      <with|mode|math|\<mathe\><rsup|\<partial\><rsup|2>>> is a well-defined
      bijection.
    </enumerate-alpha>
  </exercise>

  <\exercise>
    \;

    <\enumerate-alpha>
      <item>Is a multilinear grid-based operator necessarily a multilinear
      well-based operator?

      <item>Show that <with|mode|math|C[[\<frak-M\><rsup|\<preccurlyeq\>>]]<rsup|\<ast\>>\<cong\>C[[\<frak-M\><rsup|\<succcurlyeq\>>]]>
      for well-based series, if <with|mode|math|\<frak-M\>> is totally
      ordered. Here <with|mode|math|C[[\<frak-M\><rsup|\<preccurlyeq\>>]]<rsup|\<ast\>>>
      denotes the strong dual of <with|mode|math|C[[\<frak-M\><rsup|\<preccurlyeq\>>]]>.

      <item>Show that (<em|b>) does not hold for grid-based series. How to
      characterize <with|mode|math|C<gb|\<frak-M\>><rsup|\<ast\>>>?
    </enumerate-alpha>
  </exercise>

  <\exercise>
    <label|der-series-ex><glossary-explain|<with|mode|math|<value|rsD><rsub|\<bbb-T\><rsub|\<precprec\>\<mathe\><rsup|x>>>,<value|rsD><rsub|\<bbb-T\><rsub|\<precpreceq\>\<mathe\><rsup|x>>>>|space
    of operators of the form <with|mode|math|<big|sum><rsub|n\<in\>\<bbb-N\>>L<rsub|n>*\<partial\><rsup|n>>
    on <with|mode|math|\<bbb-T\><rsub|\<precprec\>\<mathe\><rsup|x>>>
    <abbr|resp.> <with|mode|math|\<bbb-T\><rsub|\<precpreceq\>\<mathe\><rsup|x>>>>

    <\enumerate-alpha>
      <item>Let <with|mode|math|\<bbb-T\><rsup|\<flat\>>=C<gb|\<frak-T\><rsup|\<flat\>>>=\<bbb-T\><rsub|\<precprec\>\<mathe\><rsup|x>>>
      be the set of transseries <with|mode|math|f\<in\>\<bbb-T\>> with
      <with|mode|math|\<frak-m\>\<precprec\>\<mathe\><rsup|x>> for all
      <with|mode|math|\<frak-m\>\<in\>supp f> and consider the space
      <with|mode|math|<value|rsD><rsub|\<bbb-T\><rsup|\<flat\>>>> of
      operators <with|mode|math|L=<big|sum><rsub|n\<in\>\<bbb-N\>>L<rsub|n>*\<partial\><rsup|n>\<in\>\<bbb-T\><rsup|\<flat\>>[[\<partial\>]]>,
      such that <with|mode|math|<big|cup><rsub|n\<in\>\<bbb-N\>>supp
      L<rsub|n><big|.>> is a grid-based. Show that
      <with|mode|math|<value|rsD><rsub|\<bbb-T\><rsup|\<flat\>>>> operates on
      <with|mode|math|\<bbb-T\><rsup|\<flat\>>> and that
      <with|mode|math|<value|rsD><rsub|\<bbb-T\><rsup|\<flat\>>>> is stable
      under composition.

      <item>Let <with|mode|math|\<bbb-T\><rsup|\<flat\>>=C<gb|\<frak-T\><rsup|\<flat\>>>=\<bbb-T\><rsub|\<precpreceq\>\<mathe\><rsup|x>>>
      and consider the space <with|mode|math|<value|rsD><rsub|\<bbb-T\><rsup|\<flat\>>>>
      of operators <with|mode|math|L=<big|sum><rsub|n\<in\>\<bbb-N\>>L<rsub|n>*\<partial\><rsup|n>\<in\>\<bbb-T\><rsup|\<flat\>>[[\<partial\>]]>,
      such that <with|mode|math|(L<rsub|n><big|.>)<rsub|n\<in\>\<bbb-N\>>> is
      a grid-based family. Show that <with|mode|math|<value|rsD><rsub|\<bbb-T\><rsup|\<flat\>>>>
      operates on <with|mode|math|\<bbb-T\><rsup|\<flat\>>> and that
      <with|mode|math|<value|rsD><rsub|\<bbb-T\><rsup|\<flat\>>>> is stable
      under composition.
    </enumerate-alpha>
  </exercise>

  <section|Strong tensor products><label|stens-prod-sec>

  It is often useful to consider multilinear mappings from
  <with|mode|math|M<rsub|1>\<times\>\<cdots\>\<times\>M<rsub|m>> into
  <with|mode|math|N> as linear mappings from the tensor product
  <with|mode|math|M<rsub|1>\<otimes\>\<cdots\>\<otimes\>M<rsub|m>> into
  <with|mode|math|N>. A similar thing can be done in the strongly linear
  setting. We will restrict ourselves to the case when
  <with|mode|math|M<rsub|1>,\<ldots\>,M<rsub|m>> are grid-based modules, in
  which case the tensor product has a particularly nice form:

  <\proposition>
    <label|stens-prod>Let <with|mode|math|\<frak-M\><rsub|1>,\<ldots\>,\<frak-M\><rsub|m>>
    be monomial sets and consider the mapping

    <\eqnarray*>
      <tformat|<table|<row|<cell|\<mu\>:C<gb|\<frak-M\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-M\><rsub|m>>>|<cell|\<longrightarrow\>>|<cell|C<gb|\<frak-M\><rsub|1>\<times\>\<cdots\>\<times\>\<frak-M\><rsub|m>>>>|<row|<cell|(f<rsub|1>,\<ldots\>,f<rsub|m>)>|<cell|\<longmapsto\>>|<cell|<big|sum><rsub|(\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>)\<in\>\<frak-M\><rsub|1>\<times\>\<cdots\>\<times\>\<frak-M\><rsub|m>>f<rsub|1,\<frak-m\><rsub|1>>*\<cdots\>*f<rsub|m,\<frak-m\><rsub|m>>*(\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>)>>>>
    </eqnarray*>

    This mapping is well-defined and strongly multilinear. Moreover, for
    every strongly multilinear mapping <with|mode|math|\<Phi\>:C<gb|\<frak-M\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-M\><rsub|m>>\<rightarrow\>N>
    into an arbitrary strong <with|mode|math|C>-module, there exists a unique
    strongly linear mapping <with|mode|math|L:C<gb|\<frak-M\><rsub|1>\<times\>\<cdots\>\<times\>\<frak-M\><rsub|m>>\<rightarrow\>N>,
    such that <with|mode|math|\<Phi\>=L\<circ\>\<mu\>>.
  </proposition>

  <\lemma>
    Let <with|mode|math|\<cal-F\>> be a grid-based family of monomials in
    <with|mode|math|\<frak-M\>=\<frak-M\><rsub|1>\<times\>\<cdots\>\<times\>\<frak-M\><rsub|m>>.
    Then there exist grid-based families <with|mode|math|\<cal-G\><rsub|1>\<in\><value|rsF>(\<frak-M\><rsub|1>),\<ldots\>,\<cal-G\><rsub|m>\<in\><value|rsF>(\<frak-M\><rsub|m>)>
    with <with|mode|math|\<cal-F\>\<subsetsim\>\<cal-G\><rsub|1>\<times\>\<cdots\>\<times\>\<cal-G\><rsub|m>>.
  </lemma>

  <\proof>
    Let <with|mode|math|\<frak-S\><rsub|k> > be the projection of
    <with|mode|math|\<frak-S\>=<big|cup><rsub|f\<in\>\<cal-F\>>supp
    f<big|.><big|.>> on <with|mode|math|\<frak-M\><rsub|k>>, for
    <with|mode|math|k=1,\<ldots\>,m>. We have
    <with|mode|math|\<frak-S\><rsub|k>\<subseteq\>\<frak-e\><rsub|k,1><rsup|\<bbb-N\>>*\<cdots\>*\<frak-e\><rsub|k,p<rsub|k>><rsup|\<bbb-N\>>*{\<frak-f\><rsub|k,1>,\<ldots\>,\<frak-f\><rsub|k,q<rsub|k>>}>
    for certain <with|mode|math|\<frak-e\><rsub|k,l>\<prec\>1> and
    <with|mode|math|\<frak-f\><rsub|k,l>>. Given
    <with|mode|math|\<frak-m\>\<in\>\<frak-S\><rsub|k>>, we will denote
    <with|mode|math|deg \<frak-m\>=min {i<rsub|1>+\<cdots\>+i<rsub|p<rsub|k>>:\<frak-m\>=\<frak-e\><rsub|k,1><rsup|i<rsub|1>>*\<cdots\>*\<frak-e\><rsub|k,p<rsub|k>><rsup|i<rsub|p<rsub|k>>>*\<frak-f\><rsub|k,j>}>
    <with|mode|math|\<frak-m\><rsub|k>>. Given
    <with|mode|math|\<frak-m\>\<in\>\<frak-M\>>, we define its multiplicity
    by <with|mode|math|\<mu\>(\<frak-m\>)=card
    (f\<in\>\<cal-F\>:f<rsub|\<frak-m\>>\<neq\>0)>. Given
    <with|mode|math|\<frak-m\><rsub|k>\<in\>\<frak-S\><rsub|k>>, let

    <\equation*>
      \<mu\><rsub|k>(\<frak-m\><rsub|k>)=max{\<mu\>(\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>):\<forall\>i\<in\>{1,\<ldots\>,m},\<frak-m\><rsub|i>\<in\>\<frak-S\><rsub|i>\<wedge\>deg
      \<frak-m\><rsub|i>\<leqslant\>deg \<frak-m\><rsub|k>}.
    </equation*>

    Then for all <with|mode|math|(\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>)\<in\>\<frak-S\>>,
    we have

    <\eqnarray*>
      <tformat|<table|<row|<cell|\<mu\>(\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>)>|<cell|\<leqslant\>>|<cell|max
      {\<mu\><rsub|1>(\<frak-m\><rsub|1>),\<ldots\>,\<mu\><rsub|m>(\<frak-m\><rsub|m>)}>>|<row|<cell|>|<cell|\<leqslant\>>|<cell|\<mu\><rsub|1>(\<frak-m\><rsub|1>)*\<cdots\>*\<mu\><rsub|m>(\<frak-m\><rsub|m>).>>>>
    </eqnarray*>

    Hence <with|mode|math|\<cal-F\>\<subsetsim\>\<cal-G\><rsub|1>\<times\>\<cdots\>\<times\>\<cal-G\><rsub|m>>
    for <with|mode|math|\<cal-G\><rsub|k>=(\<frak-m\><rsub|k>)<rsub|\<frak-m\><rsub|k>\<in\>\<frak-S\><rsub|k>,i\<in\>{1,\<ldots\>,\<mu\><rsub|k>(\<frak-m\><rsub|k>)}>>
    (<with|mode|math|k=1,\<ldots\>,m>).
  </proof>

  <\render-proof|Proof of proposition <reference|stens-prod>>
    Given grid-based subsets <with|mode|math|\<frak-G\><rsub|k>\<subseteq\>\<frak-M\><rsub|k>>
    with <with|mode|math|k=1,\<ldots\>,<no-break>m, >the set
    <with|mode|math|\<frak-G\><rsub|1>\<times\>\<cdots\>\<times\>\<frak-G\><rsub|m>>
    is clearly a grid-based subset of <with|mode|math|\<frak-M\>=\<frak-M\><rsub|1>\<times\>\<cdots\>\<times\>\<frak-M\><rsub|m>>.
    This implies that <with|mode|math|\<mu\>> is well-defined. More
    generally, given grid-based families of terms
    <with|mode|math|\<cal-T\><rsub|k>\<in\><value|rsF>(C*\<frak-M\><rsub|k>)<space|1.2spc>(k=1,\<ldots\>,<no-break>m)>,
    the family <with|mode|math|\<mu\>(\<cal-T\><rsub|1>,\<ldots\>,\<cal-T\><rsub|m>)\<in\><value|rsF>(C*\<frak-M\>)>
    is again grid-based. Now consider arbitrary grid-based families
    <with|mode|math|\<cal-F\><rsub|k>\<in\><value|rsS>(C<gb|\<frak-M\><rsub|k>>)>
    and let <with|mode|math|\<cal-T\><rsub|k>=term \<cal-F\><rsub|k>>, for
    <with|mode|math|k=1,\<ldots\>,m>. Then

    <\equation*>
      <tabular|<tformat|<cwith|1|-1|3|3|cell-halign|c>|<table|<row|<cell|\<mu\><left|(><big|sum>\<cal-F\><rsub|1>,\<ldots\>,<big|sum>\<cal-F\><rsub|m><right|)>>|<cell|=>|<cell|\<mu\><left|(><big|sum>\<cal-T\><rsub|1>,\<ldots\>,<big|sum>\<cal-T\><rsub|m><right|)><big|.><big|.>>|<cell|>|<cell|>>|<row|<cell|>|<cell|=>|<cell|<big|sum><rsup|>\<mu\>(\<cal-T\><rsub|1>,\<ldots\>,\<cal-T\><rsub|m>)>|<cell|=>|<cell|<big|sum>\<mu\>(\<cal-F\><rsub|1>,\<ldots\>,\<cal-F\><rsub|m>)<big|.><big|.>.>>>>>
    </equation*>

    This shows that <with|mode|math|\<mu\>> is multilinear.

    Inversely, if <with|mode|math|\<frak-G\>> is a grid-based subset of
    <with|mode|math|\<frak-M\>>, then its projections
    <with|mode|math|\<pi\><rsub|k>(\<frak-G\>)> on
    <with|mode|math|\<frak-M\><rsub|k>> for <with|mode|math|j=1,\<ldots\>,m>
    are again grid-based, and we have <with|mode|math|\<frak-G\>\<subseteq\>\<pi\><rsub|1>(\<frak-G\>)\<times\>\<cdots\>\<times\><no-break>\<pi\><rsub|m>(\<frak-G\>)>.
    Consequently, given a strongly multilinear mapping
    <with|mode|math|\<Phi\>:C<gb|\<frak-M\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-M\><rsub|m>>\<rightarrow\><no-break>N>,
    the mapping

    <\eqnarray*>
      <tformat|<table|<row|<cell|L:C<gb|\<frak-M\>>>|<cell|\<longrightarrow\>>|<cell|N>>|<row|<cell|<big|sum><rsub|\<frak-m\>\<in\>\<frak-M\>>f<rsub|\<frak-m\><rsub|>>*\<frak-m\>>|<cell|\<longmapsto\>>|<cell|<big|sum><rsub|\<frak-m\>\<in\>\<frak-M\>>f<rsub|\<frak-m\>>*\<Phi\>(\<frak-m\>)>>>>
    </eqnarray*>

    is well-defined. Moreover, if <with|mode|math|\<cal-F\>\<in\><value|rsS>(C<gb|\<frak-M\>>)>,
    then the above lemma implies that there exist
    <with|mode|math|\<cal-G\><rsub|k>\<in\><value|rsF>(\<frak-M\><rsub|k>)<space|1.2spc>(k=1,\<ldots\>,m)>
    with <with|mode|math|mon \<cal-F\>\<subsetsim\>\<cal-G\><rsub|1>\<times\>\<cdots\>\<times\>\<cal-G\><rsub|m>>,
    whence <with|mode|math|L(mon <no-break>\<cal-F\>)\<subsetsim\>\<Phi\>(\<cal-G\><rsub|1>,\<ldots\>,\<cal-G\><rsub|m>)>.
    It follows that <with|mode|math|L(mon \<cal-F\>),L(term \<cal-F\>)> and
    <with|mode|math|L(\<cal-F\>)> are summable families in
    <with|mode|math|N>. Finally, using strong associativity, we have

    <\equation*>
      <tabular|<tformat|<cwith|1|-1|3|3|cell-halign|c>|<table|<row|<cell|L<left|(><big|sum>term
      \<cal-F\><right|)>>|<cell|=>|<cell|L
      <bl><big|sum><rsub|\<frak-m\>\<in\>\<frak-M\>><bl><big|sum><rsub|c*\<frak-m\>\<in\>term
      \<cal-F\>>c<br>*\<frak-m\><big|.><big|.><br>>|<cell|>|<cell|>>|<row|<cell|>|<cell|=>|<cell|<big|sum><rsub|\<frak-m\>\<in\>\<frak-M\>><rsup|><bl><big|sum><rsub|c*\<frak-m\>\<in\>term
      \<cal-F\>>c<br>*\<Phi\>(\<frak-m\>)>|<cell|=>|<cell|<big|sum>L(term
      \<cal-F\>)<big|.><big|.>.>>>>>
    </equation*>

    We conclude that <with|mode|math|L(<big|sum>\<cal-F\><big|.>)=<big|sum>L(\<cal-F\>)<big|.>>.
  </render-proof>

  We call <with|mode|math|C<gb|\<frak-M\><rsub|1>>\<otimes\>\<cdots\>\<otimes\>C<gb|\<frak-M\><rsub|m>>=C<gb|\<frak-M\><rsub|1>\<times\>\<cdots\>\<times\>\<frak-M\><rsub|m>>><bi-index|strong|tensor
  product> (together with the mapping <with|mode|math|\<mu\>>) the strong
  tensor product of <with|mode|math|C<gb|\<frak-M\><rsub|1>>,\<ldots\>,C<gb|\<frak-M\><rsub|m>>>.
  An immediate consequence of proposition <reference|stens-prod> is the
  principle of extension by strong multilinearity:

  <\corollary>
    Let <with|mode|math|\<frak-M\><rsub|1>,\<ldots\>,\<frak-M\><rsub|m>> and
    <with|mode|math|\<frak-N\>> be monomial monoids and assume that
    <with|mode|math|\<varphi\>> is a mapping, such that
    <with|mode|math|(\<varphi\>(\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>))<rsub|(\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>)\<in\>\<frak-G\><rsub|1>\<times\>\<cdots\>\<times\>\<frak-G\><rsub|m>>>
    is a grid-based family for any grid-based subsets
    <with|mode|math|\<frak-G\><rsub|1>\<subseteq\>\<frak-M\><rsub|1>,\<ldots\>,\<frak-G\><rsub|m>\<subseteq\>\<frak-M\><rsub|m>>.
    Then there exists a unique strongly multilinear mapping
    <with|mode|math|\<Phi\>:C<gb|\<frak-M\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-M\><rsub|m>>\<rightarrow\>C<gb|\<frak-N\>>>
    with <with|mode|math|\<Phi\><rsub|\|\<frak-M\><rsub|1>\<times\>\<cdots\>\<times\>\<frak-M\><rsub|m>>=\<varphi\>>.
  </corollary>

  <\proof>
    Using extension by strong linearity, there exists a unique strongly
    linear mapping <with|mode|math|L:C<gb|\<frak-M\><rsub|1>\<times\>\<cdots\>\<times\>\<frak-M\><rsub|m>>\<rightarrow\>C<gb|\<frak-N\>>>,
    with <with|mode|math|L<rsub|\|\<frak-M\><rsub|1>\<times\>\<cdots\>\<times\>\<frak-M\><rsub|m>>=\<varphi\>>.
    Then <with|mode|math|\<Phi\>=L\<circ\>\<mu\>> is the unique mapping we
    are looking for.
  </proof>

  <\exercise>
    When do we have <with|mode|math|<value|rsL>(C<gb|\<frak-M\>>,C<gb|\<frak-N\>>)\<cong\>C<gb|\<frak-M\>><rsup|\<ast\>>\<otimes\>C<gb|\<frak-N\>>>,
    where <with|mode|math|<value|rsL>(C<gb|\<frak-M\>>,C<gb|\<frak-N\>>)>
    denotes the space of strongly linear mappings from
    <with|mode|math|C<gb|\<frak-M\>>> into <with|mode|math|C<gb|\<frak-N\>>>?
  </exercise>

  <\fold>
    <\exercise>
      \;

      <\enumerate-alpha>
        <item>Generalize proposition <reference|stens-prod> to the case of
        well-based series.

        <item>Show that a well-based family
        <with|mode|math|(f<rsub|i>)<rsub|i\<in\>I>\<in\>C[[\<frak-M\>]]<rsup|I>>
        corresponds to an element of <with|mode|math|C[[I\<times\>\<frak-M\>]]>.

        <item>Define a family <with|mode|math|\<cal-F\>\<in\><value|rsF>(C<gb|\<frak-M\>>)>
        to be super-grid-based <with|mode|math|\<cal-F\>\<approx\>(f<rsub|\<frak-i\>>)<rsub|\<frak-i\>\<in\>\<frak-I\>>>
        with <with|mode|math|\<frak-I\>\<subseteq\>z<rsup|\<bbb-N\><rsup|n>>>
        and <with|mode|math|f=<big|sum><rsub|(\<frak-i\>,\<frak-m\>)>f<rsub|\<frak-i\>,\<frak-m\>>*(\<frak-i\>,\<frak-m\>)\<in\>C<gb|\<frak-I\>\<times\>\<frak-M\>>>.
        Show that <with|mode|math|C<gb|\<frak-M\>>> is a strong
        <with|mode|math|C>-algebra for super-grid-based summation.

        <item>Give an example of a grid-based family which is not
        super-grid-based.
      </enumerate-alpha>
    </exercise>
  <|fold>
    <\solution>
      \;

      <\enumerate-alpha>
        <item>

        <item>

        <item>

        <item><with|mode|math|z,z<rsup|2>,z<rsup|2>,z<rsup|3>,<above|\<ldots\>|6\<times\>>,z<rsup|3>,z<rsup|4>,<above|\<ldots\>|24\<times\>>,z<rsup|4>,\<ldots\>>
      </enumerate-alpha>
    </solution>
  </fold>

  <\exercise>
    Show that tensor products exist in the general strongly linear setting
    (see also exercise <reference|strong-nonsense>). Hint:

    <\enumerate-alpha>
      <item>Let <with|mode|math|M<rsub|1>,\<ldots\>,M<rsub|m>> be strong
      modules. Consider the set <with|mode|math|F> of all mappings
      <with|mode|math|f:M<rsub|1>\<times\>\<cdots\>\<times\>M<rsub|m>\<rightarrow\>C>,
      whose support is contained in a set
      <with|mode|math|S<rsub|1>\<times\>\<cdots\>\<times\>S<rsub|m>> such
      that each <with|mode|math|S<rsub|i>> is a summable subset of
      <with|mode|math|M<rsub|i>>. Construct a natural embedding
      <with|mode|math|\<nu\>:M<rsub|1>\<times\>\<cdots\>\<times\>M<rsub|m>\<rightarrow\>F>
      and give <no-break><with|mode|math|F> the structure of a strong
      <with|mode|math|C>-module.

      <item>Let <with|mode|math|Z> be the strong submodule of
      <with|mode|math|F>, which is generated by all elements of the form

      <\equation*>
        (<big|sum><rsub|i<rsub|1>\<in\>I<rsub|1>>\<lambda\><rsub|i<rsub|1>>*x<rsub|i<rsub|1>>,\<ldots\>,<big|sum><rsub|i<rsub|m>\<in\>I<rsub|m>>\<lambda\><rsub|i<rsub|m>>*x<rsub|i<rsub|m>>)-<big|sum><rsub|(i<rsub|1>,\<ldots\>,i<rsub|m>)\<in\>I<rsub|1>\<times\>\<cdots\>\<times\>I<rsub|m>>\<lambda\><rsub|i<rsub|1>>*\<cdots\>*\<lambda\><rsub|i<rsub|m>>*(x<rsub|i<rsub|1>>,\<ldots\>,x<rsub|i<rsub|m>>),
      </equation*>

      where the <with|mode|math|I<rsub|k>> are mutually disjoint. Then the
      strong quotient <with|mode|math|M<rsub|1>\<otimes\>\<cdots\>\<otimes\>M<rsub|m>=F/Z>
      with <with|mode|math|\<mu\>=\<pi\><rsub|F/Z>\<circ\>\<nu\>> satisfies
      the universal property of the strong tensor product.
    </enumerate-alpha>
  </exercise>

  <section|Grid-based operators><label|grop-sec>

  <subsection|Definition and characterization>

  Let <with|mode|math|\<frak-M\>> and <with|mode|math|\<frak-N\>> be monomial
  sets. A mapping <with|mode|math|\<Phi\>:C<gb|\<frak-M\>>\<rightarrow\>C<gb|\<frak-N\>>>
  is said to be a <em|grid-based operator><bi-index|grid-based|operator> if
  there exists a family <with|mode|math|(<wide|\<Phi\>|\<check\>><rsub|i>)<rsub|i\<in\>\<bbb-N\>>>
  of multilinear grid-based operators <with|mode|math|<wide|\<Phi\>|\<check\>><rsub|i>:<no-break>C<gb|\<frak-M\>><rsup|i>\<rightarrow\>C<gb|\<frak-N\>>>,
  such that for all <with|mode|math|\<cal-F\>\<in\><value|rsS>(C<gb|\<frak-M\>>)>,
  the family <with|mode|math|(<wide|\<Phi\>|\<check\>><rsub|i>(f<rsub|1>,\<ldots\>,<no-break>f<rsub|i>))<rsub|i\<in\>\<bbb-N\>,f<rsub|1>,\<ldots\>,f<rsub|i>\<in\>\<cal-F\>>>
  is grid-based, and

  <equation|<label|grop-main>\<Phi\><left|(><big|sum>\<cal-F\><right|)>=<big|sum><rsub|<tabular*|<tformat|<table|<row|<cell|i\<in\>\<bbb-N\>>>|<row|<cell|f<rsub|1>,\<ldots\>,f<rsub|i>\<in\>\<cal-F\>>>>>>><wide|\<Phi\>|\<check\>><rsub|i>(f<rsub|1>,\<ldots\>,f<rsub|i>).>

  We call <with|mode|math|(<wide|\<Phi\>|\<check\>><rsub|i>)<rsub|i\<in\>\<bbb-N\>>>
  a <em|multilinear family><subindex|multilinear|family for grid-based
  operator><subsubindex|grid-based|operator|multilinear family for
  <emdash>><subsubindex|operator|grid-based|multilinear family for <emdash>>
  for <with|mode|math|\<Phi\>>. Considering the family of a single element
  <with|mode|math|f\<in\>C<gb|\<frak-M\>>>, the formula
  (<reference|grop-main>) reduces to<bi-index*|Taylor|series>

  <\eqnarray*>
    <tformat|<table|<row|<cell|\<Phi\>(f)>|<cell|=>|<cell|<big|sum><rsub|i\<in\>\<bbb-N\>>\<Phi\><rsub|i>(f),<space|2fn><with|mode|text|with><eq-number><label|grop-simple>>>|<row|<cell|\<Phi\><rsub|i>(f)>|<cell|=>|<cell|<wide|<wide|\<Phi\>|\<check\>>|^><rsub|i>(f)=<wide|\<Phi\>|\<check\>><rsub|i>(f,\<ldots\>,f).>>>>
  </eqnarray*>

  Assuming that <with|mode|math|C\<supseteq\>\<bbb-Q\>>, each
  <with|mode|math|\<Phi\><rsub|i>><glossary-explain|<with|mode|math|\<Phi\><rsub|i>>|homogeneous
  part of grid-based operator <with|mode|math|\<Phi\>> of degree
  <with|mode|math|i>><sub-bi-index|grid-based|operator|homogeneous
  part><subsubindex|homogeneous|part|grid-based operator> is uniquely
  determined and we call it the <em|homogeneous
  part><bi-index|homogeneous|part> of degree <with|mode|math|i> of
  <with|mode|math|\<Phi\>>:

  <proposition|<label|grop-hom-unique>Let
  <with|mode|math|\<Phi\>:C<gb|\<frak-M\>>\<rightarrow\>C<gb|\<frak-N\>>> be
  a grid-based operator and let <with|mode|math|<wide|\<Phi\>|\<check\>><rsub|i>:C<gb|\<frak-M\>><rsup|i>\<rightarrow\>C<gb|\<frak-N\>>>
  be multilinear grid-based operators, such that
  <no-break><with|font-shape|right|(<reference|grop-simple>)> holds for all
  <with|mode|math|f\<in\>C<gb|\<frak-M\>>>. If
  <with|mode|math|C\<supseteq\>\<bbb-Q\>> and <with|mode|math|\<Phi\>=0>,
  then <with|mode|math|\<Phi\><rsub|i>=0> for each
  <with|mode|math|i\<in\>\<bbb-N\>>.>

  <\proof>
    We observe that it suffices to prove that
    <with|mode|math|\<Phi\><rsub|i>=0> for each
    <with|mode|math|i\<in\>\<bbb-N\>>, since the
    <with|mode|math|<wide|\<Phi\>|\<check\>><rsub|i>> are symmetric and
    <with|mode|math|C\<supseteq\>\<bbb-Q\>> is torsion-free. Assume the
    contrary and let <with|mode|math|f\<in\>C<gb|\<frak-M\>>> be such that
    <with|mode|math|\<Phi\><rsub|i>(f)\<neq\>0> for some
    <no-break><with|mode|math|i>. Choose <with|mode|math|\<frak-m\>\<in\>\<frak-S\>=<big|cup><rsub|i\<in\>\<bbb-N\>>supp
    \<Phi\><rsub|i>(f)\<neq\>\<varnothing\>>. Since
    <with|mode|math|(\<Phi\><rsub|i>(f))<rsub|i\<in\>\<bbb-N\>>> is a
    grid-based family, there exist only a finite number of indices
    <with|mode|math|i>, such that <with|mode|math|\<frak-m\>\<in\>supp
    <no-break>\<Phi\><rsub|i>(f)>. Let <with|mode|math|i<rsub|1>\<less\>\<cdots\>\<less\>i<rsub|n>>
    be those indices.

    Let <with|mode|math|c<rsub|k>=\<Phi\><rsub|i<rsub|k>>(f)<rsub|\<frak-m\>>>
    for all <with|mode|math|k\<in\>{1,\<ldots\>,n}>. For any
    <with|mode|math|l\<in\>{1,\<ldots\>,n}>, we have
    <with|mode|math|\<Phi\><rsub|i<rsub|k>>(l*f)<rsub|\<frak-m\>>=l<rsup|i<rsub|k>>*c<rsub|k>>,
    by multilinearity. On the other hand,
    <with|mode|math|\<Phi\>(l*f)<rsub|\<frak-m\>>=\<Phi\><rsub|i<rsub|1>>(l*f)<rsub|\<frak-m\>>+\<cdots\>+\<Phi\><rsub|i<rsub|n>>(l*f)<rsub|\<frak-m\>>=0>
    for each <with|mode|math|l>, so that

    <equation*|<left|(><tabular*|<tformat|<table|<row|<cell|1>|<cell|\<cdots\>>|<cell|1>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|n<rsup|i<rsub|1>>>|<cell|\<cdots\>>|<cell|n<rsup|i<rsub|n>>>>>>><right|)><left|(><tabular*|<tformat|<table|<row|<cell|c<rsub|1>>>|<row|<cell|\<vdots\>>>|<row|<cell|c<rsub|n>>>>>><right|)>=0.>

    The matrix on the left hand side admits an inverse with rational
    coefficients (indeed, by the sign rule of Descartes, a real polynomial
    <with|mode|math|\<alpha\><rsub|1>*x<rsup|i<rsub|1>>+\<cdots\>+\<alpha\><rsub|n>*x<rsup|i<rsub|n>>>
    cannot have <with|mode|math|n> distinct positive zeros unless
    <with|mode|math|\<alpha\><rsub|1>=\<cdots\>=\<alpha\><rsub|n>=0>). Since
    <with|mode|math|C\<supseteq\>\<bbb-Q\>>, it follows that
    <with|mode|math|c<rsub|1>=\<cdots\>=c<rsub|n>=0>. This contradiction
    completes the proof.
  </proof>

  <\proposition>
    <label|grop-sym-dec>Let <with|mode|math|\<Phi\>:C<gb|\<frak-M\>>\<rightarrow\>C<gb|\<frak-N\>>>
    be a grid-based operator and assume that
    <with|mode|math|C\<supseteq\>\<bbb-Q\>>. Then there exist a unique
    multilinear family <with|mode|math|(<wide|\<Phi\>|\<check\>><rsub|i>)<rsub|i\<in\>\<bbb-N\>>>
    for <with|mode|math|\<Phi\>>, such that each
    <with|mode|math|<wide|\<Phi\>|\<check\>><rsub|i>> is symmetric.
  </proposition>

  <\proof>
    Let <with|mode|math|(<wide|\<Phi\>|~><rsub|i>)<rsub|i\<in\>\<bbb-N\>>> be
    an arbitrary multilinear family for <with|mode|math|\<Phi\>>. Then the
    <with|mode|math|<wide|\<Phi\>|\<check\>><rsub|i>> defined by

    <\equation*>
      <wide|\<Phi\>|\<check\>><rsub|i>(f<rsub|1>,\<ldots\>,f<rsub|i>)=<frac|1|i!>*<big|sum><rsub|\<sigma\>\<in\>\<frak-S\><rsub|i>><wide|\<Phi\>|~><rsub|i>(f<rsub|\<sigma\>(1)>,\<ldots\>,f<rsub|\<sigma\>(i)>).
    </equation*>

    form a multilinear family of symmetric operators for
    <with|mode|math|\<Phi\>>. Moreover, each
    <with|mode|math|<wide|\<Phi\>|\<check\>><rsub|i>> is determined uniquely
    in terms of <with|mode|math|\<Phi\><rsub|i>> by

    <\equation*>
      <wide|\<Phi\>|\<check\>><rsub|i>(f<rsub|1>,\<ldots\>,f<rsub|i>)=<frac|1|i!>*<big|sum><rsub|J\<subseteq\>{1,\<ldots\>,i}>(\<um\>1)<rsup|i-\|J\|>*\<Phi\><rsub|i><left|(><big|sum><rsub|j\<in\>J>f<rsub|j><right|)>.
    </equation*>

    We conclude by proposition <reference|grop-hom-unique>.
  </proof>

  Assume that <with|mode|math|\<frak-M\>> and <with|mode|math|\<frak-N\>> are
  subsets of a common monomial group <with|mode|math|\<frak-G\>>. If
  <with|mode|math|C\<supseteq\>\<bbb-Q\>> and <with|mode|math|\<Phi\>> and
  <with|mode|math|(<wide|\<Phi\>|\<check\>><rsub|i>)<rsub|i\<in\>\<bbb-N\>>>
  are as in proposition <reference|grop-sym-dec>, then we call

  <\equation*>
    supp \<Phi\>=supp <wide|\<Phi\>|\<check\>><rsub|0>\<cup\>supp
    <wide|\<Phi\>|\<check\>><rsub|1>\<cup\>supp
    <wide|\<Phi\>|\<check\>><rsub|2>\<cup\>\<cdots\>
  </equation*>

  the <em|operator support><bi-index|operator|support> of
  <with|mode|math|\<Phi\>>. For all <with|mode|math|f\<in\>C<gb|\<frak-M\>>>,
  we have

  <\equation*>
    supp \<Phi\>(f)\<subseteq\>(supp \<Phi\>)*(supp f)<rsup|\<ast\>>.
  </equation*>

  Notice also that <with|mode|math|supp \<Phi\><rsub|i>=supp
  <wide|\<Phi\>|\<check\>><rsub|i>> for all <with|mode|math|i>.

  <subsection|Multivariate grid-based operators and
  compositions><label|grop-mv-comp>

  In a similar way that we have the natural isomorphism

  <\eqnarray*>
    <tformat|<table|<row|<cell|C<gb|\<frak-M\><rsub|1>\<times\>\<cdots\>\<times\>\<frak-M\><rsub|m>>>|<cell|\<cong\>>|<cell|C<gb|\<frak-M\><rsub|1>>\<otimes\>\<cdots\>\<otimes\>C<gb|\<frak-M\><rsub|m>>,>>>>
  </eqnarray*>

  for tensor products, we also have a natural isomorphism

  <\eqnarray*>
    <tformat|<table|<row|<cell|C<gb|\<frak-M\><rsub|1>\<amalg\>\<cdots\>\<amalg\>\<frak-M\><rsub|m>>>|<cell|\<longrightarrow\>>|<cell|C<gb|\<frak-M\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-M\><rsub|m>>,>>|<row|<cell|f>|<cell|\<longmapsto\>>|<cell|<left|(><big|sum><rsub|\<frak-m\>\<in\>\<frak-M\><rsub|1>>f<rsub|\<frak-m\>>*\<frak-m\>,\<ldots\>,<big|sum><rsub|\<frak-m\>\<in\>\<frak-M\><rsub|m>>f<rsub|\<frak-m\>>*\<frak-m\><right|)>>>>>
  </eqnarray*>

  for Cartesian products. This allows us to reinterpret mappings ``in several
  series'' <with|mode|math|C<gb|\<frak-M\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-M\><rsub|m>>\<rightarrow\>N>
  as mappings ``in one series'' <with|mode|math|C<gb|\<frak-M\><rsub|1>\<amalg\>\<cdots\>\<amalg\>\<frak-M\><rsub|m>>\<rightarrow\>N>.
  In particular, any multilinear grid-based operator
  <with|mode|math|\<Phi\>:C<gb|\<frak-M\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-M\><rsub|m>>\<rightarrow\>C<gb|\<frak-N\>>>
  can be seen as a grid-based operator in from
  <with|mode|math|C<gb|\<frak-M\><rsub|1>\<amalg\>\<cdots\>\<amalg\>\<frak-M\><rsub|m>>>
  into <with|mode|math|C<gb|\<frak-N\>>>. More generally, the natural
  isomorphism may be used in order to extend the notion of grid-based
  operators to mappings <with|mode|math|C<gb|\<frak-M\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-M\><rsub|m>>\<rightarrow\>C<gb|\<frak-N\>>>.

  <label|noethop-comp>Let <with|mode|math|\<Phi\>:C<gb|\<frak-M\>>\<rightarrow\>C<gb|\<frak-N\>>>
  and <with|mode|math|\<Psi\>:C <gb|\<frak-N\>>\<rightarrow\>C<gb|\<frak-V\>>>
  be two grid-based operators. Then <with|mode|math|\<Psi\>\<circ\>\<Phi\>><glossary-explain|<with|mode|math|\<Psi\>\<circ\>\<Phi\>>|composition
  of grid-based operators <with|mode|math|\<Psi\>> and
  <with|mode|math|\<Phi\>>><subindex|composition|grid-based
  operator><sub-bi-index|grid-based|operator|composition> is again a
  grid-based operator. Indeed, let <with|mode|math|(<wide|\<Phi\>|\<check\>><rsub|i>)<rsub|i\<in\>\<bbb-N\>>>
  and <with|mode|math|(<wide|\<Psi\>|\<check\>><rsub|j>)<rsub|j\<in\>\<bbb-N\>>>
  be multilinear families for <with|mode|math|\<Phi\>> and
  <with|mode|math|\<Psi\>>. Then for all <with|mode|math|\<cal-F\>\<in\><value|rsS>(C<gb|\<frak-M\>>)>,
  we have

  <eqnarray*|<tformat|<table|<row|<cell|\<Psi\>\<circ\>\<Phi\><left|(><big|sum>\<cal-F\><right|)>>|<cell|=>|<cell|\<Psi\><left|(><big|sum><rsub|<tabular*|<tformat|<table|<row|<cell|i\<in\>\<bbb-N\>>>|<row|<cell|f<rsub|1>,\<ldots\>,f<rsub|i>\<in\>K>>>>>><wide|\<Phi\>|\<check\>><rsub|i>(f<rsub|1>,\<ldots\>,f<rsub|i>)<right|)>>>|<row|<cell|>|<cell|=>|<cell|<big|sum><rsub|<tabular*|<tformat|<table|<row|<cell|j\<in\>\<bbb-N\>>>|<row|<cell|i<rsub|1>,\<ldots\>,i<rsub|j>\<in\>\<bbb-N\>>>|<row|<cell|f<rsub|1,1>,\<ldots\>,f<rsub|1,i<rsub|1>>\<in\>\<cal-F\>>>|<row|<cell|\<vdots\>>>|<row|<cell|f<rsub|j,1>,\<ldots\>,f<rsub|j,i<rsub|j>>\<in\>\<cal-F\>>>>>>><rsup|><wide|\<Psi\>|\<check\>><rsub|j>(<wide|\<Phi\>|\<check\>><rsub|i<rsub|1>>(f<rsub|1,1>,\<ldots\>,f<rsub|1,i<rsub|1>>),\<ldots\>,<wide|\<Phi\>|\<check\>><rsub|i<rsub|j>>(f<rsub|j,1>,\<ldots\>,f<rsub|j,i<rsub|j>>))>>>>>

  so that the <with|mode|math|(<wide|\<Psi\>\<circ\>\<Phi\>|\<check\>>)<rsub|l>>
  defined by

  <\equation*>
    (<wide|\<Psi\>\<circ\>\<Phi\>|\<check\>>)<rsub|l>=<big|sum><rsub|<tabular*|<tformat|<table|<row|<cell|j\<in\>\<bbb-N\>>>|<row|<cell|i<rsub|1>+\<cdots\>+i<rsub|j>=l>>>>>><rsup|><wide|\<Psi\>|\<check\>><rsub|j>\<circ\>(<wide|\<Phi\>|\<check\>><rsub|i<rsub|1>>,\<ldots\>,<wide|\<Phi\>|\<check\>><rsub|i<rsub|j>>)
  </equation*>

  form a multilinear family for <with|mode|math|\<Psi\>\<circ\>\<Phi\>>.

  <\exercise>
    Assume that <with|mode|math|C\<supseteq\>\<bbb-Q\>> and let
    <with|mode|math|\<Phi\>:C<gb|\<frak-M\>>\<rightarrow\>C<gb|\<frak-N\>>>
    be a grid-based operator. Is it true that for any
    <with|mode|math|\<frak-S\>\<varsubsetneq\>supp \<Phi\>> there exists an
    <with|mode|math|f\<in\>C<gb|\<frak-M\>>> with <with|mode|math|supp
    \<Phi\>(f)\<nsubseteq\>\<frak-S\>*(supp f)<rsup|\<ast\>>>?
  </exercise>

  <\exercise>
    Define the ``derivative'' of a grid-based operator
    <with|mode|math|\<Phi\>:C<gb|\<frak-M\>>\<rightarrow\>C<gb|\<frak-N\>>>.
  </exercise>

  <\exercise>
    \;

    <\enumerate-alpha>
      <item>Characterize the intervals <with|mode|math|\<frak-I\>> of the set
      of infinitesimal transmonomials <with|mode|math|\<frak-T\><rsub|\<prec\>>>
      (<abbr|i.e.> for all <with|mode|math|\<frak-m\>,\<frak-n\>\<in\>\<frak-I\>>
      and <with|mode|math|\<frak-v\>\<in\>\<frak-T\>>, we have
      <with|mode|math|\<frak-m\>\<preccurlyeq\>\<frak-v\>\<preccurlyeq\>\<frak-n\>\<Rightarrow\>\<frak-v\>\<in\>\<frak-I\>>),
      such that for all <with|mode|math|g\<in\>x+C<gb|\<frak-I\>>>, the
      operator <no-break><with|mode|math|<op|\<circ\><rsub|g>>> is a
      grid-based operator on <with|mode|math|C<gb|\<frak-I\>>>.

      <item>With <with|mode|math|\<frak-I\>> as in (<em|a>), show that
      <with|mode|math|C<gb|\<frak-I\>><rsup|2>\<rightarrow\>C<gb|\<frak-I\>>;(\<varepsilon\>,\<delta\>)\<mapsto\>(x+\<varepsilon\>)\<circ\>(x-\<delta\>)-x>
      and <with|mode|math|C<gb|\<frak-I\>>\<rightarrow\>C<gb|\<frak-I\>>;\<varepsilon\>\<mapsto\>(x+\<varepsilon\>)<rsup|inv>-x>
      are grid-based operators.
    </enumerate-alpha>
  </exercise>

  <section|Atomic decompositions><label|at-dec-sec>

  <subsection|The space of grid-based operators><label|grop-ssum>

  Let <with|mode|math|<value|rsL>(M<rsub|1>,\<ldots\>,M<rsub|m>,N)><glossary-explain|<with|mode|math|<value|rsL>(M<rsub|1>,\<ldots\>,M<rsub|m>,N)>|space
  of strongly multilinear operators of <with|mode|math|M<rsub|1>\<times\>\<cdots\>\<times\>M<rsub|m>>
  into <with|mode|math|N>> be the space of strongly multilinear operators
  <with|mode|math|\<Phi\>:M<rsub|1>\<times\>\<cdots\>\<times\>M<rsub|m>\<rightarrow\>N>.
  Then <with|mode|math|<value|rsL>(M<rsub|1>,\<ldots\>,M<rsub|m>,N)> is
  clearly a <with|mode|math|C>-module. More generally, a family
  <with|mode|math|(\<Phi\><rsub|i>)<rsub|i\<in\>I>> of elements in
  <with|mode|math|<value|rsL>(M<rsub|1>,\<ldots\>,M<rsub|m>,N)> is said to be
  <em|summable><subsubindex|multilinear|grid-based operator|summable family>,
  if for all <with|mode|math|\<cal-F\><rsub|1>\<in\><value|rsS>(M<rsub|1>),\<ldots\>,\<cal-F\><rsub|m>\<in\><value|rsS>(M<rsub|m>)>,
  we have <with|mode|math|<big|amalg><rsub|i\<in\>I><big|.>\<Phi\><rsub|i>(\<cal-F\><rsub|1>,\<ldots\>,\<cal-F\><rsub|m>)\<in\><value|rsS>(N)>.
  In that case, we may define the sum <with|mode|math|<big|sum><rsub|i\<in\>I>\<Phi\><rsub|i>\<in\><value|rsL>(M<rsub|1>,\<ldots\>,M<rsub|m>,N)>
  by

  <\equation*>
    <big|sum><rsub|i\<in\>I>\<Phi\><rsub|i>:(f<rsub|1>,\<ldots\>,f<rsub|m>)\<longmapsto\><big|sum><rsub|i\<in\>I>\<Phi\><rsub|i>(f<rsub|1>,\<ldots\>,f<rsub|m>).
  </equation*>

  This gives <with|mode|math|<value|rsL>(M<rsub|1>,\<ldots\>,M<rsub|m>,N)>
  the structure of a strong <with|mode|math|C>-module.

  Similarly, let <with|mode|math|<value|Gb>(C<gb|\<frak-M\>>,C<gb|\<frak-N\>>)><glossary-explain|<with|mode|math|<value|Gb>(C<gb|\<frak-M\>>,C<gb|\<frak-N\>>)>|space
  of grid-based operators from <with|mode|math|C<gb|\<frak-M\>>> into
  <with|mode|math|C<gb|\<frak-N\>>>> denote the space of grid-based operators
  <with|mode|math|\<Phi\>:<no-break>C<gb|\<frak-M\>>\<rightarrow\>C<gb|\<frak-N\>>>.
  This space is clearly a <with|mode|math|C>-module. A family
  <with|mode|math|(\<Phi\><rsub|j>)<rsub|j\<in\>J>\<in\><value|Gb>(C<gb|\<frak-M\>>,C<gb|\<frak-N\>>)<rsup|J>>
  is said to be <em|summable>, if for all
  <with|mode|math|\<cal-F\>\<in\><value|rsS>(C<gb|\<frak-M\>>)>, the family

  <\equation*>
    (<wide|\<Phi\>|\<check\>><rsub|j,i>(f<rsub|1>,\<ldots\>,f<rsub|i>))<rsub|j\<in\>J,i\<in\>\<bbb-N\>,(f<rsub|1>,\<ldots\>,f<rsub|i>)\<in\>\<cal-F\><rsup|i>>
  </equation*>

  is a grid-based family. In that case, the sum
  <with|mode|math|<big|sum><rsub|j\<in\>J>\<Phi\><rsub|j>:f\<mapsto\><big|sum><rsub|j\<in\>J>\<Phi\><rsub|j>(f)>
  is a grid-based operator and <with|mode|math|<value|Gb>(C<gb|\<frak-M\>>,C<gb|\<frak-N\>>)>
  is a strong <with|mode|math|C>-module for this summation. In particular, we
  have<bi-index*|Taylor|series>

  <\equation>
    <label|grop-hom-dec>\<Phi\>=\<Phi\><rsub|0>+\<Phi\><rsub|1>+\<Phi\><rsub|2>+\<cdots\>
  </equation>

  for all <with|mode|math|\<Phi\>\<in\><value|Gb>(C<gb|\<frak-M\>>,C<gb|\<frak-N\>>)>.
  We call (<reference|grop-hom-dec>) the <em|decomposition> of
  <with|mode|math|\<Phi\>> <em|into homogeneous
  parts><sub-bi-index|homogeneous|part|decomposition into
  <emdash>s><subindex|decomposition|into homogeneous
  parts><subsub-bi-index|grid-based|operator|decomposition|homogeneous
  parts><subsubindex|homogeneous|part|grid-based operator>.

  <subsection|Atomic decompositions><label|atom-dec-sec>

  Let <with|mode|math|\<frak-M\><rsub|1>,\<ldots\>,\<frak-M\><rsub|m>> and
  <with|mode|math|\<frak-N\>> be monomials sets. Given
  <with|mode|math|\<frak-m\><rsub|1>\<in\>\<frak-M\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>\<in\>\<frak-M\><rsub|m>>
  and <with|mode|math|\<frak-n\>\<in\>\<frak-N\>>, the
  operator<glossary-explain|<with|mode|math|\<Omega\><rsub|\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>,\<frak-n\>>>|atomic
  <with|mode|math|m>-linear grid-based operator>

  <\eqnarray*>
    <tformat|<table|<row|<cell|\<Omega\><rsub|\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>,\<frak-n\>>:C<gb|\<frak-M\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-M\><rsub|m>>>|<cell|\<longrightarrow\>>|<cell|C<gb|\<frak-N\>>>>|<row|<cell|(f<rsub|1>,\<ldots\>,f<rsub|m>)>|<cell|\<longmapsto\>>|<cell|c*f<rsub|1,\<frak-m\><rsub|1>>*\<cdots\>*f<rsub|m,\<frak-m\><rsub|m>>*\<frak-n\>>>>>
  </eqnarray*>

  is an <with|mode|math|m>-linear grid-based operator. Operators of this
  form, which are said to be <em|atomic><bi-index|atomic|operator>, form a
  strong basis of <with|mode|math|<value|rsL>(C<gb|\<frak-M\><rsub|1>>,\<ldots\>,C<gb|\<frak-M\><rsub|m>>,C<gb|\<frak-N\>>)>,
  since any operator <with|mode|math|\<Phi\>\<in\><value|rsL>(C<gb|\<frak-M\><rsub|1>>,\<ldots\>,C<gb|\<frak-M\><rsub|m>>,C<gb|\<frak-N\>>)>
  may be uniquely decomposed as

  <\equation>
    <label|atomic-dec>\<Phi\>=<big|sum><rsub|<tabular*|<tformat|<table|<row|<cell|\<frak-m\><rsub|1>\<in\>\<frak-M\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>\<in\>\<frak-M\><rsub|m>>>|<row|<cell|\<frak-n\>\<in\>\<frak-N\>>>>>>>\<Phi\>(\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>)<rsub|\<frak-n\>>*\<Omega\><rsub|\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>,\<frak-n\>>.
  </equation>

  We call (<reference|atomic-dec>) the <em|atomic decomposition> of
  <with|mode|math|\<Phi\>>. More generally, an <em|atomic family> is a
  summable family <with|mode|math|\<cal-A\>=(c<rsub|\<alpha\>>*\<Omega\><rsub|\<alpha\>>)<rsub|\<alpha\>\<in\>\<cal-A\>>>,
  with <with|mode|math|c<rsub|\<alpha\>>\<in\>C> and
  <with|mode|math|\<Omega\><rsub|\<alpha\>>=\<Omega\><rsub|\<frak-i\><rsub|\<alpha\>,1>,\<ldots\>,\<frak-i\><rsub|\<alpha\>,m>,\<frak-o\><rsub|\<alpha\>>>>,
  where <with|mode|math|\<frak-i\><rsub|\<alpha\>,1>,\<ldots\>,\<frak-i\><rsub|\<alpha\>,m>\<in\>\<frak-M\>>
  and <with|mode|math|\<frak-o\><rsub|\<alpha\>>\<in\>\<frak-N\>>.

  Assume now that <with|mode|math|C\<supseteq\>\<bbb-Q\>>. Given a grid-based
  operator <with|mode|math|\<Phi\>:C<gb|\<frak-M\>>\<rightarrow\>C<gb|\<frak-N\>>>,
  let the <with|mode|math|<wide|\<Phi\>|\<check\>><rsub|i>> be as in
  proposition <reference|grop-sym-dec>. Then we have

  <\equation>
    <label|grop-asym-dec>\<Phi\>=<big|sum><rsub|\<frak-m\><rsub|1>*\<cdots\>*\<frak-m\><rsub|i>\<in\>\<frak-M\><rsup|\<ast\>>,\<frak-n\>\<in\>\<frak-N\>><wide|\<Phi\>|\<check\>><rsub|i>(\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|i>)<rsub|\<frak-n\>>*<wide|\<Omega\><rsub|\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|i>,\<frak-n\>>|^>
  </equation>

  and we call this formula the <em|atomic
  decomposition><bi-index|atomic|decomposition><subsub-bi-index|grid-based|operator|decomposition|atomic>
  of <with|mode|math|\<Phi\>>. More generally, a family
  <with|mode|math|\<cal-A\>=(c<rsub|\<alpha\>>*\<Omega\><rsub|\<alpha\>>)<rsub|\<alpha\>\<in\>\<cal-A\>>>,
  where <with|mode|math|c<rsub|\<alpha\>>\<in\>C> and
  <with|mode|math|\<Omega\><rsub|\<alpha\>>=\<Omega\><rsub|\<frak-i\><rsub|\<alpha\>,1>,\<ldots\>,\<frak-i\><rsub|\<alpha\>,\|\<alpha\>\|>,\<frak-o\><rsub|\<alpha\>>>>,
  is called an <em|atomic family><bi-index|atomic|family>, if the family
  <with|mode|math|<wide|\<cal-A\>|^>=(c<rsub|\<alpha\>>*<wide|\<Omega\>|^><rsub|\<alpha\>>)<rsub|\<alpha\>\<in\>\<cal-A\>>>
  is summable in <with|mode|math|<value|Gb>(C<gb|\<frak-M\>>,C<gb|\<frak-N\>>)>.

  Since the <with|mode|math|<wide|\<Phi\>|\<check\>><rsub|i>> in
  (<reference|grop-asym-dec>) are symmetric, the atomic decomposition is
  slightly redundant. Let <with|mode|math|<op|\<sim\>>> be the equivalence
  relation on <with|mode|math|\<frak-M\><rsup|\<ast\>>>, such that
  <with|mode|math|\<frak-m\><rsub|1>*\<cdots\>*\<frak-m\><rsub|i>\<sim\>\<frak-n\><rsub|1>*\<cdots\>*\<frak-n\><rsub|j>>
  if and only if <with|mode|math|j=i> and there exists a permutation of
  indices <with|mode|math|\<alpha\>>, such that
  <with|mode|math|\<frak-n\><rsub|i>=\<frak-m\><rsub|\<alpha\>(i)>> for all
  <no-break><with|mode|math|i>. Given <with|mode|math|<wide|\<frak-m\>|^>\<in\>\<frak-M\><rsup|\<ast\>>/<op|\<sim\>>>,
  <with|mode|math|\<frak-m\><rsub|1>*\<cdots\>*\<frak-m\><rsub|m>\<in\><wide|\<frak-m\>|^>>
  and <with|mode|math|\<frak-n\>\<in\>\<frak-N\>>, we define

  <\equation*>
    \<Omega\><rsub|<wide|\<frak-m\>|^>,\<frak-n\>>=<wide|\<Omega\><rsub|\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|i>,\<frak-n\>>|^>.
  </equation*>

  Clearly, <with|mode|math|\<Omega\><rsub|<wide|\<frak-m\>|^>,\<frak-n\>>>
  does not depend on the choice of <with|mode|math|\<frak-m\><rsub|1>*\<cdots\>*\<frak-m\><rsub|m>\<in\><wide|\<frak-m\>|^>>
  and operators of the form <with|mode|math|\<Omega\><rsub|<wide|\<frak-m\>|^>,\<frak-n\>>>
  will be called <em|symmetric atomic operators><sub-bi-index|atomic|operator|symmetric>.
  Setting

  <\equation*>
    <wide|\<Phi\>|\<check\>>(<wide|\<frak-m\>|^>)=<big|sum><rsub|\<frak-m\><rsub|1>*\<cdots\>*\<frak-m\><rsub|i>\<in\><wide|\<frak-m\>|^>><wide|\<Phi\>|\<check\>><rsub|i>(\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|i>),
  </equation*>

  for all <with|mode|math|<wide|\<frak-m\>|^>\<in\>\<frak-M\><rsup|\<ast\>>/<op|\<sim\>>>,
  the decomposition

  <\equation*>
    <label|grop-asym-dec>\<Phi\>=<big|sum><rsub|<wide|\<frak-m\>|^>\<in\>\<frak-M\><rsup|\<ast\>>/<op|\<sim\>>,\<frak-n\>\<in\>\<frak-N\>><wide|\<Phi\>|\<check\>>(<wide|\<frak-m\>|^>)<rsub|\<frak-n\>>*\<Omega\><rsub|<wide|\<frak-m\>|^>,\<frak-n\>>
  </equation*>

  <no-page-break*>of <with|mode|math|\<Phi\>> is unique. We call it the
  <em|symmetric atomic decomposition><sub-bi-index|atomic|decomposition|symmetric><subsub-bi-index|grid-based|operator|decomposition|symmetric
  atomic> of <with|mode|math|\<Phi\>>.

  <subsection|Combinatorial interpretation of atomic families>

  Consider an atomic family <with|mode|math|\<cal-A\>> with
  <with|mode|math|\<Omega\><rsub|\<alpha\>>:C<gb|\<frak-M\>><rsup|\|\<alpha\>\|>\<rightarrow\>C<gb|\<frak-N\>>><glossary-explain|<with|mode|math|\|\<alpha\>\|>|arity
  of an atomic operator <with|mode|math|\<alpha\>>> for each
  <with|mode|math|\<alpha\>\<in\>\<cal-A\>>. We may interpret the
  <with|mode|math|\<Omega\><rsub|\<alpha\>>> as combinatorial boxes with
  <em|inputs><sub-bi-index|atomic|operator|input>
  <with|mode|math|\<frak-i\><rsub|\<alpha\>,1>,\<ldots\>,\<frak-i\><rsub|\<alpha\>,\|\<alpha\>\|>\<in\>\<frak-M\>><glossary-explain|<with|mode|math|\<frak-i\><rsub|\<alpha\>,1>,\<ldots\>,\<frak-i\><rsub|\<alpha\>,\|\<alpha\>\|>>|inputs
  of an atomic operator <with|mode|math|\<alpha\>>> and
  <em|output><sub-bi-index|atomic|operator|output>
  <no-break><with|mode|math|\<frak-o\><rsub|\<alpha\>>\<in\>\<frak-N\>><glossary-explain|<with|mode|math|\<frak-o\><rsub|\<alpha\>>>|output
  of an atomic operator <with|mode|math|\<alpha\>>>. We define a partial
  ordering on <no-break><with|mode|math|\<cal-A\>> by
  <with|mode|math|\<alpha\>\<prec\>\<alpha\><rprime|'>\<Leftrightarrow\>\<frak-o\><rsub|\<alpha\>>\<prec\>\<frak-o\><rsub|\<alpha\><rprime|'>>>.
  Given a subset <with|mode|math|\<frak-S\>> of
  <no-break><with|mode|math|\<frak-M\>>, we denote by
  <with|mode|math|\<cal-A\><rsub|\<frak-S\>>> the atomic family of all
  <with|mode|math|\<alpha\>\<in\>\<cal-A\>> with
  <with|mode|math|{\<frak-i\><rsub|\<alpha\>,1>,\<ldots\>,\<frak-i\><rsub|\<alpha\>,\|\<alpha\>\|>}\<subseteq\>\<frak-S\>>.
  Finally, given a monomial set <with|mode|math|\<frak-M\>>, we \ denote by
  <with|mode|math|\<cal-D\><rsub|\<frak-M\>>><glossary-explain|<with|mode|math|\<cal-D\><rsub|\<frak-M\>>>|atomic
  decomposition of the identity operator on
  <with|mode|math|C<gb|\<frak-M\>>>> the atomic family
  <with|mode|math|(\<Omega\><rsub|\<frak-m\>,\<frak-m\>>)<rsub|\<frak-m\>\<in\>\<frak-M\>>>,
  so that <with|mode|math|<big|sum>\<cal-D\><rsub|\<frak-M\>>> is the
  identity operator on <with|mode|math|C<gb|\<frak-M\>>>.

  <\remark>
    <label|atomic-criterion>A convenient way to check whether a family
    <with|mode|math|\<cal-A\>=(c<rsub|\<alpha\>>*\<Omega\><rsub|\<alpha\>>)<rsub|\<alpha\>\<in\>\<cal-A\>>>
    is atomic is to prove that for each grid-based subset
    <with|mode|math|\<frak-S\>\<subseteq\>\<frak-M\>> we have

    <\enumerate>
      <item>The set <with|mode|math|\<frak-o\><rsub|\<cal-A\><rsub|\<frak-S\>>>>
      is grid-based.

      <item>For each <with|mode|math|\<frak-n\>\<in\>\<frak-N\>>, there exist
      only a finite number of <with|mode|math|\<alpha\>\<in\>\<cal-A\><rsub|\<frak-S\>>>
      with <with|mode|math|\<frak-o\><rsub|\<alpha\>>=\<frak-n\>>.
    </enumerate>
  </remark>

  Consider two atomic families <with|mode|math|\<cal-A\>> and
  <with|mode|math|\<cal-B\>>, where <with|mode|math|\<Omega\><rsub|\<alpha\>>:<no-break>C<gb|\<frak-N\>><rsup|\|\<alpha\>\|>\<rightarrow\>C<gb|\<frak-V\>>>
  and <with|mode|math|\<Omega\><rsub|\<beta\>>:<no-break>C<gb|\<frak-M\>><rsup|\|\<beta\>\|>\<rightarrow\>C<gb|\<frak-N\>>>
  for all <with|mode|math|\<alpha\>\<in\>\<cal-A\>> and
  <with|mode|math|\<beta\>\<in\>\<cal-B\>>. We define their composition to be
  the family <with|mode|math|(c<rsub|\<varsigma\>>*\<Omega\><rsub|\<varsigma\>>)<rsub|\<varsigma\>\<in\>\<cal-A\>\<circ\>\<cal-B\>>>
  with formal index set<glossary-explain|<with|mode|math|\<cal-A\>\<circ\>\<cal-B\>>|composition
  of atomic families <with|mode|math|\<cal-A\>> and
  <with|mode|math|\<cal-B\>>>

  <\equation*>
    \<cal-A\>\<circ\>\<cal-B\>={\<alpha\>\<circ\>(\<beta\><rsub|1>,\<ldots\>,\<beta\><rsub|\|\<alpha\>\|>):\<alpha\>\<in\>\<cal-A\>\<wedge\>\<beta\><rsub|1>,\<ldots\>,\<beta\><rsub|\|\<alpha\>\|>\<in\>\<cal-B\>\<wedge\>\<frak-o\><rsub|\<beta\><rsub|1>>=\<frak-i\><rsub|\<alpha\>,1>\<wedge\>\<cdots\>\<wedge\>\<frak-o\><rsub|\<beta\><rsub|\|\<alpha\>\|>>=\<frak-i\><rsub|\<alpha\>,\|\<alpha\>\|>}
  </equation*>

  and

  <\eqnarray*>
    <tformat|<table|<row|<cell|c<rsub|\<alpha\>\<circ\>(\<beta\><rsub|1>,\<ldots\>,\<beta\><rsub|\|\<alpha\>\|>)>>|<cell|=>|<cell|c<rsub|\<alpha\>>*c<rsub|\<beta\><rsub|1>>*\<cdots\>*c<rsub|\<beta\><rsub|\|\<alpha\>\|>><space|0.6spc>;>>|<row|<cell|\<Omega\><rsub|\<alpha\>\<circ\>(\<beta\><rsub|1>,\<ldots\>,\<beta\><rsub|\|\<alpha\>\|>)>>|<cell|=>|<cell|\<Omega\><rsub|\<frak-i\><rsub|\<beta\><rsub|1>,1>,\<ldots\>,\<frak-i\><rsub|\<beta\><rsub|1>,\|\<beta\><rsub|1>\|>,\<ldots\>,\<frak-i\><rsub|\<beta\><rsub|\|\<alpha\>\|>,1>,\<ldots\>,\<frak-i\><rsub|\<beta\><rsub|\|\<alpha\>\|>,\|\<beta\><rsub|\|\<alpha\>\|>\|>,\<frak-o\><rsub|\<alpha\>>>.>>>>
  </eqnarray*>

  We may see the <with|mode|math|\<alpha\>\<circ\>(\<beta\><rsub|1>,\<ldots\>,\<beta\><rsub|\|\<alpha\>\|>)>
  as combinatorial structures, such that the outputs
  <no-break><with|mode|math|\<frak-o\><rsub|\<beta\><rsub|k>>> of the
  <with|mode|math|\<beta\><rsub|k>> coincide with the inputs
  <with|mode|math|\<frak-i\><rsub|\<alpha\>,k>> of <with|mode|math|\<alpha\>>
  (see figure <reference|comp-fig>). A similar computation as at the end of
  section <reference|grop-mv-comp> yields:

  <\proposition>
    <label|atom-comp>Let <with|mode|math|\<cal-A\>> and
    <with|mode|math|\<cal-B\>> be two atomic families as above. Then
    <with|mode|math|\<cal-A\>\<circ\>\<cal-B\>> is again an atomic family and
    <with|mode|math|<big|sum><wide|\<cal-A\>\<circ\>\<cal-B\>|^>=(<big|sum><wide|\<cal-A\>|^>)\<circ\>(<big|sum><wide|\<cal-B\>|^>)>.<htab|5mm><with|mode|math|\<box\>>
  </proposition>

  <\big-figure|<postscript|figures/comp.ps|/2|/2||||>>
    <label|comp-fig>Combinatorial interpretation of the composition of atomic
    operators.
  </big-figure>

  <\exercise>
    Show that the mapping

    <\eqnarray*>
      <tformat|<table|<row|<cell|\<circ\><rsub|L<rsub|1>,\<ldots\>,L<rsub|k>>:C\<langle\>\<langle\>z<rsub|1>,\<ldots\>,z<rsub|k>\<rangle\>\<rangle\>>|<cell|\<rightarrow\>>|<cell|<value|rsL>(C<gb|\<frak-M\>>,C<gb|\<frak-M\>>)>>|<row|<cell|f>|<cell|\<mapsto\>>|<cell|f(L<rsub|1>,\<ldots\>,L<rsub|k>)>>>>
    </eqnarray*>

    from exercise <reference|gbop-subst-ex> is a strong
    <with|mode|math|C>-algebra morphism.
  </exercise>

  <\exercise>
    Show that <with|mode|math|<value|rsL>(M<rsub|1>,\<ldots\>,M<rsub|m>,N)>
    and <with|mode|math|<value|rsL>(M<rsub|1>\<otimes\>\<cdots\>\<otimes\>M<rsub|m>,N)>
    are naturally isomorphic as sets. Show that this natural isomorphism also
    preserves the strong <with|mode|math|C>-module structure.\ 
  </exercise>

  <\exercise>
    Show that an atomic family <with|mode|math|\<cal-A\>> is summable, if and
    only if <with|mode|math|\<cal-A\><rsub|\<frak-S\>>> is grid-based for
    every grid-based subset <with|mode|math|\<frak-S\>\<subseteq\>\<frak-M\>>.
  </exercise>

  <\exercise>
    Generalize the theory from sections <reference|grop-sec> and
    <reference|at-dec-sec> to the well-based setting.
  </exercise>

  <section|Implicit function theorems><label|impl-func-th-sec>

  Let <with|mode|math|\<frak-M\>> and <with|mode|math|\<frak-N\>> be monomial
  sets which are contained in a common monomial monoid. Consider a grid-based
  operator

  <\eqnarray*>
    <tformat|<table|<row|<cell|\<Phi\>:C<gb|\<frak-M\>>\<times\>C<gb|\<frak-N\>>>|<cell|\<longrightarrow\>>|<cell|C<gb|\<frak-M\>>>>|<row|<cell|(f,g)>|<cell|\<longmapsto\>>|<cell|\<Phi\>(f,g)>>>>
  </eqnarray*>

  together with its atomic decomposition <with|mode|math|\<Phi\>=<big|sum>\<cal-A\>>.
  We say that

  <\itemize>
    <item><no-break><with|mode|math|\<Phi\>> is <em|strictly
    extensive><sub-bi-index|grid-based|operator|strictly
    extensive><subindex|extensive|strictly <emdash> operator> in
    <with|mode|math|f> if <with|mode|math|\<frak-o\><rsub|\<alpha\>>\<prec\>\<frak-i\><rsub|\<alpha\>,k>>
    whenever <with|mode|math|\<frak-i\><rsub|\<alpha\>,k>\<in\>\<frak-M\>>.

    <item><no-break><with|mode|math|\<Phi\>> is
    <em|extensive><sub-bi-index|grid-based|operator|extensive><subindex|extensive|grid-based
    operator> in <with|mode|math|f> <em|with
    multipliers><sub-bi-index|grid-based|operator|with multipliers in
    <with|mode|math|\<frak-E\>>><subindex|multipliers|grid-based operator
    with <emdash> in <with|mode|math|\<frak-E\>>> in a set
    <with|mode|math|\<frak-E\>>, if <with|mode|math|\<frak-o\><rsub|\<alpha\>>\<in\>\<frak-i\><rsub|\<alpha\>,k>*\<frak-E\>>
    whenever <with|mode|math|\<frak-i\><rsub|\<alpha\>,k>\<in\>\<frak-M\>>.

    <item><with|mode|math|\<Phi\>> is <em|contracting><sub-bi-index|grid-based|operator|contracting><index|contracting
    operator> in <with|mode|math|f> if <with|mode|math|\<Phi\>(f<rsub|2>,g)-\<Phi\>(f<rsub|1>,g)\<precdot\>f<rsub|2>-f<rsub|1>>
    for all <with|mode|math|f<rsub|1>,f<rsub|2>\<in\>C<gb|\<frak-M\>>> and
    <with|mode|math|g\<in\>C<gb|\<frak-N\>>>. Here we write
    <with|mode|math|f\<precdot\>g> if for all
    <with|mode|math|\<frak-m\>\<in\>supp f>, there exists an
    <with|mode|math|\<frak-n\>\<in\>supp <no-break>g> with
    <with|mode|math|\<frak-m\>\<prec\>\<frak-n\>>.
  </itemize>

  If <with|mode|math|\<Phi\>> is strictly extensive in <with|mode|math|f>,
  then we have in particular

  <\equation*>
    \<Phi\>(f,g)<rsub|\<frak-m\>>=(<big|sum><wide|\<cal-A\><rsub|{\<frak-m\><rprime|'>\<in\>\<frak-m\>:\<frak-m\><rprime|'>\<succ\>\<frak-m\>}\<amalg\>\<frak-N\>>|^>)(f,g)<rsub|\<frak-m\>>
  </equation*>

  for all <with|mode|math|f\<in\>C<gb|\<frak-M\>>>,
  <with|mode|math|g\<in\>C<gb|\<frak-N\>>> and
  <with|mode|math|\<frak-m\>\<in\>\<frak-M\>>. Consequently,
  <with|mode|math|\<Phi\>> is also contracting in
  <no-break><with|mode|math|f>, since <with|mode|math|\<Phi\>(f<rsub|2>,g)<rsub|\<frak-m\>>=\<Phi\>(f<rsub|1>,g)<rsub|\<frak-m\>>>,
  whenever <with|mode|math|f<rsub|1>,f<rsub|2>\<in\>C<gb|\<frak-M\>>>,
  <with|mode|math|g\<in\>C<gb|\<frak-N\>>> and
  <with|mode|math|\<frak-m\>\<in\>\<frak-M\>> are such that
  <with|mode|math|f<rsub|1,\<frak-n\>>=f<rsub|2,\<frak-n\>>> for all
  <with|mode|math|\<frak-n\>\<succ\>\<frak-m\>>.

  Given a grid-based operator <with|mode|math|\<Phi\>> as above, the aim of
  the implicit function theorems is to construct a grid-based operator
  <with|mode|math|\<Psi\>:C<gb|\<frak-N\>>\<rightarrow\>C<gb|\<frak-M\>>>,
  such that

  <\equation>
    <label|impl-eq>\<Phi\>(\<Psi\>(g),g)=\<Psi\>(g)
  </equation>

  for all <with|mode|math|g\<in\>C<gb|\<frak-N\>>>. In the well-based
  context, a sufficient condition for the existence (and uniqueness) of such
  an operator is the strict extensiveness of <with|mode|math|\<Phi\>> in
  <with|mode|math|f>. In the grid-based context we need additional conditions
  in order to preserve the grid-based property. In this section, we present
  three possible choices for these extra conditions, which lead each to a
  grid-based implicit function theorem.

  <subsection|The first implicit function theorem>

  <\theorem>
    <label|grop-ifth-1>Let <with|mode|math|\<Phi\>:C<gb|\<frak-M\>>\<times\>C<gb|\<frak-N\>>\<rightarrow\>C<gb|\<frak-M\>>,(f,g)\<mapsto\>\<Phi\>(f,g)>
    be a grid-based operator, which is extensive in <with|mode|math|f> with
    multipliers in a grid-based set <with|mode|math|\<frak-E\>\<prec\>1>.
    Then for each <with|mode|math|g\<in\>C<gb|\<frak-N\>>>, there exists a
    unique <with|mode|math|\<Psi\>(g)> which satisfies
    <with|font-shape|right|(<reference|impl-eq>)> and the operator
    <with|mode|math|\<Psi\>:C<gb|\<frak-N\>>\<rightarrow\>C<gb|\<frak-M\>>>
    is grid-based. Furthermore, for all <with|mode|math|g\<in\>C<gb|\<frak-N\>>>,
    we have

    <\equation*>
      supp \<Psi\>(g)\<subseteq\>(supp \<Phi\>(0,g))*\<frak-E\><rsup|\<ast\>>.
    </equation*>

    If <with|mode|math|C\<supseteq\>\<bbb-Q\>>, then we also have

    <\equation*>
      supp \<Psi\>\<subseteq\>(supp \<Phi\>)<rsup|+>
    </equation*>
  </theorem>

  <\proof>
    Let <with|mode|math|\<Phi\>=<big|sum>\<cal-A\>> be the atomic
    decomposition of <with|mode|math|\<Phi\>>. Consider the family
    <with|mode|math|\<cal-B\>=\<amalg\><rsub|d\<in\>\<bbb-N\>>\<cal-B\><rsub|d>>,
    where the <with|mode|math|\<cal-B\><rsub|d>> are recursively defined by

    <\eqnarray*>
      <tformat|<table|<row|<cell|\<cal-B\><rsub|0>>|<cell|=>|<cell|\<cal-A\><rsub|\<frak-N\>>>>|<row|<cell|\<cal-B\><rsub|d+1>>|<cell|=>|<cell|(\<cal-A\>\<setminus\>\<cal-A\><rsub|\<frak-N\>>)\<circ\>(\<cal-B\><rsub|d>\<amalg\>\<cal-D\><rsub|\<frak-N\>>)>>>>
    </eqnarray*>

    See figure <reference|grop-iter-fig> for the illustration of a member of
    <with|mode|math|\<cal-B\>>. We claim that <with|mode|math|\<cal-B\>> is
    an atomic family. Indeed, let <with|mode|math|\<frak-S\>\<subseteq\>\<frak-N\>>
    be a grid-based set. Let us prove by induction over <with|mode|math|d>
    that

    <\equation>
      <label|impl-supp-bound>supp \<frak-o\><rsub|\<varsigma\>>\<subseteq\>\<frak-S\>*\<frak-E\><rsup|d>
    </equation>

    for all <with|mode|math|\<varsigma\>\<in\>\<cal-B\><rsub|d,\<frak-S\>>>.
    This is clear if <with|mode|math|d=0>. If
    <with|mode|math|d\<geqslant\>1>, then we may write
    <with|mode|math|\<varsigma\>=\<alpha\>\<circ\>(\<beta\><rsub|1>,\<ldots\>,<no-break>\<beta\><rsub|d>)>,
    where <with|mode|math|\<frak-i\><rsub|\<alpha\>,k>=\<frak-o\><rsub|\<beta\><rsub|k>>\<in\>\<frak-M\>>
    for at least one <with|mode|math|k>. By the induction hypothesis, we have
    <with|mode|math|supp <no-break>\<frak-o\><rsub|\<beta\><rsub|k>>\<subseteq\>\<frak-S\>*\<frak-E\><rsup|d-1>>,
    so that <with|mode|math|\<frak-o\><rsub|\<varsigma\>>\<in\>\<frak-o\><rsub|\<beta\><rsub|k>>*\<frak-E\>\<subseteq\>\<frak-S\>*\<frak-E\><rsup|d>>.
    This shows that <with|mode|math|<big|cup><rsub|\<varsigma\>\<in\>\<cal-B\><rsub|\<frak-S\>>>\<frak-o\><rsub|\<varsigma\>>\<subseteq\>\<frak-S\>*\<frak-E\><rsup|\<ast\>>>.
    Moreover, given <with|mode|math|\<frak-m\>\<in\>\<frak-S\>*\<frak-E\><rsup|\<ast\>>>,
    there are only a finite number of <with|mode|math|d> with
    <with|mode|math|\<frak-m\>\<in\>\<frak-S\>*\<frak-E\><rsup|d>>. It
    follows that <with|mode|math|\<cal-B\>> is an atomic family, by remark
    <reference|atomic-criterion> and the fact that each
    <with|mode|math|\<cal-B\><rsub|d>> is atomic.

    <\big-figure|<postscript|figures/iter.ps|/2|/2||||>>
      <label|grop-iter-fig>Illustration of a member of
      <with|mode|math|\<cal-B\><rsub|3>>. The white dots correspond to
      elements of <with|mode|math|\<frak-M\>> and the black dots to elements
      of <with|mode|math|\<frak-N\>>. The light boxes belong to
      <with|mode|math|\<cal-A\>> and the dark ones to
      <with|mode|math|\<cal-D\><rsub|\<frak-N\>>>.
    </big-figure>

    Now consider the grid-based operator <with|mode|math|\<Psi\>=<big|sum>\<cal-B\>:C
    <gb|\<frak-M\>>\<times\>C<gb|\<frak-N\>>\<rightarrow\>C<gb|\<frak-M\>>>.
    Identifying <with|mode|math|C <gb|\<frak-M\>>\<times\>C<gb|\<frak-N\>>>
    and <with|mode|math|C<gb|\<frak-M\>\<amalg\>\<frak-N\>>> via the natural
    isomorphism, we have

    <equation*|(\<Psi\>(g),g)=\<Psi\>(g)+g=(<big|sum>\<cal-B\>\<amalg\>\<cal-D\><rsub|\<frak-N\>>)(g),>

    for all <with|mode|math|g\<in\>C<gb|\<frak-N\>>>. Similarly, for all
    <with|mode|math|(f,g)\<in\>C<gb|\<frak-M\>>\<times\>C<gb|\<frak-N\>>>, we
    have

    <equation*|\<Phi\><rsub|rest>(f,g)=\<Phi\>(f,g)-\<Phi\>(0,g)=(<big|sum>\<cal-A\>\<setminus\>\<cal-A\><rsub|\<frak-N\>>)(f,g).>

    Applying proposition <reference|atom-comp>, we conclude that

    <eqnarray*|<tformat|<table|<row|<cell|\<Psi\>(g)>|<cell|=>|<cell|(<big|sum>\<cal-B\><rsub|0>)(g)+(<big|sum>\<cal-B\>\<setminus\>\<cal-B\><rsub|0>)(g)>>|<row|<cell|>|<cell|=>|<cell|(<big|sum>\<cal-A\><rsub|\<frak-N\>>)(g)+(<big|sum>(\<cal-A\>\<setminus\>\<cal-A\><rsub|\<frak-N\>>)\<circ\>(\<cal-B\>\<amalg\>\<cal-D\><rsub|\<frak-N\>>))(g)>>|<row|<cell|>|<cell|=>|<cell|\<Phi\>(0,g)+\<Phi\><rsub|rest>(\<Psi\>(g),g)>>|<row|<cell|>|<cell|=>|<cell|\<Phi\>(\<Psi\>(g),g),>>>>>

    for all <with|mode|math|g\<in\>C<gb|\<frak-N\>>>. As to the uniqueness of
    <with|mode|math|\<Psi\>(g)>, assume that
    <with|mode|math|f<rsub|1>,f<rsub|2>\<in\>C<gb|\<frak-N\>>> are such that
    <with|mode|math|\<Phi\>(f<rsub|1>,g)=f<rsub|1>> and
    <with|mode|math|\<Phi\>(f<rsub|2>,g)=f<rsub|2>.> Then we have
    <with|mode|math|\<Phi\>(f<rsub|2>,g)-\<Phi\>(f<rsub|1>,<no-break>g)=f<rsub|2>-f<rsub|1>\<precdot\>f<rsub|2>-f<rsub|1>>,
    which is only possible if <with|mode|math|f<rsub|2>=f<rsub|1>>.

    Let us finally prove the bounds on the supports. The first one follows
    directly from (<reference|impl-supp-bound>). The second one follows from
    the fact that the operator support of an element in
    <with|mode|math|\<cal-B\>> is the product of the operator supports of all
    combinatorial boxes on the nodes of the corresponding tree.
  </proof>

  <subsection|The second implicit function theorem>

  <\theorem>
    <label|grop-ifth-2>Let <with|mode|math|\<Phi\>:C<gb|\<frak-M\>>\<times\>C<gb|\<frak-N\>>\<rightarrow\>C<gb|\<frak-M\>>,(f,g)\<mapsto\>\<Phi\>(f,g)>
    be a grid-based operator, such that

    <\equation*>
      \<frak-E\><rsub|\<frak-m\>>=supp \<Phi\><rsub|1>\<cup\>(supp
      \<Phi\><rsub|2>)*\<frak-m\>\<cup\>(supp
      \<Phi\><rsub|3>)*\<frak-m\><rsup|2>\<cup\>\<cdots\>
    </equation*>

    is grid-based and infinitesimal \ for all
    <with|mode|math|\<frak-m\>\<in\>\<frak-M\>>. Then, for each
    <with|mode|math|g\<in\>C<gb|\<frak-N\>>>, there exists a unique
    <with|mode|math|\<Psi\>(g)> which satisfies
    <with|font-shape|right|(<reference|impl-eq>)> and the operator
    <with|mode|math|\<Psi\>:C<gb|\<frak-N\>>\<rightarrow\>C<gb|\<frak-M\>>>
    is grid-based.
  </theorem>

  <\proof>
    Let <with|mode|math|g\<in\>C<gb|\<frak-N\>>>, with support
    <with|mode|math|\<frak-S\>=supp g>. There exist finite sets
    <with|mode|math|\<frak-F\>> and <with|mode|math|\<frak-D\>\<prec\>1>,
    such that <with|mode|math|\<frak-S\>\<subseteq\>\<frak-F\>*\<frak-D\><rsup|\<ast\>>>.
    Let

    <\equation*>
      \<frak-E\>=<left|(><big|cup><rsub|\<frak-m\>\<in\>\<frak-F\>>\<frak-E\><rsub|\<frak-m\>><right|)><rsup|+>\<frak-D\><rsup|\<ast\>>
    </equation*>

    Then we have <with|mode|math|\<frak-E\>\<prec\>1> and

    <\equation*>
      \<frak-E\>\<supseteq\><big|cup><rsub|\<frak-m\>\<in\>\<frak-F\>*(\<frak-D\>\<cup\>\<frak-E\>)<rsup|\<ast\>>>\<frak-E\><rsub|\<frak-m\>>.
    </equation*>

    We now observe that <with|mode|math|\<Phi\>(\<cdot\>,g)> maps
    <with|mode|math|C<gb|\<frak-F\>*(\<frak-D\>\<cup\>\<frak-E\>)<rsup|\<ast\>>>>
    into itself, so we may apply theorem <reference|grop-ifth-1> to this
    mapping with the same <with|mode|math|\<frak-E\>>. This proves the
    existence and uniqueness of <with|mode|math|\<Psi\>(g)>. With similar
    notations as in theorem <reference|grop-ifth-1>, it also follows that
    <no-break><with|mode|math|\<cal-B\>> is again a grid-based atomic family,
    so that <with|mode|math|\<Psi\>=<big|sum><wide|\<cal-B\>|^>> is a
    grid-based operator.
  </proof>

  <subsection|The third implicit function theorem>

  <\theorem>
    <label|grop-ifth-3>Let <with|mode|math|\<Phi\>:C<gb|\<frak-M\>>\<times\>C<gb|\<frak-N\>>\<rightarrow\>C<gb|\<frak-M\>>,(f,g)\<mapsto\>\<Phi\>(f,g)>
    be a grid-based operator which is strictly extensive in
    <with|mode|math|f>. Assume that

    <\equation*>
      \<frak-G\>=supp \<Phi\><rsub|0>\<cup\>supp
      \<Phi\><rsub|1>\<cup\>\<cdots\>
    </equation*>

    is grid-based and <no-break><with|mode|math|\<frak-G\>\<prec\>1>. Then
    for each <with|mode|math|g\<in\>C<gb|\<frak-N\>>>, there exists a unique
    <with|mode|math|\<Psi\>(g)> which satisfies
    <no-break><with|font-shape|right|(<reference|impl-eq>)> and the operator
    <with|mode|math|\<Psi\>:C<gb|\<frak-N\>>\<rightarrow\>C<gb|\<frak-M\>>>
    is grid-based.
  </theorem>

  <\proof>
    With the notations of the proof of theorem <reference|grop-ifth-1>, let
    us first show that <with|mode|math|\<cal-B\><rsub|\<frak-S\>>> is a
    well-based family for every grid-based set
    <with|mode|math|\<frak-S\>\<subseteq\>\<frak-N\>>. For each
    <with|mode|math|\<alpha\>\<in\>\<cal-A\>>, let
    <with|mode|math|<wide|\<alpha\>|\<bar\>>=\<frak-o\><rsub|\<alpha\>>/(\<frak-i\><rsub|\<alpha\>,1>*\<cdots\>*\<frak-i\><rsub|\<alpha\>,\|\<alpha\>\|>)\<in\>\<frak-G\>>.
    To each <with|mode|math|\<beta\>\<in\>\<cal-B\><rsub|\<frak-S\>>>, we
    associate a tree <with|mode|math|<wide|\<beta\>|\<bar\>>\<in\>(\<frak-G\>\<amalg\>\<frak-S\>)<rsup|\<top\>>>,
    by setting <with|mode|math|<wide|\<beta\>|\<bar\>>=\<frak-o\><rsub|\<beta\>>>
    if <with|mode|math|\<beta\>\<in\>\<cal-D\><rsub|\<frak-N\>>\<amalg\>\<cal-B\><rsub|0>>,
    and

    <\equation*>
      <wide|\<alpha\>\<circ\>(\<beta\><rsub|1>,\<ldots\>,\<beta\><rsub|\|\<alpha\>\|>)|\<bar\>>=<tree|<with|math-display|false|<wide|\<alpha\>|\<bar\>>>*|<wide|\<beta\>|\<bar\>><rsub|1>|\<cdots\>|<wide|\<beta\>|\<bar\>><rsub|\|\<alpha\>\|>>
    </equation*>

    for <with|mode|math|\<alpha\>\<circ\>(\<beta\><rsub|1>,\<ldots\>,\<beta\><rsub|\|\<alpha\>\|>)\<in\>\<cal-B\>\<setminus\>\<cal-B\><rsub|0>>.
    Since <with|mode|math|\<Phi\>> is strictly extensive in
    <with|mode|math|f>, this mapping is strictly increasing. Furthermore, the
    inverse image of each tree in <with|mode|math|(\<frak-S\>\<amalg\>\<frak-G\>)<rsup|\<top\>>>
    is finite and <no-break><with|mode|math|(\<frak-S\>\<amalg\>\<frak-G\>)<rsup|\<top\>>>
    is well-based by Higman's theorem. This together implies that
    <with|mode|math|\<cal-B\><rsub|\<frak-S\>>> is well-based.

    Let us show that <with|mode|math|\<cal-B\><rsub|\<frak-S\>>> is actually
    a grid-based. For each tree <with|mode|math|<wide|\<beta\>|\<bar\>>\<in\>(\<frak-S\>\<amalg\>\<frak-G\>)<rsup|\<top\>>>,
    let <with|mode|math|\<frak-o\><rsub|<wide|\<beta\>|\<bar\>>>=<big|prod><rsub|a\<in\><wide|\<beta\>|\<bar\>>>l(<no-break>a)>,
    so that <with|mode|math|\<frak-o\><rsub|<wide|\<beta\>|\<bar\>>>=\<frak-o\><rsub|\<beta\>>>
    for all <with|mode|math|><with|mode|math|\<beta\>\<in\>\<cal-B\>>. Now
    consider

    <\equation*>
      \<frak-T\>={(<wide|\<alpha\>|\<bar\>>,(<wide|\<beta\>|\<bar\>><rsub|1>,\<ldots\>,<wide|\<beta\>|\<bar\>><rsub|l>))\<in\>\<frak-G\>\<times\>(\<frak-S\>\<amalg\>\<frak-G\>)<rsup|\<top\>\<ast\>>:\<frak-o\><rsub|<wide|\<alpha\>|\<bar\>>>*\<frak-o\><rsub|<wide|\<beta\>|\<bar\>><rsub|1>>*\<cdots\>*\<frak-o\><rsub|<wide|\<beta\>|\<bar\>><rsub|l>>\<prec\>1}.
    </equation*>

    Let <with|mode|math|\<frak-F\>> be the finite subset of
    <with|mode|math|<op|\<preccurlyeq\>>>-maximal elements of
    <with|mode|math|\<frak-T\>>. Notice that we may naturally interpret
    elements <with|mode|math|(<wide|\<alpha\>|\<bar\>>,(<wide|\<beta\>|\<bar\>><rsub|1>,\<ldots\>,<wide|\<beta\>|\<bar\>><rsub|l>))\<in\>\<frak-G\>\<times\>(\<frak-S\>\<amalg\>\<frak-G\>)<rsup|\<top\>\<ast\>>>
    as trees

    <\equation*>
      <tree|<wide|\<alpha\>|\<bar\>>|<wide|\<beta\>|\<bar\>><rsub|1>|\<cdots\>|<wide|\<beta\>|\<bar\>><rsub|l>>\<in\>(\<frak-S\>\<amalg\>\<frak-G\>)<rsup|\<top\>>.
    </equation*>

    Given a grid-based set <with|mode|math|\<frak-A\>> and
    <with|mode|math|\<frak-m\>\<in\>\<frak-A\>>, let us denote
    <with|mode|math|res<rsub|\<frak-A\>> \<frak-m\>={<frac|\<frak-n\>|\<frak-m\>>:\<frak-n\>\<in\>\<frak-A\>,\<frak-n\>\<prec\>\<frak-m\>}>.
    Consider

    <\equation*>
      \<frak-E\>=<left|(>\<frak-G\>\<cup\>{\<frak-o\><rsub|<wide|\<varsigma\>|\<bar\>>>:<wide|\<varsigma\>|\<bar\>>\<in\>\<frak-F\>}\<cup\><big|cup><rsub|<stack|<tformat|<table|<row|<cell|<wide|\<varsigma\>|\<bar\>>\<in\>\<frak-F\>>>|<row|<cell|\<frak-l\>\<in\>l(<wide|\<varsigma\>|\<bar\>>)>>>>>>res<rsub|\<frak-G\>\<amalg\>\<frak-S\>>
      \<frak-l\><right|)><rsup|<space|-1.6spc>\<ast\>>\<setminus\>{1}.
    </equation*>

    We claim that <with|mode|math|\<frak-E\>> satisfies the hypothesis of
    theorem <reference|grop-ifth-1>.

    Indeed, consider <with|mode|math|\<varsigma\>=\<alpha\>\<circ\>(\<beta\><rsub|1>,\<ldots\>,\<beta\><rsub|\|\<alpha\>\|>)\<in\>\<cal-B\><rsub|\<frak-S\>>\<cap\>\<cal-B\><rsub|d>>
    and let us show by induction over <no-break><with|mode|math|d> that
    <with|mode|math|\<frak-o\><rsub|\<varsigma\>>\<in\>\<frak-i\><rsub|\<varsigma\>,k>*\<frak-E\>>
    for every <no-break><with|mode|math|k> with
    <with|mode|math|\<frak-o\><rsub|\<beta\><rsub|k>>\<in\>\<frak-M\>>. Now

    <\equation*>
      <wide|\<varsigma\>|\<bar\>>=(<wide|\<alpha\>|\<bar\>>,(<wide|\<beta\>|\<bar\>><rsub|1>,\<ldots\>,<wide|\<beta\>|\<bar\>><rsub|k-1>,<wide|\<beta\>|\<bar\>><rsub|k+1>,\<ldots\>,<wide|\<beta\>|\<bar\>><rsub|\|\<alpha\>\|>))\<preccurlyeq\><wide|\<varsigma\>|\<bar\>><rprime|'>
    </equation*>

    for some <with|mode|math|<wide|\<varsigma\>|\<bar\>><rprime|'>\<in\>\<frak-F\>>.
    In other words, there exists an embedding
    <with|mode|math|\<varphi\>:<wide|\<varsigma\>|\<bar\>><rprime|'>\<rightarrow\><wide|\<varsigma\>|\<bar\>>>
    which fixes the root. Consider a factorization
    <with|mode|math|\<varphi\>=\<psi\>\<circ\>\<varphi\><rprime|'>> of this
    embedding through a tree <with|mode|math|<wide|\<omega\>|\<bar\>>> with
    <with|mode|math|\<frak-o\><rsub|<wide|\<omega\>|\<bar\>>>\<in\>\<frak-i\><rsub|\<varsigma\>,k>*\<frak-E\>>,
    such that <with|mode|math|a\<in\>im \<varphi\><rprime|'>> for all
    <with|mode|math|a\<in\><wide|\<omega\>|\<bar\>>> with
    <with|mode|math|l(\<psi\>(a))\<neq\>l(a)>, and such that

    <\equation*>
      \<delta\><rsub|\<psi\>>=card <no-break>{b\<in\><wide|\<varsigma\>|\<bar\>>:\<forall\>a\<in\><wide|\<omega\>|\<bar\>>,b=\<psi\>(a)\<Rightarrow\>l(b)\<neq\>l(a)}
    </equation*>

    is minimal. Assume for contradiction that
    <with|mode|math|\<delta\><rsub|\<psi\>>\<neq\>0>. We distinguish three
    cases:

    <\description>
      <item*|Case 1> <with|mode|math|l(\<psi\>(a))\<neq\>l(a)> for some
      <with|mode|math|><with|mode|math|a\<in\><wide|\<omega\>|\<bar\>>>.<no-page-break>

      <no-indent>Consider the tree <with|mode|math|<wide|\<omega\>|\<bar\>><rprime|'>>
      with the same nodes as <with|mode|math|<wide|\<omega\>|\<bar\>>> and
      <with|mode|math|l<rsub|<wide|\<omega\>|\<bar\>><rprime|'>>(b)=l<rsub|<wide|\<omega\>|\<bar\>>>(b)>
      if <with|mode|math|b\<neq\>a> and <with|mode|math|l<rsub|<wide|\<omega\>|\<bar\>><rprime|'>>(a)=l<rsub|<wide|\<varsigma\>|\<bar\>>>(\<psi\>(a))>.
      Then we may factor <with|mode|math|\<psi\>=\<xi\>\<circ\>\<psi\><rprime|'>>
      through <with|mode|math|<wide|\<omega\>|\<bar\>><rprime|'>> with
      <with|mode|math|\<delta\><rsub|\<xi\>>=\<delta\><rsub|\<psi\>>-1> and
      <with|mode|math|\<frak-o\><rsub|<wide|\<omega\>|\<bar\>><rprime|'>>\<in\>\<frak-o\><rsub|<wide|\<omega\>|\<bar\>>>*\<frak-E\>\<subseteq\>\<frak-i\><rsub|\<varsigma\>,k>*\<frak-E\>>.

      <item*|Case 2><with|mode|math|arity(\<psi\>(a))\<gtr\>arity(a)> for
      some <with|mode|math|a\<in\><wide|\<omega\>|\<bar\>>>.<no-page-break>

      <no-indent>Let <with|mode|math|<wide|\<kappa\>|\<bar\>>> be a child of
      <with|mode|math|\<psi\>(a)> whose root is not in the image of
      <with|mode|math|\<psi\>>. Then we may factor
      <no-break><with|mode|math|\<psi\>=\<xi\>\<circ\>\<psi\><rprime|'>>
      through a tree <no-break><with|mode|math|<wide|\<omega\>|\<bar\>><rprime|'>>
      which is obtained by adding <with|mode|math|<wide|\<kappa\>|\<bar\>>>
      as a child to <with|mode|math|a> at the appropriate place, in such a
      way that <with|mode|math|\<delta\><rsub|\<xi\>>=\<delta\><rsub|\<psi\>>-card
      <wide|\<kappa\>|\<bar\>>>. Moreover, since
      <with|mode|math|\<kappa\>\<in\>\<cal-B\><rsub|0>\<cup\>\<cdots\>\<cup\>\<cal-B\><rsub|d-1>>,
      the induction hypothesis implies that
      <with|mode|math|\<frak-o\><rsub|<wide|\<kappa\>|\<bar\>>>\<in\>\<frak-E\>>,
      so that <with|mode|math|\<frak-o\><rsub|<wide|\<omega\>|\<bar\>><rprime|'>>=\<frak-o\><rsub|<wide|\<omega\>|\<bar\>>>*\<frak-o\><rsub|<wide|\<kappa\>|\<bar\>>>\<in\>\<frak-i\><rsub|\<varsigma\>,k>*\<frak-E\>>.

      <item*|Case 3>we are not in cases 1 and 2.<no-page-break>

      <no-indent>Since <with|mode|math|\<delta\><rsub|\<psi\>>\<neq\>0>,
      there exists a <with|mode|math|b\<in\><wide|\<varsigma\>|\<bar\>>\<setminus\>im
      \<psi\>> with a successor <with|mode|math|c=\<psi\>(a)>. Let
      <with|mode|math|<wide|\<kappa\>|\<bar\>><rsub|1>,\<ldots\>,<no-break><wide|\<kappa\>|\<bar\>><rsub|p>>
      be the children of <with|mode|math|b>, so that <with|mode|math|c> is
      the root of <with|mode|math|<wide|\<kappa\>|\<bar\>><rsub|i>> for some
      <with|mode|math|i>. Consider the tree
      <with|mode|math|<wide|\<omega\>|\<bar\>><rprime|'>> which is obtained
      by substituting the subtree <with|mode|math|<wide|\<lambda\>|\<bar\>>>
      of <with|mode|math|<wide|\<omega\>|\<bar\>>> with root
      <with|mode|math|a> by

      <\equation*>
        <wide|\<lambda\>|\<bar\>><rprime|'>=<tree|l(b)|<wide|\<kappa\>|\<bar\>><rsub|1>|\<cdots\>|<wide|\<kappa\>|\<bar\>><rsub|i-1>|<wide|\<lambda\>|\<bar\>>|<wide|\<kappa\>|\<bar\>><rsub|i+1>|\<cdots\>|<wide|\<kappa\>|\<bar\>><rsub|p>>
      </equation*>

      By the induction hypothesis, we have
      <with|mode|math|\<frak-o\><rsub|<wide|\<lambda\>|\<bar\>><rprime|'>>\<in\>\<frak-o\><rsub|<wide|\<lambda\>|\<bar\>>>*\<frak-E\>>,
      so that <with|mode|math|\<frak-o\><rsub|<wide|\<omega\>|\<bar\>><rprime|'>>\<in\>\<frak-o\><rsub|<wide|\<omega\>|\<bar\>>>*\<frak-E\>\<subseteq\>\<frak-i\><rsub|\<varsigma\>,k>*\<frak-E\>>.
      Furthermore, we may factor <with|mode|math|\<psi\>=\<xi\>\<circ\>\<psi\><rprime|'>>
      through <with|mode|math|<wide|\<omega\>|\<bar\>><rprime|'>> in such a
      way that <with|mode|math|\<delta\><rsub|\<xi\>>=\<delta\><rsub|\<psi\>>+card
      <wide|\<lambda\>|\<bar\>>-card <wide|\<lambda\>|\<bar\>><rprime|'>>.
    </description>

    In each of these three cases, we have thus shown how to obtain a
    factorization <with|mode|math|\<varphi\>=\<xi\>\<circ\>(\<psi\><rprime|'>\<circ\>\<varphi\><rprime|'>)>
    through a tree <with|mode|math|<wide|\<omega\>|\<bar\>><rprime|'>> with
    <with|mode|math|\<delta\><rsub|\<xi\>>\<less\>\<delta\><rsub|\<psi\>>>
    and <with|mode|math|\<frak-o\><rsub|<wide|\<omega\>|\<bar\>><rprime|'>>\<in\>\<frak-i\><rsub|\<varsigma\>,k>*\<frak-E\>>.
    This contradiction of the minimality assumption completes the proof of
    our claim. We conclude the proof by applying theorem
    <reference|grop-ifth-1> and by noticing that <with|mode|math|\<cal-B\>>
    is grid-based, so that <with|mode|math|\<Psi\>=<big|sum><wide|\<cal-B\>|^>>
    is a grid-based operator.
  </proof>

  <\exercise>
    Give an example of a contracting mapping which is not strictly extensive.
  </exercise>

  <\exercise>
    In the first implicit function theorem, show that the condition that
    <with|mode|math|f> has multipliers in a grid-based set
    <with|mode|math|\<frak-E\>\<prec\>1> cannot be omitted. Hint: consider
    the equation <with|mode|math|f(x)=x+f(<sqrt|x>)>.
  </exercise>

  <\exercise>
    Give an example where the second implicit function theorem may be
    applied, but not the first. Also give an example where the third theorem
    may be applied, but not the second.
  </exercise>

  <\exercise>
    Prove the following implicit function theorem for well-based series:

    <\quote-env>
      Let <with|mode|math|\<Phi\>:C[[\<frak-M\>]]\<times\>C[[\<frak-N\>]]\<rightarrow\>C[[\<frak-M\>]];(f,g)\<mapsto\>F(f,g)>
      be a well-based operator which is extensive in <with|mode|math|f>. Then
      for each <with|mode|math|g\<in\>C[[\<frak-N\>]]>, there exists a unique
      <with|mode|math|\<Psi\>(g)> which satisfies (<reference|impl-eq>) and
      the operator <with|mode|math|\<Phi\>:C[[\<frak-N\>]]\<rightarrow\>C[[\<frak-M\>]]>
      is well-based.
    </quote-env>
  </exercise>

  <section|Multilinear types>

  One obtains interesting subclasses of grid-based operators by restricting
  the homogeneous parts to be of a certain type. More precisely, let
  <with|mode|math|\<frak-M\>> be a monomial monoid and let
  <with|mode|math|math-font|cal|<value|Mlt>> be a set of strongly multilinear
  mappings <with|mode|math|\<Phi\>:C<gb|\<frak-M\>><rsup|\|\<Phi\>\|>\<rightarrow\>C<gb|\<frak-M\>>>.
  We say that <with|mode|math|math-font|cal|<value|Mlt>> is a <em|multilinear
  type><subindex|multilinear|type> if

  <\description>
    <item*|MT1>The constant mapping <with|mode|math|{0}\<mapsto\>f> is in
    <with|mode|math|math-font|cal|<value|Mlt>> for each
    <with|mode|math|f\<in\>C<gb|\<frak-M\>>>.<no-page-break>

    <item*|MT2>The projection mappings <with|mode|math|\<pi\><rsub|i>:C<gb|\<frak-M\>><rsup|k>\<rightarrow\>C<gb|\<frak-M\>><space|1.2spc>(i=1,\<ldots\>,k)>
    are in <no-break><with|mode|math|math-font|cal|<value|Mlt>>.

    <item*|MT3>The multiplication mapping from
    <with|mode|math|C<gb|\<frak-M\>><rsup|2>> into
    <with|mode|math|C<gb|\<frak-M\>>> is in
    <with|mode|math|math-font|cal|<value|Mlt>>.<no-page-break>

    <item*|MT4>If <with|mode|math|\<Psi\>,\<Phi\><rsub|1>,\<ldots\>,\<Phi\><rsub|\|\<Psi\>\|>\<in\><value|Mlt>>,
    then <with|mode|math|\<Psi\>\<circ\>(\<Phi\><rsub|1>,\<ldots\>,\<Phi\><rsub|\|\<Psi\>\|>)\<in\><value|Mlt>>.
  </description>

  Given subsets <with|mode|math|\<frak-V\><rsub|1>,\<ldots\>,\<frak-V\><rsub|v>,\<frak-W\><rsub|1>,\<ldots\>,\<frak-W\><rsub|w>>
  of <with|mode|math|\<frak-M\>>, we say that a strongly multilinear mapping

  <equation*|\<Phi\>:C<gb|\<frak-V\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-V\><rsub|v>>\<rightarrow\>C<gb|\<frak-W\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-W\><rsub|w>>>

  is an <em|atom of type> <with|mode|math|math-font|cal|<value|Mlt>>, if for
  <with|mode|math|i=1,\<ldots\>,w>, there exists a mapping
  <with|mode|math|\<Phi\><rsub|i>:C<gb|\<frak-M\>><rsup|v>\<rightarrow\>C<gb|\<frak-M\>>>
  in <no-break><with|mode|math|math-font|cal|<value|Mlt>>, such that
  <with|mode|math|\<pi\><rsub|i>\<circ\>\<Phi\>> coincides with the
  restriction of the domain and image of <with|mode|math|\<Phi\><rsub|i>> to
  <with|mode|math|C<gb|\<frak-V\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-V\><rsub|v>>>
  resp. <with|mode|math|C<gb|\<frak-W\><rsub|i>>>. We say that
  <with|mode|math|\<Phi\>> is <em|of type>
  <with|mode|math|<value|Mlt>><sub-bi-index|grid-based|operator|of type
  <with|mode|math|<value|Mlt>>>, if <with|mode|math|\<Phi\>> is the sum of a
  grid-based family of atoms of type <with|mode|math|<value|Mlt>>. A
  grid-based operator

  <equation*|\<Phi\>:C<gb|\<frak-V\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-V\><rsub|v>>\<rightarrow\>C<gb|\<frak-W\><rsub|1>>\<times\>\<cdots\>\<times\>C<gb|\<frak-W\><rsub|w>>>

  is said to be of type <with|mode|math|math-font|cal|<value|Mlt>>, if
  <with|mode|math|<wide|\<Phi\>|\<check\>><rsub|i>> is of type
  <with|mode|math|math-font|cal|<value|Mlt>> for all <with|mode|math|i>.

  <\example>
    For any set <with|mode|math|math-font|cal|<value|Set>> of grid-based
    operators <with|mode|math|C<gb|\<frak-M\>>\<rightarrow\>C<gb|\<frak-M\>>>,
    there exists a smallest multilinear type
    <with|mode|math|<value|Mlt>=\<langle\><value|Set>\<rangle\>> which
    contains <with|mode|math|math-font|cal|<value|Set>>. Taking
    <with|mode|math|\<bbb-T\>=C<gb|\<frak-M\>>> to be the field of grid-based
    transseries, interesting special cases are obtained when taking
    <with|mode|math|<value|Set>={\<partial\>}> or
    <with|mode|math|<value|Set>={<I>}>. Grid-based operators of type
    <with|mode|math|\<langle\>{\<partial\>}\<rangle\>> resp.
    <with|mode|math|\<langle\>{<I>}\<rangle\>> are called
    <em|differential><sub-bi-index|grid-based|operator|differential><subindex|differential|grid-based
    operator> resp. <em|integral grid-based
    operators><sub-bi-index|grid-based|operator|integral><subindex|integral|grid-based
    operator>.
  </example>

  <\exercise>
    Show that compositions of grid-based operators of type
    <with|mode|math|<value|Mlt>> are again of type
    <no-break><with|mode|math|<value|Mlt>>.
  </exercise>

  <\exercise>
    State and prove the implicit function theorems from the previous section
    for grid-based operators of a given type <with|mode|math|<value|Mlt>>.
  </exercise>

  <\exercise>
    For which subfields of <with|mode|math|\<bbb-T\>> and
    <with|mode|math|g\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>> do the
    grid-based operators of types <with|mode|math|\<langle\>{<op|\<circ\><rsub|g>>}\<rangle\>>
    and <with|mode|math|\<langle\>{\<partial\>}\<rangle\>> coincide?
  </exercise>
</body>

<\initial>
  <\collection>
    <associate|dpi|600>
    <associate|font-base-size|12>
    <associate|page-medium|papyrus>
    <associate|page-show-hf|true>
    <associate|par-hyphen|professional>
    <associate|preamble|false>
    <associate|window height|1190400>
    <associate|window width|997120>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|at-dec-sec|<tuple|6.4|8>>
    <associate|atom-comp|<tuple|6.12|10>>
    <associate|atom-dec-sec|<tuple|6.4.2|9>>
    <associate|atomic-criterion|<tuple|6.11|10>>
    <associate|atomic-dec|<tuple|6.5|9>>
    <associate|auto-1|<tuple|6|1>>
    <associate|auto-10|<tuple|6.1.1|2>>
    <associate|auto-100|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-101|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-102|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-103|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-104|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-105|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-106|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-107|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-108|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-109|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-11|<tuple|6.1.1|2>>
    <associate|auto-110|<tuple|6.5.1|12>>
    <associate|auto-111|<tuple|6.2|12>>
    <associate|auto-112|<tuple|6.5.2|13>>
    <associate|auto-113|<tuple|6.5.3|13>>
    <associate|auto-114|<tuple|6.6|15>>
    <associate|auto-115|<tuple|6.6|15>>
    <associate|auto-116|<tuple|6.6|16>>
    <associate|auto-117|<tuple|6.6|16>>
    <associate|auto-118|<tuple|6.16|16>>
    <associate|auto-119|<tuple|6.16|16>>
    <associate|auto-12|<tuple|6.1.1|2>>
    <associate|auto-120|<tuple|6.16|16>>
    <associate|auto-121|<tuple|6.16|16>>
    <associate|auto-122|<tuple|6.16|16>>
    <associate|auto-123|<tuple|6.16|16>>
    <associate|auto-124|<tuple|6.16|?>>
    <associate|auto-125|<tuple|6.16|?>>
    <associate|auto-126|<tuple|6.16|?>>
    <associate|auto-127|<tuple|6.16|?>>
    <associate|auto-128|<tuple|6.16|?>>
    <associate|auto-129|<tuple|6.16|?>>
    <associate|auto-13|<tuple|6.1.1|2>>
    <associate|auto-130|<tuple|6.16|?>>
    <associate|auto-131|<tuple|6.16|?>>
    <associate|auto-132|<tuple|6.16|?>>
    <associate|auto-133|<tuple|6.16|?>>
    <associate|auto-14|<tuple|2|2>>
    <associate|auto-15|<tuple|2|2>>
    <associate|auto-16|<tuple|3|2>>
    <associate|auto-17|<tuple|3|2>>
    <associate|auto-18|<tuple|4|2>>
    <associate|auto-19|<tuple|4|2>>
    <associate|auto-2|<tuple|6|1>>
    <associate|auto-20|<tuple|5|2>>
    <associate|auto-21|<tuple|6.3|2>>
    <associate|auto-22|<tuple|6.3|2>>
    <associate|auto-23|<tuple|6.3|2>>
    <associate|auto-24|<tuple|6.4|3>>
    <associate|auto-25|<tuple|6.4|3>>
    <associate|auto-26|<tuple|6.4|3>>
    <associate|auto-27|<tuple|6.1.2|3>>
    <associate|auto-28|<tuple|6.1.2|3>>
    <associate|auto-29|<tuple|6.1.2|3>>
    <associate|auto-3|<tuple|6|1>>
    <associate|auto-30|<tuple|6.1.2|3>>
    <associate|auto-31|<tuple|6.3|3>>
    <associate|auto-32|<tuple|6.2|4>>
    <associate|auto-33|<tuple|6.7|5>>
    <associate|auto-34|<tuple|6.7|5>>
    <associate|auto-35|<tuple|6.3|6>>
    <associate|auto-36|<tuple|6.3.1|6>>
    <associate|auto-37|<tuple|6.3.1|6>>
    <associate|auto-38|<tuple|6.3.1|6>>
    <associate|auto-39|<tuple|6.2|6>>
    <associate|auto-4|<tuple|6|1>>
    <associate|auto-40|<tuple|6.2|6>>
    <associate|auto-41|<tuple|6.2|6>>
    <associate|auto-42|<tuple|6.2|6>>
    <associate|auto-43|<tuple|6.2|6>>
    <associate|auto-44|<tuple|6.3|6>>
    <associate|auto-45|<tuple|6.3|6>>
    <associate|auto-46|<tuple|6.3|6>>
    <associate|auto-47|<tuple|6.3|6>>
    <associate|auto-48|<tuple|6.3|6>>
    <associate|auto-49|<tuple|6.3|6>>
    <associate|auto-5|<tuple|6|1>>
    <associate|auto-50|<tuple|6.10|7>>
    <associate|auto-51|<tuple|6.10|7>>
    <associate|auto-52|<tuple|6.3.2|7>>
    <associate|auto-53|<tuple|6.3.2|8>>
    <associate|auto-54|<tuple|6.3.2|8>>
    <associate|auto-55|<tuple|6.3.2|8>>
    <associate|auto-56|<tuple|6.3.2|8>>
    <associate|auto-57|<tuple|6.4|8>>
    <associate|auto-58|<tuple|6.4.1|8>>
    <associate|auto-59|<tuple|6.4.1|8>>
    <associate|auto-6|<tuple|6|1>>
    <associate|auto-60|<tuple|6.4.1|8>>
    <associate|auto-61|<tuple|6.4.1|8>>
    <associate|auto-62|<tuple|6.4.1|9>>
    <associate|auto-63|<tuple|6.4.1|9>>
    <associate|auto-64|<tuple|6.4|9>>
    <associate|auto-65|<tuple|6.4|9>>
    <associate|auto-66|<tuple|6.4|9>>
    <associate|auto-67|<tuple|6.4|9>>
    <associate|auto-68|<tuple|6.4|9>>
    <associate|auto-69|<tuple|6.4|9>>
    <associate|auto-7|<tuple|6|1>>
    <associate|auto-70|<tuple|6.4.2|9>>
    <associate|auto-71|<tuple|6.4.2|9>>
    <associate|auto-72|<tuple|6.4.2|9>>
    <associate|auto-73|<tuple|6.4.2|9>>
    <associate|auto-74|<tuple|6.6|9>>
    <associate|auto-75|<tuple|6.6|9>>
    <associate|auto-76|<tuple|6.6|9>>
    <associate|auto-77|<tuple|6.6|9>>
    <associate|auto-78|<tuple|6.6|9>>
    <associate|auto-79|<tuple|6.6|9>>
    <associate|auto-8|<tuple|6.1|2>>
    <associate|auto-80|<tuple|6.6|9>>
    <associate|auto-81|<tuple|6.6|9>>
    <associate|auto-82|<tuple|6.6|10>>
    <associate|auto-83|<tuple|6.6|10>>
    <associate|auto-84|<tuple|6.6|10>>
    <associate|auto-85|<tuple|6.6|10>>
    <associate|auto-86|<tuple|6.4.3|10>>
    <associate|auto-87|<tuple|6.4.3|10>>
    <associate|auto-88|<tuple|6.4.3|10>>
    <associate|auto-89|<tuple|6.4.3|10>>
    <associate|auto-9|<tuple|6.1.1|2>>
    <associate|auto-90|<tuple|6.4.3|10>>
    <associate|auto-91|<tuple|6.4.3|10>>
    <associate|auto-92|<tuple|6.4.3|10>>
    <associate|auto-93|<tuple|6.4.3|10>>
    <associate|auto-94|<tuple|6.4.3|10>>
    <associate|auto-95|<tuple|2|10>>
    <associate|auto-96|<tuple|6.1|10>>
    <associate|auto-97|<tuple|6.5|11>>
    <associate|auto-98|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-99|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|comp-fig|<tuple|6.1|10>>
    <associate|der-series-ex|<tuple|6.3|3>>
    <associate|frac-iterate-ex|<tuple|6.4|?>>
    <associate|gbop|<tuple|6|1>>
    <associate|gbop-subst-ex|<tuple|6.1|3>>
    <associate|gly-1|<tuple|6.1|?>>
    <associate|gly-2|<tuple|6.2|?>>
    <associate|grop-asym-dec|<tuple|6.6|10>>
    <associate|grop-hom-dec|<tuple|6.4|9>>
    <associate|grop-hom-unique|<tuple|6.9|6>>
    <associate|grop-ifth-1|<tuple|6.13|12>>
    <associate|grop-ifth-2|<tuple|6.14|13>>
    <associate|grop-ifth-3|<tuple|6.15|13>>
    <associate|grop-iter-fig|<tuple|6.2|12>>
    <associate|grop-main|<tuple|6.2|6>>
    <associate|grop-mv-comp|<tuple|6.3.2|7>>
    <associate|grop-sec|<tuple|6.3|6>>
    <associate|grop-simple|<tuple|6.3|6>>
    <associate|grop-ssum|<tuple|6.4.1|8>>
    <associate|grop-sym-dec|<tuple|6.10|7>>
    <associate|impl-eq|<tuple|6.7|11>>
    <associate|impl-func-th-sec|<tuple|6.5|11>>
    <associate|impl-supp-bound|<tuple|6.8|12>>
    <associate|ml-grop-sec|<tuple|6.1|2>>
    <associate|noethop-comp|<tuple|6.3.2|8>>
    <associate|osupp-form|<tuple|6.1|3>>
    <associate|stens-prod|<tuple|6.6|4>>
    <associate|stens-prod-sec|<tuple|6.2|4>>
    <associate|toc-1|<tuple|6|?>>
    <associate|toc-10|<tuple|6.4.1|?>>
    <associate|toc-11|<tuple|6.4.2|?>>
    <associate|toc-12|<tuple|6.4.3|?>>
    <associate|toc-13|<tuple|6.5|?>>
    <associate|toc-14|<tuple|6.5.1|?>>
    <associate|toc-15|<tuple|6.5.2|?>>
    <associate|toc-16|<tuple|6.5.3|?>>
    <associate|toc-17|<tuple|6.6|?>>
    <associate|toc-18|<tuple|6.7|?>>
    <associate|toc-19|<tuple|6.7|?>>
    <associate|toc-2|<tuple|6.1|?>>
    <associate|toc-3|<tuple|6.1.1|?>>
    <associate|toc-4|<tuple|6.1.2|?>>
    <associate|toc-5|<tuple|6.2|?>>
    <associate|toc-6|<tuple|6.3|?>>
    <associate|toc-7|<tuple|6.3.1|?>>
    <associate|toc-8|<tuple|6.3.2|?>>
    <associate|toc-9|<tuple|6.4|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|figure>
      <\tuple|normal>
        <label|comp-fig>Combinatorial interpretation of the composition of
        atomic operators.
      </tuple|<pageref|auto-96>>

      <\tuple|normal>
        <label|grop-iter-fig>Illustration of a member of
        <with|mode|<quote|math>|\<cal-B\><rsub|3>>. The white dots correspond
        to elements of <with|mode|<quote|math>|\<frak-M\>> and the black dots
        to elements of <with|mode|<quote|math>|\<frak-N\>>. The light boxes
        belong to <with|mode|<quote|math>|\<cal-A\>> and the dark ones to
        <with|mode|<quote|math>|\<cal-D\><rsub|\<frak-N\>>>.
      </tuple|<pageref|auto-111>>
    </associate>
    <\associate|gly>
      <tuple|<vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|Chapter
      6. Grid-based operators><vspace|1fn>>

      <tuple|normal|<with|mode|<quote|math>|\<Psi\>\<circ\>(\<Phi\><rsub|1>,\<ldots\>,\<Phi\><rsub|n>)>|composition
      of multilinear grid-based operators|<pageref|auto-23>>

      <tuple|normal|<with|mode|<quote|math>|supp \<Phi\>>|operator support of
      <with|mode|<quote|math>|\<Phi\>>|<pageref|auto-30>>

      <tuple|normal|<with|mode|<quote|math>|<with|math-font|<quote|cal*>|D><rsub|\<bbb-T\><rsub|\<precprec\>\<mathe\><rsup|x>>>,<with|math-font|<quote|cal*>|D><rsub|\<bbb-T\><rsub|\<precpreceq\>\<mathe\><rsup|x>>>>|space
      of operators of the form <with|mode|<quote|math>|<big|sum><rsub|n\<in\>\<bbb-N\>>L<rsub|n>*\<partial\><rsup|n>>
      on <with|mode|<quote|math>|\<bbb-T\><rsub|\<precprec\>\<mathe\><rsup|x>>>
      <group|resp.> <with|mode|<quote|math>|\<bbb-T\><rsub|\<precpreceq\>\<mathe\><rsup|x>>>|<pageref|auto-31>>

      <tuple|normal|<with|mode|<quote|math>|\<Phi\><rsub|i>>|homogeneous part
      of grid-based operator <with|mode|<quote|math>|\<Phi\>> of degree
      <with|mode|<quote|math>|i>|<pageref|auto-44>>

      <tuple|normal|<with|mode|<quote|math>|\<Psi\>\<circ\>\<Phi\>>|composition
      of grid-based operators <with|mode|<quote|math>|\<Psi\>> and
      <with|mode|<quote|math>|\<Phi\>>|<pageref|auto-53>>

      <tuple|normal|<with|mode|<quote|math>|<with|math-font|<quote|cal*>|L>(M<rsub|1>,\<ldots\>,M<rsub|m>,N)>|space
      of strongly multilinear operators of
      <with|mode|<quote|math>|M<rsub|1>\<times\>\<cdots\>\<times\>M<rsub|m>>
      into <with|mode|<quote|math>|N>|<pageref|auto-59>>

      <tuple|normal|<with|mode|<quote|math>|<with|math-font|<quote|cal*>|G>(C<with|math-font-family|<quote|mt>|[<space|-0.6spc>[>\<frak-M\><with|math-font-family|<quote|mt>|]<space|-0.6spc>]>,C<with|math-font-family|<quote|mt>|[<space|-0.6spc>[>\<frak-N\><with|math-font-family|<quote|mt>|]<space|-0.6spc>]>)>|space
      of grid-based operators from <with|mode|<quote|math>|C<with|math-font-family|<quote|mt>|[<space|-0.6spc>[>\<frak-M\><with|math-font-family|<quote|mt>|]<space|-0.6spc>]>>
      into <with|mode|<quote|math>|C<with|math-font-family|<quote|mt>|[<space|-0.6spc>[>\<frak-N\><with|math-font-family|<quote|mt>|]<space|-0.6spc>]>>|<pageref|auto-61>>

      <tuple|normal|<with|mode|<quote|math>|\<Omega\><rsub|\<frak-m\><rsub|1>,\<ldots\>,\<frak-m\><rsub|m>,\<frak-n\>>>|atomic
      <with|mode|<quote|math>|m>-linear grid-based
      operator|<pageref|auto-71>>

      <tuple|normal|<with|mode|<quote|math>|\|\<alpha\>\|>|arity of an atomic
      operator <with|mode|<quote|math>|\<alpha\>>|<pageref|auto-87>>

      <tuple|normal|<with|mode|<quote|math>|\<frak-i\><rsub|\<alpha\>,1>,\<ldots\>,\<frak-i\><rsub|\<alpha\>,\|\<alpha\>\|>>|inputs
      of an atomic operator <with|mode|<quote|math>|\<alpha\>>|<pageref|auto-90>>

      <tuple|normal|<with|mode|<quote|math>|\<frak-o\><rsub|\<alpha\>>>|output
      of an atomic operator <with|mode|<quote|math>|\<alpha\>>|<pageref|auto-93>>

      <tuple|normal|<with|mode|<quote|math>|\<cal-D\><rsub|\<frak-M\>>>|atomic
      decomposition of the identity operator on
      <with|mode|<quote|math>|C<with|math-font-family|<quote|mt>|[<space|-0.6spc>[>\<frak-M\><with|math-font-family|<quote|mt>|]<space|-0.6spc>]>>|<pageref|auto-94>>

      <tuple|normal|<with|mode|<quote|math>|\<cal-A\>\<circ\>\<cal-B\>>|composition
      of atomic families <with|mode|<quote|math>|\<cal-A\>> and
      <with|mode|<quote|math>|\<cal-B\>>|<pageref|auto-95>>
    </associate>
    <\associate|idx>
      <tuple|<tuple|grid-based|algebra>|<pageref|auto-2>>

      <tuple|<tuple|monomial|monoid>|<pageref|auto-3>>

      <tuple|<tuple|monoid|monomial>|<pageref|auto-4>>

      <tuple|<tuple|monomial|set>|<pageref|auto-5>>

      <tuple|<tuple|set|monomial>|<pageref|auto-6>>

      <tuple|<tuple|grid-based|module>|<pageref|auto-7>>

      <tuple|<tuple|multilinear|strongly>|<pageref|auto-10>>

      <tuple|<tuple|strong|multilinear mapping>|<pageref|auto-11>>

      <tuple|<tuple|multilinear|grid-based operator>|<pageref|auto-12>>

      <tuple|<tuple|grid-based|operator|multilinear>|<pageref|auto-13>>

      <tuple|<tuple|strong|derivation>|<pageref|auto-14>>

      <tuple|<tuple|derivation|strong>|<pageref|auto-15>>

      <tuple|<tuple|strong|integration>|<pageref|auto-16>>

      <tuple|<tuple|integration|strong>|<pageref|auto-17>>

      <tuple|<tuple|strong|difference operator>|<pageref|auto-18>>

      <tuple|<tuple|difference operator|strong>|<pageref|auto-19>>

      <tuple|<tuple|strong|summation operator>|<pageref|auto-20>>

      <tuple|<tuple|composition|multilinear grid-based
      operator>|<pageref|auto-21>>

      <tuple|<tuple|multilinear|grid-based
      operator|composition>|<pageref|auto-22>>

      <tuple|<tuple|strong|differential operator>|<pageref|auto-24>>

      <tuple|<tuple|differential|strong <with|font|<quote|roman>|\V>
      operator>|<pageref|auto-25>>

      <tuple|<tuple|operator|strong differential>|<pageref|auto-26>>

      <tuple|<tuple|operator|support>|<pageref|auto-28>>

      <tuple|<tuple|support|operator>|<pageref|auto-29>>

      <tuple|<tuple|strong|tensor product>|<pageref|auto-33>>

      <tuple|<tuple|tensor product|strong>|<pageref|auto-34>>

      <tuple|<tuple|grid-based|operator>|<pageref|auto-37>>

      <tuple|<tuple|operator|grid-based>|<pageref|auto-38>>

      <tuple|<tuple|multilinear|family for grid-based
      operator>|<pageref|auto-39>>

      <tuple|<tuple|grid-based|operator|multilinear family for
      <with|font|<quote|roman>|\V>>|<pageref|auto-40>>

      <tuple|<tuple|operator|grid-based|multilinear family for
      <with|font|<quote|roman>|\V>>|<pageref|auto-41>>

      <tuple|<tuple|Taylor series>|<pageref|auto-42>>

      <tuple|<tuple|series|Taylor>|<pageref|auto-43>>

      <tuple|<tuple|grid-based|operator|homogeneous part>|<pageref|auto-45>>

      <tuple|<tuple|operator|grid-based|homogeneous part>|<pageref|auto-46>>

      <tuple|<tuple|homogeneous|part|grid-based operator>|<pageref|auto-47>>

      <tuple|<tuple|homogeneous|part>|<pageref|auto-48>>

      <tuple|<tuple|part|homogeneous>|<pageref|auto-49>>

      <tuple|<tuple|operator|support>|<pageref|auto-50>>

      <tuple|<tuple|support|operator>|<pageref|auto-51>>

      <tuple|<tuple|composition|grid-based operator>|<pageref|auto-54>>

      <tuple|<tuple|grid-based|operator|composition>|<pageref|auto-55>>

      <tuple|<tuple|operator|grid-based|composition>|<pageref|auto-56>>

      <tuple|<tuple|multilinear|grid-based operator|summable
      family>|<pageref|auto-60>>

      <tuple|<tuple|Taylor series>|<pageref|auto-62>>

      <tuple|<tuple|series|Taylor>|<pageref|auto-63>>

      <tuple|<tuple|homogeneous|part|decomposition into
      <with|font|<quote|roman>|\V>s>|<pageref|auto-64>>

      <tuple|<tuple|part|homogeneous|decomposition into
      <with|font|<quote|roman>|\V>s>|<pageref|auto-65>>

      <tuple|<tuple|decomposition|into homogeneous parts>|<pageref|auto-66>>

      <tuple|<tuple|grid-based|operator|decomposition|homogeneous
      parts>|<pageref|auto-67>>

      <tuple|<tuple|operator|grid-based|decomposition|homogeneous
      parts>|<pageref|auto-68>>

      <tuple|<tuple|homogeneous|part|grid-based operator>|<pageref|auto-69>>

      <tuple|<tuple|atomic|operator>|<pageref|auto-72>>

      <tuple|<tuple|operator|atomic>|<pageref|auto-73>>

      <tuple|<tuple|atomic|decomposition>|<pageref|auto-74>>

      <tuple|<tuple|decomposition|atomic>|<pageref|auto-75>>

      <tuple|<tuple|grid-based|operator|decomposition|atomic>|<pageref|auto-76>>

      <tuple|<tuple|operator|grid-based|decomposition|atomic>|<pageref|auto-77>>

      <tuple|<tuple|atomic|family>|<pageref|auto-78>>

      <tuple|<tuple|family|atomic>|<pageref|auto-79>>

      <tuple|<tuple|atomic|operator|symmetric>|<pageref|auto-80>>

      <tuple|<tuple|operator|atomic|symmetric>|<pageref|auto-81>>

      <tuple|<tuple|atomic|decomposition|symmetric>|<pageref|auto-82>>

      <tuple|<tuple|decomposition|atomic|symmetric>|<pageref|auto-83>>

      <tuple|<tuple|grid-based|operator|decomposition|symmetric
      atomic>|<pageref|auto-84>>

      <tuple|<tuple|operator|grid-based|decomposition|symmetric
      atomic>|<pageref|auto-85>>

      <tuple|<tuple|atomic|operator|input>|<pageref|auto-88>>

      <tuple|<tuple|operator|atomic|input>|<pageref|auto-89>>

      <tuple|<tuple|atomic|operator|output>|<pageref|auto-91>>

      <tuple|<tuple|operator|atomic|output>|<pageref|auto-92>>

      <tuple|<tuple|grid-based|operator|strictly
      extensive>|<pageref|auto-98>>

      <tuple|<tuple|operator|grid-based|strictly
      extensive>|<pageref|auto-99>>

      <tuple|<tuple|extensive|strictly <with|font|<quote|roman>|\V>
      operator>|<pageref|auto-100>>

      <tuple|<tuple|grid-based|operator|extensive>|<pageref|auto-101>>

      <tuple|<tuple|operator|grid-based|extensive>|<pageref|auto-102>>

      <tuple|<tuple|extensive|grid-based operator>|<pageref|auto-103>>

      <tuple|<tuple|grid-based|operator|with multipliers in
      <with|mode|<quote|math>|\<frak-E\>>>|<pageref|auto-104>>

      <tuple|<tuple|operator|grid-based|with multipliers in
      <with|mode|<quote|math>|\<frak-E\>>>|<pageref|auto-105>>

      <tuple|<tuple|multipliers|grid-based operator with
      <with|font|<quote|roman>|\V> in <with|mode|<quote|math>|\<frak-E\>>>|<pageref|auto-106>>

      <tuple|<tuple|grid-based|operator|contracting>|<pageref|auto-107>>

      <tuple|<tuple|operator|grid-based|contracting>|<pageref|auto-108>>

      <tuple|<tuple|contracting operator>|<pageref|auto-109>>

      <tuple|<tuple|multilinear|type>|<pageref|auto-115>>

      <tuple|<tuple|grid-based|operator|of type
      <with|mode|<quote|math>|<with|math-font|<quote|cal*>|T>>>|<pageref|auto-116>>

      <tuple|<tuple|operator|grid-based|of type
      <with|mode|<quote|math>|<with|math-font|<quote|cal*>|T>>>|<pageref|auto-117>>

      <tuple|<tuple|grid-based|operator|differential>|<pageref|auto-118>>

      <tuple|<tuple|operator|grid-based|differential>|<pageref|auto-119>>

      <tuple|<tuple|differential|grid-based operator>|<pageref|auto-120>>

      <tuple|<tuple|grid-based|operator|integral>|<pageref|auto-121>>

      <tuple|<tuple|operator|grid-based|integral>|<pageref|auto-122>>

      <tuple|<tuple|integral|grid-based operator>|<pageref|auto-123>>
    </associate>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|font-shape|<quote|small-caps>|6.<space|2spc>Grid-based
      operators> <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-1><vspace|0.5fn>

      6.1.<space|2spc>Multilinear grid-based operators
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-8>

      <with|par-left|<quote|1.5fn>|6.1.1.<space|2spc>Multilinear grid-based
      operators <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-9>>

      <with|par-left|<quote|1.5fn>|6.1.2.<space|2spc>Operator supports
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-27>>

      6.2.<space|2spc>Strong tensor products
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-32>

      6.3.<space|2spc>Grid-based operators
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-35>

      <with|par-left|<quote|1.5fn>|6.3.1.<space|2spc>Definition and
      characterization <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-36>>

      <with|par-left|<quote|1.5fn>|6.3.2.<space|2spc>Multivariate grid-based
      operators and compositions <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-52>>

      6.4.<space|2spc>Atomic decompositions
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-57>

      <with|par-left|<quote|1.5fn>|6.4.1.<space|2spc>The space of grid-based
      operators <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-58>>

      <with|par-left|<quote|1.5fn>|6.4.2.<space|2spc>Atomic decompositions
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-70>>

      <with|par-left|<quote|1.5fn>|6.4.3.<space|2spc>Combinatorial
      interpretation of atomic families <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-86>>

      6.5.<space|2spc>Implicit function theorems
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-97>

      <with|par-left|<quote|1.5fn>|6.5.1.<space|2spc>The first implicit
      function theorem <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-110>>

      <with|par-left|<quote|1.5fn>|6.5.2.<space|2spc>The second implicit
      function theorem <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-112>>

      <with|par-left|<quote|1.5fn>|6.5.3.<space|2spc>The third implicit
      function theorem <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-113>>

      6.6.<space|2spc>Multilinear types <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-114>
    </associate>
  </collection>
</auxiliary>