<TeXmacs|1.0.4.4>

<project|ln.tp>

<style|tmbook>

<\body>
  <chapter*|Foreword><assign|chapter-nr|8>

  Transseries find their origin in at least three different areas of
  mathematics: analysis, model theory and computer algebra. They play a
  crucial role in calle's proof of Dulac's conjecture, which is closely
  related to Hilbert's 16-th problem.

  I personally became interested in transseries because they provide an
  excellent framework for automating asymptotic calculus. While developing
  several algorithms for computing asymptotic expansions of solutions to
  non-linear differential equations, it turned out that still a lot of
  theoretic work on transseries had to be done. This lead to part A of my
  thesis. The aim of the present book is to make this work accessible for
  non-specialists. The book is self-contained and many exercises have been
  included for further studies. I hope that it will be suitable for both
  graduate students and professional mathematicians. In the later chapters, a
  very elementary background in differential algebra may be helpful.

  The book focuses on that part of the theory which should be of common
  interest for mathematicians working in analysis, model theory or computer
  algebra. In comparison with my thesis, the exposition has been restricted
  to the theory of grid-based transseries, which is sufficiently general for
  solving differential equations, but less general than the well-based
  setting. On the other hand, I included a more systematic theory of ``strong
  linear algebra'', in order to deal with infinite summations. As an
  illustration of the different techniques in this book, I <no-break>also
  added a proof of the ``differential intermediate value theorem''.

  We have chosen not to include any developments of specific interest to one
  of the areas mentioned above, even though the exercises occasionally
  provide some hints. People interested in the accelero-summation of
  divergent transseries are invited to read calle's work. Part B of my
  thesis contains effective counterparts of the theoretical algorithms in
  this book and work is in progress on the analytic counterparts. The model
  theoretic aspects are currently under development in a joint project with
  Matthias Aschenbrenner and Lou van den Dries.

  Finally, it should be noticed that the current version of the book is only
  a preprint. The book has been submitted for inclusion in Springer's lecture
  note series in mathematics. An improved version will be available later.

  \;

  \;

  \;

  <htab|5mm>Joris van der Hoeven

  <htab|5mm>Chevreuse 1999--2004
</body>

<\initial>
  <\collection>
    <associate|font-base-size|12>
    <associate|page-show-hf|true>
    <associate|par-hyphen|professional>
    <associate|window height|1190400>
    <associate|window width|997120>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|Dpol-cut-th|<tuple|9.28|22>>
    <associate|Npol-cut-sign|<tuple|9.29|23>>
    <associate|PRic-equiv|<tuple|9.25|23>>
    <associate|Pccut-eqiiv-2|<tuple|9.23|?>>
    <associate|Pcut-equiv|<tuple|9.23|22>>
    <associate|Pcut-equiv-2|<tuple|9.26|23>>
    <associate|Pcut-equiv-bis|<tuple|9.24|22>>
    <associate|Pcut-equiv-bis-2|<tuple|9.27|23>>
    <associate|Ricc-sign|<tuple|9.31|24>>
    <associate|alt-compact-asrel|<tuple|9.13|10>>
    <associate|auto-1|<tuple|<uninit>|1>>
    <associate|auto-10|<tuple|1|6>>
    <associate|auto-11|<tuple|2|7>>
    <associate|auto-12|<tuple|3|7>>
    <associate|auto-13|<tuple|9.3|7>>
    <associate|auto-14|<tuple|9.3.1|8>>
    <associate|auto-15|<tuple|9.3.2|8>>
    <associate|auto-16|<tuple|9.3.3|9>>
    <associate|auto-17|<tuple|9.3.4|9>>
    <associate|auto-18|<tuple|9.3.5|10>>
    <associate|auto-19|<tuple|9.4|11>>
    <associate|auto-2|<tuple|1|2>>
    <associate|auto-20|<tuple|9.4.1|11>>
    <associate|auto-21|<tuple|9.4.2|12>>
    <associate|auto-22|<tuple|9.4.3|14>>
    <associate|auto-23|<tuple|9.4.4|16>>
    <associate|auto-24|<tuple|9.5|16>>
    <associate|auto-25|<tuple|9.5.1|17>>
    <associate|auto-26|<tuple|9.5.2|18>>
    <associate|auto-27|<tuple|9.5.3|19>>
    <associate|auto-28|<tuple|9.5.4|20>>
    <associate|auto-29|<tuple|9.6|20>>
    <associate|auto-3|<tuple|9.1|2>>
    <associate|auto-30|<tuple|9.6.1|21>>
    <associate|auto-31|<tuple|9.6.2|22>>
    <associate|auto-32|<tuple|9.6.3|22>>
    <associate|auto-33|<tuple|9.6.4|23>>
    <associate|auto-34|<tuple|9.6.5|24>>
    <associate|auto-35|<tuple|9.7|25>>
    <associate|auto-36|<tuple|9.7.1|26>>
    <associate|auto-37|<tuple|9.7.2|27>>
    <associate|auto-38|<tuple|9.7.3|28>>
    <associate|auto-39|<tuple|9.8|?>>
    <associate|auto-4|<tuple|9.1.1|3>>
    <associate|auto-5|<tuple|9.1.2|3>>
    <associate|auto-6|<tuple|9.1.3|5>>
    <associate|auto-7|<tuple|9.2|5>>
    <associate|auto-8|<tuple|9.2.1|6>>
    <associate|auto-9|<tuple|9.2.2|6>>
    <associate|comp-int-ex|<tuple|9.4|7>>
    <associate|compact-can-dec|<tuple|9.21|16>>
    <associate|compact-order-sec|<tuple|9.1|2>>
    <associate|compact-ordfield-sec|<tuple|9.2|5>>
    <associate|compact-ser-sec|<tuple|9.3|7>>
    <associate|compact-ts-sec|<tuple|9.4|10>>
    <associate|compactify-functor|<tuple|9.2.1|5>>
    <associate|compactify-interval|<tuple|9.8|6>>
    <associate|compactify-map|<tuple|9.6|5>>
    <associate|cst-Li-nbh|<tuple|9.21|18>>
    <associate|cst-sign-1|<tuple|9.28|23>>
    <associate|cst-sign-4|<tuple|9.31|23>>
    <associate|cst-sign-prop|<tuple|9.23|20>>
    <associate|cut-classify|<tuple|9.15|12>>
    <associate|cut-unrav|<tuple|9.22|21>>
    <associate|diag-exp|<tuple|9.12|12>>
    <associate|diag-exp-fin|<tuple|9.11|12>>
    <associate|diff-pol-cut-sec|<tuple|9.6|20>>
    <associate|dist-unrav-finest|<tuple|9.22|?>>
    <associate|dpol-near-cst|<tuple|9.25|21>>
    <associate|dpol-near-cst-2|<tuple|9.26|21>>
    <associate|dpol-near-nested|<tuple|9.27|22>>
    <associate|dpol-near-serial|<tuple|9.24|20>>
    <associate|exp-comp-prop|<tuple|9.14|11>>
    <associate|f-delta-rec|<tuple|9.20|15>>
    <associate|fi-nested-exp|<tuple|9.19|13>>
    <associate|init-opposite|<tuple|9.6|8>>
    <associate|init-sum|<tuple|9.7|8>>
    <associate|int-decomp|<tuple|9.1|2>>
    <associate|integral-nbh-sec|<tuple|9.5|16>>
    <associate|intersec-shift-inv|<tuple|9.19|15>>
    <associate|iv-th|<tuple|9.32|24>>
    <associate|ivt-Npol|<tuple|9.36|26>>
    <associate|ivt-longest-unrav|<tuple|9.33|27>>
    <associate|ivt-npol|<tuple|9.35|?>>
    <associate|ivt-ql|<tuple|9.32|25>>
    <associate|ivt-refine|<tuple|9.37|26>>
    <associate|ivt-th|<tuple|9.31|?>>
    <associate|mod-iv-th|<tuple|9.33|24>>
    <associate|nested-props|<tuple|9.18|14>>
    <associate|nested-seq-props|<tuple|9.16|12>>
    <associate|nexp-C|<tuple|9.16|12>>
    <associate|nexp-Mho|<tuple|9.14|12>>
    <associate|nexp-classic|<tuple|9.13|12>>
    <associate|nexp-compl|<tuple|9.17|12>>
    <associate|nexp-expo|<tuple|9.15|12>>
    <associate|nexp-inf|<tuple|9.18|12>>
    <associate|psi-bar-rel|<tuple|9.9|11>>
    <associate|serial-cut-eq|<tuple|9.8|9>>
    <associate|serial-cut-prop|<tuple|9.13|9>>
    <associate|toc-1|<tuple|9|1>>
    <associate|toc-10|<tuple|9.2.2|5>>
    <associate|toc-11|<tuple|9.2.2|6>>
    <associate|toc-12|<tuple|9.3|6>>
    <associate|toc-13|<tuple|9.3.1|6>>
    <associate|toc-14|<tuple|9.3.2|7>>
    <associate|toc-15|<tuple|9.3.3|7>>
    <associate|toc-16|<tuple|9.3.4|8>>
    <associate|toc-17|<tuple|9.3.5|8>>
    <associate|toc-18|<tuple|9.4|9>>
    <associate|toc-19|<tuple|9.4.1|10>>
    <associate|toc-2|<tuple|9.1|1>>
    <associate|toc-20|<tuple|9.4.2|10>>
    <associate|toc-21|<tuple|9.4.3|11>>
    <associate|toc-22|<tuple|9.4.4|13>>
    <associate|toc-23|<tuple|9.5|15>>
    <associate|toc-24|<tuple|9.5.1|15>>
    <associate|toc-25|<tuple|9.5.2|16>>
    <associate|toc-26|<tuple|9.5.3|17>>
    <associate|toc-27|<tuple|9.5.4|18>>
    <associate|toc-28|<tuple|9.6|19>>
    <associate|toc-29|<tuple|9.6.1|19>>
    <associate|toc-3|<tuple|9.1.1|1>>
    <associate|toc-30|<tuple|9.6.2|19>>
    <associate|toc-31|<tuple|9.6.3|20>>
    <associate|toc-32|<tuple|9.6.4|20>>
    <associate|toc-33|<tuple|9.6.5|21>>
    <associate|toc-34|<tuple|9.7|22>>
    <associate|toc-35|<tuple|9.7.1|22>>
    <associate|toc-36|<tuple|9.7.2|22>>
    <associate|toc-37|<tuple|9.7.3|22>>
    <associate|toc-38|<tuple|9.8|22>>
    <associate|toc-39|<tuple|9.9|?>>
    <associate|toc-4|<tuple|9.1.2|1>>
    <associate|toc-40|<tuple|9.10|?>>
    <associate|toc-41|<tuple|9.11|?>>
    <associate|toc-5|<tuple|9.1.3|2>>
    <associate|toc-6|<tuple|9.2|4>>
    <associate|toc-7|<tuple|9.2.1|4>>
    <associate|toc-8|<tuple|9.2.2|5>>
    <associate|toc-9|<tuple|9.2.2|5>>
    <associate|tr-cut-class-sec|<tuple|9.4.2|11>>
    <associate|width-opposite|<tuple|9.4|8>>
    <associate|width-sum|<tuple|9.5|8>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|font-shape|<quote|small-caps>|Foreword>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-1><vspace|0.5fn>
    </associate>
  </collection>
</auxiliary>