<TeXmacs|1.0.5.7>

<project|/home/alv/I2P/I2P.tm>

<style|<tuple|book|Dbasic|Qbasic|alv|diploma>>

<\body>
  <chapter|Results and discussion><label|chp:results>

  The purpose of this chapter is to provide a physical analysis of the count
  rate formulas obtained in the previous chapter. The results for one
  particle are presented in the first section, where we quickly set aside the
  two simple effects of interference in time and interference between paths
  to concentrate on <em|path-time interference>. The second section discusses
  the two-time count rate and how it manifests the entanglement of the input
  state.

  Throughout the chapter <with|mode|math|\<tau\>> is taken large enough to
  make the overlap <with|mode|math|\<eta\><rsub|s>> between the early and
  late components of the input superposition negligible, so that the
  normalisation factors <with|mode|math|n<rsub|\<tau\>>> of
  Eq.<nbsp>(<reference|eq:normfactor-1p-superposition>) and
  <with|mode|math|N<rsub|\<tau\>>> of (<reference|eq:normfactor-2p-superposition>)
  are equal to <with|mode|math|1/2> with good approximation.

  Since we are operating in the frame of the one-dimensional model (Section
  <reference|sec:one-dimension>) and only with the interferometer output of
  port 1 (Section <reference|sec:direct-interferometer>) the input state must
  have a well defined sign of momentum. Therefore in all the plots of this
  chapter we take the average momentum <with|mode|math|p<rsub|g>> much larger
  than the width <with|mode|math|\<sigma\><rsub|p>>.

  The graphics presented below correspond to the one- and two-time count
  rates given respectively by Equations (<reference|eq:count-rate-1p-sumtraces>)
  and (<reference|eq:coincidence-count-as-sumover-trace-product>) in terms of
  the early and late contributions (<reference|eq:cij-contribution-earlyandlate>)
  and the interference contributions (<reference|eq:contribution-count-h-a>).
  The full expressions for the two-particle case, where all the products
  between the hermitian and anti-hermitian terms of
  Eq.<nbsp>(<reference|eq:coincidence-count-as-sumover-trace-product>) are
  involved, are too long to fit in one page and do not provide one with new
  insights.

  <section|One-particle path-time interference><label|sec:one-particle-path-time>

  A convenient choice for the graphical representation of the count rates is
  a density plot in which the scaled detection time
  <with|mode|math|t/<gc|t><rsup|\<sigma\>>> is given by the abscissa and the
  scaled path difference <with|mode|math|\<ell\>/\<sigma\><rsub|x>> by the
  ordinate.\ 

  We examine first, in Fig. <reference|fig:crate-lt-50-20-predictable>, the
  limiting case in which the interferometer is completely predictable, i.e.
  when <with|mode|math|\<cal-P\>=\<pm\>1>, cf. Sec.
  <reference|sec:dispersionless-model>. For reference, it may be useful to
  consider again the Fig.<nbsp><reference|fig:predictability-wf> on page
  <pageref|fig:predictability-wf> describing how the predictability
  influences the shape of the output Wigner function. <\float|float|t>
    <\big-figure|<postscript|fig/crate-lt-tau50-predminusone.eps|*5/6|||||><space|1.2spc><postscript|fig/crate-lt-tau50-predplusone.eps|*5/6|||||>>
      <label|fig:crate-lt-50-20-predictable>Count rate as a function of the
      scaled detection time <with|mode|math|t/<gc|t><rsup|\<sigma\>>>
      (absciss) and the scaled path-length difference in the interferometer
      <with|mode|math|\<ell\>/\<sigma\><rsub|x>> (ordinates). The count rate
      is proportional to the shade. The outcome is represented on the left
      for an interferometer with <with|mode|math|\<cal-P\>=\<um\>1> (long
      path taken with certainty) and on the right for
      <with|mode|math|\<cal-P\>=1> (short path taken with certainty). The
      one-particle time-superposed input state is composed of two gaussians
      with <with|mode|math|<group|\<sigma\><rsub|p>/p<rsub|g>=1/20>> delayed
      by <with|mode|math|\<tau\>/<gc|t><rsup|\<sigma\>>=50>. (The initial
      basic gaussian is centred at <with|mode|math|x<rsub|g>/\<sigma\><rsub|x>=\<um\>80>,
      the interferometer is placed at the origin and the detector at
      <with|mode|math|c=100>.)
    </big-figure>
  </float>

  The left side of Fig.<nbsp><reference|fig:crate-lt-50-20-predictable> shows
  the count rate for a value <with|mode|math|\<cal-P\>=\<um\>1> of the signed
  predictability, which corresponds to particles taking the long path with
  certainty. The count rate exhibits contributions along only two lines or
  ``ridges'', each corresponding to one of the time components, early and
  late. The early component has an in-flight time
  <with|mode|math|t<rsub|2>=t+\<tau\>> which according to
  Eq.<nbsp>(<reference|eq:cij-contribution-earlyandlate>) must match the
  estimated time of arrival <with|mode|math|<gc|t><rsup|i=\<ell\>>>,\ 

  <\equation>
    <gc|t><rsup|\<ell\>>=<frac|m*<gc|x><rsup|\<ell\>>|p<rsub|g>>=<frac|m*(c<rsup|\<ell\>>-x<rsub|g>)|p<rsub|g>>=<frac|m*(c-x<rsub|g>)|p<rsub|g>>+<frac|m*\<ell\>|p<rsub|g>>=<space|-0.6spc>:<gc|t><rsub|s>+\<delta\>t<rsub|\<ell\>><label|eq:arrival-time-tsupl>
  </equation>

  Here the expected time of arrival has been separated into two parts, the
  one due to the spatial separation of state and detector in absence of the
  interferometer, <with|mode|math|<gc|t><rsub|s>>, and the time difference
  introduced by the interferometer traversal,
  <with|mode|math|\<delta\>t<rsub|\<ell\>>>. In terms of these quantities the
  expected detection time for each of the components is

  <\eqnarray*>
    <tformat|<table|<row|<cell|<htab|5mm>t<rsub|early-long>>|<cell|=>|<cell|<gc|t><rsub|s>+\<delta\>t<rsub|\<ell\>>-\<tau\>,>>|<row|<cell|<htab|5mm>t<rsub|late-long>>|<cell|=>|<cell|<gc|t><rsub|s>+\<delta\>t<rsub|\<ell\>>.>>>>
  </eqnarray*>

  Hence the slope of the lines is due to the function
  <with|mode|math|\<delta\>t<rsub|\<ell\>>>, and it is equal to one in the
  units of the Fig.<nbsp><reference|fig:crate-lt-50-20-predictable>, which
  will be used throughout the chapter. The overall shape of the count rate as
  a function of time for any of these components is almost gaussian, although
  with differing widths owing to the higher dispersion in the late component.
  Since the unit of time in the diagram is the temporal dispersion
  <with|mode|math|<gc|t><rsup|\<sigma\>>>, the width is given only by the
  broadening factor <with|mode|math|\<zeta\><rsub|t<rsub|j>>>. For the times
  involved, the linearisation of the broadening is a good approximation

  <\equation*>
    \<zeta\><rsub|t<rsub|j>>\<simeq\><frac|t<rsub|j>|<gc|t><rsup|\<sigma\>>>*<frac|\<sigma\><rsub|p>|p<rsub|g>><htab|5mm><with|mode|text|(if
    <with|mode|math|t<rsub|j>\<gg\><gc|t><rsub|\<zeta\>>>)>
  </equation*>

  and yields values in the range from <with|mode|math|5> for the early
  component to about 9 for the late one.

  An important feature shows up in the form of fine fringes between the two
  main ridges, and is especially evident in the
  <with|mode|math|\<cal-P\>=\<um\>1> (long arm) plot. The fringes are
  manifestations of the time interference between the two components of the
  superposition, depicted in phase space in
  Fig.<nbsp><reference|fig:1p-time-sup-state> of the previous chapter. They
  are modulated by the same exponential of the ridges in
  Eq.<nbsp>(<reference|eq:contribution-count-h-a>), so they are more visible
  for the larger detection times which imply also larger widths for the
  ridges. As was demonstrated in Fig.<nbsp><reference|fig:1p-time-sup-state>
  and we shall see later (in Fig.<nbsp><reference|fig:crate-lt-80-30-Pzero>)
  increasing values of <with|mode|math|\<tau\>> yield progressively finer and
  smaller interference features in phase space and therefore also in the
  count rate. Finally, note that the fringes do not appear in the middle of
  the two ridges but rather shifted towards the late component. This is an
  effect of dispersion which can be best understood in terms of the diagram
  of Fig.<nbsp><reference|fig:sweeping-screen> in the previous chapter. There
  one sees how the ranges of detection times which give contribution for each
  of the phase space structures explain the effect.

  The same analysis applies to the <with|mode|math|\<cal-P\>=1> case (to the
  right in Fig.<nbsp><reference|fig:crate-lt-50-20-predictable>), which
  corresponds to the short arm. Here the time difference introduced is
  negative, <with|mode|math|\<delta\>t<rsub|\<um\>\<ell\>>=\<um\>\<delta\>t<rsub|\<ell\>>>.
  The expected detection times are

  <\eqnarray*>
    <tformat|<table|<row|<cell|<htab|5mm>t<rsub|early-short>>|<cell|=>|<cell|<gc|t><rsub|s>-\<delta\>t<rsub|\<ell\>>-\<tau\>,>>|<row|<cell|<htab|5mm>t<rsub|late-short>>|<cell|=>|<cell|<gc|t><rsub|s>-\<delta\>t<rsub|\<ell\>>,>>>>
  </eqnarray*>

  and the corresponding slope is minus one.<\float|float|t>
    <\big-figure|<postscript|fig/crate-lt-tau50-predzero.eps||||||>>
      <label|fig:crate-lt-50-20-Pzero>Count rate as a function of the scaled
      detection time <with|mode|math|t/<gc|t><rsup|\<sigma\>>> (abscissa) and
      the scaled path-length difference in the interferometer
      <with|mode|math|\<ell\>/\<sigma\><rsub|x>> (ordinate) for vanishing
      predictability. The values of the parameters are the same as in
      Fig.<nbsp><reference|fig:crate-lt-50-20-predictable>, to which this
      should be compared. The three possible interference phenomena can be
      observed in this picture, albeit not completely separated: the wavy
      structures at <with|mode|math|\<ell\>=0> originating from
      path-interference, the time-interference fringes parallel to the ridges
      known from Fig.<nbsp><reference|fig:crate-lt-50-20-predictable>, and
      finally the path-time interference in the centre, corresponding to the
      interfering alternatives early-long and late-short.
    </big-figure>
  </float>

  All other, intermediate values of the signed predictability permit the
  propagation of the two time components through both arms, giving rise to
  four output wave packets. The relative weight of the short- and the
  long-path ones is set by the predictability, and how much they overlap
  depends on the time delay of the input state and the path difference of the
  interferometer, see Fig. <reference|fig:Franson-setup>.

  According to the plan outlined in Chapter <reference|chp:motivation> we
  need to set up an experimental situation in which the degree of
  emission-time information revealed by registering one coincidence count can
  be regulated continuously, from nothing to a complete state of knowledge.
  To introduce such lack of knowledge, first for one particle one chooses the
  time difference between paths in such a manner that the counts
  corresponding to the early component travelling through the long path and
  those corresponding the late component travelling through the short path
  arrive at the detector simultaneously, i.e.

  <\equation>
    \<delta\>t<rsub|\<ell\>>-\<delta\>t<rsub|\<um\>\<ell\>>=\<tau\><space|1em><with|mode|text|or><space|1em><frac|2*m*\<ell\>|p<rsub|g>>=\<tau\>,<label|eq:condition-for-path-time-interference>
  </equation>

  we denote the appropriate path-length difference
  <with|mode|math|\<ell\><rsub|pt>> and the corresponding detection time
  <with|mode|math|t<rsub|pt>>,

  <\equation>
    \<ell\><rsub|pt>\<equiv\><frac|p<rsub|g>*\<tau\>|2*m>,<space|2em>t<rsub|pt>\<equiv\>t<rsub|s>-\<tau\>/2.<label|eq:definition-lpt-tpt>
  </equation>

  This situation corresponds to the central region in the
  Fig.<nbsp><reference|fig:crate-lt-50-20-Pzero>. In this figure it is
  apparent that there are other regions of oscillating count number than
  those parallel to the ridges. The latter have been already identified in a
  situation where the interferometer did not play a rle
  (Fig.<nbsp><reference|fig:crate-lt-50-20-predictable>), and we labelled
  them ``<em|<strong|(one-particle) time interference>>''. They could in
  principle be revealed by correlating measurement at different times if the
  time of emission of the first component was known.

  In fact one can distinguish now three additional interference structures
  which undulate almost, but not completely parallel to the time axis, i.e.
  they are revealed by changing <with|mode|math|\<ell\>>. The two wavy
  structures centred around <with|mode|math|\<ell\>=0> correspond to the
  interference between different path alternatives, to the left the
  interference of the early component, and to the right that of the late one.
  We have already met this type of interference and labelled it
  ``<em|<strong|path interference>>'' in Chapter
  <reference|chp:phase-space-kernel>. The wavy structure in the central
  region, <with|mode|math|<group|t\<simeq\>t<rsub|pt>,\<ell\>\<simeq\>\<ell\><rsub|pt>>>,
  on the other hand, corresponds to the interference of the early time
  component having travelled through the long arm and the late component
  having travelled through the short arm. Therefore, we label it
  ``<em|<strong|path-time interference>>''.

  Before focusing on the characterization of the path-time interference
  phenomenon, note that the path-interference observed around
  <with|mode|math|\<ell\>=0> has a vertical extent proportional to the
  coherence length, which for dispersive wave packets depends on the
  broadening time, Eq.<nbsp>(<reference|eq:time-dep-cohlength>). In
  Fig.<nbsp><reference|fig:crate-lt-50-20-Pzero> the coherence lengths of the
  path-interference structures are for the early component
  <with|mode|math|l<rsub|c>\<simeq\>9> and for the late one
  <with|mode|math|><with|mode|math|l<rsub|c>\<simeq\>13>.

  One can adjust the available parameters in order to separate the phenomenon
  of interest, path-time interference more distinctively from the
  accompanying path- and time-interferences. Time interference can be made
  negligibly small by suitably increasing the value of
  <with|mode|math|\<tau\>>. On the other hand, to avoid in the
  <with|mode|math|\<ell\>> axis the overlap of the path-time features at
  <with|mode|math|<group|\<ell\>=\<ell\><rsub|pt>>> with those at
  <with|mode|math|<group|\<ell\>=0>> resulting from path-interference, the
  inequality <math|<group|\<ell\><rsub|pt>\<gtr\>2*l<rsub|c>>> must hold,
  setting thus a condition relating <with|mode|math|\<tau\>> and
  <with|mode|math|\<sigma\><rsub|p>>,

  <\equation*>
    <frac|p<rsub|g>*\<tau\>|2*m>\<gtr\>2*(<sqrt|2>*\<sigma\><rsub|x>*\<zeta\><rsub|t<rsub|j>>)\<simeq\>2*<left|(><sqrt|2>*\<sigma\><rsub|x>*<frac|t<rsub|j>|<gc|t><rsub|\<zeta\>>><right|)>
  </equation*>

  where we used the linearised broadening,
  Eq.<nbsp>(<reference|eq:linearised-broadening>). To be on the safe side we
  consider the larger time, i.e. that of the delayed component,
  <with|mode|math|t<rsub|2>=t+\<tau\>> and take into account only detections
  times larger than the delay time, <with|mode|math|t\<gtr\>\<tau\>>. This
  leads to <with|mode|math|<group|t<rsub|j>\<less\>2*t>>, so that, in
  dimensionless terms,

  <\equation*>
    <frac|\<tau\>|<gc|t><rsup|\<sigma\>>>*<frac|p<rsub|g>|\<sigma\><rsub|p>>*\<gtr\>8*<sqrt|2>*<frac|t*|<gc|t><rsup|\<sigma\>>><space|2em>\<Rightarrow\><space|2em>s<rsub|r>\<gtr\>1,
  </equation*>

  where the ``separation ratio'' is the dimensionless quantity

  <\equation*>
    s<rsub|r>\<equiv\>\<tau\>*p<rsub|g>/(8*<sqrt|2>*\<sigma\><rsub|p>*t).
  </equation*>

  For Fig.<nbsp><reference|fig:crate-lt-50-20-Pzero> it is about
  <with|mode|math|s<rsub|r>=0.7> for the early component and about
  <with|mode|math|s<rsub|r>=0.5> for the late one; consequently there is a
  certain amount of overlap between the structures in both cases. When the
  two phenomena are not clearly separated one may expect count rates such as
  that in Fig.<nbsp><reference|fig:crate-lt-20-10-Pzero>, an example with
  <with|mode|math|\<tau\>/<gc|t><rsup|\<sigma\>>=1/20> and
  <with|mode|math|\<sigma\><rsub|p>/p<rsub|g>=1/10> in which the overlap of
  all the interference structures is exacerbated
  (<with|mode|math|s<rsub|r>=0.3> for the early component and
  <with|mode|math|s<rsub|r>=0.2> for the late one).<\float|float|t>
    <big-figure|<postscript|fig/crate-lt-tau20-predzero.eps||||||>|<label|fig:crate-lt-20-10-Pzero>Count
    rate for parameters <with|mode|math|\<tau\>/<gc|t><rsup|\<sigma\>>=20>,
    <with|mode|math|\<sigma\><rsub|p>=1/10> and <with|mode|math|\<cal-P\>=0>,
    portraying a situation in which all of the interference effects are
    present at once in the same parameter region of time and path-length
    difference. Compare to Fig.<nbsp><reference|fig:crate-lt-50-20-Pzero> and
    Fig.<nbsp><reference|fig:crate-lt-80-30-Pzero>. In this plot we chose
    <with|mode|math|c=50>, <with|mode|math|<group|x<rsub|g>=\<um\>30>>, so
    that the path interference features are located at times
    <with|mode|math|t/<gc|t><rsup|\<sigma\>>=60,80>,
    <with|mode|math|\<ell\>/\<sigma\><rsub|x>=0> whereas path-time
    interference is at <with|mode|math|t/<with|math-font-family|rm|t><rsup|\<sigma\>>=70>,
    <with|mode|math|\<ell\>/\<sigma\><rsub|x>=10>.>
  </float> If we choose <with|mode|math|\<tau\>/<gc|t><rsup|\<sigma\>>=80>,
  <with|mode|math|<group|\<sigma\><rsub|p>/p<rsub|g>=1/30>>, separation
  ratios of about <with|mode|math|s<rsub|r>=2.1> and
  <with|mode|math|s<rsub|r>=1.2> respectively for the early and late
  components are achieved. Fig.<nbsp><reference|fig:crate-lt-80-30-Pzero>
  shows the count rate obtained with these settings.<\float|float|t>
    <\big-figure>
      \;

      <postscript|fig/crate-lt-tau80-predzero.eps|*5/6|||||>

      \;
    </big-figure|<label|fig:crate-lt-80-30-Pzero>Count rate for values of the
    parameters <with|mode|math|\<tau\>/<gc|t><rsup|\<sigma\>>=80> and
    <with|mode|math|\<sigma\><rsub|p>/p<rsub|g>=1/30>, which provide a better
    separation of the path-interference features centred at
    <with|mode|math|\<ell\>=0> and the path-time interference structure
    centred at <with|mode|math|\<ell\><rsub|pt>/\<sigma\><rsub|x>=40>. The
    larger <with|mode|math|\<tau\>> in comparison to
    Fig.<nbsp><reference|fig:crate-lt-50-20-Pzero> also suppresses time
    interference at the present resolution. All the other parameters remain
    as in Fig.<nbsp><reference|fig:crate-lt-50-20-predictable>.>
  </float> Since the interference features become there very fine the central
  part of the area in Fig.<nbsp><reference|fig:crate-lt-80-30-Pzero> where
  path-time interference occurs is represented with more detail in
  Fig.<nbsp><reference|fig:detail-path-interference>.<\float|float|t>
    <big-figure|<postscript|fig/zoom-lt-crate.eps|*3/4|||||>|<label|fig:detail-path-interference>Detail
    of the path-interference region in Fig.<nbsp><reference|fig:crate-lt-80-30-Pzero>.
    A cut through <with|mode|math|t<rsub|pt>/<gc|t><rsup|\<sigma\>>=140> is
    available in the third plot of Fig.<nbsp><reference|fig:frequency-fringes-path-time>.>
  </float>

  <subsection|Path-time interference>

  In order to understand better the characteristics of the path-time
  interference phenomenon, we now analyse the count rate as a function of the
  interferometer path difference <with|mode|math|\<ell\>> at the time
  <with|mode|math|t<rsub|pt>>, i.e. where path interference is most
  pronounced. <\float|float|t>
    <\big-figure>
      <postscript|fig/dep-vis1p-predictability-0.eps|*3/4|||||><hspace|1.5cm><postscript|fig/dep-vis1p-predictability-33.eps|*3/4|||||>

      \;

      <postscript|fig/dep-vis1p-predictability-67.eps|*3/4|||||><hspace|1.5cm><postscript|fig/dep-vis1p-predictability-1.eps|*3/4|||||>
    </big-figure|<label|fig:predictability-affects-1p-visibility>The
    visibility of the interference fringes is very sensitive to the
    predictability <with|mode|math|\<cal-P\>> of the apparatus. Since the
    individual oscillations are hard to resolve a magnified version is
    available in Fig.<nbsp><reference|fig:frequency-fringes-path-time>. The
    figure corresponds to <with|mode|math|\<tau\>/<gc|t><rsup|\<sigma\>>=80>
    and <with|mode|math|\<sigma\><rsub|p>/p<rsub|g>=1/15>, all other
    parameters remain as in Fig.<nbsp><reference|fig:crate-lt-50-20-predictable>.
    The time <with|mode|math|t<rsub|pt>> is defined in
    Eq.<nbsp>(<reference|eq:definition-lpt-tpt>).>
  </float>

  Fig.<nbsp><reference|fig:predictability-affects-1p-visibility> displays the
  influence of varying the predictability of the interferometer. As expected,
  the visibility of the interference figure decreases with increasing
  predictability of the path taken. Note that in order to see the overall
  behaviour, we sacrifice perfect resolution of the individual fringes in
  <with|mode|math|\<ell\>> in the graphical representation. The same holds
  for the density plots <reference|fig:crate-lt-50-20-Pzero> and
  <reference|fig:crate-lt-80-30-Pzero>, which due to this reason should be
  taken as merely indicative.\ 

  Fig.<nbsp><reference|fig:predictability-affects-1p-visibility> shows how
  the complementarity between wave and particle behaviour manifests itself in
  an interferometer as a complementarity between the visibility of the
  interference fringes and the amount of which-way information available,
  <cite|Englert1996a>.\ 

  Fig.<nbsp><reference|fig:eta-affects-1p-visibility> demonstrates the effect
  of the increased availability of emission-time information if the overlap
  <with|mode|math|\<eta\>> between pointer states of the environment
  corresponding to different emission times (cf.
  Section<nbsp><reference|sec:environment-interaction>) decreases, thus
  making them more distinguishable.<\float|float|t>
    <\big-figure>
      <postscript|fig/dep-vis1p-eta-1.eps|*3/4|||||><hspace|1.5cm><postscript|fig/dep-vis1p-eta-67.eps|*3/4|||||>

      \;

      <postscript|fig/dep-vis1p-eta-33.eps|*3/4|||||><hspace|1.5cm><postscript|fig/dep-vis1p-eta-0.eps|*3/4|||||>
    </big-figure|<label|fig:eta-affects-1p-visibility>Effect of a decreasing
    environmental overlap <with|mode|math|\<eta\>> factor on the visibility
    of the interference fringes at <with|mode|math|t<rsub|pt>>, see
    (<reference|eq:definition-lpt-tpt>). The progressive storage of
    information in the environment about the emission time of the system
    destroys its ability to interfere. The values of the parameters are as in
    Fig.<nbsp><reference|fig:predictability-affects-1p-visibility>.>
  </float>

  The spatial frequency of the interference figures in
  Figs.<nbsp><reference|fig:predictability-affects-1p-visibility> and
  <reference|fig:eta-affects-1p-visibility> can be assessed by looking at a
  narrower range of <with|mode|math|\<ell\>> values. Counting fringes in
  Fig.<nbsp><reference|fig:frequency-fringes-path-time> yields the rough
  results of Table<nbsp><reference|tab:frequency-fringes-estimation>.<\float|float|tbh>
    <big-figure|<postscript|fig/fringes-sp-10.eps|*11/20|||||><hspace|0.6cm><postscript|fig/fringes-sp-20.eps|*11/20|||||><hspace|0.6cm><postscript|fig/fringes-sp-30.eps|*11/20|||||>|<label|fig:frequency-fringes-path-time>Detail
    of the interference fringes in the path-time interference domain
    (<with|mode|math|\<ell\>\<sim\>\<ell\><rsub|pt>>,
    <with|mode|math|<group|t=t<rsub|pt>>>) for values of the momentum
    <with|mode|math|p<rsub|g>/\<sigma\><rsub|p>=10> (left), 20 (centre), 30
    (right). The values of the other parameters are as in
    Fig.<nbsp><reference|fig:predictability-affects-1p-visibility>. >
  </float>

  <\big-table>
    <dtable|<tformat|<cwith|1|4|1|1|cell-halign|c>|<cwith|2|2|2|2|cell-halign|c>|<cwith|3|3|2|2|cell-halign|c>|<cwith|4|4|2|2|cell-halign|c>|<cwith|2|2|3|3|cell-halign|c>|<cwith|4|4|3|3|cell-halign|c>|<cwith|3|3|3|3|cell-halign|c>|<table|<row|<cell|<with|mode|math|p<rsub|g>/\<sigma\><rsub|p>>>|<cell|``measured''>|<cell|<with|mode|math|p<rsub|g>/\<mathpi\>*\<hbar\>>>>|<row|<cell|10>|<cell|1.5>|<cell|1.6>>|<row|<cell|20>|<cell|3.1>|<cell|3.2>>|<row|<cell|30>|<cell|5.0>|<cell|4.8>>>>>
  </big-table|<label|tab:frequency-fringes-estimation>Frequency of the
  path-time interference figure for different values of
  <with|mode|math|p<rsub|g>/\<sigma\><rsub|p>>. The ``measured'' values are
  obtained by counting fringes in Fig.<nbsp><reference|fig:frequency-fringes-path-time>,
  whereas the third column results from the approximation discussed in the
  text.>

  The third column contains an approximation to the frequency which has been
  found as follows. The frequency information is encoded in the cosine
  factors in Eq.<nbsp>(<reference|eq:contribution-count-h-a>). To extract it,
  one performs a series expansion around the point of interest,
  <with|mode|math|\<ell\><rsub|pt>=p<rsub|g>*\<tau\>/2*m>. In the
  dispersionless limit of <with|mode|math|\<sigma\><rsub|p>/p<rsub|g>\<rightarrow\>0>
  the coefficient to <with|mode|math|\<ell\>> in the vicinity of
  <with|mode|math|\<ell\><rsub|pt>> is found to be
  <group|<math|2*p<rsub|g>/\<hbar\>*>>. The available experimental resolution
  in setting the path difference <with|mode|math|\<ell\>> can be used to
  choose the appropriate <with|mode|math|\<sigma\><rsub|x>> of the state.

  The approximate value of the fringe spacing coincides with that obtained
  for path interference. The reason is that there is nothing special in
  path-time interference from the point of view of a single component of
  momentum; the time delay just a mechanism that allows to have a
  non-negligible overlap of the probability density in space at the output of
  the interferometer for values of <with|mode|math|\<ell\>> others than those
  close to zero.\ 

  At the same time the ability of bringing together conditionally on
  <with|mode|math|\<ell\>> two time components is the key in order to reveal
  the correlations in the two-particle time-entangled state, to which we now
  turn.

  <section|Two-particle interference><label|sec:two-paticle-interference>

  We return to the two-particle time-entangled state
  (<reference|eq:2p-impure-sym-in-terms-1p-operators>). The mutually shared
  nonlocal correlations are revealed by studying the influence of the
  parameters <with|mode|math|\<ell\><rsub|B>> and
  <with|mode|math|\<cal-P\><rsub|B>> of one interferometer on the visibility
  of the two-time count rate as a function of the path difference
  <with|mode|math|\<ell\><rsub|A>> of the other. Before going into that we
  show in Fig.<nbsp><reference|fig:eta-dependence-2p-coincidence> the
  expected interference fringes in the coincidence count rate. One observes
  in the first panel almost perfect visibility. At the same time, quite in
  analogy to the one-particle case, the interaction with an environment can
  suppress the interference fringes, as shown in the other
  panels.<\float|float|t>
    <\big-figure>
      <postscript|fig/dep-vis2p-eta-1.eps|*3/4|||||><hspace|1.5cm><postscript|fig/dep-vis2p-eta-67.eps|*3/4|||||>

      \;

      <postscript|fig/dep-vis2p-eta-33.eps|*3/4|||||><hspace|1.5cm><postscript|fig/dep-vis2p-eta-0.eps|*3/4|||||>
    </big-figure|<label|fig:eta-dependence-2p-coincidence>Ordinates: two-time
    probability density <with|mode|math|prob(t<rsub|A>,t<rsub|B>)>
    corresponding to coincidence counts at time <with|mode|math|t<rsub|pt>>
    in both detectors for <with|mode|math|\<ell\><rsub|B>=\<ell\><rsub|pt>>.
    Absciss: path-difference <with|mode|math|\<ell\><rsub|A>>. The
    individual figures are for decreasing values of <with|mode|math|\<eta\>>,
    i.e. increasing knowledge of the environment about the time of emission.>
  </float>

  The full picture of the two-time count rate as a function of the detection
  times in <with|mode|math|A> and <with|mode|math|B> is presented in
  Fig.<nbsp><reference|fig:tA-tB-fn-lA> for several values of
  <with|mode|math|\<ell\><rsub|A>> with <with|mode|math|\<ell\><rsub|B>> kept
  constant at <with|mode|math|\<ell\><rsub|pt>>. This figure can be compared
  with Fig.<nbsp><reference|fig:Franson-setup>. There one sees that the
  setting of <with|mode|math|\<ell\><rsub|A>> controls the amount of
  which-time information extractable from the coincidence counts in the
  middle peak. The Fig.<nbsp><reference|fig:Franson-coincidence-diagram> is
  retrieved when the diagonal of coincidence times
  <with|mode|math|<group|t<rsub|A>=t<rsub|B>>> is selected in the
  <with|mode|math|\<ell\><rsub|A>/\<sigma\><rsub|x>=40> plot (upper-right).

  <\float|float|tbh>
    <\big-figure>
      <postscript|fig/tA-tB-lA-35.eps|*7/10|||||><postscript|fig/tA-tB-lA-40.eps|*7/10|||||>

      <postscript|fig/tA-tB-lA-45.eps|*7/10|||||><postscript|fig/tA-tB-lA-50.eps|*7/10|||||>

      <postscript|fig/tA-tB-lA-55.eps|*7/10|||||><postscript|fig/tA-tB-lA-60.eps|*7/10|||||>
    </big-figure|<label|fig:tA-tB-fn-lA>The two-time count rate displays
    interference in the coincidence counts corresponding to the central peak
    only if <with|mode|math|\<ell\><rsub|A>> is close enough to
    <with|mode|math|\<ell\><rsub|pt>> (here
    <with|mode|math|\<ell\><rsub|pt>/\<sigma\><rsub|x>=40> and
    <with|mode|math|<group|\<sigma\><rsub|p>/p<rsub|g>=1/30>>).>
  </float>

  Consider now the effect of removing one of the interferometers, say
  <with|mode|math|B>. This eliminates any possibility of path-time
  interference in <with|mode|math|B> and therefore the registration of a
  count at the detector <with|mode|math|B> reveals total information about
  whether the emission occurred with or without delay. For counts in
  <with|mode|math|A> conditioned to this event, one expects that the
  path-time interference fringes will be lost due to the total correlation of
  the emission times between the two particles in the original state.

  This removal of path-time interference at <with|mode|math|B> can be
  implemented by setting the predictability in <with|mode|math|B> to
  <with|mode|math|\<cal-P\><rsub|B>=\<upm\>1>. Likewise, if we set
  <with|mode|math|\<cal-P\><rsub|B>> to intermediate but non-zero values we
  expect to see the phenomenon more gradually. This is what is done in
  Fig.<nbsp><reference|fig:PB-dependence-vis-2p>, which according to our
  expectation shows a continuous decrease of the visibility of the path-time
  interference figure in the path length difference
  <with|mode|math|\<ell\><rsub|A>>.<\float|float|t>
    <\big-figure>
      <postscript|fig/dep-vis2p-predictability-00.eps|*3/4|||||><hspace|1.5cm><postscript|fig/dep-vis2p-predictability-33.eps|*3/4|||||>

      \;

      <postscript|fig/dep-vis2p-predictability-67.eps|*3/4|||||><hspace|1.5cm><postscript|fig/dep-vis2p-predictability-1.eps|*3/4|||||>
    </big-figure|<label|fig:PB-dependence-vis-2p>Effect of the predictability
    of interferometer <with|mode|math|B> on the two-particle interference
    fringes in <with|mode|math|\<ell\><rsub|A>>. By increasing
    <with|mode|math|\|\<cal-P\>\|> more emission-time information becomes
    available and the fringe visibility is reduced.>
  </float>

  We finally address the situation described in the introductory chapter.
  What is the effect of varying the <with|mode|math|><with|mode|math|\<ell\><rsub|B>>
  setting with vanishing predictability, <with|mode|math|\<cal-P\><rsub|B>=0>,
  on the visibility of the two-time count rate as a function of
  <with|mode|math|\<ell\><rsub|A>>? Detuning <with|mode|math|\<ell\><rsub|B>>
  away from <with|mode|math|\<ell\><rsub|pt>> separates the early-long and
  late-short wave-packets in position space and therefore also the expected
  detection times of both. One therefore expects the interference figure as a
  function of <with|mode|math|\<ell\><rsub|A>> to be maintained only inasmuch
  as not enough information is extractable from events at detector
  <with|mode|math|B> to resolve the emission delay.

  Interference is still present however if one detunes
  <with|mode|math|\<ell\><rsub|B>> away from
  <with|mode|math|\<ell\><rsub|pt>> but keeps conditioning to time
  <with|mode|math|t<rsub|B>=t<rsub|pt>>, as can be verified in
  Fig.<nbsp><reference|fig:vis-2p-fn-lB>. For that time, it is rather
  undecidable whether the count belongs to one or the other two-particle
  interfering alternatives, as is apparent in the Figure
  <reference|fig:Franson-coincidence-diagram> of Chapter
  <reference|chp:motivation>. However, Fig.<nbsp><reference|fig:vis-2p-fn-lB>
  displays a reduction of the coincidence count rate, which is understandable
  when one thinks of the count trains for each of the alternatives as being
  displaced progressively away from <with|mode|math|t<rsub|pt>>.<\float|float|t>
    <\big-figure>
      <postscript|fig/vis-lA-2p-as-fn-lB-40.eps|*3/4|||||><hspace|1.5cm><postscript|fig/vis-lA-2p-as-fn-lB-50.eps|*3/4|||||>

      \;

      <postscript|fig/vis-lA-2p-as-fn-lB-60.eps|*3/4|||||><hspace|1.5cm><postscript|fig/vis-lA-2p-as-fn-lB-70.eps|*3/4|||||>
    </big-figure|<label|fig:vis-2p-fn-lB>Ordinates: two-time probability
    density <with|mode|math|prob(t<rsub|A>,t<rsub|B>)> corresponding to
    coincidence counts at time <with|mode|math|t<rsub|pt>> in both detectors.
    Absciss: path-difference <with|mode|math|\<ell\><rsub|A>>. The panels
    are for values of <with|mode|math|\<ell\><rsub|B>> increasingly detuned
    from <with|mode|math|\<ell\><rsub|B>/\<sigma\><rsub|x>=\<ell\><rsub|pt>/\<sigma\><rsub|x>=40>,
    which is the path difference that offers no information about the time of
    emission. However, since <with|mode|math|t<rsub|B>> remains fixed at
    <with|mode|math|t<rsub|pt>> there is only a reduction in the total count
    rate and not in the visibility. The figure is for
    <with|mode|math|\<tau\>/<gc|t><rsup|\<sigma\>>=80> and
    <with|mode|math|<group|\<sigma\><rsub|p>/p<rsub|g>=1/15>> was used to
    reduce the frequency of the oscillation.>

    \;
  </float>

  A more relevant situation is present if the experimenter uses the known
  value of the detuning <with|mode|math|\<ell\><rsub|B>-\<ell\><rsub|pt>> to
  choose the appropriate two-time count rates to analyse. Indeed, if one
  considers the two-time count rate corresponding to
  <with|mode|math|t<rsub|B>=t<rsub|early-long>> or
  <with|mode|math|<group|t<rsub|B>=t<rsub|late-short>>> and
  <with|mode|math|<group|t<rsub|A>=t<rsub|pt>>> as
  <with|mode|math|\<ell\><rsub|B>> is progressively detuned from
  <with|mode|math|\<ell\><rsub|pt>>, one is effectively <em|chasing> either
  of the count peaks which are beginning to provide useful emission-delay
  information as they separate. Therefore one expects that the visibility of
  the interference figure will decrease with the detuning, and
  Fig.<nbsp><reference|fig:vis-2p-lB-right-tB> confirms this. In this figure
  we observe two contributions, one smooth and symmetrical about its maximum
  at <with|mode|math|\<ell\><rsub|A>\<simeq\>\<ell\><rsub|B>> and another,
  oscillatory one, which for <with|mode|math|\<ell\><rsub|B>> values close to
  <with|mode|math|\<ell\><rsub|pt>> adds to the former to provide a total
  envelope centred around <with|mode|math|\<ell\><rsub|A>=\<ell\><rsub|pt>>.<\float|float|t>
    <\big-figure>
      <postscript|fig/with-right-tB-vis-lA-2p-as-fn-lB-30.eps|*9/10|||||><postscript|fig/with-right-tB-vis-lA-2p-as-fn-lB-35.eps|*9/10|||||>

      \;

      \;

      <postscript|fig/with-right-tB-vis-lA-2p-as-fn-lB-40.eps|*9/10|||||><postscript|fig/with-right-tB-vis-lA-2p-as-fn-lB-45.eps|*9/10|||||>
    </big-figure|<label|fig:vis-2p-lB-right-tB>If the coincidence count rate
    is examined at a time <with|mode|math|<with|mode|math|<group|t<rsub|B>=t<rsub|pt>-m*(\<ell\><rsub|B>-\<ell\><rsub|pt>)/p<rsub|g>>>>
    providing information about the delay <with|mode|math|\<tau\>> the
    visibility of the interference figure is strongly affected as
    <with|mode|math|\<ell\><rsub|B>> progresses from the value
    <with|mode|math|\<ell\><rsub|B>/\<sigma\><rsub|x>=30> of the upper-left
    plot to <with|mode|math|\<ell\><rsub|B>/\<sigma\><rsub|x>=45> in the
    lower-right plot. In order to show more clearly the effect a smaller
    value of <with|mode|math|\<sigma\><rsub|p>> in comparison to Fig.<nbsp>
    <reference|fig:vis-2p-fn-lB>, <with|mode|math|\<sigma\><rsub|p>/p<rsub|g>=1/30>
    was used. Therefore the absolute count rates cannot be compared to those
    there.>

    \;
  </float>\ 

  A comprehensive picture of the behaviours shown in Figures
  <reference|fig:vis-2p-fn-lB> and <reference|fig:vis-2p-lB-right-tB> is
  provided in Fig.<nbsp><reference|fig:tB-lA2timecountrate> by a series of
  plots with <with|mode|math|\<ell\><rsub|A>/\<sigma\><rsub|x>> in the
  ordinate and <with|mode|math|t<rsub|B>/<gc|t><rsup|\<sigma\>>> in abscissa
  with varying <with|mode|math|\<ell\><rsub|B>>. One can choose to reveal
  information by conditioning the measurement to any of the two count-rate
  peaks which diverge from the <math|<group|t<rsub|B>=t<rsub|pt>>> value,
  although the less broadened one will give a stronger
  signal.<\float|float|t>
    <\big-figure>
      <postscript|fig/lA-tBplot-for-lB30.eps|*4/5|||||>
      <postscript|fig/lA-tBplot-for-lB40.eps|*4/5|||||>

      \;

      <postscript|fig/lA-tBplot-for-lB50.eps|*4/5|||||>
      <postscript|fig/lA-tBplot-for-lB60.eps|*4/5|||||>
    </big-figure|<label|fig:tB-lA2timecountrate>Two-time count rate for all
    times <math|t<rsub|B>> and <with|mode|math|t<rsub|A>=t<rsub|pt>>. In
    order to reveal the maximum amount of information, one should condition
    to times not in the vertical middle line
    <with|mode|math|<group|t<rsub|B>=t<rsub|pt>>>, which corresponds to the
    coincidence counts, but rather to <with|mode|math|<group|t<rsub|B>=t<rsub|pt>\<pm\>m*(\<ell\><rsub|B>-\<ell\><rsub|pt>)/p<rsub|g>>>,
    which means placing oneself over either of the two spots. The strongest
    signal (darker spot) is associated to choosing the less broadened time
    component, that is, the early one of the long path. These figures should
    be compared to Figs. <reference|fig:vis-2p-fn-lB> and
    <reference|fig:vis-2p-lB-right-tB>, which are, respectively, the sections
    across <with|mode|math|t<rsub|B>=t<rsub|pt>> and
    <with|mode|math|<group|t<rsub|B>=t<rsub|pt>-m*(\<ell\><rsub|B>-\<ell\><rsub|pt>)/p<rsub|g>>>.
    Note that in order to make the fine interference fringes more visible a
    larger value of <with|mode|math|\<sigma\><rsub|p>>,
    <with|mode|math|\<sigma\><rsub|p>/p<rsub|g>=1/20> has been chosen.>
  </float>

  <section|Outlook>

  In this thesis we have presented a model of the Franson interferometric
  setup for dispersive particles. The combination of a scattering approach
  with the Weyl representation of quantum mechanics provided a valuable
  framework in which the effective measurement operator for the two-particle
  count rate could be obtained in analytical form. At the same time, our
  method builds physical intuition about how the non-local correlations of
  the state can be assessed experimentally.

  This way we have assembled the formalism required for an operational,
  quantitative characterization of the degree of non-classical correlations
  present in the motional state of two particles. In particular the
  transformed count rate operator that was presented in Chapter
  <reference|chp:emission-time-entangled-state> stands as an useful tool for
  the analysis of discrete-time superpositions, although its application may
  need to resort to numerical methods depending on the basic input state. For
  the gaussian-based state, though, an analytical solution could be obtained
  and discussed.\ 

  To quantify the degree of non-locality revealed by means of correlated
  interferometry one needs to come up with a (global) measure of fringe
  visibility that accounts for possibly very complex interference patterns. A
  sensible starting point for defining such a measure could be the
  requirement that it respects a wave-particle duality relation. The
  operational characterization of entanglement would then be as the nonlocal
  capability to disturb an interference signal.\ 

  A valuable property of our approach due to the separation of the scattering
  interaction and the free evolution is that it eases the incorporation of
  decoherence and dissipative dynamics. We intend to exploit this in the
  future. Another exciting research direction lies in the handling of
  continuous emission-time superpositions, such as are present when the
  source is a system decaying with a probability that is a continuous
  function of time.

  Last but not least, the experimental advances in matter-wave
  interferometry, either with standing light fields as gratings operating in
  a <value|MZ>-like fashion or with atom chips invite the expectation that an
  experimental realization of a Franson-like experiment with matter should be
  possible in the near future.

  \;
</body>

<\initial>
  <\collection>
    <associate|font-base-size|11>
    <associate|info-flag|detailed>
    <associate|language|british>
    <associate|sfactor|4>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|auto-1|<tuple|1|?>>
    <associate|auto-10|<tuple|1.7|?>>
    <associate|auto-11|<tuple|1.8|?>>
    <associate|auto-12|<tuple|1.1|?>>
    <associate|auto-13|<tuple|1.2|?>>
    <associate|auto-14|<tuple|1.9|?>>
    <associate|auto-15|<tuple|1.10|?>>
    <associate|auto-16|<tuple|1.11|?>>
    <associate|auto-17|<tuple|1.12|?>>
    <associate|auto-18|<tuple|1.13|?>>
    <associate|auto-19|<tuple|1.14|?>>
    <associate|auto-2|<tuple|1.1|?>>
    <associate|auto-20|<tuple|1.3|?>>
    <associate|auto-3|<tuple|1.1|?>>
    <associate|auto-4|<tuple|1.2|?>>
    <associate|auto-5|<tuple|1.3|?>>
    <associate|auto-6|<tuple|1.4|?>>
    <associate|auto-7|<tuple|1.5|?>>
    <associate|auto-8|<tuple|1.1.1|?>>
    <associate|auto-9|<tuple|1.6|?>>
    <associate|chp:results|<tuple|1|?>>
    <associate|eq:arrival-time-tsupl|<tuple|1.1|?>>
    <associate|eq:condition-for-path-time-interference|<tuple|1.2|?>>
    <associate|eq:definition-lpt-tpt|<tuple|1.3|?>>
    <associate|fig:PB-dependence-vis-2p|<tuple|1.11|?>>
    <associate|fig:crate-lt-20-10-Pzero|<tuple|1.3|?>>
    <associate|fig:crate-lt-50-20-Pzero|<tuple|1.2|?>>
    <associate|fig:crate-lt-50-20-predictable|<tuple|1.1|?>>
    <associate|fig:crate-lt-80-30-Pzero|<tuple|1.4|?>>
    <associate|fig:detail-path-interference|<tuple|1.5|?>>
    <associate|fig:eta-affects-1p-visibility|<tuple|1.7|?>>
    <associate|fig:eta-dependence-2p-coincidence|<tuple|1.9|?>>
    <associate|fig:frequency-fringes-path-time|<tuple|1.8|?>>
    <associate|fig:predictability-affects-1p-visibility|<tuple|1.6|?>>
    <associate|fig:tA-tB-fn-lA|<tuple|1.10|?>>
    <associate|fig:tB-lA2timecountrate|<tuple|1.14|?>>
    <associate|fig:vis-2p-fn-lB|<tuple|1.12|?>>
    <associate|fig:vis-2p-lB-right-tB|<tuple|1.13|?>>
    <associate|sec:one-particle-path-time|<tuple|1.1|?>>
    <associate|sec:two-paticle-interference|<tuple|1.2|?>>
    <associate|tab:frequency-fringes-estimation|<tuple|1.1|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|bib>
      Englert1996a
    </associate>
    <\associate|figure>
      <\tuple|normal>
        <label|fig:crate-lt-50-20-predictable>Count rate as a function of the
        scaled detection time <with|mode|<quote|math>|t/<with|mode|<quote|math>|<with|math-font-family|<quote|rm>|t>><rsup|\<sigma\>>>
        (absciss) and the scaled path-length difference in the
        interferometer <with|mode|<quote|math>|\<ell\>/\<sigma\><rsub|x>>
        (ordinates). The count rate is proportional to the shade. The outcome
        is represented on the left for an interferometer with
        <with|mode|<quote|math>|\<cal-P\>=\<um\>1> (long path taken with
        certainty) and on the right for <with|mode|<quote|math>|\<cal-P\>=1>
        (short path taken with certainty). The one-particle time-superposed
        input state is composed of two gaussians with
        <with|mode|<quote|math>|<group|\<sigma\><rsub|p>/p<rsub|g>=1/20>>
        delayed by <with|mode|<quote|math>|\<tau\>/<with|mode|<quote|math>|<with|math-font-family|<quote|rm>|t>><rsup|\<sigma\>>=50>.
        (The initial basic gaussian is centred at
        <with|mode|<quote|math>|x<rsub|g>/\<sigma\><rsub|x>=\<um\>80>, the
        interferometer is placed at the origin and the detector at
        <with|mode|<quote|math>|c=100>.)
      </tuple|<pageref|auto-3>>

      <\tuple|normal>
        <label|fig:crate-lt-50-20-Pzero>Count rate as a function of the
        scaled detection time <with|mode|<quote|math>|t/<with|mode|<quote|math>|<with|math-font-family|<quote|rm>|t>><rsup|\<sigma\>>>
        (abscissa) and the scaled path-length difference in the
        interferometer <with|mode|<quote|math>|\<ell\>/\<sigma\><rsub|x>>
        (ordinate) for vanishing predictability. The values of the parameters
        are the same as in Fig. <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>><reference|fig:crate-lt-50-20-predictable>,
        to which this should be compared. The three possible interference
        phenomena can be observed in this picture, albeit not completely
        separated: the wavy structures at <with|mode|<quote|math>|\<ell\>=0>
        originating from path-interference, the time-interference fringes
        parallel to the ridges known from Fig.
        <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>><reference|fig:crate-lt-50-20-predictable>,
        and finally the path-time interference in the centre, corresponding
        to the interfering alternatives early-long and late-short.
      </tuple|<pageref|auto-4>>

      <tuple|normal|<label|fig:crate-lt-20-10-Pzero>Count rate for parameters
      <with|mode|<quote|math>|\<tau\>/<with|mode|<quote|math>|<with|math-font-family|<quote|rm>|t>><rsup|\<sigma\>>=20>,
      <with|mode|<quote|math>|\<sigma\><rsub|p>=1/10> and
      <with|mode|<quote|math>|\<cal-P\>=0>, portraying a situation in which
      all of the interference effects are present at once in the same
      parameter region of time and path-length difference. Compare to Fig.
      <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>><reference|fig:crate-lt-50-20-Pzero>
      and Fig. <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>><reference|fig:crate-lt-80-30-Pzero>.
      In this plot we chose <with|mode|<quote|math>|c=50>,
      <with|mode|<quote|math>|<group|x<rsub|g>=\<um\>30>>, so that the path
      interference features are located at times
      <with|mode|<quote|math>|t/<with|mode|<quote|math>|<with|math-font-family|<quote|rm>|t>><rsup|\<sigma\>>=60,80>,
      <with|mode|<quote|math>|\<ell\>/\<sigma\><rsub|x>=0> whereas path-time
      interference is at <with|mode|<quote|math>|t/<with|math-font-family|<quote|rm>|t><rsup|\<sigma\>>=70>,
      <with|mode|<quote|math>|\<ell\>/\<sigma\><rsub|x>=10>.|<pageref|auto-5>>

      <tuple|normal|<label|fig:crate-lt-80-30-Pzero>Count rate for values of
      the parameters <with|mode|<quote|math>|\<tau\>/<with|mode|<quote|math>|<with|math-font-family|<quote|rm>|t>><rsup|\<sigma\>>=80>
      and <with|mode|<quote|math>|\<sigma\><rsub|p>/p<rsub|g>=1/30>, which
      provide a better separation of the path-interference features centred
      at <with|mode|<quote|math>|\<ell\>=0> and the path-time interference
      structure centred at <with|mode|<quote|math>|\<ell\><rsub|pt>/\<sigma\><rsub|x>=40>.
      The larger <with|mode|<quote|math>|\<tau\>> in comparison to Fig.
      <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>><reference|fig:crate-lt-50-20-Pzero>
      also suppresses time interference at the present resolution. All the
      other parameters remain as in Fig. <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>><reference|fig:crate-lt-50-20-predictable>.|<pageref|auto-6>>

      <tuple|normal|<label|fig:detail-path-interference>Detail of the
      path-interference region in Fig. <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>><reference|fig:crate-lt-80-30-Pzero>.
      A cut through <with|mode|<quote|math>|t<rsub|pt>/<with|mode|<quote|math>|<with|math-font-family|<quote|rm>|t>><rsup|\<sigma\>>=140>
      is available in the third plot of Fig.
      <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>><reference|fig:frequency-fringes-path-time>.|<pageref|auto-7>>

      <tuple|normal|<label|fig:predictability-affects-1p-visibility>The
      visibility of the interference fringes is very sensitive to the
      predictability <with|mode|<quote|math>|\<cal-P\>> of the apparatus.
      Since the individual oscillations are hard to resolve a magnified
      version is available in Fig. <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>><reference|fig:frequency-fringes-path-time>.
      The figure corresponds to <with|mode|<quote|math>|\<tau\>/<with|mode|<quote|math>|<with|math-font-family|<quote|rm>|t>><rsup|\<sigma\>>=80>
      and <with|mode|<quote|math>|\<sigma\><rsub|p>/p<rsub|g>=1/15>, all
      other parameters remain as in Fig. <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>><reference|fig:crate-lt-50-20-predictable>.
      The time <with|mode|<quote|math>|t<rsub|pt>> is defined in Eq.
      <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>>(<reference|eq:definition-lpt-tpt>).|<pageref|auto-9>>

      <tuple|normal|<label|fig:eta-affects-1p-visibility>Effect of a
      decreasing environmental overlap <with|mode|<quote|math>|\<eta\>>
      factor on the visibility of the interference fringes at
      <with|mode|<quote|math>|t<rsub|pt>>, see
      (<reference|eq:definition-lpt-tpt>). The progressive storage of
      information in the environment about the emission time of the system
      destroys its ability to interfere. The values of the parameters are as
      in Fig. <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>><reference|fig:predictability-affects-1p-visibility>.|<pageref|auto-10>>

      <tuple|normal|<label|fig:frequency-fringes-path-time>Detail of
      interference fringes in the path-time interference domain
      (<with|mode|<quote|math>|\<ell\>\<sim\>\<ell\><rsub|pt>>,
      <with|mode|<quote|math>|<group|t=t<rsub|pt>>>) for values of the
      momentum <with|mode|<quote|math>|p<rsub|g>/\<sigma\><rsub|p>=10>
      (left), 20 (centre), 30 (right). The values of the other parameters are
      as in Fig. <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>><reference|fig:predictability-affects-1p-visibility>.
      |<pageref|auto-11>>

      <tuple|normal|<label|fig:eta-dependence-2p-coincidence>Ordinates:
      two-time probability density <with|mode|<quote|math>|prob(t<rsub|A>,t<rsub|B>)>
      corresponding to coincidence counts at time
      <with|mode|<quote|math>|t<rsub|pt>> in both detectors for
      <with|mode|<quote|math>|\<ell\><rsub|B>=\<ell\><rsub|pt>>. Absciss:
      path-difference <with|mode|<quote|math>|\<ell\><rsub|A>>. The
      individual figures are for decreasing values of
      <with|mode|<quote|math>|\<eta\>>, i.e. increasing knowledge of the
      environment about the time of emission.|<pageref|auto-14>>

      <tuple|normal|<label|fig:tA-tB-fn-lA>The two-time count rate displays
      interference in the coincidence counts corresponding to the central
      peak only if <with|mode|<quote|math>|\<ell\><rsub|A>> is close enough
      to <with|mode|<quote|math>|\<ell\><rsub|pt>> (here
      <with|mode|<quote|math>|\<ell\><rsub|pt>/\<sigma\><rsub|x>=40> and
      <with|mode|<quote|math>|<group|\<sigma\><rsub|p>/p<rsub|g>=1/30>>).|<pageref|auto-15>>

      <tuple|normal|<label|fig:PB-dependence-vis-2p>Effect of the
      predictability of interferometer <with|mode|<quote|math>|B> on the
      two-particle interference fringes in
      <with|mode|<quote|math>|\<ell\><rsub|A>>. By increasing
      <with|mode|<quote|math>|\|\<cal-P\>\|> more emission-time information
      becomes available and the fringe visibility is
      reduced.|<pageref|auto-16>>

      <tuple|normal|<label|fig:vis-2p-fn-lB>Ordinates: two-time probability
      density <with|mode|<quote|math>|prob(t<rsub|A>,t<rsub|B>)>
      corresponding to coincidence counts at time
      <with|mode|<quote|math>|t<rsub|pt>> in both detectors. Absciss:
      path-difference <with|mode|<quote|math>|\<ell\><rsub|A>>. The panels
      are for values of <with|mode|<quote|math>|\<ell\><rsub|B>> increasingly
      detuned from <with|mode|<quote|math>|\<ell\><rsub|B>/\<sigma\><rsub|x>=\<ell\><rsub|pt>/\<sigma\><rsub|x>=40>,
      which is the path difference that offers no information about the time
      of emission. However, since <with|mode|<quote|math>|t<rsub|B>> remains
      fixed at <with|mode|<quote|math>|t<rsub|pt>> there is only a reduction
      in the total count rate and not in the visibility. The figure is for
      <with|mode|<quote|math>|\<tau\>/<with|mode|<quote|math>|<with|math-font-family|<quote|rm>|t>><rsup|\<sigma\>>=80>
      and <with|mode|<quote|math>|<group|\<sigma\><rsub|p>/p<rsub|g>=1/15>>
      was used to reduce the frequency of the oscillation.|<pageref|auto-17>>

      <tuple|normal|<label|fig:vis-2p-lB-right-tB>If the coincidence count
      rate is examined at a time <with|mode|<quote|math>|<with|mode|<quote|math>|<group|t<rsub|B>=t<rsub|pt>-m*(\<ell\><rsub|B>-\<ell\><rsub|pt>)/p<rsub|g>>>>
      providing information about the delay <with|mode|<quote|math>|\<tau\>>
      the visibility of the interference figure is strongly affected as
      <with|mode|<quote|math>|\<ell\><rsub|B>> progresses from the value
      <with|mode|<quote|math>|\<ell\><rsub|B>/\<sigma\><rsub|x>=30> of the
      upper-left plot to <with|mode|<quote|math>|\<ell\><rsub|B>/\<sigma\><rsub|x>=45>
      in the lower-right plot. In order to show more clearly the effect a
      smaller value of <with|mode|<quote|math>|\<sigma\><rsub|p>> in
      comparison to Fig. <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>>
      <reference|fig:vis-2p-fn-lB>, <with|mode|<quote|math>|\<sigma\><rsub|p>/p<rsub|g>=1/30>
      was used. Therefore the absolute count rates cannot be compared to
      those there.|<pageref|auto-18>>

      <tuple|normal|<label|fig:tB-lA2timecountrate>Two-time count rate for
      all times <with|mode|<quote|math>|t<rsub|B>> and
      <with|mode|<quote|math>|t<rsub|A>=t<rsub|pt>>. In order to reveal the
      maximum amount of information, one should condition to times not in the
      vertical middle line <with|mode|<quote|math>|<group|t<rsub|B>=t<rsub|pt>>>,
      which corresponds to the coincidence counts, but rather to
      <with|mode|<quote|math>|<group|t<rsub|B>=t<rsub|pt>\<pm\>m*(\<ell\><rsub|B>-\<ell\><rsub|pt>)/p<rsub|g>>>,
      which means placing oneself over either of the two spots. The strongest
      signal is associated to choosing the less broadened time component,
      that is, the early one of the long path (darker spot). These figures
      should be compared to Figs. <reference|fig:vis-2p-fn-lB> and
      <reference|fig:vis-2p-lB-right-tB>, which are, respectively, the
      sections across <with|mode|<quote|math>|t<rsub|B>=t<rsub|pt>> and
      <with|mode|<quote|math>|<group|t<rsub|B>=t<rsub|pt>-m*(\<ell\><rsub|B>-\<ell\><rsub|pt>)/p<rsub|g>>>.
      Note that in order to make the fine interference fringes more visible a
      larger value of <with|mode|<quote|math>|\<sigma\><rsub|p>>,
      <with|mode|<quote|math>|\<sigma\><rsub|p>/p<rsub|g>=1/20> has been
      chosen.|<pageref|auto-19>>
    </associate>
    <\associate|table>
      <tuple|normal|<label|tab:frequency-fringes-estimation>Frequency of the
      path-time interference figure for different values of
      <with|mode|<quote|math>|p<rsub|g>/\<sigma\><rsub|p>>. The ``measured''
      values are obtained by counting fringes in Fig.
      <no-break><specific|screen|<resize|<move|<with|color|<quote|#A0A0FF>|->|-0.3em|>|0em||0em||>><reference|fig:frequency-fringes-path-time>,
      whereas the third column results from the approximation discussed in
      the text.|<pageref|auto-12>>
    </associate>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|1<space|2spc>Results
      and discussion> <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-1><vspace|0.5fn>

      1.1<space|2spc>One-particle path-time interference
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-2>

      <with|par-left|<quote|1.5fn>|1.1.1<space|2spc>Path-time interference
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-8>>

      1.2<space|2spc>Two-particle interference
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-13>

      1.3<space|2spc>Outlook <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <no-break><pageref|auto-20>
    </associate>
  </collection>
</auxiliary>