<TeXmacs|1.0.4.4>

<project|ln.tp>

<style|tmbook>

<\body>
  <assign|chapter-nr|0><chapter|Orderings><label|ord-chap>

  <glossary-line|<vspace*|1fn><strong|Chapter <the-chapter>.
  Orderings><vspace|1fn>>In this chapter, we will introduce some
  order-theoretic concepts, which prepare the study of generalized power
  series in the next chapter. Orderings occur in at least two important ways
  in this study.

  First, the terms of a series are naturally ordered according to their
  asymptotic magnitudes. For instance, the support of
  <with|mode|math|1+z+z<rsup|2>+\<cdots\>\<in\>\<bbb-R\>[[z]]>, considered as
  an ordered set, is isomorphic to <with|mode|math|\<bbb-N\>>. More
  interesting examples are

  <equation*|1+z<rsub|1>+z<rsub|1><rsup|2>+\<cdots\>+z<rsub|2>+z<rsub|1>*z<rsub|2>+z<rsub|1><rsup|2>*z<rsub|2>+\<cdots\>+z<rsub|2><rsup|2>+z<rsub|1>*z<rsub|2><rsup|2>+z<rsub|1><rsup|2>z<rsub|2><rsup|2>+\<cdots\>\<in\>\<bbb-R\>[[z<rsub|1>]][[z<rsub|2>]]>

  and

  <equation*|<tabular*|<tformat|<table|<row|<cell|1>|<cell|+>|<cell|z<rsub|1>>|<cell|+>|<cell|z<rsub|1><rsup|2>>|<cell|+>|<cell|\<cdots\>>|<cell|+>>|<row|<cell|z<rsub|2>>|<cell|+>|<cell|z<rsub|1>*z<rsub|2>>|<cell|+>|<cell|z<rsub|1><rsup|2>*z<rsub|2>>|<cell|+>|<cell|\<cdots\>>|<cell|+>>|<row|<cell|z<rsub|2><rsup|2>>|<cell|+>|<cell|z<rsub|1>*z<rsub|2><rsup|2>>|<cell|+>|<cell|z<rsub|1><rsup|2>*z<rsub|2><rsup|2>>|<cell|+>|<cell|\<cdots\>>|<cell|+>>|<row|<cell|\<vdots\>>|<cell|+>|<cell|\<vdots\>>|<cell|+>|<cell|\<vdots\>>|<cell|+>|<cell|\<cdots\>>|<cell|>>>>><space|2spc>\<in\><space|2spc>\<bbb-R\>[[z<rsub|1>,z<rsub|2>]],>

  whose supports are isomorphic to <with|mode|math|\<bbb-N\>\<dottimes\>\<bbb-N\>>
  and <with|mode|math|\<bbb-N\>\<times\>\<bbb-N\>> respectively. Here
  <with|mode|math|\<bbb-N\>\<dottimes\>\<bbb-N\>> denotes the set
  <with|mode|math|\<bbb-N\><rsup|2>> with the total anti-lexicographical
  ordering <with|mode|math|(m,n)\<leqslant\>(m<rprime|'>,n<rprime|'>)\<Leftrightarrow\>((n\<less\>n<rprime|'>)\<vee\>(m\<leqslant\>m<rprime|'>\<wedge\>n=n<rprime|'>))>
  and <with|mode|math|\<bbb-N\>\<times\>\<bbb-N\>> denotes the set
  <with|mode|math|\<bbb-N\><rsup|2>> with the partial product ordering
  <with|mode|math|(m,n)\<leqslant\>(m<rprime|'>,n<rprime|'>)\<Leftrightarrow\>(m\<leqslant\>m<rprime|'>\<wedge\>n\<leqslant\>n<rprime|'>)>.

  In general, when the support is totally ordered, it is natural to require
  the support to be well-ordered. If we want to be able to multiply series,
  this condition is also necessary, as shown by the example

  <equation*|(1+z+z<rsup|2>+\<cdots\>)*(1+z<rsup|\<um\>1>+z<rsup|\<um\>2>+\<cdots\>).>

  For convenience, we recall some classical results about well-ordered sets
  and ordinal numbers in section <reference|ordinals>. In what follows, our
  treatment will be based on well-quasi-orderings, which are the analogue of
  well-orderings in the context of partial quasi-orderings. In sections
  <reference|Noeth> and <reference|Kruskal-th>, we will prove some classical
  results about well-quasi-orderings.

  A second important occurrence of orderings is when we consider an algebra
  of generalized power series as an ordered structure. For instance
  <with|mode|math|\<bbb-R\>[[z]]> is naturally ordered by declaring a
  non-zero series <with|mode|math|f<rsub|n>*z<rsup|n>+f<rsub|n+1>*z<rsup|n+1>+\<cdots\>>
  with <with|mode|math|f<rsub|n>\<neq\>0> to be positive if and only if
  <with|mode|math|f<rsub|n>\<gtr\>0>. This gives
  <with|mode|math|\<bbb-R\>[[z]]> the structure of a so called totally
  ordered <with|mode|math|\<bbb-R\>>-algebra.

  In section <reference|ordered-structures>, we recall the definitions of
  several types of ordered algebraic structures. In section
  <reference|asymp-rel>, we will then show how a certain number of typical
  asymptotic relations, like <with|mode|math|<op|\<prec\>>>,
  <with|mode|math|<op|\<preccurlyeq\>>>, <with|mode|math|<op|\<asymp\>>> and
  <with|mode|math|<op|\<sim\>>>, can be introduced in a purely algebraic way.
  In section<nbsp><reference|flat-def>, we define groups and fields with
  generalized exponentiations, and the asymptotic relations
  <with|mode|math|<op|\<precprec\>>>, <with|mode|math|<op|\<precpreceq\>>>
  <with|mode|math|<op|\<asympasymp\>>> and <with|mode|math|<op|\<simsim\>>>.
  Roughly speaking, for infinitely large <with|mode|math|f> and
  <no-break><with|mode|math|g>, we have <with|mode|math|f\<precprec\>g>, if
  <with|mode|math|f<rsup|\<lambda\>>\<prec\>g> for all
  <with|mode|math|\<lambda\>>. For instance,
  <with|mode|math|x\<precprec\>\<mathe\><rsup|x>>, but
  <with|mode|math|x\<asympasymp\>x<rsup|1000>>, for
  <with|mode|math|x\<rightarrow\>\<infty\>>.

  <section|Quasi-orderings>

  Let <with|mode|math|E> be a set. In all what follows, a
  <em|quasi-ordering><index|quasi-ordering> on <with|mode|math|E> is
  reflexive<subindex|relation|reflexive> and
  transitive<subindex|relation|transitive> relation
  <with|mode|math|<op|\<leqslant\>>><glossary-explain|<with|mode|math|<op|\<leqslant\>>>|quasi-ordering>
  on <with|mode|math|E>; in other words, for all
  <with|mode|math|x,y,z\<in\>E> we have

  <\description>
    <item*|O1><with|mode|math|x\<leqslant\>x>;

    <item*|O2><with|mode|math|x\<leqslant\>y\<wedge\>y\<leqslant\>z\<Rightarrow\>x\<leqslant\>z>.
  </description>

  An <em|ordering><index|ordering> is a quasi-ordering which is also
  antisymmetric<subindex|relation|antisymmetric>:

  <\description>
    <item*|O3><with|mode|math|<with|mode|math|x\<leqslant\>y\<wedge\>y\<leqslant\>x\<Rightarrow\>x=y.>>
  </description>

  We sometimes write <with|mode|math|<op|\<leqslant\><rsub|E>>> instead of
  <with|mode|math|<op|\<leqslant\>>> in order to avoid confusion. A mapping
  <with|mode|math|\<varphi\>:E\<rightarrow\>F> between two quasi-ordered sets
  is said to be <em|increasing><subindex|increasing|mapping> (or a morphism
  of quasi-ordered sets), if <with|mode|math|x\<leqslant\>y\<Rightarrow\>\<varphi\>(x)\<leqslant\>\<varphi\>(y)>,
  for all <with|mode|math|x,y\<in\>E>.

  Given a quasi-ordering <with|mode|math|E>, we say that
  <with|mode|math|x,y\<in\>E> are <em|comparable><index|comparable> if
  <with|mode|math|x\<leqslant\>y> or <with|mode|math|y\<leqslant\>x>. If
  every two elements in <with|mode|math|E> are comparable, then the
  quasi-ordering is said to be <em|total><subindex|quasi-ordering|total><subindex|ordering|total>.
  Two elements <with|mode|math|x,y\<in\>E> are said to be
  <em|equivalent><index|equivalent><glossary-explain|<with|mode|math|<op|\<equiv\>>>|equivalent
  elements <abbr|w.r.t.> quasi-ordering>, and we write
  <with|mode|math|x\<equiv\>y>, if <with|mode|math|x\<leqslant\>y> and
  <with|mode|math|y\<leqslant\>x>. The quasi-ordering on <with|mode|math|E>
  induces a natural ordering on the quotient set <with|mode|math|E/\<equiv\>>
  by <with|mode|math|X\<leqslant\>Y\<Leftrightarrow\>(\<forall\>x\<in\>X,\<forall\>y\<in\>Y,x\<leqslant\>y)>
  and the corresponding projection <with|mode|math|E\<rightarrow\>E/\<equiv\>>
  is increasing. In other words, we do not really gain in generality by
  considering quasi-orderings instead of orderings, but it is sometimes more
  convenient to deal with quasi-orderings.

  Some simple examples of totally ordered sets are
  <with|mode|math|\<varnothing\>,{0}, {0,1}, \<ldots\>> and
  <with|mode|math|\<bbb-N\>>. Any set <no-break><with|mode|math|E> can be
  trivially quasi-ordered both by the finest
  ordering<subindex|quasi-ordering|finest><subindex|ordering|finest>, for
  which <with|mode|math|x\<leqslant\>y\<Leftrightarrow\>x=y>, and by the
  roughest quasi-ordering<subindex|quasi-ordering|roughest>, for which all
  <with|mode|math|x,y\<in\>E> satisfy <with|mode|math|x\<leqslant\>y>. In
  general, a quasi-ordering <with|mode|math|<op|\<leqslant\>>> on
  <with|mode|math|E> is said to be <em|finer><subindex|quasi-ordering|finer>
  than a second quasi-ordering <with|mode|math|<op|\<leqslant\><rprime|'>>>
  on <with|mode|math|E> if <with|mode|math|x\<leqslant\>y\<Rightarrow\>x\<leqslant\><rprime|'>y>
  for all <with|mode|math|x,y\<in\>E>. Given quasi-ordered sets
  <with|mode|math|E> and <no-break><with|mode|math|F>, we can construct other
  quasi-ordered sets as follows:

  <surround|||<\enumerate-numeric>
    <item><subindex|quasi-ordering|disjoint union><subindex|ordering|disjoint
    union><glossary-explain|<with|mode|math|E\<amalg\>F<big|.>>|disjoint
    union of <with|mode|math|E> and <with|mode|math|F>>The disjoint union
    <with|mode|math|E\<amalg\>F> is naturally quasi-ordered, by taking the
    quasi-orderings on <with|mode|math|E> and <with|mode|math|F> on each
    summand, and by taking <with|mode|math|E> and <with|mode|math|F> mutually
    incomparable. In other words,

    <\equation*>
      <with|mode|text|<with|mode|math|x\<leqslant\><rsub|E\<amalg\>F>y<space|0.6spc>\<Leftrightarrow\><space|0.6spc>(x\<in\>E\<wedge\>y\<in\>E\<wedge\>x\<leqslant\><rsub|E>y)\<vee\>(x\<in\>F\<wedge\>y\<in\>F\<wedge\>x\<leqslant\><rsub|F>y)>.>
    </equation*>

    <item><subindex|quasi-ordering|ordered union><subindex|ordering|ordered
    union><glossary-explain|<with|mode|math|E\<dotamalg\>F>|ordered union of
    <with|mode|math|E> and <with|mode|math|F>>Alternatively, we can
    quasi-order <with|mode|math|E\<amalg\>F>, by postulating any element in
    <with|mode|math|E> to be strictly smaller than any element in
    <with|mode|math|F>. This quasi-ordered set is called the ordered union of
    <with|mode|math|E> and <with|mode|math|F>, and we denote it by
    <no-break><with|mode|math|E\<dotamalg\>F>. In other words,

    <\equation*>
      x\<leqslant\><rsub|E\<dotamalg\>F>y<space|0.6spc>\<Leftrightarrow\><space|0.6spc>x\<leqslant\><rsub|E\<amalg\>F>y\<vee\>(x\<in\>E\<wedge\>y\<in\>F).
    </equation*>

    <item><subindex|quasi-ordering|Cartesian
    product><subindex|ordering|Cartesian product><glossary-explain|<with|mode|math|E\<times\>F>|Cartesian
    product of <with|mode|math|E> and <with|mode|math|F>>The Cartesian
    product <with|mode|math|E\<times\>F> is naturally quasi-ordered by

    <\equation*>
      (x,y)\<leqslant\><rsub|E\<times\>F>(x<rprime|'>,y<rprime|'>)<space|0.6spc>\<Leftrightarrow\><space|0.6spc>x\<leqslant\>x<rprime|'>\<wedge\>y\<leqslant\>y<rprime|'>.
    </equation*>

    <item><subindex|quasi-ordering|anti-lexicographic><subindex|ordering|anti-lexicographic><glossary-explain|<with|mode|math|E\<dottimes\>F>|anti-lexicographic
    product of <with|mode|math|E> and <with|mode|math|F>>Alternatively, we
    can quasi-order <with|mode|math|E\<times\>F> <em|anti-lexicographically>
    by

    <\equation*>
      (x,y)\<leqslant\><rsub|E\<dottimes\>F>(x<rprime|'>,y<rprime|'>)<space|0.6spc>\<Leftrightarrow\><space|0.6spc>(x,y)\<leqslant\><rsub|E\<times\>F>(x<rprime|'>,y<rprime|'>)\<vee\>y\<less\>y<rprime|'>.
    </equation*>

    <no-page-break*>We write <with|mode|math|E\<dottimes\>F> for the
    corresponding quasi-ordered set.
  </enumerate-numeric>>

  <big-figure|<with|gr-mode|<tuple|edit|text-at>|gr-frame|<tuple|scale|1cm|<tuple|0.5par|0cm>>|gr-clip|<tuple|clip|<tuple|0par|-0.05par>|<tuple|0.6par|0.4par>>|gr-color|default|<graphics|<point|-6.5|3.6>|<point|-6.1|3.6>|<point|-5.7|3.6>|<point|-6.5|2.8>|<point|-6.1|3>|<point|-6.1|2.6>|<point|-6.9|3.6>|<line|<point|-5.7|3.6>|<point|-6.9|3.6>>|<line|<point|-6.5|2.8>|<point|-6.1|3>>|<line|<point|-6.5|2.8>|<point|-6.1|2.6>>|<point|-3.2|3.6>|<point|-2.8|3.6>|<point|-2.4|3.6>|<point|-2|3.6>|<point|-1.4|3.6>|<point|-1|3.8>|<point|-1|3.4>|<line|<point|-3.2|3.6>|<point|-1.4|3.6>|<point|-1|3.8>>|<line|<point|-1.4|3.6>|<point|-1|3.4>>|<point|-6.9|0.7>|<point|-6.5|0.7>|<point|-6.1|0.7>|<point|-5.7|0.7>|<point|-5.9|1.3>|<point|-5.5|1.3>|<point|-5.1|1.3>|<point|-6.3|0.1>|<point|-5.9|0.1>|<point|-5.5|0.1>|<point|-5.1|0.1>|<point|-6.3|1.3>|<line|<point|-6.3|1.3>|<point|-5.1|1.3>>|<line|<point|-6.9|0.7>|<point|-5.7|0.7>>|<line|<point|-6.3|0.1>|<point|-5.1|0.1>>|<line|<point|-6.9|0.7>|<point|-6.3|0.1>>|<line|<point|-6.5|0.7>|<point|-5.9|0.1>>|<line|<point|-6.1|0.7>|<point|-5.5|0.1>>|<line|<point|-5.7|0.7>|<point|-5.1|0.1>>|<line|<point|-6.9|0.7>|<point|-6.3|1.3>>|<line|<point|-6.5|0.7>|<point|-5.9|1.3>>|<line|<point|-6.1|0.7>|<point|-5.5|1.3>>|<line|<point|-5.7|0.7>|<point|-5.1|1.3>>|<point|-3.2|0.7>|<point|-2.8|0.7>|<point|-2.4|0.7>|<point|-2|0.7>|<point|-1.6|1.3>|<point|-1.2|1.3>|<point|-0.8|1.3>|<point|-0.4|1.3>|<point|-1.6|0.1>|<point|-1.2|0.1>|<point|-0.8|0.1>|<point|-0.4|0.1>|<line|<point|-3.2|0.7>|<point|-2|0.7>>|<line|<point|-1.6|0.1>|<point|-0.4|0.1>>|<line|<point|-1.6|1.3>|<point|-0.4|1.3>>|<line|<point|-3.2|0.7>|<point|-1.6|1.3>>|<line|<point|-2.8|0.7>|<point|-1.6|1.3>>|<line|<point|-2.4|0.7>|<point|-1.6|1.3>>|<line|<point|-2|0.7>|<point|-1.6|1.3>>|<line|<point|-3.2|0.7>|<point|-1.6|0.1>>|<line|<point|-2.8|0.7>|<point|-1.6|0.1>>|<line|<point|-2.4|0.7>|<point|-1.6|0.1>>|<line|<point|-2|0.7>|<point|-1.6|0.1>>|<text-at|<with|mode|math|E\<amalg\>F>|<point|-4.8|2.5>|left|bottom>|<text-at|<with|mode|math|E\<times\>F>|<point|-4.8|-0.5>|left|bottom>|<text-at|<with|mode|math|E\<dotamalg\>F>|<point|0|2.5>|left|bottom>|<text-at|<with|mode|math|E\<dottimes\>F>|<point|0|-0.5>|left|bottom>|<point|-6.9|5.4>|<point|-6.5|5.4>|<point|-6.1|5.4>|<point|-5.7|5.4>|<point|-2.4|5.4>|<point|-2|5.2>|<point|-2|5.6>|<line|<point|-6.9|5.4>|<point|-5.7|5.4>>|<line|<point|-2.4|5.4>|<point|-2|5.6>>|<line|<point|-2.4|5.4>|<point|-2|5.2>>|<text-at|<with|mode|math|E>|<point|-4.8|4.7>|left|bottom>|<text-at|<with|mode|math|F>|<point|0|4.7>|left|bottom>>>|Examples
  of some basic constructions on ordered sets. >

  <\enumerate>
    <assign|item-nr|4><item><subindex|quasi-ordering|words><subindex|ordering|words><glossary-explain|<with|mode|math|E<rsup|\<ast\>>>|set
    of words over <with|mode|math|E>>Let <with|mode|math|E<rsup|\<ast\>>> be
    the set of <em|words><index|word> over <with|mode|math|E>. Such words are
    denoted by sequences <with|mode|math|x<rsub|1>*\<cdots\>*x<rsub|n>> (with
    <with|mode|math|x<rsub|1>,\<ldots\>,x<rsub|n>\<in\>E>) or
    <with|mode|math|[x<rsub|1>,\<ldots\>,x<rsub|n>]> if confusion may arise.
    The empty word is denoted by <with|mode|math|\<varepsilon\>> and we
    define <with|mode|math|E<rsup|+>=E<rsup|\<ast\>>\<setminus\>{\<varepsilon\>}><glossary-explain|<with|mode|math|E<rsup|+>>|set
    of non-empty words over <with|mode|math|E>>. The <em|embeddability
    quasi-ordering><subindex|quasi-ordering|embeddability><subindex|ordering|embeddability>
    on <with|mode|math|E<rsup|\<ast\>>> is defined by
    <with|mode|math|x<rsub|1>*\<cdots\>*x<rsub|n>\<leqslant\>y<rsub|1>*\<cdots\>*y<rsub|m>>,
    if and only if there exists a strictly increasing mapping
    <with|mode|math|\<varphi\>:<no-break>{1,\<ldots\>,n}\<rightarrow\>{1,\<ldots\>,m}>,
    such that <with|mode|math|x<rsub|i>\<leqslant\>y<rsub|\<varphi\>(i)>> for
    all <with|mode|math|i>. For instance,

    <eqnarray*|<tformat|<table|<row|<cell|[2,31,15,7]>|<cell|\<leqslant\><rsub|\<bbb-N\><rsup|\<ast\>>>>|<cell|[2,8,35,17,3,7,1];>>|<row|<cell|[2,31,15,7]>|<cell|\<nleqslant\><rsub|\<bbb-N\><rsup|\<ast\>>>>|<cell|[2,8,35,17,3,2,1].>>>>>

    <item>An equivalence relation <with|mode|math|<op|\<sim\>>> on
    <with|mode|math|E> is said to be <em|compatible><subindex|quasi-ordering|compatible
    equivalence relation> with the quasi-ordering if
    <with|mode|math|x\<leqslant\>y\<wedge\>x\<sim\>x<rprime|'>\<wedge\>y\<sim\>y<rprime|'>\<Rightarrow\>x<rprime|'>\<leqslant\>y<rprime|'>>
    for all <with|mode|math|x,y,x<rprime|'>,y<rprime|'>\<in\>E>. In that
    case, <with|mode|math|E/<op|\<sim\>>> is naturally quasi-ordered by
    <with|mode|math|X\<leqslant\><rsub|E/<op|\<sim\>>>Y\<Leftrightarrow\>(\<forall\>x\<in\>X,\<forall\>y\<in\>Y,x\<leqslant\><rsub|E>y)>,
    and the canonical projection <with|mode|math|\<pi\>:E\<rightarrow\>E/<op|\<sim\>>>
    is increasing.
  </enumerate>

  If <with|mode|math|E> and <with|mode|math|F> are ordered sets, then it can
  be verified that all constructed quasi-orderings are actually orderings.

  Let <with|mode|math|\<varphi\>:E\<rightarrow\>F> be an increasing mapping
  between quasi-ordered sets <with|mode|math|(E,<op|\<leqslant\>>)> and
  <no-break><with|mode|math|(F,<op|\<leqslant\>>)>. Consider the
  quasi-ordering <with|mode|math|<op|\<preccurlyeq\>>> on <with|mode|math|E>
  defined by

  <\equation*>
    x\<preccurlyeq\>y\<Leftrightarrow\>\<varphi\>(x)\<leqslant\>\<varphi\>(y).
  </equation*>

  Then <with|mode|math|<op|\<leqslant\>>> is finer than
  <with|mode|math|<op|\<preccurlyeq\>>> and the mapping
  <with|mode|math|\<varphi\>> admits a natural factorization

  <\equation>
    <label|qo-map-factor><tabular*|<tformat|<table|<row|<cell|(E,<op|\<leqslant\>>)>|<cell|\<longrightarrowlim\><rsup|\<varphi\>>>|<cell|(F,<op|\<leqslant\>>)>>|<row|<cell|\<longdownarrow\><with|math-level|1|\<pi\>>>|<cell|>|<cell|\<longuparrow\><with|math-level|1|\<iota\>>>>|<row|<cell|(E,<op|\<preccurlyeq\>>)>|<cell|\<longrightarrowlim\><rsup|<wide|\<varphi\>|\<bar\>>>>|<cell|(Im
    \<varphi\>,<op|\<leqslant\>>)>>>>>.
  </equation>

  Here <with|mode|math|\<pi\>> is the identity on <with|mode|math|E>,
  <with|mode|math|\<iota\>> is the natural inclusion of <with|mode|math|Im
  \<varphi\>> into <with|mode|math|F> and
  <with|mode|math|<wide|\<varphi\>|\<bar\>>> is an isomorphism.<vspace|2fn>

  <\exercise>
    <label|quasi-ordering>Let <with|mode|math|E> be a set.

    <\enumerate-alpha>
      <item><subindex|ordering|strict>A <em|strict ordering> on
      <with|mode|math|E> is a transitive and antireflexive relation
      <with|mode|math|<op|\<less\>>> on <with|mode|math|E> (<abbr|i.e.>
      <with|mode|math|x\<less\>x> for no elements <with|mode|math|x\<in\>E>).
      Given an ordering <with|mode|math|<op|\<leqslant\>>> show that the
      relation <with|mode|math|<op|\<less\>>> defined by
      <with|mode|math|x\<less\>y\<Leftrightarrow\>x\<leqslant\>y\<wedge\>x\<neq\>y>
      is a strict ordering. Show also how to associate an ordering to a
      strict ordering.

      <item><subindex|ordering|opposite><subindex|quasi-ordering|opposite>Let
      <with|mode|math|<op|\<leqslant\>> > be a quasi-ordering on
      <with|mode|math|E>. Show that the relation
      <with|mode|math|<op|\<geqslant\>>> defined by
      <with|mode|math|x\<geqslant\>y\<Leftrightarrow\>y\<leqslant\>x> is also
      a quasi-ordering on <with|mode|math|E>; we call it the <em|opposite>
      quasi-ordering of <with|mode|math|<op|\<leqslant\>>>.

      <item>Let <with|mode|math|<op|\<leqslant\>>> be a quasi-ordering on
      <with|mode|math|E>. Show that <with|mode|math|x\<leqslant\><rsup|!>y\<Leftrightarrow\>x=y\<vee\>x\<less\>y><glossary-explain|<with|mode|math|<op|\<leqslant\><rsup|!>>>|ordering
      defined by <with|mode|math|x\<leqslant\><rsup|!>y\<Leftrightarrow\>x=y\<vee\>x\<less\>y>>
      defines an ordering on <with|mode|math|E>. Show that
      <with|mode|math|<op|\<leqslant\><rsup|!>>> is the roughest ordering
      which is finer than <with|mode|math|<op|\<leqslant\>>>.
    </enumerate-alpha>
  </exercise>

  <\exercise>
    <label|order-props>Two quasi-ordered sets <with|mode|math|E> and
    <with|mode|math|F> are said to be <em|isomorphic>, and we write
    <with|mode|math|E\<cong\>F>, if there is an increasing bijection between
    <with|mode|math|E> and <with|mode|math|F>, whose inverse is also
    increasing. Prove the following:

    <\enumerate-alpha>
      <item><with|mode|math|<op|\<amalg\>>> and
      <with|mode|math|<op|\<times\>>> are commutative modulo
      <with|mode|math|<op|\<cong\>>> (<abbr|i.e.>
      <with|mode|math|E\<amalg\>F\<cong\>F\<amalg\>E>), but not
      <with|mode|math|<op|\<dotamalg\>>> and
      <with|mode|math|<op|\<dottimes\>>>.

      <item><with|mode|math|<op|\<amalg\>>,<op|\<times\>>,<op|\<dotamalg\>>>
      and <with|mode|math|\<dottimes\>> are associative modulo
      <with|mode|math|<op|\<cong\>>>.

      <item><with|mode|math|<op|\<amalg\>>> is distributive <abbr|w.r.t.>
      <with|mode|math|<op|\<times\>>> modulo <with|mode|math|<op|\<cong\>>>.

      <item><with|mode|math|<op|\<dotamalg\>>> is right (but not left)
      distributive <abbr|w.r.t.> <with|mode|math|<op|\<dottimes\>>> modulo
      <with|mode|math|<op|\<cong\>>> (<abbr|i.e.>
      <with|mode|math|E\<dottimes\>(F\<dotamalg\>G)\<cong\>(E\<dottimes\>F)\<dotamalg\>(E\<dottimes\>G>)).

      <item>For all ordered sets <with|mode|math|E,F>, we have
      <with|mode|math|(E\<amalg\>F)<rsup|\<diamond\>>\<cong\>E<rsup|\<diamond\>>\<times\>F<rsup|\<diamond\>>>.

      <item>For all ordered sets <with|mode|math|E,F> prove that there exists
      an increasing bijection <with|mode|math|(E\<dotamalg\>F)<rsup|\<diamond\>>\<rightarrow\>E<rsup|\<diamond\>>\<dottimes\>F<rsup|\<diamond\>>>,
      whose inverse is not increasing, in general.
    </enumerate-alpha>
  </exercise>

  <\exercise>
    <subindex|quasi-ordering|commutative words><subindex|ordering|commutative
    words><glossary-explain|<with|mode|math|E<rsup|\<diamond\>>>|set of
    commutative words over <with|mode|math|E>>Let <with|mode|math|E> be a
    quasi-ordered set. We define an equivalence relation on
    <with|mode|math|E<rsup|\<ast\>>>, by taking two words to be equivalent if
    they are obtained one from another by a permutation of letters. We call
    <with|mode|math|E<rsup|\<diamond\>>=<with|math-condensed|true|E<rsup|\<ast\>>/<op|\<sim\>>>>
    the set of <em|commutative words><subindex|word|commutative> over
    <with|mode|math|E>. Show that:

    <\enumerate-alpha>
      <item>We define a quasi-ordering <with|mode|math|<op|\<preccurlyeq\>>>
      on <with|mode|math|E> by <with|mode|math|u\<preccurlyeq\>v\<Leftrightarrow\>\<exists\>w\<in\>E,u\<leqslant\>w\<wedge\>v\<sim\>w>.

      <item>For all <with|mode|math|x<rsub|1>*\<cdots\>*x<rsub|m>,y<rsub|1>*\<cdots\>*y<rsub|m>\<in\>E<rsup|\<ast\>>>,
      we have <with|mode|math|x<rsub|1>*\<cdots\>*x<rsub|m>\<preccurlyeq\>y<rsub|1>*\<cdots\>*y<rsub|n>>
      if and only if there exists an injection
      <with|mode|math|\<varphi\>:{1,\<ldots\>,<no-break>m}\<rightarrow\>{1,\<ldots\>,<no-break>n}>
      with <with|mode|math|x<rsub|i>\<leqslant\>y<rsub|\<varphi\>(i)>> for
      all <with|mode|math|i>.

      <item>The equivalence relation <with|mode|math|<op|\<sim\>>> is
      compatible with <with|mode|math|<op|\<preccurlyeq\>>>, so that we may
      order <with|mode|math|E<rsup|\<diamond\>>> by the quotient
      quasi-ordering induced by <with|mode|math|<op|\<preccurlyeq\>>>.

      <item><with|mode|math|<op|\<leqslant\>>> is finer than
      <with|mode|math|<op|\<preccurlyeq\>>> and we have a natural increasing
      surjection <with|mode|math|E<rsup|\<ast\>>\<rightarrow\>E<rsup|\<diamond\>>>.
    </enumerate-alpha>
  </exercise>

  <\exercise>
    <label|map-order>Let <with|mode|math|E> and <with|mode|math|F> be ordered
    sets and denote by <with|mode|math|<value|rsF>(E,F)> the set of mappings
    from <no-break><with|mode|math|E> into <with|mode|math|F>. For
    <with|mode|math|\<varphi\>,\<psi\>\<in\><value|rsF>(E,F)>, we define

    <\equation*>
      \<varphi\>\<leqslant\>\<psi\><space|0.6spc>\<Longleftrightarrow\><space|0.6spc>\<forall\>x\<in\>E,\<varphi\>(x)\<nleqslant\>\<psi\>(x)\<Rightarrow\>(\<exists\>y\<gtr\>x,\<varphi\>(y)\<less\>\<psi\>(y)\<wedge\>(\<forall\>z\<geqslant\>y,\<varphi\>(z)\<leqslant\>\<psi\>(z))).
    </equation*>

    Prove that <with|mode|math|<op|\<leqslant\>>> defines an ordering on
    <with|mode|math|<value|rsF>(E,F)>. Also prove the following properties:

    <\enumerate-alpha>
      <item>If <with|mode|math|A={0}\<amalg\>{0}>, then
      <with|mode|math|<value|rsF>(A,B)\<cong\>B\<times\>B>.

      <item>If <with|mode|math|A={0,1}>, then
      <with|mode|math|<value|rsF>(A,B)\<cong\>B\<dottimes\>B>.

      <item><with|mode|math|<value|rsF>(E\<amalg\>F,G)\<cong\><value|rsF>(E,G)\<times\><value|rsF>(F,G)>.

      <item><with|mode|math|<value|rsF>(E\<dotamalg\>F,G)\<cong\><value|rsF>(E,G)\<dottimes\><value|rsF>(F,G).>
    </enumerate-alpha>
  </exercise>

  <\exercise>
    <label|qo-category>Show that the category of quasi-ordered sets admits
    direct sums and products, pull-backs, push-outs, direct and inverse
    limits and free objects (<abbr|i.e.> the forgetful functor to the
    category of sets admits a right adjoint).
  </exercise>

  <section|Ordinal numbers><label|ordinals>

  Let <with|mode|math|E> be a quasi-ordered set. The quasi-ordering on
  <with|mode|math|E> is said to be <em|well-founded><subindex|quasi-ordering|well-founded><subindex|ordering|well-founded>,
  if there is no infinite strictly decreasing sequence in <with|mode|math|E>.
  A total well-founded ordering is called a
  <em|well-ordering><index|well-ordering>. A total ordering is a
  well-ordering if and only if each of its non-empty subsets has a least
  element. The following classical theorems are implied by the axiom of
  choice <cite|Bour70|Mal79>:

  <theorem|Every set can be well-ordered.<htab|5mm><with|mode|math|\<box\>>>

  <theorem|<index|Zorn's lemma><dueto|Zorn's lemma>Let <with|mode|math|E> be
  a non-empty ordered set, such that each non-empty totally ordered subset of
  <with|mode|math|E> has an upper bound. Then <with|mode|math|E> admits a
  maximal element.<htab|5mm><with|mode|math|\<box\>>>

  An <em|ordinal number> or <em|ordinal><index|ordinal> is a set
  <with|mode|math|\<alpha\>>, such that the relation <with|mode|math|\<in\>>
  forms a strict well-ordering on <with|mode|math|\<alpha\>>. In particular,
  the natural numbers can ``be defined to be'' ordinal numbers:
  <with|mode|math|0=\<varnothing\>,1={0},2=1\<cup\>{1},3=2\<cup\>{2},\<ldots\>>.
  The set <with|mode|math|\<omega\>={0,1,2,\<ldots\>}><glossary-explain|<with|mode|math|\<omega\>>|the
  ordinal number <with|mode|math|\<omega\>={0,1,2,\<ldots\>}>> of natural
  numbers is also an ordinal. More generally, if <with|mode|math|\<alpha\>>
  is an ordinal, then so is <with|mode|math|\<alpha\>\<cup\>{\<alpha\>}>. For
  all ordinals <with|mode|math|\<alpha\>>, its elements are also ordinals.

  <big-figure|<eqnarray*|<tformat|<table|<row|<cell|5>|<cell|:>|<cell|\<bullet\><space|0.6spc>\<bullet\><space|0.6spc>\<bullet\><space|0.6spc>\<bullet\><space|0.6spc>\<bullet\>>>|<row|<cell|\<omega\>>|<cell|:>|<cell|\<bullet\><space|0.6spc>\<bullet\><space|0.6spc>\<bullet\><space|0.6spc>\<cdots\>>>|<row|<cell|\<omega\>*2+1>|<cell|:>|<cell|\<bullet\><space|0.6spc>\<bullet\><space|0.6spc>\<bullet\><space|0.6spc>\<cdots\><space|1.8spc>\<bullet\><space|0.6spc>\<bullet\><space|0.6spc>\<bullet\><space|0.6spc>\<cdots\><space|1.8spc>\<bullet\>>>|<row|<cell|\<omega\><rsup|2>>|<cell|:>|<cell|\<bullet\><space|0.6spc>\<bullet\><space|0.6spc>\<bullet\><space|0.6spc>\<cdots\><space|1.8spc>\<bullet\><space|0.6spc>\<bullet\><space|0.6spc>\<bullet\><space|0.6spc>\<cdots\><space|1.8spc>\<bullet\><space|0.6spc>\<bullet\><space|0.6spc>\<bullet\><space|0.6spc>\<cdots\><space|2.4spc>\<cdots\><space|0.2spc>\<cdots\>>>>>>|Some
  examples ordinal numbers.>

  It is classical <cite|Mal79> that the class of all ordinal numbers has all
  the properties of an ordinal number: if <with|mode|math|\<alpha\>,\<beta\>>
  and <with|mode|math|\<gamma\>> are ordinal numbers, then
  <with|mode|math|\<alpha\>\<nin\>\<alpha\>,
  \<alpha\>\<in\>\<beta\>\<Rightarrow\>\<beta\>\<nin\>\<alpha\>,
  \<alpha\>\<in\>\<beta\>\<wedge\>\<beta\>\<in\>\<gamma\>\<Rightarrow\>\<alpha\>\<in\>\<gamma\>,
  \<alpha\>\<in\>\<beta\>\<vee\>\<beta\>\<in\>\<alpha\>\<vee\>\<alpha\>=\<beta\>>
  and each non-empty set of ordinals admits a least element for
  <with|mode|math|<op|\<in\>>>. The following classification theorem is also
  classical <cite|Mal79>:

  <theorem|Each well-ordered set is isomorphic to a unique
  ordinal.<htab|5mm><with|mode|math|\<box\>>>

  The usual induction process for natural numbers admits an analogue for
  ordinal numbers. For this purpose, we distinguish between successor
  ordinals and limit ordinals: \ an ordinal <with|mode|math|\<alpha\>> is
  called a <em|successor ordinal><subindex|ordinal|successor> if
  <with|mode|math|\<alpha\>=\<beta\>\<cup\>{\<beta\>}> for some ordinal
  <with|mode|math|\<beta\>> (and we write
  <with|mode|math|\<alpha\>=\<beta\>+1>) and a <em|limit
  ordinal><subindex|ordinal|limit> if not (in which case
  <with|mode|math|\<alpha\>=<big|cup><rsub|\<beta\>\<in\>\<alpha\>>\<beta\>>).
  For example, the inductive definitions for addition, multiplication and
  exponentiation can now be extended to ordinal numbers as follows:

  <big-table|<with|mode|math|<block*|<tformat|<cwith|1|-1|1|1|cell-halign|l>|<table|<row|<cell|>|<cell|0>|<cell|<with|mode|text|Successor
  ordinals <with|mode|math|\<beta\>+1>>>|<cell|<with|mode|text|Limit ordinals
  <with|mode|math|\<lambda\>\<gtr\>0>>>>|<row|<cell|<with|mode|text|Addition>>|<cell|\<alpha\>+0=0>|<cell|\<alpha\>+(\<beta\>+1)=(\<alpha\>+\<beta\>)+1>|<cell|\<alpha\>+\<lambda\>=<big|cup><rsub|\<beta\>\<in\>\<lambda\>><rsup|>\<alpha\>+\<beta\>>>|<row|<cell|<with|mode|text|Multiplication>>|<cell|\<alpha\>\<cdot\>0=0>|<cell|\<alpha\>\<cdot\>(\<beta\>+1)=(\<alpha\>\<cdot\>\<beta\>)+\<alpha\>>|<cell|\<alpha\>\<cdot\>\<lambda\>=<big|cup><rsub|\<beta\>\<in\>\<lambda\>><rsup|>\<alpha\>\<cdot\>\<beta\>>>|<row|<cell|<with|mode|text|Exponentiation>>|<cell|\<alpha\><rsup|0>=1>|<cell|\<alpha\><rsup|\<beta\>+1>=\<alpha\><rsup|\<beta\>>\<cdot\>\<alpha\>>|<cell|\<alpha\><rsup|\<lambda\>>=<big|cup><rsub|\<beta\>\<in\>\<lambda\>><rsup|>\<alpha\><rsup|\<beta\>>>>>>>>|Basic
  arithmetic on ordinal numbers.>

  Similarly, one has the <em|transfinite induction><index|transfinite
  induction><subindex|induction|transfinite> principle: assume that a
  property <with|mode|math|P> for ordinals satisfies
  <with|mode|math|P(\<alpha\>)\<Rightarrow\>P(\<alpha\>+1)> for all
  <with|mode|math|\<alpha\>> and <with|mode|math|(\<forall\>\<alpha\>\<in\>\<lambda\>,P(\<alpha\>))\<Rightarrow\>P(\<lambda\>)>
  for all limit ordinals <with|mode|math|\<lambda\>>. Then
  <with|mode|math|P(\<alpha\>)> holds for all ordinals
  <with|mode|math|\<alpha\>>.

  The following theorem classifies all countable ordinals smaller than
  <with|mode|math|\<omega\><rsup|\<omega\>>>, and is due to Cantor
  <cite|Can1899>:

  <surround||<vspace|2fn><with|mode|math|\<box\>>|<\theorem>
    <index|Cantor's theorem><subindex|theorem|Cantor><subindex|ordinal|countable>Let
    <with|mode|math|\<alpha\>\<less\>\<omega\><rsup|\<omega\>>> be a
    countable ordinal. Then there exists a unique sequence of natural numbers
    <with|mode|math|n<rsub|d>,\<ldots\>,n<rsub|0>> (with
    <with|mode|math|n<rsub|d>\<gtr\>0> if <with|mode|math|d\<gtr\>0)>, such
    that

    <equation*|\<alpha\>=\<omega\><rsup|d>\<cdot\>n<rsub|d>+\<cdots\>+\<omega\>\<cdot\>n<rsub|1>+n<rsub|0>.>
  </theorem>>

  <exercise|Prove the transfinite induction principle.>

  <\exercise>
    For any two ordinals <with|mode|math|\<alpha\>,\<beta\>>, show that

    <\enumerate-alpha>
      <item><with|mode|math|\<alpha\>+\<beta\>\<cong\>\<alpha\>\<dotamalg\>\<beta\>;>

      <item><with|mode|math|\<alpha\>\<cdot\>\<beta\>\<cong\>\<alpha\>\<dottimes\>\<beta\>>.
    </enumerate-alpha>

    In particular, <with|mode|math|+> and <with|mode|math|\<cdot\>> are
    associative and <with|mode|math|+> is right distributive <abbr|w.r.t.>
    <with|mode|math|\<cdot\>>, by exercise <reference|order-props>.
  </exercise>

  <\exercise>
    For all ordinals <with|mode|math|\<alpha\>,\<beta\>> and
    <with|mode|math|\<gamma\>>, prove that

    <\enumerate-alpha>
      <item><with|mode|math|(\<alpha\><rsup|\<beta\>>)<rsup|\<gamma\>>=\<alpha\><rsup|\<beta\>\<cdot\>\<gamma\>>>;

      <item><with|mode|math|\<alpha\><rsup|\<beta\>+\<gamma\>>=\<alpha\><rsup|\<beta\>>\<cdot\>\<alpha\><rsup|\<gamma\>>.>
    </enumerate-alpha>

    Do we also have <with|mode|math|(\<alpha\>\<cdot\>\<beta\>)<rsup|\<gamma\>>=\<alpha\><rsup|\<gamma\>>\<cdot\>\<beta\><rsup|\<gamma\>>>?
  </exercise>

  <section|Well-quasi-orderings><label|Noeth>

  Let <with|mode|math|E> be a quasi-ordered set. A <em|chain><index|chain> in
  <with|mode|math|E> is a subset of <with|mode|math|E> which is totally
  ordered for the induced ordering. An <em|anti-chain><index|antichain> is a
  subset of <with|mode|math|E> of pairwise incomparable elements. A
  <em|well-quasi-ordering><index|well-quasi-ordering><subindex|quasi-ordering|well>
  is a well-founded quasi-ordering without infinite anti-chains.

  A <em|final segment><index|final segment> is a subset <with|mode|math|F> of
  <with|mode|math|E>, such that <with|mode|math|x\<in\>F\<wedge\>x\<leqslant\>y\<Rightarrow\>y\<in\>F>,
  for all <with|mode|math|x,y\<in\>E>. Given an arbitrary subset
  <with|mode|math|A> of <with|mode|math|E>, we denote by
  <with|mode|math|<fseg|A>={y\<in\>E:\<exists\>x\<in\>A,x\<leqslant\>y}><subindex|final
  segment|generated by <with|mode|math|A>><glossary-explain|<with|mode|math|<fseg|A>>|final
  segment generated by <with|mode|math|A>> the final segment <em|generated>
  by <with|mode|math|A>. Dually, an <em|initial segment><index|initial
  segment> is a subset <with|mode|math|I> of <with|mode|math|E>, such that
  <with|mode|math|y\<in\>I\<wedge\>x\<leqslant\>y\<Rightarrow\>x\<in\>I>, for
  all <with|mode|math|x,y\<in\>E>. We denote by
  <with|mode|math|<iseg|A>={y\<in\>E:\<exists\>x\<in\>A,y\<leqslant\>x}><subindex|initial
  segment|generated by <with|mode|math|A>><glossary-explain|<with|mode|math|<iseg|A>>|initial
  segment generated by <with|mode|math|A>> the initial segment generated by
  <with|mode|math|A>.

  <\proposition>
    <label|Noetherian>Let <with|mode|math|E> be a quasi-ordered set. Then the
    following are equivalent:

    <\enumerate-alpha>
      <item><with|mode|math|E> is well-quasi-ordered.

      <item>Any final segment of <with|mode|math|E> is finitely generated.

      <item>The ascending chain condition <abbr|w.r.t.> inclusion holds for
      final segments of <with|mode|math|E>.

      <item>Each sequence <with|mode|math|x<rsub|1>,x<rsub|2>,\<ldots\>\<in\>E>
      admits an increasing subsequence.

      <item>Any extension of the quasi-ordering on <with|mode|math|E> to a
      total quasi-ordering on <with|mode|math|E> yields a well-founded
      quasi-ordering.
    </enumerate-alpha>
  </proposition>

  <\proof>
    Assume (<with|font-shape|italic|a>) and let <with|mode|math|F> be a final
    segment of <with|mode|math|E> and <with|mode|math|G\<subseteq\>F> the
    subset of minimal elements of <with|mode|math|F>. Then <with|mode|math|G>
    is an anti-chain, whence finite. We claim that <with|mode|math|G>
    generates <no-break><with|mode|math|F>. Indeed, in the contrary case, let
    <with|mode|math|x<rsub|1>\<in\>F\<setminus\>fin(G)>. Since
    <with|mode|math|x<rsub|1>> is not minimal in <with|mode|math|F>, there
    exists an <with|mode|math|x<rsub|2>\<in\>F\\fin(G)> with
    <with|mode|math|x<rsub|1>\<gtr\>x<rsub|2>>. Repeating this argument, we
    obtain an infinite decreasing sequence
    <with|mode|math|x<rsub|1>\<gtr\>x<rsub|2>\<gtr\>\<cdots\>>. This proves
    (<em|b>). Conversely, if <with|mode|math|x<rsub|1>,x<rsub|2>,\<ldots\>>
    is an infinite anti-chain or an infinite strictly decreasing sequence,
    then the final segment generated by <no-break><with|mode|math|{x<rsub|1>,<no-break>x<rsub|2>,\<ldots\>}>
    is not finitely generated. This proves
    (<with|font-shape|italic|a>)<with|mode|math|\<Leftrightarrow\>>(<with|font-shape|italic|b>).

    Now let <with|mode|math|F<rsub|1>\<subseteq\>F<rsub|2>\<subseteq\>\<cdots\>>
    be an ascending chain of final segments. If the final segment
    <with|mode|math|F=<big|cup><rsub|n*>F<rsub|n>> is finitely generated, say
    by <with|mode|math|G>, then we must have
    <with|mode|math|G\<subseteq\>F<rsub|n>>, for some <with|mode|math|n>.
    This shows that (<with|font-shape|italic|b>)<with|mode|math|\<Rightarrow\>>(<with|font-shape|italic|c>).
    Conversely, let <with|mode|math|G> be the set of minimal elements of a
    final segment <with|mode|math|F>. If <with|mode|math|x<rsub|1>,x<rsub|2>,...>
    are pairwise distinct elements of <with|mode|math|G>, then
    <with|mode|math|<fseg|x<rsub|1>>\<varsubsetneq\><fseg|x<rsub|1>,<no-break>x<rsub|2>>\<varsubsetneq\>\<cdots\>>
    forms an infinite strictly ascending chain of final segments.

    Now consider a sequence <with|mode|math|x<rsub|1>,x<rsub|2>,\<ldots\>> of
    elements in <with|mode|math|E>, and assume that
    <with|mode|math|<op|\<leqslant\>>> is a well-quasi-ordering. We extract
    an increasing sequence <with|mode|math|x<rsub|i<rsub|1>>,x<rsub|i<rsub|2>>,\<ldots\>>
    from it by the following procedure: Let <with|mode|math|F<rsub|n>> be the
    final segment generated by the <with|mode|math|x<rsub|k>>, with
    <with|mode|math|k\<gtr\>i<rsub|n>> and
    <with|mode|math|x<rsub|k>\<geqslant\>x<rsub|i<rsub|n>>>
    (<with|mode|math|F<rsub|0>=E> by convention) and assume by induction that
    the sequence <with|mode|math|x<rsub|1>,x<rsub|2>,\<ldots\>> contains
    infinitely many terms in <with|mode|math|F<rsub|n>>. Since
    <with|mode|math|F<rsub|n>> is finitely generated by
    (<with|font-shape|italic|b>), we can select a generator
    <with|mode|math|x<rsub|i<rsub|n+1>>>, with
    <with|mode|math|i<rsub|n+1>\<gtr\>i<rsub|n>> and such that the sequence
    <with|mode|math|x<rsub|1>,x<rsub|2>,\<ldots\>> contains infinitely many
    terms in <with|mode|math|F<rsub|n+1>>. This implies
    (<with|font-shape|italic|d>). On the other hand, it is clear that it is
    not possible to extract an increasing sequence from an infinite strictly
    decreasing sequence or from a sequence of pairwise incomparable elements.

    Let us finally prove (<with|font-shape|italic|a>)<with|mode|math|\<Leftrightarrow\>>(<with|font-shape|italic|e>).
    An ordering containing an infinite anti-chain or an infinite strictly
    decreasing sequence can always be extended to a total quasi-ordering
    which contains a copy of <with|mode|math|\<um\>\<bbb-N\>>, by a
    straightforward application of Zorn's lemma. Inversely, any extension of
    a well-quasi-ordering is a well-quasi-ordering.
  </proof>

  The most elementary examples of well-quasi-orderings are well-orderings and
  quasi-orderings on finite sets. Other well-quasi-orderings can be
  constructed as follows.

  <\proposition>
    <label|make-Noetherian>Assume that <with|mode|math|E> and
    <with|mode|math|F> are well-quasi-ordered sets. Then

    <\enumerate-alpha>
      <item>Any subset of <with|mode|math|E> with the induced ordering is
      well-quasi-ordered.

      <item>Let <with|mode|math|\<varphi\>:E\<rightarrow\>F> be a morphism of
      ordered sets. Then <with|mode|math|Im \<varphi\>> is
      well-quasi-ordered.

      <item>Any ordering on <with|mode|math|E> which extends
      <with|mode|math|<op|\<leqslant\><rsub|E>>> is a well-quasi-ordering.

      <item><with|mode|math|math-condensed|true|E/<op|\<sim\>>> is
      well-quasi-ordered, for any compatible equivalence relation
      <with|mode|math|<op|\<sim\>>> on <with|mode|math|E>.

      <item><with|mode|math|E\<amalg\>F> and <with|mode|math|E\<dotamalg\>F>
      are well-quasi-ordered.

      <item><with|mode|math|E\<times\>F> and <with|mode|math|E\<dottimes\>F>
      are well-quasi-ordered.
    </enumerate-alpha>
  </proposition>

  <proof|Properties (<with|font-shape|italic|a>),
  (<with|font-shape|italic|b>), (<with|font-shape|italic|e>) and
  (<with|font-shape|italic|f>) follow from proposition
  <no-break><reference|Noetherian>(<with|font-shape|italic|d>). The
  properties (<with|font-shape|italic|c>) and (<with|font-shape|italic|d>)
  are special cases of (<with|font-shape|italic|b>).>

  <corollary|<index|Dickson's lemma><dueto|Dickson's lemma>For each
  <with|mode|math|n\<in\>\<bbb-N\>>, the set
  <with|mode|math|\<bbb-N\><rsup|n>> with the partial, componentwise ordering
  is a well-quasi-ordering.<htab|5mm><with|mode|math|\<box\>>>

  <theorem|<index|Higman's theorem><subindex|theorem|Higman><dueto|Higman>Let
  <with|mode|math|E> is be a well-quasi-ordered set. Then
  <with|mode|math|E<rsup|\<ast\>>> is a well-quasi-ordered set.>

  <surround||<vspace|2fn>|<\proof>
    Our proof is due to Nash-Williams <cite|NW63>. If
    <with|mode|math|<op|\<leqslant\>>> denotes any ordering, then we say that
    <with|mode|math|(x<rsub|1>,x<rsub|2>,\<ldots\>)> is a <em|bad
    sequence><index|bad sequence>, if there do not exist
    <with|mode|math|i\<less\>j> with <with|mode|math|x<rsub|i>\<leqslant\>x<rsub|j>>.
    A quasi-ordering is a well-quasi-ordering, if and only if there are no
    bad sequences.

    Now assume for contradiction that <with|mode|math|s=(w<rsub|1>,w<rsub|2>,\<ldots\>)>
    is a bad sequence for <with|mode|math|<op|\<leqslant\><rsub|E<rsup|\<ast\>>>>>.
    Without loss of generality, we may assume that each
    <with|mode|math|w<rsub|i>> was chosen such that the length (as a word) of
    <with|mode|math|w<rsub|i>> were minimal, under the condition that
    <with|mode|math|><with|mode|math|w<rsub|i>\<in\>E<rsup|\<ast\>>
    \<setminus\><fseg|w<rsub|1>,\<ldots\>,<no-break>w<rsub|i-1>>>. We say
    that <with|mode|math|(w<rsub|1>,w<rsub|2>,...)> is a <em|minimal bad
    sequence><subindex|bad sequence|minimal>.

    Now for all <with|mode|math|i>, we must have
    <with|mode|math|w<rsub|i>\<neq\>\<varepsilon\>>, so we can factor
    <with|mode|math|w<rsub|i>=x<rsub|i*>*u<rsub|i>>, where
    <with|mode|math|x<rsub|i>> is the first letter of
    <with|mode|math|w<rsub|i>>. By proposition
    <reference|Noetherian>(<with|font-shape|italic|d>), we can extract an
    increasing sequence <with|mode|math|x<rsub|i<rsub|1>>,x<rsub|i<rsub|2>>,\<ldots\>>
    from <with|mode|math|x<rsub|1>,x<rsub|2>,\<ldots\>>. Now consider the
    sequence <with|mode|math|s<rprime|'>=(w<rsub|1>,\<ldots\>,w<rsub|i<rsub|1>-1>,u<rsub|i<rsub|1>>,u<rsub|i<rsub|2>>,\<ldots\>)>.
    By the minimality of <with|mode|math|s>, this sequence is good. Hence,
    there exist <with|mode|math|j\<less\>k> with
    <with|mode|math|u<rsub|i<rsub|j>>\<leqslant\><rsub|E<rsup|\<ast\>>>u<rsub|i<rsub|k>>>.
    But then, <with|mode|math|w<rsub|i<rsub|j>>=x<rsub|i<rsub|j>>*u<rsub|i<rsub|j>>\<leqslant\><rsub|E<rsup|\<ast\>><rsup|>>x<rsub|i<rsub|k>>*u<rsub|i<rsub|k>>=w<rsub|i<rsub|k>>>,
    which contradicts the badness of <with|mode|math|s>.
  </proof>>

  <exercise|Show that <with|mode|math|E> is a well-quasi-ordering if and only
  if the ordering on <with|mode|math|math-condensed|true|E/\<equiv\>> is a
  <no-break>well-quasi-ordering.>

  <exercise|Prove the principle of <em|Noetherian induction><index|Noetherian
  induction><subindex|induction|Noetherian>: let <with|mode|math|P> be a
  property for well-quasi-ordered sets, such that <with|mode|math|P(E)>
  holds, whenever <with|mode|math|P> holds for all proper initial segments of
  <no-break><with|mode|math|E>. Then <with|mode|math|P> holds for all
  well-quasi-ordered sets.>

  <exercise|Let <with|mode|math|E> and <with|mode|math|F> be
  well-quasi-ordered sets. With <with|mode|math|<value|rsF>(E,F)> as in
  exercise <reference|map-order>, when is <with|mode|math|<value|rsF>(E,F)>
  also well-quasi-ordered?>

  <exercise|Let <with|mode|math|E> be a well-quasi-ordered set. The set
  <with|mode|math|<Iseg|E>> of initial segments of <with|mode|math|E> is
  naturally ordered by inclusion. Show that <with|mode|math|<Iseg|E>> is not
  necessarily well-quasi-ordered. We define <with|mode|math|E> to be a
  strongly well-quasi-ordered set if <with|mode|math|<Iseg|E>> is also
  well-quasi-ordered. Which properties from proposition
  <reference|make-Noetherian> generalize to strongly well-quasi-ordered
  sets?>

  <exercise|A <em|limit well-quasi-ordered set> is a well-quasi-ordered set
  <with|mode|math|E>, such that there are no final segments of cardinality 1.
  Given two well-quasi-ordered sets <with|mode|math|E> and
  <with|mode|math|F>, we define <with|mode|math|E> and <with|mode|math|F> to
  be equivalent if there exists an increasing injection from
  <with|mode|math|E> into <with|mode|math|F> and vice versa. Prove that a
  limit well-quasi-ordered set is equivalent to a unique limit ordinal.>

  <section|Kruskal's theorem><label|Kruskal-th>

  An <em|unoriented tree><subindex|tree|unoriented> is a finite set
  <with|mode|math|T> of <with|math-font-shape|italic|font-shape|italic|nodes><subindex|tree|node><index|node>
  with a partial ordering <with|mode|math|<op|\<leqslant\><rsub|T>>>, such
  that<nbsp><with|mode|math|T> admits a minimal element
  <with|mode|math|<with|mode|math|root(T)>> called the root of
  <with|mode|math|T><subindex|tree|root><glossary-explain|<with|mode|math|root(T)>|root
  of <with|mode|math|T>> and such that each node admits a unique predecessor.
  Given <with|mode|math|a,b\<in\>T>, we recall that <with|mode|math|a> is a
  <em|predecessor><index|predecessor><subindex|node|predecessor> of
  <with|mode|math|b> (and <with|mode|math|b> a
  <em|successor><index|successor> of <with|mode|math|a>) if
  <with|mode|math|a\<less\>b> and <with|mode|math|c\<leqslant\>a> for any
  <with|mode|math|c\<in\>T> with <with|mode|math|c\<less\>b>. A node without
  successors is called a <with|math-font-shape|italic|font-shape|italic|leaf><index|leaf><subindex|node|successor><subindex|node|leaf><subindex|tree|leaf>.
  Any node <with|mode|math|a\<in\>T> naturally induces a
  <em|subtree><index|subtree> <with|mode|math|T<rsub|a>={b\<in\>T:b\<geqslant\><rsub|T>a}>
  with root <with|mode|math|a>. Since <no-break><with|mode|math|T> is finite,
  an easy induction shows that any two nodes <with|mode|math|a,b> of
  <with|mode|math|T> admit an <em|infimum><index|infimum>
  <with|mode|math|a\<wedge\>b> <abbr|w.r.t.>
  <with|mode|math|<op|\<leqslant\><rsub|T>>>, for which
  <with|mode|math|a\<wedge\>b\<leqslant\>a>,
  <with|mode|math|a\<wedge\>b\<leqslant\>b> and
  <with|mode|math|c\<leqslant\>a\<wedge\>b> for all <with|mode|math|c\<in\>T>
  with <with|mode|math|c\<leqslant\>a> and <with|mode|math|c\<leqslant\>b>.

  A <em|oriented tree><index|tree> (or simply <em|tree>) is an unoriented
  tree <with|mode|math|T>, together with a total ordering
  <no-break><with|mode|math|<op|\<trianglelefteqslant\><rsub|T>>> which
  extends <with|mode|math|<op|\<leqslant\><rsub|T>>> and which satisfies the
  condition

  <\equation*>
    a<space|0.2spc>\<trianglelefteqslant\><rsub|T><space|0.2spc>b\<wedge\>a<space|0.2spc>\<nleqslant\><rsub|T><space|0.2spc>b\<wedge\>a<space|0.2spc>\<leqslant\><rsub|T><space|0.2spc>a<rprime|'>\<wedge\>b<space|0.2spc>\<leqslant\><rsub|T><space|0.2spc>b<rprime|'><space|0.6spc>\<Rightarrow\><space|0.6spc>a<rprime|'><space|0.2spc>\<trianglelefteqslant\><rsub|T><space|0.2spc>b<rprime|'>.
  </equation*>

  It is not hard to see that such a total ordering
  <with|mode|math|<op|\<trianglelefteqslant\><rsub|T>>> is uniquely
  determined by its restrictions to the sets of
  <with|mode|math|<op|\<leqslant\><rsub|T>>>-successors for each node
  <with|mode|math|a>.

  Given a set <with|mode|math|E>, an <em|<with|mode|math|E>-labeled
  tree><subindex|tree|<with|mode|math|E>-labeled> is a tree
  <with|mode|math|T> together with a labeling
  <with|mode|math|l:T\<rightarrow\>E>. We denote by
  <with|mode|math|E<rsup|\<top\>>><index|tree><glossary-explain|<with|mode|math|E<rsup|\<top\>>>|set
  of finite <with|mode|math|E>-labeled trees> the set of such trees. An
  <with|mode|math|E>-labeled tree <with|mode|math|T> may be represented
  graphically by

  <equation|T=<tree|x|T<rsub|1>|\<cdots\>|T<rsub|n>>,<label|tree>>

  where <with|mode|math|x=l(root(T))> and
  <with|mode|math|T<rsub|1>=T<rsub|a<rsub|1>>,\<ldots\>,T<rsub|n>=T<rsub|a<rsub|n>>\<in\>E<rsup|\<top\>>>
  are the subtrees associated to the successors
  <no-break><with|mode|math|a<rsub|1><space|0.2spc>\<vartriangleleft\><rsub|T><space|0.2spc>\<cdots\><space|0.2spc>\<vartriangleleft\><rsub|T><space|0.2spc>a<rsub|n>>
  of <with|mode|math|root(T)>. We call <with|mode|math|T<rsub|1>,\<ldots\>,T<rsub|n>>
  the <em|children><index|child> of the root and <with|mode|math|n> its
  <em|arity><bi-index|arity|tree>. Notice that we may have
  <with|mode|math|n=0>.

  <\example>
    We may see usual trees as <with|mode|math|{\<bullet\>}>-labeled trees,
    where <with|mode|math|{\<bullet\>}> is the set with one symbolic element
    <with|mode|math|\<bullet\>>. The difference between unoriented and
    oriented trees is that the ordering on the branches is important. For
    instance, the two trees below are different as oriented trees, but the
    same as unoriented trees:

    <\equation*>
      <tree|\<bullet\>|<tree|\<bullet\>|\<bullet\>|\<bullet\>>|\<bullet\>|<tree|\<bullet\>|\<bullet\>|\<bullet\>|<tree|\<bullet\>|\<bullet\>|\<bullet\>>|\<bullet\>>><space|4fn><tree|\<bullet\>|<tree|\<bullet\>|<tree|\<bullet\>|\<bullet\>|\<bullet\>>|\<bullet\>|\<bullet\>|\<bullet\>>|\<bullet\>|<tree|\<bullet\>|\<bullet\>|\<bullet\>>>
    </equation*>
  </example>

  <yes-indent>If <with|mode|math|E> is a quasi-ordered set, then the
  <em|embeddability quasi-ordering><subindex|quasi-ordering|embeddability><subindex|ordering|embeddability>
  on <with|mode|math|E<rsup|\<top\>>> is defined by
  <with|mode|math|T\<leqslant\><rsub|E<rsup|\<top\>>> T<rprime|'>>, if and
  only if there exists a strictly increasing mapping
  <with|mode|math|\<varphi\>: T \<rightarrow\> T<rprime|'>> for
  <no-break><with|mode|math|<op|\<trianglelefteqslant\><rsub|T>>>, such that
  <with|mode|math|\<varphi\>(a \<wedge\> b) =
  \<varphi\>(a)\<wedge\>\<varphi\>(b)>, and <with|mode|math|l(a)
  \<leqslant\><rsub|E> l(\<varphi\>(a))>, for all <with|mode|math|a, b \<in\>
  T>. An example of a tree which embeds into another tree is given by

  <equation*|<tree|6|4|<tree|3|1|2>>\<leqslant\><rsub|\<bbb-N\><rsup|\<top\>>><tree|<with|color|blue|7>|1|<tree|2|<with|color|blue|5>|1>|<tree|<with|color|blue|3>|3|<with|color|blue|1>|<tree|1|5|<with|color|blue|8>>|1>>.>

  The following theorem is known as Kruskal's theorem:

  <\theorem>
    <label|Kruskal1><index|Kruskal's theorem><subindex|theorem|Kruskal>If
    <with|mode|math|E> is a well-quasi-ordered set, then so is
    <with|mode|math|E<rsup|\<top\>>>.
  </theorem>

  <\proof>
    Assume that there exists a bad sequence
    <with|mode|math|T<rsub|1>,T<rsub|2>,\<ldots\>>. We may assume that we
    have chosen each

    <equation*|T<rsub|i>=<tree|x<rsub|i>|T<rsub|i,1>|\<cdots\>|T<rsub|i,n<rsub|i>>>>

    of minimal cardinality (assuming that
    <with|mode|math|T<rsub|1>,\<ldots\>,T<rsub|i-1>> have already been
    fixed), <abbr|i.e.> <with|mode|math|T<rsub|1>,T<rsub|2>,\<ldots\>> is a
    ``minimal bad sequence''. We claim that the induced quasi-ordering on
    <with|mode|math|S= { T<rsub|i,j>:j\<leqslant\>n<rsub|i>}> is a
    well-quasi-ordering. Indeed, suppose the contrary, and let

    <equation*|T<rsub|i<rsub|1>,j<rsub|1>>,T<rsub|i<rsub|2>,j<rsub|2>>,\<ldots\>>

    be a bad sequence. Let <with|mode|math|k> be such that
    <with|mode|math|i<rsub|k>> is minimal. Then the sequence

    <equation*|T<rsub|1>,\<ldots\>,T<rsub|i<rsub|k>-1>,T<rsub|i<rsub|k>,j<rsub|k>>,T<rsub|i<rsub|k+1>,j<rsub|k+1>>,\<ldots\>>

    is also bad, which contradicts the minimality of
    <with|mode|math|T<rsub|1>,T<rsub|2>,\<ldots\>>. Hence, <with|mode|math|S>
    is well-quasi-ordered, and so is <with|mode|math|E\<times\>S<rsup|\<ast\>>>,
    by Higman's theorem and proposition <reference|make-Noetherian>(<with|font-shape|italic|f>).
    But each tree <with|mode|math|T<rsub|i>> can be interpreted as an element
    of <with|mode|math|E\<times\>S<rsup|\<ast\>>>. Hence,
    <with|mode|math|{T<rsub|1>,T<rsub|2>,\<ldots\>}> is a well-quasi-ordered
    subset of <with|mode|math|E<rsup|\<top\>>>, which contradicts our
    assumption that <with|mode|math|T<rsub|1>,T<rsub|2>,\<ldots\>> is a bad
    sequence.
  </proof>

  <surround||<vspace|2fn>|<remark|In the case when we restrict ourselves to
  trees of bounded arity, the above theorem was already due to Higman. The
  general theorem was first conjectured by Vzsonyi. The proof we have given
  here is due to Nash-Williams.>>

  <\exercise>
    Let <with|mode|math|X> be a quasi-ordered set and let
    <with|mode|math|\<Omega\>> be an ordered set of operations
    on<nbsp><with|mode|math|X>. That is, the elements of
    <with|mode|math|><with|mode|math|\<Omega\>> are mappings
    <with|mode|math|f:X<rsup|n<rsub|f>>\<rightarrow\>X>. We say that such an
    operation <with|mode|math|f> is <em|extensive><subindex|extensive|operation>,
    if for all <with|mode|math|x\<in\>X<rsup|n<rsub|f>>> and
    <with|mode|math|1\<leqslant\>i\<leqslant\>n<rsub|f>>, we have

    <equation*|<with|math-condensed|true|>x<rsub|i>\<leqslant\><rsub|X>f(x<rsub|1>,\<ldots\>,x<rsub|n<rsub|f>>)>

    We say that the orderings of <with|mode|math|X> and
    <with|mode|math|\<Omega\>> are <em|compatible>, if for all
    <with|mode|math|f\<leqslant\><rsub|\<Omega\>>g>,
    <with|mode|math|x\<in\>X<rsup|n<rsub|f>>> and
    <with|mode|math|y\<in\>X<rsup|n<rsub|g>>>, we have

    <equation*|f(x<rsub|1>,\<ldots\>,x<rsub|n<rsub|f>>)\<leqslant\><rsub|X>g(y<rsub|1>,\<ldots\>,y<rsub|g<rsub|n>>),<no-page-break>>

    whenever there exists an increasing mapping
    <with|mode|math|\<varphi\>:{1,\<ldots\>,n<rsub|f>}\<rightarrow\>{1,\<ldots\>,n<rsub|g>}>
    with <with|mode|math|x<rsub|i>\<leqslant\><rsub|X>y<rsub|\<varphi\>(i)>>
    for all <with|mode|math|1\<leqslant\>i\<leqslant\>n<rsub|f>>.

    Assume that these conditions are satisfied and let <with|mode|math|G> be
    a subset of <with|mode|math|X>. The smallest subset of <with|mode|math|X>
    which contains <with|mode|math|G> and which is stable under
    <with|mode|math|\<Omega\>> is said to be the subset of <with|mode|math|X>
    <em|generated> by <with|mode|math|G> <abbr|w.r.t.>
    <with|mode|math|\<Omega\>>, and will be denoted by
    <with|mode|math|(G)<rsub|\<Omega\>>>. If <with|mode|math|G> is a
    well-quasi-ordered subset of <with|mode|math|X> and the ordering on
    <with|mode|math|\<Omega\>> is well-quasi-ordered, then prove that
    <with|mode|math|(G)<rsub|\<Omega\>>> is well-quasi-ordered.
  </exercise>

  <section|Ordered structures><label|ordered-structures>

  In the sequel, all monoids, groups and rings will be commutative and all
  rings unitary. The following ordered structures will be encountered
  frequently throughout this book. Recall that we systematically understand
  all orderings to be partial (contrary to what is customary for certain
  structures).

  <\itemize-dot>
    <item>An <em|ordered (Abelian or additive)
    monoid><subindex|ordered|monoid> is an (Abelian or additive) monoid
    <no-break><with|mode|math|X> with an ordering
    <with|mode|math|<op|\<leqslant\>>>, such that

    <\description>
      <item*|OM><with|mode|math|x\<leqslant\>y\<wedge\>x<rprime|'>\<leqslant\>y<rprime|'>\<Rightarrow\>x*x<rprime|'>\<leqslant\>y*y<rprime|'>><htab|5mm>(in
      case of a multiplicative monoid);

      <item*|OA><space|0.8spc><with|mode|math|x\<leqslant\>y\<wedge\>x<rprime|'>\<leqslant\>y<rprime|'>\<Rightarrow\>x+x<rprime|'>\<leqslant\>y+y<rprime|'>><htab|5mm>(in
      case of a an additive monoid),
    </description>

    for all <with|mode|math|x,y,x<rprime|'>,y<rprime|'>\<in\>X>.

    <item>An <em|ordered ring><subindex|ordered|ring> is a ring
    <with|mode|math|R> with an ordering <with|mode|math|<op|\<leqslant\>>>
    with the following properties:

    <\description>
      <item*|OR1><with|mode|text|<with|mode|math|0\<leqslant\>1>;>

      <item*|OR2><with|mode|text|mode|math|x\<leqslant\>y\<wedge\>x<rprime|'>\<leqslant\>y<rprime|'>\<Rightarrow\>x+x<rprime|'>\<leqslant\>y+y<rprime|'>>;

      <item*|OR3><with|mode|math|0\<leqslant\>x\<wedge\>0\<leqslant\>y\<Rightarrow\>0\<leqslant\>x*y>,
    </description>

    for all <with|mode|math|x,y,x<rprime|'>,y<rprime|'>\<in\>R>.

    <item>An <em|ordered field><subindex|ordered|field> is a field
    <with|mode|math|K> with an ordering <with|mode|math|<op|\<leqslant\>>>
    which makes <with|mode|math|K> an ordered ring and such that
    <with|mode|math|0\<less\>x\<Rightarrow\>0\<less\>x<rsup| \<um\>1>> for
    all <with|mode|math|x\<in\>K>. Notice that this latter condition is
    automatically satisfied if <with|mode|math|<op|\<leqslant\>>> is total.

    <item>An <em|ordered <with|mode|math|R>-module><subindex|ordered|<with|mode|math|R>-module>
    over an ordered ring <with|mode|math|R> is an <with|mode|math|R>-module
    <with|mode|math|M> with an ordering <with|mode|math|<op|\<leqslant\>>>
    which satisfies

    <\description>
      <item*|OM1><with|mode|math|x\<leqslant\>y\<wedge\>x<rprime|'>\<leqslant\>y<rprime|'>\<Rightarrow\>x+x<rprime|'>\<leqslant\>y+y<rprime|'>>;

      <item*|OM2><with|mode|math|0\<leqslant\>\<lambda\>\<wedge\>0\<leqslant\>x\<Rightarrow\>0\<leqslant\>\<lambda\>*x>,
    </description>

    for all <with|mode|math|\<lambda\>\<in\>R> and
    <with|mode|math|x,y,x<rprime|'>,y<rprime|'>\<in\>M.> Any Abelian group is
    trivially an ordered <with|mode|math|\<bbb-Z\>>-module.

    <item>An <em|ordered <with|mode|math|R>-algebra><subindex|ordered|<with|mode|math|R>-algebra>
    is a morphism <with|mode|math|\<varphi\>:R\<rightarrow\>A> of ordered
    rings, <abbr|i.e.> an increasing ring morphism of <with|mode|math|R> into
    another ordered ring <with|mode|math|A>. As usual, we denote
    <with|mode|math|\<lambda\>*x=\<varphi\>(\<lambda\>)*x>, for
    <with|mode|math|\<lambda\>\<in\>R> and <with|mode|math|x\<in\>A>. Notice
    that <with|mode|math|A> is in particular an ordered
    <with|mode|math|R>-module. Any ordered ring <with|mode|math|R> is
    trivially an ordered <with|mode|math|\<bbb-Z\>>-algebra.
  </itemize-dot>

  Let <with|mode|math|S> be an ordered Abelian group, ring,
  <with|mode|math|R>-module or <with|mode|math|R>-algebra. We
  denote<glossary-explain|<with|mode|math|S<rsup|\<geqslant\>>>|subset of
  positive or zero elements in <with|mode|math|S>><glossary-explain|<with|mode|math|S<rsup|\<gtr\>>>|subset
  of strictly positive elements in <with|mode|math|S>><glossary-explain|<with|mode|math|S<rsup|\<neq\>>>|subset
  of non-zero elements in <with|mode|math|S>><glossary-explain|<with|mode|math|S<rsup|\<leqslant\>>>|subset
  of negative or zero elements in <with|mode|math|S>><glossary-explain|<with|mode|math|S<rsup|\<less\>>>|subset
  of strictly negative elements in <with|mode|math|S>>

  <\eqnarray*>
    <tformat|<table|<row|<cell|S<rsup|\<gtr\>>>|<cell|=>|<cell|{x\<in\>S:x\<gtr\>0}<space|0.6spc>;>>|<row|<cell|S<rsup|\<geqslant\>>>|<cell|=>|<cell|{x\<in\>S:x\<geqslant\>0}<space|0.6spc>;>>|<row|<cell|S<rsup|\<neq\>>>|<cell|=>|<cell|{x\<in\>S:x\<neq\>0}<space|0.6spc>;>>|<row|<cell|S<rsup|\<leqslant\>>>|<cell|=>|<cell|{x\<in\>S:x\<leqslant\>0}<space|0.6spc>;>>|<row|<cell|S<rsup|\<less\>>>|<cell|=>|<cell|{x\<in\>S:x\<less\>0}.>>>>
  </eqnarray*>

  We observe that the ordering <with|mode|math|<op|\<leqslant\>>> is
  characterized by <with|mode|math|S<rsup|\<geqslant\>>.> If
  <with|mode|math|S> is totally ordered, then we define the <em|absolute
  value><index|absolute value> of <with|mode|math|x\<in\>S> by
  <with|mode|math|\|x\|=x> if <with|mode|math|x\<geqslant\>0> and
  <with|mode|math|\|x\|=\<um\>x>, if <with|mode|math|x\<leqslant\>0><glossary-explain|<with|mode|math|\|x\|>|absolute
  value of <with|mode|math|x>>.

  <example|<with|mode|math|\<bbb-Q\>> and <with|mode|math|\<bbb-R\>> are the
  most common examples of totally ordered fields. <with|mode|math|\<bbb-N\>>
  and <with|mode|math|\<bbb-Z\>> are respectively a totally ordered monoid
  and a totally ordered group. The complex numbers form an ordered Abelian
  group when setting <with|mode|math|u\<less\>v\<Leftrightarrow\>Re
  u\<less\>Re <no-break>v>. However, this ordering is partial and not
  compatible with the multiplication. Notice that <with|mode|math|u> and
  <with|mode|math|u+y*\<mathi\>> are incomparable for
  <with|mode|math|u\<in\>\<bbb-C\>> and <with|mode|math|y\<in\>\<bbb-R\><rsup|\<neq\>>>.>

  <example|Let <with|mode|math|A> and <with|mode|math|B> be two ordered
  Abelian groups, rings, <with|mode|math|R>-modules or
  <with|mode|math|R>-algebras. Their <em|direct sum><index|direct sum>
  <with|mode|math|A\<oplus\>B\<assign\>A\<times\>B> is naturally ordered by
  the product ordering <with|mode|math|(x,y)\<leqslant\>(x<rprime|'>,y<rprime|'>)\<Leftrightarrow\>x\<leqslant\>x<rprime|'>\<wedge\>y\<leqslant\>y<rprime|'>>.
  Similarly, the <em|anti-lexicographical direct
  sum><subindex|anti-lexicographical|direct sum><subindex|direct
  sum|anti-lexicographical> <with|mode|math|A\<dotoplus\>B\<assign\>A\<dottimes\>B>
  of <with|mode|math|A> and <with|mode|math|B> is the ring
  <with|mode|math|A\<times\>B> with the anti-lexicographical ordering
  <with|mode|math|(x,y)\<leqslant\>(x<rprime|'>,y<rprime|'>)\<Leftrightarrow\>(x\<leqslant\>x<rprime|'>\<wedge\>y=y<rprime|'>)\<vee\>y\<less\>y<rprime|'>>.>

  <example|Let <with|mode|math|A> and <with|mode|math|B> be two ordered
  Abelian groups, rings, <with|mode|math|R>-modules or
  <with|mode|math|R>-algebras. Their <em|tensor product><index|tensor
  product> <with|mode|math|A\<otimes\>B> is naturally ordered, by declaring
  an element of <with|mode|math|A\<otimes\>B> to be positive or zero if it is
  a sum of elements of the form <with|mode|math|x\<otimes\>y> with
  <with|mode|math|x\<geqslant\>0> and <with|mode|math|y\<geqslant\>0>.
  Similarly, we define the <em|anti-lexicographical tensor
  product><subindex|tensor product|anti-lexicographical><subindex|anti-lexicographical|tensor
  product> <with|mode|math|A\<dototimes\>B>: its set of positive elements is
  additively generated by elements in <with|mode|math|A\<otimes\>B> of the
  form <with|mode|math|x\<otimes\>y+x<rsub|1>\<otimes\>y<rsub|1>+\<cdots\>+x<rsub|n>\<otimes\>y<rsub|n>>,
  with <with|mode|math|x,y\<geqslant\>0> and
  <with|mode|math|y<rsub|1>*R+\<cdots\>+y<rsub|n>*R\<less\>y>.>

  <example|<label|germ-ordering>The ring of germs of infinitely
  differentiable functions at infinity can be ordered by
  <with|mode|math|f\<leqslant\>g>, if there exists an
  <with|mode|math|x<rsub|0>\<in\>\<bbb-R\>>, such that
  <with|mode|math|f(x)\<leqslant\>g(x)> for all
  <with|mode|math|x\<geqslant\>x<rsub|0>>. A totally ordered subfield of this
  ring is called a <em|Hardy field><index|Hardy field>.>

  <\fold>
    <\exercise>
      Let <with|mode|math|R> be a totally ordered integral domain and let
      <with|mode|math|K> be its quotient field.

      <\enumerate-alpha>
        <item>Show that <with|mode|math|x\<gtr\>0\<wedge\>y\<gtr\>0\<Rightarrow\>x*y\<gtr\>0>,
        for all <with|mode|math|x,y\<in\>R>.

        <item>If <with|mode|math|<op|\<leqslant\>><rsub|R>> is a total
        ordering, then show that <with|mode|math|>there exists a unique total
        ordering on <with|mode|math|K>, which extends
        <with|mode|math|<op|\<leqslant\><rsub|R>>>, and for which
        <with|mode|math|K> is an ordered field.
      </enumerate-alpha>
    </exercise>
  <|fold>
    <\solution>
      \;

      <\enumerate-alpha>
        <item>Assume <with|mode|math|x\<gtr\>0> and
        <with|mode|math|y\<gtr\>0>. Then <with|mode|math|x\<geqslant\>0\<wedge\>y\<geqslant\>0\<Rightarrow\>x*y\<geqslant\>0>
        and <with|mode|math|x\<neq\>0\<wedge\>y\<neq\>0\<Rightarrow\>x*y\<neq\>0>.

        <item>Each element of <with|mode|math|K> can be represented by a
        fraction <with|mode|math|<frac|a|s>>, with
        <with|mode|math|s\<gtr\>0>, since <with|mode|math|<op|\<leqslant\>>>
        is a total ordering. Consider the relation
        <with|mode|math|<wide|\<leqslant\>|^>> on <with|mode|math|K>, defined
        by <with|mode|math|<frac|a|s><wide|\<leqslant\>|^><frac|b|t>>, if and
        only if <with|mode|math|a*t\<leqslant\>b*s>, where
        <with|mode|math|s,t\<gtr\>0>. This relation is well defined: if
        <with|mode|math|<frac|a<rprime|'>|s<rprime|'>>=<frac|a|s>> and
        <with|mode|math|<frac|b<rprime|'>|t<rprime|'>>=<frac|b|t>>, then
        <with|mode|math|a*t\<leqslant\>b*s\<Leftrightarrow\>a*t*s<rprime|'>*t<rprime|'>\<leqslant\>b*s*s<rprime|'>*t<rprime|'>\<Leftrightarrow\>a<rprime|'>*t*s*t<rprime|'>\<leqslant\>b<rprime|'>*s*s<rprime|'>*t\<Leftrightarrow\>a<rprime|'>*t<rprime|'>\<leqslant\>b<rprime|'>*s<rprime|'>>.
        It is easily verified that <with|mode|math|<wide|\<leqslant\>|^>> is
        a total ordering which extends <no-break><with|mode|math|<op|\<leqslant\>>>.
      </enumerate-alpha>
    </solution>
  </fold>

  <\fold>
    <\exercise>
      <label|integral-domain>Let <with|mode|math|R> be a totally ordered
      ring.

      <\enumerate-alpha>
        <item>Show that <with|mode|math|x*y=0\<Rightarrow\>(x<rsup|2>=0\<vee\>y<rsup|2>=0)>,
        for all <with|mode|math|x,y\<in\>R>. In particular, if
        <with|mode|math|R> contains no nilpotent elements, then
        <with|mode|math|R> is an integral domain.

        <item>Show that <with|mode|math|R> may contain nilpotent elements.

        <item>Show that <with|mode|math|R> may contain zero divisors which
        are not nilpotent.

        <item>Show that positive non-nilpotent elements are larger than any
        nilpotent element in <with|mode|math|R>.
      </enumerate-alpha>
    </exercise>
  <|fold>
    <\solution>
      \;

      <surround|| be such that <with|mode|math|0\<less\>y\<less\>x> and
      <with|mode|math|x> is nilpotent. Then <with|mode|math|x<rsup|n>=0>, for
      some <with|mode|math|n\<geqslant\>0>, and
      <with|mode|math|0\<leqslant\>y<rsup|n>\<leqslant\>x<rsup|n>=0>.
      Therefore <with|mode|math|y<rsup|n>=0>, i.e. <with|mode|math|y> is also
      nilpotent.|<\enumerate-alpha>
        <item>Let <with|mode|math|x=y\<in\>R> are such that
        <with|mode|math|x*y=0>. If <with|mode|math|x=y>, <with|mode|math|x=0>
        or <with|mode|math|y=0>, then we are done. Otherwise, we may assume
        without loss of generality that <with|mode|math|0\<less\>x\<less\>y>.
        Then <with|mode|math|0\<leqslant\>x<rsup|2>\<leqslant\>x*y>. Hence,
        <with|mode|math|x<rsup|2>=0>.

        <item>Consider <with|mode|math|\<bbb-Z\>[\<varepsilon\>]/(\<varepsilon\><rsup|2>)>
        with the ordering <with|mode|math|a+b*\<varepsilon\>\<geqslant\>0\<Leftrightarrow\>(a\<gtr\>0\<vee\>(a=0\<wedge\>b\<gtr\>0))>.

        <item>Consider <with|mode|math|R=\<bbb-Z\>[\<varepsilon\>,\<delta\>]/(\<varepsilon\>*\<delta\>,\<delta\><rsup|2>)>
        with <with|mode|math|0\<less\>\<delta\>\<precprec\>\<cdots\>\<precprec\>\<varepsilon\><rsup|2>\<precprec\>\<varepsilon\>\<precprec\>1>.

        <item>Let <with|mode|math|x,y\<in\>R>
      </enumerate-alpha>>
    </solution>
  </fold>

  <\exercise>
    Let <with|mode|math|A,B> and <with|mode|math|C> be ordered rings. Prove
    the following properties:

    <\enumerate-alpha>
      <item><with|mode|math|(A\<oplus\>B)\<oplus\>C\<cong\>A\<oplus\>(B\<oplus\>C)>
      and <with|mode|math|(A\<dotoplus\>B)\<dotoplus\>C\<cong\>A\<dotoplus\>(B\<dotoplus\>C)>;

      <item><with|mode|math|(A\<otimes\>B)\<otimes\>C\<cong\>A\<otimes\>(B\<otimes\>C)>
      and <with|mode|math|(A\<dototimes\>B)\<dototimes\>C\<cong\>A\<dototimes\>(B\<dototimes\>C)>;

      <item> <with|mode|math|A\<otimes\>(B\<oplus\>C)\<cong\>(A\<otimes\>B)\<oplus\>(A\<otimes\>C)>
      and <with|mode|math|(A\<oplus\>B)\<otimes\>C\<cong\>(A\<otimes\>C)\<oplus\>(B\<otimes\>C)>;

      <item> <with|mode|math|A\<dototimes\>(B\<dotoplus\>C)\<cong\>(A\<dototimes\>B)\<dotoplus\>(A\<dotoplus\>C)>,
      but not always <with|mode|math|(A\<dotoplus\>B)\<dototimes\>C\<cong\>(A\<dototimes\>C)\<dotoplus\>(B\<dototimes\>C)>.
    </enumerate-alpha>
  </exercise>

  <\fold>
    <\exercise>
      <label|O-category>

      <\enumerate-alpha>
        <item>Show that the categories of ordered Abelian groups, rings,
        <with|mode|math|R>-modules and <with|mode|math|R>-algebras (its
        morphisms are increasing morphisms of Abelian groups, rings, etc.)
        admit direct sums and products, pull-backs, push-outs, direct and
        inverse limits and free objects (<abbr|i.e.> the forgetful functor to
        the category of sets admits a right adjoint).

        <item>Show that the same thing holds for the categories of ordered
        torsion free groups, rings without nilpotent elements, torsion free
        <with|mode|math|R>-modules and ordered <with|mode|math|R>-algebras
        <with|mode|math|A> without nilpotent elements, and such that the
        mapping <with|mode|math|R\<rightarrow\>A,\<lambda\>\<mapsto\>\<lambda\>\<cdot\>1>
        is injective.

        <item>What can be said about the operations
        <with|mode|math|<op|\<oplus\>>> and <with|mode|math|<op|\<otimes\>>>
        introduced above?
      </enumerate-alpha>
    </exercise>
  <|fold>
    <\solution>
      \;

      <\enumerate-alpha>
        <item>The categorial properties follow from the fact that the axioms
        of all ordered algebraic structures which are considered are Horn
        clauses <cite|vdH:phd>.

        <item>Same argument as in a.

        <item>In the categories of ordered abelian groups and
        <with|mode|math|R>-modules, <with|mode|math|A\<oplus\>B> is both the
        direct sum and the direct product of <with|mode|math|A> and
        <with|mode|math|B>. In the categories of ordered rings and
        <with|mode|math|R>-algebras, <with|mode|math|A\<oplus\>B> is the
        direct product of <with|mode|math|A> and <with|mode|math|B>, and
        <with|mode|math|A\<otimes\>B> the direct sum.
      </enumerate-alpha>
    </solution>
  </fold>

  <\fold>
    <\exercise>
      Let <with|mode|math|S> be an ordered Abelian group, ring,
      <with|mode|math|R>-module or <with|mode|math|R>-algebra. We wish to
      investigate under which circumstances the ordering
      <with|mode|math|<op|\<leqslant\>>> can be extended into a total
      ordering.

      <\enumerate-alpha>
        <item>If <with|mode|math|S> is an ordered Abelian monoid, prove that
        <with|mode|math|<op|\<leqslant\>>> can be extended into a total
        ordering if and only if <with|mode|math|S> is torsion free
        (<abbr|i.e.> <with|mode|math|n*x=0\<Rightarrow\>x=0>, for all
        <with|mode|math|n\<gtr\>0> and <with|mode|math|x\<in\>S>). Hint: use
        Zorn's lemma.

        <item>If <with|mode|math|S> is an ordered ring without nilpotent
        elements, prove that <with|mode|math|<op|\<leqslant\>>> can be
        extended into a total ordering if and only if <with|mode|math|S> is
        an integral domain, such that

        <equation*|a<rsub|1><rsup|2>+\<cdots\>+a<rsub|n><rsup|2>+(b<rsub|1><rsup|2>+\<cdots\>+b<rsub|m><rsup|2>)*x=0\<Rightarrow\>a<rsub|1>=0,>

        for all <with|mode|math|a<rsub|1>,\<ldots\>,a<rsub|n>,b<rsub|1>,\<ldots\>,b<rsub|m>,x\<in\>S>,
        such that <with|mode|math|x\<geqslant\>0>. Hint: first reduce the
        problem to the case when all squares in <with|mode|math|S> are
        positive. Next reduce the problem to the case when
        <with|mode|math|a\<gtr\>0\<wedge\>b\<gtr\>0\<wedge\>a*x=b\<Rightarrow\>x\<gtr\>0>,
        for all <with|mode|math|a,b,x\<in\>S>.

        <item>Generalize b to the case when <with|mode|math|S> is an ordered
        ring, which may contain nilpotent elements.

        <item>Give conditions in the cases when <with|mode|math|S> is an
        ordered <with|mode|math|R>-module or an ordered
        <with|mode|math|R>-algebra without nilpotent elements.
      </enumerate-alpha>
    </exercise>
  <|fold>
    <\solution>
      In this exercise, <with|mode|math|P> will stand for the set of positive
      elements of <with|mode|math|\<leqslant\>> and
      <with|mode|math|P<rprime|'>> for the set of positive elements of an
      extension <with|mode|math|\<leqslant\><rprime|'>> of
      <with|mode|math|\<leqslant\>>.

      <\enumerate-alpha>
        <item>Assume that <with|mode|math|S> is a totally ordered abelian
        group and let <with|mode|math|x\<geqslant\>0> be such that
        <with|mode|math|n*x=0>, for some <with|mode|math|n\<gtr\>0>. Then
        <with|mode|math|-x=(n-1)*x\<geqslant\>0>, so that
        <with|mode|math|0=x-x\<geqslant\>x>. Consequently,
        <with|mode|math|x=0>.

        On the other hand, assume that <with|mode|math|S> is a partially
        ordered torsion free abelian group. If there exists a
        <with|mode|math|x\<in\>S> with <with|mode|math|x\<bot\>0>, let us
        show how to extend <with|mode|math|\<leqslant\>> into an ordering
        <with|mode|math|\<leqslant\><rprime|'>> for which <with|mode|math|x>
        is either positive or negative; Zorn's lemma then implies that
        <with|mode|math|\<leqslant\>> may be extended into a total ordering.

        Assume first that we may choose <with|mode|math|x> such that
        <with|mode|math|n*x\<in\>P> for some <with|mode|math|n\<gtr\>0> and
        take <with|mode|math|P<rprime|'>={k*x+y:k\<geqslant\>0\<wedge\>y\<in\>P}\<supseteq\>P>.
        In order to show that <with|mode|math|P<rprime|'>> is the set of
        positive elements of an ordering <with|mode|math|\<leqslant\><rprime|'>>,
        we have to show that <with|mode|math|><with|mode|math|P<rprime|'>+P<rprime|'>\<subseteq\>P<rprime|'>>
        and <with|mode|math|P\<cap\>(<with|math-condensed|true|-P>)={0}>. The
        first assertion is trivial. So assume that <with|mode|math|z=k*x+y>
        and <with|mode|math|-z=l*x+y<rprime|'>>, with
        <with|mode|math|k,l\<geqslant\>0>,
        <with|mode|math|y,y<rprime|'>\<in\>P> \ and some
        <with|mode|math|z\<in\>S>. Then we have
        <with|mode|math|(k+l)*x+(y+y<rprime|'>)=0>, whence
        <with|mode|math|(k+l)*x\<leqslant\>0>. Consequently,
        <with|mode|math|0\<leqslant\>(k+l)*n*x\<leqslant\>0>, whence
        <with|mode|math|k+l=0\<Rightarrow\>(z\<in\>P\<wedge\>-z\<in\>P)\<Rightarrow\>z=0>,
        since <with|mode|math|x\<neq\>0> and <with|mode|math|S> is torsion
        free.

        If <with|mode|math|n*x\<in\>P> for no
        <with|mode|math|n\<in\>\<bbb-Z\><rsup|\<asterisk\>>>, then we again
        take <with|mode|math|P<rprime|'>={k*x+y:k\<geqslant\>0\<wedge\>y\<in\>P}\<supseteq\>P<rprime|'>>,
        with <with|mode|math|P<rprime|'>+P<rprime|'>\<subseteq\>P<rprime|'>>.
        and be obtain the inequality <with|mode|math|(k+l)*x\<leqslant\>0> in
        the same way as above. Given <with|mode|math|z\<in\>S> with
        <with|mode|math|z=k*x+y> and <with|mode|math|-z=l*x+y<rprime|'>> for
        some <with|mode|math|k,l\<geqslant\>0> and
        <with|mode|math|y,y<rprime|'>\<in\>P>, we again obtain
        <with|mode|math|(k+l)*x\<leqslant\>0>. Our assumption on
        <with|mode|math|x> directly implies that <with|mode|math|k+l=0>,
        whence again <with|mode|math|z=0>.

        <item>The <with|mode|math|<op|\<Rightarrow\>>>-direction is trivial.
        So assume that <with|mode|math|S> is an ordered integral domain,
        which satisfies the ``sum of squares'' condition. In particular,
        <with|mode|math|\<bbb-Z\>> is embedded in <with|mode|math|S> (if
        <with|mode|math|1\<neq\>0>), since
        <with|mode|math|1+\<cdots\>+1=0\<Rightarrow\>1=0>. Therefore, the
        additive group of <with|mode|math|S> is torsion free, since
        <with|mode|math|S> is an integral domain.

        We claim that we may assume without loss of generality that
        <with|mode|math|P> contains the set <with|mode|math|Q> of sums of
        squares, modulo an extension of the ordering. Indeed, let

        <\equation*>
          P<rprime|'>={p+q*x:p,q\<in\>Q\<wedge\>x\<in\>P}.
        </equation*>

        In order to show that <with|mode|math|P<rprime|'>\<supseteq\>P> is
        the set of positive elements of an extension
        <with|mode|math|\<leqslant\><rprime|'>> of the ordering
        <with|mode|math|\<leqslant\>>, we have to show that
        <with|mode|math|P<rprime|'>+P<rprime|'>\<subseteq\>P<rprime|'>>,
        <with|mode|math|P<rprime|'>*P<rprime|'>\<subseteq\>P<rprime|'>> and
        <with|mode|math|P<rprime|'>\<cap\>(<with|math-condensed|true|-P<rprime|'>>)={0}>.
        The first condition is trivial. The second one follows from the facts
        that <with|mode|math|Q*Q\<subseteq\>Q> and
        <with|mode|math|x<rsup|2>\<in\>Q>. The last condition follows from
        the sums of squares condition. Notice that the sums of squares
        condition is trivially satisfied for any ordering whose set of
        positive elements contains <with|mode|math|Q>.

        Assume now that <with|mode|math|P\<supseteq\>Q>. If there exists an
        element <with|mode|math|x\<bot\>0>, such that <with|mode|math|a*x=b>
        for certain elements <with|mode|math|a,b\<in\>S> with
        <with|mode|math|a\<gtr\>0> and <with|mode|math|b\<gtr\>0>, let us
        show how to extend <with|mode|math|\<leqslant\>> into a new ordering
        <with|mode|math|\<leqslant\><rprime|'>>, for which
        <with|mode|math|x\<gtr\><rprime|'>0>. We take

        <\equation*>
          P<rprime|'>={p+q*x:p,q\<in\>P}.
        </equation*>

        Clearly, <with|mode|math|P<rprime|'>\<supseteq\>P>,
        <with|mode|math|P<rprime|'>+P<rprime|'>\<subseteq\>P<rprime|'>> and
        <with|mode|math|P<rprime|'>*P<rprime|'>\<subseteq\>P<rprime|'>>,
        since <with|mode|math|P\<supseteq\>Q>. Assume that
        <with|mode|math|y\<in\>P<rprime|'>\<cap\>(<with|math-condensed|true|-P>)>
        and write <with|mode|math|y=p+q*x> and
        <with|mode|math|-y=p<rprime|'>+q<rprime|'>*x>, with
        <with|mode|math|p,p<rprime|'>,q,q<rprime|'>\<in\>P>. We have
        <with|mode|math|(p+p<rprime|'>)+(q+q<rprime|'>)*x=0>. Multiplying
        with <with|mode|math|a>, this yields so that
        <with|mode|math|(p+p<rprime|'>)*a+(q+q<rprime|'>)*b=0>, which can
        only hold if <with|mode|math|p+p<rprime|'>=q+q<rprime|'>=0>, since
        <with|mode|math|a\<gtr\>0> and <with|mode|math|b\<gtr\>0>. Therefore,
        <with|mode|math|y=0>, as required.

        Assume finally that <with|mode|math|P\<supseteq\>Q> and for all
        <with|mode|math|x\<bot\>0,a\<gtr\>0,b\<gtr\>0\<in\>S> in
        <with|mode|math|S>, we have <with|mode|math|a*x\<neq\>b>. Taking
        <with|mode|math|P<rprime|'>={p+q*x:p,q\<in\>P}>, we again have
        <with|mode|math|P<rprime|'>\<supseteq\>P>,
        <with|mode|math|P<rprime|'>+P<rprime|'>\<subseteq\>P<rprime|'>> and
        <with|mode|math|P<rprime|'>*P<rprime|'>\<subseteq\>P<rprime|'>>.
        Furthermore, if <with|mode|math|y=p+q*x> and
        <with|mode|math|-y=p<rprime|'>+q<rprime|'>*x> with
        <with|mode|math|p,p<rprime|'>,q,q<rprime|'>\<in\>P>, so that
        <with|mode|math|(p+p<rprime|'>)+(q+q<rprime|'>)*x=0>, then our
        condition on <with|mode|math|x> directly implies that
        <with|mode|math|p+p<rprime|'>=q+q<rprime|'>=0> and we still obtain
        <with|mode|math|y=0>.

        <item>One may use the following condition: for all
        <with|mode|math|a<rsub|i,j>,b<rsub|i,j>,p<rsub|i>,x<rsub|i>>, such
        that

        <\eqnarray*>
          <tformat|<table|<row|<cell|>|<cell|>|<cell|<left|(><tabular*|<tformat|<table|<row|<cell|x<rsub|1>>|<cell|>|<cell|>|<cell|0>>|<row|<cell|>|<cell|x<rsub|2>>|<cell|>|<cell|>>|<row|<cell|>|<cell|>|<cell|\<ddots\>>|<cell|>>|<row|<cell|0>|<cell|>|<cell|>|<cell|x<rsub|n>>>>>><right|)><left|(><tabular*|<tformat|<table|<row|<cell|a<rsub|0,0>>|<cell|>|<cell|>|<cell|0>>|<row|<cell|a<rsub|1,0>>|<cell|a<rsub|1,1>>|<cell|>|<cell|>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<ddots\>>|<cell|>>|<row|<cell|a<rsub|n,0>>|<cell|a<rsub|n,1>>|<cell|\<cdots\>>|<cell|a<rsub|n,n>>>>>><right|)><left|(><tabular*|<tformat|<table|<row|<cell|1>>|<row|<cell|x<rsub|0>>>|<row|<cell|\<vdots\>>>|<row|<cell|x<rsub|n-1>>>>>><right|)>>>|<row|<cell|>|<cell|=>|<cell|<left|(><tabular*|<tformat|<table|<row|<cell|b<rsub|0,0>>|<cell|>|<cell|>|<cell|0>>|<row|<cell|b<rsub|1,0>>|<cell|b<rsub|1,1>>|<cell|>|<cell|>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<ddots\>>|<cell|>>|<row|<cell|b<rsub|n,0>>|<cell|b<rsub|n,1>>|<cell|\<cdots\>>|<cell|b<rsub|n,n>>>>>><right|)><left|(><tabular*|<tformat|<table|<row|<cell|1>>|<row|<cell|x<rsub|0>>>|<row|<cell|\<vdots\>>>|<row|<cell|x<rsub|n-1>>>>>><right|)><space|-4.8spc>>>>>
        </eqnarray*>

        and

        <\equation*>
          <left|{><tabular|<tformat|<cwith|1|-1|1|-1|cell
          mode|c>|<table|<row|<cell|a<rsub|i,j>\<geqslant\>0<with|mode|text|
          and >\<forall\>i,\<exists\>j,a<rsub|i,j>\<gtr\>0>>|<row|<cell|b<rsub|i,j>\<geqslant\>0<with|mode|text|
          and >\<forall\>i,\<exists\>j,b<rsub|i,j>\<gtr\>0>>|<row|<cell|p<rsub|1>,\<ldots\>,p<rsub|n>\<geqslant\>0>>|<row|<cell|p<rsub|1>*x<rsub|1>+\<cdots\>+p<rsub|n>*x<rsub|n>>>>>>
        </equation*>

        imply that <with|mode|math|p<rsub|1>*x<rsub|1>=\<cdots\>=p<rsub|n>*x<rsub|n>=0>.
      </enumerate-alpha>
    </solution>
  </fold>

  <\exercise>
    Let <with|mode|math|S> be an ordered group, ring,
    <with|mode|math|R>-module or <with|mode|math|R>-algebra. For each
    morphism <with|mode|math|\<varphi\>:S\<rightarrow\>T> of
    <with|mode|math|S> into a totally ordered structure <with|mode|math|T> of
    the same kind as <with|mode|math|S>, we define a relation
    <no-break><with|mode|math|<op|\<preccurlyeq\><rsub|\<varphi\>>>> on
    <with|mode|math|S> by <with|mode|math|x\<preccurlyeq\>y\<Leftrightarrow\>\<varphi\>(x)\<leqslant\>\<varphi\>(y)>.
    Let <with|mode|math|E> be the set of all such relations
    <with|mode|math|<op|\<preccurlyeq\><rsub|\<varphi\>>>> on
    <with|mode|math|S>.

    <\enumerate-alpha>
      <item>Prove that <with|mode|math|<op|<wide|\<leqslant\>|^>>=<big|cap><rsub|<op|\<leqslant\><rprime|'>>\<in\>E><op|\<leqslant\><rprime|'>>>
      is a quasi-ordering.

      <item>Show that <with|mode|math|<op|<wide|\<leqslant\>|^>>> is an
      ordering, if and only if <with|mode|math|<op|\<leqslant\>>> can be
      extended into a total ordering on <with|mode|math|S>.

      <item>Let <with|mode|math|<wide|\<equiv\>|^>> the equivalence relation
      associated to <with|mode|math|<op|<wide|\<leqslant\>|^>>> and let
      <with|mode|math|<wide|S|^>=S/<op|<wide|\<equiv\>|^>>>. Show that the
      ordered set <with|mode|math|<wide|S|^>> can be given the same kind of
      ordered algebraic structure as <with|mode|math|S>, in such a way that
      the natural projection <with|mode|math|\<pi\>:S\<rightarrow\><wide|S|^>>
      is a morphism. We call <with|mode|math|<wide|S|^>> the <em|closure> of
      <with|mode|math|S>.

      <item><with|mode|math|S> is said to be <em|perfect><index|perfect
      ordered structure> if <with|mode|math|<wide|S|^>=S>. Prove that the
      closure of <with|mode|math|S> is perfect.

      <item>Show that an ordered Abelian group <with|mode|math|S> is perfect
      if and only if <with|mode|math|n*x\<geqslant\>0\<Rightarrow\>x\<geqslant\>0>,
      for all <with|mode|math|n\<gtr\>0> and <with|mode|math|x\<in\>S>.

      <item>Show that an ordered ring without nilpotent elements is perfect,
      if and only if <with|mode|math|x<rsup|2>\<geqslant\>0>, for all
      <with|mode|math|x\<in\>S> and <with|mode|math|a*x=b\<wedge\>a\<gtr\>0\<wedge\>b\<gtr\>0\<Rightarrow\>x\<gtr\>0>,
      for all <with|mode|math|a,b,x\<in\>S>.

      <item>Under which conditions is an ordered <with|mode|math|R>-module
      perfect? And an ordered <with|mode|math|R>-algebra without nilpotent
      elements?
    </enumerate-alpha>
  </exercise>

  <section|Asymptotic relations><label|asymp-rel><subindex|relation|asymptotic>

  Let <with|mode|math|f> and <with|mode|math|g> be two germs of real valued
  functions at infinity. Then we have the following classical definitions of
  the domination and neglection relations
  <with|mode|math|<op|\<preccurlyeq\>>> resp.
  <with|mode|math|<op|\<prec\>>>:<vspace|0.5fn>

  <surround||<vspace|0.5fn>|<with|mode|math|par-mode|center|<tabular*|<tformat|<twith|table-hyphen|y>|<twith|table-width|1par>|<twith|table-min-cols|5>|<twith|table-max-cols|5>|<cwith|1|-1|1|1|cell-lsep|0spc>|<cwith|1|-1|-1|-1|cell-rsep|0spc>|<cwith|1|-1|1|-1|cell-bsep|0sep>|<cwith|1|-1|1|-1|cell-tsep|0sep>|<cwith|1|-1|1|1|cell-hyphen|b>|<cwith|1|-1|-1|-1|cell-hyphen|t>|<cwith|1|-1|1|1|cell-hpart|1>|<cwith|1|-1|-1|-1|cell-hpart|1>|<cwith|1|-1|1|1|cell-halign|r>|<cwith|1|-1|2|2|cell-halign|c>|<cwith|1|-1|3|3|cell-halign|c>|<cwith|1|-1|4|4|cell-halign|c>|<cwith|1|-1|-1|-1|cell-halign|l>|<table|<row|<cell|f\<preccurlyeq\>g>|<cell|\<Leftrightarrow\>>|<cell|f=O(g)>|<cell|\<Leftrightarrow\>>|<cell|\<exists\>C\<in\>\<bbb-R\>,\<exists\>x<rsub|0>\<in\>\<bbb-R\>,\<forall\>x\<geqslant\>x<rsub|0>,\|f(x)\|\<leqslant\>C*\|g(x)\|>>|<row|<cell|f\<prec\>g>|<cell|\<Leftrightarrow\>>|<cell|f=o(g)>|<cell|\<Leftrightarrow\>>|<cell|\<forall\>\<varepsilon\>\<gtr\>0,\<exists\>x<rsub|0>\<in\>\<bbb-R\>,\<forall\>x\<geqslant\>x<rsub|0>,\|f(x)\|\<less\>\<varepsilon\>*\|g(x)\|.>>>>>>>

  <no-indent>Considered as relations on the
  <with|mode|math|\<bbb-R\>>-algebra of germs of real valued functions at
  infinity, <with|mode|math|<op|\<preccurlyeq\>>> and
  <with|mode|math|<op|\<prec\>>> satisfy a certain number of easy to prove
  algebraic properties. In this section, we will take these properties as the
  axioms of abstract domination and neglection relations on more general
  modules and algebras.

  Let <with|mode|math|R> be a ring and <with|mode|math|M> an
  <with|mode|math|R>-module. In all what follows, we denote by
  <with|mode|math|R<rsup|\<ast\>>><glossary-explain|<with|mode|math|R<rsup|\<ast\>>>|subset
  of non-zero-divisors in <with|mode|math|R>> the set of non-zero-divisors in
  <with|mode|math|R>. A <em|dominance relation><index|dominance
  relation><subindex|relation|dominance> is a quasi-ordering
  <with|mode|math|<op|\<preccurlyeq\>>><glossary-explain|<with|mode|math|x\<preccurlyeq\>y>|<with|mode|math|x>
  is dominated by <with|mode|math|y>> on <with|mode|math|M>, such that for
  all <with|mode|math|\<lambda\>\<in\>R>,
  <with|mode|math|\<mu\>\<in\>R<rsup|\<ast\>>> and
  <with|mode|math|x,y,z\<in\>M>, we have

  <\description>
    <item*|D1><with|mode|math|<with|mode|math|(x\<preccurlyeq\>z\<wedge\>y\<preccurlyeq\>z)\<Rightarrow\>x-y\<preccurlyeq\>z>;>

    <item*|D2><with|mode|math|\<lambda\>*x\<preccurlyeq\>x> and
    <with|mode|math|y\<preccurlyeq\>\<mu\>*y>.
  </description>

  Notice that <with|font-series|bold|D1> and <with|font-series|bold|D2> imply
  that <with|mode|math|O<rsub|y>={x\<in\>M:x\<preccurlyeq\>y}> is a submodule
  of <with|mode|math|M> for each <no-break><with|mode|math|y\<in\>M>. If
  <with|mode|math|x\<preccurlyeq\>y>, then we say that <with|mode|math|x> is
  <em|dominated><index|dominated> by <with|mode|math|y>, and we also write
  <with|mode|math|x=O(y)><glossary-explain|<with|mode|math|x=O(y)>|Landau's
  notation for <with|mode|math|x\<preccurlyeq\>y>>. If
  <with|mode|math|x\<preccurlyeq\>y> and <with|mode|math|y\<preccurlyeq\>x>,
  then we say that <with|mode|math|x> and <with|mode|math|y> are
  <em|asymptotic><index|asymptotic>, and we also write
  <with|mode|math|x\<asymp\>y><glossary-explain|<with|mode|math|x\<asymp\>y>|<with|mode|math|x>
  is asymptotic to <with|mode|math|y>>. We say that
  <with|mode|math|<op|\<preccurlyeq\>>> is <em|total><subindex|dominance
  relation|total>, if <with|mode|math|x\<preccurlyeq\>y> or
  <with|mode|math|y\<preccurlyeq\>x> for all <with|mode|math|x,y\<in\>M>.

  A <em|neglection relation><index|neglection
  relation><subindex|relation|neglection> is a strict ordering
  <with|mode|math|<op|\<prec\>>><glossary-explain|<with|mode|math|x\<prec\>y>|<with|mode|math|x>
  is negligible <abbr|w.r.t.> <with|mode|math|y>> on <with|mode|math|M>
  (<abbr|i.e.> an anti-reflexive, transitive relation), such that for all
  <with|mode|math|\<lambda\>\<in\>R> and <with|mode|math|\<mu\>\<in\>R<rsup|\<ast\>>>
  and <with|mode|math|x,y,z\<in\>M>, we have

  <\description>
    <item*|N1><with|mode|math|(x\<prec\>z\<wedge\>y\<prec\>z)\<Rightarrow\>x-y\<prec\>z>;

    <item*|N2><with|mode|math|x\<prec\>y\<Rightarrow\>\<lambda\>*x\<prec\>\<mu\>*y>
    and <with|mode|math|\<mu\>*y\<prec\>\<lambda\>*x\<Rightarrow\>y\<prec\>x>.

    <item*|N3><with|mode|math|(x\<prec\>z\<wedge\>y\<prec\>z)\<Rightarrow\>x\<prec\>y+z>.
  </description>

  Notice that <with|mode|math|o<rsub|y>={x\<in\>M:x\<prec\>y>} is a submodule
  of <with|mode|math|M> if <with|mode|math|0\<in\>o<rsub|y>>. However, this
  is not always the case, since <with|mode|math|0\<nprec\>0>. If
  <with|mode|math|x\<prec\>y>, then we say that <with|mode|math|x> can be
  neglected<index|negligible> <abbr|w.r.t.> <with|mode|math|y>, and we also
  write <with|mode|math|x=o(y)><glossary-explain|<with|mode|math|x=o(y)>|Landau's
  notation for <with|mode|math|x\<prec\>y>>. If
  <with|mode|math|x-y\<prec\>x>, then we also say that <with|mode|math|x> and
  <with|mode|math|y> are <em|equivalent><index|equivalent>, and we write
  <with|mode|math|x\<sim\>y><glossary-explain|<with|mode|math|x\<sim\>y>|<with|mode|math|x>
  is equivalent to <with|mode|math|y>>. Indeed, <with|mode|math|<op|\<sim\>>>
  is an equivalence relation:

  <equation*|x\<sim\>y\<Rightarrow\>(x-y\<prec\>x\<wedge\>y-x\<prec\>x)\<Rightarrow\>x-y\<prec\>y\<Rightarrow\>y-x\<prec\>y\<Rightarrow\>y\<sim\>x.>

  Similarly,

  <equation*|(x\<sim\>y\<wedge\>y\<sim\>z)\<Rightarrow\>(x-y\<prec\>y\<wedge\>y-z\<prec\>y)\<Rightarrow\>y-z\<prec\>(x-y)+y=x,>

  whence

  <equation*|(x\<sim\>y\<wedge\>y\<sim\>z)\<Rightarrow\>(x-y\<prec\>x\<wedge\>y-z\<prec\>x)\<Rightarrow\>x-z\<prec\>x\<Rightarrow\>x\<sim\>z.>

  We say that <with|mode|math|<op|\<prec\>>> is
  <em|compatible><subindex|dominance relation|compatible><subindex|neglection
  relation|compatible><subindex|compatible|neglection
  relation><subindex|compatible|dominance relation> with a dominance relation
  <with|mode|math|<op|\<preccurlyeq\>>>, if
  <with|mode|math|x\<prec\>y\<Rightarrow\>x\<preccurlyeq\>y> and
  <with|mode|math|x\<sim\>y\<Rightarrow\>x\<asymp\>y>, for all
  <with|mode|math|x,y\<in\>M>. In that case, we call <with|mode|math|M> an
  <em|asymptotic <with|mode|math|R>-module><subindex|asymptotic|<with|mode|math|R>-module>.
  We say that <with|mode|math|<op|\<preccurlyeq\>>> and
  <with|mode|math|<op|\<prec\>>> are <em|associated><subindex|associated|neglection
  relation><subindex|dominance relation|associated><subindex|neglection
  relation|associated><subindex|associated|dominance relation>, if
  <with|mode|math|<op|\<prec\>>> is the strict ordering associated to
  <with|mode|math|<op|\<preccurlyeq\>>>, <abbr|i.e.>
  <with|mode|math|x\<prec\>y\<Leftrightarrow\>(x\<preccurlyeq\>y\<wedge\>y\<npreccurlyeq\>x)>
  for all <with|mode|math|x,y\<in\>M>.

  <\proposition>
    <label|easy-asymp>

    <\enumerate-alpha>
      <item>Let <with|mode|math|<op|\<preccurlyeq\>>> be a dominance
      relation, such that the strict ordering <with|mode|math|<op|\<prec\>>
      >associated to <with|mode|math|<op|\<preccurlyeq\>>> satisfies
      <with|font-shape|right|<with|font-series|bold|N1>> and
      <with|font-shape|right|<with|font-series|bold|N2>>. Then
      <with|mode|math|<op|\<prec\>>> also satisfies
      <with|font-shape|right|<with|font-series|bold|N3>>.<with|mode|math|>

      <item>Let <with|mode|math|<op|\<preccurlyeq\>>> and
      <with|mode|math|<op|\<prec\>>> be a dominance and a neglection
      relation. If <with|mode|math|<op|\<preccurlyeq\>>> and
      <with|mode|math|<op|\<prec\>>> are associated, then they are
      compatible.
    </enumerate-alpha>
  </proposition>

  <\proof>
    Assume that <with|mode|math|<op|\<preccurlyeq\>>> satisfies the condition
    in (<with|font-shape|italic|a>), and let <with|mode|math|x,y,z\<in\>M> be
    such that <with|mode|math|x\<prec\>z> and <with|mode|math|y\<prec\>z>. If
    <with|mode|math|z\<npreccurlyeq\>y+z>, then
    <with|mode|math|y+z\<preccurlyeq\>z> implies
    <with|mode|math|y+z\<prec\>z> and <with|mode|math|z\<prec\>z>:
    contradiction. Hence, we have <with|mode|math|z\<preccurlyeq\>y+z> and
    <with|mode|math|x\<prec\>z\<preccurlyeq\>y+z>.

    As to (<with|font-shape|italic|b>), assume that
    <with|mode|math|<op|\<preccurlyeq\>>> and <with|mode|math|<op|\<prec\>>>
    are associated. Then we clearly have <with|mode|math|x\<prec\>y\<Rightarrow\>x\<preccurlyeq\>y>.
    Furthermore, <with|mode|math|x\<sim\>y\<Rightarrow\>x-y\<prec\>x\<Rightarrow\>x-y\<preccurlyeq\>x\<Rightarrow\>y\<preccurlyeq\>x>.
    Similarly, <with|mode|math|x\<sim\>y\<Rightarrow\>y\<sim\>x\<Rightarrow\>x\<preccurlyeq\>y>.
    Hence, <with|mode|math|x\<sim\>y\<Rightarrow\>x\<asymp\>y>.
  </proof>

  <\proposition>
    <label|dom-negl-0>Let <with|mode|math|K> be a totally ordered field and
    <with|mode|math|V> an ordered <with|mode|math|K>-vector space. Then
    <with|mode|math|V> is an asymptotic <with|mode|math|K>-vector space for
    the relations <with|mode|math|<op|\<preccurlyeq\>>> and
    <with|mode|math|<op|\<prec\>>> defined by

    <eqnarray*|<tformat|<table|<row|<cell|x\<preccurlyeq\>y>|<cell|\<Leftrightarrow\>>|<cell|\<forall\>\<lambda\>\<in\>K,\<exists\>\<mu\>\<in\>K,\<lambda\>*x\<leqslant\>\<mu\>*y;>>|<row|<cell|x\<prec\>y>|<cell|\<Leftrightarrow\>>|<cell|\<exists\>\<mu\>\<in\>K,\<forall\>\<lambda\>\<in\>K,\<lambda\>*x\<less\>\<mu\>*y.>>>>>

    Moreover, if <with|mode|math|V> is totally ordered, then
    <with|mode|math|<op|\<prec\>>> is associated to
    <with|mode|math|<op|\<preccurlyeq\>>>.
  </proposition>

  <\proof>
    Let us first show that <with|mode|math|<op|\<preccurlyeq\>>> is a
    quasi-ordering. We clearly have <with|mode|math|x\<preccurlyeq\>x> for
    all <with|mode|math|x\<in\>V>, since <with|mode|math|\<lambda\>*x\<leqslant\>\<lambda\>*x>
    for all <with|mode|math|\<lambda\>\<in\>K>. If
    <with|mode|math|x\<preccurlyeq\>y\<preccurlyeq\>z> and
    <with|mode|math|\<lambda\>\<in\>K>, then there exists a
    <with|mode|math|\<mu\>\<in\>K> with <with|mode|math|\<lambda\>*x\<leqslant\>\<mu\>*y>
    and a <with|mode|math|\<nu\>\<in\>K> with
    <with|mode|math|\<lambda\>*x\<leqslant\>\<mu\>*y\<leqslant\>\<nu\>*z>.
    Let us next prove <with|font-series|bold|D1>. Assume that
    <with|mode|math|x\<preccurlyeq\>z> and
    <with|mode|math|><with|mode|math|y\<preccurlyeq\>z> and let
    <with|mode|math|\<lambda\>\<in\>K>. Then there exist
    <with|mode|math|\<mu\>,\<nu\>\<in\>K> with
    <with|mode|math|\<lambda\>*x\<leqslant\>\<mu\>*z> and
    <with|mode|math|\<um\>\<lambda\>*y\<leqslant\>\<nu\>*z>, whence
    <with|mode|math|\<lambda\>*(x-y)\<leqslant\>(\<mu\>+\<nu\>)*z>. As to
    <with|font-series|bold|D2>, let <with|mode|math|x\<in\>V>,
    <with|mode|math|\<alpha\>\<in\>K> and
    <with|mode|math|\<beta\>\<in\>K<rsup|\<ast\>>>. Then for all
    <with|mode|math|\<lambda\>\<in\>K>, we have
    <with|mode|math|\<lambda\>*\<alpha\>*x\<leqslant\>\<lambda\>*\<alpha\>*x>
    and <with|mode|math|\<lambda\>*x\<leqslant\>(\<lambda\>/\<beta\>)*\<beta\>*x>.

    In order to prove the remaining relations, we first notice that

    <\equation*>
      x\<prec\>y<space|0.6spc>\<Leftrightarrow\><space|0.6spc>((0\<less\>y\<vee\>0\<gtr\>y)\<wedge\>\<forall\>\<lambda\>\<in\>K,\<lambda\>*x\<less\>\|y\|).
    </equation*>

    Indeed, if <with|mode|math|x\<prec\>y>, then there exists a
    <with|mode|math|\<mu\>\<in\>K> with <with|mode|math|\<lambda\>*x\<less\>\<mu\>*y>
    for all <with|mode|math|\<lambda\>>. In particular,
    <with|mode|math|0\<less\>\<mu\>*y>, whence either
    <with|mode|math|0\<less\>y> (if <with|mode|math|\<mu\>\<gtr\>0>) or
    <with|mode|math|0\<less\>\<um\>y> (if <with|mode|math|\<mu\>\<less\>0>).
    Furthermore, for all <with|mode|math|\<lambda\>\<in\>K>, we have
    <with|mode|math|\<lambda\>*\|\<mu\>\|*x\<less\>\<mu\>*y>, whence
    <with|mode|math|\<lambda\>*x\<less\>\|y\|>. Let us show that
    <with|mode|math|<op|\<prec\>>> is a strict ordering. We cannot have
    <with|mode|math|x\<prec\>x>, since <with|mode|math|\|x\|\<nless\>\|x\|>.
    If <with|mode|math|x\<prec\>y\<prec\>z>, then we have
    <with|mode|math|\<lambda\>*x\<less\>\|y\|\<less\>\|z\|> for all
    <with|mode|math|\<lambda\>\<in\>K>.

    Let us now prove <with|font-series|bold|N1>. If
    <with|mode|math|x\<prec\>z>, <with|mode|math|y\<prec\>z> and
    <with|mode|math|\<lambda\>\<in\>K>, then
    <with|mode|math|2*\<lambda\>*x\<less\>\|z\|> and
    <with|mode|math|\<um\>2*\<lambda\>*y\<less\>\|z\|>, whence
    <with|mode|math|\<lambda\>(x-y)\<less\>\|z\|>. As to
    <no-break><with|font-series|bold|N2><with|font-series|bold|>, let
    <with|mode|math|\<alpha\>\<in\>K>, <with|mode|math|\<beta\>\<in\>K<rsup|\<ast\>>>
    and <with|mode|math|\<lambda\>\<in\>K>. If <with|mode|math|x\<prec\>y>,
    then <with|mode|math|(\<lambda\>*\<alpha\>/\|\<beta\>\|)*x\<less\>\|y\|>,
    whence <with|mode|math|\<lambda\>*\<alpha\>\<less\>\|\<beta\>*y\|>. If
    <with|mode|math|\<beta\>*x\<prec\>\<alpha\>*y>, then
    <with|mode|math|\<alpha\>\<neq\>0> and
    <with|mode|math|(\<lambda\>*\|\<alpha\>\|/\<beta\>)*\<beta\>*x\<less\>\|\<alpha\>*y\|>,
    whence <with|mode|math|\<lambda\>*x\<less\>\|y\|>. Let us finally prove
    <with|font-series|bold|N3>. Assume that <with|mode|math|x\<prec\>z>,
    <with|mode|math|y\<prec\>z> and <with|mode|math|\<lambda\>\<in\>K>. Then
    <with|mode|math|2*y\<less\>\|z\|> implies
    <with|mode|math|<frac|1|2>*\|z\|\<less\>\|y+z\|>. From
    <with|mode|math|2*\<lambda\>*x\<less\>\|z\|> it thus follows that
    <with|mode|math|\<lambda\>*x\<less\><frac|1|2>*\|z\|\<less\>\|y+z\|>.

    Assuming that <with|mode|math|V> is totally ordered, the relation
    <with|mode|math|<op|\<prec\>>> is associated to
    <with|mode|math|<op|\<preccurlyeq\>>>, since
    <with|mode|math|x\<prec\>y\<Leftrightarrow\>y\<npreccurlyeq\>x>. In
    general, we clearly have <with|mode|math|x\<prec\>y\<Rightarrow\>x\<preccurlyeq\>y>.
    Furthermore, if <with|mode|math|x\<sim\>y>, then both
    <with|mode|math|y-x\<leqslant\>\|x\|> and
    <with|mode|math|x\<leqslant\>\|x\|>, whence
    <with|mode|math|y\<leqslant\>2*\|x\|>. Similarly,
    <with|mode|math|x\<leqslant\>2*\|y\|>, so that
    <with|mode|math|x\<asymp\>y>.
  </proof>

  If <with|mode|math|R> is a totally ordered ring, then <with|mode|math|R>
  cannot have zero-divisors, so its ring of quotients
  <with|mode|math|<rsQ>(R)=(R<rsup|\<ast\>>)<rsup|\<um\>1>*R> is a totally
  ordered field. Moreover, for any ordered, torsion-free
  <with|mode|math|R>-module, the natural map
  <with|mode|math|M\<rightarrow\><rsQ>(R)\<otimes\>M> is an embedding. This
  allows us to generalize proposition <reference|dom-negl-0> to the case of
  totally ordered rings.

  <\corollary>
    <label|dom-negl-1>Let <with|mode|math|R> be a totally ordered ring and
    <with|mode|math|M> an ordered, torsion-free
    <with|mode|math|R>-<no-break>module. Then <with|mode|math|M> is an
    asymptotic <with|mode|math|R>-<no-break>module for the restrictions to
    <with|mode|math|M> of the relations <with|mode|math|<op|\<preccurlyeq\>>>
    and <no-break><with|mode|math|<op|\<prec\>>> on
    <with|mode|math|<rsQ>(R)\<otimes\>M>. Moreover, if <with|mode|math|M> is
    totally ordered, then <with|mode|math|<op|\<prec\>>> is associated to
    <with|mode|math|<op|\<preccurlyeq\>>>.<htab|5mm><with|mode|math|\<box\>>
  </corollary>

  Assume now that <with|mode|math|A> is an <with|mode|math|R>-algebra. A
  dominance relation on <with|mode|math|A> is defined to be a quasi-ordering
  <with|mode|math|<op|\<preccurlyeq\>>>, which satisfies
  <with|font-series|bold|D1>, <with|font-series|bold|D2> and for all
  <with|mode|math|x,y,z\<in\>A>:

  <\description>
    <item*|D3><with|mode|math|x\<preccurlyeq\>y\<Rightarrow\>x*z\<preccurlyeq\>y*z>.
  </description>

  A neglection relation on <with|mode|math|A> is a strict ordering
  <with|mode|math|<op|\<prec\>>>, which satisfies <with|font-series|bold|N1>,
  <with|font-series|bold|N2>, <with|font-series|bold|N3>, and for all
  <with|mode|math|x,y\<in\>A> and <with|mode|math|z\<in\>A<rsup|\<ast\>>>:

  <\description>
    <item*|N4><with|mode|math|x\<prec\>y\<Rightarrow\>x*z\<prec\>y*z>.
  </description>

  An element <with|mode|math|x\<in\>A> is said to be
  <em|infinitesimal><index|infinitesimal>, if <with|mode|math|x\<prec\>1>. We
  say that <with|mode|math|x> is <em|bounded><index|bounded>, if
  <no-break><with|mode|math|x\<preccurlyeq\>1> (and
  <em|unbounded><index|unbounded> if not). Elements with
  <with|mode|math|x\<asymp\>1> are called
  <em|Archimedean><index|Archimedean>. If all non-zero elements of
  <with|mode|math|A> are Archimedean, then <with|mode|math|A> is said to be
  <em|Archimedean><subindex|Archimedean|ring><subindex|ring|Archimedean>
  itself. In particular, a totally ordered ring said to be Archimedean, if it
  is Archimedean as an ordered <with|mode|math|\<bbb-Z\>>-algebra. If
  <with|mode|math|<op|\<preccurlyeq\>>> and <with|mode|math|<op|\<prec\>>>
  are compatible, then we call <with|mode|math|A> an <em|asymptotic
  <with|mode|math|R>-algebra><subindex|asymptotic|<with|mode|math|R>-algebra>.

  <\proposition>
    <label|dom-negl-2>Let <with|mode|math|R> be a totally ordered ring and
    <with|mode|math|A> a non-trivial totally ordered
    <with|mode|math|R>-algebra. Define the relations
    <with|mode|math|<op|\<preccurlyeq\>>> and <with|mode|math|<op|\<prec\>>>
    on <with|mode|math|A> as in corollary <reference|dom-negl-1>. Then
    <with|mode|math|A> is an asymptotic <with|mode|math|R>-algebra and
    <with|mode|math|<op|\<prec\>>> is associated to
    <with|mode|math|<op|\<preccurlyeq\>>>.
  </proposition>

  <\proof>
    Let <with|mode|math|x,y,z\<in\>A> be such that
    <with|mode|math|x\<preccurlyeq\>y>, and let
    <with|mode|math|\<lambda\>\<in\><rsQ>(R)>. Then there exists a
    <with|mode|math|\<mu\>\<in\><rsQ>(R)> with
    <with|mode|math|\<lambda\>*x\<less\>\<mu\>*y>. If
    <with|mode|math|z\<geqslant\>0>, then we infer that
    <with|mode|math|\<lambda\>*x*z\<less\>\<mu\>*y*z>, whence
    <with|mode|math|x*z\<preccurlyeq\>y*z>. If
    <with|mode|math|z\<leqslant\>0>, then we obtain
    <with|mode|math|\<um\>x*z\<preccurlyeq\>\<um\>y*z>, whence again
    <with|mode|math|x*z\<preccurlyeq\>y*z>, by <with|font-series|bold|D2>.
    This proves <no-break><with|font-series|bold|D3>. As to
    <with|font-series|bold|N4>, let <with|mode|math|x,y,z\<in\>A> be such
    that <with|mode|math|x\<prec\>y>. Then for all
    <with|mode|math|\<lambda\>\<in\><rsQ>(R)>, we have
    <with|mode|math|(\<lambda\>*z/\|z\|)*x\<less\>\|y\|>, whence
    <with|mode|math|\<lambda\>*x*z=(\<lambda\>*z/\|z\|)*x*\|z\|\<less\>\|y*z\|>.
  </proof>

  <example|Let <with|mode|math|A> be a totally ordered
  <with|mode|math|R>-algebra. We may totally order the polynomial extension
  <with|mode|math|A[\<varepsilon\>]> of <with|mode|math|A> by an
  infinitesimal element <with|mode|math|\<varepsilon\>> by setting
  <with|mode|math|a<rsub|0>+a<rsub|1>*\<varepsilon\>+\<cdots\>+a<rsub|d>*\<varepsilon\><rsup|d>\<gtr\>0>,
  if and only if \ <with|mode|math|>there exists an index <with|mode|math|i >
  with <with|mode|math|a<rsub|0>=\<cdots\>=a<rsub|i-1>=0\<less\>a<rsub|i>>.
  This algebra is non-Archimedean, since <with|mode|math|1\<succ\>\<varepsilon\>\<succ\>\<varepsilon\><rsup|2>\<succ\>\<cdots\>>.
  Similarly, one may construct an extension <with|mode|math|A[\<omega\>]>
  with an infinitely large element <with|mode|math|\<omega\>>, in which
  <with|mode|math|1\<prec\>\<omega\>\<prec\>\<omega\><rsup|2>\<prec\>\<cdots\>>.>

  <\exercise>
    <label|alt-asrel-ex>

    <\enumerate-alpha>
      <item>Given a totally ordered vector space <with|mode|math|V> over a
      totally ordered field <with|mode|math|K>, show that

      <eqnarray*|<tformat|<table|<row|<cell|x\<preccurlyeq\>y>|<cell|\<Leftrightarrow\>>|<cell|\<exists\>\<lambda\>\<in\>K,\|x\|\<leqslant\>\<lambda\>*y;>>|<row|<cell|x\<prec\>y>|<cell|\<Leftrightarrow\>>|<cell|\<forall\>\<lambda\>\<in\>K,\<lambda\>*x\<less\>\|y\|.>>>>>

      <item>Given a totally ordered module <with|mode|math|M> over a totally
      ordered ring <with|mode|math|R>, show that

      <eqnarray*|<tformat|<table|<row|<cell|x\<preccurlyeq\>y>|<cell|\<Leftrightarrow\>>|<cell|\<exists\>\<lambda\>\<in\>R,\<exists\>\<mu\>\<in\>R<rsup|\<ast\>>,\|\<mu\>*x\|\<leqslant\>\<lambda\>*y;>>|<row|<cell|x\<prec\>y>|<cell|\<Leftrightarrow\>>|<cell|\<forall\>\<lambda\>\<in\>R,\<forall\>\<mu\>\<in\>R<rsup|\<ast\>>,\<lambda\>*x\<less\>\|\<mu\>*y\|.>>>>>
    </enumerate-alpha>
  </exercise>

  <exercise|Let <with|mode|math|A> be a totally ordered ring. Is it true that
  the relations <with|mode|math|<op|\<prec\>>> and
  <with|mode|math|<op|\<preccurlyeq\>>> are totally determined by the sets of
  infinitesimal resp. bounded elements of <with|mode|math|A>?>

  <exercise|Prove that the sets of infinitesimal and bounded elements in a
  totally ordered ring <with|mode|math|A> are both convex (a subset
  <with|mode|math|B> of <with|mode|math|A > is <em|convex><index|convex> if
  for all <with|mode|math|x,z\<in\>B> and <with|mode|math|y\<in\>A>, we have
  <with|mode|math|x\<less\>y\<less\>z\<Rightarrow\>y\<in\>B>). Prove that the
  set of Archimedean elements has two ``convex components'', provided that
  <with|mode|math|0\<less\>1>.>

  <exercise|Show that the nilpotent elements of a totally ordered ring
  <with|mode|math|A> are infinitesimal. Does the same thing hold for zero
  divisors?>

  <\exercise>
    <label|valuation-ex>Let <with|mode|math|K> be a field. We recall that a
    <em|valuation><index|valuation> on <with|mode|math|K> is a mapping
    <with|mode|math|v:K<rsup|\<ast\>>\<rightarrow\>\<Gamma\>> of
    <no-break><with|mode|math|K<rsup|\<ast\>>> into a totally ordered
    additive group, such that

    <\description>
      <item*|V1><with|mode|math|v(x*y)=v(x)+v(y)> for all
      <with|mode|math|x,y\<in\>K<rsup|\<ast\>>>.

      <item*|V2><with|mode|math|v(x+y)\<geqslant\>min(v(x),v(y))>, for all
      <with|mode|math|x,y\<in\>K<rsup|\<ast\>>> with
      <with|mode|math|x+y\<in\>K<rsup|\<ast\>>>.
    </description>

    Show that the valuations on <no-break><with|mode|math|K> correspond to
    total dominance relations.
  </exercise>

  <\exercise>
    \;

    <\enumerate-alpha>
      <item>Let <with|mode|math|R> be any ring and define
      <with|mode|math|x\<preccurlyeq\>y>, if and only if
      <with|mode|math|><with|mode|math|\<forall\>z\<in\>R,y*z=0\<Rightarrow\>x*z=0>,
      for all <with|mode|math|x,y\<in\>R>. Show that
      <with|mode|math|<op|\<preccurlyeq\>>> is a domination relation, for
      which <with|mode|math|R> is the set of bounded elements, and
      <with|mode|math|R<rsup|\<ast\>>> the set of Archimedean elements.

      <item>Assume that <with|mode|math|R> is a ring with a compatible
      dominance relation and neglection relation. Show that we may generalize
      the theory of this section, by replacing all quantifications over
      <with|mode|math|\<lambda\>\<in\>R> resp.
      <with|mode|math|\<mu\>\<in\>R<rsup|\<ast\>>> by quantifications over
      <with|mode|math|\<lambda\>\<preccurlyeq\>1> resp.
      <with|mode|math|\<mu\>\<asymp\>1>. For instance, the condition
      <with|font-series|bold|D2> becomes <with|mode|math|x\<prec\>y\<Rightarrow\>\<lambda\>*x\<preccurlyeq\>\<mu\>*y>
      for all <with|mode|math|x,y\<in\>M>,
      <with|mode|math|\<lambda\>\<preccurlyeq\>1> and
      <with|mode|math|\<mu\>\<asymp\>1>.
    </enumerate-alpha>
  </exercise>

  <exercise|<label|part-asymp>Let <with|mode|math|R> be a perfect totally
  ordered ring and <with|mode|math|M> a perfect ordered
  <with|mode|math|R>-module. Given <with|mode|math|x,y\<in\>M>, we define
  <with|mode|math|x\<preccurlyeq\>y> resp. <with|mode|math|x\<prec\>y>, if
  <with|mode|math|\<varphi\>(x)\<preccurlyeq\>\<varphi\>(y)> resp.
  <with|mode|math|\<varphi\>(x)\<preccurlyeq\>\<varphi\>(y)> for all
  morphisms <with|mode|math|\<varphi\>:M\<rightarrow\>N> of
  <with|mode|math|M> into a totally ordered <with|mode|math|R>-module
  <with|mode|math|N>. Prove that <with|mode|math|<op|\<preccurlyeq\>>> and
  <with|mode|math|<op|\<prec\>>> compatible domination and neglection
  relations. Prove that the same thing holds, if we take a perfect ordered
  <with|mode|math|R>-algebra <with|mode|math|A> instead of
  <with|mode|math|M>.>

  <\fold>
    <exercise|Let <with|mode|math|M> be an <with|mode|math|R>-module with a
    dominance relation <with|mode|math|<op|\<preccurlyeq\>>>. Let
    <with|mode|math|D> be the set of total dominance relations
    <with|mode|math|<op|\<preccurlyeq\>><rprime|'>> on <with|mode|math|M>,
    with <with|mode|math|<op|\<preccurlyeq\>><rprime|'>\<supseteq\><op|\<preccurlyeq\>>>.
    Prove that <with|mode|math|<op|\<preccurlyeq\>>=<big|cap><rsub|<op|\<preccurlyeq\>><rprime|'>\<in\>D><op|\<preccurlyeq\>><rprime|'>>.>
  <|fold>
    <\solution>
      Let us first prove how, given <with|mode|math|x,y\<in\>M> with
      <with|mode|math|x\<npreccurlyeq\>y> and
      <with|mode|math|y\<npreccurlyeq\>x>, to construct domination relations
      <with|mode|math|<op|\<preccurlyeq\>><rprime|'>> resp.
      <with|mode|math|<op|\<preccurlyeq\>><rprime|''>>, with
      <with|mode|math|x\<preccurlyeq\><rprime|'>y>,
      <with|mode|math|y\<preccurlyeq\><rprime|''>x> and
      <with|mode|math|<op|\<preccurlyeq\>>=<op|\<preccurlyeq\>><rprime|'>\<cap\><op|\<preccurlyeq\>><rprime|''>>.
      We take <with|mode|math|\<preccurlyeq\><rprime|'>> to be the smallest
      domination relation which contains <with|mode|math|\<preccurlyeq\>> and
      such that <with|mode|math|x\<preccurlyeq\><rprime|'>y> (and similarly
      for <with|mode|math|<op|\<preccurlyeq\>><rprime|''>>). Then any
      relation of the form <with|mode|math|a\<preccurlyeq\><rprime|'>b> can
      be deduced from <with|mode|math|x\<preccurlyeq\><rprime|'>y>, the
      relations <with|mode|math|p\<preccurlyeq\>q> and the axioms for
      quasi-orderings, <with|font-series|bold|D1> and
      <with|font-series|bold|D2>. Such deductions can be represented by
      trees, labeled by couples <no-break><with|mode|math|(p,q)>, for which
      <with|mode|math|p\<preccurlyeq\><rprime|'>q>; the leaves of these trees
      are labeled by <with|mode|math|(x,y)> or couples <with|mode|math|(p,q)>
      with <with|mode|math|p\<preccurlyeq\>q>; if an inner node is labeled by
      <with|mode|math|(p,q)>, then its successors are labeled in one of the
      following ways:

      <\itemize>
        <item>By <with|mode|math|(p,r)> and <with|mode|math|(r,q)>;

        <item>By <with|mode|math|(p<rsub|1>,q)> and
        <with|mode|math|(p<rsub|2>,q)>, where
        <with|mode|math|p=p<rsub|1>+p<rsub|2>>.
      </itemize>

      It is not necessary to consider deductions by
      <with|font-series|bold|D2>, since such deductions can be seen as axioms
      of the form <with|mode|math|p\<preccurlyeq\>q>.

      We now claim that if <with|mode|math|a\<preccurlyeq\><rprime|'>b>, then
      <with|mode|math|a\<preccurlyeq\>b> or
      <with|mode|math|y\<preccurlyeq\>b>. Indeed, we prove our claim by
      induction over the structural induction over a deduction tree
      <with|mode|math|T> of <with|mode|math|a\<preccurlyeq\><rprime|'>b>
      (whose root is labeled by <with|mode|math|(a,b)>). If
      <with|mode|math|T> is reduced to its root, then we are clearly done.
      Assume therefore that <with|mode|math|T> is not reduced to its root and
      that we have proved the claim for its children. Assume that successors
      of the root are labeled by <with|mode|math|(a,c)> and
      <with|mode|math|(c,b)>. If <with|mode|math|a\<preccurlyeq\>c> and
      <with|mode|math|c\<preccurlyeq\>b>, then
      <with|mode|math|a\<preccurlyeq\>b>. If
      <with|mode|math|y\<preccurlyeq\>c> and
      <with|mode|math|c\<preccurlyeq\>b>, then
      <with|mode|math|y\<preccurlyeq\>b>. Otherwise, we also have
      <with|mode|math|y\<preccurlyeq\>b>. Hence,
      <with|mode|math|a\<preccurlyeq\>b> or
      <with|mode|math|y\<preccurlyeq\>b>, in all cases. Assume that the
      successors of the root of <with|mode|math|T> are labeled by
      <with|mode|math|(a<rsub|1>,b)> and <with|mode|math|(a<rsub|2>,b)>, with
      <with|mode|math|a=a<rsub|1>+a<rsub|2>>. If
      <with|mode|math|y\<preccurlyeq\>b>, then we are done. Otherwise,
      <with|mode|math|a<rsub|1>\<preccurlyeq\>b> and
      <with|mode|math|a<rsub|2>\<preccurlyeq\>b> and
      <with|mode|math|a=a<rsub|1>+a<rsub|2>\<preccurlyeq\>b>. This proves our
      claim.

      Now assume that <with|mode|math|a\<preccurlyeq\><rprime|'>b> and
      <with|mode|math|a\<preccurlyeq\><rprime|''>b> and let us show that
      <with|mode|math|a\<preccurlyeq\>b>. Assume on the contrary that
      <with|mode|math|a\<npreccurlyeq\>b>. By what precedes, this implies
      that both <with|mode|math|y\<preccurlyeq\>b> and
      <with|mode|math|x\<preccurlyeq\>b>. Now consider a deduction tree
      <with|mode|math|T> for <with|mode|math|a\<preccurlyeq\><rprime|'>b>.
      Let us prove by a right to left traversal of <with|mode|math|T> that
      for each label <with|mode|math|(p,q)> of a node in <with|mode|math|T>,
      we have <with|mode|math|q\<preccurlyeq\>b> (first encounter) and
      <with|mode|math|p\<preccurlyeq\>b> (last encounter). We distinguish the
      following cases:

      <\itemize>
        <item>For the root, we already have
        <with|mode|math|b\<preccurlyeq\>b>.

        <item>Assume that we are at a node <with|mode|math|N> labeled by
        <with|mode|math|(p,q)> with <with|mode|math|q\<preccurlyeq\>b> and
        that we descend to the right successor <with|mode|math|N<rprime|'>>
        of <with|mode|math|N>, which is labeled by
        <with|mode|math|(p<rprime|'>,q<rprime|'>)>. Then we have
        <with|mode|math|q=q<rprime|'>>, whence
        <with|mode|math|q<rprime|'>\<preccurlyeq\>b>.

        <item>Assume that we are at a leaf, labeled by <with|mode|math|(p,q)>
        with <with|mode|math|q\<preccurlyeq\>b>. If
        <with|mode|math|(p,q)=(x,y)>, then our claim implies
        <with|mode|math|x\<preccurlyeq\>b>. Otherwise,
        <with|mode|math|p\<preccurlyeq\>q> and again
        <with|mode|math|p\<preccurlyeq\>q\<preccurlyeq\>b>.

        <item>Assume now that we come up from the right successor
        <with|mode|math|N<rprime|'>> of a node <with|mode|math|N> and that we
        are up to descend to its left successor
        <with|mode|math|N<rprime|''>>. Let <with|mode|math|N>,
        <with|mode|math|N<rprime|'>> and <with|mode|math|N<rprime|''>> be
        labeled by <with|mode|math|(p,q)>,
        <with|mode|math|(p<rprime|'>,q<rprime|'>)> and
        <with|mode|math|(p<rprime|''>,q<rprime|''>)>, so that
        <with|mode|math|q,p<rprime|'>,q<rprime|'>\<preccurlyeq\>b>. Since we
        either have <with|mode|math|q<rprime|''>=p<rprime|'>> or
        <with|mode|math|q<rprime|''>=q<rprime|'>=q>, we have
        <with|mode|math|q<rprime|''>\<preccurlyeq\>b>.

        <item>Assume finally that we come up from the left successor
        <with|mode|math|N<rprime|''>> of a node <with|mode|math|N> and let
        <with|mode|math|N<rprime|'>> be its right successor. Let
        <with|mode|math|N>, <with|mode|math|N<rprime|'>> and
        <with|mode|math|N<rprime|''>> be labeled respectively by
        <with|mode|math|(p,q)>, <with|mode|math|(p<rprime|'>,q<rprime|'>)>
        and <with|mode|math|(p<rprime|''>,q<rprime|''>)>, with
        <with|mode|math|q,p,p<rprime|'>,q,q<rprime|'>\<preccurlyeq\>b>. If
        <with|mode|math|p<rprime|'>=p,q<rprime|'>=p<rprime|''>> and
        <with|mode|math|q<rprime|''>=q>, then in particular
        <with|mode|math|p\<preccurlyeq\>b>. If
        <with|mode|math|q<rprime|'>=q<rprime|''>=q> and
        <with|mode|math|p=p<rprime|'>+p<rprime|''>>, then
        <with|mode|math|p<rprime|'>\<preccurlyeq\>b> and
        <with|mode|math|p<rprime|''>\<preccurlyeq\>b> imply
        <with|mode|math|p\<preccurlyeq\>b>.
      </itemize>

      We conclude that <with|mode|math|a\<preccurlyeq\>b>, since the root of
      <with|mode|math|T> is labeled by <with|mode|math|(a,b)>; contradiction.

      At this stage, we have constructed domination relations
      <with|mode|math|<op|\<preccurlyeq\>><rprime|'>> resp.
      <with|mode|math|<op|\<preccurlyeq\>><rprime|''>>, with
      <with|mode|math|x\<preccurlyeq\><rprime|'>y>,
      <with|mode|math|y\<preccurlyeq\><rprime|''>x> and
      <with|mode|math|<op|\<preccurlyeq\>>=<op|\<preccurlyeq\>><rprime|'>\<cap\><op|\<preccurlyeq\>><rprime|''>>.
      In particular, we notice that <with|mode|math|<op|\<preccurlyeq\>>=<op|\<preccurlyeq\>><rprime|'>\<cap\><op|\<preccurlyeq\>><rprime|''>>
      implies that <with|mode|math|y\<npreccurlyeq\><rprime|'>x> and
      <with|mode|math|x\<npreccurlyeq\><rprime|''>y>. Let us show now that
      <with|mode|math|<op|\<preccurlyeq\>><rprime|'>> may be extended into a
      total dominance relation <with|mode|math|<wide|<op|\<preccurlyeq\>><rprime|'>|^>>,
      for which <with|mode|math|y <wide|\<npreccurlyeq\><rprime|'>|^> x>.

      Consider the set <with|mode|math|P={p <wide|\<preccurlyeq\>|^>
      q:p,q\<in\>M\<wedge\>p\<preccurlyeq\>q}\<cup\>{y
      <wide|\<npreccurlyeq\>|^> x}\<cup\>{p <wide|\<preccurlyeq\>|^>
      q\<vee\>q <wide|\<preccurlyeq\>|^> p:p,q\<in\>M}> of propositions. We
      will prove by induction that for any finite subset <with|mode|math|F>
      of <with|mode|math|P> there exists a dominance relation which satisfies
      <with|mode|math|{p <wide|\<preccurlyeq\>|^>
      q:p,q\<in\>M\<wedge\>p\<preccurlyeq\>q}\<cup\>{y
      <wide|\<npreccurlyeq\>|^> x}\<cup\>F>; then we conclude by compactness.
      If <with|mode|math|F=\<varnothing\>>, then we take
      <with|mode|math|<wide|\<preccurlyeq\>|^>=\<preccurlyeq\><rprime|'>>.
      Otherwise, let <with|mode|math|F=F<rprime|'>\<cup\>{p
      <wide|\<preccurlyeq\>|^> q\<vee\>q <wide|\<preccurlyeq\>|^> p}> and let
      <with|mode|math|<op|\<preccurlyeq\>><rsub|0>\<supseteq\><op|\<preccurlyeq\>><rprime|'>><with|mode|math|>
      be a dominance relation which satisfies <with|mode|math|F<rprime|'>>.
      If <with|mode|math|p\<preccurlyeq\><rsub|0>q> or
      <with|mode|math|q\<preccurlyeq\><rsub|0>p>, then
      <with|mode|math|<wide|<op|\<preccurlyeq\>>|^>=<op|\<preccurlyeq\>><rsub|0>>
      already satisfies <with|mode|math|F>. In the other case, there exist
      relations <with|mode|math|\<preccurlyeq\><rsub|1>> and
      <with|mode|math|\<preccurlyeq\><rsub|2>>, with
      <with|mode|math|p\<preccurlyeq\><rsub|1>q>,
      <with|mode|math|q\<preccurlyeq\><rsub|2>p> and
      <with|mode|math|<op|\<preccurlyeq\>><rsub|0>=<op|\<preccurlyeq\>><rsub|1>\<cap\><op|\<preccurlyeq\>><rsub|2>>.
      The last condition, that <with|mode|math|<op|\<preccurlyeq\>><rsub|0>=<op|\<preccurlyeq\>><rsub|1>\<cap\><op|\<preccurlyeq\>><rsub|2>>,
      implies that either <with|mode|math|y\<npreccurlyeq\><rsub|1>x> or
      <with|mode|math|y\<npreccurlyeq\><rsub|2>x>. In other words, either
      <with|mode|math|<op|\<preccurlyeq\>><rsub|1>> or
      <with|mode|math|<op|\<preccurlyeq\>><rsub|2>> satisfies
      <with|mode|math|F>. This completes the induction and the main result
      follows by compactness.
    </solution>
  </fold>

  <section|Hahn spaces>

  Let <with|mode|math|K><vspace*|1fn> be a totally ordered field and
  <with|mode|math|V> a totally ordered <with|mode|math|K>-vector space. We
  say that <no-break><with|mode|math|V> is a <em|Hahn space><index|Hahn
  space>, if for each <with|mode|math|x,y\<in\>V> with
  <with|mode|math|x\<asymp\>y>, there exists a
  <with|mode|math|\<lambda\>\<in\>K>, with
  <no-break><with|mode|math|x\<sim\>\<lambda\>*y>.

  <proposition|<label|Hahn-space-basis>Let <with|mode|math|K> be a totally
  ordered field and <with|mode|math|V> a finite dimensional Hahn space over
  <with|mode|math|K>. Then <with|mode|math|V> admits a basis
  <with|mode|math|b<rsub|1>,\<ldots\>,b<rsub|n> > with
  <with|mode|math|b<rsub|1>\<prec\>\<cdots\>\<prec\>b<rsub|n>>.>

  <surround||<vspace|2fn>|<\proof>
    We prove the proposition by induction over the dimension
    <with|mode|math|n> of <with|mode|math|V>. If <with|mode|math|n=0>, then
    we have nothing to prove. So assume that <with|mode|math|n\<gtr\>0>, and
    let <with|mode|math|H> be a hyperplane in <no-break><with|mode|math|V> of
    dimension <with|mode|math|n-1>. By the induction hypothesis,
    <with|mode|math|H> admits a basis <with|mode|math|a<rsub|1>\<prec\>\<cdots\>\<prec\>a<rsub|n-1>>.

    We claim that there exists an <with|mode|math|x\<in\>V\<setminus\>H>,
    such that <with|mode|math|x> is asymptotic to none of the
    <no-break><with|mode|math|a<rsub|i>>. Indeed, if not, let
    <with|mode|math|i> be minimal such that there exists an
    <with|mode|math|x\<in\>V\<setminus\>H> with
    <with|mode|math|x\<asymp\>a<rsub|i>>. Since <with|mode|math|V> is
    saturated, there exists a <with|mode|math|\<lambda\>\<in\>K> with
    <with|mode|math|x\<sim\>\<lambda\>*a<rsub|i>>. Then
    <with|mode|math|x-\<lambda\>*a<rsub|i>\<prec\>a<rsub|i>>, whence
    <with|mode|math|x-\<lambda\>*a<rsub|i>\<asymp\>a<rsub|j>> with
    <with|mode|math|j\<less\>i>, since <with|mode|math|x-\<lambda\>*a<rsub|i>\<in\>V\<setminus\>H>.
    This contradicts the minimality of <with|mode|math|i>.

    So let <with|mode|math|x\<in\>V\<setminus\>H> be such that
    <with|mode|math|x> is asymptotic to none of the
    <with|mode|math|a<rsub|i>>. Since <with|mode|math|x\<prec\>a<rsub|i>\<vee\>x\<asymp\>a<rsub|i>\<vee\>x\<succ\>a<rsub|i>>
    for all <with|mode|math|i>, the set <with|mode|math|{a<rsub|1>,\<ldots\>,a<rsub|n-1>,x}>
    is totally ordered <abbr|w.r.t.><nbsp><with|mode|math|<op|\<prec\>>>.
  </proof>>

  <exercise|Show that any totally ordered <with|mode|math|\<bbb-R\>>-vector
  space is a Hahn space. Do there exist other totally ordered fields with
  this property?>

  <exercise|Let <with|mode|math|K> be a totally ordered field and
  <with|mode|math|V> a finite dimensional Hahn space over
  <no-break><with|mode|math|K>. Assume that
  <with|mode|math|b<rsub|1>\<prec\>\<cdots\>\<prec\>b<rsub|n>> and
  <with|mode|math|b<rprime|'><rsub|1>\<prec\>\<ldots\>\<prec\>b<rprime|'><rsub|n>>
  are both bases of <with|mode|math|K> and denote by <with|mode|math|B> resp.
  <with|mode|math|B<rprime|'>> the column matrices with entries
  <with|mode|math|b<rsub|1>,\<ldots\>,b<rsub|n>> resp.
  <with|mode|math|b<rprime|'><rsub|1>,\<ldots\>,b<rprime|'><rsub|n>>. Show
  that <with|mode|math|B<rprime|'>=T*B> for some lower triangular matrix
  <with|mode|math|T>.>

  <\exercise>
    \;

    <\enumerate-alpha>
      <item>Prove that each Hahn space of countable dimension admits a basis
      which is totally ordered <abbr|w.r.t.><nbsp><with|mode|math|<op|\<prec\>>>.

      <item>Prove that there exist infinite dimensional Hahn spaces, which do
      not admit bases of pairwise comparable elements
      for<nbsp><with|mode|math|<op|\<prec\>>>.
    </enumerate-alpha>
  </exercise>

  <section|Groups and rings with generalized powers><label|flat-def>

  Let <with|mode|math|G> be a multiplicative group. For any
  <with|mode|math|x\<in\>G> and <with|mode|math|n\<in\>\<bbb-Z\>>, we can
  take the <with|mode|math|n>-th power <with|mode|math|x<rsup|n>> of
  <with|mode|math|x> in <with|mode|math|G>. We say that <with|mode|math|G> is
  a group with <with|mode|math|\<bbb-Z\>>-powers. More generally, given a
  ring <with|mode|math|R>, a <em|group with
  <with|mode|math|R>-powers><subindex|group|with <with|mode|math|R>-powers>
  is an <with|mode|math|R>-module <with|mode|math|G>, such that
  <with|mode|math|R> acts on <with|mode|math|G> through exponentiation. We
  also say that <with|mode|math|G> is an <em|exponential
  <with|mode|math|R>-module><subindex|exponential|<with|mode|math|R>-module>.
  If <with|mode|math|R> and <with|mode|math|G> are ordered, then we say that
  <with|mode|math|G> is an <em|ordered group with
  <with|mode|math|R>-powers><subindex|ordered|group with
  <with|mode|math|R>-powers><subindex|group|ordered -- with
  <with|mode|math|R>-powers> if <with|mode|math|1\<leqslant\>x\<wedge\>0\<leqslant\>\<alpha\>\<Rightarrow\>1\<leqslant\>x<rsup|\<alpha\>>>,
  for all <with|mode|math|x\<in\>G> and <with|mode|math|\<alpha\>\<in\>R>.

  <example|Let <with|mode|math|G> be any group with <with|mode|math|R>-powers
  and let <with|mode|math|S> be an <with|mode|math|R>-algebra. Then we may
  form the group <with|mode|math|G<rsup|S\|R>> with
  <with|mode|math|S>-powers, by tensoring the <with|mode|math|R>-modules
  <with|mode|math|G> and <with|mode|math|S>. However, there is no canonical
  way to order <with|mode|math|G<rsup|S\|R>>, if <with|mode|math|G,R> and
  <with|mode|math|S> are ordered.>

  A <em|ring with <with|mode|math|R>-powers><subindex|ring|with
  <with|mode|math|R>-powers> is a ring <with|mode|math|A>, such that a
  certain multiplicative subgroup <with|mode|math|A<rsup|\<times\>>><glossary-explain|<with|mode|math|A<rsup|\<times\>>>|elements
  of <with|mode|math|A> which can be raised to a power> of <with|mode|math|A>
  carries the structure of a group with <with|mode|math|R>-powers. Any ring
  <with|mode|math|A> is a ring with <with|mode|math|\<bbb-Z\>>-powers by
  taking the group of units of <with|mode|math|A> for
  <with|mode|math|A<rsup|\<times\>>>. If <with|mode|math|A> is an ordered
  ring<subindex|ring|ordered -- with <with|mode|math|R>-powers><subsubindex|ordered|ring|with
  <with|mode|math|R>-powers>, then we say that the ordering is compatible
  with the <with|mode|math|R>-power structure if

  <\equation*>
    \<forall\>x\<in\>A<rsup|\<times\>>,\<forall\>\<lambda\>\<in\>R,x\<geqslant\>0\<Rightarrow\>x<rsup|\<lambda\>>\<geqslant\>0.
  </equation*>

  An <em|ordered field with <with|mode|math|R>-powers><subindex|field|ordered
  -- with <with|mode|math|R>-powers><subsubindex|ordered|field|with
  <with|mode|math|R>-powers> is an ordered field <with|mode|math|K>, such
  that the ordered group <with|mode|math|K<rsup|\<times\>>=K<rsup|\<gtr\>>>
  of strictly positive elements in <with|mode|math|K> has
  <with|mode|math|R>-powers.

  <\example>
    The field <with|mode|math|\<bbb-C\>(z)> is a field with
    <with|mode|math|\<bbb-Z\>>-powers by taking
    <with|mode|math|\<bbb-C\>(z)<rsup|\<times\>>=\<bbb-C\>(z)<rsup|\<neq\>>>.
    The field <with|mode|math|\<bbb-R\>(x)> is a totally ordered field with
    <with|mode|math|\<bbb-Z\>>-powers for the ordering

    <\equation*>
      f\<gtr\>0<space|0.6spc>\<Leftrightarrow\><space|0.6spc>\<exists\>x<rsub|0>\<in\>\<bbb-R\>,\<forall\>x\<geqslant\>x<rsub|0>,f(x)\<gtr\>0.
    </equation*>

    from example <reference|germ-ordering>.
  </example>

  Let <with|mode|math|A> be an <em|asymptotic ring with
  <with|mode|math|R>-powers><subindex|asymptotic|ring with
  <with|mode|math|R>-powers><subindex|ring|asymptotic <emdash> with
  <with|mode|math|R>-powers>, <abbr|i.e.> <with|mode|math|A> is both an
  asymptotic ring and a ring with <with|mode|math|R>-powers, and
  <with|mode|math|1\<preccurlyeq\>x> or <with|mode|math|x\<prec\>1> for all
  <with|mode|math|x \<in\>A<rsup|\<times\>>>. Given
  <with|mode|math|x\<in\>A<rsup|\<times\>>>, we denote
  <with|mode|math|\<\|\|\>x\<\|\|\>=x><glossary-explain|<with|mode|math|\<\|\|\>x\<\|\|\>>|<with|mode|math|\<\|\|\>x\<\|\|\>=x>
  if <with|mode|math|x\<succcurlyeq\>1> and
  <with|mode|math|\<\|\|\>x\<\|\|\>=x<rsup|\<um\>1>> otherwise> if
  <with|mode|math|x\<succcurlyeq\>1> and <with|mode|math|\<\|\|\>x\<\|\|\>=x<rsup|\<um\>1>>
  otherwise. Then, given <with|mode|math|x,y\<in\>A<rsup|\<times\>>>, we
  define<glossary-explain|<with|mode|math|x\<precpreceq\>y>|<with|mode|math|x>
  is flatter than or as flat as <with|mode|math|y>><glossary-explain|<with|mode|math|x\<precprec\>y>|<with|mode|math|x>
  is flatter than <with|mode|math|y>>

  <\eqnarray*>
    <tformat|<table|<row|<cell|x\<precpreceq\>y>|<cell|\<Leftrightarrow\>>|<cell|\<exists\>\<lambda\>\<in\>R,\<exists\>\<mu\>\<in\>R<rsup|\<ast\>>,\<\|\|\>x<rsup|\<mu\>>\<\|\|\>\<preccurlyeq\>y<rsup|\<lambda\>>;>>|<row|<cell|x\<precprec\>y>|<cell|\<Leftrightarrow\>>|<cell|\<forall\>\<lambda\>\<in\>R,\<forall\>\<mu\>\<in\>R<rsup|\<ast\>>,x<rsup|\<lambda\>>\<prec\>\<\|\|\>y<rsup|\<mu\>>\<\|\|\>,>>>>
  </eqnarray*>

  and we say that <with|mode|math|x> is <em|flatter><index|flatter> than
  <with|mode|math|y> resp. <em|flatter than or as flat as>
  <with|mode|math|y>. If <with|mode|math|x\<precpreceq\>y\<precpreceq\>x>,
  then we say that <with|mode|math|x> is <em|as flat as>
  <with|mode|math|y><subindex|flat|as -- as> and we write
  <with|mode|math|x\<asympasymp\>y>. Given
  <with|mode|math|x\<in\>K<rsup|\<times\>>>, the set of
  <with|mode|math|y\<in\>K<rsup|\<times\>>> with
  <with|mode|math|y\<asympasymp\>x><glossary-explain|<with|mode|math|x\<asympasymp\>y>|<with|mode|math|x>
  is as flat as <with|mode|math|y>> is also called the <em|comparability
  class><index|comparability class> of <with|mode|math|x>. Finally, if
  <with|mode|math|y/x\<precprec\>x>, then we say that <with|mode|math|x> and
  <with|mode|math|y> are <em|similar modulo flatness><index|similar modulo
  flatness>, and we write <with|mode|math|x\<simsim\>y><glossary-explain|<with|mode|math|x\<simsim\>y>|<with|mode|math|x>
  and <with|mode|math|y> are similar modulo flatness>.

  <\example>
    Consider the totally ordered field <with|mode|math|\<bbb-R\>(x)(\<mathe\><rsup|x>)>
    with <with|mode|math|\<bbb-Z\>>-powers and the natural asymptotic
    relations <with|mode|math|<op|\<preccurlyeq\>>> and
    <with|mode|math|<op|\<prec\>>> for <with|mode|math|x\<rightarrow\>\<infty\>>.
    Then we have <with|mode|math|x\<precprec\>\<mathe\><rsup|x>>,
    <with|mode|math|\<mathe\><rsup|x>\<asympasymp\>x*\<mathe\><rsup|1000*x>>
    and <with|mode|math|\<mathe\><rsup|x>\<nsimsim\>x*\<mathe\><rsup|1000*x>>.
  </example>

  Let <with|mode|math|A> be an asymptotic ring with <with|mode|math|R>-powers
  and consider a subring <with|mode|math|><with|mode|math|A<rsup|\<flat\>>>
  with <with|mode|math|R>-powers such that
  <with|mode|math|A<rsup|\<flat\>,\<times\>>=A<rsup|\<flat\>>\<cap\>A<rsup|\<times\>>>.
  The subring <with|mode|math|A<rsup|\<flat\>>><glossary-explain|<with|mode|math|A<rsup|\<flat\>>>|flat
  subring of <with|mode|math|A>> is said to be
  <em|flat><subindex|flat|subring> if

  <\equation*>
    \<forall\>x\<in\>A<rsup|\<times\>>,\<forall\>y\<in\>A<rsup|\<flat\>,\<times\>>,x\<precpreceq\>y\<Rightarrow\>(\<exists\>x<rprime|'>\<in\>A<rsup|\<flat\>,\<times\>>,x<rprime|'>\<asymp\>x).
  </equation*>

  In that case, we define

  <\eqnarray*>
    <tformat|<table|<row|<cell|x\<preccurlyeq\><rsup|\<sharp\>>y>|<cell|\<Leftrightarrow\>>|<cell|\<exists\>\<varphi\>\<in\>A<rsup|\<flat\>,\<times\>>,x\<preccurlyeq\>\<varphi\>*y<space|0.6spc>;>>|<row|<cell|x\<prec\><rsup|\<sharp\>>y>|<cell|\<Leftrightarrow\>>|<cell|\<forall\>\<varphi\>\<in\>A<rsup|\<flat\>,\<times\>>,x\<prec\>\<varphi\>*y,>>>>
  </eqnarray*>

  for <with|mode|math|x,y\<in\>A>. In virtue of the next proposition, we call
  <with|mode|math|<op|<op|\<preccurlyeq\>><rsup|\<sharp\>>>><glossary-explain|<with|mode|math|x\<preccurlyeq\><rsup|\<sharp\>>y>|<with|mode|math|x\<preccurlyeq\>y>
  modulo flatness> a <em|flattened dominance relation><subindex|dominance
  relation|flattened> and <no-break><with|mode|math|<op|\<prec\><rsup|\<sharp\>>>><glossary-explain|<with|mode|math|x\<prec\><rsup|\<sharp\>>y>|<with|mode|math|x\<prec\>y>
  modulo flatness> a <em|flattened neglection relation><subindex|neglection
  relation|flattened>.

  <\proposition>
    \;

    <\enumerate-alpha>
      <item><with|mode|math|A> is an asymptotic ring with
      <with|mode|math|R>-powers for <with|mode|math|<op|<op|\<preccurlyeq\>><rsup|\<sharp\>>>>
      and <no-break><with|mode|math|<op|\<prec\><rsup|\<sharp\>>>>.

      <item>If for all <with|mode|math|x,y\<in\>A> and
      <with|mode|math|\<varphi\>\<in\>A<rsup|\<flat\>,\<times\>>> we have

      <\equation>
        <label|flat-asymp-conv>x\<preccurlyeq\>y\<wedge\>\<varphi\>*y\<npreccurlyeq\>x\<Rightarrow\>x\<prec\>\<varphi\>*y,
      </equation>

      then <with|mode|math|<op|\<preccurlyeq\><rsup|\<sharp\>>>> and
      <no-break><with|mode|math|<op|\<prec\><rsup|\<sharp\>>>> are
      associated.
    </enumerate-alpha>
  </proposition>

  <\proof>
    Assume that <with|mode|math|x\<preccurlyeq\><rsup|\<sharp\>>z> and
    <with|mode|math|y\<preccurlyeq\><rsup|\<sharp\>>z> so that
    <with|mode|math|x\<preccurlyeq\>\<varphi\>*z> and
    <with|mode|math|y\<preccurlyeq\>\<psi\>*z> for certain
    <with|mode|math|\<varphi\>,\<psi\>\<in\>A<rsup|\<flat\>,\<times\>>>. We
    also have <with|mode|math|\<varphi\>\<preccurlyeq\>\<psi\>> or
    <with|mode|math|\<psi\>\<preccurlyeq\>\<varphi\>>, so, by symmetry, we
    may assume that <with|mode|math|\<varphi\>\<preccurlyeq\>\<psi\>>. Now
    <with|mode|math|x\<preccurlyeq\>\<psi\>*z>, whence
    <with|mode|math|x-y\<preccurlyeq\>\<psi\>*z>, which proves <strong|D1>.
    We trivially have <strong|D2>, since <with|mode|math|x\<preccurlyeq\>y\<Rightarrow\>x\<preccurlyeq\><rsup|\<sharp\>>y>
    for all <with|mode|math|x,y\<in\>A>. The properties <strong|D3>,
    <strong|N1>, <strong|N2>, <strong|N3>, <strong|N4> and the quasi-ordering
    properties directly follow from the corresponding properties for
    <with|mode|math|<op|\<preccurlyeq\>>> and <with|mode|math|<op|\<prec\>>>.

    Assume now that <with|mode|math|x\<prec\><rsup|\<sharp\>>y>. Then in
    particular <with|mode|math|x\<prec\>y>, whence
    <with|mode|math|x\<preccurlyeq\>y> and
    <with|mode|math|x\<preccurlyeq\><rsup|\<sharp\>>y>. Furthermore, if we
    had <with|mode|math|y\<preccurlyeq\><rsup|\<sharp\>>x>, then we would
    both have <with|mode|math|x\<preccurlyeq\>\<varphi\>*y> and
    <with|mode|math|y\<prec\>\<varphi\><rsup|\<um\>1>*x> for some
    <with|mode|math|\<varphi\>\<in\>A<rsup|<with|mode|text|<with|mode|math|\<flat\>,\<times\>>>>>,
    which is impossible. This proves that
    <with|mode|math|x\<prec\><rsup|\<sharp\>>y\<Rightarrow\>x\<preccurlyeq\><rsup|\<sharp\>>y\<wedge\>y\<npreccurlyeq\><rsup|\<sharp\>>x>.

    Conversely, assume that we have <with|mode|math|x\<preccurlyeq\><rsup|\<sharp\>>y>
    and <with|mode|math|y\<npreccurlyeq\><rsup|\<sharp\>>x>, together with
    (<reference|flat-asymp-conv>). Then <with|mode|math|x\<preccurlyeq\>\<varphi\>*y>
    for some <with|mode|math|\<varphi\>\<in\>A<rsup|\<flat\>,\<times\>>> and
    <with|mode|math|y\<npreccurlyeq\>\<psi\>*x> for all
    <with|mode|math|\<psi\> \<in\>A<rsup|\<flat\>,\<times\>>>. Given
    <with|mode|math|\<psi\>\<in\>A<rsup|\<flat\>,\<times\>>>, we then have
    <with|mode|math|\<psi\>*y\<npreccurlyeq\>x>, since otherwise
    <with|mode|math|y\<preccurlyeq\>\<psi\><rsup|\<um\>1>*x>. Applying
    (<reference|flat-asymp-conv>) to <with|mode|math|x>,
    <with|mode|math|\<varphi\>*y> and <with|mode|math|\<psi\>*\<varphi\><rsup|\<um\>1>>,
    we conclude that <with|mode|math|x\<prec\>\<psi\>*y> and
    <with|mode|math|x\<prec\><rsup|\<sharp\>>y>.
  </proof>

  <\example>
    Given an element <with|mode|math|\<varphi\>\<in\>A>, we may take
    <with|mode|math|A<rsup|\<flat\>>=\<langle\>x\<in\>A<rsup|\<times\>>:x\<precprec\>\<varphi\>\<rangle\>>
    to be the ring generated by all <with|mode|math|x\<in\>A<rsup|\<times\>>>
    with <with|mode|math|x\<precpreceq\>\<varphi\>>. Then we
    define<glossary-explain|<with|mode|math|x\<preccurlyeq\><rsub|\<varphi\>>y>|<with|mode|math|x\<preccurlyeq\>y>
    modulo elements flatter than <with|mode|math|\<varphi\>>><glossary-explain|<with|mode|math|x\<prec\><rsub|\<varphi\>>y>|<with|mode|math|x\<prec\>y>
    modulo elements flatter than <with|mode|math|\<varphi\>>>

    <\eqnarray*>
      <tformat|<table|<row|<cell|<op|\<preccurlyeq\><rsub|\<varphi\>>>>|<cell|=>|<cell|<op|\<preccurlyeq\><rsup|\<sharp\>>>>>|<row|<cell|<op|\<prec\><rsub|\<varphi\>>>>|<cell|=>|<cell|<op|\<prec\><rsup|\<sharp\>>>.>>>>
    </eqnarray*>

    We may also take <with|mode|math|A<rsup|\<flat\>>=\<langle\>x\<in\>A<rsup|\<times\>>:x\<precpreceq\>\<varphi\>\<rangle\>>,
    in which case we define<glossary-explain|<with|mode|math|x\<preccurlyeq\><rsub|\<varphi\>><rsup|\<ast\>>y>|<with|mode|math|x\<preccurlyeq\>y>
    modulo elements flatter than or as flat as
    <with|mode|math|\<varphi\>>><glossary-explain|<with|mode|math|x\<prec\><rsub|\<varphi\>><rsup|\<ast\>>y>|<with|mode|math|x\<prec\>y>
    modulo elements flatter than or as flat as <with|mode|math|\<varphi\>>>

    <\eqnarray*>
      <tformat|<table|<row|<cell|<op|\<preccurlyeq\><rsub|\<varphi\>><rsup|\<ast\>>>>|<cell|=>|<cell|<op|\<preccurlyeq\><rsup|\<sharp\>>>>>|<row|<cell|<op|\<prec\><rsub|\<varphi\>><rsup|\<ast\>>>>|<cell|=>|<cell|<op|\<prec\><rsup|\<sharp\>>>.>>>>
    </eqnarray*>

    For instance, if <with|mode|math|A=\<bbb-R\>(x)(\<mathe\><rsup|x>)>, then
    <with|mode|math|x<rsup|10>*\<mathe\><rsup|x>\<prec\><rsub|\<mathe\><rsup|x>>\<mathe\><rsup|2*x>>,
    <with|mode|math|x<rsup|10>*\<mathe\><rsup|x>\<preccurlyeq\><rsub|\<mathe\><rsup|x>>\<mathe\><rsup|x>>
    and <with|mode|math|f\<asymp\><rsup|\<ast\>><rsub|\<mathe\><rsup|x>>g>
    for all <with|mode|math|f,g\<in\>A<rsup|\<neq\>>>.
  </example>

  <\exercise>
    Let <with|mode|math|K> be a totally ordered field with
    <with|mode|math|R>-powers and let <with|mode|math|L> be its smallest
    subfield with <with|mode|math|R>-powers.

    <\enumerate-alpha>
      <item>Show that <with|mode|math|K> has a natural asymptotic
      <with|mode|math|L>-algebra structure with <with|mode|math|R>-powers.

      <item>Show that <with|mode|math|<op|\<precpreceq\>>> and
      <with|mode|math|<op|\<precprec\>>> are characterized by

      <eqnarray*|<tformat|<table|<row|<cell|x\<precpreceq\>y>|<cell|\<Leftrightarrow\>>|<cell|\<exists\>\<lambda\>\<in\>R,\<exists\>\<mu\>\<in\>R<rsup|\<ast\>>,\<\|\|\>x<rsup|\<mu\>>\<\|\|\>\<leqslant\>y<rsup|\<lambda\>>;>>|<row|<cell|x\<precprec\>y>|<cell|\<Leftrightarrow\>>|<cell|\<forall\>\<lambda\>\<in\>R,\<forall\>\<mu\>\<in\>R<rsup|\<ast\>>,x<rsup|\<lambda\>>\<less\>\<\|\|\>y<rsup|\<mu\>>\<\|\|\>.>>>>>
    </enumerate-alpha>
  </exercise>

  <\exercise>
    Consider <with|mode|math|A<rsup|\<times\>>> as a ``quasi-ordered vector
    space'' for <with|mode|math|<op|\<preccurlyeq\>>> and the
    <with|mode|math|R>-power operation. Show that we may quotient this vector
    space by <with|mode|math|<op|\<asymp\>>> and that
    <with|mode|math|<op|\<precpreceq\>>> and
    <with|mode|math|<op|\<precprec\>>> correspond to the natural dominance
    and neglection relations on this quotient.
  </exercise>
</body>

<\initial>
  <\collection>
    <associate|font|roman>
    <associate|font-base-size|12>
    <associate|page-show-hf|true>
    <associate|par-hyphen|professional>
    <associate|window height|1212160>
    <associate|window width|997120>
  </collection>
</initial>

<\final>
  <\collection>
    <associate|Kruskal-th|1.4>
    <associate|Kruskal1|1.9>
    <associate|Noeth|1.3>
    <associate|Noetherian|1.5>
    <associate|O-category|1.15>
    <associate|asymp-rel|1.6>
    <associate|dom-negl-1|1.16>
    <associate|dom-negl-2|1.17>
    <associate|easy-asymp|1.15>
    <associate|flat-def|1.8>
    <associate|integral-domain|1.14>
    <associate|make-Noetherian|1.6>
    <associate|map-order|1.3>
    <associate|order-props|1.2>
    <associate|ordered-structures|1.5>
    <associate|ordinals|1.2>
    <associate|part-asymp|1.24>
    <associate|quasi-ordering|1.1>
    <associate|tree|1.1>
  </collection>
</final>

<\references>
  <\collection>
    <associate|Hahn-space-basis|<tuple|1.21|?>>
    <associate|Kruskal-th|<tuple|1.4|8>>
    <associate|Kruskal1|<tuple|1.10|9>>
    <associate|Noeth|<tuple|1.3|6>>
    <associate|Noetherian|<tuple|1.5|6>>
    <associate|O-category|<tuple|1.18|12>>
    <associate|alt-asrel-ex|<tuple|1.21|?>>
    <associate|asymp-rel|<tuple|1.6|13>>
    <associate|auto-1|<tuple|1|1>>
    <associate|auto-10|<tuple|1.1|2>>
    <associate|auto-100|<tuple|1.4|9>>
    <associate|auto-101|<tuple|1.2|9>>
    <associate|auto-102|<tuple|1.2|10>>
    <associate|auto-103|<tuple|1.2|10>>
    <associate|auto-104|<tuple|1.9|10>>
    <associate|auto-105|<tuple|1.9|10>>
    <associate|auto-106|<tuple|1.10|10>>
    <associate|auto-107|<tuple|1.10|10>>
    <associate|auto-108|<tuple|1.14|11>>
    <associate|auto-109|<tuple|1.5|11>>
    <associate|auto-11|<tuple|1.1|2>>
    <associate|auto-110|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-111|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-112|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-113|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-114|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-115|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-116|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-117|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-118|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-119|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-12|<tuple|1.1|2>>
    <associate|auto-120|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-121|<tuple|<with|mode|<quote|math>|\<bullet\>>|11>>
    <associate|auto-122|<tuple|1.13|11>>
    <associate|auto-123|<tuple|1.13|12>>
    <associate|auto-124|<tuple|1.13|13>>
    <associate|auto-125|<tuple|1.14|13>>
    <associate|auto-126|<tuple|1.14|13>>
    <associate|auto-127|<tuple|1.14|13>>
    <associate|auto-128|<tuple|1.15|13>>
    <associate|auto-129|<tuple|d|13>>
    <associate|auto-13|<tuple|1.1|2>>
    <associate|auto-130|<tuple|1.6|13>>
    <associate|auto-131|<tuple|1.6|13>>
    <associate|auto-132|<tuple|1.6|13>>
    <associate|auto-133|<tuple|1.6|13>>
    <associate|auto-134|<tuple|1.6|13>>
    <associate|auto-135|<tuple|1.6|13>>
    <associate|auto-136|<tuple|1.6|13>>
    <associate|auto-137|<tuple|1.6|13>>
    <associate|auto-138|<tuple|1.6|13>>
    <associate|auto-139|<tuple|1.6|13>>
    <associate|auto-14|<tuple|1.1|2>>
    <associate|auto-140|<tuple|1.6|13>>
    <associate|auto-141|<tuple|1.6|13>>
    <associate|auto-142|<tuple|1.6|13>>
    <associate|auto-143|<tuple|1.6|13>>
    <associate|auto-144|<tuple|1.6|13>>
    <associate|auto-145|<tuple|1.6|13>>
    <associate|auto-146|<tuple|1.6|13>>
    <associate|auto-147|<tuple|1.6|13>>
    <associate|auto-148|<tuple|1.6|13>>
    <associate|auto-149|<tuple|1.6|13>>
    <associate|auto-15|<tuple|1.1|2>>
    <associate|auto-150|<tuple|1.6|13>>
    <associate|auto-151|<tuple|1.6|15>>
    <associate|auto-152|<tuple|1.6|15>>
    <associate|auto-153|<tuple|1.6|15>>
    <associate|auto-154|<tuple|1.6|15>>
    <associate|auto-155|<tuple|1.6|15>>
    <associate|auto-156|<tuple|1.6|15>>
    <associate|auto-157|<tuple|1.18|15>>
    <associate|auto-158|<tuple|1.18|16>>
    <associate|auto-159|<tuple|1.18|16>>
    <associate|auto-16|<tuple|1.1|2>>
    <associate|auto-160|<tuple|1.18|16>>
    <associate|auto-161|<tuple|1.18|16>>
    <associate|auto-162|<tuple|1.18|17>>
    <associate|auto-163|<tuple|1.18|17>>
    <associate|auto-164|<tuple|1.23|17>>
    <associate|auto-165|<tuple|1.25|17>>
    <associate|auto-166|<tuple|1.7|17>>
    <associate|auto-167|<tuple|1.7|17>>
    <associate|auto-168|<tuple|1.8|17>>
    <associate|auto-169|<tuple|1.8|17>>
    <associate|auto-17|<tuple|1.1|2>>
    <associate|auto-170|<tuple|1.8|17>>
    <associate|auto-171|<tuple|1.8|17>>
    <associate|auto-172|<tuple|1.8|17>>
    <associate|auto-173|<tuple|1.22|17>>
    <associate|auto-174|<tuple|1.22|17>>
    <associate|auto-175|<tuple|1.22|17>>
    <associate|auto-176|<tuple|1.22|17>>
    <associate|auto-177|<tuple|1.22|17>>
    <associate|auto-178|<tuple|1.22|17>>
    <associate|auto-179|<tuple|1.23|17>>
    <associate|auto-18|<tuple|1.1|2>>
    <associate|auto-180|<tuple|1.23|17>>
    <associate|auto-181|<tuple|1.23|17>>
    <associate|auto-182|<tuple|1.23|17>>
    <associate|auto-183|<tuple|1.23|17>>
    <associate|auto-184|<tuple|1.23|18>>
    <associate|auto-185|<tuple|1.23|18>>
    <associate|auto-186|<tuple|1.23|18>>
    <associate|auto-187|<tuple|1.23|18>>
    <associate|auto-188|<tuple|1.23|18>>
    <associate|auto-189|<tuple|1.23|18>>
    <associate|auto-19|<tuple|1|2>>
    <associate|auto-190|<tuple|1.24|18>>
    <associate|auto-191|<tuple|1.24|18>>
    <associate|auto-192|<tuple|1.24|18>>
    <associate|auto-193|<tuple|1.24|18>>
    <associate|auto-194|<tuple|1.24|?>>
    <associate|auto-195|<tuple|1.24|?>>
    <associate|auto-196|<tuple|1.26|?>>
    <associate|auto-197|<tuple|1.26|?>>
    <associate|auto-198|<tuple|1.26|?>>
    <associate|auto-199|<tuple|1.26|?>>
    <associate|auto-2|<tuple|1.1|2>>
    <associate|auto-20|<tuple|1|2>>
    <associate|auto-21|<tuple|1|2>>
    <associate|auto-22|<tuple|2|2>>
    <associate|auto-23|<tuple|2|2>>
    <associate|auto-24|<tuple|2|2>>
    <associate|auto-25|<tuple|3|2>>
    <associate|auto-26|<tuple|3|2>>
    <associate|auto-27|<tuple|3|2>>
    <associate|auto-28|<tuple|4|2>>
    <associate|auto-29|<tuple|4|2>>
    <associate|auto-3|<tuple|1.1|2>>
    <associate|auto-30|<tuple|4|2>>
    <associate|auto-31|<tuple|1.1|3>>
    <associate|auto-32|<tuple|5|3>>
    <associate|auto-33|<tuple|5|3>>
    <associate|auto-34|<tuple|5|3>>
    <associate|auto-35|<tuple|5|3>>
    <associate|auto-36|<tuple|5|3>>
    <associate|auto-37|<tuple|5|3>>
    <associate|auto-38|<tuple|5|3>>
    <associate|auto-39|<tuple|6|3>>
    <associate|auto-4|<tuple|1.1|2>>
    <associate|auto-40|<tuple|a|4>>
    <associate|auto-41|<tuple|b|4>>
    <associate|auto-42|<tuple|b|4>>
    <associate|auto-43|<tuple|c|4>>
    <associate|auto-44|<tuple|1.3|4>>
    <associate|auto-45|<tuple|1.3|4>>
    <associate|auto-46|<tuple|1.3|4>>
    <associate|auto-47|<tuple|1.3|4>>
    <associate|auto-48|<tuple|1.2|4>>
    <associate|auto-49|<tuple|1.2|4>>
    <associate|auto-5|<tuple|1.1|2>>
    <associate|auto-50|<tuple|1.2|4>>
    <associate|auto-51|<tuple|1.2|4>>
    <associate|auto-52|<tuple|1.2|5>>
    <associate|auto-53|<tuple|1.2|5>>
    <associate|auto-54|<tuple|1.2|5>>
    <associate|auto-55|<tuple|1.2|5>>
    <associate|auto-56|<tuple|1.3|5>>
    <associate|auto-57|<tuple|1.3|5>>
    <associate|auto-58|<tuple|1.1|5>>
    <associate|auto-59|<tuple|1.1|5>>
    <associate|auto-6|<tuple|1.1|2>>
    <associate|auto-60|<tuple|1.1|5>>
    <associate|auto-61|<tuple|1.4|5>>
    <associate|auto-62|<tuple|1.4|5>>
    <associate|auto-63|<tuple|1.4|6>>
    <associate|auto-64|<tuple|1.3|6>>
    <associate|auto-65|<tuple|1.3|6>>
    <associate|auto-66|<tuple|1.3|6>>
    <associate|auto-67|<tuple|1.3|6>>
    <associate|auto-68|<tuple|1.3|6>>
    <associate|auto-69|<tuple|1.3|6>>
    <associate|auto-7|<tuple|1.1|2>>
    <associate|auto-70|<tuple|1.3|6>>
    <associate|auto-71|<tuple|1.3|6>>
    <associate|auto-72|<tuple|1.3|6>>
    <associate|auto-73|<tuple|1.3|6>>
    <associate|auto-74|<tuple|1.3|7>>
    <associate|auto-75|<tuple|1.7|7>>
    <associate|auto-76|<tuple|1.8|7>>
    <associate|auto-77|<tuple|1.8|7>>
    <associate|auto-78|<tuple|1.8|8>>
    <associate|auto-79|<tuple|1.8|8>>
    <associate|auto-8|<tuple|1.1|2>>
    <associate|auto-80|<tuple|1.10|8>>
    <associate|auto-81|<tuple|1.10|8>>
    <associate|auto-82|<tuple|1.4|8>>
    <associate|auto-83|<tuple|1.4|8>>
    <associate|auto-84|<tuple|1.4|8>>
    <associate|auto-85|<tuple|1.4|8>>
    <associate|auto-86|<tuple|1.4|8>>
    <associate|auto-87|<tuple|1.4|8>>
    <associate|auto-88|<tuple|1.4|8>>
    <associate|auto-89|<tuple|1.4|8>>
    <associate|auto-9|<tuple|1.1|2>>
    <associate|auto-90|<tuple|1.4|8>>
    <associate|auto-91|<tuple|1.4|8>>
    <associate|auto-92|<tuple|1.4|8>>
    <associate|auto-93|<tuple|1.4|8>>
    <associate|auto-94|<tuple|1.4|8>>
    <associate|auto-95|<tuple|1.4|8>>
    <associate|auto-96|<tuple|1.4|8>>
    <associate|auto-97|<tuple|1.4|8>>
    <associate|auto-98|<tuple|1.4|8>>
    <associate|auto-99|<tuple|1.4|9>>
    <associate|dom-negl-0|<tuple|1.17|14>>
    <associate|dom-negl-1|<tuple|1.18|15>>
    <associate|dom-negl-2|<tuple|1.19|15>>
    <associate|easy-asymp|<tuple|1.16|14>>
    <associate|flat-asymp-conv|<tuple|1.3|18>>
    <associate|flat-def|<tuple|1.8|17>>
    <associate|germ-ordering|<tuple|1.15|11>>
    <associate|gly-1|<tuple|1.1|?>>
    <associate|gly-10|<tuple|1.3|?>>
    <associate|gly-11|<tuple|1.2|?>>
    <associate|gly-12|<tuple|1.1|?>>
    <associate|gly-13|<tuple|1.3|?>>
    <associate|gly-14|<tuple|1.3|?>>
    <associate|gly-15|<tuple|1.4|?>>
    <associate|gly-16|<tuple|1.4|?>>
    <associate|gly-17|<tuple|1.5|?>>
    <associate|gly-18|<tuple|1.5|?>>
    <associate|gly-19|<tuple|1.5|?>>
    <associate|gly-2|<tuple|1.1|?>>
    <associate|gly-20|<tuple|1.5|?>>
    <associate|gly-21|<tuple|1.5|?>>
    <associate|gly-22|<tuple|1.5|?>>
    <associate|gly-23|<tuple|1.6|?>>
    <associate|gly-24|<tuple|1.6|?>>
    <associate|gly-25|<tuple|1.6|?>>
    <associate|gly-26|<tuple|1.6|?>>
    <associate|gly-27|<tuple|1.6|?>>
    <associate|gly-28|<tuple|1.6|?>>
    <associate|gly-29|<tuple|1.21|?>>
    <associate|gly-3|<tuple|1.|?>>
    <associate|gly-30|<tuple|1.22|?>>
    <associate|gly-31|<tuple|1.22|?>>
    <associate|gly-32|<tuple|1.22|?>>
    <associate|gly-33|<tuple|1.22|?>>
    <associate|gly-34|<tuple|1.22|?>>
    <associate|gly-35|<tuple|1.23|?>>
    <associate|gly-36|<tuple|1.23|?>>
    <associate|gly-37|<tuple|1.23|?>>
    <associate|gly-38|<tuple|1.25|?>>
    <associate|gly-39|<tuple|1.25|?>>
    <associate|gly-4|<tuple|2.|?>>
    <associate|gly-40|<tuple|1.25|?>>
    <associate|gly-41|<tuple|1.25|?>>
    <associate|gly-5|<tuple|3.|?>>
    <associate|gly-6|<tuple|4.|?>>
    <associate|gly-7|<tuple|5.|?>>
    <associate|gly-8|<tuple|5.|?>>
    <associate|gly-9|<tuple|c<with|font-shape|<quote|right>|)>|?>>
    <associate|idx-1|<tuple|1.1|?>>
    <associate|idx-10|<tuple|1.1|?>>
    <associate|idx-100|<tuple|1.6|?>>
    <associate|idx-101|<tuple|1.6|?>>
    <associate|idx-102|<tuple|1.6|?>>
    <associate|idx-103|<tuple|1.6|?>>
    <associate|idx-104|<tuple|1.6|?>>
    <associate|idx-105|<tuple|1.6|?>>
    <associate|idx-106|<tuple|1.6|?>>
    <associate|idx-107|<tuple|1.6|?>>
    <associate|idx-108|<tuple|1.6|?>>
    <associate|idx-109|<tuple|1.6|?>>
    <associate|idx-11|<tuple|1.1|?>>
    <associate|idx-110|<tuple|1.17|?>>
    <associate|idx-111|<tuple|1.17|?>>
    <associate|idx-112|<tuple|1.17|?>>
    <associate|idx-113|<tuple|1.17|?>>
    <associate|idx-114|<tuple|1.17|?>>
    <associate|idx-115|<tuple|1.17|?>>
    <associate|idx-116|<tuple|1.17|?>>
    <associate|idx-117|<tuple|1.22|?>>
    <associate|idx-118|<tuple|1.24|?>>
    <associate|idx-119|<tuple|1.7|?>>
    <associate|idx-12|<tuple|1.1|?>>
    <associate|idx-120|<tuple|1.8|?>>
    <associate|idx-121|<tuple|1.8|?>>
    <associate|idx-122|<tuple|1.8|?>>
    <associate|idx-123|<tuple|1.8|?>>
    <associate|idx-124|<tuple|1.21|?>>
    <associate|idx-125|<tuple|1.21|?>>
    <associate|idx-126|<tuple|1.21|?>>
    <associate|idx-127|<tuple|1.21|?>>
    <associate|idx-128|<tuple|1.21|?>>
    <associate|idx-129|<tuple|1.22|?>>
    <associate|idx-13|<tuple|1.1|?>>
    <associate|idx-130|<tuple|1.22|?>>
    <associate|idx-131|<tuple|1.22|?>>
    <associate|idx-132|<tuple|1.22|?>>
    <associate|idx-133|<tuple|1.22|?>>
    <associate|idx-134|<tuple|1.22|?>>
    <associate|idx-135|<tuple|1.23|?>>
    <associate|idx-136|<tuple|1.23|?>>
    <associate|idx-137|<tuple|1.23|?>>
    <associate|idx-138|<tuple|1.23|?>>
    <associate|idx-14|<tuple|1.1|?>>
    <associate|idx-15|<tuple|1.|?>>
    <associate|idx-16|<tuple|1.|?>>
    <associate|idx-17|<tuple|2.|?>>
    <associate|idx-18|<tuple|2.|?>>
    <associate|idx-19|<tuple|3.|?>>
    <associate|idx-2|<tuple|1.1|?>>
    <associate|idx-20|<tuple|3.|?>>
    <associate|idx-21|<tuple|4.|?>>
    <associate|idx-22|<tuple|4.|?>>
    <associate|idx-23|<tuple|5.|?>>
    <associate|idx-24|<tuple|5.|?>>
    <associate|idx-25|<tuple|5.|?>>
    <associate|idx-26|<tuple|5.|?>>
    <associate|idx-27|<tuple|6.|?>>
    <associate|idx-28|<tuple|a<with|font-shape|<quote|right>|)>|?>>
    <associate|idx-29|<tuple|b<with|font-shape|<quote|right>|)>|?>>
    <associate|idx-3|<tuple|1.1|?>>
    <associate|idx-30|<tuple|b<with|font-shape|<quote|right>|)>|?>>
    <associate|idx-31|<tuple|1.3|?>>
    <associate|idx-32|<tuple|1.3|?>>
    <associate|idx-33|<tuple|1.2|?>>
    <associate|idx-34|<tuple|1.2|?>>
    <associate|idx-35|<tuple|1.2|?>>
    <associate|idx-36|<tuple|1.2|?>>
    <associate|idx-37|<tuple|1.2|?>>
    <associate|idx-38|<tuple|1.3|?>>
    <associate|idx-39|<tuple|1.3|?>>
    <associate|idx-4|<tuple|1.1|?>>
    <associate|idx-40|<tuple|1.1|?>>
    <associate|idx-41|<tuple|1.1|?>>
    <associate|idx-42|<tuple|1.4|?>>
    <associate|idx-43|<tuple|1.4|?>>
    <associate|idx-44|<tuple|1.3|?>>
    <associate|idx-45|<tuple|1.3|?>>
    <associate|idx-46|<tuple|1.3|?>>
    <associate|idx-47|<tuple|1.3|?>>
    <associate|idx-48|<tuple|1.3|?>>
    <associate|idx-49|<tuple|1.3|?>>
    <associate|idx-5|<tuple|1.1|?>>
    <associate|idx-50|<tuple|1.3|?>>
    <associate|idx-51|<tuple|1.3|?>>
    <associate|idx-52|<tuple|1.7|?>>
    <associate|idx-53|<tuple|1.8|?>>
    <associate|idx-54|<tuple|1.8|?>>
    <associate|idx-55|<tuple|1.8|?>>
    <associate|idx-56|<tuple|1.10|?>>
    <associate|idx-57|<tuple|1.10|?>>
    <associate|idx-58|<tuple|1.4|?>>
    <associate|idx-59|<tuple|1.4|?>>
    <associate|idx-6|<tuple|1.1|?>>
    <associate|idx-60|<tuple|1.4|?>>
    <associate|idx-61|<tuple|1.4|?>>
    <associate|idx-62|<tuple|1.4|?>>
    <associate|idx-63|<tuple|1.4|?>>
    <associate|idx-64|<tuple|1.4|?>>
    <associate|idx-65|<tuple|1.4|?>>
    <associate|idx-66|<tuple|1.4|?>>
    <associate|idx-67|<tuple|1.4|?>>
    <associate|idx-68|<tuple|1.4|?>>
    <associate|idx-69|<tuple|1.4|?>>
    <associate|idx-7|<tuple|1.1|?>>
    <associate|idx-70|<tuple|1.4|?>>
    <associate|idx-71|<tuple|1.4|?>>
    <associate|idx-72|<tuple|1.4|?>>
    <associate|idx-73|<tuple|1.2|?>>
    <associate|idx-74|<tuple|1.9|?>>
    <associate|idx-75|<tuple|1.9|?>>
    <associate|idx-76|<tuple|1.10|?>>
    <associate|idx-77|<tuple|1.14|?>>
    <associate|idx-78|<tuple|1.5|?>>
    <associate|idx-79|<tuple|1.5|?>>
    <associate|idx-8|<tuple|1.1|?>>
    <associate|idx-80|<tuple|1.5|?>>
    <associate|idx-81|<tuple|1.5|?>>
    <associate|idx-82|<tuple|1.5|?>>
    <associate|idx-83|<tuple|1.5|?>>
    <associate|idx-84|<tuple|1.13|?>>
    <associate|idx-85|<tuple|1.13|?>>
    <associate|idx-86|<tuple|1.13|?>>
    <associate|idx-87|<tuple|1.14|?>>
    <associate|idx-88|<tuple|1.14|?>>
    <associate|idx-89|<tuple|1.14|?>>
    <associate|idx-9|<tuple|1.1|?>>
    <associate|idx-90|<tuple|1.15|?>>
    <associate|idx-91|<tuple|1.6|?>>
    <associate|idx-92|<tuple|1.6|?>>
    <associate|idx-93|<tuple|1.6|?>>
    <associate|idx-94|<tuple|1.6|?>>
    <associate|idx-95|<tuple|1.6|?>>
    <associate|idx-96|<tuple|1.6|?>>
    <associate|idx-97|<tuple|1.6|?>>
    <associate|idx-98|<tuple|1.6|?>>
    <associate|idx-99|<tuple|1.6|?>>
    <associate|integral-domain|<tuple|1.16|11>>
    <associate|make-Noetherian|<tuple|1.6|7>>
    <associate|map-order|<tuple|1.4|4>>
    <associate|ord-chap|<tuple|1|1>>
    <associate|order-props|<tuple|1.2|4>>
    <associate|ordered-structures|<tuple|1.5|10>>
    <associate|ordinals|<tuple|1.2|4>>
    <associate|part-asymp|<tuple|1.27|16>>
    <associate|qo-category|<tuple|1.5|4>>
    <associate|qo-map-factor|<tuple|1.1|3>>
    <associate|qu-map-factor|<tuple|1.1|?>>
    <associate|quasi-ordering|<tuple|1.1|4>>
    <associate|toc-1|<tuple|1|?>>
    <associate|toc-10|<tuple|1.8.1|?>>
    <associate|toc-2|<tuple|1.1|?>>
    <associate|toc-3|<tuple|1.2|?>>
    <associate|toc-4|<tuple|1.3|?>>
    <associate|toc-5|<tuple|1.4|?>>
    <associate|toc-6|<tuple|1.5|?>>
    <associate|toc-7|<tuple|1.6|?>>
    <associate|toc-8|<tuple|1.7|?>>
    <associate|toc-9|<tuple|1.8|?>>
    <associate|tree|<tuple|1.2|8>>
    <associate|valuation-ex|<tuple|1.25|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|bib>
      Bour70

      ???

      ???

      Can1899

      NW63
    </associate>
    <\associate|figure>
      <tuple|normal|Examples of some basic constructions on ordered sets.
      |<pageref|auto-31>>

      <tuple|normal|Some examples ordinal numbers.|<pageref|auto-55>>
    </associate>
    <\associate|gly>
      <tuple|<vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|Chapter
      1. Orderings><vspace|1fn>>

      <tuple|normal|<with|mode|<quote|math>|<with|math-condensed|<quote|true>|\<leqslant\>>>|quasi-ordering|<pageref|auto-6>>

      <tuple|normal|<with|mode|<quote|math>|<with|math-condensed|<quote|true>|\<equiv\>>>|equivalent
      elements <group|w.r.t.> quasi-ordering|<pageref|auto-14>>

      <tuple|normal|<with|mode|<quote|math>|E\<amalg\>F<big|.>>|disjoint
      union of <with|mode|<quote|math>|E> and
      <with|mode|<quote|math>|F>|<pageref|auto-21>>

      <tuple|normal|<with|mode|<quote|math>|E\<dotamalg\>F>|ordered union of
      <with|mode|<quote|math>|E> and <with|mode|<quote|math>|F>|<pageref|auto-24>>

      <tuple|normal|<with|mode|<quote|math>|E\<times\>F>|Cartesian product of
      <with|mode|<quote|math>|E> and <with|mode|<quote|math>|F>|<pageref|auto-27>>

      <tuple|normal|<with|mode|<quote|math>|E\<dottimes\>F>|anti-lexicographic
      product of <with|mode|<quote|math>|E> and
      <with|mode|<quote|math>|F>|<pageref|auto-30>>

      <tuple|normal|<with|mode|<quote|math>|E<rsup|\<ast\>>>|set of words
      over <with|mode|<quote|math>|E>|<pageref|auto-34>>

      <tuple|normal|<with|mode|<quote|math>|E<rsup|+>>|set of non-empty words
      over <with|mode|<quote|math>|E>|<pageref|auto-36>>

      <tuple|normal|<with|mode|<quote|math>|<with|math-condensed|<quote|true>|\<leqslant\><rsup|!>>>|ordering
      defined by <with|mode|<quote|math>|x\<leqslant\><rsup|!>y\<Leftrightarrow\>x=y\<vee\>x\<less\>y>|<pageref|auto-43>>

      <tuple|normal|<with|mode|<quote|math>|E<rsup|\<diamond\>>>|set of
      commutative words over <with|mode|<quote|math>|E>|<pageref|auto-46>>

      <tuple|normal|<with|mode|<quote|math>|\<omega\>>|the ordinal number
      <with|mode|<quote|math>|\<omega\>={0,1,2,\<ldots\>}>|<pageref|auto-54>>

      <tuple|normal|<with|mode|<quote|math>|fin(A)>|final segment generated
      by <with|mode|<quote|math>|A>|<pageref|auto-71>>

      <tuple|normal|<with|mode|<quote|math>|in(A)>|initial segment generated
      by <with|mode|<quote|math>|A>|<pageref|auto-74>>

      <tuple|normal|<with|mode|<quote|math>|root(T)>|root of
      <with|mode|<quote|math>|T>|<pageref|auto-87>>

      <tuple|normal|<with|mode|<quote|math>|E<rsup|\<top\>>>|set of finite
      <with|mode|<quote|math>|E>-labeled trees|<pageref|auto-100>>

      <tuple|normal|<with|mode|<quote|math>|S<rsup|\<geqslant\>>>|subset of
      positive or zero elements in <with|mode|<quote|math>|S>|<pageref|auto-115>>

      <tuple|normal|<with|mode|<quote|math>|S<rsup|\<gtr\>>>|subset of
      strictly positive elements in <with|mode|<quote|math>|S>|<pageref|auto-116>>

      <tuple|normal|<with|mode|<quote|math>|S<rsup|\<neq\>>>|subset of
      non-zero elements in <with|mode|<quote|math>|S>|<pageref|auto-117>>

      <tuple|normal|<with|mode|<quote|math>|S<rsup|\<leqslant\>>>|subset of
      negative or zero elements in <with|mode|<quote|math>|S>|<pageref|auto-118>>

      <tuple|normal|<with|mode|<quote|math>|S<rsup|\<less\>>>|subset of
      strictly negative elements in <with|mode|<quote|math>|S>|<pageref|auto-119>>

      <tuple|normal|<with|mode|<quote|math>|\|x\|>|absolute value of
      <with|mode|<quote|math>|x>|<pageref|auto-121>>

      <tuple|normal|<with|mode|<quote|math>|R<rsup|\<ast\>>>|subset of
      non-zero-divisors in <with|mode|<quote|math>|R>|<pageref|auto-132>>

      <tuple|normal|<with|mode|<quote|math>|x\<preccurlyeq\>y>|<with|mode|<quote|math>|x>
      is dominated by <with|mode|<quote|math>|y>|<pageref|auto-135>>

      <tuple|normal|<with|mode|<quote|math>|x=O(y)>|Landau's notation for
      <with|mode|<quote|math>|x\<preccurlyeq\>y>|<pageref|auto-137>>

      <tuple|normal|<with|mode|<quote|math>|x\<asymp\>y>|<with|mode|<quote|math>|x>
      is asymptotic to <with|mode|<quote|math>|y>|<pageref|auto-139>>

      <tuple|normal|<with|mode|<quote|math>|x\<prec\>y>|<with|mode|<quote|math>|x>
      is negligible <group|w.r.t.> <with|mode|<quote|math>|y>|<pageref|auto-143>>

      <tuple|normal|<with|mode|<quote|math>|x=o(y)>|Landau's notation for
      <with|mode|<quote|math>|x\<prec\>y>|<pageref|auto-145>>

      <tuple|normal|<with|mode|<quote|math>|x\<sim\>y>|<with|mode|<quote|math>|x>
      is equivalent to <with|mode|<quote|math>|y>|<pageref|auto-147>>

      <tuple|normal|<with|mode|<quote|math>|A<rsup|\<times\>>>|elements of
      <with|mode|<quote|math>|A> which can be raised to a
      power|<pageref|auto-174>>

      <tuple|normal|<with|mode|<quote|math>|\<\|\|\>x\<\|\|\>>|<with|mode|<quote|math>|\<\|\|\>x\<\|\|\>=x>
      if <with|mode|<quote|math>|x\<succcurlyeq\>1> and
      <with|mode|<quote|math>|\<\|\|\>x\<\|\|\>=x<rsup|\<um\>1>>
      otherwise|<pageref|auto-181>>

      <tuple|normal|<with|mode|<quote|math>|x\<precpreceq\>y>|<with|mode|<quote|math>|x>
      is flatter than or as flat as <with|mode|<quote|math>|y>|<pageref|auto-182>>

      <tuple|normal|<with|mode|<quote|math>|x\<precprec\>y>|<with|mode|<quote|math>|x>
      is flatter than <with|mode|<quote|math>|y>|<pageref|auto-183>>

      <tuple|normal|<with|mode|<quote|math>|x\<asympasymp\>y>|<with|mode|<quote|math>|x>
      is as flat as <with|mode|<quote|math>|y>|<pageref|auto-186>>

      <tuple|normal|<with|mode|<quote|math>|x\<simsim\>y>|<with|mode|<quote|math>|x>
      and <with|mode|<quote|math>|y> are similar modulo
      flatness|<pageref|auto-189>>

      <tuple|normal|<with|mode|<quote|math>|A<rsup|\<flat\>>>|flat subring of
      <with|mode|<quote|math>|A>|<pageref|auto-190>>

      <tuple|normal|<with|mode|<quote|math>|x\<preccurlyeq\><rsup|\<sharp\>>y>|<with|mode|<quote|math>|x\<preccurlyeq\>y>
      modulo flatness|<pageref|auto-192>>

      <tuple|normal|<with|mode|<quote|math>|x\<prec\><rsup|\<sharp\>>y>|<with|mode|<quote|math>|x\<prec\>y>
      modulo flatness|<pageref|auto-194>>

      <tuple|normal|<with|mode|<quote|math>|x\<preccurlyeq\><rsub|\<varphi\>>y>|<with|mode|<quote|math>|x\<preccurlyeq\>y>
      modulo elements flatter than <with|mode|<quote|math>|\<varphi\>>|<pageref|auto-196>>

      <tuple|normal|<with|mode|<quote|math>|x\<prec\><rsub|\<varphi\>>y>|<with|mode|<quote|math>|x\<prec\>y>
      modulo elements flatter than <with|mode|<quote|math>|\<varphi\>>|<pageref|auto-197>>

      <tuple|normal|<with|mode|<quote|math>|x\<preccurlyeq\><rsub|\<varphi\>><rsup|\<ast\>>y>|<with|mode|<quote|math>|x\<preccurlyeq\>y>
      modulo elements flatter than or as flat as
      <with|mode|<quote|math>|\<varphi\>>|<pageref|auto-198>>

      <tuple|normal|<with|mode|<quote|math>|x\<prec\><rsub|\<varphi\>><rsup|\<ast\>>y>|<with|mode|<quote|math>|x\<prec\>y>
      modulo elements flatter than or as flat as
      <with|mode|<quote|math>|\<varphi\>>|<pageref|auto-199>>
    </associate>
    <\associate|idx>
      <tuple|<tuple|quasi-ordering>|<pageref|auto-3>>

      <tuple|<tuple|relation|reflexive>|<pageref|auto-4>>

      <tuple|<tuple|relation|transitive>|<pageref|auto-5>>

      <tuple|<tuple|ordering>|<pageref|auto-7>>

      <tuple|<tuple|relation|antisymmetric>|<pageref|auto-8>>

      <tuple|<tuple|increasing|mapping>|<pageref|auto-9>>

      <tuple|<tuple|comparable>|<pageref|auto-10>>

      <tuple|<tuple|quasi-ordering|total>|<pageref|auto-11>>

      <tuple|<tuple|ordering|total>|<pageref|auto-12>>

      <tuple|<tuple|equivalent>|<pageref|auto-13>>

      <tuple|<tuple|quasi-ordering|finest>|<pageref|auto-15>>

      <tuple|<tuple|ordering|finest>|<pageref|auto-16>>

      <tuple|<tuple|quasi-ordering|roughest>|<pageref|auto-17>>

      <tuple|<tuple|quasi-ordering|finer>|<pageref|auto-18>>

      <tuple|<tuple|quasi-ordering|disjoint union>|<pageref|auto-19>>

      <tuple|<tuple|ordering|disjoint union>|<pageref|auto-20>>

      <tuple|<tuple|quasi-ordering|ordered union>|<pageref|auto-22>>

      <tuple|<tuple|ordering|ordered union>|<pageref|auto-23>>

      <tuple|<tuple|quasi-ordering|Cartesian product>|<pageref|auto-25>>

      <tuple|<tuple|ordering|Cartesian product>|<pageref|auto-26>>

      <tuple|<tuple|quasi-ordering|anti-lexicographic>|<pageref|auto-28>>

      <tuple|<tuple|ordering|anti-lexicographic>|<pageref|auto-29>>

      <tuple|<tuple|quasi-ordering|words>|<pageref|auto-32>>

      <tuple|<tuple|ordering|words>|<pageref|auto-33>>

      <tuple|<tuple|word>|<pageref|auto-35>>

      <tuple|<tuple|quasi-ordering|embeddability>|<pageref|auto-37>>

      <tuple|<tuple|ordering|embeddability>|<pageref|auto-38>>

      <tuple|<tuple|quasi-ordering|compatible equivalence
      relation>|<pageref|auto-39>>

      <tuple|<tuple|ordering|strict>|<pageref|auto-40>>

      <tuple|<tuple|ordering|opposite>|<pageref|auto-41>>

      <tuple|<tuple|quasi-ordering|opposite>|<pageref|auto-42>>

      <tuple|<tuple|quasi-ordering|commutative words>|<pageref|auto-44>>

      <tuple|<tuple|ordering|commutative words>|<pageref|auto-45>>

      <tuple|<tuple|word|commutative>|<pageref|auto-47>>

      <tuple|<tuple|quasi-ordering|well-founded>|<pageref|auto-49>>

      <tuple|<tuple|ordering|well-founded>|<pageref|auto-50>>

      <tuple|<tuple|well-ordering>|<pageref|auto-51>>

      <tuple|<tuple|Zorn's lemma>|<pageref|auto-52>>

      <tuple|<tuple|ordinal>|<pageref|auto-53>>

      <tuple|<tuple|ordinal|successor>|<pageref|auto-56>>

      <tuple|<tuple|ordinal|limit>|<pageref|auto-57>>

      <tuple|<tuple|transfinite induction>|<pageref|auto-59>>

      <tuple|<tuple|induction|transfinite>|<pageref|auto-60>>

      <tuple|<tuple|Cantor's theorem>|<pageref|auto-61>>

      <tuple|<tuple|theorem|Cantor>|<pageref|auto-62>>

      <tuple|<tuple|ordinal|countable>|<pageref|auto-63>>

      <tuple|<tuple|chain>|<pageref|auto-65>>

      <tuple|<tuple|antichain>|<pageref|auto-66>>

      <tuple|<tuple|well-quasi-ordering>|<pageref|auto-67>>

      <tuple|<tuple|quasi-ordering|well>|<pageref|auto-68>>

      <tuple|<tuple|final segment>|<pageref|auto-69>>

      <tuple|<tuple|final segment|generated by
      <with|mode|<quote|math>|A>>|<pageref|auto-70>>

      <tuple|<tuple|initial segment>|<pageref|auto-72>>

      <tuple|<tuple|initial segment|generated by
      <with|mode|<quote|math>|A>>|<pageref|auto-73>>

      <tuple|<tuple|Dickson's lemma>|<pageref|auto-75>>

      <tuple|<tuple|Higman's theorem>|<pageref|auto-76>>

      <tuple|<tuple|theorem|Higman>|<pageref|auto-77>>

      <tuple|<tuple|bad sequence>|<pageref|auto-78>>

      <tuple|<tuple|bad sequence|minimal>|<pageref|auto-79>>

      <tuple|<tuple|Noetherian induction>|<pageref|auto-80>>

      <tuple|<tuple|induction|Noetherian>|<pageref|auto-81>>

      <tuple|<tuple|tree|unoriented>|<pageref|auto-83>>

      <tuple|<tuple|tree|node>|<pageref|auto-84>>

      <tuple|<tuple|node>|<pageref|auto-85>>

      <tuple|<tuple|tree|root>|<pageref|auto-86>>

      <tuple|<tuple|predecessor>|<pageref|auto-88>>

      <tuple|<tuple|node|predecessor>|<pageref|auto-89>>

      <tuple|<tuple|successor>|<pageref|auto-90>>

      <tuple|<tuple|leaf>|<pageref|auto-91>>

      <tuple|<tuple|node|successor>|<pageref|auto-92>>

      <tuple|<tuple|node|leaf>|<pageref|auto-93>>

      <tuple|<tuple|tree|leaf>|<pageref|auto-94>>

      <tuple|<tuple|subtree>|<pageref|auto-95>>

      <tuple|<tuple|infimum>|<pageref|auto-96>>

      <tuple|<tuple|tree>|<pageref|auto-97>>

      <tuple|<tuple|tree|<with|mode|<quote|math>|E>-labeled>|<pageref|auto-98>>

      <tuple|<tuple|tree>|<pageref|auto-99>>

      <tuple|<tuple|child>|<pageref|auto-101>>

      <tuple|<tuple|arity|tree>|<pageref|auto-102>>

      <tuple|<tuple|tree|arity>|<pageref|auto-103>>

      <tuple|<tuple|quasi-ordering|embeddability>|<pageref|auto-104>>

      <tuple|<tuple|ordering|embeddability>|<pageref|auto-105>>

      <tuple|<tuple|Kruskal's theorem>|<pageref|auto-106>>

      <tuple|<tuple|theorem|Kruskal>|<pageref|auto-107>>

      <tuple|<tuple|extensive|operation>|<pageref|auto-108>>

      <tuple|<tuple|ordered|monoid>|<pageref|auto-110>>

      <tuple|<tuple|ordered|ring>|<pageref|auto-111>>

      <tuple|<tuple|ordered|field>|<pageref|auto-112>>

      <tuple|<tuple|ordered|<with|mode|<quote|math>|R>-module>|<pageref|auto-113>>

      <tuple|<tuple|ordered|<with|mode|<quote|math>|R>-algebra>|<pageref|auto-114>>

      <tuple|<tuple|absolute value>|<pageref|auto-120>>

      <tuple|<tuple|direct sum>|<pageref|auto-122>>

      <tuple|<tuple|anti-lexicographical|direct sum>|<pageref|auto-123>>

      <tuple|<tuple|direct sum|anti-lexicographical>|<pageref|auto-124>>

      <tuple|<tuple|tensor product>|<pageref|auto-125>>

      <tuple|<tuple|tensor product|anti-lexicographical>|<pageref|auto-126>>

      <tuple|<tuple|anti-lexicographical|tensor product>|<pageref|auto-127>>

      <tuple|<tuple|Hardy field>|<pageref|auto-128>>

      <tuple|<tuple|perfect ordered structure>|<pageref|auto-129>>

      <tuple|<tuple|relation|asymptotic>|<pageref|auto-131>>

      <tuple|<tuple|dominance relation>|<pageref|auto-133>>

      <tuple|<tuple|relation|dominance>|<pageref|auto-134>>

      <tuple|<tuple|dominated>|<pageref|auto-136>>

      <tuple|<tuple|asymptotic>|<pageref|auto-138>>

      <tuple|<tuple|dominance relation|total>|<pageref|auto-140>>

      <tuple|<tuple|neglection relation>|<pageref|auto-141>>

      <tuple|<tuple|relation|neglection>|<pageref|auto-142>>

      <tuple|<tuple|negligible>|<pageref|auto-144>>

      <tuple|<tuple|equivalent>|<pageref|auto-146>>

      <tuple|<tuple|dominance relation|compatible>|<pageref|auto-148>>

      <tuple|<tuple|neglection relation|compatible>|<pageref|auto-149>>

      <tuple|<tuple|compatible|neglection relation>|<pageref|auto-150>>

      <tuple|<tuple|compatible|dominance relation>|<pageref|auto-151>>

      <tuple|<tuple|asymptotic|<with|mode|<quote|math>|R>-module>|<pageref|auto-152>>

      <tuple|<tuple|associated|neglection relation>|<pageref|auto-153>>

      <tuple|<tuple|dominance relation|associated>|<pageref|auto-154>>

      <tuple|<tuple|neglection relation|associated>|<pageref|auto-155>>

      <tuple|<tuple|associated|dominance relation>|<pageref|auto-156>>

      <tuple|<tuple|infinitesimal>|<pageref|auto-157>>

      <tuple|<tuple|bounded>|<pageref|auto-158>>

      <tuple|<tuple|unbounded>|<pageref|auto-159>>

      <tuple|<tuple|Archimedean>|<pageref|auto-160>>

      <tuple|<tuple|Archimedean|ring>|<pageref|auto-161>>

      <tuple|<tuple|ring|Archimedean>|<pageref|auto-162>>

      <tuple|<tuple|asymptotic|<with|mode|<quote|math>|R>-algebra>|<pageref|auto-163>>

      <tuple|<tuple|convex>|<pageref|auto-164>>

      <tuple|<tuple|valuation>|<pageref|auto-165>>

      <tuple|<tuple|Hahn space>|<pageref|auto-167>>

      <tuple|<tuple|group|with <with|mode|<quote|math>|R>-powers>|<pageref|auto-169>>

      <tuple|<tuple|exponential|<with|mode|<quote|math>|R>-module>|<pageref|auto-170>>

      <tuple|<tuple|ordered|group with <with|mode|<quote|math>|R>-powers>|<pageref|auto-171>>

      <tuple|<tuple|group|ordered -- with
      <with|mode|<quote|math>|R>-powers>|<pageref|auto-172>>

      <tuple|<tuple|ring|with <with|mode|<quote|math>|R>-powers>|<pageref|auto-173>>

      <tuple|<tuple|ring|ordered -- with <with|mode|<quote|math>|R>-powers>|<pageref|auto-175>>

      <tuple|<tuple|ordered|ring|with <with|mode|<quote|math>|R>-powers>|<pageref|auto-176>>

      <tuple|<tuple|field|ordered -- with
      <with|mode|<quote|math>|R>-powers>|<pageref|auto-177>>

      <tuple|<tuple|ordered|field|with <with|mode|<quote|math>|R>-powers>|<pageref|auto-178>>

      <tuple|<tuple|asymptotic|ring with <with|mode|<quote|math>|R>-powers>|<pageref|auto-179>>

      <tuple|<tuple|ring|asymptotic <with|font|<quote|roman>|\V> with
      <with|mode|<quote|math>|R>-powers>|<pageref|auto-180>>

      <tuple|<tuple|flatter>|<pageref|auto-184>>

      <tuple|<tuple|flat|as -- as>|<pageref|auto-185>>

      <tuple|<tuple|comparability class>|<pageref|auto-187>>

      <tuple|<tuple|similar modulo flatness>|<pageref|auto-188>>

      <tuple|<tuple|flat|subring>|<pageref|auto-191>>

      <tuple|<tuple|dominance relation|flattened>|<pageref|auto-193>>

      <tuple|<tuple|neglection relation|flattened>|<pageref|auto-195>>
    </associate>
    <\associate|table>
      <tuple|normal|Basic arithmetic on ordinal numbers.|<pageref|auto-58>>
    </associate>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|font-shape|<quote|small-caps>|1.<space|2spc>Orderings>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-1><vspace|0.5fn>

      1.1.<space|2spc>Quasi-orderings <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-2>

      1.2.<space|2spc>Ordinal numbers <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-48>

      1.3.<space|2spc>Well-quasi-orderings
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-64>

      1.4.<space|2spc>Kruskal's theorem <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-82>

      1.5.<space|2spc>Ordered structures <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-109>

      1.6.<space|2spc>Asymptotic relations
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-130>

      1.7.<space|2spc>Hahn spaces <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-166>

      1.8.<space|2spc>Groups and rings with generalized powers
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-168>
    </associate>
  </collection>
</auxiliary>