<TeXmacs|1.0.4.4>

<project|ln.tp>

<style|tmbook>

<\body>
  <assign|chapter-nr|7><chapter|Algebraic differential
  equations><label|ade-chap>

  <glossary-line|<vspace*|1fn><strong|Chapter 8. Algebraic differential
  equations><vspace|1fn>>Let <with|mode|math|\<bbb-T\>=C<gbt|x>> be the field
  of grid-based transseries in <with|mode|math|x> over a real closed field
  <with|mode|math|C> and let <with|mode|math|P\<in\>\<bbb-T\>{F}> be a
  differential polynomial of order <with|mode|math|r>. In this chapter, we
  show how to determine the transseries solutions of the
  equation<subindex|differential|algebraic <emdash> equation>

  <\equation*>
    P(f)=0.
  </equation*>

  More generally, given an initial segment
  <with|mode|math|\<frak-V\>\<subseteq\>\<frak-T\>> of transmonomials, so
  that

  <\equation*>
    \<frak-v\>\<in\>\<frak-V\>\<wedge\>\<frak-w\>\<preccurlyeq\>\<frak-v\><space|0.6spc>\<Rightarrow\><space|0.6spc>\<frak-w\>\<in\>\<frak-V\>,
  </equation*>

  we will study the asymptotic algebraic differential
  equation<subindex|asymptotic|differential
  equation><subsubindex|differential|algebraic <emdash> equation|asymptotic>

  <equation-lab|<label|aade>P(f)=0<space|1fn>(f\<in\>C<gb|\<frak-V\>>).|E>

  Usually, we have <with|mode|math|\<frak-V\>=\<frak-T\>> or
  <with|mode|math|\<frak-V\>={\<frak-w\>\<in\>\<frak-T\>:\<frak-w\>\<prec\>\<frak-v\>}>
  for some <with|mode|math|\<frak-v\>>.

  In order to solve (<reference|aade>), we will generalize the Newton polygon
  method from chapter <no-break><reference|npol-chap> to the differential
  setting. This program gives rise to several difficulties. First of all, the
  starting monomials for differential equations cannot be read off directly
  from the Newton polygon. For instance, the equation
  <with|mode|math|f<rprime|'>=\<mathe\><rsup|\<mathe\><rsup|x>>> admits a
  starting monomial <with|mode|math|\<mathe\><rsup|\<mathe\><rsup|x>-x>>
  whereas the Newton polygon would suggest
  <no-break><with|mode|math|\<mathe\><rsup|\<mathe\><rsup|x>>> instead. Also,
  it is no longer true that cancellations are necessarily due to terms of
  different degrees, as is seen for the equation
  <with|mode|math|f<rprime|'>=f>, which admits
  <with|mode|math|\<mathe\><rsup|x>> as a starting monomial.

  In order to overcome this first difficulty, the idea is to find a criterion
  which tells us when a monomial <with|mode|math|\<frak-m\>> is a starting
  monomial for the equation (<reference|aade>). The criterion we will use is
  the requirement that the differential Newton polynomial associated to
  <with|mode|math|\<frak-m\>> admits a non-zero solution in the algebraic
  closure of <with|mode|math|C>. Differential Newton polynomials are defined
  in section <reference|dNpol-sec>; modulo multiplicative conjugations, it
  will actually suffice to define them in the case when
  <no-break><with|mode|math|\<frak-m\>=1>. In section
  <no-break><reference|pdm-sec>, we will show how to compute starting
  monomials and terms. Actually, the starting monomials which correspond to
  cancellations between terms of different degrees can almost be read off
  from the Newton polygon. The other ones are computed using Riccati
  equations.

  A second important difficulty with the differential Newton polygon method
  is that almost multiple solutions are harder to ``unravel'' using the
  differentiation technique from section <reference|Npol-almost-mult>. One
  obvious reason is that the quasi-linear equation obtained after
  differentiation is a differential equation with potentially multiple
  solutions. Another more pathological reason is illustrated by the example

  <\equation>
    <label|fake-double-sol>f<rsup|2>+2f<rprime|'>+<frac|1|x<rsup|2>>+<frac|1|x<rsup|2>*log<rsup|2>
    x>+\<cdots\>+<frac|1|x<rsup|2>*log<rsup|2>
    x*\<cdots\>*log<rsub|l><rsup|2> x>=0.
  </equation>

  Although the coefficient of <with|mode|math|f> in this equation vanishes,
  the equation admits <with|mode|math|<frac|1|x>> as a starting term of
  multiplicity <with|mode|math|2>. Indeed, setting
  <with|mode|math|f=<frac|1|x>*<wide|f|~>>, we get

  <\equation*>
    <wide|f|~><rsup|2>+2*<wide|f|~><rprime|'>-2*<wide|f|~>+1+<frac|1|log<rsup|2>
    x>+\<cdots\>+<frac|1|log<rsup|2> x*\<cdots\>*log<rsub|l><rsup|2> x>=0.
  </equation*>

  Differentiation yield the quasi-linear equation

  <\equation*>
    2*<wide|f|~>-2=0,
  </equation*>

  but after the refinement <with|mode|math|<wide|f|~>=1+<wide|<wide|f|~>|~><space|1.2spc>(<wide|<wide|f|~>|~>\<prec\>1)>
  and upward shifting, we obtain an equation

  <\equation*>
    <wide|<wide|f|~>|~><rsup|2>+2<wide|<wide|f|~>|~><rprime|'>+<frac|1|x<rsup|2>>+<frac|1|x<rsup|2>*log<rsup|2>
    x>+\<cdots\>+<frac|1|x<rsup|2>*log<rsup|2>
    x*\<cdots\>*log<rsub|l-1><rsup|2> x>=0,
  </equation*>

  which has the same form as (<reference|fake-double-sol>). This makes it
  hard to unravel almost multiple solutions in a constructive way.
  Nevertheless, as we will see in section <reference|unravel-sec>, the strong
  finiteness properties of the supports of grid-based transseries will ensure
  the existence of a brute-force unravelling algorithm.

  In section <reference|ade-alg-sec> we put all techniques of the chapter
  together in order to state an explicit (although theoretical) algorithm for
  the resolution of (<reference|aade>). In this algorithm, we will consider
  the computation of the distinguished solution to a quasi-linear equation as
  a basic operation. Quasi-linear equations are studied in detail in section
  <no-break><reference|ql-sec>.

  In the last section, we prove a few structural results about the solutions
  of <no-break>(<reference|aade>). We start by generalizing the notion of
  distinguished solutions to equations of Newton degree
  <with|mode|math|d\<gtr\>1>. We next prove that (<reference|aade>) admits at
  least one solution if <with|mode|math|d> is odd. We will also prove a bound
  for the number of ``new exponentials'' which may occur in solutions to
  (<reference|aade>).

  <section|Decomposing differential polynomials>

  <subsection|Serial decomposition>

  Let <with|mode|math|P\<in\>\<bbb-T\>{F}> be a differential polynomial over
  <with|mode|math|\<bbb-T\>> of order <with|mode|math|r>. In the previous
  chapter, we have already observed that we may interpret <with|mode|math|P>
  as a series<glossary-explain|<with|mode|math|P<rsub|\<frak-m\>>>|coefficient
  of <with|mode|math|\<frak-m\>> in differential polynomial
  <with|mode|math|P>>

  <\equation>
    <label|dpol:asympdec>P=<big|sum><rsub|\<frak-m\>\<in\>\<frak-T\>>P<rsub|\<frak-m\>>*\<frak-m\><big|.>,
  </equation>

  where the coefficients are differential polynomials in
  <with|mode|math|C{F}>. We call (<reference|dpol:asympdec>) the <em|serial
  decomposition><bi-index|serial|decomposition><subsub-bi-index|differential|polynomial|decomposition|serial>
  of <with|mode|math|P>. As before, the embedding
  <with|mode|math|\<bbb-T\>{F}\<hookrightarrow\>C{F}<gb|\<frak-T\>>> induces
  definitions for the asymptotic relations
  <with|mode|math|<op|\<preccurlyeq\>>>, <with|mode|math|<op|\<prec\>>>,
  <abbr|etc.> and dominant monomials and coefficients of differential
  polynomials. We will denote by <with|mode|math|D<rsub|P>><glossary-explain|<with|mode|math|D<rsub|P>>|dominant
  coefficient of <with|mode|math|P>> the dominant coefficient of
  <with|mode|math|P>.

  <subsection|Decomposition by degrees>

  The most natural decomposition of <with|mode|math|P> is given by

  <equation|<label|dpol:degrees>P(f)= <big|sum><rsub|\<b-i\>>
  P<rsub|\<b-i\>>*f<rsup|\<b-i\>>.>

  Here we use vector notation for tuples <with|mode|math|\<b-i\>=(i<rsub|0>,\<ldots\>,i<rsub|r>)>
  and <with|mode|math|\<b-j\>=(j<rsub|0>,\<ldots\>,j<rsub|r>)> of
  integers:<glossary-explain|<with|mode|math|f<rsup|\<b-i\>>>|shorthand for
  <with|mode|math|f<rsup|i<rsub|0>>*\<cdots\>*(f<rsup|(r)>)<rsup|i<rsub|r>>>><glossary-explain|<with|mode|math|P<rsub|\<b-i\>>>|coefficient
  of <with|mode|math|f<rsup|\<b-i\>>> in <with|mode|math|P>>

  <\eqnarray*>
    <tformat|<table|<row|<cell|\<\|\|\>\<b-i\>\<\|\|\>>|<cell|=>|<cell|i<rsub|0>+\<cdots\>+i<rsub|r>;>>|<row|<cell|f<rsup|\<b-i\>>>|<cell|=>|<cell|f<rsup|<space|0.2spc>i<rsub|0>><rsub|>*(f<rprime|'>)<rsup|i<rsub|1>><rsub|>*\<cdots\>*(f<rsup|(r)>)<rsup|i<rsub|r>><rsub|>;>>|<row|<cell|\<b-i\>\<leqslant\>\<b-j\>>|<cell|\<Leftrightarrow\>>|<cell|i<rsub|0>\<leqslant\>j<rsub|0>\<wedge\>\<cdots\>\<wedge\>i<rsub|r>\<leqslant\>j<rsub|r>;>>|<row|<cell|<choose|\<b-j\>|\<b-i\>>>|<cell|=>|<cell|<choose|j<rsub|0>|i<rsub|0>>*\<cdots\>*<choose|j<rsub|r>|i<rsub|r>>.>>>>
  </eqnarray*>

  We call (<reference|dpol:degrees>) the <em|decomposition> of
  <with|mode|math|P> <em|by degrees><subsub-bi-index|differential|polynomial|decomposition|by
  degrees><subindex|decomposition|by degrees>. The <with|mode|math|i>-th
  <em|homogeneous part><sub-bi-index|homogeneous|part|differential
  polynomial><sub-bi-index|differential|polynomial|homogeneous part> of
  <with|mode|math|P> is defined by

  <equation*|P<rsub|i>=<big|sum><rsub|\<\|\|\>\<b-i\>\<\|\|\>=i>P<rsub|\<b-i\>>*f<rsup|\<b-i\>>,>

  so that<glossary-explain|<with|mode|math|P<rsub|i>>|<with|mode|math|i>-th
  homogeneous part of <with|mode|math|P>>

  <equation|<label|dpol:homdec>P=<big|sum><rsub|i>P<rsub|i>.>

  We call (<reference|dpol:homdec>) the <em|decomposition> of
  <with|mode|math|P> <em|into homogeneous
  parts><subsub-bi-index|differential|polynomial|decomposition|into
  homogeneous parts><subindex|decomposition|into homogeneous parts>. If
  <with|mode|math|P\<neq\>0>, then the largest <with|mode|math|d=deg
  <no-break>P><glossary-explain|<with|mode|math|deg P>|(total) degree of
  <with|mode|math|P>> with <with|mode|math|P<rsub|d>\<neq\>0> is called the
  <em|degree><sub-bi-index|differential|polynomial|degree><subindex|degree|differential
  polynomial> of <with|mode|math|P> and the smallest
  <with|mode|math|\<nu\>=val P><glossary-explain|<with|mode|math|val
  P>|differential valuation of <with|mode|math|P>> with
  <with|mode|math|P<rsub|\<nu\>>\<neq\>0> the <em|differential
  valuation><sub-bi-index|differential|polynomial|valuation><subindex|valuation|differential
  polynomial> of <with|mode|math|P>.

  <subsection|Decomposition by orders>

  Another useful decomposition of <with|mode|math|P> is its <em|decomposition
  by orders><subsub-bi-index|differential|polynomial|decomposition|by
  orders><subindex|decomposition|by orders>:

  <equation|<label|dpol:orders>P(f)= <big|sum><rsub|\<b-omega\>>
  P<rsub|[\<b-omega\>]> f<rsup|[\<b-omega\>]>>

  In this notation, <with|mode|math|math-font-series|bold|\<omega\>> runs
  through tuples <with|mode|math|\<b-omega\>=(\<omega\><rsub|1>,\<ldots\>,\<omega\><rsub|l>)>
  of integers in <with|mode|math|{0,\<ldots\>,r}> of length
  <with|mode|math|l\<leqslant\>deg P>, and
  <with|mode|math|P<rsub|[\<b-omega\>]>=P<rsub|[\<omega\><rsub|\<sigma\>(1)>,\<ldots\>,\<omega\><rsub|\<sigma\>(l)>]>>
  for all permutations of integers. We again use vector notation for such
  tuples<glossary-explain|<with|mode|math|f<rsup|[\<b-omega\>]>>|shorthand
  for <with|mode|math|f<rsup|(\<omega\><rsub|1>)>*\<cdots\>*f<rsup|(\<omega\><rsub|l>)>>><glossary-explain|<with|mode|math|P<rsub|[\<b-omega\>]>>|(normalized)
  coefficient of <with|mode|math|f<rsup|[\<b-omega\>]>> in
  <with|mode|math|P>>

  <\eqnarray*>
    <tformat|<table|<row|<cell|\|\<b-omega\>\|>|<cell|=>|<cell|l;>>|<row|<cell|\<\|\|\>\<b-omega\>\<\|\|\>>|<cell|=>|<cell|\<omega\><rsub|1>+*\<cdots\>*+\<omega\><rsub|l>;>>|<row|<cell|f<rsup|[\<b-omega\>]>>|<cell|=>|<cell|f<rsup|(\<omega\><rsub|1>)>*\<cdots\>*f<rsup|(\<omega\><rsub|l>)>;>>|<row|<cell|\<b-omega\>\<leqslant\>\<b-tau\>>|<cell|\<Leftrightarrow\>>|<cell|\<omega\><rsub|1>\<leqslant\>\<tau\><rsub|1>\<wedge\>\<cdots\>\<wedge\>\<omega\><rsub|l>\<leqslant\>\<tau\><rsub|l>;>>|<row|<cell|<choose|\<b-tau\>|\<b-omega\>>>|<cell|=>|<cell|<choose|\<tau\><rsub|1>|\<omega\><rsub|1>>*\<cdots\>*<choose|\<tau\><rsub|l>|\<omega\><rsub|l>>.>>>>
  </eqnarray*>

  For the last two definitions, we assume that
  <with|mode|math|\|\<b-omega\>\|=\|\<b-tau\>\|=l>. We call
  <with|mode|math|\<\|\|\>\<b-omega\>\<\|\|\>> the
  <em|weight><subindex|weight|vector> of <with|mode|math|math-font-series|bold|\<omega\>>.
  The <with|mode|math|\<omega\>>-th <em|homoponderal part><index|homoponderal
  part><sub-bi-index|differential|polynomial|homoponderal part> of
  <with|mode|math|P> is defined by<glossary-explain|<with|mode|math|P<rsub|[\<omega\>]>>|<with|mode|math|\<omega\>>-th
  homoponderal part of <with|mode|math|P>>

  <equation*|P<rsub|<left|[>\<omega\><right|]>>=<big|sum><rsub|\<\|\|\>\<b-omega\>\<\|\|\>=\<omega\>>P<rsub|<left|[>\<b-omega\><right|]>>*f<rsup|<left|[>\<b-omega\><right|]>>,>

  so that

  <equation|<label|dpol:homponddec>P=<big|sum><rsub|\<omega\>>P<rsub|<left|[>\<omega\><right|]>>.>

  We call (<reference|dpol:homponddec>) the <em|decomposition> of
  <with|mode|math|P> <em|into homoponderal
  parts><subsub-bi-index|differential|polynomial|decomposition|into
  homoponderal parts><subindex|decomposition|into homoponderal parts>. If
  <with|mode|math|P\<neq\>0>, then the largest <with|mode|math|\<omega\>=wt
  <no-break>P><glossary-explain|<with|mode|math|wt P>|weight of
  <with|mode|math|P>> with <with|mode|math|P<rsub|<left|[>\<omega\><right|]>>\<neq\>0>
  is called the <em|weight><subindex|weight|differential
  polynomial><sub-bi-index|differential|polynomial|weight> of
  <with|mode|math|P> and the smallest <with|mode|math|\<omega\>=pv
  P><glossary-explain|<with|mode|math|pv P>|pondered differential valuation
  of <with|mode|math|P>> with <with|mode|math|P<rsub|<left|[>\<omega\><right|]>>\<neq\>0>
  the <em|pondered differential valuation><sub-bi-index|differential|polynomial|pondered
  valuation><subsubindex|valuation|differential
  polynomial|pondered><index|pondered valuation> of <with|mode|math|P>.

  <subsection|Logarithmic decomposition>

  It is convenient to denote the successive logarithmic
  derivatives<sub-bi-index|logarithmic|derivative|iterated> of
  <with|mode|math|f> by<glossary-explain|<with|mode|math|f<rsup|\<langle\>i\<rangle\>>>|<with|mode|math|i>-th
  iterated logarithmic derivative <with|mode|math|f<rsup|<space|0.2spc>\<dag\>\<cdots\>\<dag\>>>>

  <eqnarray*|<tformat|<table|<row|<cell|f<rprime|\<dag\>>>|<cell|=>|<cell|f<rprime|'>/f;>>|<row|<cell|f<rsup|\<langle\>i\<rangle\>>>|<cell|=>|<cell|f<rsup|<space|0.2spc>\<dag\>\<cdots\>\<dag\>><space|1cm><with|mode|text|(<with|mode|math|i>
  times)>.>>>>>

  Then each <with|mode|math|f<rsup|(i)>> can be rewritten as a polynomial in
  <with|mode|math|f,f<rprime|\<dag\>>,\<ldots\>,f<rsup|\<langle\>i\<rangle\>>>:

  <eqnarray*|<tformat|<table|<row|<cell|f>|<cell|=>|<cell|f;>>|<row|<cell|f<rprime|'>>|<cell|=>|<cell|f<rprime|\<dag\>>*f;>>|<row|<cell|f<rprime|''>>|<cell|=>|<cell|((f<rprime|\<dag\>>)<rsup|2>+f<rprime|\<dag\>\<dag\>>*f<rprime|\<dag\>>)*f;>>|<row|<cell|f<rprime|'''>>|<cell|=>|<cell|((f<rprime|\<dag\>>)<rsup|3>+3*f<rprime|\<dag\>\<dag\>>*(f<rprime|\<dag\>>)<rsup|2>+(f<rprime|\<dag\>\<dag\>>)<rsup|2>*f<rprime|\<dag\>>+f<rprime|\<dag\>\<dag\>\<dag\>>*f<rprime|\<dag\>\<dag\>>*f<rprime|\<dag\>>)*f;>>|<row|<cell|>|<cell|\<vdots\>>|<cell|>>>>>

  We define the <em|logarithmic decomposition><subsub-bi-index|differential|polynomial|decomposition|logarithmic><subindex|decomposition|logarithmic>
  of <with|mode|math|P> by

  <equation|<label|dpol:log>P(f)=<big|sum><rsub|\<b-i\>=(i<rsub|0>,\<ldots\>,i<rsub|r>)>P<rsub|\<langle\>\<b-i\>\<rangle\>>*f<rsup|\<langle\>\<b-i\>\<rangle\>>,>

  where<glossary-explain|<with|mode|math|f<rsup|\<langle\>\<b-i\>\<rangle\>>>|shorthand
  for <with|mode|math|f<rsup|i<rsub|0>>*(f<rprime|\<dag\>>)<rsup|i<rsub|1>>*\<cdots\>*(f<rsup|\<langle\>r\<rangle\>>)<rsup|i<rsub|r>>>><glossary-explain|<with|mode|math|P<rsub|\<langle\>\<b-i\>\<rangle\>>>|coefficient
  of <with|mode|math|f<rsup|\<langle\>\<b-i\>\<rangle\>>> in
  <with|mode|math|P>>

  <equation*|f<rsup|\<langle\>\<b-i\>\<rangle\>>=f<rsup|i<rsub|0>>*(f<rprime|\<dag\>>)<rsup|i<rsub|1>>*\<cdots\>*(f<rsup|\<langle\>r\<rangle\>>)<rsup|i<rsub|r>>.>

  Now consider the total lexicographical ordering
  <with|mode|math|<op|\<leqslant\><rsup|lex>>> on
  <with|mode|math|\<bbb-N\><rsup|r+1>>, defined by

  <eqnarray*|<tformat|<table|<row|<cell|\<b-i\>\<less\><rsup|lex>\<b-j\>>|<cell|\<Longleftrightarrow\>>|<cell|(i<rsub|0>\<less\>j<rsub|0>)\<vee\>>>|<row|<cell|>|<cell|>|<cell|(i<rsub|0>=j<rsub|0>\<wedge\>i<rsub|1>\<less\>j<rsub|0>)\<vee\>>>|<row|<cell|>|<cell|>|<cell|<space|1cm>\<vdots\>>>|<row|<cell|>|<cell|>|<cell|(i<rsub|0>=j<rsub|0>\<wedge\>\<cdots\>\<wedge\>i<rsub|r-1>=j<rsub|r-1>\<wedge\>i<rsub|r>\<less\>j<rsub|r>).>>>>>

  Assuming that <with|mode|math|P\<neq\>0>, let
  <with|mode|math|math-font-series|bold|i> be maximal for
  <with|mode|math|<op|\<leqslant\><rsup|lex>>> with
  <with|mode|math|P<rsub|\<langle\>\<b-i\>\<rangle\>>\<neq\>0>. Then

  <equation|<label|sign-IL>P(<with|math-condensed|true|f>)\<sim\>P<rsub|\<langle\>\<b-i\>\<rangle\>>*f<rsup|\<langle\>\<b-i\>\<rangle\>>>

  for <with|mode|math|f\<rightarrow\>\<infty\><rsub|\<bbb-T\>>> or
  <with|mode|math|f\<rightarrow\>\<um\>\<infty\><rsub|\<bbb-T\>>>.

  <section|Operations on differential polynomials>

  <subsection|Additive conjugation>

  Given a differential polynomial <with|mode|math|P\<in\>\<bbb-T\>{F}> and a
  transseries <with|mode|math|h\<in\>\<bbb-T\>>, the <em|additive
  conjugation><bi-index*|additive|conjugate><subsubindex|differential|polynomial|additive
  conjugate> of <with|mode|math|P> with <with|mode|math|h> is the unique
  differential polynomial <with|mode|math|P<rsub|+h>\<in\>\<bbb-T\>{F}>, such
  that<glossary-explain|<with|mode|math|P<rsub|+h>>|additive conjugation of
  <with|mode|math|P> with <with|mode|math|h>>

  <\equation*>
    P<rsub|+h>(f)=P(h+f)
  </equation*>

  for all <with|mode|math|f\<in\>\<bbb-T\>>. The coefficients of
  <with|mode|math|P<rsub|+h>> are explicitly given by

  <equation|<label|fe:ac>P<rsub|+h,\<b-i\>>=
  <big|sum><rsub|\<b-j\>\<geqslant\>\<b-i\>>
  <binom|\<b-j\>|\<b-i\>>*h<rsup|\<b-j\>-\<b-i\>>*P<rsub|\<b-j\>>.>

  Notice that for all <with|mode|math|i\<in\>\<bbb-N\>>, we have

  <\equation*>
    <left|(><frac|\<partial\> P|\<partial\>
    F<rsup|(i)>><right|)><rsub|+\<varphi\>>=<frac|\<partial\>
    P<rsub|+\<varphi\>>|\<partial\> F<rsup|(i)>>.
  </equation*>

  <\proposition>
    <label|dpol-ac-conj>If <with|mode|math|h=c+\<varepsilon\>> with
    <with|mode|math|c\<in\>C> and <with|mode|math|\<varepsilon\>\<prec\>1>,
    then

    <\eqnarray*>
      <tformat|<table|<row|<cell|P<rsub|+h>>|<cell|\<asymp\>>|<cell|P>>|<row|<cell|D<rsub|P<rsub|+h>>>|<cell|=>|<cell|D<rsub|P,+c>>>>>
    </eqnarray*>
  </proposition>

  <\proof>
    The relation (<reference|fe:ac>) both yields
    <with|mode|math|P<rsub|+h>\<preccurlyeq\>P> and
    <with|mode|math|P=P<rsub|+h,\<um\>h>\<preccurlyeq\>P<rsub|+h>>, so
    <with|mode|math|P<rsub|+h>\<asymp\>P>. Furthermore,
    <with|mode|math|P<rsub|+h,\<b-i\>>=P<rsub|\<b-i\>>+<big|sum><rsub|\<b-j\>\<geqslant\>\<b-i\>>(c<rsup|\<b-j\>-\<b-i\>>+o(1))*P<rsub|\<b-j\>>=P<rsub|+c,\<b-i\>>+o(P)>
    for all <with|mode|math|i>, whence the second relation.
  </proof>

  <subsection|Multiplicative conjugation>

  The <em|multiplicative conjugation><bi-index*|multiplicative|conjugate><subsubindex|differential|polynomial|multiplicative
  conjugate> of a differential polynomial
  <with|mode|math|P\<in\>\<bbb-T\>{F}> with a transseries
  <with|mode|math|h\<in\>\<bbb-T\>> is the unique differential polynomial
  <with|mode|math|P<rsub|\<times\>h>\<in\>\<bbb-T\>{F}>, such
  that<glossary-explain|<with|mode|math|P<rsub|\<times\>h>>|multiplicative
  conjugation of <with|mode|math|P> with <with|mode|math|h>>

  <\equation*>
    P<rsub|\<times\>h>(f)=P(h*f)
  </equation*>

  for all <with|mode|math|f\<in\>\<bbb-T\>>. The coefficients of
  <with|mode|math|P<rsub|\<times\>h>> are given by

  <equation|<label|fe:mc>P<rsub|\<times\>h,[\<b-omega\>]>=
  <big|sum><rsub|\<b-tau\>\<geqslant\>\<b-omega\>><binom|\<b-tau\>|\<b-omega\>>*h<rsup|[\<b-tau\>-
  \<b-omega\>]>*P<rsub|[\<b-tau\>]>.<label|mult-conj>>

  <\proposition>
    <label|dom-mc-prop>

    <\enumerate-alpha>
      <item>If <with|mode|math|h\<succsucc\>x>, then for all
      <with|mode|math|i>,

      <\equation*>
        P<rsub|i,\<times\>h>\<asymp\><rsub|h>h<rsup|i>*P<rsub|i>.
      </equation*>

      <item>If <with|mode|math|h\<succsucc\>x>, then

      <\equation*>
        P<rsub|\<times\>h>\<asymp\><rsub|h><rsup|\<ast\>>P.
      </equation*>

      <item>If <with|mode|math|P> and <with|mode|math|h\<gtr\>0> are
      exponential, then

      <\eqnarray*>
        <tformat|<table|<row|<cell|P<rsub|\<times\>h>>|<cell|\<asymp\><rsub|log
        h><rsup|\<ast\>>>|<cell|h*P.>>>>
      </eqnarray*>
    </enumerate-alpha>
  </proposition>

  <\proof>
    If <with|mode|math|h\<succsucc\>x>, then the equation (<reference|fe:mc>)
    implies <with|mode|math|P<rsub|i,\<times\>h>\<preccurlyeq\><rsub|h>h<rsup|i>*P<rsub|i>>
    and <with|mode|math|P<rsub|i>\<preccurlyeq\><rsub|h>h<rsup|\<um\>i>*P<rsub|i,\<times\>h>>,
    whence (<em|a>). Part (<em|b>) follows directly from (<em|a>), and
    (<em|c>) is proved in a similar way.
  </proof>

  <subsection|Upward and downward shifting><label|dpol-shift-sec>

  The <em|upward><bi-index*|upward|shifting><subsubindex|differential|polynomial|upward
  shifting> and <em|downward shiftings><bi-index*|downward|shifting><subsubindex|differential|polynomial|downward
  shifting> of a differential polynomial <with|mode|math|P> are the unique
  differential polynomials <with|mode|math|P\<uparrow\>> <abbr|resp.>
  <with|mode|math|P\<downarrow\>> in <with|mode|math|\<bbb-T\>{F}> such
  that<glossary-explain|<with|mode|math|P\<uparrow\>,P\<downarrow\>>|upward
  and downward shiftings of <with|mode|math|P>>

  <\eqnarray*>
    <tformat|<table|<row|<cell|P\<uparrow\>(f\<uparrow\>)>|<cell|=>|<cell|P(f)\<uparrow\>>>|<row|<cell|P\<downarrow\>(f\<downarrow\>)>|<cell|=>|<cell|P(f)\<downarrow\>>>>>
  </eqnarray*>

  for all <with|mode|math|f\<in\>\<bbb-T\>>. The coefficients of
  <with|mode|math|P\<uparrow\>> and <with|mode|math|P\<downarrow\>> satisfy

  <\eqnarray*>
    <tformat|<table|<row|<cell|(P\<uparrow\>)<rsub|[\<b-omega\>]>>|<cell|=>|<cell|<big|sum><rsub|\<b-tau\>\<geqslant\>\<b-omega\>>s<rsub|\<b-tau\>,\<b-omega\>>*\<mathe\><rsup|\<um\>\<\|\|\>\<b-tau\>\<\|\|\>*x>*(P<rsub|[\<b-tau\>]>\<uparrow\>)<eq-number><label|fe:us>>>|<row|<cell|(P\<downarrow\>)<rsub|[\<b-omega\>]>>|<cell|=>|<cell|<big|sum><rsub|\<b-tau\>\<geqslant\>\<b-omega\>>S<rsub|\<b-tau\>,\<b-omega\>>*x<rsup|\<\|\|\>\<b-omega\>\<\|\|\>*>*(P<rsub|[\<b-tau\>]>\<downarrow\>),<eq-number><label|fe:ds>>>>>
  </eqnarray*>

  where the <with|mode|math|s<rsub|\<b-tau\>,\<b-omega\>>><glossary-explain|<with|mode|math|s<rsub|\<b-tau\>,\<b-omega\>>>|generalized
  Stirling number of the first kind> are generalized Stirling
  numbers<index|Stirling number> of the first kind

  <\eqnarray*>
    <tformat|<table|<row|<cell|s<rsub|\<b-tau\>,\<b-omega\>>>|<cell|=>|<cell|s<rsub|\<tau\><rsub|1>,\<omega\><rsub|1>>*\<cdots\>*s<rsub|\<tau\><rsub|l>,\<omega\><rsub|l>>>>|<row|<cell|(f(log
    x))<rsup|(j)>>|<cell|=>|<cell|<big|sum><rsub|i=0><rsup|j>
    s<rsub|j,i>*x<rsup|\<um\>j>*f<rsup|(i)>(log x).>>>>
  </eqnarray*>

  and the <with|mode|math|S<rsub|\<b-tau\>,\<b-omega\>>><glossary-explain|<with|mode|math|S<rsub|\<b-tau\>,\<b-omega\>>>|generalized
  Stirling number of the second kind> are generalized Stirling numbers of the
  second kind

  <\eqnarray*>
    <tformat|<table|<row|<cell|S<rsub|\<b-tau\>,\<b-omega\>>>|<cell|=>|<cell|S<rsub|\<tau\><rsub|1>,\<omega\><rsub|1>>*\<cdots\>*S<rsub|\<tau\><rsub|l>,\<omega\><rsub|l>>>>|<row|<cell|(f(\<mathe\><rsup|x>))<rsup|(j)>>|<cell|=>|<cell|<big|sum><rsub|i=0><rsup|j>
    S<rsub|j,i>*\<mathe\><rsup|i*x>*f<rsup|(i)>(\<mathe\><rsup|x>).>>>>
  </eqnarray*>

  <\proposition>
    <label|dpol-ush-asymp>We have

    <\equation*>
      P\<uparrow\><space|0.6spc>\<asymp\><rsub|\<mathe\><rsup|x>><rsup|\<ast\>><space|0.6spc>\<frak-d\><rsub|P>\<uparrow\>.
    </equation*>
  </proposition>

  <\proof>
    We get <with|mode|math|P\<uparrow\>\<preccurlyeq\><rsub|\<mathe\><rsup|x>><rsup|\<ast\>>\<frak-d\><rsub|P>\<uparrow\>>
    from (<reference|fe:us>) and <with|mode|math|P=P\<uparrow\>\<downarrow\>\<preccurlyeq\><rsub|x><rsup|\<ast\>>\<frak-d\><rsub|P\<uparrow\>>\<downarrow\>>
    from <no-break>(<reference|fe:ds>).
  </proof>

  <\proposition>
    <label|us-dom-dom-part>If <with|mode|math|P\<in\>\<bbb-T\>{F}> is
    exponential, then

    <\equation*>
      D<rsub|P\<uparrow\>>=D<rsub|D<rsub|P>\<uparrow\>>.
    </equation*>
  </proposition>

  <\proof>
    Since <with|mode|math|P=(D<rsub|P>+o<rsub|\<mathe\><rsup|x>>(1))*\<frak-d\><rsub|P>>,
    the equation (<reference|fe:us>) yields

    <\equation*>
      P\<uparrow\>=(D<rsub|P>\<uparrow\>+o<rsub|\<mathe\><rsup|\<mathe\><rsup|x>>>(1))*(\<frak-d\><rsub|P>\<uparrow\>)
    </equation*>

    and <with|mode|math|supp D<rsub|P>\<uparrow\>\<subseteq\>{\<mathe\><rsup|\<um\>\<bbb-N\>*x>}\<asymp\><rsub|\<mathe\><rsup|\<mathe\><rsup|x>>>1>.
    This clearly implies the relation.
  </proof>

  <\exercise>
    Let <with|mode|math|g\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>> and
    <with|mode|math|P\<in\>\<bbb-T\>{F}>.

    <\enumerate-alpha>
      <item>Show that there exists a unique
      <with|mode|math|P<rsub|\<circ\>g>\<in\>\<bbb-T\>{F}> with

      <\equation*>
        P<rsub|\<circ\>g> (f\<circ\>g)=P(f)\<circ\>g
      </equation*>

      for all <with|mode|math|f\<in\>\<bbb-T\>>.

      <item>Give an explicit formula for <with|mode|math|P<rsub|\<circ\>g,[\<b-omega\>]>>
      for all <with|mode|math|\<b-omega\>>.

      <item>Show that <with|mode|math|P\<mapsto\>P<rsub|\<circ\>g>> is a
      differential ring homomorphism of <with|mode|math|(\<bbb-T\>,\<partial\>)>
      into <with|mode|math|(\<bbb-T\>,(g<rprime|'>)<rsup|\<um\>1>*\<partial\>)>.
    </enumerate-alpha>
  </exercise>

  <\exercise>
    Let <with|mode|math|P\<in\>\<bbb-T\>{F<rsub|1>,\<ldots\>,F<rsub|k>}> and
    <with|mode|math|Q<rsub|1>,\<ldots\>,Q<rsub|k>\<in\>\<bbb-T\>{F<rsub|1>,\<ldots\>,F<rsub|l>}>.

    <\enumerate-alpha>
      <item>Let <with|mode|math|P\<circ\>(Q<rsub|1>,\<ldots\>,Q<rsub|k>)\<in\>\<bbb-T\>{F<rsub|1>,\<ldots\>,F<rsub|l>}>
      be the result of the substitution of <with|mode|math|Q<rsub|i>> for
      each<nbsp><with|mode|math|F<rsub|i>> in<nbsp><with|mode|math|P>. Show
      that <with|mode|math|P\<mapsto\>P\<circ\>(Q<rsub|1>,\<ldots\>,Q<rsub|l>)>
      is a morphism of differential rings.

      <item>Reinterpret additive and multiplicative conjugation using
      composition like above.

      <item>Show that <with|mode|math|\<bbb-T\>[\<partial\>]> is isomorphic
      to <with|mode|math|(\<bbb-T\>{F}<rsub|lin>,+,\<circ\>)>, where
      <with|mode|math|\<bbb-T\>{F}<rsub|lin>=\<bbb-T\>*F\<oplus\>\<bbb-T\>*F<rprime|'>\<oplus\>\<cdots\>>.
    </enumerate-alpha>
  </exercise>

  <\exercise>
    Let <with|mode|math|P=<big|sum><rsub|\<b-i\>>P<rsub|\<b-i\>>*F<rsup|\<b-i\>>\<in\>\<bbb-T\><rsub|\<precprec\>\<mathe\><rsup|x>>[[F,F<rprime|'>,\<ldots\>]]>.

    <\enumerate-alpha>
      <item>If <with|mode|math|(P<rsub|\<b-i\>>)> forms a grid-based family,
      then show that <with|mode|math|P(f)> is well-defined for all
      <with|mode|math|f\<in\>\<bbb-T\><rsub|\<precprec\>\<mathe\><rsup|x>><rsup|\<preccurlyeq\>>>.

      <item>For two operators <with|mode|math|P> and <with|mode|math|Q> like
      in (<em|a>), with <with|mode|math|Q\<preccurlyeq\>1>, show that
      <with|mode|math|P\<circ\>Q> is well-defined.

      <item>Generalize (<em|b>) to operators in several variables and to more
      general subspaces of the form <with|mode|math|C<gb|\<frak-V\>>> of
      <with|mode|math|\<bbb-T\><rsub|\<precprec\>\<mathe\><rsup|x>>>.
    </enumerate-alpha>
  </exercise>

  <section|The differential Newton polygon method>

  <subsection|Differential Newton polynomials>

  <label|dNpol-sec>Recall from the introduction that, in order to generalize
  the Newton polygon method to the differential setting, it is convenient to
  first define the differential Newton polynomial associated to a monomial
  <with|mode|math|\<frak-m\>>. We will start with the case when
  <no-break><with|mode|math|\<frak-m\>=1> and rely on the following key
  observations:

  <\lemma>
    <label|usth-lem>Let <with|mode|math|P\<in\>C{F}> be homoponderal, of
    weight <with|mode|math|\<nu\>> and assume that
    <with|mode|math|D<rsub|P\<uparrow\>>=P>. Then
    <with|mode|math|P\<in\>C[F]*(F<rprime|'>)<rsup|\<nu\>>>.
  </lemma>

  <\proof>
    For all homoponderal <with|mode|math|H\<in\>C{F}> of weight
    <no-break><with|mode|math|\<nu\>>, let us denote

    <equation*|H<rsup|\<ast\>>=<big|sum><rsub|j>H<rsub|(j,\<nu\>,0,\<ldots\>,0)>*F<rsup|j>*(F<rprime|'>)<rsup|\<nu\>>.>

    Then <with|mode|math|Q=P-P<rsup|\<ast\>>> satisfies
    <with|mode|math|D<rsub|Q\<uparrow\>>=Q> and
    <with|mode|math|Q<rsup|\<ast\>>=0>. Furthermore, (<reference|fe:us>)
    yields

    <equation*|Q\<uparrow\>=\<mathe\><rsup|\<um\>\<nu\>*x>*Q.>

    Consequently, if <with|mode|math|Q(f)=0> for some
    <with|mode|math|f\<in\>\<bbb-T\>>, then

    <\equation*>
      Q(f\<uparrow\>)=\<mathe\><rsup|\<nu\>*x>*(Q\<uparrow\>)(f\<uparrow\>)=\<mathe\><rsup|\<nu\>*x>*(Q(f)\<uparrow\>)=0.
    </equation*>

    Since <with|mode|math|Q<rsup|\<ast\>>=0> implies <with|mode|math|Q(x)=0>,
    it follows by induction that <with|mode|math|Q(exp<rsub|i> x)=0> for any
    iterated exponential of <with|mode|math|x>. From
    <no-break>(<reference|sign-IL>), we conclude that <with|mode|math|Q=0>
    and <with|mode|math|P\<in\>C[F]*(F<rprime|'>)<rsup|\<nu\>>>.
  </proof>

  <theorem|<label|usth>Let <with|mode|math|P> be a differential polynomial
  with exponential coefficients. Then there exists a polynomial
  <with|mode|math|Q\<in\>C[F]> and an integer <with|mode|math|\<nu\>>, such
  that for all <with|mode|math|l\<geqslant\>wt P>, we have
  <with|mode|math|D<rsub|P\<uparrow\><rsub|l>>=Q*(F<rprime|'>)<rsup|\<nu\>>>.>

  <\proof>
    By formula (<reference|fe:us>), we have
    <with|mode|math|D<rsub|P>\<uparrow\>\<asymp\>\<mathe\><rsup|\<um\>(pv
    D<rsub|P>)*x>> and

    <equation|<label|NPup>D<rsub|P\<uparrow\>>(F)=<big|sum><rsub|\<\|\|\>\<b-omega\>\<\|\|\>=pv
    D<rsub|P>><left|(><big|sum><rsub|\<b-tau\>\<geqslant\>\<b-omega\>>s<rsub|\<b-tau\>,\<b-omega\>>*D<rsub|P,[\<b-tau\>]><right|)>*F<rsup|[\<b-omega\>]>.>

    Consequently,

    <\equation*>
      wt <no-break>D<rsub|P>\<geqslant\>pv D<rsub|P>=wt
      D<rsub|P\<uparrow\>>\<geqslant\>pv D<rsub|P\<uparrow\>>=wt
      D<rsub|P\<uparrow\>\<uparrow\>>\<geqslant\>\<cdots\>.
    </equation*>

    Hence, for some <with|mode|math|l\<leqslant\>><with|mode|math|wt P>, we
    have <with|mode|math|wt D<rsub|P\<uparrow\><rsub|l+1>>=pv
    D<rsub|P\<uparrow\><rsub|l+1>>=wt D<rsub|P\<uparrow\><rsub|l>>>. Now
    <no-break>(<reference|NPup>) applied on
    <with|mode|math|P\<uparrow\><rsub|l>> instead of <with|mode|math|P>
    yields <with|mode|math|D<rsub|P\<uparrow\><rsub|l+1>>=D<rsub|P\<uparrow\><rsub|l>>>.
    Proposition <reference|us-dom-dom-part> therefore gives

    <\equation*>
      D<rsub|P\<uparrow\><rsub|l>>=D<rsub|P\<uparrow\><rsub|l+1>>=D<rsub|D<rsub|P\<uparrow\><rsub|l>>\<uparrow\>>=D<rsub|D<rsub|P\<uparrow\><rsub|l+1>>\<uparrow\>>=D<rsub|P\<uparrow\><rsub|l+2>>=\<cdots\>.
    </equation*>

    We conclude by applying lemma <reference|usth-lem> with
    <with|mode|math|D<rsub|P\<uparrow\><rsub|l>>> for <with|mode|math|P>.
  </proof>

  Given an arbitrary differential polynomial <with|mode|math|P>, the above
  theorem implies that there exists a polynomial <with|mode|math|Q\<in\>C[F]>
  and an integer <with|mode|math|\<nu\>>, such that
  <with|mode|math|D<rsub|P\<uparrow\><rsub|l>>=Q*(F<rprime|'>)<rsup|\<nu\>>>
  for all sufficiently large <with|mode|math|l>. We
  call<glossary-explain|<with|mode|math|N<rsub|P>>|differential Newton
  polynomial for <with|mode|math|P>>

  <equation*|N<rsub|P>=Q*(F<rprime|'>)<rsup|\<nu\>>>

  the <em|differential Newton polynomial><sub-bi-index|differential|polynomial|Newton><subsubindex|polynomial|Newton|differential>
  for <with|mode|math|P>. More generally, if <with|mode|math|\<frak-m\>> is
  an arbitrary monomial, then we call <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-m\>>>>
  the <em|differential Newton polynomial for <with|mode|math|P> associated to
  <no-break><with|mode|math|\<frak-m\>>>. If <with|mode|math|P> is
  exponential and <with|mode|math|N<rsub|P>=D<rsub|P>>, then we say that
  <with|mode|math|P> is <em|transparent><sub-bi-index|differential|polynomial|transparent><subindex|transparent|differential
  polynomial>. Notice that a transseries is
  transparent<subindex|transparent|transseries> if and only if it is
  exponential.

  <subsection|Properties of differential Newton polynomials>

  <\proposition>
    <label|Ndeg-mc-prop>

    <\enumerate-alpha>
      <item><with|mode|math|N<rsub|P\<uparrow\>>=N<rsub|P>> for all
      <with|mode|math|P>.

      <item>If <with|mode|math|c\<in\>C> and
      <with|mode|math|\<varepsilon\>\<prec\>1>, then
      <with|mode|math|N<rsub|P<rsub|+c+\<varepsilon\>>>=N<rsub|P,+c>>.

      <item>If <with|mode|math|\<frak-m\>\<prec\>\<frak-n\>>, then
      <with|mode|math|val N<rsub|P<rsub|\<times\>\<frak-m\>>>\<leqslant\>deg
      N<rsub|P<rsub|\<times\>\<frak-m\>>>\<leqslant\>val
      N<rsub|P<rsub|\<times\>\<frak-n\>>>\<leqslant\>deg
      N<rsub|P<rsub|\<times\>\<frak-n\>>>>.
    </enumerate-alpha>
  </proposition>

  <\proof>
    Assertion (<em|a>) is trivial, by construction.

    In (<em|b>), modulo a sufficient number of upward shiftings, we may
    assume without loss of generality that <with|mode|math|P>,
    <with|mode|math|P<rsub|+c+\<varepsilon\>>> and
    <with|mode|math|\<varepsilon\>> are transparent. Dividing
    <with|mode|math|P> by <with|mode|math|\<frak-d\><rsub|P>>, we may also
    assume that <with|mode|math|P\<asymp\>1>. Then (<reference|fe:ac>)
    implies

    <\equation*>
      P<rsub|+c+\<varepsilon\>>=D<rsub|P,+c+\<varepsilon\>>+o<rsub|\<mathe\><rsup|x>>(1)=D<rsub|P,+c>+o<rsub|\<mathe\><rsup|x>>(1),
    </equation*>

    so that <with|mode|math|N<rsub|P<rsub|+c+\<varepsilon\>>>=D<rsub|P<rsub|+c+\<varepsilon\>>>=D<rsub|P,+c>=N<rsub|P,+c>>.

    As to (<em|c>), it clearly suffices to consider the case when
    <with|mode|math|\<frak-m\>\<prec\>1> and <with|mode|math|\<frak-n\>=1>.
    After a finite number of upward shiftings, we may also assume that
    <with|mode|math|P> and <with|mode|math|P<rsub|\<times\>\<frak-m\>>> are
    transparent and <with|mode|math|\<frak-m\>\<succsucc\>x>. Let
    <with|mode|math|d=val <no-break>P>. Then for all
    <with|mode|math|i\<gtr\>d> we have <with|mode|math|P<rsub|i>\<preccurlyeq\>P<rsub|d>>,
    whence

    <\equation*>
      P<rsub|\<times\>\<frak-m\>,d>=P<rsub|d,\<times\>\<frak-m\>>\<asymp\><rsub|\<frak-m\>>\<frak-m\><rsup|d>*P<rsub|d>\<succ\>\<frak-m\><rsup|i>*P<rsub|i>\<asymp\><rsub|\<frak-m\>>P<rsub|i,\<times\>\<frak-m\>>=P<rsub|\<times\>\<frak-m\>,i>,
    </equation*>

    by proposition <no-break><reference|dom-mc-prop>(<em|a>). This implies
    <with|mode|math|deg D<rsub|\<times\>\<frak-m\>>\<leqslant\>d>, as
    desired.
  </proof>

  <\proposition>
    <label|flat-dom-lem>Let <with|mode|math|P\<in\>\<bbb-T\>{F}<rsup|\<neq\>>>,
    <with|mode|math|\<frak-m\>\<succsucceq\>\<mathe\><rsup|x>> and
    <with|mode|math|T=<big|sum><rsub|\<frak-u\>\<asymp\><rsub|\<frak-m\>>P>P<rsub|\<frak-u\>>*\<frak-u\>>.
    Then we have <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-n\>>>=N<rsub|T<rsub|\<times\>\<frak-n\>>>>
    for all <with|mode|math|\<frak-n\>\<precprec\>\<frak-m\>>.
  </proposition>

  <\proof>
    Since <with|mode|math|\<frak-m\>\<succsucceq\>\<mathe\><rsup|x>>, we
    first notice that <with|mode|math|T\<uparrow\>=<big|sum><rsub|\<frak-u\>\<asymp\><rsub|\<frak-m\>\<uparrow\>>P>P\<uparrow\><rsub|\<frak-u\>>*\<frak-u\>>.
    Hence, modulo division by <with|mode|math|\<frak-d\><rsub|P>> and a
    sufficient number of upward shiftings, we may assume without loss of
    generality that <with|mode|math|P\<asymp\>1>, that <with|mode|math|P> and
    <no-break><with|mode|math|\<frak-n\>> are exponential and that
    <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-n\>>>=D<rsub|P<rsub|\<times\>\<frak-n\>>>>
    and <with|mode|math|N<rsub|T<rsub|*\<times\>\<frak-n\>>>=D<rsub|T<rsub|\<times\>\<frak-n\>>>>.
    Then <with|mode|math|(P-T)<rsub|\<times\>\<frak-n\>>\<asymp\><rsub|\<frak-n\>>(P-T)*\<frak-n\>\<prec\><rsub|\<frak-m\>>\<frak-n\>>
    and <with|mode|math|P<rsub|\<times\>\<frak-n\>>\<asymp\><rsub|\<frak-n\>>\<frak-n\>>,
    whence <with|mode|math|P<rsub|\<times\>\<frak-n\>>=T<rsub|\<times\>\<frak-n\>>+o<rsub|\<frak-m\>>(P<rsub|\<times\>\<frak-n\>>)>.
    We conclude that <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-n\>>>=D<rsub|P<rsub|\<times\>\<frak-n\>>>=D<rsub|T<rsub|\<times\>\<frak-n\>>>=N<rsub|T<rsub|\<times\>\<frak-n\>>>>.
  </proof>

  <subsection|Starting terms>

  <label|pdm-sec>We call <with|mode|math|\<frak-m\>\<in\>\<frak-V\>> a
  <em|starting monomial><bi-index|starting|monomial>, if
  <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-m\>>>> admits a non-zero root
  <no-break><with|mode|math|c> in the algebraic closure
  <with|mode|math|C<rsup|alg>> of <with|mode|math|C>. This is the case if and
  only if <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-m\>>>\<nin\>C*F<rsup|\<bbb-N\>>>.
  We say that <with|mode|math|\<frak-m\>> is
  <em|algebraic><sub-bi-index|starting|monomial|algebraic><subindex|algebraic|starting
  monomial> if <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-m\>>>> is
  non-homogeneous, and <em|differential><sub-bi-index|starting|monomial|differential><subindex|differential|starting
  monomial> if <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-m\>>>\<nin\>C[F]>.
  A starting monomial, which is both algebraic and differential, is said to
  be <em|mixed><sub-bi-index|starting|monomial|mixed><index|mixed starting
  monomial>.

  <\example>
    Let <with|mode|math|\<frak-m\>> be a starting monomials for
    <with|mode|math|P(f)=0>, where <with|mode|math|P=L F> and
    <with|mode|math|L\<in\>\<bbb-T\>[\<partial\>]>. Then
    <with|mode|math|N<rsub|L<rsub|\<times\>\<frak-m\>>\<uparrow\><rsub|l>>=D<rsub|L<rsub|\<times\>\<frak-m\>>\<uparrow\><rsub|l>>\<in\>C*F<rprime|'>>
    for all sufficiently large <with|mode|math|l>. By proposition
    <reference|irreg-char-prop>, it follows that
    <with|mode|math|\<frak-m\>\<uparrow\><rsub|l>\<in\>\<frak-H\><rsub|L\<uparrow\><rsub|l>>>
    for all sufficiently large <with|mode|math|l>, whence
    <with|mode|math|><with|mode|math|\<frak-m\>\<in\>\<frak-H\><rsub|L>>.
    Similarly, if <with|mode|math|\<frak-m\>> is not a starting monomial,
    then <with|mode|math|N<rsub|L<rsub|\<times\>\<frak-m\>>\<uparrow\><rsub|l>>=D<rsub|L<rsub|\<times\>\<frak-m\>>\<uparrow\><rsub|l>>\<in\>C*F>
    for all sufficiently large <with|mode|math|l>,
    and<nbsp><with|mode|math|><with|mode|math|\<frak-m\>\<nin\>\<frak-H\><rsub|L>>.
  </example>

  Assuming that we have determined a starting monomial
  <with|mode|math|\<frak-m\>> for (<reference|aade>), let
  <with|mode|math|c\<in\>C<rsup|alg>> be a non-zero root of
  <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-m\>>>>. If
  <with|mode|math|c\<in\>C>, then we call <with|mode|math|c*\<frak-m\>> a
  <em|starting term><bi-index|starting|term> for (<reference|aade>). If
  <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-m\>>>=Q*(F<rprime|'>)<rsup|\<nu\>>>
  with <with|mode|math|Q\<in\>C[F]> and <with|mode|math|Q(c)=0>, then
  <with|mode|math|c*\<frak-m\>> is said to be an <em|algebraic starting
  term><sub-bi-index|starting|term|algebraic><subindex|algebraic|starting
  term>. If <with|mode|math|\<nu\>\<neq\>0>, then we say that
  <with|mode|math|c*\<frak-m\>> is a <em|differential starting
  term><sub-bi-index|starting|term|differential><subindex|differential|starting
  term>. The <em|multiplicity><subindex|multiplicity|starting
  term><sub-bi-index|starting|term|multiplicity> of <with|mode|math|c> (and
  of <with|mode|math|c*\<frak-m\>>) is the differential valuation of
  <with|mode|math|N<rsub|P<rsub|\<frak-m\>>,+c>>. Notice that the definition
  of the multiplicity extends to the case when <with|mode|math|c=0>.

  <proposition|<label|stterm-prop>Assume that <with|mode|math|f> is a
  non-zero transseries solution to <no-break><with|font-shape|right|(<reference|aade>)>.
  Then <with|mode|math|\<tau\><rsub|f>> is a starting term.>

  <\proof>
    Assume that <with|mode|math|\<tau\><rsub|f>=c*\<frak-m\>> is not a
    starting term. Modulo normalization, we may assume without loss of
    generality that <with|mode|math|P> is transparent and
    <with|mode|math|\<frak-m\>=\<frak-d\><rsub|P>=1>. Then
    <with|mode|math|P(f)=N<rsub|P>(f)+o<rsub|\<mathe\><rsup|x>>(1)=N<rsub|P>(c)+o<rsub|\<mathe\><rsup|x>>(1)\<neq\>0>,
    since <with|mode|math|N<rsub|P>(c)\<neq\>0>.
  </proof>

  The <em|Newton degree><bi-index|Newton|degree> of (<reference|aade>) is
  defined to be the maximum <with|mode|math|d=deg<rsub|\<frak-V\>>
  P><glossary-explain|<with|mode|math|deg<rsub|\<frak-V\>> P>|Newton degree
  of <with|mode|math|P(f)=0<space|1.2spc>(f\<in\>C<gb|\<frak-V\>>)>> of
  <with|mode|math|val P> and the largest possible degree of
  <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-m\>>>> for monomials
  <with|mode|math|\<frak-m\>\<in\>\<frak-V\>>. The above proposition shows
  that equations of Newton degree zero do not admit solutions.

  <\proposition>
    <label|Ndeg-ac-inv>If <with|mode|math|\<varphi\>\<in\>C<gb|\<frak-V\>>>,
    then

    <\equation*>
      deg<rsub|\<frak-V\>> P<rsub|+\<varphi\>>=deg<rsub|\<frak-V\>> P.
    </equation*>
  </proposition>

  <\proof>
    Consider a monomial <with|mode|math|\<frak-m\>\<in\>\<frak-V\>> with
    <with|mode|math|\<frak-m\>\<succcurlyeq\>\<varphi\>>. Modulo a
    multiplicative conjugation with <with|mode|math|\<frak-m\>> we may assume
    without loss of generality that <with|mode|math|\<frak-m\>=1>, so that
    <with|mode|math|\<varphi\>=c+\<varepsilon\>> with
    <with|mode|math|c\<in\>C> and <with|mode|math|\<varepsilon\>\<prec\>1>.
    Modulo upward shifting, we may also assume that <with|mode|math|P>,
    <with|mode|math|P<rsub|+\<varphi\>>> and<nbsp><with|mode|math|\<varphi\>>
    are transparent. Then <with|mode|math|deg N<rsub|P<rsub|+\<varphi\>>>=deg
    N<rsub|P,+c>=deg N<rsub|P>>, by proposition
    <reference|Ndeg-mc-prop>(<em|b>).
  </proof>

  Geometrically speaking, we may consider the Newton degree as ``the
  multiplicity of zero as a root of <with|mode|math|P> modulo
  <with|mode|math|\<frak-V\>>''. More generally, given an initial segment
  <with|mode|math|\<frak-W\>\<subseteq\>\<frak-V\>>, we say that
  <with|mode|math|\<varphi\>\<in\>C<gb|\<frak-V\>>> is a <em|solution> to
  (<reference|aade>) <em|modulo> <with|mode|math|\<frak-W\>><subindex|solution|modulo
  <with|mode|math|\<frak-W\>>><subsubindex|asymptotic|differential
  equation|solution modulo <with|mode|math|\<frak-W\>>>, if the Newton degree
  of

  <\equation>
    <label|sol-mod-init-seg-eq>P<rsub|+\<varphi\>>(<wide|f|~>)=0<space|2fn>(<wide|f|~>\<in\>C<gb|\<frak-W\>>)
  </equation>

  is strictly positive. The <em|multiplicity><subindex|multiplicity|solution
  modulo <with|mode|math|\<frak-W\>>><subsubindex|solution|modulo
  <with|mode|math|\<frak-W\>>|multiplicity> of such a solution is defined to
  be the Newton degree of (<reference|sol-mod-init-seg-eq>). If
  <with|mode|math|\<psi\>\<in\>\<varphi\>+C<gb|\<frak-W\>>>, then the
  multiplicities of <with|mode|math|\<varphi\>> and <with|mode|math|\<psi\>>
  as solutions of (<reference|aade>) modulo
  <no-break><with|mode|math|\<frak-W\>> coincide, by proposition
  <reference|Ndeg-ac-inv>. In particular, if <with|mode|math|\<varphi\>> is a
  solution of (<reference|aade>) modulo <no-break><with|mode|math|\<frak-W\>>,
  then so is <with|mode|math|\<psi\>=\<varphi\><rsub|\<frak-V\>\<setminus\>\<frak-W\>>=<big|sum><rsub|\<frak-m\>\<in\>\<frak-V\>\<setminus\>\<frak-W\>>\<varphi\><rsub|\<frak-m\>>*\<frak-m\><big|.><big|.>>.
  We call <with|mode|math|\<psi\>> a <em|normalized
  solution><index|normalized solution modulo
  <with|mode|math|\<frak-W\>>><subsubindex|solution|modulo
  <with|mode|math|\<frak-W\>>|normalized>, because it is the unique solution
  in <with|mode|math|\<varphi\>+C<gb|\<frak-W\>>> such that
  <with|mode|math|\<psi\><rsub|\<frak-m\>>=0> for all
  <with|mode|math|\<frak-m\>\<in\>\<frak-W\>>.

  <subsection|Refinements>

  Given a starting term <with|mode|math|\<tau\>=c*\<frak-m\>> for
  (<reference|aade>), we will generalize the technique of refinements in
  order to compute the remaining terms. In its most general form, a
  <em|refinement><index|refinement> for <no-break>(<reference|aade>) is a
  change of variables together with an asymptotic constraint

  <equation-lab|f=\<varphi\>+<wide|f|~><space|5spc>(<wide|f|~>\<in\>C<gb|<wide|\<frak-V\>|~>>),<label|refine>|R>

  where <with|mode|math|\<varphi\>\<in\>C<gb|\<frak-V\>>> and
  <with|mode|math|<wide|\<frak-V\>|~>\<subseteq\>\<frak-V\>> is an initial
  segment of transmonomials. Such a refinement transforms (<reference|aade>)
  into

  <equation-lab|<wide|P|~>(<wide|f|~>)=P<rsub|+\<varphi\>>(<wide|f|~>)=0<space|5spc>(<wide|f|~>\<in\>C<gb|<wide|\<frak-V\>|~>>).<label|aade2>|RE>

  Usually, we take <with|mode|math|<wide|\<frak-V\>|~>={<wide|\<frak-w\>|~>\<in\>\<frak-T\>:<wide|\<frak-w\>|~>\<prec\>\<varphi\>}>,
  in which case (<reference|aade2>) becomes

  <equation|<wide|P|~>(<wide|f|~>)=0<space|5spc>(<wide|f|~>\<prec\>\<varphi\>).<label|aade3>>

  In particular, we may take <with|mode|math|\<varphi\>=c*\<frak-m\>>, but,
  as in section <reference|Nddec>, it is useful to allow for more general
  <with|mode|math|\<varphi\>> in presence of almost multiple solutions.

  Consider a refinement (<reference|refine>) and a second refinement

  <equation-lab|<label|sec-refine><wide|f|~>=<wide|\<varphi\>|~>+<wide|<wide|f|~>|~><space|2fn>(<wide|<wide|f|~>|~>\<in\>C<gb|<wide|<wide|\<frak-V\>|~>|~>>)|RR>

  with <with|mode|math|<wide|\<varphi\>|~>\<in\>C<gb|<wide|\<frak-V\>|~>>>
  and <with|mode|math|<wide|<wide|\<frak-V\>|~>|~>\<subseteq\><wide|\<frak-V\>|~>>.
  Then we may compose (<reference|refine>) and (<reference|sec-refine>) so as
  to yield another refinement

  <\equation>
    <label|comp-refine>f=\<varphi\>+<wide|\<varphi\>|~>+<wide|<wide|f|~>|~><space|2fn>(<wide|<wide|f|~>|~>\<in\>C<gb|<wide|<wide|\<frak-V\>|~>|~>>).
  </equation>

  Refinements of the form (<reference|comp-refine>) are said to be
  <em|finer><bi-index*|finer|refinement> as (<reference|refine>).

  <\proposition>
    Consider a refinement <with|font-shape|right|(<reference|refine>)> with
    <with|mode|math|\<varphi\>\<in\>C<gb|\<frak-V\>>>. Then the Newton degree
    of <with|font-shape|right|(<reference|aade2>)> is bounded by the Newton
    degree of <with|font-shape|right|(<reference|aade>)>.
  </proposition>

  <\proof>
    By the definition of Newton degree, the result is clear if
    <with|mode|math|\<varphi\>=0>. In general, we may decompose the
    refinement in a refinement with <with|mode|math|<wide|\<frak-V\>|~>=\<frak-V\>>
    and a refinement with <with|mode|math|\<varphi\>=0>. We conclude by
    proposition <reference|Ndeg-ac-inv>.
  </proof>

  <\proposition>
    <label|refprop>Let <with|mode|math|\<varphi\>\<in\>C<gb|\<frak-V\>>> and
    <with|mode|math|\<frak-m\>\<succcurlyeq\>\<varphi\>>. Then the Newton
    degree of

    <\equation*>
      <wide|P|~>(<wide|f|~>)=P<rsub|+\<varphi\>>(<wide|f|~>)=0<space|2fn>(<wide|f|~>\<prec\>\<frak-m\>)
    </equation*>

    is equal to the multiplicity <with|mode|math|<wide|d|~>> of
    <with|mode|math|c=\<varphi\><rsub|\<frak-m\>>> as a root of
    <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-m\>>>>.
  </proposition>

  <\proof>
    Let us first show that <with|mode|math|deg
    N<rsub|<wide|P|~><rsub|\<times\>\<frak-n\>>>\<leqslant\><wide|d|~>> \ for
    any monomial <with|mode|math|\<frak-n\>\<prec\>\<frak-m\>>. Modulo
    multiplicative conjugation and upward shifting, we may assume without
    loss of generality that <with|mode|math|\<frak-m\>=1> and that
    <with|mode|math|P>, <with|mode|math|<wide|P|~><rsub|\<times\>\<frak-n\>>>,
    <with|mode|math|\<frak-n\>> and <with|mode|math|\<varphi\>> are
    transparent. The differential valuation of
    <with|mode|math|N<rsub|P,+c>=D<rsub|<wide|P|~>>> being
    <with|mode|math|<wide|d|~>>, we have in particular
    <with|mode|math|<wide|P|~><rsub|<wide|d|~>>\<asymp\><wide|P|~>>. Hence,

    <equation*|<wide|P|~><rsub|\<times\>\<frak-n\>,i><space|0.6spc>\<asymp\><rsub|\<frak-n\>><space|0.6spc><wide|P|~><rsub|i>*\<frak-n\><rsup|i><space|0.6spc>\<prec\><rsub|\<frak-n\>><space|0.6spc><wide|P|~><rsub|<wide|d|~>>*\<frak-n\><rsup|<wide|d|~>><space|0.6spc>\<asymp\><rsub|\<frak-n\>><space|0.6spc><wide|P|~><rsub|\<times\>\<frak-n\>,<wide|d|~>>>

    for all <with|mode|math|i\<gtr\><wide|d|~>>. We infer that
    <with|mode|math|deg N<rsub|<wide|P|~><rsub|\<times\>\<frak-n\>>>\<leqslant\><wide|d|~>>.

    At a second stage, we have to show that <with|mode|math|deg
    N<rsub|<wide|P|~><rsub|\<times\>\<frak-n\>>>\<geqslant\><wide|d|~>>.
    Without loss of generality, we may again assume that
    <with|mode|math|\<frak-m\>=1>, and that <with|mode|math|P> and
    <with|mode|math|\<varphi\>> are transparent. The differential valuation
    of <with|mode|math|N<rsub|P,+c>=D<rsub|<wide|P|~>>> being
    <with|mode|math|<wide|d|~>>, we have <with|mode|math|<wide|P|~><rsub|i>\<prec\><wide|P|~>>
    for all <with|mode|math|i\<less\><wide|d|~>>. Taking
    <with|mode|math|\<frak-n\>=x<rsup|\<um\>1>>, we thus get

    <equation*|<wide|P|~><rsub|\<times\>\<frak-n\>,i><space|0.6spc>\<asymp\><rsub|\<mathe\><rsup|x>><space|0.6spc><wide|P|~><rsub|i><space|0.6spc>\<prec\><rsub|\<mathe\><rsup|x>><space|0.6spc><wide|P|~><space|0.6spc>\<asymp\><space|0.6spc><wide|P|~><rsub|<wide|d|~>><space|0.6spc>\<asymp\><rsub|\<mathe\><rsup|x>><space|0.6spc><wide|P|~><rsub|\<times\>\<frak-n\>,<wide|d|~>>>

    <no-page-break*>for all <with|mode|math|i\<less\><wide|d|~>>. We conclude
    that <with|mode|math|deg N<rsub|<wide|P|~><rsub|\<times\>\<frak-n\>>>\<geqslant\><wide|d|~>>.
  </proof>

  <\exercise>
    <label|Npol-ush-prop>If <with|mode|math|N<rsub|P>=D<rsub|P>\<in\>C[F]*(F<rprime|'>)<rsup|k>>,
    then show that

    <\enumerate-alpha>
      <item><with|mode|math|D<rsub|P\<uparrow\>>=D<rsub|P>>.

      <item><with|mode|math|P\<uparrow\>\<asymp\>\<frak-d\><rsub|P>\<uparrow\>*\<mathe\><rsup|\<um\>k*x>>.
    </enumerate-alpha>
  </exercise>

  <\exercise>
    If <with|mode|math|P=L F+g>, with <with|mode|math|L\<in\>\<bbb-T\>[\<partial\>]>
    and <with|mode|math|g\<in\>\<bbb-T\><rsup|\<neq\>>>, then show that
    <with|mode|math|T<rsub|L><rsup|\<um\>1>(\<tau\><rsub|g>)> is the unique
    algebraic starting term for <with|mode|math|P(f)=0>.
  </exercise>

  <\exercise>
    \;

    <\enumerate-alpha>
      <item>Give a definition for the composition

      <\equation*>
        f=\<varphi\>+<wide|f|~><space|2fn>(<wide|f|~>\<in\>C<gb|<wide|\<frak-V\>|~>>)
      </equation*>

      of an infinite sequence of refinements

      <\eqnarray*>
        <tformat|<table|<row|<cell|f=f<rsub|0>>|<cell|=>|<cell|\<varphi\><rsub|1>+f<rsub|1><space|1fn>(f<rsub|1>\<in\>C<gb|\<frak-V\><rsub|1>>)>>|<row|<cell|f<rsub|1>>|<cell|=>|<cell|\<varphi\><rsub|2>+f<rsub|2><space|1fn>(f<rsub|2>\<in\>C<gb|\<frak-V\><rsub|2>>)>>|<row|<cell|>|<cell|\<vdots\>>|<cell|>>>>
      </eqnarray*>

      <item>What can be said about the Newton degree of (<reference|aade2>)?
    </enumerate-alpha>
  </exercise>

  <\exercise>
    Let <with|mode|math|P,Q\<in\>\<bbb-T\>{F}> and let
    <with|mode|math|\<frak-V\>\<subseteq\>\<frak-T\>> be an initial segment.

    <\enumerate-alpha>
      <item>Show that <with|mode|math|deg<rsub|\<frak-V\>>
      P*Q=deg<rsub|\<frak-V\>> P+deg<rsub|\<frak-V\>> Q>.

      <item>What can be said about <with|mode|math|deg<rsub|\<frak-V\>>
      (P+Q)>?

      <item>If <with|mode|math|deg<rsub|\<frak-V\>> P\<gtr\>0> and
      <with|mode|math|A<rsub|0>,\<ldots\>,A<rsub|n>\<in\>\<bbb-T\>>, then
      show that <with|mode|math|deg<rsub|\<frak-V\>>
      (A<rsub|0>*P+\<cdots\>+A<rsub|n>*P<rsup|(n)>)\<gtr\>0>. Hint: first
      reduce to the case when <with|mode|math|\<frak-V\>={\<frak-v\>\<in\>\<frak-T\>:\<frak-v\>\<prec\>1}>.
      Next, considering <with|mode|math|P=0,\<ldots\>,P<rsup|(n)>=0> as
      <em|algebraic> equations in <with|mode|math|F,\<ldots\>,F<rsup|(r+n)>>,
      show that there exists a common solution
      <with|mode|math|F=\<phi\><rsub|0>,\<ldots\>,F<rsup|(r+n)>=\<phi\><rsub|r+n>>
      with <with|mode|math|\<phi\><rsub|i>\<prec\>1> for all
      <with|mode|math|i> (<abbr|i.e.> we do not require that
      <with|mode|math|\<phi\><rsub|i+1>=\<phi\><rsub|i><rprime|'>> for
      <with|mode|math|i\<less\>r+n-1>).
    </enumerate-alpha>
  </exercise>

  <\exercise>
    Improve the bound <with|mode|math|i\<geqslant\>wt P> in theorem
    <reference|usth> for <with|mode|math|P> of degree
    <with|mode|math|<op|\<leqslant\>> 3>.
  </exercise>

  <\exercise>
    Show that <with|mode|math|r> upward shiftings may indeed be needed in
    theorem <reference|usth>.
  </exercise>

  <\exercise>
    <label|as-de-ex>Let <with|mode|math|P\<in\>C{F<rprime|'>}> and let
    <with|mode|math|\<Lambda\>> be such that
    <with|mode|math|\<Lambda\><rprime|'>=(x*log x*log<rsub|2>
    x*\<cdots\>)<rsup|\<um\>1>>.

    <\enumerate-alpha>
      <item>Show that <with|mode|math|\<frak-d\><rsup|as><rsub|P>=\<frak-d\><rsub|P(\<Lambda\>)>=x<rsup|\<um\>i<rsub|0>>*(log
      x)<rsup|\<um\>i<rsub|1>>*(log<rsub|2>
      x)<rsup|\<um\>i<rsub|3>>*\<cdots\>>, with
      <with|mode|math|i<rsub|0>\<geqslant\>i<rsub|1>\<geqslant\>\<cdots\>\<geqslant\>1>.

      <item>If <with|mode|math|l> is such that
      <with|mode|math|><with|mode|math|N<rsub|P>=D<rsub|P\<uparrow\><rsub|l>>>,
      then show that <with|mode|math|\<frak-d\><rsub|P\<uparrow\><rsub|l>>=(exp<rsub|l>
      x)<rsup|\<um\>i<rsub|0>>*\<cdots\>*(exp x)<rsup|\<um\>i<rsub|l-1>>>.

      <item>Show that <with|mode|math|N<rsub|P>=D<rsub|P\<uparrow\><rsub|l>>>
      if and only if <with|mode|math|i<rsub|l>=i<rsub|l+1>=\<cdots\>>.

      <item>Let <with|mode|math|C{F<rprime|'>}<rsub|d,r>> be the subset of
      <with|mode|math|C{F<rprime|'>}> of homogeneous and homoponderal
      polynomials of degree <with|mode|math|d> and order <with|mode|math|r>.
      For <with|mode|math|P\<in\>C{F<rprime|'>}<rsub|d,r>>, show that
      <with|mode|math|\<frak-d\><rsup|as><rsub|P>=x<rsup|\<um\>d>*(log
      x)<rsup|\<um\>r>*(log<rsub|2> x)<rsup|i<rsub|2>>*\<cdots\>>.

      <item>An <em|asymptotic basis> <with|mode|math|B> of
      <with|mode|math|C{F<rprime|'>}> is a disjoint union of bases
      <with|mode|math|B<rsub|d,r>> of <with|mode|math|C{F<rprime|'>}<rsub|d,r>>,
      whose elements are pairwise distinct for
      <with|mode|math|<op|\<asymp\>>>. Show the existence of an asymptotic
      basis.

      <item>Does there exist an asymptotic basis which is closed under
      multiplication? And under differentiation?

      <item>Compute an explicit asymptotic basis for the components
      <with|mode|math|C{F<rprime|'>}<rsub|d,r>> with
      <with|mode|math|d\<leqslant\>6> and <with|mode|math|r\<leqslant\>6>.

      <item>Show that <with|mode|math|\<frak-B\>={\<frak-d\><rsub|E><rsup|as>:E\<in\>B}>
      is well-based and independent of the choice of <with|mode|math|B>.
      Given <with|mode|math|\<frak-m\>\<in\>\<frak-B\>>, we will denote by
      <with|mode|math|B<rsub|\<frak-m\>>> the unique element of
      <with|mode|math|B> with <with|mode|math|\<frak-d\><rsub|B<rsub|\<frak-m\>>><rsup|as>\<asymp\>\<frak-m\>>.

      <item>Given <with|mode|math|P\<in\>\<bbb-T\>{F}>, the unique
      decomposition

      <\equation*>
        P=<big|sum><rsub|\<frak-m\>\<in\>\<frak-B\>>P<rsub|\<frak-m\>><rsup|as>*B<rsub|\<frak-m\>>
      </equation*>

      with <with|mode|math|P<rsub|\<frak-m\>><rsup|as>\<in\>\<bbb-T\>[F]> is
      called the <em|asymptotic decomposition><bi-index|asymptotic|decomposition>
      of <with|mode|math|P> <abbr|w.r.t> <with|mode|math|B>. Show how to read
      off the Newton polynomial of <with|mode|math|P> from this
      decomposition.

      <item>If <with|mode|math|\<cal-H\>> is a Hardy field, then propose a
      definition for the Newton polynomial of
      <with|mode|math|P\<in\>\<cal-H\>{F}>, up to a multiplicative constant
      in <with|mode|math|\<bbb-R\><rsup|\<gtr\>>>.
    </enumerate-alpha>
  </exercise>

  <section|Finding the starting monomials><label|ade-stmon-sec>

  <subsection|Algebraic starting monomials>

  The algebraic starting monomials correspond to the slopes of the Newton
  polygon in the non-differential setting. However, they can not be
  determined directly from the dominant monomials of the
  <with|mode|math|P<rsub|\<b-i\>>>, because of the introductory example
  <with|mode|math|f<rprime|'>=\<mathe\><rsup|\<mathe\><rsup|x>>> and because
  there may be some cancellation of terms in the different homogeneous parts
  during multiplicative conjugations. Instead, the algebraic starting
  monomials are determined by successive approximation:

  <\proposition>
    <label|alg-pdm>Let <with|mode|math|i\<less\>j> be such that
    <with|mode|math|P<rsub|i>\<neq\>0> and
    <with|mode|math|P<rsub|j>\<neq\>0>.

    <\enumerate-alpha>
      <item>If <with|mode|math|P> is exponential, then there exists a unique
      exponential monomial <with|mode|math|\<frak-m\>>, such that
      <with|mode|math|P<rsub|i,\<times\>\<frak-m\>>\<asymp\>P<rsub|j,\<times\>\<frak-m\>>>.

      <item>Denoting by <with|mode|math|\<frak-m\><rsub|P>> the monomial
      <with|mode|math|\<frak-m\>> in <with|font-shape|right|(<with|font-shape|italic|a>)>,
      there exists an integer <with|mode|math|k\<leqslant\>wt P>, such that
      for all <with|mode|math|l\<geqslant\>k> we have
      <with|mode|math|\<frak-m\><rsub|P\<uparrow\><rsub|l>>=\<frak-m\><rsub|P\<uparrow\><rsub|k>>\<uparrow\><rsub|l-k>>.

      <item>There exists a unique monomial <with|mode|math|\<frak-m\>>, such
      that <with|mode|math|N<rsub|(P<rsub|i>+P<rsub|j>)<rsub|\<times\>\<frak-m\>>>>
      is non-homogeneous.
    </enumerate-alpha>
  </proposition>

  <\proof>
    In (<with|font-shape|italic|a>), let <with|mode|math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>
    be a plane transbasis for the coefficients of
    <no-break><with|mode|math|P>. We prove the existence of
    <with|mode|math|\<frak-m\>> by induction over the least
    <with|mode|math|k>, such that <with|mode|math|\<frak-d\>(P<rsub|i>)/\<frak-d\>(P<rsub|j>)=\<frak-b\><rsub|1><rsup|\<alpha\><rsub|1>>*\<cdots\>*\<frak-b\><rsub|k><rsup|\<alpha\><rsub|k>>>
    for some <with|mode|math|\<alpha\><rsub|1>,\<ldots\>,\<alpha\><rsub|k>>.
    If <with|mode|math|k=0>, then we have <with|mode|math|\<frak-m\>=1>.
    Otherwise, let <with|mode|math|Q=P<rsub|\<times\>\<frak-n\>>> with
    <with|mode|math|\<frak-n\>=\<frak-b\><rsub|k><rsup|\<alpha\><rsub|k>/(j-i)>>.
    Then

    <equation*|Q<rsub|i>\<asymp\><rsub|\<frak-b\><rsub|k>>P<rsub|i>*\<frak-n\><rsup|i>\<asymp\><rsub|\<frak-b\><rsub|k>>P<rsub|j>*\<frak-n\><rsup|j>\<asymp\><rsub|\<frak-b\><rsub|k>>Q<rsub|j>,>

    so that <with|mode|math|\<frak-d\>(Q<rsub|i>)/\<frak-d\>(Q<rsub|j>)=\<frak-b\><rsub|1><rsup|\<beta\><rsub|1>>*\<cdots\>*\<frak-b\><rsub|l><rsup|\<beta\><rsub|l>>>
    for some <with|mode|math|l\<less\>k> and
    <with|mode|math|\<beta\><rsub|1>,\<ldots\>,\<beta\><rsub|l>>. By the
    induction hypothesis, there exists a exponential monomial
    <with|mode|math|\<frak-w\>>, such that
    <with|mode|math|Q<rsub|i,\<times\>\<frak-w\>>\<asymp\>Q<rsub|j,\<frak-w\>>>.
    Hence we may take <with|mode|math|\<frak-m\>=\<frak-n\>*\<frak-w\>>. As
    to the uniqueness of <with|mode|math|\<frak-m\>>, assume that
    <with|mode|math|\<frak-n\>=\<frak-m\>*\<frak-b\><rsub|1><rsup|\<alpha\><rsub|1>>*\<cdots\>*\<frak-b\><rsub|k><rsup|\<alpha\><rsub|k>>>
    with <with|mode|math|\<alpha\><rsub|k>\<neq\>0>. Then

    <equation*|P<rsub|i,\<times\>\<frak-n\>>\<asymp\><rsub|\<frak-b\><rsub|k>>P<rsub|i,\<times\>\<frak-m\>>*\<frak-b\><rsub|k><rsup|i*\<alpha\><rsub|k>>\<nasymp\><rsub|\<frak-b\><rsub|k>>P<rsub|j,\<frak-m\>>*\<frak-b\><rsub|k><rsup|j*\<alpha\><rsub|k>>\<asymp\><rsub|\<frak-b\><rsub|k>>P<rsub|j,\<times\>\<frak-n\>>.>

    This proves (<with|font-shape|italic|a>).

    The above argument also shows that <with|mode|math|\<frak-m\><rsub|P\<uparrow\>>=\<frak-m\><rsub|P>\<uparrow\>*\<mathe\><rsup|\<alpha\>*x>>
    for some <with|mode|math|\<alpha\>\<in\>\<bbb-Q\>>, since

    <\equation*>
      P<rsub|i,\<times\>\<frak-m\>>\<uparrow\>*\<mathe\><rsup|(pv
      P<rsub|i,\<times\>\<frak-m\>>)*x>\<asymp\>P<rsub|j,\<times\>\<frak-m\>>\<uparrow\>*\<mathe\><rsup|(pv
      P<rsub|j,\<times\>\<frak-m\>>)*x>.
    </equation*>

    Now, with the notations from theorem <no-break><reference|usth>, we have
    shown that <with|mode|math|wt D<rsub|P<rsub|i>\<uparrow\>>\<leqslant\>wt
    D<rsub|P<rsub|i>>> and that equality occurs if and only if
    <with|mode|math|D<rsub|P<rsub|i>>=F<rsup|i-wt
    D<rsub|P<rsub|i>>>*(F<rprime|'>)<rsup|wt D<rsub|P<rsub|i>>>>. Because of
    <no-break>(<reference|mult-conj>), we also notice that <with|mode|math|wt
    D<rsub|P<rsub|i>,\<times\>*\<mathe\><rsup|\<alpha\>*x>>=wt
    D<rsub|P<rsub|i>>> for all <with|mode|math|\<alpha\>\<in\>\<bbb-Q\>>. It
    follows that

    <equation*|wt D<rsub|P<rsub|i>,\<times\>\<frak-m\><rsub|P>>\<geqslant\>wt
    D<rsub|P<rsub|i>\<uparrow\>,\<times\>\<frak-m\><rsub|P\<uparrow\>>>\<geqslant\>\<cdots\>>

    and similarly for <with|mode|math|P<rsub|j>> instead of
    <with|mode|math|P<rsub|i>>. We finally observe that <with|mode|math|wt
    D<rsub|P<rsub|i>,\<times\>\<frak-m\><rsub|P>>=wt
    D<rsub|P<rsub|i>\<uparrow\>,\<times\>\<frak-m\><rsub|P\<uparrow\>>>> and
    <with|mode|math|wt <no-break>D<rsub|P<rsub|j>,\<times\>\<frak-m\><rsub|P>>=wt
    <no-break>D<rsub|P<rsub|j>\<uparrow\>,\<times\>\<frak-m\><rsub|P\<uparrow\>>>>
    imply that <with|mode|math|\<frak-m\><rsub|P\<uparrow\>>=\<frak-m\><rsub|P>\<uparrow\>>,
    since

    <\equation*>
      wt D<rsub|(F<rsup|\<alpha\>>*(F<rprime|'>)<rsup|\<beta\>>)<rsub|\<times\>\<mathe\><rsup|\<gamma\>x>>>=0\<neq\>\<beta\>=wt
      D<rsub|F<rsup|\<alpha\>>*(F<rprime|'>)<rsup|\<beta\>>>
    </equation*>

    whenever <with|mode|math|\<beta\>\<neq\>0> and
    <with|mode|math|\<gamma\>\<neq\>0>. Consequently, <with|mode|math|wt
    D<rsub|P<rsub|i>\<uparrow\><rsub|l>,\<times\>\<frak-m\><rsub|P\<uparrow\><rsub|l>>>>
    and <with|mode|math|wt <no-break>D<rsub|P<rsub|j>\<uparrow\><rsub|l>,\<times\>\<frak-m\><rsub|P\<uparrow\><rsub|l>>>>
    stabilize for <with|mode|math|l\<geqslant\>k> with
    <with|mode|math|k\<leqslant\>wt P>. For this <with|mode|math|k>, we have
    (<with|font-shape|italic|b>).

    With the notations from (<with|font-shape|italic|b>),
    <with|mode|math|\<frak-m\><rsub|P\<uparrow\><rsub|k>>\<downarrow\><rsub|k>>
    is actually the unique monomial <with|mode|math|\<frak-m\>> such that

    <equation*|D<rsub|(P<rsub|i>+P<rsub|j>)<rsub|\<times\>\<frak-m\>>\<uparrow\><rsub|l>>=D<rsub|P<rsub|i,\<times\>\<frak-m\>>\<uparrow\><rsub|k>>+D<rsub|P<rsub|j,\<times\>\<frak-m\>>\<uparrow\><rsub|k>>>

    is non-homogeneous for all sufficiently large <with|mode|math|l>. Now
    <with|mode|math|N<rsub|(P<rsub|i>+P<rsub|j>)<rsub|\<times\>\<frak-m\>>>=D<rsub|(P<rsub|i>+P<rsub|j>)<rsub|\<times\>\<frak-m\>>\<uparrow\><rsub|l>>>
    for sufficiently large <with|mode|math|l>. This proves
    <no-break>(<with|font-shape|italic|c>) for exponential differential
    polynomials <with|mode|math|P>, and also for general differential
    polynomials, after sufficiently many upward shiftings.
  </proof>

  The unique monomial <with|mode|math|\<frak-m\>=\<frak-e\><rsub|P,i,j>><glossary-explain|<with|mode|math|\<frak-e\><rsub|P,i,j>>|<with|mode|math|(i,j)>-equalizer
  for <with|mode|math|P>> from part (<with|font-shape|italic|c>) of the above
  proposition is called the <with|mode|math|(i,j)>-<em|equalizer><index|equalizer>
  for <with|mode|math|P>. An algebraic starting monomial is necessarily an
  equalizer. Consequently, there are only a finite number of algebraic
  starting monomials and they can be found as described in the proof of
  proposition <no-break><reference|alg-pdm>.

  <\remark>
    <label|transbasis-equilizer>From the proof of proposition
    <reference|alg-pdm>, it follows that if <with|mode|math|P> can be
    expanded <abbr|w.r.t.> a plane transbasis
    <with|mode|math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>,
    then all equalizers for <with|mode|math|P> belong to
    <with|mode|math|(log<rsub|wt P><rsup|C>
    \<frak-b\><rsub|1>)*\<cdots\>*(log<rsup|C>
    \<frak-b\><rsub|1>)*\<frak-B\><rsup|C>>.
  </remark>

  <subsection|Differential starting monomials>

  In order to find the differential starting monomials, it suffices to
  consider the homogeneous parts <with|mode|math|P<rsub|i>> of
  <with|mode|math|P>, since <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-m\>>,i>=N<rsub|P<rsub|i,\<times\>\<frak-m\>>>>,
  if <with|mode|math|F<rprime|'>\|N<rsub|P<rsub|\<times\>\<frak-m\>>>> and
  <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-m\>>,i>\<neq\>0>. Now,
  using<nbsp>(<reference|log-diff-rewr>), we may rewrite

  <\equation*>
    P<rsub|i>(f)=R<rsub|P<rsub|i>>(f<rprime|\<dag\>>)*f<rsup|i>,
  </equation*>

  where <with|mode|math|R<rsub|P<rsub|i>>> is a differential polynomial of
  order <with|mode|math|<op|\<leqslant\>> r-1> in
  <with|mode|math|f<rprime|\<dag\>>>. We call
  <with|mode|math|R<rsub|P<rsub|i>>><glossary-explain|<with|mode|math|R<rsub|P<rsub|i>>>|differential
  Riccati polynomial associated to <with|mode|math|P<rsub|i>>> the
  <em|differential Riccati polynomial><subindex|differential|Riccati
  polynomial><subindex|polynomial|differential Riccati
  <emdash>><subindex|Riccati|differential <emdash> polynomial> associated to
  <with|mode|math|P<rsub|i>>.

  For a linear differential operator <with|mode|math|L> with exponential
  coefficients, we have seen in the previous chapter that finding the
  starting terms for the equation <with|mode|math|L h=0> is equivalent to
  solving <with|mode|math|R<rsub|L>(f<rprime|\<dag\>>)=0> modulo
  <with|mode|math|o(1)>. Let us now show that finding the starting monomials
  for the equation <with|mode|math|P<rsub|i>(f)=0> is equivalent to solving
  <with|mode|math|R<rsub|P<rsub|i>>(f<rprime|\<dag\>>)=0> modulo
  <with|mode|math|o(<frac|1|x*log x*log log x*\<cdots\>>)>. In the
  exponential case, this is equivalent to solving the equation
  <with|mode|math|R<rsub|P<rsub|i>>(f<rprime|\<dag\>>)=0> modulo
  <with|mode|math|o(1)>.

  <\proposition>
    <label|diff-pdm>The monomial <with|mode|math|\<frak-m\>\<prec\>\<frak-v\>>
    is a starting monomial of <with|mode|math|f> w.r.t.

    <equation|P<rsub|i>(f)=0<label|homeq1>>

    if and only if the equation

    <equation|R<rsub|P<rsub|i>,+\<frak-m\><rprime|\<dag\>>>(f<rprime|\<dag\>>)=0<space|5spc><left|(>f<rprime|\<dag\>>\<prec\><with|math-display|false|<frac|1|x*log
    x*log log x*\<cdots\>>><right|)><label|Ricceq1>>

    has strictly positive Newton degree.
  </proposition>

  <\proof>
    We first notice that <with|mode|math|R<rsub|(P\<uparrow\>)<rsub|i>>=(R<rsub|P<rsub|i>>\<uparrow\>)<rsub|\<times\>\<mathe\><rsup|\<um\>x>>>
    for all <with|mode|math|P> and <with|mode|math|i>. We claim that the
    equivalence of the proposition holds for <with|mode|math|P> and
    <with|mode|math|\<frak-m\>> if and only if it holds for
    <with|mode|math|P\<uparrow\>> and <with|mode|math|\<frak-m\>\<uparrow\>>.
    Indeed, <with|mode|math|\<frak-m\>> is starting monomial w.r.t.<group|>
    (<reference|homeq1>), if and only if <with|mode|math|\<frak-m\>> is a
    starting monomial w.r.t.

    <equation|P<rsub|i>\<uparrow\>(f\<uparrow\>)=0<label|homeq2>>

    and (<reference|Ricceq1>) has strictly positive Newton degree if and only
    if

    <equation|R<rsub|P<rsub|i>,+\<frak-m\><rprime|\<dag\>>>\<uparrow\>(f<rprime|\<dag\>>\<uparrow\>)=0<space|5spc><left|(>f<rprime|\<dag\>>\<uparrow\>\<prec\><with|math-display|false|<frac|1|\<mathe\><rsup|x>*x*log
    x**\<cdots\>>><right|)><label|Ricceq2>>

    has strictly positive Newton degree. Now the latter is the case if and
    only if

    <equation*|(R<rsub|P<rsub|i>,+\<frak-m\><rprime|\<dag\>>>\<uparrow\>)<rsub|\<times\>\<mathe\><rsup|\<um\>x>>(f\<uparrow\><rprime|\<dag\>>)=0<space|5spc><left|(>f\<uparrow\><rprime|\<dag\>>\<prec\><with|math-display|false|<frac|1|x*log
    x**log log x*\<cdots\>>><right|)>>

    has strictly positive Newton degree. But

    <equation*|(R<rsub|P<rsub|i>,+\<frak-m\><rprime|\<dag\>>>\<uparrow\>)<rsub|\<times\>\<mathe\><rsup|\<um\>x>>=(R<rsub|P<rsub|i>>\<uparrow\>)<rsub|+\<frak-m\><rprime|\<dag\>>\<uparrow\>,\<times\>\<mathe\><rsup|\<um\>x>>=(R<rsub|P<rsub|i>>\<uparrow\>)<rsub|\<times\>\<mathe\><rsup|\<um\>x>,+\<frak-m\>\<uparrow\><rprime|\<dag\>>>=R<rsub|(P\<uparrow\>)<rsub|i>,+\<frak-m\>\<uparrow\><rprime|\<dag\>>>.>

    This proves our claim.

    Now assume that <with|mode|math|\<frak-m\>> is a starting monomial
    w.r.t.<group| (<reference|homeq1>)>. In view of our claim, we may assume
    without loss of generality that <with|mode|math|P<rsub|i,\<times\>\<frak-m\>>>
    and <with|mode|math|\<frak-m\>> are transparent. Since
    <with|mode|math|P<rsub|i>> is homogeneous, we have
    <with|mode|math|D<rsub|P<rsub|i,\<times\>\<frak-m\>>>=\<alpha\>*F<rsup|i-j>*(F<rprime|'>)<rsup|j>>
    for some <with|mode|math|\<alpha\>\<in\>C<rsup|<space|0.2spc>\<neq\>>>
    and <with|mode|math|j\<gtr\>0>, and

    <equation*|D<rsub|R<rsub|P<rsub|i>,+\<frak-m\><rprime|\<dag\>>>>=\<alpha\>*F<rsup|<space|0.2spc>j>.>

    Since <with|mode|math|R<rsub|P<rsub|i>,+\<frak-m\><rprime|\<dag\>>>> is
    exponential, it follows that <with|mode|math|N<rsub|R<rsub|P<rsub|i>,+\<frak-m\><rprime|\<dag\>>,\<times\>x<rsup|\<um\>2>>>>
    has degree <with|mode|math|j>, so that the Newton degree of
    (<reference|Ricceq1>) is at least <with|mode|math|j\<gtr\>0>. Similarly,
    if <with|mode|math|\<frak-m\>> is not a starting monomial w.r.t.<group|>
    (<reference|homeq1>), then <with|mode|math|D<rsub|P<rsub|i,\<times\>\<frak-m\>>>=\<alpha\>*F<rsup|i>>
    and

    <equation*|D<rsub|R<rsub|P<rsub|i>,+\<frak-m\><rprime|\<dag\>>>>=\<alpha\>*>

    for some <with|mode|math|\<alpha\>\<in\>C<rsup|<space|0.2spc>\<neq\>>>.
    Consequently, <with|mode|math|N<rsub|R<rsub|P<rsub|i>,+\<frak-m\><rprime|\<dag\>>,\<times\>\<frak-n\>>>=\<alpha\>>
    for any infinitesimal monomial <with|mode|math|\<frak-n\>>, and the
    Newton degree of (<reference|Ricceq1>) vanishes.
  </proof>

  <subsection|On the shape of the differential Newton
  polygon><subsubindex|Newton|polygon|differential>

  <\proposition>
    <label|diff-New-polygon>Let <with|mode|math|d> be the Newton degree of
    <with|font-shape|right|(<reference|aade>)>. Then the algebraic starting
    monomials are equalizers of the form <with|mode|math|\<frak-e\><rsub|P,i<rsub|0>,i<rsub|1>>\<prec\>\<frak-e\><rsub|P,i<rsub|1>,i<rsub|2>>\<prec\>\<cdots\>\<prec\>\<frak-e\><rsub|P,i<rsub|l-1>,i<rsub|l>>>,
    where <with|mode|math|i<rsub|0>=val P\<less\>i<rsub|1>\<less\>\<cdots\>\<less\>i<rsub|l-1>\<less\>i<rsub|l>=d>.
  </proposition>

  <\proof>
    Let us prove the proposition by induction over <with|mode|math|d-val P>.
    If <with|mode|math|d=val P>, then there is nothing to prove, so assume
    that <with|mode|math|d\<gtr\>val P>. Let <with|mode|math|i\<less\>d> be
    such that <with|mode|math|\<frak-m\>=\<frak-e\><rsub|P,i,d>> is maximal
    for <with|mode|math|<op|\<preccurlyeq\>>>. Modulo a multiplicative
    conjugation with <with|mode|math|\<frak-m\>> and upward shifting, we may
    assume without loss of generality that <with|mode|math|\<frak-m\>=1> and
    that <with|mode|math|P> is transparent.

    We claim that <with|mode|math|1> is a starting monomial for
    (<reference|aade>). Indeed, let <with|mode|math|\<frak-n\>\<in\>\<frak-V\>>
    be such that <with|mode|math|d=deg N<rsub|P<rsub|\<times\>\<frak-n\>>>>.
    By proposition <reference|Ndeg-mc-prop>(<em|c>), we already have
    <with|mode|math|1\<preccurlyeq\>\<frak-n\>\<in\>\<frak-V\>>, since
    otherwise

    <\equation*>
      d=val <no-break>N<rsub|P<rsub|\<times\>\<frak-n\>>>=val
      <no-break>N<rsub|(P<rsub|i>+P<rsub|d>)<rsub|\<times\>\<frak-n\>>>\<leqslant\>val
      <no-break>N<rsub|P<rsub|i>+P<rsub|d>>=i.
    </equation*>

    Now assume for contradiction that <with|mode|math|1> is not a starting
    monomial for <no-break>(<reference|aade>), so that
    <with|mode|math|P\<succ\>P<rsub|i>\<asymp\>P<rsub|d>>, and let
    <no-break><with|mode|math|j> be such that
    <with|mode|math|P\<asymp\>P<rsub|j>>. We must have
    <with|mode|math|j\<less\>d>, since proposition
    <reference|Ndeg-mc-prop>(<em|c>) implies

    <\equation*>
      deg N<rsub|P>\<leqslant\>deg N<rsub|P<rsub|\<times\>\<frak-n\>>>=d.
    </equation*>

    Now consider the equalizer <with|mode|math|\<frak-v\>=\<frak-e\><rsub|P,j,d>\<preccurlyeq\>1>.
    After sufficiently many upward shiftings, we may assume without loss of
    generality that <with|mode|math|P<rsub|\<times\>\<frak-v\>>> and
    <with|mode|math|\<frak-v\>> are transparent. But then

    <\equation*>
      P<rsub|\<times\>\<frak-v\>,j><space|0.6spc>\<asymp\><rsub|\<frak-v\>><space|0.6spc>\<frak-v\><rsup|j>*P<rsub|j><space|0.6spc>\<succ\><rsub|\<frak-v\>><space|0.6spc>\<frak-v\><rsup|d>*P<rsub|d><space|0.6spc>\<asymp\><rsub|\<frak-v\>><space|0.6spc>P<rsub|\<times\>\<frak-v\>,d>,
    </equation*>

    which contradicts the fact that <with|mode|math|P<rsub|\<times\>\<frak-v\>,j>\<asymp\>P<rsub|\<times\>\<frak-v\>,d>>.

    Having proved our claim, let <with|mode|math|k=val N<rsub|P>> and
    <with|mode|math|N<rsub|P>=Q*(F<rprime|'>)<rsup|\<nu\>>>. Since
    <with|mode|math|P> is exponential, we have
    <with|mode|math|P=N<rsub|P>+o<rsub|\<mathe\><rsup|x>>(1)>, whence

    <\equation*>
      P<rsub|\<times\>x<rsup|\<um\>1>>\<uparrow\>\<uparrow\>=((\<um\>1)<rsup|\<nu\>>*Q<rsub|k-\<nu\>>*+o<rsub|\<mathe\><rsup|x>>(1))*F<rsup|k>*\<mathe\><rsup|\<um\>(k+\<nu\>)*\<mathe\><rsup|x>>.
    </equation*>

    In other words, <with|mode|math|N<rsub|P<rsub|\<times\>x<rsup|\<um\>1>>>=(\<um\>1)<rsup|\<nu\>>*Q<rsub|k-\<nu\>>*F<rsup|k>>.
    It follows that the equation

    <\equation*>
      P(f)=0<space|2fn>(f\<prec\>1)
    </equation*>

    has Newton degree <with|mode|math|k>. We conclude by applying the
    induction hypothesis to this equation.
  </proof>

  <\proposition>
    Assume that <with|mode|math|\<frak-m\>> is a non-algebraic starting
    monomial for <with|font-shape|right|(<reference|aade>)>. Then, with the
    notations from proposition <reference|diff-New-polygon>, there exists a
    unique <with|mode|math|p\<in\>{0,\<ldots\>,<no-break>l}> such that
    <with|mode|math|val N<rsub|P<rsub|\<times\>\<frak-m\>>>=deg
    N<rsub|P<rsub|\<times\>\<frak-m\>>>=i<rsub|p>>. Moreover,
    <with|mode|math|p\<gtr\>0\<Rightarrow\>\<frak-e\><rsub|P,i<rsub|p-1>,i<rsub|p>>\<prec\>\<frak-m\>>
    and <with|mode|math|p\<less\>l\<Rightarrow\>\<frak-m\>\<prec\>\<frak-e\><rsub|P,i<rsub|p>,i<rsub|p+1>>>.
  </proposition>

  <\proof>
    By proposition <reference|Ndeg-mc-prop>(<em|c>),

    <\equation*>
      p=min {q:\<frak-m\>\<prec\>\<frak-e\><rsub|P,i<rsub|q>,i<rsub|q+1>>\<vee\>q=l}=max
      {q:\<frak-e\><rsub|P,i<rsub|q-1>,i<rsub|q>>\<prec\>\<frak-m\>\<vee\>q=0}
    </equation*>

    fulfills the requirements.
  </proof>

  <\exercise>
    Compute the starting terms for

    <\equation*>
      \<mathe\><rsup|\<um\>\<mathe\><rsup|x>>*f<rsup|3>+f<rprime|''>*f-(f<rprime|'>)<rsup|2>+x<rsup|4>*\<mathe\><rsup|\<um\>3*x>*f<rprime|'''>+\<mathe\><rsup|\<um\>\<mathe\><rsup|x>>=0.
    </equation*>
  </exercise>

  <\exercise>
    Let <with|mode|math|P\<in\>\<bbb-E\>{F}<rsup|\<neq\>>> be a differential
    polynomial with exponential coefficients and assume that
    <with|mode|math|x<rsup|\<alpha\><rsub|0>>*\<cdots\>*log<rsub|l><rsup|\<alpha\><rsub|l>>
    x> with <with|mode|math|\<alpha\><rsub|l>\<neq\>0> is a starting monomial
    for <with|mode|math|P(f)=0>. Then prove that
    <with|mode|math|l\<leqslant\>wt P>. Hint: if <with|mode|math|P> is
    homogeneous, then show that

    <equation*|wt D<rsub|P>\<gtr\>wt D<rsub|P<rsub|\<times\>x<rsup|\<alpha\><rsub|0>>>\<uparrow\>>\<gtr\>\<cdots\>\<gtr\>wt
    D<rsub|P<rsub|\<times\>x<rsup|\<alpha\><rsub|0>>*\<cdots\>*log<rsub|l><rsup|\<alpha\><rsub|l>>
    x>\<uparrow\><rsub|l>>.>
  </exercise>

  <\exercise>
    Let <with|mode|math|K> be a differential field and
    <with|mode|math|f\<in\>K>, <with|mode|math|P\<in\>K{F}>. If
    <with|mode|math|P(f)=0>, then show that there exists a homogeneous
    <with|mode|math|H\<in\>K{F}> of degree <with|mode|math|<op|\<leqslant\>>
    wt P+deg P>, such that <with|mode|math|H(\<mathe\><rsup|<big|int>f<big|.>>)=0>.
  </exercise>

  <\exercise>
    Prove that there are exactly <with|mode|math|d-val P> algebraic starting
    terms in <with|mode|math|C<rsup|alg>*\<frak-T\>> for an equation
    (<reference|aade>) of Newton degree <with|mode|math|d>.
  </exercise>

  <\exercise>
    Let <with|mode|math|\<bbb-T\>{F}<rsub|d>> denote the space of homogeneous
    <with|mode|math|P\<in\>\<bbb-T\>{F}> of degree <with|mode|math|d>. Given
    <with|mode|math|P\<in\>\<bbb-T\>{F}<rsub|2>>, let
    <with|mode|math|\<varphi\>(P)\<in\>\<bbb-T\>[F,F<rprime|\<dag\>>]> be the
    result of substituting <with|mode|math|F<rprime|\<dag\>\<dag\>>=F<rprime|\<dag\>\<dag\>\<dag\>>=\<cdots\>=0>
    in the logarithmic decomposition of <with|mode|math|R<rsub|P>>.

    <\enumerate-alpha>
      <item>Show that <with|mode|math|\<varphi\>(P)\<in\>\<bbb-T\>[F,F<rprime|'>]>,
      when rewriting <with|mode|math|F<rprime|\<dag\>>=F<rprime|'>/F>.

      <item>Show that <with|mode|math|\<varphi\>:\<bbb-T\>{F}<rsub|2>\<rightarrow\>\<bbb-T\>[F,F<rprime|'>]>
      is an isomorphism.

      <item>What about higher degrees?
    </enumerate-alpha>
  </exercise>

  <section|Quasi-linear equations><label|ql-sec>

  <subsection|Distinguished solutions>

  The equation (<reference|aade>) is said to be
  <em|quasi-linear><bi-index|quasi-linear|equation> if its Newton degree is
  one. A solution <with|mode|math|f> to a quasi-linear equation is said to be
  <em|distinguished><bi-index|distinguished|solution> if we have
  <with|mode|math|f<rsub|\<frak-d\>(<wide|f|~>-f)>=0> for all other solutions
  <with|mode|math|<wide|f|~>> to (<reference|aade>). Distinguished solutions
  are unique: if <with|mode|math|f> and <with|mode|math|<wide|f|~>> are
  distinct distinguished solutions, then we would have
  <with|mode|math|f<rsub|\<frak-d\>(<wide|f|~>-f)>=<wide|f|~><rsub|\<frak-d\>(f-<wide|f|~>)>=0>,
  whence <with|mode|math|(f-<wide|f|~>)<rsub|\<frak-d\>(f-<wide|f|~>)>=0>,
  which is absurd.

  <\lemma>
    <label|ql-lem>Assume that the equation
    <with|font-shape|right|(<reference|aade>)> is quasi-linear and that the
    coefficients of <with|mode|math|P> can be expanded <abbr|w.r.t.> a plane
    transbasis <with|mode|math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>.
    Assume also that <with|mode|math|P\<asymp\>1>,
    <with|mode|math|P<rsub|0>\<prec\><rsub|\<frak-b\><rsub|n>>1>, and let

    <\equation*>
      \<frak-I\>={\<frak-m\>\<in\>(log \<frak-b\><rsub|1>)<rsup|\<bbb-N\>>*\<frak-B\><rsup|C>:\<frak-m\>\<prec\><rsub|\<frak-b\><rsub|n>>1}.
    </equation*>

    Then, considering <with|mode|math|L=\<um\>P<rsub|1,\<asymp\><rsub|\<frak-b\><rsub|n>>1>>
    and <with|mode|math|R=P-P<rsub|0>+L> as operators on
    <with|mode|math|C<gb|\<frak-I\>>>, the equation
    <no-break><with|font-shape|right|(<reference|aade>)> admits a
    distinguished solution <with|mode|math|f> given by

    <\equation>
      <label|nl-dist-sol>f=L<rsup|\<um\>1>
      (Id-R*L<rsup|\<um\>1>)<rsup|\<um\>1> P<rsub|0>.
    </equation>
  </lemma>

  <\proof>
    Since <with|mode|math|C[x]<gb|\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n-1>>*\<frak-b\><rsub|n><rsup|\<alpha\>>>
    is stable under <with|mode|math|L> and <with|mode|math|L<rsup|\<um\>1>>
    for each <with|mode|math|\<alpha\>\<in\><no-break>C>, the operator
    <with|mode|math|R*L<rsup|\<um\>1>> is strictly extensive on
    <with|mode|math|C<gb|\<frak-I\>>> and <with|mode|math|supp R
    L<rsup|\<um\>1>> is grid-based. By theorem <reference|grop-ifth-3>, the
    operator <with|mode|math|Id-R*L<rsup|\<um\>1>> therefore admits an
    inverse

    <equation*|(Id-R*L<rsup|\<um\>1>)<rsup|\<um\>1>=Id+R*L+(R*L<rsup|\<um\>1>)<rsup|2>+\<cdots\>.>

    This shows that <with|mode|math|f> is well-defined. In order to show that
    <with|mode|math|f> is the distinguished solution, assume that
    <with|mode|math|<wide|f|~>> is another solution and let
    <with|mode|math|\<frak-d\>=\<frak-d\><rsub|<wide|f|^>-f>>. If
    <with|mode|math|\<frak-d\>\<asymp\><rsub|\<frak-b\><rsub|n>>1>, then we
    clearly have <with|mode|math|f<rsub|\<frak-d\>>=0>, since
    <with|mode|math|f\<prec\><rsub|\<frak-b\><rsub|n>>1>. If
    <with|mode|math|\<frak-d\>\<prec\><rsub|\<frak-b\><rsub|n>>1>, then let

    <equation*|\<delta\>=<big|sum><rsub|\<frak-m\>\<asymp\><rsub|\<frak-b\><rsub|n>>\<frak-d\>>(<wide|f|~>-f)<rsub|\<frak-m\>>*\<frak-m\>.>

    Since <with|mode|math|P(<wide|f|~>)-P(f)=0>, we have <with|mode|math|L
    \<delta\>=0>, so that <with|mode|math|\<frak-d\>=\<frak-d\><rsub|\<delta\>>>
    is the dominant monomial of a solution to the equation <with|mode|math|L
    h=0>. Hence <with|mode|math|f<rsub|\<frak-d\>>=0>, since
    <with|mode|math|f\<in\>im L<rsup|\<um\>1>>.
  </proof>

  <\lemma>
    <label|ql-lem-2>Consider a quasi-linear equation
    <with|font-shape|right|(<reference|aade>)> whose coefficients can be
    expanded <abbr|w.r.t.> a plane transbasis
    <with|mode|math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>.
    Assume that <with|mode|math|P\<asymp\>P<rsub|0>\<asymp\>P<rsub|1>> and
    <with|mode|math|N<rsub|P>=D<rsub|P>>. Then
    <with|font-shape|right|(<reference|aade>)> admits a distinguished
    solution <with|mode|math|f\<in\>C<gb|log<rsub|n-1>
    <no-break>x;\<ldots\>;x;\<frak-b\><rsub|1>;\<ldots\>;<no-break>\<frak-b\><rsub|n>>>.
  </lemma>

  <\proof>
    Modulo division of the equation by <with|mode|math|\<frak-d\><rsub|P>>,
    we may assume without loss of generality that
    <with|mode|math|P\<asymp\>1>. We prove the result by induction over
    <with|mode|math|n>. If <with|mode|math|n=0>, then
    <with|mode|math|P=D<rsub|P>=N<rsub|P>=\<alpha\>*+\<beta\>*F> for some
    <with|mode|math|\<alpha\>\<in\>C> and
    <with|mode|math|\<beta\>\<in\>C<rsup|\<neq\>>>. Hence
    <with|mode|math|f=\<um\><frac|\<beta\>|\<alpha\>>> is the distinguished
    solution to <with|mode|math|P(f)=0>. Assume now that
    <with|mode|math|n\<gtr\>0>. By the induction hypothesis, there exists a
    distinguished solution to the quasi-linear equation

    <equation|P<rsub|\<asymp\><rsub|\<frak-b\><rsub|n>>1>(\<varphi\>)=0<space|5spc>(\<varphi\>\<prec\>C<gb|\<frak-V\>>)<label|qldom>>

    with <with|mode|math|\<varphi\>\<in\>C<gb|log<rsub|n-2>
    x;\<ldots\>;x;\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n-1>>>. By
    lemma <reference|ql-lem>, the equation

    <\equation*>
      P<rsub|+\<varphi\>>\<uparrow\><rsub|n-1>(\<psi\>)=0<space|1fn>(\<psi\>\<prec\>C<gb|\<frak-V\>>\<uparrow\><rsub|n-1>)
    </equation*>

    admits a distinguished solution <with|mode|math|\<psi\>\<in\>C[x]<gb|exp
    x,\<ldots\>,exp<rsub|n-2> x;\<frak-b\><rsub|1>\<uparrow\><rsub|n-1>;\<ldots\>;\<frak-b\><rsub|n>\<uparrow\><rsub|n-1>>>
    with <with|mode|math|\<psi\>\<prec\><rsub|\<frak-b\><rsub|n>>1>. Then the
    distinguished properties of <with|mode|math|\<varphi\>> and
    <no-break><with|mode|math|\<psi\>> imply that
    <with|mode|math|f=\<varphi\>+\<psi\>\<downarrow\><rsub|n-1>> is the
    distinguished solution to <with|font-shape|right|(<reference|aade>)>.
  </proof>

  <\theorem>
    <label|qlth>Assume that the equation <with|font-shape|right|(<reference|aade>)>
    is quasi-linear. Then it admits a distinguished transseries solution
    <with|mode|math|f>. Moreover, if the coefficients of <with|mode|math|P>
    can be expanded <abbr|w.r.t.> a plane transbasis
    <with|mode|math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>,
    then <with|mode|math|f\<in\>C<gb|log<rsub|n>
    x;\<ldots\>;x;\<frak-b\><rsub|1>;\<ldots\>;<no-break>\<frak-b\><rsub|n>>>.
  </theorem>

  <\proof>
    If <with|mode|math|P<rsub|0>=0>, then <with|mode|math|0> is the trivial
    distinguished solution of (<reference|aade>). Assume therefore that
    <with|mode|math|P<rsub|0>\<neq\>0>. Modulo some upward shiftings we may
    assume without loss of generality that the coefficients of
    <with|mode|math|P> and the transbasis <with|mode|math|\<frak-B\>> are
    exponential. Modulo a multiplicative conjugation and using proposition
    <reference|alg-pdm>(<em|a>), we may also assume that
    <with|mode|math|P<rsub|0>\<asymp\>P<rsub|1>>. Now consider the
    <with|mode|math|(0,1)>-equalizer <with|mode|math|\<frak-e\>=\<frak-e\><rsub|P,0,1>>
    for <with|mode|math|P>, which is also the only algebraic starting
    monomial. If <with|mode|math|D<rsub|P<rsub|0>+P<rsub|1>>=\<alpha\>+\<beta\><rsub|\<nu\>>*F<rsup|(\<nu\>)>+\<cdots\>+\<beta\><rsub|l>*F<rsup|(l)>>
    with <with|mode|math|\<beta\><rsub|\<nu\>>\<neq\>0>, then
    <with|mode|math|\<frak-e\>=x<rsup|\<nu\>>> and
    <with|mode|math|D<rsub|P\<uparrow\><rsub|\<times\>\<frak-e\>\<uparrow\>>>=\<alpha\>+\<beta\><rsub|\<nu\>>*\<nu\><rsup|\<nu\>>*F>.
    In other words, after one more upward shifting and a multiplicative
    conjugation with <with|mode|math|\<frak-e\>\<uparrow\>>, we may also
    assume that <with|mode|math|N<rsub|P>=D<rsub|P>>. We conclude by lemma
    <reference|ql-lem-2>.
  </proof>

  <subsection|General solutions>

  <\lemma>
    Consider a quasi-linear equation <with|font-shape|right|(<reference|aade>)>
    with exponential coefficients and a solution <with|mode|math|f> which is
    not exponential. Let <with|mode|math|\<frak-l\>> be the largest monomial
    in <with|mode|math|supp f> which is not exponential. Then
    <with|mode|math|\<frak-l\>=x<rsup|k>*\<frak-l\><rsup|\<sharp\>>> for some
    <with|mode|math|k\<in\>\<bbb-N\>> and an exponential monomial
    <with|mode|math|\<frak-l\><rsup|\<sharp\>>\<in\>\<frak-H\><rsub|P<rsub|+f,1>>>.
  </lemma>

  <\proof>
    Consider the exponential transseries <with|mode|math|\<varphi\>=<big|sum><rsub|\<frak-m\>\<succ\>\<frak-l\>>f<rsub|\<frak-m\>>*\<frak-m\>>.
    Then

    <\equation*>
      P<rsub|+\<varphi\>>(<wide|f|~>)=0<space|1fn>(<wide|f|~>\<in\>C<gb|\<frak-V\>>)
    </equation*>

    admits <with|mode|math|<wide|f|~>=f-\<varphi\>> as a solution, so it is
    quasi-linear and <with|mode|math|\<frak-l\>> is a starting monomial.
    Consequently, <with|mode|math|\<frak-l\>> is also a starting monomial for
    the equation <with|mode|math|L <wide|f|~>=\<um\>P<rsub|+\<varphi\>,0>>,
    where <with|mode|math|L=P<rsub|+\<varphi\>,1>>. It follows that
    <with|mode|math|\<frak-l\>=x<rsup|k>*\<frak-l\><rsup|\<sharp\>>> for some
    exponential monomial <with|mode|math|\<frak-l\><rsup|\<sharp\>>\<in\>\<frak-H\><rsub|L>>.

    Let us show that <with|mode|math|\<frak-l\><rsup|\<sharp\>>\<in\>\<frak-H\><rsub|<wide|L|~>>>,
    where <with|mode|math|<wide|L|~>=P<rsub|+f,1>>. Modulo an additive
    conjugation with<nbsp><with|mode|math|\<varphi\>>, a multiplicative
    conjugation with <with|mode|math|\<frak-l\><rsup|\<sharp\>>>, and
    division of the equation by <no-break><with|mode|math|\<frak-d\><rsub|P>>,
    we may assume without loss of generality that
    <with|mode|math|\<varphi\>=0>, <with|mode|math|\<frak-l\><rsup|\<sharp\>>=1>
    and <with|mode|math|P\<asymp\>1>. Since the equation
    <with|mode|math|P\<uparrow\><rsub|\<times\>\<mathe\><rsup|k*x>>(<wide|f|~>)
    <space|1.2spc>(<wide|f|~>\<preccurlyeq\>1)> is quasi-linear, we have

    <\equation*>
      P\<uparrow\><rsub|\<times\>\<mathe\><rsup|k*x>>=P<rsub|0>\<uparrow\>+L<rsub|k>\<uparrow\>*\<partial\><rsup|k>\<uparrow\><rsub|\<times\>\<mathe\><rsup|k*x>>+o<rsub|\<mathe\><rsup|x>>(1).
    </equation*>

    It follows that

    <\equation*>
      P<rsub|+f>\<uparrow\><rsub|\<times\>\<mathe\><rsup|k*x>>=P\<uparrow\><rsub|\<times\>\<mathe\><rsup|k*x>,+f\<uparrow\>*\<mathe\><rsup|k*x>>=L<rsub|k>\<uparrow\>*\<partial\><rsup|k>\<uparrow\><rsub|\<times\>\<mathe\><rsup|k*x>>+o<rsub|\<mathe\><rsup|x>>(1),
    </equation*>

    whence

    <\equation*>
      P<rsub|+f>\<uparrow\>=\<partial\><rsup|k>\<uparrow\>+o<rsub|\<mathe\><rsup|x>>(\<mathe\><rsup|\<um\>k*x>).
    </equation*>

    In other words, <with|mode|math|1> is a starting monomial for the
    equation <with|mode|math|(<wide|L|~>\<uparrow\>)(h)=0>. We conclude that
    <with|mode|math|1\<in\>\<frak-H\><rsub|<wide|L|~>\<uparrow\>>> and
    <with|mode|math|1\<in\>\<frak-H\><rsub|<wide|L|~>>>.
  </proof>

  <\theorem>
    <label|ql-depth-th>Let <with|mode|math|f> be a solution to a quasi-linear
    equation <with|font-shape|right|(<reference|aade>)>. If the depths of the
    coefficients of <no-break><with|mode|math|P> are bounded by
    <with|mode|math|d>, then the depth of <with|mode|math|f> is bounded by
    <with|mode|math|d+r>.
  </theorem>

  <\proof>
    For each <with|mode|math|i>, such that the depth of <with|mode|math|f> is
    <with|mode|math|<op|\<gtr\>> d+i>, let
    <with|mode|math|\<frak-l\><rsub|i>> be the minimal element in the support
    of <with|mode|math|f> of depth <with|mode|math|<op|\<gtr\>> d+i>. By the
    previous lemma, we have <with|mode|math|\<frak-l\><rsub|i>\<uparrow\><rsub|d+i>\<in\>\<frak-H\><rsub|P<rsub|+f,1>\<uparrow\><rsub|d+i>>>,
    whence <with|mode|math|\<frak-l\><rsub|i>\<in\>\<frak-H\><rsub|P<rsub|+f,1>>>.
    Therefore, <with|mode|math|\<frak-l\><rsub|i>\<uparrow\><rsub|d+i>\<in\>x<rsup|\<bbb-N\>>*\<frak-E\>>,
    where <with|mode|math|\<frak-E\>><glossary-explain|<with|mode|math|\<frak-E\>>|set
    of exponential transmonomials> denotes the set of exponential
    transmonomials. The result now follows from the fact that
    <with|mode|math|card \<frak-H\><rsub|P<rsub|+f,1>>=dim
    H<rsub|P<rsub|+f,1>>\<leqslant\>r>.
  </proof>

  <\corollary>
    <label|dist-sol-cor>If the coefficients of <no-break><with|mode|math|P>
    can be expanded <abbr|w.r.t.> a plane transbasis
    <with|mode|math|(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>, then
    the distinguished solution to <with|font-shape|right|(<reference|aade>)>
    belongs to <with|mode|math|C<gb|log<rsub|r-1>
    x;\<ldots\>;x;\<frak-b\><rsub|1>;\<ldots\>;<no-break>\<frak-b\><rsub|n>>>.
  </corollary>

  <\theorem>
    <label|qlin-gen-sol-th>Let <with|mode|math|f> be a solution to a
    quasi-linear equation <with|font-shape|right|(<reference|aade>)>. Then
    <with|mode|math|f> may be written in a unique way as

    <\equation*>
      f=f<rsup|\<ast\>>+h<rsub|1>+\<cdots\>+h<rsub|s>,
    </equation*>

    where <with|mode|math|f<rsup|\<ast\>>> is the distinguished solution to
    <with|font-shape|right|(<reference|aade>)>,
    <with|mode|math|s\<leqslant\>r>, and <with|mode|math|h<rsub|1>\<succ\>\<ldots\>\<succ\>h<rsub|s>\<in\>\<bbb-T\><rsup|\<neq\>>>
    are such that each <with|mode|math|h<rsub|i>-\<tau\>(h<rsub|i>)> is the
    distinguished solution to the equation

    <\equation*>
      P<rsub|+f<rsup|\<ast\>>+h<rsub|1>+\<cdots\>+h<rsub|i-1>+\<tau\>(h<rsub|i>)>(\<varphi\>)=0<space|1fn>(\<varphi\>\<prec\>C<gb|\<frak-V\>>).
    </equation*>
  </theorem>

  <\proof>
    Consider the sequence <with|mode|math|h<rsub|1>,h<rsub|2>,\<ldots\>> with
    <with|mode|math|h<rsub|i>=\<tau\><rsub|i>+\<delta\><rsub|i>> for all
    <with|mode|math|i>, where <with|mode|math|\<tau\><rsub|i>=\<tau\>(f-h<rsub|1>-\<cdots\>-h<rsub|i-1>)>
    and <with|mode|math|\<delta\><rsub|i>> is the distinguished solution to

    <\equation*>
      P<rsub|+f<rsup|\<ast\>>+h<rsub|1>+\<cdots\>+h<rsub|i-1>+\<tau\><rsub|i>>(\<varphi\>)=0<space|1fn>(\<varphi\>\<prec\>C<gb|\<frak-V\>>).
    </equation*>

    Since the equation

    <\equation*>
      P<rsub|+f<rsup|\<ast\>>+h<rsub|1>+\<cdots\>+h<rsub|i-1>+\<tau\><rsub|i>>(\<varphi\>)=0<space|1fn>(\<varphi\>\<prec\>\<tau\><rsub|i>)
    </equation*>

    is quasi-linear (it admits <with|mode|math|f-h<rsub|1>-\<cdots\>-h<rsub|i-1>-\<tau\><rsub|i>>
    as a solution), <with|mode|math|\<delta\><rsub|i>> is also the
    distinguished solution to this latter equation, whence
    <with|mode|math|\<delta\><rsub|i>\<prec\>\<tau\><rsub|i>>. By induction,
    it follows that <with|mode|math|h<rsub|1>\<succ\>h<rsub|2>\<succ\>\<cdots\>>.

    Let us now prove that the sequence <with|mode|math|h<rsub|1>,h<rsub|2>,\<ldots\>>
    has length at most <with|mode|math|r.> Assume the contrary and consider
    <with|mode|math|<wide|P|~>=P<rsub|+f<rsup|\<ast\>>+h<rsub|1>+\<cdots\>+h<rsub|r+1>>>.
    Then

    <\equation*>
      <wide|P|~>(\<um\>h<rsub|i>-\<cdots\>-h<rsub|r+1>)=0
    </equation*>

    for all <with|mode|math|i\<in\>{1,\<ldots\>,r+1}>, so
    <with|mode|math|\<frak-d\><rsub|h<rsub|1>>,\<ldots\>,\<frak-d\><rsub|h<rsub|r+1>>>
    are starting monomials for

    <\equation*>
      <wide|P|~>(<wide|f|~>)=0<space|1fn>(<wide|f|~>\<prec\>C<gb|\<frak-V\>>).
    </equation*>

    Since this equation is quasi-linear and
    <with|mode|math|<wide|P|~><rsub|0>=0>, it follows that
    <with|mode|math|\<frak-d\><rsub|h<rsub|1>>,\<ldots\>,\<frak-d\><rsub|h<rsub|r+1>>>
    are also starting monomials for the linear differential equation

    <\equation*>
      <wide|L|~> <wide|f|~>=<wide|P|~><rsub|1>(<wide|f|~>)=0.
    </equation*>

    In other words, <with|mode|math|{\<frak-d\><rsub|h<rsub|1>>,\<ldots\>,\<frak-d\><rsub|h<rsub|r+1>>}\<subseteq\>\<frak-H\><rsub|<wide|L|~>>>.
    But then <with|mode|math|r+1\<leqslant\>card
    \<frak-H\><rsub|<wide|L|~>>=dim H<rsub|<wide|L|~>>\<leqslant\>r>.
  </proof>

  <\exercise>
    If <with|mode|math|f> is the distinguished solution to a quasi-linear
    equation (<reference|aade>) and <with|mode|math|\<varphi\>\<trianglelefteqslant\>f>
    a truncation of <with|mode|math|f>, then show that
    <with|mode|math|<wide|f|~>=f-\<varphi\>> is the distinguished solution to

    <\equation*>
      P<rsub|+\<varphi\>>(<wide|f|~>)=0<space|1fn>(<wide|f|~>\<in\>C<gb|\<frak-V\>>).
    </equation*>
  </exercise>

  <\exercise>
    Assume that (<reference|aade>) is quasi-linear, with distinguished
    solution <with|mode|math|f>. Show that the equation
    <with|mode|math|P<rsub|\<times\>\<frak-m\>>(g)=0<space|1.2spc>(g\<in\>\<frak-m\><rsup|\<um\>1>*\<frak-V\>)>
    is also quasi-linear, with distinguished solution
    <with|mode|math|g=\<frak-m\><rsup|\<um\>1>*f>. And if
    <with|mode|math|\<frak-m\>> is replaced by a transseries?
  </exercise>

  <\exercise>
    Show that <with|mode|math|f\<in\>C<gb|log<rsub|expo(\<frak-b\><rsub|n>)-1>
    x;\<ldots\>;x;\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>> in
    theorem <no-break><reference|qlth>.
  </exercise>

  <\exercise>
    Show that the dependence of <with|mode|math|f> on
    <with|mode|math|log<rsub|d+r-1> x> is polynomial in theorem
    <reference|ql-depth-th>.
  </exercise>

  <\exercise>
    Give an example of a quasi-linear equation
    <with|font-shape|right|(<reference|aade>)> such that the set

    <\equation*>
      {\<frak-d\><rsub|g-f>:P(f)=P(g)=0\<wedge\>f,g\<in\>C<gb|\<frak-V\>>\<wedge\>g\<neq\>f}
    </equation*>

    is infinite.
  </exercise>

  <\exercise>
    Can you give an example for which <with|mode|math|f\<in\>C<gb|log<rsub|r-1>
    x;\<ldots\>;x;\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>> in
    corollary<nbsp><reference|dist-sol-cor>, but not
    <with|mode|math|f\<in\>C<gb|log<rsub|r-2>
    x;\<ldots\>;x;\<frak-b\><rsub|1>;\<ldots\>;\<frak-b\><rsub|n>>>?
  </exercise>

  <section|Unravelling almost multiple solutions>

  <label|unravel-sec>As pointed out in the introduction, ``unravelling''
  almost multiple solutions is a more difficult task than in the algebraic
  setting. As our ultimate goal, a <em|total
  unravelling><subindex|unravelling|total> is a refinement

  <\equation>
    <label|unrav>f=\<varphi\>+<wide|f|~><space|2fn>(<wide|f|~>\<prec\><wide|\<frak-v\>|~>),
  </equation>

  such that <with|mode|math|deg<rsub|\<preccurlyeq\><wide|\<frak-v\>|~>> P=d>
  and <with|mode|math|deg<rsub|\<prec\><wide|\<frak-v\>|~>> P\<less\>d>.
  Unfortunately, total unravellings can not be read off immediately from the
  equation or its derivatives. Nevertheless, we will show how to
  ``approximate'' total unravellings by so called partial unravellings which
  are constructed by repeatedly solving suitable quasi-linear equations.

  <subsection|Partial unravellings>

  <label|partial-unravel-sec>In order to effectively construct a total
  unravelling, consider a starting monomial
  <no-break><with|mode|math|\<frak-m\>> such that
  <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-m\>>>> admits a root of
  multiplicity <with|mode|math|d>. Assume that
  <with|mode|math|l\<in\>\<bbb-Z\>> is sufficiently large so that
  <with|mode|math|P<rsub|\<times\>\<frak-m\>>> is exponential and

  <\equation*>
    N<rsub|P<rsub|\<times\>\<frak-m\>>\<uparrow\><rsub|l>>=D<rsub|P<rsub|\<times\>\<frak-m\>\<uparrow\><rsub|l>>>=a*(F-c)<rsup|d-k>*(F<rprime|'>)<rsup|k>
  </equation*>

  for some <with|mode|math|a,c\<in\>C<rsup|\<neq\>>> and <with|mode|math|k>.
  Let

  <\equation>
    <label|Qdef>Q=<choice|<tformat|<table|<row|<cell|<left|(><frac|\<partial\><rsup|<space|0.2spc>d-1>
    P<rsub|\<times\>\<frak-m\>>\<uparrow\><rsub|l>|(\<partial\>
    F)<rsup|<space|0.2spc>d-1-k>*(\<partial\>
    F<rprime|'>)<rsup|k>*><right|)><rsub|\<times\>\<frak-m\><rsup|\<um\>1>><group|\<longdownarrow\>><rsub|l>>|<cell|<with|mode|text|if
    >k\<less\>d>>|<row|<cell|<left|(><frac|\<partial\><rsup|<space|0.2spc>d-1>
    P<rsub|\<times\>\<frak-m\>>\<uparrow\><rsub|l>|(\<partial\>
    F<rprime|'>)<rsup|<space|0.2spc>d-1>><right|)><rsub|\<times\>\<frak-m\><rsup|\<um\>1>><group|\<longdownarrow\>><rsub|l>>|<cell|<with|mode|text|if
    >k=d>>>>>
  </equation>

  and consider a refinement (<reference|refine>) such that

  <\description>
    <item*|AU1>The Newton degree of (<reference|aade2>) equals
    <with|mode|math|d>.

    <item*|AU2><with|mode|math|Q(\<varphi\>)=0> and
    <with|mode|math|\<frak-d\><rsub|\<varphi\>>=\<frak-m\>>.

    <item*|AU3>We have <with|mode|math|<wide|\<frak-V\>|~>={\<frak-m\>\<in\>\<frak-T\>:\<frak-m\>\<prec\>\<frak-h\>}>
    for some starting monomial for

    <\equation*>
      <wide|Q|~>(h)=Q<rsub|+\<varphi\>>(h)=0<space|2fn>(h\<in\>C<gb|\<frak-V\>>).
    </equation*>
  </description>

  Then we call (<reference|refine>) an <em|atomic
  unravelling><bi-index|atomic|unravelling>.

  <\proposition>
    <label|finest-atomic-unrav>Let <with|mode|math|<value|rsS>> be a set of
    atomic unravellings for <with|font-shape|right|(<reference|aade>)>. Then
    <with|mode|math|<value|rsS>> admits a finest element.
  </proposition>

  <\proof>
    Assume for contradiction that there exists an infinite sequence

    <\equation*>
      <tabular*|<tformat|<cwith|1|-1|3|3|cell-halign|l>|<table|<row|<cell|f>|<cell|=>|<cell|\<varphi\><rsub|0>+f<rsub|1>>|<cell|<space|2fn>>|<cell|(f<rsub|1>\<prec\>\<frak-v\><rsub|1>)>>|<row|<cell|f>|<cell|=>|<cell|\<varphi\><rsub|0>+\<varphi\><rsub|1>+f<rsub|2>>|<cell|>|<cell|(f<rsub|2>\<prec\>\<frak-v\><rsub|2>)>>|<row|<cell|>|<cell|\<vdots\>>|<cell|>|<cell|>|<cell|>>>>>
    </equation*>

    of finer and finer atomic unravellings in <with|mode|math|<value|rsS>>,
    so that <with|mode|math|\<varphi\><rsub|i>\<prec\>\<frak-v\><rsub|i>\<preccurlyeq\>\<varphi\><rsub|i-1>>
    for all <with|mode|math|i\<gtr\>0>. Setting
    <with|mode|math|\<psi\>=\<varphi\><rsub|0>+\<cdots\>+\<varphi\><rsub|r+1>>,
    it follows that <with|mode|math|Q<rsub|+\<psi\>>(\<um\>\<varphi\><rsub|i>-\<cdots\>-\<varphi\><rsub|r+1>)=0>
    for all <with|mode|math|i\<gtr\>0>. Consequently,
    <with|mode|math|\<frak-d\><rsub|\<varphi\><rsub|i>>> is a starting
    monomial for <with|mode|math|Q<rsub|+\<psi\>,1>(h)=0> and
    <with|mode|math|i\<in\>{1,\<ldots\>,r+1}>. But this is impossible, since
    <with|mode|math|card \<frak-H\><rsub|Q<rsub|+\<psi\>,1>>\<leqslant\>r>.
  </proof>

  Given an atomic unravelling (<reference|refine>) followed by a second
  refinement <no-break>(<reference|sec-refine>) such that the Newton degree
  of

  <\equation*>
    <label|aade-refref><wide|<wide|P|~>|~>(<wide|<wide|f|~>|~>)=<wide|P|~><rsub|+<wide|\<varphi\>|~>>(<wide|<wide|f|~>|~>)=0<space|2fn>(<wide|<wide|f|~>|~>\<in\>C<gb|<wide|<wide|\<frak-V\>|~>|~>>)
  </equation*>

  equals <with|mode|math|d>, we say that (<reference|sec-refine>) is
  <em|compatible><bi-index|compatible|refinement> with (<reference|refine>)
  if <with|mode|math|<wide|\<varphi\>|~>\<neq\>0>,
  <with|mode|math|<wide|<wide|\<frak-V\>|~>|~>\<prec\><wide|\<varphi\>|~>>
  and <with|mode|math|\<frak-d\><rsub|<wide|\<varphi\>|~>>> is not a starting
  monomial for

  <\equation>
    <label|tQ-eq><wide|Q|~>(h)=0<space|2fn>(h\<in\>C<gb|<wide|\<frak-V\>|~>>).
  </equation>

  If the second refinement (<reference|sec-refine>) is not compatible with
  (<reference|refine>), then we may construct a finer atomic unravelling

  <\equation*>
    f=\<varphi\>+\<psi\>+<wide|f|~><space|2fn>(<wide|f|~>\<prec\>\<psi\>)
  </equation*>

  such that <with|mode|math|\<tau\>(\<psi\>)=\<tau\>(<wide|\<varphi\>|~>)>.
  Indeed, it suffices to take <with|mode|math|\<psi\>=\<tau\>(<wide|\<varphi\>|~>)+h>,
  where <with|mode|math|h> is the distinguished solution to the equation

  <\equation*>
    Q<rsub|\<varphi\>+\<tau\>(<wide|\<varphi\>|~>)>(h)=0<space|2fn>(h\<prec\><wide|\<varphi\>|~>).
  </equation*>

  In other words, during the construction of solutions of (<reference|aade>)
  we ``follow'' the solutions to <with|mode|math|Q(h)=0> as long as possible
  whenever the Newton degree remains <with|mode|math|d>.

  A <em|partial unravelling><bi-index|partial|unravelling> is the composition
  of a finite number <with|mode|math|l> of compatible atomic unravellings. We
  call <with|mode|math|l> the length of the partial unravelling. By
  convention, the identity refinement <with|mode|math|f=<wide|f|~><space|1.2spc>(<wide|f|~>\<in\>C<gb|\<frak-V\>>)>
  is a partial unravelling of length <with|mode|math|0>. We have shown the
  following:

  <\proposition>
    <label|extend-partial-unrav>Assume that
    <with|font-shape|right|(<reference|aade>)> has Newton degree
    <with|mode|math|d>. Given a partial unravelling
    <with|font-shape|right|(<reference|refine>)> and a starting term
    <with|mode|math|<wide|\<tau\>|~>> for
    <with|font-shape|right|(<reference|aade2>)> of multiplicity
    <with|mode|math|d>, there exists a finer partial unravelling

    <\equation*>
      f=\<varphi\>+<wide|\<varphi\>|~>+<wide|<wide|f|~>|~><space|2fn>(<wide|<wide|f|~>|~>\<prec\><wide|\<tau\>|~>)
    </equation*>

    with <with|mode|math|<wide|\<varphi\>|~>\<sim\><wide|\<tau\>|~>>.<htab|5mm><with|mode|math|\<box\>>
  </proposition>

  <subsection|Logarithmic slow-down of the unravelling process>

  The introductory example (<reference|fake-double-sol>) shows that an atomic
  unravelling does not necessarily yield a total unravelling. Nevertheless,
  when applying a succession of compatible atomic unravellings, the following
  proposition shows that the corresponding monomials
  <with|mode|math|\<frak-m\>> change by factors which decrease
  logarithmically.

  <\theorem>
    <label|log-conv>Consider an atomic unravelling
    <with|font-shape|right|(<reference|refine>)>, followed by a compatible
    refinement <with|font-shape|right|(<reference|sec-refine>)>. Then,
    denoting <with|mode|math|<wide|\<frak-m\>|~>=\<frak-d\><rsub|<wide|\<varphi\>|~>>>,
    there exists an <with|mode|math|<wide|<wide|\<frak-m\>|~>|~>\<in\><wide|<wide|\<frak-V\>|~>|~>>
    with

    <equation*|<frac|<wide|\<frak-m\>|~>|<wide|<wide|\<frak-m\>|~>|~>><space|0.6spc>\<precpreceq\><space|0.6spc>log
    <frac|\<frak-m\>|<wide|\<frak-m\>|~>>.>
  </theorem>

  <\proof>
    Modulo some upward or downward shiftings, we may assume without loss of
    generality that <with|mode|math|l=0> in (<reference|Qdef>), so that
    <with|mode|math|P<rsub|\<times\>\<frak-m\>>> is exponential. Modulo a
    multiplicative conjugation with <with|mode|math|\<frak-m\>> and division
    of <with|mode|math|P> by <with|mode|math|\<frak-d\><rsub|P>>, we may also
    assume that <with|mode|math|\<frak-m\>=1> and that
    <with|mode|math|P\<asymp\>1>. By proposition <reference|dpol-ac-conj> it
    follows that <with|mode|math|<wide|P|~>\<asymp\><wide|<wide|P|~>|~>\<asymp\>Q\<asymp\><wide|Q|~>\<asymp\>1>.

    Let us first show that <with|mode|math|<wide|\<frak-m\>|~>\<succsucceq\>\<mathe\><rsup|x>>.
    Assuming the contrary, we have either
    <with|mode|math|\<varphi\>-c\<precprec\>\<mathe\><rsup|x>> or
    <with|mode|math|\<varphi\>-c\<succsucceq\>\<mathe\><rsup|x>>, where
    <with|mode|math|c=c<rsub|\<varphi\>>>. In the first case,
    <with|mode|math|\<frak-v\>=\<frak-d\><rsub|\<varphi\>-c>\<precprec\>\<mathe\><rsup|x>>
    is a starting monomial for

    <\equation*>
      Q<rsub|+c>(<wide|f|~>)=0<space|2fn>(<wide|f|~>\<prec\>1),
    </equation*>

    and <with|mode|math|D<rsub|Q<rsub|+c>>\<in\>C*F<rsup|\<bbb-N\>>*(F<rprime|'>)<rsup|\<bbb-N\>>>.
    Since <with|mode|math|Q<rsub|+c>> is exponential, it follows that
    <with|mode|math|N<rsub|Q<rsub|+c>>=D<rsub|Q<rsub|+c>>>, as well as
    <with|mode|math|N<rsub|Q<rsub|+c,\<times\>\<frak-v\>>>=N<rsub|D<rsub|Q<rsub|+c>>,\<times\>\<frak-v\>>>,
    by proposition <reference|flat-dom-lem>. So <with|mode|math|\<frak-v\>>
    is also a starting monomial for the equation
    <with|mode|math|N<rsub|Q<rsub|+c>>(h)=0<space|1.2spc>(h\<prec\>1)>. But
    this is impossible, since <with|mode|math|N<rsub|Q<rsub|+c>>\<in\>C*F<rsup|\<bbb-N\>>*(F<rprime|'>)<rsup|\<bbb-N\>>>.
    In the second case, <with|mode|math|\<frak-v\>=<wide|\<frak-m\>|~>\<precprec\>\<mathe\><rsup|x>>
    is a starting monomial for

    <\equation*>
      P<rsub|+c>(<wide|f|~>)=0<space|2fn>(<wide|f|~>\<prec\>1).
    </equation*>

    Again <with|mode|math|P<rsub|+c>> is exponential and
    <with|mode|math|D<rsub|P<rsub|+c>>\<in\>C*F<rsup|\<bbb-N\>>*(F<rprime|'>)<rsup|\<bbb-N\>>>,
    so we obtain a contradiction in a similar way as above.

    Since <with|mode|math|<wide|\<frak-m\>|~>> is not a starting monomial for
    (<reference|tQ-eq>), we have

    <\equation*>
      <wide|Q|~>(<wide|\<varphi\>|~>)\<uparrow\><rsub|p><space|0.6spc>=<space|0.6spc><wide|Q|~><rsub|\<times\><wide|\<frak-m\>|~>>(<wide|\<varphi\>|~>/<wide|\<frak-m\>|~>)\<uparrow\><rsub|p><space|0.6spc>\<asymp\><space|0.6spc>\<frak-d\>(<wide|Q|~><rsub|\<times\><wide|\<frak-m\>|~>>\<uparrow\><rsub|p>)
    </equation*>

    for a sufficiently large <with|mode|math|p\<in\>\<bbb-N\>> such that
    <with|mode|math|\<frak-m\>\<uparrow\><rsub|p>>,
    <with|mode|math|<wide|Q|~>\<uparrow\><rsub|p>> and
    <with|mode|math|<wide|\<varphi\>|~>\<uparrow\><rsub|p>> are exponential
    and <with|mode|math|D<rsub|<wide|Q|~><rsub|\<times\><wide|\<frak-m\>|~>>\<uparrow\><rsub|p>>=N<rsub|<wide|Q|~><rsub|\<times\><wide|\<frak-m\>|~>>\<uparrow\><rsub|p>>>.
    Using proposition <reference|dpol-ush-asymp> and the fact that
    <with|mode|math|<wide|\<frak-m\>|~>\<succsucceq\>\<mathe\><rsup|x>>, it
    follows that

    <\equation*>
      <wide|Q|~>(<wide|\<varphi\>|~>)<space|0.6spc>\<asymp\><rsub|log
      <wide|\<frak-m\>|~>><rsup|\<ast\>><space|0.6spc>\<frak-d\>(<wide|Q|~><rsub|\<times\><wide|\<frak-m\>|~>>).
    </equation*>

    On the other hand,

    <equation*|<frac|\<frak-d\>(<wide|Q|~><rsub|\<times\><wide|\<frak-m\>|~>>)|\<frak-d\>(<wide|Q|~>)*<wide|\<frak-m\>|~>><space|0.6spc>\<precpreceq\><space|0.6spc><wide|\<frak-m\>|~><rprime|\<dag\>>\<precpreceq\>log
    <wide|\<frak-m\>|~>,>

    whence

    <\equation*>
      <wide|Q|~>(<wide|\<varphi\>|~>)<space|0.6spc>\<succcurlyeq\><rsub|log
      <wide|\<frak-m\>|~>><rsup|\<ast\>><space|0.6spc>\<frak-d\>(<wide|Q|~>)*<wide|\<frak-m\>|~>=<wide|\<frak-m\>|~>.
    </equation*>

    We conclude that

    <\equation*>
      <wide|<wide|P|~>|~><rsub|d-1<rsup|<rsup|>>><space|0.6spc>\<succcurlyeq\><rsub|log
      <wide|\<frak-m\>|~>><rsup|\<ast\>><space|0.6spc><wide|\<frak-m\>|~>,
    </equation*>

    since <with|mode|math|<wide|Q|~>(<wide|\<varphi\>|~>)> is the coefficient
    of <with|mode|math|F<rsup|<space|0.4spc>d-1-k>*(F<rprime|'>)<rsup|k>> in
    <with|mode|math|<wide|<wide|P|~>|~>> for some <with|mode|math|k>.

    Now let <with|mode|math|\<frak-n\>> be a monomial with
    <with|mode|math|\<frak-n\><space|0.6spc>\<prec\><rsub|log
    <wide|\<frak-m\>|~>><rsup|\<ast\>><space|0.6spc><wide|\<frak-m\>|~>>, so
    that <with|mode|math|\<frak-n\><space|0.6spc>\<prec\><rsub|log
    \<frak-n\>><rsup|\<ast\>><space|0.6spc><wide|\<frak-m\>|~>> and
    <with|mode|math|<wide|<wide|P|~>|~><rsub|d-1<rsup|<rsup|>>><space|0.6spc>\<succ\><rsub|log
    \<frak-n\>><rsup|\<ast\>><space|0.6spc>\<frak-n\>>. Then, proposition
    <reference|dom-mc-prop> implies

    <\equation*>
      <wide|<wide|P|~>|~><rsub|\<times\>\<frak-n\>,d-1<rsup|<rsup|>>><space|1spc>\<asymp\><rsub|log
      \<frak-n\>><rsup|\<ast\>><space|1spc><wide|<wide|P|~>|~><rsub|d-1<rsup|<rsup|>>>*\<frak-n\><rsup|d-1><space|1spc>\<succ\><rsub|log
      \<frak-n\>><rsup|\<ast\>><space|1spc>\<frak-n\><rsup|d><space|1spc>\<asymp\><rsub|log
      \<frak-n\>><rsup|\<ast\>><space|1spc><wide|<wide|P|~>|~><rsub|\<times\>\<frak-n\>,d<rsup|<rsup|>>>,
    </equation*>

    From propositions <reference|dpol-ush-asymp> and
    <reference|flat-dom-lem>, it therefore follows that the degree of
    <with|mode|math|N<rsub|<wide|<wide|P|~>|~><rsub|\<times\>\<frak-n\>><rsup|>>>
    cannot exceed <with|mode|math|d-1>. We conclude that there exists an
    <with|mode|math|<wide|<wide|\<frak-m\>|~>|~>=\<frak-n\>\<in\><wide|<wide|\<frak-V\>|~>|~>>
    with

    <equation*|<wide|<wide|\<frak-m\>|~>|~><space|0.6spc>\<succcurlyeq\><rsub|log
    <wide|\<frak-m\>|~>><rsup|\<ast\>><space|0.6spc><wide|\<frak-m\>|~>,>

    since <no-break>(<reference|aade-refref>) has Newton degree
    <with|mode|math|d>.
  </proof>

  <subsection|On the stagnation of the depth>

  This section deals with two important consequences of proposition
  <no-break><reference|log-conv>. Roughly speaking, after one atomic
  unravelling, the terms of degree <with|mode|math|<op|\<gtr\>> d> do no
  longer play a role in the unravelling process. If
  <with|mode|math|<wide|P|~>> is exponential, and modulo the hypothesis that
  <with|mode|math|<wide|P|~><rsub|d>(h)=0> only admits exponential starting
  monomials, it will follow that the process only involves monomials in
  <with|mode|math|x<rsup|\<bbb-N\>>*\<frak-E\>>, where
  <with|mode|math|\<frak-E\>> denotes the set of exponential transmonomials.

  <\lemma>
    <label|mult-xpow-lem>Consider an equation
    <with|font-shape|right|(<reference|aade>)> of Newton degree
    <with|mode|math|d> and assume that <with|mode|math|P<rsub|0>,\<ldots\>,P<rsub|d-1>\<in\>C[x]<gb|\<frak-E\>>>
    and <with|mode|math|P<rsub|d>\<in\>C<gb|\<frak-E\>>>. Then any
    non-differential starting term of multiplicity <with|mode|math|d> is in
    <with|mode|math|C<rsup|\<neq\>>*x<rsup|\<bbb-N\>>*\<frak-E\>>.
  </lemma>

  <\proof>
    Let <with|mode|math|c*\<frak-m\>> be a non-differential starting term of
    multiplicity <with|mode|math|d>, so that
    <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-m\>>>=a*(F-c)<rsup|d>> for
    some <with|mode|math|a\<in\>C>. Then <with|mode|math|\<frak-m\>> is the
    <with|mode|math|(i,j)>-equalizer for all
    <with|mode|math|0\<leqslant\>i\<less\>j\<leqslant\>d>. In particular,
    <with|mode|math|c*\<frak-m\>> is a starting term for the linear equation
    <with|mode|math|P<rsub|0>+P<rsub|1>(f)=0>. Hence,
    <with|mode|math|\<frak-m\>\<in\>x<rsup|\<bbb-N\>>*\<frak-E\>>, by
    proposition <no-break><reference|lde-trace-inv-prop> and the incomplete
    transbasis theorem.
  </proof>

  <\theorem>
    <label|no-new-logs>Consider an atomic unravelling
    <with|font-shape|right|(<reference|refine>)> for an equation
    <with|font-shape|right|(<reference|aade>)> of Newton degree
    <with|mode|math|d>, followed by a compatible refinement
    <with|font-shape|right|(<reference|sec-refine>)> such that
    <with|mode|math|<wide|\<varphi\>|~><rsub|<wide|<wide|\<frak-V\>|~>|~>>=0>.
    Assume that <with|mode|math|P> and <with|mode|math|\<varphi\>> are
    exponential and that <with|mode|math|<wide|P|~><rsub|d>(h)=0> admits only
    exponential starting monomials. Then <with|mode|math|<wide|\<varphi\>|~>\<in\>C[x]<gb|\<frak-E\>>>.
  </theorem>

  <\proof>
    If <with|mode|math|<wide|\<varphi\>|~>=0>, then we have nothing to prove,
    so assume that <with|mode|math|<wide|\<varphi\>|~>\<neq\>0>. By
    <strong|U1> and lemma <no-break><reference|mult-xpow-lem>, it follows
    that <with|mode|math|\<frak-d\><rsub|<wide|\<varphi\>|~>>\<in\>x<rsup|\<bbb-N\>>*\<frak-E\>>.
    Modulo a multiplicative conjugation with an element in
    <with|mode|math|\<frak-E\>> and the division of
    <with|mode|math|<wide|P|~>> by <with|mode|math|\<frak-d\><rsub|<wide|P|~>>>,
    we may therefore assume without loss of generality that
    <with|mode|math|<wide|\<frak-m\>|~>\<in\>x<rsup|\<bbb-N\>>> and
    <with|mode|math|<wide|P|~>\<asymp\><wide|Q|~>\<asymp\><no-break>1>.
    Notice that <with|mode|math|\<frak-m\>/<wide|\<frak-m\>|~>\<succsucceq\>\<mathe\><rsup|x>>
    since <with|mode|math|\<frak-m\>\<succ\><wide|\<frak-m\>|~>> and
    <with|mode|math|\<frak-m\>> is exponential.

    By theorem <reference|log-conv>, our assumption
    <with|mode|math|<wide|\<varphi\>|~><rsub|<wide|<wide|\<frak-V\>|~>|~>>=0>
    implies

    <\equation*>
      <frac|<wide|\<frak-m\>|~>|\<frak-v\>><space|0.6spc>\<precpreceq\><space|0.6spc>log
      <frac|\<frak-m\>|<wide|\<frak-m\>|~>>
    </equation*>

    for all <with|mode|math|\<frak-v\>\<in\>supp <wide|\<varphi\>|~>>. Since
    <with|mode|math|\<frak-m\>\<succ\>1> is exponential, this relation
    simplifies to

    <\equation*>
      \<frak-v\><space|0.6spc>\<precpreceq\><space|0.6spc>log \<frak-m\>.
    </equation*>

    Now assume that <with|mode|math|<wide|\<varphi\>|~>\<nin\>C[x]<gb|\<frak-E\>>>,
    let <with|mode|math|\<frak-n\>\<in\>supp <wide|\<varphi\>|~>> be maximal
    with <with|mode|math|<wide|\<varphi\>|~>\<nin\>x<rsup|\<bbb-N\>>*\<frak-E\>>,
    and let <with|mode|math|\<psi\>=<big|sum><rsub|\<frak-u\>\<succ\>\<frak-n\>><wide|\<varphi\>|~><rsub|\<frak-u\>>*\<frak-u\><big|.>>.
    Since <with|mode|math|\<tau\><rsub|\<varphi\>>\<asymp\>\<frak-m\>> is a
    starting term for (<reference|aade>) of multiplicity <with|mode|math|d>,
    we have <with|mode|math|P<rsub|\<times\>\<frak-m\>,i>\<preccurlyeq\>P<rsub|\<times\>\<frak-m\>,d>>
    for all <with|mode|math|i\<gtr\>d>. It follows that
    <with|mode|math|<wide|P|~><rsub|\<times\>\<frak-m\>,i>\<preccurlyeq\><wide|P|~><rsub|\<times\>\<frak-m\>,d>>,
    <with|mode|math|<wide|P|~><rsub|*i>\<preccurlyeq\><rsub|\<frak-m\>><wide|P|~><rsub|d>/\<frak-m\>>
    and <with|mode|math|<wide|P|~><rsub|+\<psi\>,i>\<preccurlyeq\><rsub|\<frak-m\>><wide|P|~><rsub|+\<psi\>,d>/\<frak-m\>>
    for all <with|mode|math|i\<gtr\>d>. Now consider

    <\equation*>
      T=<big|sum><rsub|\<frak-u\>\<precprec\>\<frak-m\>><wide|P|~><rsub|+\<psi\>,\<frak-u\>>*\<frak-u\><big|.>.
    </equation*>

    By what precedes, we have <with|mode|math|deg T=d>. Furthermore,
    <with|mode|math|T<rsub|0>,\<ldots\>,T<rsub|d-1>\<in\>C[x]<gb|\<frak-E\>>>
    and <with|mode|math|T<rsub|d>\<in\>C<gb|\<frak-E\>>>. By proposition
    <reference|flat-dom-lem>, <with|mode|math|\<frak-n\>> is a starting
    monomial for

    <\equation*>
      T(g)=0<space|2fn>(g\<prec\>supp \<psi\>).
    </equation*>

    Moreover, <with|mode|math|\<frak-n\>> is a differential starting
    monomial, by lemma <reference|mult-xpow-lem>. Since

    <\equation*>
      T<rsub|d>=<big|sum><rsub|\<frak-u\>\<precprec\>\<frak-m\>><wide|P|~><rsub|d,\<frak-u\>>*\<frak-u\><big|.>,
    </equation*>

    proposition <reference|flat-dom-lem> also implies that
    <with|mode|math|\<frak-n\>> is a starting monomial for
    <with|mode|math|<wide|P|~><rsub|d>(h)=0>. Our assumptions thus result in
    the contradiction that <with|mode|math|\<frak-m\>\<in\>\<frak-E\>>.
  </proof>

  <subsection|Bounding the depths of solutions>

  If we can bound the number of upward shiftings which are necessary for
  satisfying the conditions of proposition <reference|no-new-logs>, then the
  combination of propositions <reference|log-conv> and
  <no-break><reference|no-new-logs> implies that any sequence of compatible
  atomic unravellings is necessarily finite. Now the problem of finding such
  a bound is a problem of order <with|mode|math|r-1>, by proposition
  <reference|diff-pdm>. Using induction, we obtain the following theorem:

  <\theorem>
    <label|first-depth-bound>Consider an equation
    <with|font-shape|right|(<reference|aade>)> of Newton degree
    <with|mode|math|d> and weight <with|mode|math|w>, with exponential
    coefficients. If <with|mode|math|f\<in\>\<bbb-T\>> is a normalized
    solution to <with|font-shape|right|(<reference|aade>)> modulo an initial
    segment <with|mode|math|\<frak-W\>\<varsubsetneq\>\<frak-V\>>, then
    <with|mode|math|f> has depth <with|mode|math|<op|\<leqslant\>>
    B<rsub|r,d,w>>, where <with|mode|math|B<rsub|0,d,w>=0> and
    <with|mode|math|B<rsub|r,d,w>=2*d*(4*w)<rsup|r-1>> if
    <with|mode|math|r\<gtr\>0>.
  </theorem>

  <\proof>
    We prove the theorem by a double recursion over <with|mode|math|r> and
    <with|mode|math|d>. If <with|mode|math|r=0>, then the theorem follows
    from corollary <reference|real-closed-th>. In the case when
    <with|mode|math|d=0> we also have nothing to prove, since there are no
    solutions. So assume that <with|mode|math|r\<gtr\>0>,
    <with|mode|math|d\<gtr\>0> and that we have proved the theorem for all
    strictly smaller <with|mode|math|r> or for the same <with|mode|math|r>
    and all strictly smaller <no-break><with|mode|math|d>. We may also assume
    that <with|mode|math|f\<neq\>0>, since the theorem is clearly satisfied
    when <with|mode|math|f=0>.

    Let <with|mode|math|\<frak-m\>\<in\>\<frak-W\>\<setminus\>\<frak-V\>> be
    the dominant monomial of <with|mode|math|f>. If <with|mode|math|f> is
    algebraic, then proposition <no-break><reference|alg-pdm> implies that
    its depth is bounded by <with|mode|math|w>. If
    <with|mode|math|\<frak-m\>> is differential, then
    <with|mode|math|r\<gtr\>0> and <with|mode|math|\<frak-m\><rprime|\<dag\>>>
    is a root of <with|mode|math|R<rsub|P<rsub|i>>> modulo
    <with|mode|math|o(<frac|1|x*log x*log log x>)> for some
    <with|mode|math|i>. Hence, its depth is bounded by
    <with|mode|math|A<rsub|r-1,w>=B<rsub|r-1,w,w-1>\<geqslant\>w>, because of
    the induction hypothesis. Modulo <with|mode|math|A<rsub|r-1,w>> upward
    shiftings and a multiplicative conjugation with
    <with|mode|math|\<frak-m\>>, we may thus reduce the general case to the
    case when <with|mode|math|\<frak-m\>=1> and
    <with|mode|math|N<rsub|P>=D<rsub|P>>. It remains to be shown that
    <with|mode|math|f> has depth <with|mode|math|<op|\<leqslant\>>
    B<rsub|r,d,w>-A<rsub|r-1,w>>.

    If <with|mode|math|c=c<rsub|f>> is a root of multiplicity
    <with|mode|math|<op|\<less\>> d> of <with|mode|math|N<rsub|P>>, then the
    Newton degree of

    <\equation*>
      P<rsub|+c*>(<wide|f|~>)=0<space|1.2spc>(<wide|f|~>\<prec\>\<frak-m\>)
    </equation*>

    is <with|mode|math|<op|\<less\>> d> by proposition <reference|refprop>
    and <with|mode|math|f-c*> is a root of this equation modulo
    <with|mode|math|\<frak-W\>>. The induction hypothesis now implies that
    <with|mode|math|f-c> has depth <with|mode|math|<op|\<leqslant\>>
    B<rsub|r,d-1,w>\<leqslant\>B<rsub|r,d,w>-A<rsub|r-1,w>>.

    Assume now that <with|mode|math|c> is a root of multiplicity
    <with|mode|math|d> of <with|mode|math|N<rsub|P>>. Consider a finest
    atomic unraveling (<reference|refine>) for which
    <with|mode|math|<wide|f|~>=f-\<varphi\>\<in\>C<gb|<wide|\<frak-V\>|~>>>.
    Then <with|mode|math|\<varphi\>\<uparrow\><rsub|r>> and
    <with|mode|math|<wide|P|~>\<uparrow\><rsub|r>> are exponential, by
    theorem <reference|ql-depth-th>. Let <with|mode|math|<wide|\<varphi\>|~>\<trianglelefteqslant\><wide|f|~>>
    be the longest truncation of <no-break><with|mode|math|<wide|f|~>>, such
    that the Newton degree of

    <\equation*>
      <wide|<wide|P|~>|~>(<wide|<wide|f|~>|~>)=<wide|P|~><rsub|+<wide|\<varphi\>|~>>(<wide|<wide|f|~>|~>)=P<rsub|+\<varphi\>+<wide|\<varphi\>|~>>(<wide|<wide|f|~>|~>)=0<space|2fn>(<wide|<wide|f|~>|~>\<in\>C<gb|\<frak-V\>>\<wedge\><wide|<wide|f|~>|~>\<prec\>supp
      <wide|\<varphi\>|~>)
    </equation*>

    is equal to <with|mode|math|d>. By the induction hypothesis,
    <with|mode|math|<wide|P|~><rsub|d>\<uparrow\><rsub|r+A<rsub|r-1,w>>> only
    admits exponential solutions. Now theorem <reference|no-new-logs> implies
    that <with|mode|math|<wide|\<varphi\>|~>> has depth
    <with|mode|math|<op|\<leqslant\>> r+A<rsub|r-1,w>+1>. If
    <with|mode|math|<wide|<wide|f|~>|~>=<no-break><wide|f|~>-<wide|\<varphi\>|~>=<no-break>0>,
    then we are done. Otherwise, <with|mode|math|\<tau\><rsub|<wide|<wide|f|~>|~>>>
    is a starting term of multiplicity <no-break><with|mode|math|<op|\<less\>>
    <no-break>d> for <with|mode|math|<wide|<wide|P|~>|~>>, by the definition
    of <with|mode|math|<wide|\<varphi\>|~>>. By what precedes, we conclude
    that <with|mode|math|<wide|<wide|f|~>|~>> has depth
    <with|mode|math|<op|\<leqslant\>> <no-break>r+A<rsub|r-1,w>+1+A<rsub|r-1,w>+B<rsub|r,d-1,w>\<leqslant\>B<rsub|r,d,w>-A<rsub|r-1,w>>.
  </proof>

  <\corollary>
    <label|finest-punr-cor>Consider an equation
    <with|font-shape|right|(<reference|aade>)> of Newton degree
    <with|mode|math|d> and a non-empty set <with|mode|math|<value|rsS>> of
    partial unravellings for <with|font-shape|right|(<reference|aade>)>. Then
    <with|mode|math|<value|rsS>> admits a finest element.
  </corollary>

  <\proof>
    Let us first assume for contradiction that there exists an infinite
    sequence of compatible atomic unravellings

    <\eqnarray*>
      <tformat|<table|<row|<cell|f=f<rsub|0>>|<cell|=>|<cell|\<varphi\><rsub|0>+f<rsub|1><space|2fn>(f<rsub|1>\<prec\>\<frak-v\><rsub|1>)>>|<row|<cell|f<rsub|1>>|<cell|=>|<cell|\<varphi\><rsub|1>+f<rsub|2><space|2fn>(f<rsub|2>\<prec\>\<frak-v\><rsub|2>)>>|<row|<cell|>|<cell|\<vdots\>>|<cell|>>>>
    </eqnarray*>

    Modulo a finite number of upward shiftings, it follows from theorem
    <reference|first-depth-bound> that we may assume without loss of
    generality that the coefficients of <with|mode|math|P<rsub|+\<varphi\><rsub|0>>>
    are exponential and that <with|mode|math|P<rsub|+\<varphi\><rsub|0>,d>>
    only admits exponential solutions. Then theorem
    <no-break><reference|no-new-logs> implies that
    <with|mode|math|\<varphi\><rsub|i>\<in\>C[x]<gb|\<frak-E\>>> for all
    <with|mode|math|i\<geqslant\>1>. From theorem <reference|log-conv> it
    also follows that <with|mode|math|<frac|\<varphi\><rsub|i+1>|\<varphi\><rsub|i+2>><space|0.6spc>\<precpreceq\><space|0.6spc>log
    <no-break><frac|\<varphi\><rsub|i>|\<varphi\><rsub|i+1>>> for all
    <with|mode|math|i\<geqslant\>1>. But this is impossible.

    Now pick a partial unravelling (<reference|refine>) in
    <with|mode|math|<value|rsS>> of maximal length. Then any finer partial
    unravelling in <with|mode|math|<value|rsS>> is obtained by replacing the
    last atomic unravelling which composes <no-break>(<reference|refine>) by
    a finer one. The result now follows from proposition
    <reference|finest-atomic-unrav>.
  </proof>

  <\exercise>
    <label|special-Pd-ex>In theorem <reference|no-new-logs>, show that
    whenever <with|mode|math|\<frak-m\>> is a starting monomial for
    <with|mode|math|P<rsub|d>(h)=0> of the form <with|mode|math|(log<rsub|d>
    x)<rsup|\<alpha\><rsub|d>>*\<cdots\>*x<rsup|\<alpha\><rsub|0>>*\<frak-m\><rsup|\<sharp\>>>
    with <with|mode|math|\<frak-m\><rsup|\<sharp\>>\<in\>\<frak-E\>> and
    <with|mode|math|\<alpha\><rsub|d>\<neq\>0>, then
    <with|mode|math|d\<leqslant\>wt P-1>.
  </exercise>

  <\exercise>
    Improve the bound in theorem <reference|first-depth-bound> in the case
    when <with|mode|math|r=1>.
  </exercise>

  <\exercise>
    <label|posteriori-unrav>Show how to obtain a total unravelling
    (<reference|unrav>) <em|a posteriori>, by computing <with|mode|math|Q>
    <abbr|w.r.t.> the monomial <with|mode|math|<wide|\<frak-v\>|~>> instead
    of <with|mode|math|\<frak-m\>>.
  </exercise>

  <section|Algorithmic resolution>

  <label|ade-alg-sec>In this section, we will give explicit, but theoretical
  algorithms for solving <no-break>(<reference|aade>). In order to deal with
  integration constants, we will allow for computations with infinite sets of
  transseries. In practice, one rather needs to compute with finite sets of
  ``parameterized transseries''. However, the development of such a theory
  (see <cite|vdH:phd|vdH:osc>) falls outside the scope of the present book.

  <subsection|Computing starting terms>

  Theorem <reference|usth> implies that we may compute the Newton polynomial
  of a differential polynomial <with|mode|math|P\<in\>\<bbb-T\>{F}<rsup|\<neq\>>>
  using the algorithm below. Recall that a monomial
  <with|mode|math|\<frak-m\>> is a starting monomial if and only if
  <with|mode|math|N<rsub|P<rsub|\<times\>\<frak-m\>>>\<nin\>C*F<rsup|\<bbb-N\>>>.

  <vspace*|1fn><no-indent><strong|Algorithm
  ><with|mode|math|N<rsub|P>><no-page-break>

  <no-indent><strong|Input: ><with|mode|math|P\<in\>\<bbb-T\>{F}<rsup|\<neq\>>>.<no-page-break>

  <no-indent><strong|Output: >The differential Newton polynomial
  <with|mode|math|N<rsub|P>> of <with|mode|math|P>.

  <\enumerate>
    <item>If <with|mode|math|P> is not exponential or
    <with|mode|math|D<rsub|P>\<nin\>C[F]*(F<rprime|'>)<rsup|\<bbb-N\>>>, then
    return <with|mode|math|N<rsub|P\<uparrow\>>>.

    <item>Return <with|mode|math|D<rsub|P>>.
  </enumerate>

  <vspace*|1fn>The algebraic starting monomials can be found by computing all
  equalizers and keeping only those which are starting monomials. The
  equalizers are computed using the method from the proof of proposition
  <reference|alg-pdm>.

  <vspace*|1fn><no-indent><strong|Algorithm
  ><with|mode|math|\<frak-e\><rsub|P,i,j>><no-page-break>

  <no-indent><strong|Input: ><with|mode|math|P\<in\>\<bbb-T\>{F}<rsup|\<neq\>>>
  and integers <with|mode|math|i,j><no-page-break> with
  <with|mode|math|P<rsub|i>\<neq\>0> and <with|mode|math|P<rsub|j>\<neq\>0>.<no-page-break>

  <no-indent><strong|Output: >The <with|mode|math|(i,j)>-equalizer
  <with|mode|math|\<frak-e\><rsub|P,i,j>> for <with|mode|math|P>.

  <\enumerate>
    <item>If <with|mode|math|P> is not exponential or
    <with|mode|math|D<rsub|P<rsub|i>+P<rsub|j>>\<nin\>C[F]*(F<rprime|'>)<rsup|\<bbb-N\>>>,
    then return <with|mode|math|\<frak-e\><rsub|P\<uparrow\>,i,j>\<downarrow\>>.

    <item>If <with|mode|math|\<frak-d\>(P<rsub|i>)=\<frak-d\>(P<rsub|j>)>
    then return <with|mode|math|1>.

    <item>Let <with|mode|math|\<frak-m\>\<assign\><sqrt|\<frak-d\>(P<rsub|i>)/\<frak-d\>(P<rsub|j>)|j-i>>
    and return <with|mode|math|\<frak-m\>*\<frak-e\><rsub|P<rsub|\<times\>\<frak-m\>>,i,j>>.
  </enumerate>

  <vspace*|1fn><no-indent><strong|Algorithm
  ><verbatim|alg_st_mon><with|mode|math|(P,\<frak-V\>)><index|<verbatim|alg_st_mon>><no-page-break>

  <no-indent><strong|Input: ><with|mode|math|P\<in\>\<bbb-T\>{F}<rsup|\<neq\>>>
  and an initial segment <with|mode|math|\<frak-V\>\<subseteq\>\<frak-T\>>.<no-page-break>

  <no-indent><strong|Output: >The set of algebraic starting monomials for
  (<reference|aade>).

  <\enumerate>
    <item>Compute <with|mode|math|\<frak-M\>\<assign\>{\<frak-e\><rsub|P,i,j>:i\<less\>j\<leqslant\>deg
    P\<wedge\>P<rsub|i>\<neq\>0\<wedge\>P<rsub|j>\<neq\>0}\<cap\>\<frak-V\>>.

    <item>Return <with|mode|math|{\<frak-m\>\<in\>\<frak-M\>:N<rsub|P<rsub|\<times\>\<frak-m\>>>\<nin\>C*F<rsup|\<bbb-N\>>}>.
  </enumerate>

  <vspace*|1fn>In fact, using proposition <reference|diff-New-polygon>, it is
  possible to optimize the algorithm so that only a linear number of
  equalizers needs to be computed. This proposition also provides us with an
  efficient way to compute the Newton degree.

  <vspace*|1fn><no-indent><strong|Algorithm
  ><verbatim|Newton_degree><with|mode|math|(P,\<frak-V\>)><index|<verbatim|Newton_degree>><no-page-break>

  <no-indent><strong|Input: ><with|mode|math|P\<in\>\<bbb-T\>{F}<rsup|\<neq\>>>
  and an initial segment <with|mode|math|\<frak-V\>\<subseteq\>\<frak-T\>>.<no-page-break>

  <no-indent><strong|Output: >The Newton degree of (<reference|aade>).

  <\enumerate>
    <item>Compute <with|mode|math|\<frak-M\>\<assign\><with|mode|text|<verbatim|alg_st_mon>>(P,\<frak-V\>)>.

    <item>Return <with|mode|math|max {deg
    N<rsub|P<rsub|\<times\>\<frak-m\>>>:\<frak-m\>\<in\>\<frak-M\>}\<cup\>{val
    P}<big|.>>.
  </enumerate>

  <vspace*|1fn>The algorithm for finding the differential starting terms is
  based on proposition<nbsp><reference|diff-pdm> and a recursive application
  of the algorithm <verbatim|ade_solve> (which will be specified below) in
  order to solve the Riccati equations modulo <with|mode|math|o(<frac|1|x*log
  x*log log x*\<cdots\>>)>.

  <vspace*|1fn><no-indent><strong|Algorithm
  ><verbatim|diff_st_mon><with|mode|math|(P,\<frak-V\>)><index|<verbatim|diff_st_mon>><no-page-break>

  <no-indent><strong|Input: ><with|mode|math|P\<in\>\<bbb-T\>{F}<rsup|\<neq\>>>
  and an initial segment <with|mode|math|\<frak-V\>\<subseteq\>\<frak-T\>>.<no-page-break>

  <no-indent><strong|Output: >The set of differential starting monomials for
  (<reference|aade>).

  <\enumerate>
    <item>If <with|mode|math|P> is homogeneous, then let
    <with|mode|math|G\<assign\><with|mode|text|<verbatim|ade_solve>>(R<rsub|P>,\<frak-T\>,{\<frak-m\>\<in\>\<frak-T\>:<big|int>\<frak-m\>\<prec\>1<big|.>})>
    and return <with|mode|math|{\<mathe\><rsup|<big|int>g<big|.>>:g\<in\>G}\<cap\>\<frak-V\>>.

    <item>Compute <with|mode|math|\<frak-M\><rsub|i>\<assign\><with|mode|text|<verbatim|diff_st_mon>>(P<rsub|i>,\<frak-V\>)>
    for each <with|mode|math|i\<leqslant\>deg P> with
    <with|mode|math|P<rsub|i>\<neq\>0> and return
    <with|mode|math|{\<frak-m\>\<in\>\<frak-M\><rsub|i>:i\<leqslant\>deg
    P\<wedge\>P<rsub|i>\<neq\>0\<wedge\>N<rsub|P<rsub|\<times\>\<frak-m\>>>\<nin\>C*F<rsup|\<bbb-N\>>}>.
  </enumerate>

  <vspace*|1fn>Having computed the sets of algebraic and differential
  starting monomials, it suffices to compute the roots of the corresponding
  Newton polynomials in order to find the starting terms.

  <vspace*|1fn><no-indent><strong|Algorithm
  ><verbatim|st_term><with|mode|math|(P,\<frak-V\>)><index|<verbatim|st_term>><no-page-break>

  <no-indent><strong|Input: ><with|mode|math|P\<in\>\<bbb-T\>{F}<rsup|\<neq\>>>
  and an initial segment <with|mode|math|\<frak-V\>\<subseteq\>\<frak-T\>>.<no-page-break>

  <no-indent><strong|Output: >The set of starting terms for
  (<reference|aade>).

  <\enumerate>
    <item>Let <with|mode|math|\<frak-D\>\<assign\><with|mode|text|<verbatim|alg_st_mon>>(P,\<frak-V\>)\<cup\><with|mode|text|<verbatim|diff_st_mon>>(P,\<frak-V\>)>.

    <item>Return <with|mode|math|{c*\<frak-m\>\<in\>C<rsup|\<neq\>>*\<frak-D\>:N<rsub|P<rsub|\<times\>\<frak-m\>>>(c)=0}>.
  </enumerate>

  <subsection|Solving the differential equation>

  Let us now show how to find all solutions to (<reference|aade>) and, more
  generally, all normalized solutions of (<reference|aade>) modulo an initial
  segment <with|mode|math|\<frak-W\>\<subseteq\>\<frak-V\>>. First of all,
  <with|mode|math|0> is a solution if and only if the Newton degree of
  <with|mode|math|P(f)=0<space|1.2spc>(f\<in\>C<gb|\<frak-W\>>)> is
  <with|mode|math|<op|\<gtr\>> 0>. In order to find the other solutions, we
  first compute all starting terms <with|mode|math|\<tau\>> in
  <with|mode|math|\<frak-V\>\<setminus\>\<frak-W\>>. For each such
  <with|mode|math|\<tau\>>, we next apply the subalgorithm
  <verbatim|ade_solve_sub> in order to find the set of solutions which
  starting term <with|mode|math|\<tau\>>.

  <vspace*|1fn><no-indent><strong|Algorithm
  ><verbatim|ade_solve><with|mode|math|(P,\<frak-V\>,\<frak-W\>)><index|<verbatim|ade_solve>><no-page-break>

  <no-indent><strong|Input: ><with|mode|math|P\<in\>\<bbb-T\>{F}<rsup|\<neq\>>>
  and initial segments <with|mode|math|\<frak-W\>\<subseteq\>\<frak-V\>\<subseteq\>\<frak-T\>>.<no-page-break>

  <no-indent><strong|Output: >The set of normalized solutions to
  (<reference|aade>) modulo <with|mode|math|\<frak-W\>>.

  <\enumerate>
    <item>Compute <with|mode|math|\<Tau\>\<assign\><with|mode|text|<verbatim|st_term>>(P,\<frak-V\>)\<setminus\>C*\<frak-W\>>.

    <item>Let <with|mode|math|S\<assign\><big|cup><rsub|\<tau\>\<in\>\<Tau\>><big|.><with|mode|text|<verbatim|ade_solve_sub>>(P,\<tau\>,\<frak-V\>,\<frak-W\>)>.

    <item>If <with|mode|math|<with|mode|text|<verbatim|Newton_degree>>(P,\<frak-W\>)\<gtr\>0>
    then <with|mode|math|S\<assign\>S\<cup\>{0}>.

    <item>Return <with|mode|math|S>.
  </enumerate>

  <vspace*|1fn>Let <with|mode|math|d> be the Newton degree of
  (<reference|aade>). In order to find the normalized solutions with starting
  terms <with|mode|math|\<tau\>> of multiplicity
  <with|mode|math|<op|\<less\>> d>, we may simply use the refinement

  <\equation*>
    f=\<tau\>+<wide|f|~><space|2fn>(<wide|f|~>\<prec\>\<tau\>)
  </equation*>

  and recursively solve

  <\equation*>
    P<rsub|+\<tau\>>(<wide|f|~>)=0<space|2fn>(<wide|f|~>\<prec\>\<tau\>).
  </equation*>

  The other starting terms require the unravelling theory from section
  <reference|unravel-sec>: we start by computing the quasi-linear
  differentiated equation

  <\equation>
    <label|Q-eq-once -more>Q(f)=0<space|1.2spc>(f\<in\>C<gb|\<frak-V\>>),
  </equation>

  with <with|mode|math|Q> as in <no-break>(<reference|Qdef>) and we will
  ``follow'' solutions to this equation as long as possible using the
  subalgorithm <verbatim|unravel>.

  <vspace*|1fn><no-indent><strong|Algorithm
  ><verbatim|ade_solve_sub><with|mode|math|(P,\<tau\>,\<frak-V\>,\<frak-W\>)><index|<verbatim|ade_solve_sub>><no-page-break>

  <\with|par-left|1.5fn>
    <\with|par-first|-1.5fn>
      <strong|Input: ><with|mode|math|P\<in\>\<bbb-T\>{F}<rsup|\<neq\>>>,
      initial segments <with|mode|math|\<frak-W\>\<subseteq\>\<frak-V\>\<subseteq\>\<frak-T\>>
      and a starting term <with|mode|math|\<tau\>=c*\<frak-m\>\<in\>C<rsup|\<neq\>>*(\<frak-V\>\<setminus\>\<frak-W\>)>
      for <no-break>(<reference|aade>).<no-page-break>
    </with>
  </with>

  <no-indent><strong|Output: >The set of normalized solutions to
  (<reference|aade>) modulo <with|mode|math|\<frak-W\>> with dominant term
  <with|mode|math|\<tau\>>.

  <\enumerate>
    <item>Let <with|mode|math|\<mu\>\<assign\>val
    N<rsub|P<rsub|\<times\>\<frak-m\>>,+c>> and
    <with|mode|math|d\<assign\><with|mode|text|<verbatim|Newton_degree>>(P,\<frak-V\>)>.

    <item>If <with|mode|math|\<mu\>\<less\>d>, then return
    <with|mode|math|\<tau\>+<with|mode|text|<verbatim|ade_solve>>(P<rsub|+\<tau\>>,{\<frak-n\>\<in\>\<frak-T\>:\<frak-n\>\<prec\>\<frak-m\>},\<frak-W\>)>.

    <item>Compute <with|mode|math|Q> using (<reference|Qdef>), with minimal
    <with|mode|math|l>, and let <with|mode|math|\<varphi\>=\<tau\>+h>, where
    <with|mode|math|h> is the distinguished solution to

    <\equation>
      <label|Qtaueq>Q<rsub|+\<tau\>>(h)=0<space|2fn>(h\<prec\>\<tau\>).
    </equation>

    <item>Return <with|mode|math|\<varphi\><rsub|\<frak-V\>\<setminus\>\<frak-W\>>+<with|mode|text|<verbatim|unravel>>(P<rsub|+\<varphi\>>,Q<rsub|+\<varphi\>>,{\<frak-n\>\<in\>\<frak-T\>:\<frak-n\>\<prec\>\<frak-m\>},\<frak-W\>)>.
  </enumerate>

  <vspace*|1fn>The algorithm <verbatim|unravel> is analogous to
  <verbatim|ade_solve>, except that we now compute the solutions with a given
  starting term using the subalgorithm <verbatim|unravel_sub> instead of
  <verbatim|ade_solve_sub>.

  <vspace*|1fn><no-indent><strong|Algorithm
  ><verbatim|unravel><with|mode|math|(P,Q,\<frak-V\>,\<frak-W\>)><index|<verbatim|unravel>><no-page-break>

  <no-indent><strong|Input: ><with|mode|math|P,Q\<in\>\<bbb-T\>{F}<rsup|\<neq\>>>
  and initial segments <with|mode|math|\<frak-W\>\<subseteq\>\<frak-V\>\<subseteq\>\<frak-T\>>.<no-page-break>

  <no-indent><strong|Output: >The set of normalized solutions to
  (<reference|aade>) modulo <with|mode|math|\<frak-W\>> with dominant term
  <with|mode|math|\<tau\>>.

  <\enumerate>
    <item>Compute <with|mode|math|\<Tau\>\<assign\><with|mode|text|<verbatim|st_term>>(P,\<frak-V\>)\<setminus\>C*\<frak-W\>>.

    <item>Let <with|mode|math|S\<assign\><big|cup><rsub|\<tau\>\<in\>\<Tau\>><with|mode|text|<verbatim|unravel_sub>>(P,Q,\<tau\>,\<frak-V\>,\<frak-W\>)>.

    <item>If <with|mode|math|<with|mode|text|<verbatim|Newton_degree>>(P,\<frak-W\>)\<gtr\>0>,
    then <with|mode|math|S\<assign\>S\<cup\>{0}>.

    <item>Return <with|mode|math|S>.
  </enumerate>

  <vspace*|1fn>In <verbatim|unravel_sub>, we follow the solutions to
  <no-break>(<reference|Q-eq-once -more>) as far as possible. More precisely,
  let <with|mode|math|Q> be as in <no-break>(<reference|Qdef>). Then the
  successive values of <with|mode|math|Q> for calls to <verbatim|unravel> and
  <verbatim|unravel_sub> are of the form <with|mode|math|Q<rsub|+h<rsub|1>>,\<ldots\>Q<rsub|+h<rsub|1>+\<cdots\>+h<rsub|l>>>,
  where <with|mode|math|h<rsub|1>\<succ\>\<cdots\>\<succ\>h<rsub|l>> satisfy
  <with|mode|math|Q(h<rsub|1>+\<cdots\>+h<rsub|i>)=0> for each
  <with|mode|math|i\<in\>{1,\<ldots\>,l}>. At the end, the refinement

  <\equation>
    <label|comp-partial-unrav>f=h<rsub|1>+\<cdots\>+h<rsub|l>+<wide|f|~><space|2fn>(<wide|f|~>\<prec\>h<rsub|l>)
  </equation>

  is an atomic unravelling for the original equation. Moreover, at the
  recursive call of <verbatim|ade_solve_sub>, the next refinement will be
  compatible with (<reference|comp-partial-unrav>).

  <vspace*|1fn><no-indent><strong|Algorithm
  ><verbatim|unravel_sub><with|mode|math|(P,Q,\<tau\>,\<frak-V\>,\<frak-W\>)><index|<verbatim|unravel_sub>><no-page-break>

  <\with|par-left|1.5fn>
    <\with|par-first|-1.5fn>
      <strong|Input: ><with|mode|math|P,Q\<in\>\<bbb-T\>{F}<rsup|\<neq\>>>,
      initial segments <with|mode|math|\<frak-W\>\<subseteq\>\<frak-V\>\<subseteq\>\<frak-T\>>
      and a starting term <with|mode|math|\<tau\>=c*\<frak-m\>\<in\>C<rsup|\<neq\>>*(\<frak-V\>\<setminus\>\<frak-W\>)>
      for <no-break>(<reference|aade>).<no-page-break>
    </with>
  </with>

  <no-indent><strong|Output: >The set of normalized solutions to
  (<reference|aade>) modulo <with|mode|math|\<frak-W\>> with dominant term
  <with|mode|math|\<tau\>>.

  <\enumerate>
    <item>If <with|mode|math|N<rsub|Q<rsub|\<times\>\<frak-m\>>>(c)\<neq\>0>,
    then return <with|mode|math|<with|mode|text|<verbatim|ade_solve_sub>>(P,\<tau\>,\<frak-V\>,\<frak-W\>)>.

    <item>Let <with|mode|math|\<varphi\>=\<tau\>+h>, where <with|mode|math|h>
    is the distinguished solution to (<reference|Qtaueq>).

    <item>Return <with|mode|math|\<varphi\><rsub|\<frak-V\>\<setminus\>\<frak-W\>>+<with|mode|text|<verbatim|unravel>>(P<rsub|+\<varphi\>>,Q<rsub|+\<varphi\>>,{\<frak-n\>\<in\>\<frak-T\>:\<frak-n\>\<prec\>\<frak-m\>},\<frak-W\>)>.
  </enumerate>

  <vspace*|1fn>The termination of our algorithms are verified by considering
  the three possible loops. In successive calls of <verbatim|solve> and
  <verbatim|solve_sub> we are clearly done, since the Newton degree strictly
  decreases. As to successive calls of <verbatim|unravel> and
  <verbatim|unravel_sub>, we have <with|mode|math|l\<leqslant\>r> in
  (<reference|comp-partial-unrav>), by theorem <reference|qlin-gen-sol-th>.
  Finally, any global loop via <verbatim|solve_sub> and <verbatim|unravel>,
  during which the Newton degree <with|mode|math|d> remains constant,
  corresponds to a sequence of compatible atomic unravellings. But such
  sequences are necessarily finite, by theorems <reference|qlin-gen-sol-th>,
  <reference|no-new-logs> and <reference|first-depth-bound>.<vspace|1fn>

  <\exercise>
    <label|diff-trans-ex-1>Assume that <with|mode|math|P\<in\>C<gbt|x>{F}>
    and that we search for zeros of (<reference|aade>) in the set of
    well-based transseries of finite exponential and logarithmic depths
    <with|mode|math|C[[[x]]]>.

    <\enumerate-alpha>
      <item>Given <with|mode|math|Q\<in\>C[[[x]]]{F}>, show there exists an
      <with|mode|math|l> with <with|mode|math|D<rsub|Q\<uparrow\><rsub|l>>\<in\>C[F]*(F<rprime|'>)<rsup|\<bbb-N\>>>.
      Give a definition for the differential Newton polynomial
      <with|mode|math|N<rsub|Q>> of <with|mode|math|Q>. Generalize
      proposition <reference|stterm-prop>.

      <item>Given <with|mode|math|i\<less\>j> with
      <with|mode|math|P<rsub|i>\<neq\>0> and
      <with|mode|math|P<rsub|j>\<neq\>0>, prove that there is at most one
      well-based transmonomial <with|mode|math|\<frak-m\>> such that
      <with|mode|math|N<rsub|(P<rsub|i>+P<rsub|j>)<rsub|\<times\>\<frak-m\>>>>
      is non-homogeneous.

      <item>Show that proposition <reference|diff-pdm> still holds for
      well-based transmonomials.

      <item>Show that the set of solutions to (<reference|aade>) in
      <with|mode|math|C<gbt|x>> as computed by <verbatim|ade_solve> coincides
      with the set of solutions to (<reference|aade>) in
      <with|mode|math|C[[[x]]]>.

      <item>Show that <with|mode|math|\<zeta\>(x)>,
      <with|mode|math|\<varphi\>(x)=<frac|1|x>+<frac|1|x<rsup|\<mathpi\>>>+<frac|1|x<rsup|\<mathpi\><rsup|2>>>+\<cdots\>>
      and <with|mode|math|\<psi\>(x)=<frac|1|x>+<frac|1|\<mathe\><rsup|log<rsup|2>
      x>>+<frac|1|\<mathe\><rsup|log<rsup|4> x>>+\<cdots\>> do not satisfy an
      algebraic differential equation with coefficients in
      <with|mode|math|\<bbb-T\>>.

      <item>Does <with|mode|math|\<varphi\>(x)> satisfy an algebraic
      differential equation with coefficients in
      <with|mode|math|\<bbb-T\>{\<zeta\>(x)}>? And does
      <with|mode|math|\<psi\>(x)> satisfy an algebraic differential equation
      with coefficients in <with|mode|math|\<bbb-T\>{\<zeta\>(x),\<varphi\>(x)}>?
    </enumerate-alpha>
  </exercise>

  <section|Structure theorems>

  <subsection|Distinguished unravellers>

  <\theorem>
    <label|dist-unr-th>Let <with|font-shape|right|(<reference|aade>)> be an
    equation of Newton degree <with|mode|math|d\<gtr\>1>. Then there exists a
    unique <with|mode|math|\<varphi\>\<in\>C<gb|\<frak-V\>>> which is longest
    for <with|mode|math|<op|\<trianglelefteqslant\>>> with the properties
    that

    <\enumerate-alpha>
      <item><with|mode|math|deg<rsub|<wide|\<frak-V\>|~>>
      P<rsub|+\<varphi\>>=d>, for <with|mode|math|<wide|\<frak-V\>|~>={\<frak-m\>\<in\>\<frak-V\>:\<frak-m\>\<prec\>supp
      \<varphi\>}>.

      <item>For any <with|mode|math|\<frak-m\>\<in\>supp \<varphi\>>, the
      term <no-break><with|mode|math|\<varphi\><rsub|\<frak-m\>>*\<frak-m\>>
      is an algebraic starting term for

      <\equation>
        <label|dist-unrav-b>P<rsub|+\<varphi\><rsub|\<succ\>\<frak-m\>>>(<wide|f|~>)=0<space|2fn>(<wide|f|~>\<preccurlyeq\>\<frak-m\>).
      </equation>
    </enumerate-alpha>
  </theorem>

  <\proof>
    Consider the set <with|mode|math|<value|rsS>> of all partial unravellings

    <\equation>
      <label|dist-unrav-finest>f=\<xi\>+<wide|f|~><space|2fn>(<wide|f|~>\<in\>C<gb|<wide|\<frak-V\>|~>>),
    </equation>

    such that <with|mode|math|\<varphi\>=\<xi\><rsub|\<frak-V\>\<setminus\><wide|\<frak-V\>|~>>>
    satisfies (<em|a>) and (<em|b>). Since <with|mode|math|<value|rsS>>
    contains the identity refinement, we may choose
    (<reference|dist-unrav-finest>) to be finest in
    <with|mode|math|<value|rsS>>, by corollary <reference|finest-punr-cor>.
    We claim that <with|mode|math|\<varphi\>> is maximal for
    <with|mode|math|<op|\<trianglelefteqslant\>>>, such that (<em|a>) and
    (<em|b>) are satisfied.

    Indeed, assume for contradiction that some
    <with|mode|math|\<psi\>\<vartriangleright\>\<varphi\>> also satisfies
    <no-break>(<em|a>) and <no-break>(<em|b>). Then
    <with|mode|math|c*\<frak-m\>=\<tau\>(\<psi\>-<no-break>\<varphi\>)> is
    the unique algebraic starting term for (<reference|dist-unrav-b>) and it
    has multiplicity <no-break><with|mode|math|d>. By proposition
    <reference|extend-partial-unrav>, there exists a partial unravelling

    <\equation*>
      f=\<xi\>+<wide|\<xi\>|~>+<wide|<wide|f|~>|~><space|2fn>(<wide|<wide|f|~>|~>\<prec\><wide|\<xi\>|~>),
    </equation*>

    which is finer than (<reference|dist-unrav-finest>), and such that
    <with|mode|math|<wide|\<xi\>|~>\<sim\>c*\<frak-m\>>. By what precedes,
    <with|mode|math|<wide|\<varphi\>|~>=(\<xi\>+<wide|\<xi\>|~>)<rsub|\<succcurlyeq\><wide|\<xi\>|~>>=\<varphi\>+c*\<tau\>>
    satisfies (<em|a>). Moreover, <with|mode|math|<wide|\<varphi\>|~>>
    satisfies (<em|b>), since <with|mode|math|\<psi\>\<trianglerighteqslant\><wide|\<varphi\>|~>>
    does. This contradicts the maximality of (<reference|dist-unrav-finest>).

    Let us now prove the uniqueness of <with|mode|math|\<varphi\>>. Assume
    for contradiction that <with|mode|math|\<psi\>\<neq\>\<varphi\>> with
    <with|mode|math|\<psi\>\<ntrianglelefteqslant\>\<varphi\>> and
    <with|mode|math|\<varphi\>\<ntrianglelefteqslant\>\<psi\>> also satisfies
    (<em|a>) and (<em|b>). Let <with|mode|math|\<delta\>=\<psi\>-\<varphi\>>
    and <with|mode|math|\<xi\>=<big|sum><rsub|\<frak-m\>\<succ\>\<delta\>>\<varphi\><rsub|\<frak-m\>>*\<frak-m\>>.
    Then

    <\equation*>
      P<rsub|+\<xi\>>(<wide|f|~>)=0<space|2fn>(<wide|f|~>\<prec\>supp \<xi\>)
    </equation*>

    admits both <with|mode|math|\<tau\>(\<varphi\>-\<xi\>)> and
    <with|mode|math|\<tau\>(\<psi\>-\<xi\>)> as algebraic starting terms of
    multiplicity <with|mode|math|d>. But this is impossible.
  </proof>

  The transseries <with|mode|math|\<varphi\>> from the theorem is called the
  <em|distinguished unraveller><bi-index|distinguished|unraveller> for
  <no-break>(<reference|aade>). It has the property that for any algebraic
  starting term <with|mode|math|<wide|\<tau\>|~>> for

  <\equation>
    <label|dist-unrav-eq>P<rsub|+\<varphi\>>(<wide|f|~>)=0<space|2fn>(<wide|f|~>\<preccurlyeq\>supp
    \<varphi\>),
  </equation>

  the refinement

  <\equation*>
    f=\<varphi\>+<wide|\<tau\>|~>+<wide|<wide|f|~>|~><space|2fn>(<wide|<wide|f|~>|~>\<prec\><wide|\<tau\>|~>)
  </equation*>

  is a total unravelling.

  <\remark>
    It is easily checked that theorem <reference|dist-unr-th> also holds for
    <with|mode|math|d=1>, and that <with|mode|math|\<varphi\>> coincides with
    the distinguished solution of (<reference|aade>) in this case.
  </remark>

  Recall that <with|mode|math|\<frak-L\>><glossary-explain|<with|mode|math|\<frak-L\>>|set
  of logarithmic transmonomials> stands for the group of logarithmic
  monomials.

  <\proposition>
    Let <with|mode|math|\<varphi\>> be as in theorem <reference|dist-unr-th>
    and assume that <with|mode|math|P\<in\>C<gb|\<frak-B\><rsup|C>>{F}<rsup|\<neq\>>>
    for a plane transbasis <with|mode|math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,\<frak-b\><rsub|n>)>.
    Then <with|mode|math|\<varphi\>\<in\>C<gb|\<frak-L\>*\<frak-B\><rsup|C>>>.
  </proposition>

  <\proof>
    Assume the contrary, let <with|mode|math|\<frak-m\>\<in\>supp \<varphi\>>
    be maximal, such that <with|mode|math|\<frak-m\>\<nin\>C<gb|\<frak-L\>*\<frak-B\><rsup|C>>>,
    and let <with|mode|math|\<psi\>=<big|sum><rsub|\<frak-n\>\<succ\>\<frak-m\>>\<varphi\><rsub|\<frak-n\>>*\<frak-n\>>.
    Modulo a finite number of upward shiftings, we may assume without loss of
    generality that <with|mode|math|P> and <with|mode|math|\<psi\>> are
    exponential. But then <with|mode|math|\<frak-m\>=\<frak-d\><rsub|\<varphi\>-\<psi\>>>
    is an algebraic starting monomial for

    <\equation*>
      P<rsub|+\<psi\>>(<wide|f|~>)<space|2fn>(<wide|f|~>\<prec\>supp
      \<psi\>).
    </equation*>

    By remark <reference|transbasis-equilizer>, we conclude that
    <with|mode|math|\<frak-m\>\<in\>C<gb|\<frak-L\>*\<frak-B\><rsup|C>>>.
  </proof>

  <subsection|Distinguished solutions and their existence>

  A solution <with|mode|math|\<varphi\>\<in\>\<bbb-T\>> to (<reference|aade>)
  is said to be <em|distinguished><bi-index|distinguished|solution>, if for
  all <with|mode|math|\<frak-m\>\<in\>supp \<varphi\>>, the term
  <no-break><with|mode|math|\<varphi\><rsub|\<frak-m\>>*\<frak-m\>> is an
  algebraic starting term for the equation

  <\equation*>
    P<rsub|+\<varphi\>>(<wide|f|~>)=0<space|2fn>(<wide|f|~>\<preccurlyeq\>\<frak-m\>).
  </equation*>

  If <with|mode|math|d> is odd, then there exists at least one distinguished
  solution.

  <\theorem>
    Any equation <with|font-shape|right|(<reference|aade>)> of odd Newton
    degree admits at least one distinguished solution in
    <with|mode|math|\<bbb-T\>>. Moreover, if the coefficients of
    <with|mode|math|P> can be expanded <abbr|w.r.t.> a plane transbasis
    <with|mode|math|\<frak-B\>=(\<frak-b\><rsub|1>,\<ldots\>,<no-break>\<frak-b\><rsub|n>)>,
    then any such solution is in <with|mode|math|C<gb|\<frak-L\>*\<frak-B\><rsup|C>>>.
  </theorem>

  <\proof>
    We prove the theorem by induction over <with|mode|math|d>. For
    <with|mode|math|d=1>, the result follows from corollary
    <reference|dist-sol-cor>. So let <with|mode|math|d\<gtr\>1> and assume
    that the theorem holds for all smaller <no-break><with|mode|math|d>.

    Now proposition <reference|diff-New-polygon> implies that there exists at
    least one starting monomial and equalizer
    <with|mode|math|\<frak-e\>\<in\>\<frak-L\>*\<frak-B\><rsup|C>> such that
    <with|mode|math|deg N<rsub|P<rsub|\<times\>\<frak-e\>>>-val
    N<rsub|P<rsub|\<times\>\<frak-e\>>>> is odd. It follows that
    <with|mode|math|P=A*(F<rprime|'>)<rsup|\<nu\>>> for some
    <with|mode|math|A\<in\>C[F]> of odd degree. Since <with|mode|math|C> is
    real closed, it follows that <no-break><with|mode|math|A> admits a root
    <with|mode|math|c> of odd multiplicity <with|mode|math|<wide|d|~>>.

    If <with|mode|math|<wide|d|~>\<less\>d>, then proposition
    <no-break><reference|refprop> and the induction hypothesis imply that

    <\equation>
      <label|tPtF-eq><wide|P|~>(<wide|f|~>)=P<rsub|+c*\<frak-e\>>(<wide|f|~>)=0<space|2fn>(<wide|f|~>\<prec\>\<frak-e\>)
    </equation>

    admits a distinguished solution <with|mode|math|<wide|f|~>=C<gb|\<frak-L\>*\<frak-B\><rsup|C>>>,
    whence <with|mode|math|f=c*\<frak-e\>+<wide|f|~>\<in\>C<gb|\<frak-L\>*\<frak-B\><rsup|C>>>
    is a distinguished solution to <no-break>(<reference|aade>). Inversely,
    if <with|mode|math|f\<neq\>0> is a distinguished solution to
    <no-break>(<reference|aade>) whose dominant term
    <with|mode|math|c*\<frak-e\>> has multiplicity
    <with|mode|math|<wide|d|~>\<less\>d>, then <with|mode|math|\<frak-e\>> is
    necessarily an equalizer, and <with|mode|math|<wide|f|~>=f-c*\<frak-e\>\<in\>C<gb|\<frak-L\>*\<frak-B\><rsup|C>>>
    a distinguished solution to (<reference|tPtF-eq>), whence
    <with|mode|math|f\<in\>C<gb|\<frak-L\><rsup|C>>>.

    If <with|mode|math|<wide|d|~>=d>, then let <with|mode|math|\<varphi\>> be
    the distinguished unraveller for (<reference|aade>), so that the equation

    <\equation>
      <label|dist-refine><wide|P|~>(<wide|f|~>)=P<rsub|+\<varphi\>>(<wide|f|~>)=0<space|2fn>(<wide|f|~>\<prec\>supp
      \<varphi\>)
    </equation>

    does not admit an algebraic starting term of multiplicity
    <with|mode|math|d>. Modulo some upward shiftings and by what precedes, it
    follows that (<reference|dist-refine>) admits a distinguished solution
    <with|mode|math|<wide|f|~>\<in\>C<gb|\<frak-L\>*\<frak-B\><rsup|C>>>. We
    conclude that <with|mode|math|f=\<varphi\>+<wide|f|~>\<in\>C<gb|\<frak-L\>*\<frak-B\><rsup|C>>>
    is a distinguished solution to (<reference|aade>). Inversely, we have
    <with|mode|math|\<varphi\>\<trianglelefteqslant\>f> for any distinguished
    solution <with|mode|math|f> of (<reference|aade>), and
    <with|mode|math|<wide|f|~>=f-\<varphi\>> is a distinguished solution to
    (<reference|dist-refine>), whence <with|mode|math|f\<in\>C<gb|\<frak-L\>*\<frak-B\><rsup|C>>>.
  </proof>

  <subsection|On the intrusion of new exponentials>

  In this chapter, we have shown how to solve (<reference|aade>) directly as
  an equation in <with|mode|math|F,\<ldots\>,<no-break>F<rsup|(r)>>. A more
  advanced method for solving (<reference|aade>) is to use <em|integral
  refinements><bi-index|integral|refinement>

  <\equation*>
    f=\<mathe\><rsup|<big|int><big|.>\<varphi\>+<wide|f|~>><space|2fn>(<wide|f|~>\<in\>C<gb|<wide|\<frak-V\>|~>>)
  </equation*>

  in addition to usual refinements. This gives a better control over the
  number of exponentials and integration constants introduced in the
  resolution process, because <with|mode|math|\<mathe\><rsup|<big|int><big|.>\<varphi\>+<wide|f|~>>>
  is often ``strongly transcendent'' over the field generated by the
  coefficients of <no-break><with|mode|math|P>, so that the equation
  rewritten in <with|mode|math|<wide|f|~>> has lower order. A full exposition
  of these techniques is outside the scope of this book, but the proof of the
  following theorem will illustrate some of the involved ideas to the reader.

  <\theorem>
    <label|exp-intrusion-th>Consider an equation of order <with|mode|math|r>
    and <with|mode|math|P\<in\>C<gb|\<frak-B\><rsup|C>>{F}<rsup|\<neq\>>> for
    some plane transbasis <with|mode|math|\<frak-B\>>. Then for each
    exponential solution <with|mode|math|f\<in\>\<bbb-T\>> to
    <with|font-shape|right|(<reference|aade>)>, there exists a transbasis
    <with|mode|math|<wide|\<frak-B\>|^>> for <no-break><with|mode|math|f>
    with <with|mode|math|card <wide|\<frak-B\>|^>\<setminus\>\<frak-B\>\<leqslant\>r>.
  </theorem>

  <\proof>
    Let us construct sequences <with|mode|math|f<rsub|0>,\<ldots\>,f<rsub|l>\<in\>\<bbb-T\>>,
    <with|mode|math|\<varphi\><rsub|0>,\<ldots\>,\<varphi\><rsub|l>\<in\>\<bbb-T\>>
    and <with|mode|math|\<frak-x\><rsub|1>,\<ldots\>,<no-break>\<frak-x\><rsub|l>\<in\>\<frak-T\>>
    such that

    <\enumerate>
      <item><with|mode|math|\<frak-X\><rsub|i>=\<frak-B\>\<cup\>{\<frak-x\><rsub|1>,\<ldots\>,\<frak-x\><rsub|i>}>
      is totally ordered for <with|mode|math|<op|\<precprec\>>>.

      <item><with|mode|math|\<varphi\><rsub|i>\<in\>C<gb|\<frak-X\><rsub|i><rsup|C>>>
      for each <with|mode|math|i={0,\<ldots\>,l}> (where we understand that
      <with|mode|math|\<frak-X\><rsub|0>=\<frak-B\>>).
    </enumerate>

    We take <with|mode|math|f<rsub|0>=f>. Given
    <with|mode|math|i\<geqslant\>0>, let <with|mode|math|\<varphi\><rsub|i>>
    be the longest truncation of <with|mode|math|f<rsub|i>>, such that
    <with|mode|math|\<varphi\><rsub|i>\<in\>C<gb|\<frak-X\><rsub|i><rsup|C>>>.
    If <with|mode|math|\<varphi\><rsub|i>=f<rsub|i>>, then the sequence is
    complete. Otherwise, we let

    <\eqnarray*>
      <tformat|<table|<row|<cell|\<frak-x\><rsub|i+1>>|<cell|=>|<cell|\<frak-d\>(f<rsub|i>-\<varphi\><rsub|i>)>>|<row|<cell|f<rsub|i+1>>|<cell|=>|<cell|(f<rsub|i>-\<varphi\><rsub|i>)<rprime|\<dag\>>.>>>>
    </eqnarray*>

    If <with|mode|math|<wide|\<frak-B\>|~>> is an arbitrary transbasis for
    <with|mode|math|f>, then <with|mode|math|C<gb|\<frak-X\><rsub|0><rsup|C>>\<varsubsetneq\>\<cdots\>\<varsubsetneq\>C<gb|\<frak-X\><rsub|l><rsup|C>>\<subseteq\>C<gb|<wide|\<frak-B\>|~><rsup|C>>>,
    so that the construction finishes for <with|mode|math|l\<leqslant\>card
    <wide|\<frak-B\>|~>\<setminus\>\<frak-B\>>. Setting
    <with|mode|math|<wide|\<frak-B\>|^>=\<frak-X\><rsub|l>>, we also observe
    that <with|mode|math|log <no-break>\<frak-x\><rsub|i>\<trianglelefteqslant\><big|int>f<rsub|i>\<in\>C<big|.><gb|<wide|\<frak-B\>|^>>>
    for all <with|mode|math|i\<in\>{1,\<ldots\>,l}>. It follows that
    <with|mode|math|<wide|\<frak-B\>|^>> is a transbasis for
    <with|mode|math|f>.

    Let us now consider another sequence <with|mode|math|\<frak-y\><rsub|1>,\<ldots\>,\<frak-y\><rsub|l>>
    with

    <\equation*>
      \<frak-y\><rsub|i+1>=<frac|f<rsub|i>-\<varphi\><rsub|i>|c(f<rsub|i>-\<varphi\><rsub|i>)>\<sim\>\<frak-x\><rsub|i+1>,
    </equation*>

    so that

    <\equation*>
      f<rsub|i+1>=\<frak-y\><rsub|i+1><rprime|\<dag\>>.
    </equation*>

    Denoting <with|mode|math|\<frak-Y\><rsub|i>=\<frak-B\>\<cup\>{\<frak-y\><rsub|1>,\<ldots\>,\<frak-y\><rsub|i>}>
    for all <with|mode|math|i\<in\>{1,\<ldots\>,l}>, we notice that
    <with|mode|math|C<gb|\<frak-Y\><rsub|l><rsup|C>>> is isomorphic to
    <with|mode|math|C<gb|\<frak-X\><rsub|l><rsup|C>>>. Now for all
    <with|mode|math|i\<in\>{1,\<ldots\>,l-1}>, we have

    <\equation*>
      \<frak-y\><rsub|i><rprime|'>=\<frak-y\><rsub|i>*\<frak-y\><rsub|i><rprime|\<dag\>>=\<frak-y\><rsub|i>*f<rsub|i>=\<frak-y\><rsub|i>*(\<varphi\><rsub|i>+c(f<rsub|i>-\<varphi\><rsub|i>)*\<frak-y\><rsub|i+1>)\<in\>C<gb|\<frak-Y\><rsub|i+1><rsup|C>>.
    </equation*>

    By strong linearity, it follows that for all
    <with|mode|math|g\<in\>C<gb|\<frak-Y\><rsub|i><rsup|C>>> and
    <with|mode|math|i\<in\>{0,\<ldots\>,l-1}>, we have
    <with|mode|math|g<rprime|'>\<in\>C<gb|\<frak-Y\><rsub|i+1><rsup|C>>> .
    Moreover, if <with|mode|math|g\<in\>C<gb|\<frak-Y\><rsub|i-1><rsup|C>>\<oplus\>C<gb|\<frak-Y\><rsub|i-1><rsup|C>><rsup|\<neq\>>*\<frak-y\><rsub|i>>,
    then the above formula also yields <with|mode|math|g<rprime|'>\<in\>C<gb|\<frak-Y\><rsub|i><rsup|C>>\<oplus\>C<gb|\<frak-Y\><rsub|i><rsup|C>><rsup|\<neq\>>*\<frak-y\><rsub|i+1>>.
    In particular,

    <\equation*>
      f<rsup|(i)>\<in\>C<gb|\<frak-Y\><rsub|i>>\<oplus\>C<gb|\<frak-Y\><rsub|i>><rsup|\<neq\>>*\<frak-y\><rsub|i+1>,
    </equation*>

    for all <with|mode|math|i\<in\>{0,\<ldots\>,l-1}>.

    Now assume for contradiction that <with|mode|math|l\<gtr\>r> and let
    <with|mode|math|f<rsup|(r)>=g+h*\<frak-y\><rsub|r+1>> with
    <with|mode|math|g,h\<in\>C<gb|\<frak-Y\><rsub|r><rsup|C>>>. Then
    substitution of <with|mode|math|f<rsup|(i)>\<in\>C<gb|\<frak-Y\><rsub|r><rsup|C>>>
    for <with|mode|math|F<rsup|(i)>> in <with|mode|math|P> for all
    <with|mode|math|i\<less\>r> and <with|mode|math|g+h*F> for
    <with|mode|math|F<rsup|(r)>> yields a non-zero polynomial
    <with|mode|math|S\<in\>C<gb|\<frak-Y\><rsub|r><rsup|C>>[F]>, which admits
    <with|mode|math|\<frak-y\><rsub|r+1>\<nin\>C<gb|\<frak-Y\><rsub|r><rsup|C>>>
    as a root. But this contradicts the fact that
    <with|mode|math|C<gb|\<frak-Y\><rsub|r><rsup|C>>> is real closed. We
    conclude that <with|mode|math|l\<leqslant\>r>, whence
    <with|mode|math|<wide|\<frak-B\>|^>> is a transbasis for
    <with|mode|math|f> with <with|mode|math|card
    <wide|\<frak-B\>|^>\<setminus\>\<frak-B\>=l\<leqslant\>r>.
  </proof>

  <\corollary>
    Consider an equation of order <with|mode|math|r> and
    <with|mode|math|P\<in\>C<gb|\<frak-B\><rsup|C>>{F}> for some transbasis
    <with|mode|math|\<frak-B\>>. Then for each solution
    <with|mode|math|f\<in\>\<bbb-T\>> to <with|font-shape|right|(<reference|aade>)>,
    there exists a transbasis <with|mode|math|<wide|\<frak-B\>|^>> for
    <no-break><with|mode|math|f> with <with|mode|math|card
    <wide|\<frak-B\>|^>\<setminus\>(\<frak-B\>\<cup\>exp<rsub|\<bbb-Z\>>
    x)\<leqslant\>r>.
  </corollary>

  <\exercise>
    Give an alternative algorithm for the resolution of (<reference|aade>),
    where, after the computation of a starting term <with|mode|math|\<tau\>>,
    we perform the refinement <with|mode|math|f=\<tau\>+\<varphi\>+<wide|f|~><space|1.2spc>(<wide|f|~>\<prec\>\<tau\>)>,
    where <with|mode|math|\<varphi\>> is the distinguished unraveller for
    <with|mode|math|P<rsub|+\<tau\>>(<wide|f|~>)=0<space|1.2spc>(<wide|f|~>\<prec\>\<tau\>)>.
  </exercise>

  <\exercise>
    If, in the algorithms of section <reference|ade-alg-sec>, we let
    <verbatim|st_term> only return the algebraic starting terms, then show
    that the algorithm <verbatim|ade_solve> will return the set of all
    distinguished solutions.
  </exercise>

  <\exercise>
    Show that there exist at most <with|mode|math|d=deg<rsub|\<frak-V\>> P>
    distinguished solutions to (<reference|aade>).
  </exercise>

  <\exercise>
    If <with|mode|math|f> is a distinguished solution to (<reference|aade>)
    and <with|mode|math|\<varphi\>\<trianglelefteqslant\>f>, then show that
    <with|mode|math|<wide|f|~>-\<varphi\>> is a distinguished solution to
    <with|mode|math|P<rsub|+\<varphi\>>(<wide|f|~>)=0<space|1.2spc>(<wide|f|~>\<prec\>supp
    \<varphi\>)>.
  </exercise>

  <\exercise>
    Improve theorem <reference|first-depth-bound> and show that we can take
    <with|mode|math|B<rsub|r,d,w>=2*r*d*w>. Hint: use exercise
    <reference|special-Pd-ex> in combination with the proof technique from
    theorem <reference|exp-intrusion-th>.
  </exercise>
</body>

<\initial>
  <\collection>
    <associate|font-base-size|12>
    <associate|page-medium|papyrus>
    <associate|page-show-hf|true>
    <associate|par-hyphen|professional>
    <associate|preamble|false>
    <associate|window height|1190400>
    <associate|window width|997120>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|NPup|<tuple|8.13|7>>
    <associate|Ndeg-ac-inv|<tuple|8.11|9>>
    <associate|Ndeg-mc-prop|<tuple|8.7|7>>
    <associate|Npol-ush-prop|<tuple|8.4|10>>
    <associate|Q-eq-once -more|<tuple|8.26|26>>
    <associate|Qdef|<tuple|8.24|19>>
    <associate|Qtaueq|<tuple|8.27|26>>
    <associate|Ricceq1|<tuple|8.18|13>>
    <associate|Ricceq2|<tuple|8.20|13>>
    <associate|aade|<tuple|E|1>>
    <associate|aade-refref|<tuple|8.26|19>>
    <associate|aade2|<tuple|RE|9>>
    <associate|aade3|<tuple|8.15|9>>
    <associate|ade|<tuple|8|?>>
    <associate|ade-alg-sec|<tuple|8.7|24>>
    <associate|ade-chap|<tuple|8|1>>
    <associate|ade-stmon-sec|<tuple|8.4|11>>
    <associate|alg-pdm|<tuple|8.14|11>>
    <associate|as-de-ex|<tuple|8.10|11>>
    <associate|auto-1|<tuple|8|1>>
    <associate|auto-10|<tuple|8.2|2>>
    <associate|auto-100|<tuple|8.3.3|8>>
    <associate|auto-101|<tuple|8.3.3|8>>
    <associate|auto-102|<tuple|8.3.3|8>>
    <associate|auto-103|<tuple|8.3.3|8>>
    <associate|auto-104|<tuple|8.3.3|8>>
    <associate|auto-105|<tuple|8.3.3|8>>
    <associate|auto-106|<tuple|8.3.3|8>>
    <associate|auto-107|<tuple|8.3.3|8>>
    <associate|auto-108|<tuple|8.3.3|8>>
    <associate|auto-109|<tuple|8.3.3|8>>
    <associate|auto-11|<tuple|8.2|2>>
    <associate|auto-110|<tuple|8.3.3|8>>
    <associate|auto-111|<tuple|8.3.3|8>>
    <associate|auto-112|<tuple|8.9|8>>
    <associate|auto-113|<tuple|8.9|8>>
    <associate|auto-114|<tuple|8.9|8>>
    <associate|auto-115|<tuple|8.9|8>>
    <associate|auto-116|<tuple|8.9|8>>
    <associate|auto-117|<tuple|8.9|8>>
    <associate|auto-118|<tuple|8.9|8>>
    <associate|auto-119|<tuple|8.9|8>>
    <associate|auto-12|<tuple|8.2|2>>
    <associate|auto-120|<tuple|8.9|8>>
    <associate|auto-121|<tuple|8.9|8>>
    <associate|auto-122|<tuple|8.9|8>>
    <associate|auto-123|<tuple|8.10|9>>
    <associate|auto-124|<tuple|8.10|9>>
    <associate|auto-125|<tuple|8.10|9>>
    <associate|auto-126|<tuple|8.11|9>>
    <associate|auto-127|<tuple|8.11|9>>
    <associate|auto-128|<tuple|8.14|9>>
    <associate|auto-129|<tuple|8.14|9>>
    <associate|auto-13|<tuple|8.1.2|2>>
    <associate|auto-130|<tuple|8.14|9>>
    <associate|auto-131|<tuple|8.14|9>>
    <associate|auto-132|<tuple|8.3.4|9>>
    <associate|auto-133|<tuple|8.3.4|9>>
    <associate|auto-134|<tuple|8.16|10>>
    <associate|auto-135|<tuple|8.16|10>>
    <associate|auto-136|<tuple|i|11>>
    <associate|auto-137|<tuple|i|11>>
    <associate|auto-138|<tuple|8.4|11>>
    <associate|auto-139|<tuple|8.4.1|11>>
    <associate|auto-14|<tuple|8.3|3>>
    <associate|auto-140|<tuple|c|12>>
    <associate|auto-141|<tuple|c|12>>
    <associate|auto-142|<tuple|8.4.2|13>>
    <associate|auto-143|<tuple|8.4.2|13>>
    <associate|auto-144|<tuple|8.4.2|13>>
    <associate|auto-145|<tuple|8.4.2|13>>
    <associate|auto-146|<tuple|8.4.2|13>>
    <associate|auto-147|<tuple|8.4.3|14>>
    <associate|auto-148|<tuple|8.4.3|14>>
    <associate|auto-149|<tuple|8.5|15>>
    <associate|auto-15|<tuple|8.3|3>>
    <associate|auto-150|<tuple|8.5.1|15>>
    <associate|auto-151|<tuple|8.5.1|15>>
    <associate|auto-152|<tuple|8.5.1|15>>
    <associate|auto-153|<tuple|8.5.1|15>>
    <associate|auto-154|<tuple|8.5.1|15>>
    <associate|auto-155|<tuple|8.5.2|16>>
    <associate|auto-156|<tuple|8.23|17>>
    <associate|auto-157|<tuple|8.6|18>>
    <associate|auto-158|<tuple|8.6|18>>
    <associate|auto-159|<tuple|8.6.1|19>>
    <associate|auto-16|<tuple|8.3|3>>
    <associate|auto-160|<tuple|8.24|19>>
    <associate|auto-161|<tuple|8.24|19>>
    <associate|auto-162|<tuple|8.26|19>>
    <associate|auto-163|<tuple|8.26|19>>
    <associate|auto-164|<tuple|8.25|20>>
    <associate|auto-165|<tuple|8.25|20>>
    <associate|auto-166|<tuple|8.6.2|20>>
    <associate|auto-167|<tuple|8.6.3|21>>
    <associate|auto-168|<tuple|8.6.4|22>>
    <associate|auto-169|<tuple|8.7|24>>
    <associate|auto-17|<tuple|8.3|3>>
    <associate|auto-170|<tuple|8.7.1|24>>
    <associate|auto-171|<tuple|3|24>>
    <associate|auto-172|<tuple|2|24>>
    <associate|auto-173|<tuple|2|25>>
    <associate|auto-174|<tuple|2|25>>
    <associate|auto-175|<tuple|8.7.2|25>>
    <associate|auto-176|<tuple|8.7.2|25>>
    <associate|auto-177|<tuple|8.26|26>>
    <associate|auto-178|<tuple|4|26>>
    <associate|auto-179|<tuple|8.28|27>>
    <associate|auto-18|<tuple|8.3|3>>
    <associate|auto-180|<tuple|8.8|27>>
    <associate|auto-181|<tuple|8.8.1|27>>
    <associate|auto-182|<tuple|8.30|28>>
    <associate|auto-183|<tuple|8.30|28>>
    <associate|auto-184|<tuple|8.34|28>>
    <associate|auto-185|<tuple|8.8.2|29>>
    <associate|auto-186|<tuple|8.8.2|29>>
    <associate|auto-187|<tuple|8.8.2|29>>
    <associate|auto-188|<tuple|8.8.3|29>>
    <associate|auto-189|<tuple|8.8.3|29>>
    <associate|auto-19|<tuple|8.3|3>>
    <associate|auto-190|<tuple|8.8.3|29>>
    <associate|auto-2|<tuple|8|1>>
    <associate|auto-20|<tuple|8.3|3>>
    <associate|auto-21|<tuple|8.3|3>>
    <associate|auto-22|<tuple|8.3|3>>
    <associate|auto-23|<tuple|8.3|3>>
    <associate|auto-24|<tuple|8.4|3>>
    <associate|auto-25|<tuple|8.4|3>>
    <associate|auto-26|<tuple|8.4|3>>
    <associate|auto-27|<tuple|8.4|3>>
    <associate|auto-28|<tuple|8.4|3>>
    <associate|auto-29|<tuple|8.4|3>>
    <associate|auto-3|<tuple|8|1>>
    <associate|auto-30|<tuple|8.4|3>>
    <associate|auto-31|<tuple|8.4|3>>
    <associate|auto-32|<tuple|8.4|3>>
    <associate|auto-33|<tuple|8.4|3>>
    <associate|auto-34|<tuple|8.4|3>>
    <associate|auto-35|<tuple|8.1.3|3>>
    <associate|auto-36|<tuple|8.1.3|3>>
    <associate|auto-37|<tuple|8.1.3|3>>
    <associate|auto-38|<tuple|8.1.3|3>>
    <associate|auto-39|<tuple|8.5|3>>
    <associate|auto-4|<tuple|8|1>>
    <associate|auto-40|<tuple|8.5|3>>
    <associate|auto-41|<tuple|8.5|3>>
    <associate|auto-42|<tuple|8.5|3>>
    <associate|auto-43|<tuple|8.5|3>>
    <associate|auto-44|<tuple|8.5|3>>
    <associate|auto-45|<tuple|8.5|3>>
    <associate|auto-46|<tuple|8.6|3>>
    <associate|auto-47|<tuple|8.6|3>>
    <associate|auto-48|<tuple|8.6|3>>
    <associate|auto-49|<tuple|8.6|3>>
    <associate|auto-5|<tuple|8.1|2>>
    <associate|auto-50|<tuple|8.6|3>>
    <associate|auto-51|<tuple|8.6|3>>
    <associate|auto-52|<tuple|8.6|3>>
    <associate|auto-53|<tuple|8.6|3>>
    <associate|auto-54|<tuple|8.6|3>>
    <associate|auto-55|<tuple|8.6|3>>
    <associate|auto-56|<tuple|8.6|3>>
    <associate|auto-57|<tuple|8.6|3>>
    <associate|auto-58|<tuple|8.1.4|4>>
    <associate|auto-59|<tuple|8.1.4|4>>
    <associate|auto-6|<tuple|8.1.1|2>>
    <associate|auto-60|<tuple|8.1.4|4>>
    <associate|auto-61|<tuple|8.1.4|4>>
    <associate|auto-62|<tuple|8.1.4|4>>
    <associate|auto-63|<tuple|8.1.4|4>>
    <associate|auto-64|<tuple|8.1.4|4>>
    <associate|auto-65|<tuple|8.7|4>>
    <associate|auto-66|<tuple|8.7|4>>
    <associate|auto-67|<tuple|8.2|4>>
    <associate|auto-68|<tuple|8.2.1|4>>
    <associate|auto-69|<tuple|8.2.1|4>>
    <associate|auto-7|<tuple|8.1.1|2>>
    <associate|auto-70|<tuple|8.2.1|4>>
    <associate|auto-71|<tuple|8.2.1|4>>
    <associate|auto-72|<tuple|8.2.1|4>>
    <associate|auto-73|<tuple|8.2.2|5>>
    <associate|auto-74|<tuple|8.2.2|5>>
    <associate|auto-75|<tuple|8.2.2|5>>
    <associate|auto-76|<tuple|8.2.2|5>>
    <associate|auto-77|<tuple|8.2.2|5>>
    <associate|auto-78|<tuple|8.2.3|5>>
    <associate|auto-79|<tuple|8.2.3|5>>
    <associate|auto-8|<tuple|8.2|2>>
    <associate|auto-80|<tuple|8.2.3|5>>
    <associate|auto-81|<tuple|8.2.3|5>>
    <associate|auto-82|<tuple|8.2.3|5>>
    <associate|auto-83|<tuple|8.2.3|5>>
    <associate|auto-84|<tuple|8.2.3|5>>
    <associate|auto-85|<tuple|8.2.3|5>>
    <associate|auto-86|<tuple|8.12|5>>
    <associate|auto-87|<tuple|8.12|5>>
    <associate|auto-88|<tuple|8.12|6>>
    <associate|auto-89|<tuple|8.3|6>>
    <associate|auto-9|<tuple|8.2|2>>
    <associate|auto-90|<tuple|8.3.1|6>>
    <associate|auto-91|<tuple|8.13|7>>
    <associate|auto-92|<tuple|8.13|7>>
    <associate|auto-93|<tuple|8.13|7>>
    <associate|auto-94|<tuple|8.13|7>>
    <associate|auto-95|<tuple|8.13|7>>
    <associate|auto-96|<tuple|8.13|7>>
    <associate|auto-97|<tuple|8.13|7>>
    <associate|auto-98|<tuple|8.13|7>>
    <associate|auto-99|<tuple|8.3.2|7>>
    <associate|comp-partial-unrav|<tuple|8.28|26>>
    <associate|comp-refine|<tuple|8.16|10>>
    <associate|dNpol-sec|<tuple|8.3.1|6>>
    <associate|diff-New-polygon|<tuple|8.17|14>>
    <associate|diff-pdm|<tuple|8.16|13>>
    <associate|diff-trans-ex-1|<tuple|8.25|27>>
    <associate|dist-refine|<tuple|8.33|29>>
    <associate|dist-sol-cor|<tuple|8.24|17>>
    <associate|dist-unr-th|<tuple|8.33|27>>
    <associate|dist-unrav-b|<tuple|8.29|27>>
    <associate|dist-unrav-eq|<tuple|8.31|28>>
    <associate|dist-unrav-finest|<tuple|8.30|28>>
    <associate|dom-mc-prop|<tuple|8.2|5>>
    <associate|dpol-ac-conj|<tuple|8.1|5>>
    <associate|dpol-shift-sec|<tuple|8.2.3|5>>
    <associate|dpol-ush-asymp|<tuple|8.3|6>>
    <associate|dpol:asympdec|<tuple|8.2|2>>
    <associate|dpol:degrees|<tuple|8.3|2>>
    <associate|dpol:homdec|<tuple|8.4|3>>
    <associate|dpol:homponddec|<tuple|8.6|3>>
    <associate|dpol:log|<tuple|8.7|4>>
    <associate|dpol:orders|<tuple|8.5|3>>
    <associate|exp-intrusion-th|<tuple|8.37|30>>
    <associate|extend-partial-unrav|<tuple|8.27|20>>
    <associate|fake-double-sol|<tuple|8.1|1>>
    <associate|fe:ac|<tuple|8.9|4>>
    <associate|fe:ds|<tuple|8.12|5>>
    <associate|fe:mc|<tuple|8.10|5>>
    <associate|fe:us|<tuple|8.11|5>>
    <associate|finest-atomic-unrav|<tuple|8.26|19>>
    <associate|finest-part-unr|<tuple|8.25|?>>
    <associate|finest-punr-cor|<tuple|8.32|23>>
    <associate|first-depth-bound|<tuple|8.31|22>>
    <associate|flat-dom-lem|<tuple|8.8|8>>
    <associate|homeq1|<tuple|8.17|13>>
    <associate|homeq2|<tuple|8.19|13>>
    <associate|ith|<tuple|8|1>>
    <associate|log-conv|<tuple|8.28|20>>
    <associate|mult-conj|<tuple|8.10|5>>
    <associate|mult-xpow-lem|<tuple|8.29|21>>
    <associate|nl-dist-sol|<tuple|8.21|15>>
    <associate|no-new-logs|<tuple|8.30|21>>
    <associate|partial-unravel-sec|<tuple|8.6.1|19>>
    <associate|pdm-sec|<tuple|8.3.3|8>>
    <associate|posteriori-unrav|<tuple|8.24|24>>
    <associate|ql-depth-th|<tuple|8.23|17>>
    <associate|ql-lem|<tuple|8.19|15>>
    <associate|ql-lem-2|<tuple|8.20|16>>
    <associate|ql-sec|<tuple|8.5|15>>
    <associate|qldom|<tuple|8.22|16>>
    <associate|qlin-gen-sol-th|<tuple|8.25|17>>
    <associate|qlth|<tuple|8.21|16>>
    <associate|refine|<tuple|R|9>>
    <associate|refprop|<tuple|8.13|10>>
    <associate|sec-refine|<tuple|RR|9>>
    <associate|sign-IL|<tuple|8.8|4>>
    <associate|sol-mod-init-seg-eq|<tuple|8.14|9>>
    <associate|special-Pd-ex|<tuple|8.22|23>>
    <associate|stterm-prop|<tuple|8.10|8>>
    <associate|tPtF-eq|<tuple|8.32|29>>
    <associate|tPtF\<longminus\>\<longminus\>eq|<tuple|8.30|?>>
    <associate|tQ-eq|<tuple|8.25|19>>
    <associate|toc-1|<tuple|8|1>>
    <associate|toc-10|<tuple|8.2.3|5>>
    <associate|toc-11|<tuple|8.3|6>>
    <associate|toc-12|<tuple|8.3.1|6>>
    <associate|toc-13|<tuple|8.3.2|7>>
    <associate|toc-14|<tuple|8.3.3|8>>
    <associate|toc-15|<tuple|8.3.4|9>>
    <associate|toc-16|<tuple|8.4|10>>
    <associate|toc-17|<tuple|8.4.1|10>>
    <associate|toc-18|<tuple|8.4.2|12>>
    <associate|toc-19|<tuple|8.4.3|13>>
    <associate|toc-2|<tuple|8.1|2>>
    <associate|toc-20|<tuple|8.5|14>>
    <associate|toc-21|<tuple|8.5.1|14>>
    <associate|toc-22|<tuple|8.5.2|15>>
    <associate|toc-23|<tuple|8.6|17>>
    <associate|toc-24|<tuple|8.6.1|18>>
    <associate|toc-25|<tuple|8.6.2|19>>
    <associate|toc-26|<tuple|8.6.3|20>>
    <associate|toc-27|<tuple|8.6.4|21>>
    <associate|toc-28|<tuple|8.7|22>>
    <associate|toc-29|<tuple|8.7.1|22>>
    <associate|toc-3|<tuple|8.1.1|2>>
    <associate|toc-30|<tuple|8.7.2|23>>
    <associate|toc-31|<tuple|8.8|24>>
    <associate|toc-32|<tuple|8.8.1|24>>
    <associate|toc-33|<tuple|8.8.2|26>>
    <associate|toc-34|<tuple|8.8.3|27>>
    <associate|toc-35|<tuple|8.9|?>>
    <associate|toc-36|<tuple|8.9|?>>
    <associate|toc-4|<tuple|8.1.2|2>>
    <associate|toc-5|<tuple|8.1.3|3>>
    <associate|toc-6|<tuple|8.1.4|3>>
    <associate|toc-7|<tuple|8.2|4>>
    <associate|toc-8|<tuple|8.2.1|4>>
    <associate|toc-9|<tuple|8.2.2|5>>
    <associate|transbasis-equilizer|<tuple|8.15|12>>
    <associate|unrav|<tuple|8.23|18>>
    <associate|unravel-sec|<tuple|8.6|18>>
    <associate|us-dom-dom-part|<tuple|8.4|6>>
    <associate|usth|<tuple|8.6|7>>
    <associate|usth-lem|<tuple|8.5|7>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|bib>
      vdH:phd

      vdH:osc
    </associate>
    <\associate|gly>
      <tuple|<vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|Chapter
      8. Algebraic differential equations><vspace|1fn>>

      <tuple|normal|<with|mode|<quote|math>|P<rsub|\<frak-m\>>>|coefficient
      of <with|mode|<quote|math>|\<frak-m\>> in differential polynomial
      <with|mode|<quote|math>|P>|<pageref|auto-7>>

      <tuple|normal|<with|mode|<quote|math>|D<rsub|P>>|dominant coefficient
      of <with|mode|<quote|math>|P>|<pageref|auto-12>>

      <tuple|normal|<with|mode|<quote|math>|f<rsup|\<b-i\>>>|shorthand for
      <with|mode|<quote|math>|f<rsup|i<rsub|0>>*\<cdots\>*(f<rsup|(r)>)<rsup|i<rsub|r>>>|<pageref|auto-14>>

      <tuple|normal|<with|mode|<quote|math>|P<rsub|\<b-i\>>>|coefficient of
      <with|mode|<quote|math>|f<rsup|\<b-i\>>> in
      <with|mode|<quote|math>|P>|<pageref|auto-15>>

      <tuple|normal|<with|mode|<quote|math>|P<rsub|i>>|<with|mode|<quote|math>|i>-th
      homogeneous part of <with|mode|<quote|math>|P>|<pageref|auto-23>>

      <tuple|normal|<with|mode|<quote|math>|deg P>|(total) degree of
      <with|mode|<quote|math>|P>|<pageref|auto-27>>

      <tuple|normal|<with|mode|<quote|math>|val P>|differential valuation of
      <with|mode|<quote|math>|P>|<pageref|auto-31>>

      <tuple|normal|<with|mode|<quote|math>|f<rsup|[\<b-omega\>]>>|shorthand
      for <with|mode|<quote|math>|f<rsup|(\<omega\><rsub|1>)>*\<cdots\>*f<rsup|(\<omega\><rsub|l>)>>|<pageref|auto-39>>

      <tuple|normal|<with|mode|<quote|math>|P<rsub|[\<b-omega\>]>>|(normalized)
      coefficient of <with|mode|<quote|math>|f<rsup|[\<b-omega\>]>> in
      <with|mode|<quote|math>|P>|<pageref|auto-40>>

      <tuple|normal|<with|mode|<quote|math>|P<rsub|[\<omega\>]>>|<with|mode|<quote|math>|\<omega\>>-th
      homoponderal part of <with|mode|<quote|math>|P>|<pageref|auto-45>>

      <tuple|normal|<with|mode|<quote|math>|wt P>|weight of
      <with|mode|<quote|math>|P>|<pageref|auto-49>>

      <tuple|normal|<with|mode|<quote|math>|pv P>|pondered differential
      valuation of <with|mode|<quote|math>|P>|<pageref|auto-53>>

      <tuple|normal|<with|mode|<quote|math>|f<rsup|\<langle\>i\<rangle\>>>|<with|mode|<quote|math>|i>-th
      iterated logarithmic derivative <with|mode|<quote|math>|f<rsup|<space|0.2spc>\<dag\>\<cdots\>\<dag\>>>|<pageref|auto-61>>

      <tuple|normal|<with|mode|<quote|math>|f<rsup|\<langle\>\<b-i\>\<rangle\>>>|shorthand
      for <with|mode|<quote|math>|f<rsup|i<rsub|0>>*(f<rprime|\<dag\>>)<rsup|i<rsub|1>>*\<cdots\>*(f<rsup|\<langle\>r\<rangle\>>)<rsup|i<rsub|r>>>|<pageref|auto-65>>

      <tuple|normal|<with|mode|<quote|math>|P<rsub|\<langle\>\<b-i\>\<rangle\>>>|coefficient
      of <with|mode|<quote|math>|f<rsup|\<langle\>\<b-i\>\<rangle\>>> in
      <with|mode|<quote|math>|P>|<pageref|auto-66>>

      <tuple|normal|<with|mode|<quote|math>|P<rsub|+h>>|additive conjugation
      of <with|mode|<quote|math>|P> with <with|mode|<quote|math>|h>|<pageref|auto-72>>

      <tuple|normal|<with|mode|<quote|math>|P<rsub|\<times\>h>>|multiplicative
      conjugation of <with|mode|<quote|math>|P> with
      <with|mode|<quote|math>|h>|<pageref|auto-77>>

      <tuple|normal|<with|mode|<quote|math>|P\<uparrow\>,P\<downarrow\>>|upward
      and downward shiftings of <with|mode|<quote|math>|P>|<pageref|auto-85>>

      <tuple|normal|<with|mode|<quote|math>|s<rsub|\<b-tau\>,\<b-omega\>>>|generalized
      Stirling number of the first kind|<pageref|auto-86>>

      <tuple|normal|<with|mode|<quote|math>|S<rsub|\<b-tau\>,\<b-omega\>>>|generalized
      Stirling number of the second kind|<pageref|auto-88>>

      <tuple|normal|<with|mode|<quote|math>|N<rsub|P>>|differential Newton
      polynomial for <with|mode|<quote|math>|P>|<pageref|auto-91>>

      <tuple|normal|<with|mode|<quote|math>|deg<rsub|\<frak-V\>> P>|Newton
      degree of <with|mode|<quote|math>|P(f)=0<space|1.2spc>(f\<in\>C<with|math-font-family|<quote|mt>|[<space|-0.6spc>[>\<frak-V\><with|math-font-family|<quote|mt>|]<space|-0.6spc>]>)>|<pageref|auto-125>>

      <tuple|normal|<with|mode|<quote|math>|\<frak-e\><rsub|P,i,j>>|<with|mode|<quote|math>|(i,j)>-equalizer
      for <with|mode|<quote|math>|P>|<pageref|auto-140>>

      <tuple|normal|<with|mode|<quote|math>|R<rsub|P<rsub|i>>>|differential
      Riccati polynomial associated to <with|mode|<quote|math>|P<rsub|i>>|<pageref|auto-143>>

      <tuple|normal|<with|mode|<quote|math>|\<frak-E\>>|set of exponential
      transmonomials|<pageref|auto-156>>

      <tuple|normal|<with|mode|<quote|math>|\<frak-L\>>|set of logarithmic
      transmonomials|<pageref|auto-184>>
    </associate>
    <\associate|idx>
      <tuple|<tuple|differential|algebraic <with|font|<quote|roman>|\V>
      equation>|<pageref|auto-2>>

      <tuple|<tuple|asymptotic|differential equation>|<pageref|auto-3>>

      <tuple|<tuple|differential|algebraic <with|font|<quote|roman>|\V>
      equation|asymptotic>|<pageref|auto-4>>

      <tuple|<tuple|serial|decomposition>|<pageref|auto-8>>

      <tuple|<tuple|decomposition|serial>|<pageref|auto-9>>

      <tuple|<tuple|differential|polynomial|decomposition|serial>|<pageref|auto-10>>

      <tuple|<tuple|polynomial|differential|decomposition|serial>|<pageref|auto-11>>

      <tuple|<tuple|differential|polynomial|decomposition|by
      degrees>|<pageref|auto-16>>

      <tuple|<tuple|polynomial|differential|decomposition|by
      degrees>|<pageref|auto-17>>

      <tuple|<tuple|decomposition|by degrees>|<pageref|auto-18>>

      <tuple|<tuple|homogeneous|part|differential
      polynomial>|<pageref|auto-19>>

      <tuple|<tuple|part|homogeneous|differential
      polynomial>|<pageref|auto-20>>

      <tuple|<tuple|differential|polynomial|homogeneous
      part>|<pageref|auto-21>>

      <tuple|<tuple|polynomial|differential|homogeneous
      part>|<pageref|auto-22>>

      <tuple|<tuple|differential|polynomial|decomposition|into homogeneous
      parts>|<pageref|auto-24>>

      <tuple|<tuple|polynomial|differential|decomposition|into homogeneous
      parts>|<pageref|auto-25>>

      <tuple|<tuple|decomposition|into homogeneous parts>|<pageref|auto-26>>

      <tuple|<tuple|differential|polynomial|degree>|<pageref|auto-28>>

      <tuple|<tuple|polynomial|differential|degree>|<pageref|auto-29>>

      <tuple|<tuple|degree|differential polynomial>|<pageref|auto-30>>

      <tuple|<tuple|differential|polynomial|valuation>|<pageref|auto-32>>

      <tuple|<tuple|polynomial|differential|valuation>|<pageref|auto-33>>

      <tuple|<tuple|valuation|differential polynomial>|<pageref|auto-34>>

      <tuple|<tuple|differential|polynomial|decomposition|by
      orders>|<pageref|auto-36>>

      <tuple|<tuple|polynomial|differential|decomposition|by
      orders>|<pageref|auto-37>>

      <tuple|<tuple|decomposition|by orders>|<pageref|auto-38>>

      <tuple|<tuple|weight|vector>|<pageref|auto-41>>

      <tuple|<tuple|homoponderal part>|<pageref|auto-42>>

      <tuple|<tuple|differential|polynomial|homoponderal
      part>|<pageref|auto-43>>

      <tuple|<tuple|polynomial|differential|homoponderal
      part>|<pageref|auto-44>>

      <tuple|<tuple|differential|polynomial|decomposition|into homoponderal
      parts>|<pageref|auto-46>>

      <tuple|<tuple|polynomial|differential|decomposition|into homoponderal
      parts>|<pageref|auto-47>>

      <tuple|<tuple|decomposition|into homoponderal parts>|<pageref|auto-48>>

      <tuple|<tuple|weight|differential polynomial>|<pageref|auto-50>>

      <tuple|<tuple|differential|polynomial|weight>|<pageref|auto-51>>

      <tuple|<tuple|polynomial|differential|weight>|<pageref|auto-52>>

      <tuple|<tuple|differential|polynomial|pondered
      valuation>|<pageref|auto-54>>

      <tuple|<tuple|polynomial|differential|pondered
      valuation>|<pageref|auto-55>>

      <tuple|<tuple|valuation|differential
      polynomial|pondered>|<pageref|auto-56>>

      <tuple|<tuple|pondered valuation>|<pageref|auto-57>>

      <tuple|<tuple|logarithmic|derivative|iterated>|<pageref|auto-59>>

      <tuple|<tuple|derivative|logarithmic|iterated>|<pageref|auto-60>>

      <tuple|<tuple|differential|polynomial|decomposition|logarithmic>|<pageref|auto-62>>

      <tuple|<tuple|polynomial|differential|decomposition|logarithmic>|<pageref|auto-63>>

      <tuple|<tuple|decomposition|logarithmic>|<pageref|auto-64>>

      <tuple|<tuple|additive conjugate>|<pageref|auto-69>>

      <tuple|<tuple|conjugate|additive>|<pageref|auto-70>>

      <tuple|<tuple|differential|polynomial|additive
      conjugate>|<pageref|auto-71>>

      <tuple|<tuple|multiplicative conjugate>|<pageref|auto-74>>

      <tuple|<tuple|conjugate|multiplicative>|<pageref|auto-75>>

      <tuple|<tuple|differential|polynomial|multiplicative
      conjugate>|<pageref|auto-76>>

      <tuple|<tuple|upward shifting>|<pageref|auto-79>>

      <tuple|<tuple|shifting|upward>|<pageref|auto-80>>

      <tuple|<tuple|differential|polynomial|upward
      shifting>|<pageref|auto-81>>

      <tuple|<tuple|downward shifting>|<pageref|auto-82>>

      <tuple|<tuple|shifting|downward>|<pageref|auto-83>>

      <tuple|<tuple|differential|polynomial|downward
      shifting>|<pageref|auto-84>>

      <tuple|<tuple|Stirling number>|<pageref|auto-87>>

      <tuple|<tuple|differential|polynomial|Newton>|<pageref|auto-92>>

      <tuple|<tuple|polynomial|differential|Newton>|<pageref|auto-93>>

      <tuple|<tuple|polynomial|Newton|differential>|<pageref|auto-94>>

      <tuple|<tuple|differential|polynomial|transparent>|<pageref|auto-95>>

      <tuple|<tuple|polynomial|differential|transparent>|<pageref|auto-96>>

      <tuple|<tuple|transparent|differential polynomial>|<pageref|auto-97>>

      <tuple|<tuple|transparent|transseries>|<pageref|auto-98>>

      <tuple|<tuple|starting|monomial>|<pageref|auto-101>>

      <tuple|<tuple|monomial|starting>|<pageref|auto-102>>

      <tuple|<tuple|starting|monomial|algebraic>|<pageref|auto-103>>

      <tuple|<tuple|monomial|starting|algebraic>|<pageref|auto-104>>

      <tuple|<tuple|algebraic|starting monomial>|<pageref|auto-105>>

      <tuple|<tuple|starting|monomial|differential>|<pageref|auto-106>>

      <tuple|<tuple|monomial|starting|differential>|<pageref|auto-107>>

      <tuple|<tuple|differential|starting monomial>|<pageref|auto-108>>

      <tuple|<tuple|starting|monomial|mixed>|<pageref|auto-109>>

      <tuple|<tuple|monomial|starting|mixed>|<pageref|auto-110>>

      <tuple|<tuple|mixed starting monomial>|<pageref|auto-111>>

      <tuple|<tuple|starting|term>|<pageref|auto-112>>

      <tuple|<tuple|term|starting>|<pageref|auto-113>>

      <tuple|<tuple|starting|term|algebraic>|<pageref|auto-114>>

      <tuple|<tuple|term|starting|algebraic>|<pageref|auto-115>>

      <tuple|<tuple|algebraic|starting term>|<pageref|auto-116>>

      <tuple|<tuple|starting|term|differential>|<pageref|auto-117>>

      <tuple|<tuple|term|starting|differential>|<pageref|auto-118>>

      <tuple|<tuple|differential|starting term>|<pageref|auto-119>>

      <tuple|<tuple|multiplicity|starting term>|<pageref|auto-120>>

      <tuple|<tuple|starting|term|multiplicity>|<pageref|auto-121>>

      <tuple|<tuple|term|starting|multiplicity>|<pageref|auto-122>>

      <tuple|<tuple|Newton|degree>|<pageref|auto-123>>

      <tuple|<tuple|degree|Newton>|<pageref|auto-124>>

      <tuple|<tuple|solution|modulo <with|mode|<quote|math>|\<frak-W\>>>|<pageref|auto-126>>

      <tuple|<tuple|asymptotic|differential equation|solution modulo
      <with|mode|<quote|math>|\<frak-W\>>>|<pageref|auto-127>>

      <tuple|<tuple|multiplicity|solution modulo
      <with|mode|<quote|math>|\<frak-W\>>>|<pageref|auto-128>>

      <tuple|<tuple|solution|modulo <with|mode|<quote|math>|\<frak-W\>>|multiplicity>|<pageref|auto-129>>

      <tuple|<tuple|normalized solution modulo
      <with|mode|<quote|math>|\<frak-W\>>>|<pageref|auto-130>>

      <tuple|<tuple|solution|modulo <with|mode|<quote|math>|\<frak-W\>>|normalized>|<pageref|auto-131>>

      <tuple|<tuple|refinement>|<pageref|auto-133>>

      <tuple|<tuple|finer refinement>|<pageref|auto-134>>

      <tuple|<tuple|refinement|finer>|<pageref|auto-135>>

      <tuple|<tuple|asymptotic|decomposition>|<pageref|auto-136>>

      <tuple|<tuple|decomposition|asymptotic>|<pageref|auto-137>>

      <tuple|<tuple|equalizer>|<pageref|auto-141>>

      <tuple|<tuple|differential|Riccati polynomial>|<pageref|auto-144>>

      <tuple|<tuple|polynomial|differential Riccati
      <with|font|<quote|roman>|\V>>|<pageref|auto-145>>

      <tuple|<tuple|Riccati|differential <with|font|<quote|roman>|\V>
      polynomial>|<pageref|auto-146>>

      <tuple|<tuple|Newton|polygon|differential>|<pageref|auto-148>>

      <tuple|<tuple|quasi-linear|equation>|<pageref|auto-151>>

      <tuple|<tuple|equation|quasi-linear>|<pageref|auto-152>>

      <tuple|<tuple|distinguished|solution>|<pageref|auto-153>>

      <tuple|<tuple|solution|distinguished>|<pageref|auto-154>>

      <tuple|<tuple|unravelling|total>|<pageref|auto-158>>

      <tuple|<tuple|atomic|unravelling>|<pageref|auto-160>>

      <tuple|<tuple|unravelling|atomic>|<pageref|auto-161>>

      <tuple|<tuple|compatible|refinement>|<pageref|auto-162>>

      <tuple|<tuple|refinement|compatible>|<pageref|auto-163>>

      <tuple|<tuple|partial|unravelling>|<pageref|auto-164>>

      <tuple|<tuple|unravelling|partial>|<pageref|auto-165>>

      <tuple|<tuple|<with|font-family|<quote|tt>|language|<quote|verbatim>|alg_st_mon>>|<pageref|auto-171>>

      <tuple|<tuple|<with|font-family|<quote|tt>|language|<quote|verbatim>|Newton_degree>>|<pageref|auto-172>>

      <tuple|<tuple|<with|font-family|<quote|tt>|language|<quote|verbatim>|diff_st_mon>>|<pageref|auto-173>>

      <tuple|<tuple|<with|font-family|<quote|tt>|language|<quote|verbatim>|st_term>>|<pageref|auto-174>>

      <tuple|<tuple|<with|font-family|<quote|tt>|language|<quote|verbatim>|ade_solve>>|<pageref|auto-176>>

      <tuple|<tuple|<with|font-family|<quote|tt>|language|<quote|verbatim>|ade_solve_sub>>|<pageref|auto-177>>

      <tuple|<tuple|<with|font-family|<quote|tt>|language|<quote|verbatim>|unravel>>|<pageref|auto-178>>

      <tuple|<tuple|<with|font-family|<quote|tt>|language|<quote|verbatim>|unravel_sub>>|<pageref|auto-179>>

      <tuple|<tuple|distinguished|unraveller>|<pageref|auto-182>>

      <tuple|<tuple|unraveller|distinguished>|<pageref|auto-183>>

      <tuple|<tuple|distinguished|solution>|<pageref|auto-186>>

      <tuple|<tuple|solution|distinguished>|<pageref|auto-187>>

      <tuple|<tuple|integral|refinement>|<pageref|auto-189>>

      <tuple|<tuple|refinement|integral>|<pageref|auto-190>>
    </associate>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|font-shape|<quote|small-caps>|8.<space|2spc>Algebraic
      differential equations> <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-1><vspace|0.5fn>

      8.1.<space|2spc>Decomposing differential polynomials
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-5>

      <with|par-left|<quote|1.5fn>|8.1.1.<space|2spc>Serial decomposition
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-6>>

      <with|par-left|<quote|1.5fn>|8.1.2.<space|2spc>Decomposition by degrees
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-13>>

      <with|par-left|<quote|1.5fn>|8.1.3.<space|2spc>Decomposition by orders
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-35>>

      <with|par-left|<quote|1.5fn>|8.1.4.<space|2spc>Logarithmic
      decomposition <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-58>>

      8.2.<space|2spc>Operations on differential polynomials
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-67>

      <with|par-left|<quote|1.5fn>|8.2.1.<space|2spc>Additive conjugation
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-68>>

      <with|par-left|<quote|1.5fn>|8.2.2.<space|2spc>Multiplicative
      conjugation <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-73>>

      <with|par-left|<quote|1.5fn>|8.2.3.<space|2spc>Upward and downward
      shifting <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-78>>

      8.3.<space|2spc>The differential Newton polygon method
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-89>

      <with|par-left|<quote|1.5fn>|8.3.1.<space|2spc>Differential Newton
      polynomials <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-90>>

      <with|par-left|<quote|1.5fn>|8.3.2.<space|2spc>Properties of
      differential Newton polynomials <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-99>>

      <with|par-left|<quote|1.5fn>|8.3.3.<space|2spc>Starting terms
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-100>>

      <with|par-left|<quote|1.5fn>|8.3.4.<space|2spc>Refinements
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-132>>

      8.4.<space|2spc>Finding the starting monomials
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-138>

      <with|par-left|<quote|1.5fn>|8.4.1.<space|2spc>Algebraic starting
      monomials <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-139>>

      <with|par-left|<quote|1.5fn>|8.4.2.<space|2spc>Differential starting
      monomials <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-142>>

      <with|par-left|<quote|1.5fn>|8.4.3.<space|2spc>On the shape of the
      differential Newton polygon <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-147>>

      8.5.<space|2spc>Quasi-linear equations
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-149>

      <with|par-left|<quote|1.5fn>|8.5.1.<space|2spc>Distinguished solutions
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-150>>

      <with|par-left|<quote|1.5fn>|8.5.2.<space|2spc>General solutions
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-155>>

      8.6.<space|2spc>Unravelling almost multiple solutions
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-157>

      <with|par-left|<quote|1.5fn>|8.6.1.<space|2spc>Partial unravellings
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-159>>

      <with|par-left|<quote|1.5fn>|8.6.2.<space|2spc>Logarithmic slow-down of
      the unravelling process <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-166>>

      <with|par-left|<quote|1.5fn>|8.6.3.<space|2spc>On the stagnation of the
      depth <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-167>>

      <with|par-left|<quote|1.5fn>|8.6.4.<space|2spc>Bounding the depths of
      solutions <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-168>>

      8.7.<space|2spc>Algorithmic resolution
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-169>

      <with|par-left|<quote|1.5fn>|8.7.1.<space|2spc>Computing starting terms
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-170>>

      <with|par-left|<quote|1.5fn>|8.7.2.<space|2spc>Solving the differential
      equation <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-175>>

      8.8.<space|2spc>Structure theorems <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-180>

      <with|par-left|<quote|1.5fn>|8.8.1.<space|2spc>Distinguished
      unravellers <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-181>>

      <with|par-left|<quote|1.5fn>|8.8.2.<space|2spc>Distinguished solutions
      and their existence <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-185>>

      <with|par-left|<quote|1.5fn>|8.8.3.<space|2spc>On the intrusion of new
      exponentials <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-188>>
    </associate>
  </collection>
</auxiliary>