<TeXmacs|1.0.4.4>

<project|ln.tp>

<style|tmbook>

<\body>
  <assign|chapter-nr|8><chapter|The intermediate value theorem>

  <label|ivt-chap><glossary-line|<vspace*|1fn><strong|Chapter 9. The
  intermediate value theorem><vspace|1fn>>The main aim of this chapter is to
  prove the intermediate value theorem: given a differential polynomial
  <with|mode|math|P\<in\>\<bbb-T\>{F}> over the transseries and
  <with|mode|math|f\<less\>g\<in\>\<bbb-T\>> with
  <with|mode|math|P(f)*P(g)\<less\>0>, there exists an
  <with|mode|math|h\<in\>\<bbb-T\>> with <with|mode|math|f\<less\>h\<less\>g>
  and <with|mode|math|P(h)=0>. In particular, any differential polynomial
  <with|mode|math|P\<in\>\<bbb-T\>{F}> of odd degree admits a zero in
  <with|mode|math|\<bbb-T\>>.

  The intermediate value theorem is interesting from several points of view.
  First of all, it gives a simple sufficient condition for the existence of
  zeros of differential polynomials. This is complementary to the theory from
  the previous section, in which we gave a theoretical algorithm to compute
  all solutions, but no simple criterion for the existence of a solution
  (except for theorem <reference|dist-unr-th>).

  Secondly, the intermediate value theorem has a strong geometric appeal.
  When considering differential polynomials as functions on
  <with|mode|math|\<bbb-T\>>, a natural question is to determine their
  geometric behaviour and in particular to localize their zeros. Another
  question would be to find the extremal and inflexion points. It is already
  known that extremal values are not necessarily attained. For instance, the
  differential polynomial

  <\equation*>
    P(f)=f<rsup|2>+2*f<rprime|'>
  </equation*>

  admits its minimal ``value''

  <\equation*>
    -<frac|1|x<rsup|2>>-<frac|1|x<rsup|2>*log<rsup|2>
    x>-<frac|1|x<rsup|2>*log<rsup|2> x*log<rsub|2><rsup|2>
    x*\<cdots\>>-\<cdots\>
  </equation*>

  ``in''

  <\equation*>
    f=<frac|1|x>+<frac|1|x*log x>+<frac|1|x*log x*log<rsub|2> x>+\<cdots\>.
  </equation*>

  In the future, we plan to classify all such non-standard ``cuts'' which
  occur as local extrema of differential polynomials. In particular, we
  expect that a cut occurs as a local minimum if and only of it occurs as a
  local maximum for another differential polynomial.

  Finally, the intermediate value theorem is a starting point for the further
  development of the model theory for ordered differential algebra. Indeed,
  the field of transseries is a good candidate for an existentially closed
  model of this theory, <abbr|i.e.> a ``real differentially algebraically
  closed field''. Such fields are necessarily closed under the resolution of
  first order linear differential equations and they satisfy the intermediate
  value theorem. It remains to be investigated which additional properties
  should be satisfied and the geometric aspects of real differential
  polynomials may serve as a source of inspiration.

  In order to prove the intermediate value theorem, the bulk of this chapter
  is devoted to a detailed geometric study of the ``transline''
  <with|mode|math|\<bbb-T\>> and differentially polynomial functions on it.
  Since the field of transseries is highly non-Archimedean, it contains lots
  of cuts. Such cuts may have several origins: incompleteness of the constant
  field (if <with|mode|math|C\<neq\>\<bbb-R\>>), the grid-based serial nature
  of <with|mode|math|\<bbb-T\>>, and exponentiation. In sections
  <no-break><reference|compact-order-sec>,
  <no-break><reference|compact-ordfield-sec>,
  <no-break><reference|compact-ser-sec> and <reference|compact-ts-sec> we
  study these different types of cuts and prove a classification theorem.

  Although the classification of cuts gives us a better insight in the
  geometry of the transline, the representation we use is not very convenient
  with respect to differentiation. In section <reference|integral-nbh-sec>,
  we therefore introduce another way to represent cuts using integral nested
  sequences of the form

  <\equation*>
    <wide|f|\<wide-bar\>>=\<varphi\><rsub|0>+\<epsilon\><rsub|0>*\<mathe\><rsup|<big|int>\<varphi\><rsub|1>+\<epsilon\><rsub|1>*\<mathe\><rsup|<big|int>\<udots\><rsup|\<varphi\><rsub|k-1>+\<epsilon\><rsub|k-1>*\<mathe\><rsup|<big|int><wide|f|\<wide-bar\>><rsub|k><big|.>>><big|.>><big|.>>.
  </equation*>

  This representation makes it possible to characterize the behaviour of
  differential polynomials in so called ``integral neighbourhoods'' of cuts,
  as we will see in section <no-break><reference|diff-pol-cut-sec>. In the
  last section, we combine the local properties of differential polynomials
  near cuts with the Newton polygon method from chapter <reference|ade-chap>,
  and prove the intermediate value theorem. We essentially use a
  generalization of the well-known dichotomic method for finding roots.

  <section|Compactification of total orderings><label|compact-order-sec>

  <subsection|The interval topology on total orderings>

  Any totally ordered set <with|mode|math|E> has a natural topology, called
  the <em|interval topology><subindex|interval|topology>, whose open sets are
  arbitrary unions of open intervals. We recall that an
  <em|interval><index|interval> is a subset <with|mode|math|I> of
  <with|mode|math|E>, such that for each <with|mode|math|x\<less\>y\<less\>z>
  with <with|mode|math|x,z\<in\>I>, we have <with|mode|math|y\<in\>I>. An
  interval <with|mode|math|I\<subseteq\>E> is said to be
  <em|open><bi-index*|open|interval>, if for each <with|mode|math|x\<in\>I>
  we have: <with|mode|math|x> is minimal resp. maximal in <with|mode|math|I>,
  if and only if <with|mode|math|x> is minimal resp. maximal in
  <with|mode|math|E>.

  A set <with|mode|math|U\<subseteq\>E> is <em|open> if every point in
  <with|mode|math|U> is contained in an open interval
  <with|mode|math|I\<subseteq\>U>. Arbitrary unions of open sets are clearly
  open. The intersection of two open intervals <with|mode|math|I> and
  <with|mode|math|J> is again open: if <with|mode|math|x> is minimal or
  maximal in <with|mode|math|I\<cap\>J>, then it is in particular minimal
  <abbr|resp.> maximal in <with|mode|math|I> or <with|mode|math|J>, whence
  <with|mode|math|x> is minimal <abbr|resp.> maximal in
  <no-break><with|mode|math|E>. It follows that the intersection of two open
  sets is also open, so the open sets of <with|mode|math|E> form a topology.

  We observe that an increasing union of open intervals is again an open
  interval. Hence, given an open set <with|mode|math|U> and
  <with|mode|math|x\<in\>U>, there exists a maximal open interval
  <with|mode|math|M<rsub|x>\<subseteq\>U><glossary-explain|<with|mode|math|M<rsub|x>>|maximal
  open interval containing <with|mode|math|x>> with
  <with|mode|math|x\<in\>U>. It follows that each open set <with|mode|math|U>
  admits a unique decomposition

  <\equation>
    <label|int-decomp>U=<big|amalg>{M<rsub|x>:x\<in\>U}<big|.><big|.>
  </equation>

  as the disjoint union of its maximal open subintervals.

  <\proposition>
    A totally ordered set <with|mode|math|E> with the interval topology is
    Hausdorff<subsubindex|interval|topology|Hausdorff><index|Hausdorff
    interval topology> if and only if for each
    <with|mode|math|x\<less\>y\<in\>E> there exists a
    <with|mode|math|z\<in\>E>, with <with|mode|math|x\<less\>z\<less\>y>.
  </proposition>

  <\proof>
    Assume that <with|mode|math|E> is Hausdorff and let
    <with|mode|math|x\<less\>y \<in\>E>. There exist open subsets
    <with|mode|math|U\<ni\>x> and <with|mode|math|V\<ni\>y> with
    <with|mode|math|U\<cap\>V=\<varnothing\>>. Without loss of generality, we
    may assume that we have replaced <with|mode|math|U> and
    <with|mode|math|V> by subintervals which contain <with|mode|math|x>
    <abbr|resp.> <with|mode|math|y>. Since <with|mode|math|x> is not maximal
    in <with|mode|math|E> and <with|mode|math|U> is open, there exists an
    <with|mode|math|x<rprime|'>\<in\>U> with
    <with|mode|math|x<rprime|'>\<gtr\>x>. We must also have
    <with|mode|math|x<rprime|'>\<less\>y>: otherwise
    <with|mode|math|y\<in\>U> whence <with|mode|math|y\<in\>U\<cap\>V=\<varnothing\>>,
    since <with|mode|math|U> is an interval.

    Conversely, assume that for all <with|mode|math|x\<less\>y\<in\>E> there
    exists a <with|mode|math|z\<in\>E>, with
    <with|mode|math|x\<less\>z\<less\>y>. Then given
    <with|mode|math|x\<neq\>y\<in\>E>, and assuming by symmetry that
    <with|mode|math|x\<less\>y>, there exists a <with|mode|math|z\<in\>E>,
    with <with|mode|math|x\<less\>z\<less\>y>. Then
    <with|mode|math|(<op|\<leftarrow\>>,z)={u\<in\>E:u\<less\>z}><glossary-explain|<with|mode|math|(<op|\<leftarrow\>>,z)>|the
    interval <with|mode|math|{u\<in\>E:u\<less\>z}>> and
    <with|mode|math|(z,<op|\<rightarrow\>>)={u\<in\>E:u\<gtr\>z}><glossary-explain|<with|mode|math|(z,<op|\<rightarrow\>>)>|the
    interval <with|mode|math|{u\<in\>E:u\<gtr\>z}>> are disjoint intervals
    with <with|mode|math|x\<in\>(<op|\<leftarrow\>>,z)> and
    <with|mode|math|y\<in\>(z,<op|\<rightarrow\>>)>. Moreover, for any
    <with|mode|math|u\<in\>(<op|\<leftarrow\>>,z)> there exists a
    <with|mode|math|v\<in\>E> with <with|mode|math|u\<less\>v\<less\>z>, and
    <with|mode|math|u> is minimal in <with|mode|math|(<op|\<leftarrow\>>,z)>
    if and only if it is minimal in <with|mode|math|E>. Hence
    <with|mode|math|(<op|\<leftarrow\>>,z)> is open, and similarly for
    <with|mode|math|(z,<op|\<rightarrow\>>)>.
  </proof>

  <\example>
    Any totally ordered field <with|mode|math|E> is Hausdorff.
  </example>

  <subsection|Dedekind cuts>

  Given a totally ordered set <with|mode|math|E>, let
  <with|mode|math|<wide|E|\<wide-bar\>>><glossary-explain|<with|mode|math|<wide|E|\<wide-bar\>>>|compactification
  of a total ordering <with|mode|math|E>><glossary-explain|<with|mode|math|<wide|f|\<wide-bar\>>>|a
  typical element of <with|mode|math|<wide|E|\<wide-bar\>>>> denote the set
  of its open initial segments without maximal elements, ordered by
  inclusion. We have a natural increasing mapping

  <\eqnarray*>
    <tformat|<table|<row|<cell|\<iota\>:E>|<cell|\<longrightarrow\>>|<cell|<wide|E|\<wide-bar\>>>>|<row|<cell|x>|<cell|\<longmapsto\>>|<cell|interior
    (<op|\<leftarrow\>>,x).>>>>
  </eqnarray*>

  Elements in <with|mode|math|<wide|E|\<wide-bar\>>\<setminus\>\<iota\>(E)>
  are called <em|cuts><index|cut>. If <with|mode|math|E> is Hausdorff, then
  we have already seen that <with|mode|math|(<op|\<leftarrow\>>,x)> is open
  for all <with|mode|math|x\<in\>E>, so <with|mode|math|\<iota\>> yields a
  natural inclusion of <with|mode|math|E> into
  <with|mode|math|<wide|E|\<wide-bar\>>>.

  The elements <with|mode|math|\<bot\><rsub|<wide|E|\<wide-bar\>>>=\<varnothing\>><glossary-explain|<with|mode|math|\<bot\><rsub|<wide|E|\<wide-bar\>>>>|minimal
  element of <with|mode|math|<wide|E|\<wide-bar\>>>> and
  <with|mode|math|\<top\><rsub|<wide|E|\<wide-bar\>>>=<big|cup><wide|E|\<wide-bar\>><big|.>><glossary-explain|<with|mode|math|\<top\><rsub|<wide|E|\<wide-bar\>>>>|maximal
  element of <with|mode|math|<wide|E|\<wide-bar\>>>> are minimal and maximal
  in <with|mode|math|<wide|E|\<wide-bar\>>>. If <with|mode|math|E> admits no
  maximal element, then <with|mode|math|\<top\><rsub|<wide|E|\<wide-bar\>>>=E>.
  More generally, any non-empty subset of
  <with|mode|math|<wide|E|\<wide-bar\>>> admits an infimum and a supremum:

  <\proposition>
    Any non-empty subset of <with|mode|math|<wide|E|\<wide-bar\>>> admits a
    supremum and an infimum in <no-break><with|mode|math|<wide|E|\<wide-bar\>>>.
  </proposition>

  <\proof>
    Let <with|mode|math|<wide|S|\<wide-bar\>>\<neq\>\<varnothing\>> be a
    subset of <with|mode|math|<wide|E|\<wide-bar\>>> and consider the open
    initial segment without a maximal element

    <\equation*>
      <wide|u|\<wide-bar\>>=<big|cup><wide|S|\<wide-bar\>><big|.>.
    </equation*>

    We claim that <with|mode|math|<wide|u|\<wide-bar\>>=sup
    <wide|S|\<wide-bar\>>>. By construction,
    <with|mode|math|<wide|v|\<wide-bar\>>\<leqslant\><wide|u|\<wide-bar\>>>
    for all <with|mode|math|<wide|v|\<wide-bar\>>\<in\><wide|S|\<wide-bar\>>>.
    Conversely, if <with|mode|math|<wide|v|\<wide-bar\>>\<in\><no-break><wide|E|\<wide-bar\>>>
    satisfies <with|mode|math|<wide|v|\<wide-bar\>>\<less\><wide|u|\<wide-bar\>>>,
    then we may pick <with|mode|math|x\<in\><wide|u|\<wide-bar\>>\<setminus\><wide|v|\<wide-bar\>>>.
    Now let <with|mode|math|<wide|w|\<wide-bar\>>\<in\><wide|S|\<wide-bar\>>>
    be such that <with|mode|math|x\<in\><wide|w|\<wide-bar\>>>. Then
    <with|mode|math|<wide|v|\<wide-bar\>>\<subseteq\><no-break><wide|w|\<wide-bar\>>>,
    whence <with|mode|math|<wide|v|\<wide-bar\>>\<leqslant\><wide|w|\<wide-bar\>>\<in\><wide|S|\<wide-bar\>>>.
    In a similar way, it can be shown that the interior of
    <with|mode|math|<big|cap><wide|S|\<wide-bar\>><big|.>> equals the infimum
    of <with|mode|math|<wide|S|\<wide-bar\>>>.
  </proof>

  <\proposition>
    Let <with|mode|math|I> be an interval of a Hausdorff total ordering
    <with|mode|math|E>. Then there exists unique
    <with|mode|math|f\<leqslant\>g\<in\><wide|E|\<wide-bar\>>> such that
    <with|mode|math|I> has one and only one of the following forms:

    <\enumerate-alpha>
      <item><with|mode|math|I=(f,g)\<cap\>E>.<no-page-break>

      <item><with|mode|math|I=[f,g)\<cap\>E> and <with|mode|math|f\<in\>E>.

      <item><with|mode|math|I=(f,g]\<cap\>E> and
      <with|mode|math|g\<in\>E>.<no-page-break>

      <item><with|mode|math|I=[f,g]\<cap\>E> and <with|mode|math|f,g\<in\>E>.
    </enumerate-alpha>
  </proposition>

  <\proof>
    Let <with|mode|math|f=inf I> and <with|mode|math|g=sup I>. Then clearly
    <with|mode|math|(<op|\<leftarrow\>>,f)\<cap\>E=(g,<op|\<rightarrow\>>)\<cap\>E=\<varnothing\>>
    and <with|mode|math|(f,g)\<cap\>E\<subseteq\>I>. Consequently,
    <with|mode|math|I\<subseteq\>[f,g]\<cap\>E\<subseteq\>I\<cup\>{f,g}>.
    Depending on whether <with|mode|math|f> and <with|mode|math|g> are in
    <with|mode|math|I> or not, we are therefore in one of the four cases
    (<em|a>), (<em|b>), (<em|c>) or (<em|d>).
  </proof>

  <subsection|The compactness theorem>

  <\theorem>
    <index|compactification of total ordering><subsubindex|ordering|total|compactification><index|compactness
    theorem><subindex|theorem|compactness>Let <with|mode|math|E> be a
    Hausdorff totally ordered set. Then

    <\enumerate-alpha>
      <item><with|mode|math|<wide|E|\<wide-bar\>>> is Hausdorff.

      <item><with|mode|math|<wide|<wide|E|\<wide-bar\>>|\<wide-bar\>>\<cong\><wide|E|\<wide-bar\>>>.

      <item><with|mode|math|<wide|E|\<wide-bar\>>> is connected.

      <item><with|mode|math|<wide|E|\<wide-bar\>>> is compact.
    </enumerate-alpha>
  </theorem>

  <\proof>
    In order to show that <with|mode|math|<wide|E|\<wide-bar\>>> is
    Hausdorff, let <with|mode|math|<wide|x|\<wide-bar\>>\<less\><wide|y|\<wide-bar\>>>
    be in <with|mode|math|<wide|E|\<wide-bar\>>>. Choose
    <with|mode|math|u\<in\><wide|y|\<wide-bar\>>\<setminus\><wide|x|\<wide-bar\>>>.
    Since <with|mode|math|<wide|y|\<wide-bar\>>> has no maximal element,
    there exist <with|mode|math|v,w\<in\><wide|y|\<wide-bar\>>> with
    <with|mode|math|u\<less\>v\<less\>w>. It follows that
    <with|mode|math|<wide|x|\<wide-bar\>>\<leqslant\>u\<less\>v\<less\>w\<leqslant\><wide|y|\<wide-bar\>>>,
    which proves (<em|a>).

    From (<em|a>) it follows that the natural mapping
    <with|mode|math|<wide|\<iota\>|\<wide-bar\>>:<wide|E|\<wide-bar\>>\<rightarrow\><wide|<wide|E|\<wide-bar\>>|\<wide-bar\>>>
    is injective. In order to see that <with|mode|math|<wide|\<iota\>|\<wide-bar\>>>
    is also surjective, consider an open initial segment
    <with|mode|math|<wide|I|\<wide-bar\>>\<subseteq\><wide|E|\<wide-bar\>>>
    without a maximal element, and consider
    <with|mode|math|<wide|u|\<wide-bar\>>=sup <wide|I|\<wide-bar\>>.> We
    claim that <with|mode|math|<wide|\<iota\>|\<wide-bar\>>(<wide|u|\<wide-bar\>>)=<wide|I|\<wide-bar\>>>.
    Indeed, if <with|mode|math|<wide|x|\<wide-bar\>>\<in\><wide|\<iota\>|\<wide-bar\>>(<wide|u|\<wide-bar\>>)>,
    so that <with|mode|math|<wide|x|\<wide-bar\>>\<less\><wide|u|\<wide-bar\>>>,
    then there exists a <with|mode|math|<wide|y|\<wide-bar\>>\<in\><wide|I|\<wide-bar\>>>
    with <with|mode|math|<wide|x|\<wide-bar\>>\<leqslant\><wide|y|\<wide-bar\>>>,
    by the definition of <with|mode|math|<wide|u|\<wide-bar\>>>. Hence
    <with|mode|math|<wide|x|\<wide-bar\>>\<in\><wide|I|\<wide-bar\>>>, since
    <with|mode|math|<wide|I|\<wide-bar\>>> is an initial segment. Conversely,
    if <with|mode|math|<wide|x|\<wide-bar\>>\<in\><wide|I|\<wide-bar\>>>,
    then there exists a <with|mode|math|<wide|y|\<wide-bar\>>\<in\><wide|I|\<wide-bar\>>>
    with <with|mode|math|<wide|x|\<wide-bar\>>\<less\><wide|y|\<wide-bar\>>>,
    since <with|mode|math|<wide|I|\<wide-bar\>>> has no maximal element. We
    have <with|mode|math|<wide|x|\<wide-bar\>>\<less\><wide|y|\<wide-bar\>>\<leqslant\><wide|u|\<wide-bar\>>>,
    so <with|mode|math|<wide|x|\<wide-bar\>>\<in\><wide|\<iota\>|\<wide-bar\>>(<wide|u|\<wide-bar\>>)>.
    This proves our claim and (<em|b>).

    Let us now show that <with|mode|math|<wide|E|\<wide-bar\>>> is connected.
    Assume the contrary. Then <with|mode|math|<wide|E|\<wide-bar\>>> is the
    disjoint union of two open sets. By (<reference|int-decomp>), it follows
    that

    <\equation*>
      <wide|E|\<wide-bar\>>=<big|amalg><rsub|<wide|I|\<wide-bar\>>\<in\><value|rsI>><wide|I|\<wide-bar\>><big|.>,
    </equation*>

    where <with|mode|math|<value|rsI>> is a set of at least two open
    intervals. Let <with|mode|math|<wide|K|\<wide-bar\>>\<in\><value|rsI>> be
    non-maximal. Then we also have a decomposition of
    <with|mode|math|<wide|E|\<wide-bar\>>> as the disjoint union of two
    non-empty open intervals

    <\equation*>
      <wide|E|\<wide-bar\>>=<wide|I|\<wide-bar\>><rsub|1>\<amalg\><wide|I|\<wide-bar\>><rsub|2>\<assign\><left|(><big|amalg><rsub|<wide|J|\<wide-bar\>>\<in\><value|rsI>,<wide|J|\<wide-bar\>>\<leqslant\><wide|K|\<wide-bar\>>><wide|J|\<wide-bar\>><big|.><right|)>\<amalg\><left|(><big|amalg><rsub|<wide|J|\<wide-bar\>>\<in\><value|rsI>,<wide|J|\<wide-bar\>>\<gtr\><wide|K|\<wide-bar\>>><wide|J|\<wide-bar\>><big|.><right|)>.
    </equation*>

    Now consider <with|mode|math|<wide|u|\<wide-bar\>>=sup
    <wide|I|\<wide-bar\>><rsub|1>>. We have either
    <with|mode|math|<wide|u|\<wide-bar\>>\<in\><wide|I|\<wide-bar\>><rsub|1>>
    or <with|mode|math|<wide|u|\<wide-bar\>>\<in\><wide|I|\<wide-bar\>><rsub|2>>.
    In the first case, <with|mode|math|<wide|u|\<wide-bar\>>\<neq\>\<top\><rsub|<wide|E|\<wide-bar\>>>>
    would be a maximal element of <with|mode|math|<wide|I|\<wide-bar\>><rsub|1>>.
    In the second case, <with|mode|math|u\<neq\>\<bot\><rsub|<wide|E|\<wide-bar\>>>>
    would be a minimal element of <with|mode|math|<wide|I|\<wide-bar\>><rsub|2>>.
    This gives us the desired contradiction which proves (<em|c>).

    Let us finally show that <with|mode|math|<wide|E|\<wide-bar\>>> is
    compact. In view of (<reference|int-decomp>), it suffices to show that
    from any covering <with|mode|math|(<wide|I|\<wide-bar\>><rsub|\<alpha\>>)<rsub|\<alpha\>\<in\>A>>
    of <with|mode|math|<wide|E|\<wide-bar\>>> with open intervals we can
    extract a finite subcovering. Consider the sequence
    <with|mode|math|<wide|x|\<wide-bar\>><rsub|0>\<leqslant\><wide|x|\<wide-bar\>><rsub|1>\<leqslant\>\<cdots\>\<in\><wide|E|\<wide-bar\>>>
    which is inductively defined by <with|mode|math|<wide|x|\<wide-bar\>><rsub|0>=<no-break><wide|\<varnothing\>|\<bar\>>>
    and

    <\equation*>
      <wide|x|\<wide-bar\>><rsub|k+1>=sup
      <big|cup><rsub|\<alpha\>\<in\>A,<wide|x|\<wide-bar\>><rsub|k>\<in\><wide|I|\<wide-bar\>><rsub|\<alpha\>>><big|.><wide|I|\<wide-bar\>><rsub|\<alpha\>>
    </equation*>

    for all <with|mode|math|k\<geqslant\>0>. If <with|mode|math|\<alpha\>> is
    such that <with|mode|math|<wide|x|\<wide-bar\>><rsub|k>\<in\><wide|I|\<wide-bar\>><rsub|\<alpha\>>>
    then we notice that either <with|mode|math|<wide|x|\<wide-bar\>><rsub|k>\<in\><wide|I|\<wide-bar\>><rsub|\<alpha\>>\<less\><wide|x|\<wide-bar\>><rsub|k+1>>
    or <with|mode|math|<wide|x|\<wide-bar\>><rsub|k+1>=\<top\><rsub|<wide|E|\<wide-bar\>>>>,
    since <with|mode|math|<wide|I|\<wide-bar\>><rsub|\<alpha\>>> is an open
    interval.

    We claim that <with|mode|math|<wide|x|\<wide-bar\>><rsub|k>=\<top\><rsub|<wide|E|\<wide-bar\>>>>
    for all sufficiently large <with|mode|math|k>. Assuming the contrary,
    consider <with|mode|math|<wide|u|\<wide-bar\>>=sup
    {<wide|x|\<wide-bar\>><rsub|0>,<wide|x|\<wide-bar\>><rsub|1>,\<ldots\>}>.
    There exists an <with|mode|math|\<alpha\>> with
    <with|mode|math|<wide|u|\<wide-bar\>>\<in\><wide|I|\<wide-bar\>><rsub|\<alpha\>>>.
    Since <with|mode|math|<wide|I|\<wide-bar\>><rsub|\<alpha\>>> is open,
    there exists an <with|mode|math|<wide|y|\<wide-bar\>>\<less\><wide|u|\<wide-bar\>>>
    in <with|mode|math|<wide|I|\<wide-bar\>><rsub|\<alpha\>>>. Now take
    <with|mode|math|k\<in\>\<bbb-N\>> with
    <with|mode|math|<wide|y|\<wide-bar\>>\<leqslant\><wide|x|\<wide-bar\>><rsub|k>>.
    Then <with|mode|math|<wide|x|\<wide-bar\>><rsub|k>> and
    <with|mode|math|<wide|x|\<wide-bar\>><rsub|k+1>\<less\>\<top\><rsub|<wide|E|\<wide-bar\>>>>
    are both in <with|mode|math|<wide|I|\<wide-bar\>><rsub|\<alpha\>>>, which
    contradicts the fact that <with|mode|math|<wide|x|\<wide-bar\>><rsub|k+1>=\<top\><rsub|<wide|E|\<wide-bar\>>>>
    or <with|mode|math|<wide|I|\<wide-bar\>><rsub|\<alpha\>>\<less\><wide|x|\<wide-bar\>><rsub|k+1>>.
    This proves the claim.

    Denoting by <with|mode|math|l> the minimal number with
    <with|mode|math|x<rsub|l>=\<top\><rsub|<wide|E|\<wide-bar\>>>>, let us
    now show how to choose <with|mode|math|\<alpha\><rsub|l>,\<ldots\>,\<alpha\><rsub|0>\<in\>A>
    with <with|mode|math|<wide|x|\<wide-bar\>><rsub|k>\<in\><wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k>>>
    (<with|mode|math|0\<leqslant\>k\<leqslant\>l>), and
    <with|mode|math|<wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k>>\<cap\><wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k+1>>\<neq\>\<varnothing\>>
    (<with|mode|math|0\<leqslant\>k\<less\>l>). This is clear for
    <with|mode|math|k=l>. Having constructed
    <with|mode|math|a<rsub|l>,\<ldots\>,a<rsub|k+1>>, pick an element
    <with|mode|math|<wide|y|\<wide-bar\>>
    \<in\>(<wide|x|\<wide-bar\>><rsub|k>,<wide|x|\<wide-bar\>><rsub|k+1>)\<cap\><wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k+1>>><with|mode|math|>.
    Then there exists an <with|mode|math|\<alpha\><rsub|k>\<in\>A> with
    <with|mode|math|<wide|x|\<wide-bar\>><rsub|k>\<in\><wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k>>>
    and <with|mode|math|<wide|y|\<wide-bar\>>\<leqslant\><wide|z|\<wide-bar\>>>
    for some <with|mode|math|<wide|z|\<wide-bar\>>\<in\><wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k>>>.
    Since <with|mode|math|<wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k>>> is
    an interval, it follows that <with|mode|math|<wide|y|\<wide-bar\>>\<in\><wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k>>>,
    whence <with|mode|math|<wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k>>\<cap\><wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k+1>>\<neq\>\<varnothing\>>.
    This completes our construction.

    We contend that <with|mode|math|<wide|E|\<wide-bar\>>=<wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|0>>\<cup\>\<cdots\>\<cup\><wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k>>>.
    Indeed, given <with|mode|math|<wide|y|\<wide-bar\>>\<in\><wide|E|\<wide-bar\>>>,
    we either have <with|mode|math|<wide|y|\<wide-bar\>>\<in\>{<wide|x|\<wide-bar\>><rsub|0>,\<ldots\>,<wide|x|\<wide-bar\>><rsub|l>}\<subseteq\><wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|0>>\<cup\>\<cdots\>\<cup\><wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k>>>,
    or there exists there exists a unique <with|mode|math|k> with
    <with|mode|math|<wide|y|\<wide-bar\>>\<in\>(<wide|x|\<wide-bar\>><rsub|k>,<wide|x|\<wide-bar\>><rsub|k+1>)>.
    In the second case, let <with|mode|math|<wide|z|\<wide-bar\>>\<in\><wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k>>\<cap\><wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k+1>>>.
    Then we have either <with|mode|math|<wide|y|\<wide-bar\>>\<leqslant\><wide|z|\<wide-bar\>>>
    and <with|mode|math|<wide|y|\<wide-bar\>>\<in\><wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k>>>,
    or <with|mode|math|<wide|y|\<wide-bar\>>\<gtr\><wide|z|\<wide-bar\>>> and
    <with|mode|math|<wide|y|\<wide-bar\>>\<in\><wide|I|\<wide-bar\>><rsub|\<alpha\><rsub|k+1>>>.
  </proof>

  <\exercise>
    Let <with|mode|math|E> be a totally ordered set. Given
    <with|mode|math|<wide|x|\<wide-bar\>>\<less\><wide|y|\<wide-bar\>>\<in\><wide|E|\<wide-bar\>>>,
    show that <with|mode|math|<wide|y|\<wide-bar\>>\<setminus\><wide|x|\<wide-bar\>>>
    contains infinitely many elements.
  </exercise>

  <\exercise>
    \;

    <\enumerate-alpha>
      <item>Determine <with|mode|math|<wide|\<alpha\>|\<wide-bar\>>> for all
      ordinals <with|mode|math|\<alpha\>>.

      <item>Determine <with|mode|math|<wide|\<alpha\><rsup|op>|\<wide-bar\>>>
      for all ordinals <with|mode|math|\<alpha\>>.
    </enumerate-alpha>
  </exercise>

  <section|Compactification of totally ordered
  fields><label|compact-ordfield-sec>

  Let <with|mode|math|C> be a totally ordered field. A natural question is to
  see whether the algebraic structure on <with|mode|math|C> can be extended
  to its compactification <with|mode|math|<wide|C|\<wide-bar\>>> and which
  algebraic properties are preserved under this extension. In section
  <reference|compactify-functor>, we first show that increasing and
  decreasing mappings naturally extend when compactifying. After that, we
  will show how this applies to the field operations on <with|mode|math|C>.
  We will denote <with|mode|math|<wide|\<mho\>|\<wide-bar\>>=sup
  C><glossary-explain|<with|mode|math|<wide|\<mho\>|\<wide-bar\>>>|shorthand
  for <with|mode|math|sup C>>.

  <subsection|Functorial properties of compactification><label|compactify-functor>

  <\proposition>
    <label|compactify-map>Let <with|mode|math|E> and <with|mode|math|F> be
    Hausdorff total orderings and <with|mode|math|\<varphi\>:E\<rightarrow\>F>.

    <\enumerate-alpha>
      <item>Any increasing mapping <with|mode|math|\<varphi\>:E\<rightarrow\>F>
      extends to an increasing mapping <with|mode|math|<wide|\<varphi\>|\<wide-bar\>>:<wide|E|\<wide-bar\>>\<rightarrow\><wide|F|\<wide-bar\>>>,
      given by

      <\eqnarray*>
        <tformat|<table|<row|<cell|<wide|\<varphi\>|\<wide-bar\>>:<wide|E|\<wide-bar\>>>|<cell|\<longrightarrow\>>|<cell|<wide|F|\<wide-bar\>>>>|<row|<cell|<wide|x|\<wide-bar\>>>|<cell|\<longmapsto\>>|<cell|sup
        {\<varphi\>(x):x\<in\>E\<wedge\>x\<leqslant\><wide|x|\<wide-bar\>>}.>>>>
      </eqnarray*>

      <item>Any decreasing mapping <with|mode|math|\<varphi\>:E\<rightarrow\>F>
      extends to a decreasing mapping <with|mode|math|<wide|\<varphi\>|\<wide-bar\>>:<wide|E|\<wide-bar\>>\<rightarrow\><wide|F|\<wide-bar\>>>,
      given by

      <\eqnarray*>
        <tformat|<table|<row|<cell|<wide|\<varphi\>|\<wide-bar\>>:<wide|E|\<wide-bar\>>>|<cell|\<longrightarrow\>>|<cell|<wide|F|\<wide-bar\>>>>|<row|<cell|<wide|x|\<wide-bar\>>>|<cell|\<longmapsto\>>|<cell|inf
        {\<varphi\>(x):x\<in\>E\<wedge\>x\<leqslant\><wide|x|\<wide-bar\>>}.>>>>
      </eqnarray*>
    </enumerate-alpha>

    Moreover, in both cases, the mapping <with|mode|math|<wide|\<varphi\>|\<wide-bar\>>>
    is injective <abbr|resp.> surjective if and only if
    <no-break><with|mode|math|\<varphi\>> is. Also, if
    <with|mode|math|\<varphi\>> is surjective, then
    <with|mode|math|<wide|\<varphi\>|\<wide-bar\>>> is its unique extension
    to a monotonic mapping from <with|mode|math|<wide|E|\<wide-bar\>>> into
    <with|mode|math|<wide|F|\<wide-bar\>>>.
  </proposition>

  <\proof>
    Assume that <with|mode|math|\<varphi\>> is increasing (the decreasing
    case is proved similarly). The mapping
    <with|mode|math|<wide|\<varphi\>|\<wide-bar\>>> defined in (<em|a>) is
    clearly increasing. Assume that <with|mode|math|\<varphi\>> is injective
    and let <with|mode|math|<wide|x|\<wide-bar\>>\<less\><wide|y|\<wide-bar\>>\<in\><wide|E|\<wide-bar\>>>.
    Choosing <with|mode|math|u,v\<in\>E> with
    <with|mode|math|<wide|x|\<wide-bar\>>\<less\>u\<less\>v\<less\><wide|y|\<wide-bar\>>>,
    we have <with|mode|math|<wide|\<varphi\>|\<wide-bar\>>(<wide|x|\<wide-bar\>>)\<leqslant\><wide|\<varphi\>|\<wide-bar\>>(u)=\<varphi\>(u)\<less\>\<varphi\>(v)=<wide|\<varphi\>|\<wide-bar\>>(v)\<leqslant\><wide|\<varphi\>|\<wide-bar\>>(<wide|y|\<wide-bar\>>)>,
    so <with|mode|math|<wide|\<varphi\>|\<wide-bar\>>> is injective.

    Assume from now on that <with|mode|math|\<varphi\>> is surjective and let
    <with|mode|math|<wide|y|\<wide-bar\>>\<in\><wide|F|\<wide-bar\>>>. Then
    <with|mode|math|<wide|x|\<wide-bar\>>={u\<in\>E:\<varphi\>(u)\<less\><wide|y|\<wide-bar\>>}>
    is an open initial segment without a maximal element. Indeed, if
    <with|mode|math|u\<in\><wide|x|\<wide-bar\>>> were maximal, then we may
    choose <with|mode|math|v\<in\>F> with
    <with|mode|math|\<varphi\>(u)\<less\>v\<less\><no-break><wide|y|\<wide-bar\>>>
    and there would exist a <with|mode|math|u<rprime|'>\<in\>E> with
    <with|mode|math|\<varphi\>(u<rprime|'>)=v\<less\><wide|y|\<wide-bar\>>>
    and necessarily <with|mode|math|u\<less\>u<rprime|'>>. This shows that
    <with|mode|math|<wide|x|\<wide-bar\>>\<in\><wide|E|\<wide-bar\>>>. By
    construction, we have <with|mode|math|<wide|\<varphi\>|\<wide-bar\>>(<wide|x|\<wide-bar\>>)\<leqslant\><wide|y|\<wide-bar\>>>.
    Given <with|mode|math|v\<in\><wide|y|\<wide-bar\>>>, so that
    <with|mode|math|v\<less\><wide|y|\<wide-bar\>>>, there exists an
    <with|mode|math|u\<in\>E> with <with|mode|math|\<varphi\>(u)=v>.
    Consequently, <with|mode|math|u\<in\><wide|x|\<wide-bar\>>> and
    <with|mode|math|v=\<varphi\>(u)=<wide|\<varphi\>|\<wide-bar\>>(u)\<leqslant\><wide|\<varphi\>|\<wide-bar\>>(<wide|x|\<wide-bar\>>)>.
    This proves that <with|mode|math|<wide|y|\<wide-bar\>>\<leqslant\><wide|\<varphi\>|\<wide-bar\>>(<wide|x|\<wide-bar\>>)>.

    Now let <with|mode|math|<wide|\<psi\>|\<wide-bar\>>:<wide|E|\<wide-bar\>>\<rightarrow\><wide|F|\<wide-bar\>>>
    be another increasing mapping which extends <with|mode|math|\<varphi\>>
    on <with|mode|math|E>. Assume for contradiction that
    <with|mode|math|<wide|\<varphi\>|\<wide-bar\>>(<wide|x|\<wide-bar\>>)\<less\><wide|\<psi\>|\<wide-bar\>>(<wide|x|\<wide-bar\>>)>
    for some <with|mode|math|<wide|x|\<wide-bar\>>\<in\><wide|E|\<wide-bar\>>\<setminus\>E>
    (the case <with|mode|math|<wide|\<varphi\>|\<wide-bar\>>(<wide|x|\<wide-bar\>>)\<gtr\><wide|\<psi\>|\<wide-bar\>>(<wide|x|\<wide-bar\>>)>
    is treated similarly) and let <with|mode|math|v\<in\>(<wide|\<varphi\>|\<wide-bar\>>(<wide|x|\<wide-bar\>>),<wide|\<psi\>|\<wide-bar\>>(<wide|x|\<wide-bar\>>))>.
    Since <with|mode|math|\<varphi\>> is surjective, there exists a
    <with|mode|math|u\<in\>E> with <with|mode|math|\<varphi\>(u)=<no-break>v>.
    But if <with|mode|math|u\<less\><wide|x|\<wide-bar\>>>, then
    <with|mode|math|\<varphi\>(u)\<leqslant\><wide|\<varphi\>|\<wide-bar\>>(<wide|x|\<wide-bar\>>)>
    and if <with|mode|math|u\<gtr\><wide|x|\<wide-bar\>>>, then
    <with|mode|math|\<varphi\>(u)\<geqslant\><wide|\<varphi\>|\<wide-bar\>>(<wide|x|\<wide-bar\>>)>.
    This contradiction shows that <with|mode|math|<wide|\<varphi\>|\<wide-bar\>>>
    is the unique increasing extension of <with|mode|math|\<varphi\>> to a
    mapping from <with|mode|math|<wide|E|\<wide-bar\>>> into
    <with|mode|math|<wide|F|\<wide-bar\>>>.
  </proof>

  <\corollary>
    Let <with|mode|math|E> be a Hausdorff ordering and
    <with|mode|math|E<rsup|\<ast\>>> the set <with|mode|math|E> ordered by
    the opposite ordering of <with|mode|math|<op|\<leqslant\>>>. Then there
    exists a natural bijection

    <\eqnarray*>
      <tformat|<table|<row|<cell|\<cdot\><rsup|\<ast\>>:<wide|E|\<wide-bar\>>>|<cell|\<longrightarrow\>>|<cell|<wide|E|\<wide-bar\>><rsup|\<ast\>>>>|<row|<cell|<wide|x|\<wide-bar\>>>|<cell|\<longmapsto\>>|<cell|inf<space|-0.2spc><rsub|<wide|E|\<wide-bar\>><rsup|\<ast\>>>
      <wide|x|\<wide-bar\>>.<htab|5mm>\<box\>>>>>
    </eqnarray*>
  </corollary>

  The following proposition is proved in a similar way as proposition
  <reference|compactify-map>: see exercise <no-break><reference|comp-int-ex>.

  <\proposition>
    <label|compactify-interval>Let <with|mode|math|E> be a Hausdorff ordering
    and <with|mode|math|I\<subseteq\>E> an interval. Then there exists a
    natural inclusion

    <\eqnarray*>
      <tformat|<table|<row|<cell|\<iota\>:<wide|I|\<wide-bar\>>>|<cell|\<longrightarrow\>>|<cell|<wide|E|\<wide-bar\>>>>|<row|<cell|<wide|x|\<wide-bar\>>>|<cell|\<longmapsto\>>|<cell|sup
      {<wide|y|\<wide-bar\>>\<in\><wide|E|\<wide-bar\>>:<wide|y|\<wide-bar\>>\<leqslant\><wide|x|\<wide-bar\>>}.>>>>
    </eqnarray*>

    This inclusion is unique with the property that
    <with|mode|math|\<iota\>(<wide|I|\<wide-bar\>>)> is an
    interval.<htab|5mm><with|mode|math|\<box\>>
  </proposition>

  <subsection|Compactification of totally ordered fields>

  <paragraph|Opposites and inverses>By proposition
  <no-break><reference|compactify-map>(<em|b>), the mapping

  <\eqnarray*>
    <tformat|<table|<row|<cell|\<um\>:C>|<cell|\<rightarrow\>>|<cell|C>>|<row|<cell|f>|<cell|\<mapsto\>>|<cell|\<um\>f>>>>
  </eqnarray*>

  extends to unique decreasing bijection <with|mode|math|<wide|C|\<wide-bar\>>\<rightarrow\><wide|C|\<wide-bar\>>>,
  which we also denote by <with|mode|math|\<um\>> and the inversion

  <\eqnarray*>
    <tformat|<table|<row|<cell|\<cdot\><rsup|\<um\>1>:C<rsup|\<gtr\>>>|<cell|\<rightarrow\>>|<cell|C<rsup|\<gtr\>>>>|<row|<cell|f>|<cell|\<mapsto\>>|<cell|f<rsup|\<um\>1>>>>>
  </eqnarray*>

  extends to a unique decreasing bijection
  <with|mode|math|<wide|C<rsup|\<gtr\>>|\<wide-bar\>>\<rightarrow\><wide|C<rsup|\<gtr\>>|\<wide-bar\>>>.
  Notice that <with|mode|math|<wide|C<rsup|\<gtr\>>|\<wide-bar\>>={0}\<cup\><wide|C|\<wide-bar\>><rsup|\<gtr\>>>
  and <with|mode|math|0<rsup|\<um\>1>=<wide|\<mho\>|\<wide-bar\>>>. For
  <with|mode|math|<wide|f|\<wide-bar\>>\<less\>0>, we may also set
  <with|mode|math|(\<um\><wide|f|\<wide-bar\>>)<rsup|\<um\>1>=\<um\><wide|f|\<wide-bar\>><rsup|\<um\>1>>,
  so that <with|mode|math|<op|\<cdot\>><rsup|\<um\>1>> is bijective on
  <with|mode|math|<wide|C|\<wide-bar\>>\<setminus\>{\<um\><wide|\<mho\>|\<wide-bar\>>,0,<wide|\<mho\>|\<wide-bar\>>}>.

  <paragraph|Addition>The addition on <with|mode|math|C<rsup|2>> may be
  extended to an increasing mapping <with|mode|math|<op|+>:<wide|C|\<wide-bar\>><rsup|2>\<rightarrow\><wide|C|\<wide-bar\>>>
  by applying proposition <reference|compactify-map>(<em|a>) twice: first to
  mappings of the form <with|mode|math|f+\<cdot\>:C\<rightarrow\>C;g\<mapsto\>f+g>
  with <with|mode|math|f\<in\><wide|C|\<wide-bar\>>> and next to mappings of
  the form <with|mode|math|\<cdot\>+<wide|g|\<wide-bar\>>:C\<rightarrow\><wide|C|\<wide-bar\>>;f\<mapsto\>f+<wide|g|\<wide-bar\>>>
  with <with|mode|math|<wide|g|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>>>.
  This is equivalent to setting

  <\eqnarray*>
    <tformat|<table|<row|<cell|+:<wide|C|\<wide-bar\>>\<times\><wide|C|\<wide-bar\>>>|<cell|\<longrightarrow\>>|<cell|<wide|C|\<wide-bar\>>>>|<row|<cell|(<wide|x|\<wide-bar\>>,<wide|y|\<wide-bar\>>)>|<cell|\<longmapsto\>>|<cell|sup
    {x+y:x,y\<in\>C\<wedge\>x\<leqslant\><wide|x|\<wide-bar\>>\<wedge\>y\<leqslant\><wide|y|\<wide-bar\>>}.>>>>
  </eqnarray*>

  Notice that the mapping <with|mode|math|f+\<cdot\>:<wide|C|\<wide-bar\>>\<rightarrow\><wide|C|\<wide-bar\>>;<wide|g|\<wide-bar\>>\<mapsto\>f+<wide|g|\<wide-bar\>>>
  is an isomorphism for each <with|mode|math|f\<in\>C>. Subtraction on
  <with|mode|math|<wide|C|\<wide-bar\>><rsup|2>> is defined as usual by
  <with|mode|math|<wide|x|\<wide-bar\>>-<wide|y|\<wide-bar\>>=<wide|x|\<wide-bar\>>+(\<um\><wide|y|\<wide-bar\>>)>.
  Since the definition of the addition is symmetric in
  <with|mode|math|<wide|x|\<wide-bar\>>> and
  <with|mode|math|<wide|y|\<wide-bar\>>>, the addition is commutative.
  Clearly, we also have <with|mode|math|<wide|x|\<wide-bar\>>+0=<wide|x|\<wide-bar\>>>
  for all <with|mode|math|<wide|x|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>>>,
  and

  <\equation*>
    <wide|x|\<wide-bar\>>+(<wide|y|\<wide-bar\>>+<wide|z|\<wide-bar\>>)=sup
    {x+y+z:x,y,z\<in\>C\<wedge\>x\<leqslant\><wide|x|\<wide-bar\>>\<wedge\>y\<leqslant\><wide|y|\<wide-bar\>>\<wedge\>z\<leqslant\><wide|z|\<wide-bar\>>}=(<wide|x|\<wide-bar\>>+<wide|y|\<wide-bar\>>)+<wide|z|\<wide-bar\>>
  </equation*>

  for all <with|mode|math|<wide|x|\<wide-bar\>>,<wide|y|\<wide-bar\>>,<wide|z|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>>>.
  However, <with|mode|math|<wide|C|\<wide-bar\>>> cannot be an additive
  group, because <with|mode|math|<wide|\<mho\>|\<wide-bar\>>-<wide|\<mho\>|\<wide-bar\>>=\<um\><wide|\<mho\>|\<wide-bar\>>\<neq\>0>.
  Nevertheless,

  <\equation*>
    \<um\>(<wide|x|\<wide-bar\>>+y)=(\<um\><wide|x|\<wide-bar\>>)+(\<um\>y)
  </equation*>

  for all <with|mode|math|<wide|x|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>>>
  and <with|mode|math|y\<in\>C>. Indeed, given <with|mode|math|z\<in\>C>, we
  have <with|mode|math|z\<less\>\<um\>(<wide|x|\<wide-bar\>>+y)\<Leftrightarrow\>\<um\>z\<gtr\><wide|x|\<wide-bar\>>+y\<Leftrightarrow\>\<um\>z-y\<gtr\><wide|x|\<wide-bar\>>\<Leftrightarrow\>z+y\<less\>\<um\><wide|x|\<wide-bar\>>\<Leftrightarrow\>z\<less\>(\<um\><wide|x|\<wide-bar\>>)+(\<um\>y)>.

  <paragraph|Multiplication>The multiplication extends first to
  <with|mode|math|(<wide|C<rsup|\<gtr\>>|\<wide-bar\>>)<rsup|2>> by

  <\eqnarray*>
    <tformat|<table|<row|<cell|\<cdot\>:<wide|C<rsup|\<gtr\>>|\<wide-bar\>>\<times\><wide|C<rsup|\<gtr\>>|\<wide-bar\>>>|<cell|\<longrightarrow\>>|<cell|<wide|C<rsup|\<gtr\>>|\<wide-bar\>>>>|<row|<cell|(<wide|x|\<wide-bar\>>,<wide|y|\<wide-bar\>>)>|<cell|\<longmapsto\>>|<cell|sup
    {x*y:x,y\<in\>C<rsup|\<gtr\>>\<wedge\>x\<leqslant\><wide|x|\<wide-bar\>>\<wedge\>y\<leqslant\><wide|y|\<wide-bar\>>}>>>>
  </eqnarray*>

  and next to <with|mode|math|<wide|C|\<wide-bar\>><rsup|2>> by

  <\eqnarray*>
    <tformat|<table|<row|<cell|(\<um\><wide|x|\<wide-bar\>>)*<wide|y|\<wide-bar\>>>|<cell|=>|<cell|\<um\>(<wide|x|\<wide-bar\>>*<wide|y|\<wide-bar\>>)>>|<row|<cell|<wide|x|\<wide-bar\>>*(\<um\><wide|y|\<wide-bar\>>)>|<cell|=>|<cell|\<um\>(<wide|x|\<wide-bar\>>*<wide|y|\<wide-bar\>>)>>|<row|<cell|(\<um\><wide|x|\<wide-bar\>>)*(\<um\><wide|y|\<wide-bar\>>)>|<cell|=>|<cell|<wide|x|\<wide-bar\>>*<wide|y|\<wide-bar\>>>>>>
  </eqnarray*>

  for all <with|mode|math|<wide|x|\<wide-bar\>>,<wide|y|\<wide-bar\>>\<in\><wide|C<rsup|\<gtr\>>|\<wide-bar\>>>.
  This definition is coherent if <with|mode|math|<wide|x|\<wide-bar\>>=0> or
  <with|mode|math|<wide|y|\<wide-bar\>>=0>, since
  <with|mode|math|<wide|x|\<wide-bar\>>*0=0*<wide|x|\<wide-bar\>>=0> for all
  <with|mode|math|<wide|x|\<wide-bar\>>>. We define division on
  <with|mode|math|<wide|C|\<wide-bar\>><rsup|2>> as usual by
  <with|mode|math|<wide|x|\<wide-bar\>>/<wide|y|\<wide-bar\>>=<wide|x|\<wide-bar\>>*<wide|y|\<wide-bar\>><rsup|\<um\>1>>.
  The multiplication is clearly commutative, associative and with neutral
  element <with|mode|math|1>. We also have distributivity
  <with|mode|math|<wide|x|\<wide-bar\>>*(<wide|y|\<wide-bar\>>+<wide|z|\<wide-bar\>>)=<wide|x|\<wide-bar\>>*<wide|y|\<wide-bar\>>+<wide|x|\<wide-bar\>>*<wide|z|\<wide-bar\>>>
  whenever <with|mode|math|<wide|x|\<wide-bar\>>\<geqslant\>0>. However,
  <with|mode|math|(\<um\>1)*(<wide|\<mho\>|\<wide-bar\>>-<wide|\<mho\>|\<wide-bar\>>)=(\<um\>1)*(\<um\><wide|\<mho\>|\<wide-bar\>>)=<wide|\<mho\>|\<wide-bar\>>\<neq\>\<um\><wide|\<mho\>|\<wide-bar\>>=(\<um\><wide|\<mho\>|\<wide-bar\>>)+<wide|\<mho\>|\<wide-bar\>>>.

  <\exercise>
    <label|comp-int-ex>Prove proposition <reference|compactify-interval>.<no-page-break>
  </exercise>

  <\exercise>
    Show that <with|mode|math|\<um\>(\<um\><wide|x|\<wide-bar\>>)=<wide|x|\<wide-bar\>>>
    for all <with|mode|math|<wide|x|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>.
  </exercise>

  <section|Compactification of grid-based algebras><label|compact-ser-sec>

  Let <with|mode|math|C> be a totally ordered field and
  <with|mode|math|\<frak-M\>> a totally ordered monomial group and consider
  the algebra <with|mode|math|\<bbb-S\>=C<gb|\<frak-M\>>><glossary-explain|<with|mode|math|\<bbb-S\>>|totally
  ordered grid-based algebra <with|mode|math|C<gb|\<frak-M\>>>> of grid-based
  series. In this section we study the different types of cuts which may
  occur in <with|mode|math|\<bbb-S\>>. We will denote
  <with|mode|math|<wide|\<backepsilon\>|\<wide-bar\>>=inf
  C<rsup|\<gtr\>>><glossary-explain|<with|mode|math|<wide|\<backepsilon\>|\<wide-bar\>>>|shorthand
  for <with|mode|math|inf C<rsup|\<gtr\>>>>,
  <with|mode|math|<wide|\<mho\>|\<wide-bar\>>=sup C>,
  <with|mode|math|<wide|\<Mho\>|\<wide-bar\>>=sup
  \<bbb-S\>><glossary-explain|<with|mode|math|<wide|\<Mho\>|\<wide-bar\>>>|shorthand
  for <with|mode|math|sup \<bbb-S\>>>. We will also denote
  <with|mode|math|<wide|C|\<wide-bar\>><rsup|<value|fcut>>=<wide|C|\<wide-bar\>>\<setminus\>(C\<cup\>{\<um\><wide|\<mho\>|\<wide-bar\>>,<wide|\<mho\>|\<wide-bar\>>})><glossary-explain|<with|mode|math|<wide|C|\<wide-bar\>><rsup|<value|fcut>>>|set
  <with|mode|math|<wide|C|\<wide-bar\>>\<setminus\>(C\<cup\>{\<um\><wide|\<mho\>|\<wide-bar\>>,<wide|\<mho\>|\<wide-bar\>>})>
  of finite cuts in <with|mode|math|C>>.

  <subsection|Monomial cuts>

  Let <with|mode|math|C> be a totally ordered field and
  <with|mode|math|\<frak-M\>> a totally ordered monomial group. An element
  <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>\<in\><wide|\<bbb-S\>|\<wide-bar\>>\<setminus\>\<bbb-S\>>
  is said to be a <em|monomial><bi-index|monomial|cut> if
  <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>\<geqslant\>0> and
  <with|mode|math|c*<wide|\<frak-m\>|\<wide-bar\>>=<wide|\<frak-m\>|\<wide-bar\>>>
  for all <with|mode|math|c\<in\><no-break>C<rsup|\<gtr\>>>. We denote by
  <with|mode|math|<wide|\<frak-M\>|\<wide-bar\>>><glossary-explain|<with|mode|math|<wide|\<frak-M\>|\<wide-bar\>>>|set
  of monomials and monomial cuts> the union of the set of such monomials and
  the set <with|mode|math|\<frak-M\>> of usual monomials. The ordering
  <with|mode|math|<op|\<preccurlyeq\>>> on <with|mode|math|\<frak-M\>>
  naturally extends to <with|mode|math|<wide|\<frak-M\>|\<wide-bar\>>>, by
  letting it coincide with the usual ordering
  <no-break><with|mode|math|<op|\<leqslant\>>>.

  Given <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-S\>|\<wide-bar\>>>,
  we define the <em|dominant monomial><bi-index|dominant|monomial>
  <with|mode|math|<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>><glossary-explain|<with|mode|math|<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>|dominant
  monomial of <with|mode|math|<wide|f|\<wide-bar\>>>> of
  <with|mode|math|<wide|f|\<wide-bar\>>> as follows. If
  <with|mode|math|\|<wide|f|\<wide-bar\>>\|\<less\>c*\|<wide|f|\<wide-bar\>>\|>
  for no <with|mode|math|c\<in\>C>, so that
  <with|mode|math|\|<wide|f|\<wide-bar\>>\|\<in\><wide|\<frak-M\>|\<wide-bar\>>\<setminus\>\<frak-M\>>,
  then we take <with|mode|math|<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=\|<wide|f|\<wide-bar\>>\|>.
  If <with|mode|math|\|<wide|f|\<wide-bar\>>\|\<less\>c*\|<wide|f|\<wide-bar\>>\|>
  for some <with|mode|math|c\<in\>C>, then there exists a
  <with|mode|math|g\<in\>\<bbb-T\>> with <with|mode|math|\|<wide|f|\<wide-bar\>>\|\<less\>g\<less\>c*\|<wide|f|\<wide-bar\>>\|>.
  Moreover, <with|mode|math|\<frak-d\><rsub|g>> does not depend on the choice
  of <with|mode|math|g> and we set <with|mode|math|<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=\<frak-d\><rsub|g>>.
  Thanks to the notion of dominant monomials, we may extend the asymptotic
  relations <with|mode|math|<op|\<preccurlyeq\>>>,
  <with|mode|math|<op|\<prec\>>>, <with|mode|math|<op|\<asymp\>>> and
  <with|mode|math|<op|\<sim\>>> to <with|mode|math|<wide|\<bbb-S\>|\<wide-bar\>>>
  by <with|mode|math|<wide|f|\<wide-bar\>>\<preccurlyeq\><wide|g|\<wide-bar\>>\<Leftrightarrow\><wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>\<preccurlyeq\><wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|g|\<wide-bar\>>>>,
  <with|mode|math|<wide|f|\<wide-bar\>>\<prec\><wide|g|\<wide-bar\>>\<Leftrightarrow\><wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>\<prec\><wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|g|\<wide-bar\>>>>,
  <with|mode|math|<wide|f|\<wide-bar\>>\<asymp\><wide|g|\<wide-bar\>>\<Leftrightarrow\><wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|g|\<wide-bar\>>>>
  and <with|mode|math|<wide|f|\<wide-bar\>>\<sim\><wide|g|\<wide-bar\>>\<Leftrightarrow\><wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>-<wide|g|\<wide-bar\>>>\<prec\><wide|\<frak-d\>|\<wide-bar\>><rsub|f>=<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|g|\<wide-bar\>>>>.

  <\proposition>
    For any <with|mode|math|<wide|f|\<wide-bar\>>,<wide|f|\<wide-bar\>><rsub|1>,<wide|f|\<wide-bar\>><rsub|2>\<in\><wide|\<bbb-S\>|\<wide-bar\>>>,
    we have

    <\eqnarray*>
      <tformat|<table|<row|<cell|<wide|\<frak-d\>|\<wide-bar\>><rsub|\<um\><wide|f|\<wide-bar\>>>>|<cell|=>|<cell|<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>><space|0.6spc>;<eq-number>>>|<row|<cell|<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>>>|<cell|\<preccurlyeq\>>|<cell|max
      {<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>>,<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|2>>}.<eq-number>>>>>
    </eqnarray*>
  </proposition>

  <\proof>
    The first relation is clear from the definition of dominant monomials. As
    to the second one, we first observe that
    <with|mode|math|\|<wide|f|\<wide-bar\>><rsub|1>\|\<leqslant\>c<rsub|1>*<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>>>
    and <with|mode|math|\|<wide|f|\<wide-bar\>><rsub|2>\|\<leqslant\>c<rsub|2>*<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|2>>>
    for sufficiently large <with|mode|math|c<rsub|1>,c<rsub|2>\<in\>C>.
    Hence, <with|mode|math|\|<wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>\|\<leqslant\>\|<wide|f|\<wide-bar\>><rsub|1>\|+\|<wide|f|\<wide-bar\>><rsub|2>\|\<leqslant\>(c<rsub|1>+c<rsub|2>)*max
    {<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>>,<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|2>>}>.
    Since we also have <with|mode|math|\|<wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>\|\<geqslant\>c*<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>>>
    for a sufficiently small <with|mode|math|c\<in\>C<rsup|\<gtr\>>>, it
    follows that <with|mode|math|<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>>\<preccurlyeq\>max
    <no-break>{<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>>,<no-break><wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|2>>}>.
  </proof>

  <subsection|Width of a cut>

  Let <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-S\>|\<wide-bar\>>>.
  We define the <em|width><index|width of cut><subindex|cut|width> of
  <with|mode|math|<wide|f|\<wide-bar\>>> by<glossary-explain|<with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>|width
  of <with|mode|math|<wide|f|\<wide-bar\>>>>

  <\equation*>
    <wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=inf
    {<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>-g>:g\<in\>\<bbb-S\>}\<in\><wide|\<frak-M\>|\<wide-bar\>>.
  </equation*>

  Notice that <with|mode|math|<wide|f|\<wide-bar\>>\<in\>\<bbb-S\>\<Leftrightarrow\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=0>.

  <\proposition>
    For any <with|mode|math|<wide|f|\<wide-bar\>>,<wide|f|\<wide-bar\>><rsub|1>,<wide|f|\<wide-bar\>><rsub|2>\<in\><wide|\<bbb-S\>|\<wide-bar\>>>,
    we have

    <\eqnarray*>
      <tformat|<table|<row|<cell|<wide|\<frak-w\>|\<wide-bar\>><rsub|\<um\><wide|f|\<wide-bar\>>>>|<cell|=>|<cell|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>><space|0.6spc>;<eq-number><label|width-opposite>>>|<row|<cell|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>>>|<cell|=>|<cell|max
      {<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>>,<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|2>>}.<eq-number><label|width-sum>>>>>
    </eqnarray*>
  </proposition>

  <\proof>
    We have <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|\<um\><wide|f|\<wide-bar\>>>=inf
    {<wide|\<frak-d\>|\<wide-bar\>><rsub|\<um\><wide|f|\<wide-bar\>>-g>:g\<in\>\<bbb-S\>}=inf
    {<wide|\<frak-d\>|\<wide-bar\>><rsub|\<um\><wide|f|\<wide-bar\>>+g>:g\<in\>\<bbb-S\>}=inf
    {<wide|\<frak-d\>|\<wide-bar\>><rsub|\<um\>(<wide|f|\<wide-bar\>>-g)>:g\<in\>\<bbb-S\>}=inf
    {<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>-g>:g\<in\>\<bbb-S\>}=<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>,
    which proves (<reference|width-opposite>). Similarly, we have
    <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>>=inf
    <no-break>{<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>-g>:g\<in\>\<bbb-S\>}=inf
    {<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>-g<rsub|1>-g<rsub|2>>:g<rsub|1>,g<rsub|2>\<in\>\<bbb-S\>}\<preccurlyeq\>inf
    {max {<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>-g<rsub|1>>,<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|2>-g<rsub|2>>}:g<rsub|1>,g<rsub|2>\<in\>\<bbb-S\>}=max
    {<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>>,<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|2>>}>.
    Conversely, given <with|mode|math|g\<in\>\<bbb-S\>> with
    <with|mode|math|g\<leqslant\><wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>>,
    let <with|mode|math|g<rsub|1>,g<rsub|2>\<in\>\<bbb-S\>> be such that
    <with|mode|math|g<rsub|1>\<leqslant\><wide|f|\<wide-bar\>><rsub|1>>,
    <with|mode|math|g<rsub|2>\<leqslant\><wide|f|\<wide-bar\>><rsub|2>> and
    <with|mode|math|g=g<rsub|1>+g<rsub|2>>. Then
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|1>-g<rsub|1>\<succcurlyeq\><wide|\<frak-w\>|\<wide-bar\>><rsub|f<rsub|1>>>
    and <with|mode|math|<with|mode|math|<wide|f|\<wide-bar\>><rsub|2>-g<rsub|2>\<succcurlyeq\><wide|\<frak-w\>|\<wide-bar\>><rsub|f<rsub|2>>>>,
    whence <with|mode|math|<wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>-g=<wide|f|\<wide-bar\>><rsub|1>-g<rsub|1>+<wide|f|\<wide-bar\>><rsub|2>-g<rsub|2>\<succcurlyeq\>max
    {<wide|\<frak-w\>|\<wide-bar\>><rsub|f<rsub|1>>,<wide|\<frak-w\>|\<wide-bar\>><rsub|f<rsub|2>>}>.
    The case <with|mode|math|g\<geqslant\><wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>>
    is treated in a similar way.
  </proof>

  <subsection|Initializers>

  Let <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-S\>|\<wide-bar\>>>.
  Given <with|mode|math|\<frak-m\>\<in\>\<frak-M\>> with
  <with|mode|math|\<frak-m\>\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>,
  there exists a <with|mode|math|g\<in\>\<bbb-S\>> with
  <with|mode|math|<wide|f|\<wide-bar\>>-g\<prec\>\<frak-m\>>. Moreover,
  <with|mode|math|g<rsub|\<frak-m\>>> does not depend on the choice of
  <with|mode|math|g>, and we set <with|mode|math|<wide|f|\<wide-bar\>><rsub|\<frak-m\>>=g<rsub|\<frak-m\>>>.
  We define the <em|initializer><index|initializer of
  cut><subindex|cut|initializer> <with|mode|math|\<varphi\><rsub|<wide|f|\<wide-bar\>>>><glossary-explain|<with|mode|math|\<varphi\><rsub|<wide|f|\<wide-bar\>>>>|initializer
  of <with|mode|math|<wide|f|\<wide-bar\>>>> of
  <with|mode|math|<wide|f|\<wide-bar\>>> by

  <\equation*>
    \<varphi\><rsub|<wide|f|\<wide-bar\>>>=<wide|f|\<wide-bar\>><rsub|\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>=<big|sum><rsub|\<frak-m\>\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>><wide|f|\<wide-bar\>><rsub|\<frak-m\>>*\<frak-m\><big|.>.
  </equation*>

  We claim that <with|mode|math|\<varphi\><rsub|<wide|f|\<wide-bar\>>>\<in\>C[[\<frak-M\>]]>,
  where we recall that <with|mode|math|C[[\<frak-M\>]]> stands for the set of
  well-based series in <with|mode|math|\<frak-M\>> over <with|mode|math|C>.
  Indeed, consider <with|mode|math|\<frak-m\>\<in\>supp
  \<varphi\><rsub|<wide|f|\<wide-bar\>>>>. Then there exists a
  <with|mode|math|g\<in\>\<bbb-S\>> with <with|mode|math|<wide|f|\<wide-bar\>>-g\<prec\>\<frak-m\>>
  and we have <with|mode|math|(\<varphi\><rsub|<wide|f|\<wide-bar\>>>)<rsub|\<succ\>\<frak-m\>>=g<rsub|\<succ\>\<frak-m\>>\<in\>\<bbb-S\>>.
  In particular, there exists no infinite sequence
  <with|mode|math|\<frak-n\><rsub|1>\<prec\>\<frak-n\><rsub|2>\<prec\>\<cdots\>>
  in <with|mode|math|supp \<varphi\><rsub|<wide|f|\<wide-bar\>>>> with
  <with|mode|math|\<frak-m\>=\<frak-n\><rsub|1>>.

  <\proposition>
    For any <with|mode|math|<wide|f|\<wide-bar\>>,<wide|f|\<wide-bar\>><rsub|1>,<wide|f|\<wide-bar\>><rsub|2>\<in\><wide|\<bbb-S\>|\<wide-bar\>>>,
    we have

    <\eqnarray*>
      <tformat|<table|<row|<cell|\<varphi\><rsub|\<um\><wide|f|\<wide-bar\>>>>|<cell|=>|<cell|\<um\>\<varphi\><rsub|<wide|f|\<wide-bar\>>><eq-number><label|init-opposite>>>|<row|<cell|\<varphi\><rsub|<wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>>>|<cell|=>|<cell|(\<varphi\><rsub|<wide|f|\<wide-bar\>><rsub|1>>+\<varphi\><rsub|<wide|f|\<wide-bar\>><rsub|2>>)<rsub|\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>>>.<eq-number><label|init-sum>>>>>
    </eqnarray*>
  </proposition>

  <\proof>
    In order to prove (<reference|init-opposite>), let
    <with|mode|math|\<frak-m\>\<in\>\<frak-M\>> be such that
    <with|mode|math|\<frak-m\>\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=\<um\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>,
    and let <with|mode|math|g\<in\>\<bbb-S\>> be such that
    <with|mode|math|<wide|f|\<wide-bar\>>-g\<prec\>\<frak-m\>>. Then
    <with|mode|math|(\<um\><wide|f|\<wide-bar\>>)-(\<um\>g)\<prec\>\<frak-m\>>,
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|\<frak-m\>>=g<rsub|\<frak-m\>>>
    and <with|mode|math|(\<um\><wide|f|\<wide-bar\>>)<rsub|\<frak-m\>>=\<um\>g<rsub|\<frak-m\>>>.

    Similarly, given <with|mode|math|\<frak-m\>\<in\>\<frak-M\>> with
    <with|mode|math|\<frak-m\>\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>>=max
    {<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>>,<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|2>>}>,
    let <with|mode|math|g<rsub|1>,g<rsub|2>\<in\>\<bbb-S\>> be such that
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|1>-g<rsub|1>\<prec\>\<frak-m\>>
    and <with|mode|math|<wide|f|\<wide-bar\>><rsub|2>-g<rsub|2>\<prec\>\<frak-m\>>.
    Then we have <with|mode|math|(<wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>)-(g<rsub|1>+g<rsub|2>)=(<wide|f|\<wide-bar\>><rsub|1>-g<rsub|1>)+(<wide|f|\<wide-bar\>><rsub|2>-g<rsub|2>)\<prec\>\<frak-m\>>
    and <with|mode|math|(<wide|f|\<wide-bar\>><rsub|1>+<wide|f|\<wide-bar\>><rsub|2>)<rsub|\<frak-m\>>=(g<rsub|1>+g<rsub|2>)<rsub|\<frak-m\>>=g<rsub|1,\<frak-m\>>+g<rsub|2,\<frak-m\>>=<wide|f|\<wide-bar\>><rsub|1,\<frak-m\>>+<wide|f|\<wide-bar\>><rsub|2,\<frak-m\>>>.
    This proves (<reference|init-sum>).
  </proof>

  <subsection|Serial cuts>

  <label|serial-cut-sec>Let <with|mode|math|<wide|f|^>\<in\><wide|\<bbb-S\>|\<wide-bar\>>\<setminus\>\<bbb-S\>>
  be a cut with <with|mode|math|\<varphi\><rsub|<wide|f|^>>\<nin\>\<bbb-S\>>.
  Then for any <with|mode|math|\<psi\>\<vartriangleleft\>\<varphi\><rsub|<wide|f|^>>>
  and <with|mode|math|\<frak-m\>=\<frak-d\>(\<varphi\><rsub|<wide|f|^>>-\<psi\>)>,
  there exists a <with|mode|math|g\<in\>\<bbb-S\>> with
  <with|mode|math|<wide|f|\<wide-bar\>>-g\<prec\>\<frak-m\>> and we have
  <with|mode|math|(\<varphi\><rsub|<wide|f|\<wide-bar\>>>)<rsub|\<succ\>\<frak-m\>>=\<psi\><big|.>=g<rsub|\<succ\>\<frak-m\>>\<in\>\<bbb-S\>>.
  In other words, we always have <with|mode|math|\<varphi\><rsub|<wide|f|^>>\<in\><wide|\<bbb-S\>|^>\<setminus\>\<bbb-S\>>,
  where<glossary-explain|<with|mode|math|<wide|\<bbb-S\>|^>>|serial
  completion of <with|mode|math|\<bbb-S\>>><glossary-explain|<with|mode|math|<wide|f|^>>|typical
  serial cut>

  <\equation*>
    <wide|\<bbb-S\>|^>={<wide|f|^>\<in\>C[[\<frak-M\>]]:\<forall\>g\<in\>C[[\<frak-M\>]],g\<vartriangleleft\><wide|f|^>\<Rightarrow\>g\<in\>\<bbb-S\>}.
  </equation*>

  A cut <with|mode|math|<wide|f|^>\<in\><wide|\<bbb-S\>|\<wide-bar\>>\<setminus\>\<bbb-S\>>
  is said to be <em|serial><bi-index|serial|cut>, if there exists a
  <with|mode|math|\<psi\>\<in\>C[[\<frak-M\>]]> with

  <\equation>
    <label|serial-cut-eq><wide|f|^>=<wide|\<iota\>|\<wide-bar\>>(\<psi\>)=sup
    {g\<in\>\<bbb-S\>:g\<less\>\<psi\>}.
  </equation>

  From the proposition below it follows that we may always replace
  <with|mode|math|\<psi\>> by <with|mode|math|\<varphi\><rsub|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>\<in\><wide|\<bbb-S\>|^>\<setminus\>\<bbb-S\>>
  and obtain the same serial cut. For this reason, we will identify the set
  of serial cuts with <with|mode|math|<wide|\<bbb-S\>|^>\<setminus\>\<bbb-S\>>.

  <\proposition>
    <label|serial-cut-prop>Given a serial cut
    <with|mode|math|<wide|f|^>=<wide|\<iota\>|\<wide-bar\>>(\<psi\>)>, we
    have

    <\enumerate-alpha>
      <item><with|mode|math|\<varphi\><rsub|<wide|f|^>>=\<psi\><rsub|\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|^>>>>.

      <item><with|mode|math|<wide|\<iota\>|\<wide-bar\>>(\<varphi\><rsub|<wide|f|^>>)=<wide|\<iota\>|\<wide-bar\>>(\<psi\>)>.
    </enumerate-alpha>
  </proposition>

  <\proof>
    The equation (<reference|serial-cut-eq>) implies
    <with|mode|math|g\<less\><wide|f|^>\<Leftrightarrow\>g\<less\>\<psi\>>
    for <with|mode|math|g\<in\>\<bbb-S\>>. Now, given
    <with|mode|math|\<frak-m\>\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|^>>>,
    let <with|mode|math|\<frak-n\>\<prec\>\<frak-m\>> and
    <with|mode|math|g\<in\>\<bbb-S\>> be such that
    <with|mode|math|<wide|f|^>-g\<prec\>\<frak-n\>>. Then
    <with|mode|math|g-\<frak-n\>\<less\><wide|f|^>\<less\>g+\<frak-n\>> and
    <with|mode|math|g-\<frak-n\>\<less\>\<psi\>\<less\>g+\<frak-n\>>, so that
    <with|mode|math|\<varphi\><rsub|<wide|f|^>,\<frak-m\>>=<wide|f|^><rsub|\<frak-m\>>=g<rsub|\<frak-m\>>=\<psi\><rsub|\<frak-m\>>>.
    This proves (<em|a>).

    Given <with|mode|math|g\<in\>\<bbb-S\>>, we have
    <with|mode|math|g-\<psi\>\<succcurlyeq\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|^>>>,
    since otherwise <with|mode|math|><with|mode|math|g-\<frak-n\>\<less\>\<psi\>\<less\>g+\<frak-n\>>
    for some <with|mode|math|\<frak-n\>\<prec\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|^>>>,
    whence <with|mode|math|g-<wide|f|^>\<preccurlyeq\>\<frak-n\>\<prec\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|^>>>.
    We even have <with|mode|math|g-\<psi\>\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|^>>>,
    since <with|mode|math|g-\<psi\>\<asymp\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|^>>>
    would imply <with|mode|math|\<psi\><rsub|\<succcurlyeq\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|^>>>-\<psi\>\<prec\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|^>>>
    and <with|mode|math|\<psi\><rsub|\<succcurlyeq\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|^>>>\<in\>g<rsub|\<succcurlyeq\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|^>>>+C*<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|^>>\<subseteq\>\<bbb-S\>>.
    Consequently, <with|mode|math|g\<less\>\<psi\>\<Leftrightarrow\>g\<less\>\<psi\><rsub|\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|^>>>=\<varphi\><rsub|<wide|f|^>>>
    so that <with|mode|math|<wide|\<iota\>|\<wide-bar\>>(\<varphi\><rsub|<wide|f|^>>)=<wide|\<iota\>|\<wide-bar\>>(\<psi\>)>.
  </proof>

  <subsection|Decomposition of non-serial cuts>

  <\proposition>
    <label|serial-cut-prop>For any <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-S\>|\<wide-bar\>>\<setminus\><wide|\<bbb-S\>|^>>,
    we have either

    <\enumerate>
      <item><with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>\<in\>\<frak-M\>>
      and for some <with|mode|math|<wide|c|\<wide-bar\>>\<in\>C<rsup|<value|fcut>>>
      we have

      <\equation*>
        <wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>+<wide|c|\<wide-bar\>>*<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>.
      </equation*>

      <item><with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>\<in\><wide|\<frak-M\>|\<wide-bar\>>\<setminus\>\<frak-M\>>
      and

      <\equation*>
        <wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>\<pm\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>.
      </equation*>
    </enumerate>
  </proposition>

  <\proof>
    Modulo substitution of <with|mode|math|<wide|f|\<wide-bar\>>-\<varphi\><rsub|<wide|f|\<wide-bar\>>>>
    for <with|mode|math|<wide|f|\<wide-bar\>>>, we may assume without loss of
    generality that <with|mode|math|\<varphi\><rsub|<wide|f|\<wide-bar\>>>=0>,
    since <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>-\<varphi\><rsub|<wide|f|\<wide-bar\>>><rsub|>>=<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>.

    Suppose that <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=\<frak-m\>\<in\>\<frak-M\>>
    and consider

    <\equation*>
      <wide|c|\<wide-bar\>>=sup {c\<in\>C:c*\<frak-m\>\<less\><wide|f|\<wide-bar\>>}\<in\><wide|C|\<wide-bar\>>.
    </equation*>

    We must have <with|mode|math|<wide|c|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>>\<setminus\>C>,
    since otherwise <with|mode|math|<wide|f|\<wide-bar\>>-c*\<frak-m\>\<prec\>\<frak-m\>=<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>.
    We also cannot have <with|mode|math|<wide|c|\<wide-bar\>>=\<pm\><wide|\<mho\>|\<wide-bar\>>>,
    since otherwise <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=<wide|\<mho\>|\<wide-bar\>>*\<frak-m\>>.
    Hence <with|mode|math|<wide|c|\<wide-bar\>>\<in\>C<rsup|#>>. If
    <with|mode|math|<wide|c|\<wide-bar\>>*\<frak-m\>\<less\><wide|f|\<wide-bar\>>>,
    then there exists a <with|mode|math|\<psi\>\<in\>\<bbb-S\>> with
    <with|mode|math|<wide|c|\<wide-bar\>>*\<frak-m\>\<less\>\<psi\>\<less\><wide|f|\<wide-bar\>>>.
    If <with|mode|math|\<psi\>\<preccurlyeq\>\<frak-m\>>, then
    <with|mode|math|c<rprime|'>*\<frak-m\>\<less\><wide|f|\<wide-bar\>>> for
    some <with|mode|math|c<rprime|'>\<in\>C> with
    <with|mode|math|<wide|c|\<wide-bar\>>\<less\>c<rprime|'>\<less\>\<psi\><rsub|\<frak-m\>>>.
    If <with|mode|math|\<psi\>\<succ\>\<frak-m\>>, then
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|\<succ\>\<frak-m\>>=\<psi\><rsub|\<succ\>\<frak-m\>>\<neq\>0>,
    which is again impossible. This proves that
    <with|mode|math|<wide|c|\<wide-bar\>>*\<frak-m\>\<geqslant\><wide|f|\<wide-bar\>>>.
    Applying the same argument for <with|mode|math|\<um\><wide|f|\<wide-bar\>>>,
    we also obtain <with|mode|math|<wide|c|\<wide-bar\>>*\<frak-m\>\<leqslant\><wide|f|\<wide-bar\>>>,
    whence <with|mode|math|<wide|f|\<wide-bar\>>=<wide|c|\<wide-bar\>>*\<frak-m\>>.

    Assume now that <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>\<in\><wide|\<frak-M\>|\<wide-bar\>>\<setminus\>\<frak-M\>>
    and let us show that <with|mode|math|<wide|f|\<wide-bar\>>=\<pm\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>.
    Replacing <with|mode|math|<wide|f|\<wide-bar\>>> by
    <with|mode|math|\<um\><wide|f|\<wide-bar\>>> in the case when
    <with|mode|math|<wide|f|\<wide-bar\>>\<less\>0>, we may assume without
    loss of generality that <with|mode|math|<wide|f|\<wide-bar\>>\<gtr\>0>.
    For <with|mode|math|g\<in\>\<bbb-S\>> we now have
    <with|mode|math|0\<leqslant\>g\<less\><wide|f|\<wide-bar\>>\<Leftrightarrow\>0\<leqslant\>g<rsub|\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>\<leqslant\><wide|f|\<wide-bar\>><rsub|\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>=0\<Leftrightarrow\>0\<leqslant\>g\<less\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>.
  </proof>

  The above proposition allows us to extend the notions of dominant
  coefficients and terms to <with|mode|math|<wide|\<bbb-S\>|\<wide-bar\>>>.
  Indeed, given <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-S\>|\<wide-bar\>><rsup|\<neq\>>>,
  we have either <with|mode|math|\<varphi\><rsub|<wide|f|\<wide-bar\>>>\<neq\>0>,
  in which case we set <with|mode|math|<with|mode|math|<wide|c|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=c<rsub|\<varphi\><rsub|<wide|f|\<wide-bar\>>>>>
  and <with|mode|math|<wide|\<tau\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=<wide|c|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>*<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=\<tau\><rsub|\<varphi\><rsub|<wide|f|\<wide-bar\>>>>>>,
  or <with|mode|math|\<varphi\><rsub|<wide|f|\<wide-bar\>>>=0>, in which case
  <with|mode|math|<wide|f|\<wide-bar\>>=<wide|c|\<wide-bar\>>*<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=<wide|c|\<wide-bar\>>*<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>
  for some <with|mode|math|<wide|c|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>><rsup|<value|fcut>>\<cup\>{\<um\>1,1}>,
  and we set <with|mode|math|<wide|c|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=<wide|c|\<wide-bar\>>>
  and <with|mode|math|<wide|\<tau\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=<wide|f|\<wide-bar\>>>.
  By convention, we also set <with|mode|math|c<rsub|0>=\<tau\><rsub|0>=0>.<vspace|1fn>

  <\exercise>
    Show that for all <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>,<wide|\<frak-n\>|\<wide-bar\>>\<in\><wide|\<frak-M\>|\<wide-bar\>>>
    we have

    <\eqnarray*>
      <tformat|<table|<row|<cell|<wide|\<frak-m\>|\<wide-bar\>>\<in\>\<frak-M\>\<wedge\><wide|\<frak-n\>|\<wide-bar\>>\<in\>\<frak-M\>>|<cell|\<Rightarrow\>>|<cell|<wide|\<frak-m\>|\<wide-bar\>>*<wide|\<frak-n\>|\<wide-bar\>>\<in\>\<frak-M\>>>|<row|<cell|<wide|\<frak-m\>|\<wide-bar\>>\<in\><wide|\<frak-M\>|\<wide-bar\>>\<vee\><wide|\<frak-n\>|\<wide-bar\>>\<in\><wide|\<frak-M\>|\<wide-bar\>>>|<cell|\<Rightarrow\>>|<cell|<wide|\<frak-m\>|\<wide-bar\>>*<wide|\<frak-n\>|\<wide-bar\>>\<in\><wide|\<frak-M\>|\<wide-bar\>>\<setminus\>\<frak-M\>.>>>>
    </eqnarray*>
  </exercise>

  <\exercise>
    Show that <with|mode|math|<wide|\<frak-M\>|\<wide-bar\>>> is stable under
    <with|mode|math|\<cdot\><rsup|\<um\>1>> and show that one may extend the
    flatness relation <with|mode|math|<op|\<precpreceq\>>> to
    <with|mode|math|<wide|\<frak-M\>|\<wide-bar\>>>.
  </exercise>

  <\exercise>
    Given <with|mode|math|<wide|f|\<wide-bar\>>,<wide|g|\<wide-bar\>>\<in\><wide|\<bbb-S\>|\<wide-bar\>>>,
    what can be said about <with|mode|math|<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>*<wide|g|\<wide-bar\>>>>
    and <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>*<wide|g|\<wide-bar\>>>>?
  </exercise>

  <\exercise>
    If <with|mode|math|C=\<bbb-R\>>, then show that
    <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>\<in\><wide|\<frak-M\>|\<wide-bar\>>\<setminus\>\<frak-M\>>.
  </exercise>

  <\exercise>
    Given <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-S\>|\<wide-bar\>>>,
    compute <with|mode|math|(\<um\><wide|f|\<wide-bar\>>)+<wide|f|\<wide-bar\>>>.
  </exercise>

  <\exercise>
    Given <with|mode|math|<wide|f|\<wide-bar\>>,<wide|g|\<wide-bar\>>\<in\><wide|\<bbb-S\>|\<wide-bar\>>>,
    show that

    <\eqnarray*>
      <tformat|<table|<row|<cell|<wide|f|\<wide-bar\>>\<preccurlyeq\><wide|g|\<wide-bar\>>>|<cell|\<Longleftrightarrow\>>|<cell|\<exists\>c\<in\>C,\|<wide|f|\<wide-bar\>>\|\<leqslant\>c*<wide|g|\<wide-bar\>>>>|<row|<cell|<wide|f|\<wide-bar\>>\<prec\><wide|g|\<wide-bar\>>>|<cell|\<Longleftrightarrow\>>|<cell|\<forall\>c\<in\>C,c*<wide|f|\<wide-bar\>>\<less\>\|<wide|g|\<wide-bar\>>\|.>>>>
    </eqnarray*>
  </exercise>

  <\exercise>
    Generalize the theory of section <reference|serial-cut-sec> to other
    types of supports, like those from exercise <reference|not-grid>. Show
    that there exist no serial cuts in the well-based setting.
  </exercise>

  <\exercise>
    Characterize the embeddings of <with|mode|math|<wide|C<gb|\<frak-M\>>|\<wide-bar\>>>
    into <with|mode|math|<wide|C[[\<frak-M\>]]|\<wide-bar\>>>.
  </exercise>

  <\exercise>
    Given <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-S\>|\<wide-bar\>>>
    and <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>\<in\><wide|\<frak-M\>|\<wide-bar\>>>,
    we may define the coefficient <with|mode|math|<wide|f|\<wide-bar\>><rsub|<wide|\<frak-m\>|\<wide-bar\>>>>
    of <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>> in
    <with|mode|math|<wide|f|\<wide-bar\>>> as follows. If
    <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>\<prec\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>,
    then <with|mode|math|<wide|f|\<wide-bar\>><rsub|<wide|\<frak-m\>|\<wide-bar\>>>=0.>
    If <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>,
    then we have already defined <with|mode|math|<wide|f|\<wide-bar\>><rsub|<wide|\<frak-m\>|\<wide-bar\>>>>
    if <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>\<in\>\<frak-M\>> and we
    set <with|mode|math|<wide|f|\<wide-bar\>><rsub|<wide|\<frak-m\>|\<wide-bar\>>>=0>
    if <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>\<nin\>\<frak-M\>>. If
    <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>=<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>
    and <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>+<wide|c|\<wide-bar\>>*\<frak-m\>>
    with <with|mode|math|<wide|c|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>><rsup|<value|fcut>>\<cup\>{\<um\>1,0,1}>,
    then <with|mode|math|<wide|f|\<wide-bar\>><rsub|<wide|\<frak-m\>|\<wide-bar\>>>=<wide|c|\<wide-bar\>>>.
    Show that we may see <with|mode|math|<wide|\<bbb-S\>|\<wide-bar\>>> as a
    subset of <with|mode|math|<wide|C|\<wide-bar\>>[[<wide|\<frak-M\>|\<wide-bar\>>]]>.
    Also give a characterization of the elements in
    <with|mode|math|<wide|\<bbb-S\>|\<wide-bar\>>>.
  </exercise>

  <\exercise>
    If <with|mode|math|C=\<bbb-R\>>, then define a ``symmetric addition'' on
    <with|mode|math|<wide|C<gb|\<frak-M\>>|\<wide-bar\>>> by
    <with|mode|math|<wide|f|\<wide-bar\>>+<wide|g|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>+\<varphi\><rsub|<wide|g|\<wide-bar\>>,\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>\<pm\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>
    if <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|g|\<wide-bar\>>>>,
    likewise if <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>\<prec\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|g|\<wide-bar\>>>>,
    <with|mode|math|<wide|f|\<wide-bar\>>+<wide|g|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>+\<varphi\><rsub|<wide|g|\<wide-bar\>>>>
    if <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|g|\<wide-bar\>>>>
    but <with|mode|math|(<wide|f|\<wide-bar\>>-\<varphi\><rsub|<wide|f|\<wide-bar\>>>)*(<wide|g|\<wide-bar\>>-\<varphi\><rsub|<wide|g|\<wide-bar\>>>)\<less\>0>,
    and <with|mode|math|<wide|f|\<wide-bar\>>+<wide|g|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>+\<varphi\><rsub|<wide|g|\<wide-bar\>>>\<pm\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>
    for equal signs. Show that this addition is commutative and that
    <with|mode|math|<wide|f|\<wide-bar\>>+(\<um\><wide|f|\<wide-bar\>>)=0>
    for all <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-S\>|\<wide-bar\>>>.
    Show also that the symmetric addition is not necessarily associative.
  </exercise>

  <section|Compactification of the transline><label|compact-ts-sec>

  Let us now consider the field <with|mode|math|\<bbb-T\>=C<gb|\<frak-T\>>>
  of grid-based transseries. Given a transseries cut
  <with|mode|math|<wide|f|\<wide-bar\>>>, the aim of this section is to find
  an explicit expression for <with|mode|math|<wide|f|\<wide-bar\>>> in terms
  of cuts in <with|mode|math|C>, the field operations, seriation and
  exponentiation. We will denote <with|mode|math|<wide|\<varkappa\>|\<wide-bar\>><rsub|k>=sup
  {f\<in\>\<bbb-T\>:expo(f)=k}><glossary-explain|<with|mode|math|<wide|\<varkappa\>|\<wide-bar\>><rsub|k>>|shorthand
  for <with|mode|math|sup {f\<in\>\<bbb-T\>:exp(f)=k}>> for all
  <with|mode|math|k\<in\>\<bbb-Z\>>.

  <subsection|Exponentiation in <with|mode|math|<wide|\<bbb-T\>|\<wide-bar\>>>>

  By proposition <no-break><reference|compactify-map>(<em|a>), the functions
  <with|mode|math|exp:\<bbb-T\>\<rightarrow\>\<bbb-T\><rsup|\<gtr\>>> and
  <with|mode|math|log:\<bbb-T\><rsup|\<gtr\>>\<rightarrow\>\<bbb-T\>>
  uniquely extend to increasing bijections
  <with|mode|math|exp:<wide|\<bbb-T\>|\<wide-bar\>>\<rightarrow\><wide|\<bbb-T\><rsup|\<gtr\>>|\<wide-bar\>>>
  and <with|mode|math|log:<wide|\<bbb-T\><rsup|\<gtr\>>|\<wide-bar\>>\<rightarrow\><wide|\<bbb-T\>|\<wide-bar\>>>,
  which are necessarily each others inverses.

  <\proposition>
    <label|exp-comp-prop>

    <\enumerate-alpha>
      <item>For all <with|mode|math|<wide|c|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>>\<setminus\>{\<um\><wide|\<mho\>|\<wide-bar\>>}>,
      we have

      <\equation*>
        exp<rsub|<wide|\<bbb-T\>|\<wide-bar\>>><space|0.6spc><wide|c|\<wide-bar\>>=exp<rsub|<wide|C|\<wide-bar\>>><space|0.6spc><wide|c|\<wide-bar\>>.
      </equation*>

      <item>For all <with|mode|math|<wide|f|\<wide-bar\>>,<wide|g|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>,
      we have

      <\equation*>
        exp (<wide|f|\<wide-bar\>>+<wide|g|\<wide-bar\>>)=exp
        (<wide|f|\<wide-bar\>>)*exp (<wide|g|\<wide-bar\>>).
      </equation*>

      <item>For any <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>><rsup|\<gtr\>>>,
      we have

      <\equation*>
        <wide|\<frak-m\>|\<wide-bar\>>\<in\><wide|\<frak-T\>|\<wide-bar\>>\<setminus\>\<frak-T\><space|0.6spc>\<Leftrightarrow\><space|0.6spc><wide|\<frak-w\>|\<wide-bar\>><rsub|log
        <wide|\<frak-m\>|\<wide-bar\>>>\<succ\>1.
      </equation*>
    </enumerate-alpha>
  </proposition>

  <\proof>
    Let <with|mode|math|<wide|c|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>>\<setminus\>{\<um\><wide|\<mho\>|\<wide-bar\>>}>.
    If <with|mode|math|<wide|c|\<wide-bar\>>\<in\>C>, then
    <with|mode|math|\<mathe\>xp<rsub|<wide|\<bbb-T\>|\<wide-bar\>>><space|0.6spc><wide|c|\<wide-bar\>>=exp<rsub|<wide|C|\<wide-bar\>>><space|0.6spc><wide|c|\<wide-bar\>>\<in\>C<rsup|\<gtr\>>>.
    Assume that <with|mode|math|<wide|c|\<wide-bar\>>\<nin\>C>. Then it
    follows from <with|mode|math|log<rsub|<wide|\<bbb-T\>|\<wide-bar\>>><space|0.6spc>exp<rsub|<wide|\<bbb-T\>|\<wide-bar\>>><space|0.6spc><wide|c|\<wide-bar\>>=<wide|c|\<wide-bar\>>>
    that <with|mode|math|exp<rsub|<wide|\<bbb-T\>|\<wide-bar\>>>
    <wide|c|\<wide-bar\>>\<nin\>C> and similarly
    <with|mode|math|exp<rsub|<wide|C|\<wide-bar\>>><space|0.4spc><wide|c|\<wide-bar\>>\<nin\>C>.
    For any <with|mode|math|\<lambda\>\<in\>C> with
    <with|mode|math|\<lambda\>\<less\><wide|c|\<wide-bar\>>>, we have
    <with|mode|math|\<mathe\><rsup|\<lambda\>>\<less\>exp<rsub|<wide|\<bbb-T\>|\<wide-bar\>>>
    <wide|c|\<wide-bar\>>>. It follows that
    <with|mode|math|exp<rsub|<wide|C|\<wide-bar\>>><space|0.6spc><wide|c|\<wide-bar\>>\<leqslant\>exp<rsub|<wide|\<bbb-T\>|\<wide-bar\>>><space|0.6spc><wide|c|\<wide-bar\>>>.
    Conversely, for any <with|mode|math|g\<in\>\<bbb-T\>> with
    <with|mode|math|\<um\><wide|\<mho\>|\<wide-bar\>>\<less\>g\<less\><wide|c|\<wide-bar\>>>,
    there exists a <with|mode|math|c<rprime|'>\<in\>C> with
    <with|mode|math|g<rsub|\<asymp\>>\<less\>c<rprime|'>\<less\><wide|c|\<wide-bar\>>>,
    so that <with|mode|math|\<mathe\><rsup|g>=\<mathe\><rsup|g<rsub|\<asymp\>>>\<less\>\<mathe\><rsup|c<rprime|'>>\<leqslant\>exp<rsub|<wide|C|\<wide-bar\>>><space|0.4spc><wide|c|\<wide-bar\>>>.
    This shows that we also have <with|mode|math|exp<rsub|<wide|\<bbb-T\>|\<wide-bar\>>><space|0.6spc><wide|c|\<wide-bar\>>\<leqslant\>exp<rsub|<wide|C|\<wide-bar\>>><space|0.6spc><wide|c|\<wide-bar\>>>.

    Now consider <with|mode|math|<wide|f|\<wide-bar\>>,<wide|g|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>.
    We have

    <\eqnarray*>
      <tformat|<table|<row|<cell|\<mathe\><rsup|<wide|f|\<wide-bar\>>+<wide|g|\<wide-bar\>>>>|<cell|=>|<cell|sup
      {\<mathe\><rsup|\<varphi\>+\<psi\>>:\<varphi\>\<in\>\<bbb-T\>\<wedge\>\<varphi\>\<less\><wide|f|\<wide-bar\>>\<wedge\>\<psi\>\<in\>\<bbb-T\>\<wedge\>\<psi\>\<less\><wide|g|\<wide-bar\>>}>>|<row|<cell|>|<cell|=>|<cell|sup
      {\<mathe\><rsup|\<varphi\>>:\<varphi\>\<in\>\<bbb-T\>\<wedge\>\<varphi\>\<less\><wide|f|\<wide-bar\>>}*sup
      {\<mathe\><rsup|\<psi\>>:\<psi\>\<in\>\<bbb-T\>\<wedge\>\<psi\>\<less\><wide|g|\<wide-bar\>>}>>|<row|<cell|>|<cell|=>|<cell|\<mathe\><rsup|<wide|f|\<wide-bar\>>>*\<mathe\><rsup|<wide|g|\<wide-bar\>>>.>>>>
    </eqnarray*>

    This proves (<em|b>).

    Let <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>\<in\><wide|\<frak-T\>|\<wide-bar\>>>.
    If <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|log
    <wide|\<frak-m\>|\<wide-bar\>>>\<succ\>1>, then assume for contradiction
    that there exists a <with|mode|math|c\<in\>C<rsup|\<gtr\>>> with
    <with|mode|math|c*<wide|\<frak-m\>|\<wide-bar\>>\<neq\><wide|\<frak-m\>|\<wide-bar\>>>,
    and take <with|mode|math|c\<gtr\>1>. Then there exists a
    <with|mode|math|g\<in\>\<bbb-T\>> with
    <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>\<less\>g\<less\>c*<wide|\<frak-m\>|\<wide-bar\>>>.
    But then <with|mode|math|><with|mode|math|log
    <no-break><wide|\<frak-m\>|\<wide-bar\>>\<less\>log
    <no-break>g\<less\>log <wide|\<frak-m\>|\<wide-bar\>>+log c> and
    <with|mode|math|log <wide|\<frak-m\>|\<wide-bar\>>-log
    g\<preccurlyeq\>1>, which contradicts our assumption. We conclude that
    <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>\<in\><wide|\<frak-T\>|\<wide-bar\>>\<setminus\>\<frak-T\>>.
    Similarly, if <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|log
    <wide|\<frak-m\>|\<wide-bar\>>>\<preccurlyeq\>1>, then let
    <with|mode|math|g\<in\>\<bbb-T\>> and
    <with|mode|math|c<rsub|1>,c<rsub|2>\<in\>C> be such that
    <with|mode|math|c<rsub|1>\<less\>log <no-break><wide|\<frak-m\>|\<wide-bar\>>-g\<less\>c<rsub|2>>.
    Then <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>\<less\>\<mathe\><rsup|g+c<rsub|2>>\<less\>\<mathe\><rsup|c<rsub|2>-c<rsub|1>>*<wide|\<frak-m\>|\<wide-bar\>>>,
    so that <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>\<nin\><wide|\<frak-T\>|\<wide-bar\>>\<setminus\>\<frak-T\>>.
    This completes the proof of (<em|c>).
  </proof>

  <subsection|Classification of transseries cuts><label|tr-cut-class-sec>

  Let <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>.
  The <em|nested sequence><bi-index|nested|sequence> for
  <with|mode|math|<wide|f|\<wide-bar\>>> is the possibly finite sequence
  <with|mode|math|<wide|f|\<wide-bar\>><rsub|0>,<wide|f|\<wide-bar\>><rsub|1>,\<ldots\>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>
  defined as follows. We take <with|mode|math|<wide|f|\<wide-bar\>><rsub|0>=<wide|f|\<wide-bar\>>>.
  Given <with|mode|math|<wide|f|\<wide-bar\>><rsub|i>>, we distinguish two
  cases for the construction of <with|mode|math|<wide|f|\<wide-bar\>><rsub|i+1>>:

  <\description>
    <item*|NS1>If <with|mode|math|<wide|f|\<wide-bar\>><rsub|i>\<in\><wide|\<bbb-T\>|^>\<cup\>\<upm\>{<wide|\<Mho\>|\<wide-bar\>>}\<cup\>\<upm\><wide|\<varkappa\>|\<wide-bar\>><rsub|\<bbb-Z\>>\<cup\><wide|C|\<wide-bar\>>>,
    then the construction has been completed.

    <item*|NS2>Otherwise, we let <with|mode|math|\<varphi\><rsub|i>=\<varphi\><rsub|<wide|f|\<wide-bar\>><rsub|i>>>,
    <with|mode|math|\<epsilon\><rsub|i>=sign
    (<wide|f|\<wide-bar\>><rsub|i>-\<varphi\><rsub|i>)> and
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|i+1>=log
    \<epsilon\><rsub|i>*(<wide|f|\<wide-bar\>><rsub|i>-\<varphi\><rsub|i>)>,
    so<nbsp>that

    <\equation>
      <label|psi-bar-rel><wide|f|\<wide-bar\>><rsub|i>=\<varphi\><rsub|i>+\<epsilon\><rsub|i>*\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|i+1>>.
    </equation>
  </description>

  We will denote by <with|mode|math|l\<in\>\<bbb-N\>> the number such that
  <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>> is the last term of the
  nested sequence; if no such term exists, then we let
  <with|mode|math|l=<with|math-font-family|mr|+>\<infty\>>.

  For any <with|mode|math|0\<leqslant\>i\<less\>j\<leqslant\>l>, repeated
  application of (<reference|psi-bar-rel>) entails

  <\equation>
    <wide|f|\<wide-bar\>><rsub|i>=\<varphi\><rsub|i>+\<epsilon\><rsub|i>*\<mathe\><rsup|\<varphi\><rsub|i+1>+\<epsilon\><rsub|i+1>*\<mathe\><rsup|\<udots\><rsup|\<varphi\><rsub|j-1>+\<epsilon\><rsub|j-1>*\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|j>>>>>.
  </equation>

  In particular, if <with|mode|math|l\<less\><op|+>\<infty\>>, then we call

  <\equation>
    <label|diag-exp-fin><wide|f|\<wide-bar\>>=\<varphi\><rsub|0>+\<epsilon\><rsub|0>*\<mathe\><rsup|\<varphi\><rsub|1>+\<epsilon\><rsub|1>*\<mathe\><rsup|\<udots\><rsup|\<varphi\><rsub|l-1>+\<epsilon\><rsub|l-1>*\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|l>>>>>
  </equation>

  the <em|nested expansion><bi-index|nested|expansion> of
  <with|mode|math|<wide|f|\<wide-bar\>>>. If
  <with|mode|math|l=<with|math-font-family|mr|+>\<infty\>>, then the nested
  expansion of <with|mode|math|<wide|f|\<wide-bar\>>> is defined to be

  <\equation>
    <label|diag-exp><wide|f|\<wide-bar\>>=\<varphi\><rsub|0>+\<epsilon\><rsub|0>*\<mathe\><rsup|\<varphi\><rsub|1>+\<epsilon\><rsub|1>*\<mathe\><rsup|\<varphi\><rsub|2>+\<epsilon\><rsub|2>*\<mathe\><rsup|\<udots\>>>>.
  </equation>

  In this latter case, the nested expansion of each
  <with|mode|math|<wide|f|\<wide-bar\>><rsub|i>> is given by

  <\equation*>
    <wide|f|\<wide-bar\>><rsub|i>=\<varphi\><rsub|i>+\<epsilon\><rsub|i>*\<mathe\><rsup|\<varphi\><rsub|i+1>+\<epsilon\><rsub|i+1>*\<mathe\><rsup|\<varphi\><rsub|i+2>+\<epsilon\><rsub|i+2>*\<mathe\><rsup|\<udots\>>>>.
  </equation*>

  The following proposition is a direct consequence of our construction:

  <\proposition>
    <label|cut-classify>Each <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>
    admits a unique nested expansion of one and only one of the following
    forms:

    <\eqnarray*>
      <tformat|<table|<row|<cell|<wide|f|\<wide-bar\>>>|<cell|\<in\>>|<cell|\<bbb-T\><space|0.6spc>;<eq-number><label|nexp-classic>>>|<row|<cell|<wide|f|\<wide-bar\>>>|<cell|=>|<cell|\<pm\><wide|\<Mho\>|\<wide-bar\>><space|0.6spc>;<eq-number><label|nexp-Mho>>>|<row|<cell|<wide|f|\<wide-bar\>>>|<cell|=>|<cell|\<varphi\><rsub|0>+\<epsilon\><rsub|0>*\<mathe\><rsup|\<varphi\><rsub|1>+\<epsilon\><rsub|1>*\<mathe\><rsup|\<udots\><rsup|\<varphi\><rsub|l-1>+\<epsilon\><rsub|l-1>*\<mathe\><rsup|<wide|\<varkappa\>|\<wide-bar\>><rsub|k>>>>><space|2fn>(k\<in\>\<bbb-Z\>)<space|0.6spc>;<eq-number><label|nexp-expo>>>|<row|<cell|<wide|f|\<wide-bar\>>>|<cell|=>|<cell|\<varphi\><rsub|0>+\<epsilon\><rsub|0>*\<mathe\><rsup|\<varphi\><rsub|1>+\<epsilon\><rsub|1>*\<mathe\><rsup|\<udots\><rsup|\<varphi\><rsub|l-1>+\<epsilon\><rsub|l-1>*\<mathe\><rsup|<wide|c|\<wide-bar\>>>>>><space|2fn>(<wide|c|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>>\<setminus\>C)<space|0.6spc>;<eq-number><label|nexp-C>>>|<row|<cell|<wide|f|\<wide-bar\>>>|<cell|=>|<cell|\<varphi\><rsub|0>+\<epsilon\><rsub|0>*\<mathe\><rsup|\<varphi\><rsub|1>+\<epsilon\><rsub|1>*\<mathe\><rsup|\<udots\><rsup|\<varphi\><rsub|l-1>+\<epsilon\><rsub|l-1>*\<mathe\><rsup|<wide|g|^>>>>><space|2fn>(<wide|g|^>\<in\><wide|\<bbb-T\>|^>\<setminus\>\<bbb-T\>)<space|0.6spc>;<eq-number><label|nexp-compl>>>|<row|<cell|<wide|f|\<wide-bar\>>>|<cell|=>|<cell|\<varphi\><rsub|0>+\<epsilon\><rsub|0>*\<mathe\><rsup|\<varphi\><rsub|1>+\<epsilon\><rsub|1>*\<mathe\><rsup|<rsup|\<varphi\><rsub|2>+\<epsilon\><rsub|2>*\<mathe\><rsup|\<udots\>>>><rsup|<rsup|>>>.<eq-number><with|mode|text|<label|nexp-inf>>>>>>
    </eqnarray*>
  </proposition>

  <yes-indent>In order to completely classify the elements in
  <with|mode|math|<wide|\<bbb-T\>|\<wide-bar\>>>, we still need to determine
  under which conditions on the <with|mode|math|\<varphi\><rsub|i>>,
  <with|mode|math|\<epsilon\><rsub|i>>, <with|mode|math|\<varkappa\><rsub|k>>,
  <with|mode|math|<wide|c|\<wide-bar\>>> and <with|mode|math|<wide|g|^>>, the
  expressions (<reference|nexp-expo>), <no-break>(<reference|nexp-C>),
  <no-break>(<reference|nexp-compl>) and <no-break>(<reference|nexp-inf>) are
  the nested expansion of a cut <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>\<setminus\>\<bbb-T\>>.
  This problem will be addressed in the next sections.

  <subsection|Finite nested expansions>

  <\proposition>
    <label|nested-seq-props>Assume that <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>
    admits a finite nested expansion. Then

    <\enumerate-alpha>
      <item><with|mode|math|l\<geqslant\>2\<Rightarrow\>\<varphi\><rsub|1>\<in\>\<bbb-T\><rsub|\<succ\>>>
      and <with|mode|math|1\<less\>i\<less\>l\<Rightarrow\>\<varphi\><rsub|i>\<in\>\<bbb-T\><rsub|\<succ\>><rsup|\<geqslant\>>>.

      <item><with|mode|math|1\<less\>i\<less\>l\<wedge\>\<varphi\><rsub|i>=0\<Rightarrow\>\<epsilon\><rsub|i>=1>
      and <with|mode|math|l\<gtr\>0\<wedge\>\<varphi\><rsub|l-1>=0\<Rightarrow\><wide|f|\<wide-bar\>><rsub|l>\<in\><wide|\<bbb-T\>|^><rsub|\<succ\>>\<setminus\>\<bbb-T\>\<vee\>(l=1\<wedge\><wide|f|\<wide-bar\>>\<in\>\<um\><wide|\<varkappa\>|\<wide-bar\>><rsub|\<bbb-Z\>>)>.

      <item><with|mode|math|\<mathe\><rsup|\<varphi\><rsub|i+1>+\<epsilon\><rsub|i+1>*\<mathe\><rsup|\<udots\><rsup|\<varphi\><rsub|l-1>+\<epsilon\><rsub|l-1>*\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|l>>>>>\<prec\>supp
      \<varphi\><rsub|i>> for all <with|mode|math|0\<leqslant\>i\<less\>l>.

      <item><with|mode|math|l\<geqslant\>1\<Rightarrow\><wide|f|\<wide-bar\>><rsub|l>\<nin\>\<bbb-T\>\<cup\>\<upm\>{<wide|\<Mho\>|\<wide-bar\>>}>.

      <item><with|mode|math|l\<geqslant\>2\<Rightarrow\><wide|f|\<wide-bar\>><rsub|l>\<gtr\>0\<vee\><wide|f|\<wide-bar\>><rsub|l>\<in\><wide|C|\<wide-bar\>>\<setminus\>{\<um\><wide|\<mho\>|\<wide-bar\>>}>.
    </enumerate-alpha>
  </proposition>

  <\proof>
    Given <with|mode|math|0\<less\>i\<less\>l>, proposition
    <reference|serial-cut-prop> implies that either
    <with|mode|math|\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|i>>=<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|i-1>>\<in\><wide|\<frak-T\>|\<wide-bar\>>\<setminus\>\<frak-T\>>
    or <with|mode|math|\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|i>>=<wide|c|\<wide-bar\>>*\<frak-m\>>
    for some <with|mode|math|<wide|c|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>><rsup|<value|fcut>>>
    and <with|mode|math|\<frak-m\>\<in\>\<frak-T\>>. In the first case,
    proposition <no-break><reference|exp-comp-prop>(<em|c>) implies
    <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|i>>\<succ\>1>
    whence <with|mode|math|\<varphi\><rsub|i>\<in\>\<bbb-T\><rsub|\<succ\>>>
    and <with|mode|math|<wide|f|\<wide-bar\>><rsub|i+1>\<gtr\>0>. In the
    second case, we obtain <with|mode|math|<wide|f|\<wide-bar\>><rsub|i>=log
    <no-break>\<frak-m\>+log <no-break><wide|c|\<wide-bar\>>> with
    <with|mode|math|log <wide|c|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>><rsup|<value|fcut>>>.
    We cannot have <with|mode|math|\<frak-m\>=1>, since otherwise
    <with|mode|math|l=i>. Therefore, <with|mode|math|\<varphi\><rsub|i>=log
    <no-break>\<frak-m\>\<in\>\<bbb-T\><rsub|\<succ\>><rsup|\<neq\>>>,
    <with|mode|math|<wide|\<epsilon\>|\<wide-bar\>><rsub|i>=sign (log
    <wide|c|\<wide-bar\>>)>, <with|mode|math|<wide|f|\<wide-bar\>><rsub|i>=log
    \|log <wide|c|\<wide-bar\>>\|> and <with|mode|math|l=i+1>. This proves
    <no-break>(<em|a>). Similarly, if 1<with|mode|math|\<less\>i=l>, then
    either <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>\<in\><wide|C|\<wide-bar\>><rsup|<value|fcut>>>
    or <with|mode|math|\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|l>>\<in\><wide|\<frak-T\>|\<wide-bar\>>\<setminus\>\<frak-T\>>.
    In the second case, <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|l>>\<succ\>1>
    and <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|l-1>>\<succ\>1>
    yield either <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>\<in\>(<wide|\<bbb-T\>|^><rsub|\<succ\>>\<setminus\>\<bbb-T\>)<rsup|\<gtr\>>>,
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>\<in\><wide|\<varkappa\>|\<wide-bar\>><rsub|\<bbb-Z\>>>
    or <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>=<wide|\<mho\>|\<wide-bar\>>>.
    This proves (<em|e>).

    Now let <with|mode|math|1\<less\>i\<less\>l>. By what precedes, we
    necessarily have <with|mode|math|\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|i-1>>=<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|i-2>>>
    and <with|mode|math|<wide|f|\<wide-bar\>><rsub|i>\<gtr\>0>. If
    <with|mode|math|\<varphi\><rsub|i>=0>, then it follows that
    <with|mode|math|\<epsilon\><rsub|i>=1>, since
    <with|mode|math|\<epsilon\><rsub|i>=\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|i+1>>/<wide|f|\<wide-bar\>><rsub|i>\<geqslant\>0>.
    This proves the first part of (<em|b>). Assume that
    <with|mode|math|l\<geqslant\>1>. We cannot have
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>\<in\>\<bbb-T\>>, since
    otherwise <with|mode|math|<wide|f|\<wide-bar\>><rsub|l-1>=\<varphi\><rsub|l-1>+\<epsilon\><rsub|l-1>*\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|l>>\<in\>\<bbb-T\>>.
    Similarly, <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>=<wide|\<Mho\>|\<wide-bar\>>>
    would imply <with|mode|math|<wide|f|\<wide-bar\>><rsub|l-1>=<wide|\<Mho\>|\<wide-bar\>>>
    and <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>=\<um\><wide|\<Mho\>|\<wide-bar\>>>
    would imply <with|mode|math|><with|mode|math|<wide|f|\<wide-bar\>><rsub|l-1>=\<varphi\><rsub|l-1>\<in\>\<bbb-T\>>.
    If <with|mode|math|\<varphi\><rsub|l-1>=0> and
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>=<wide|\<varkappa\>|\<wide-bar\>><rsub|k>>,
    then <with|mode|math|<wide|f|\<wide-bar\>><rsub|l-1>=\<epsilon\><rsub|l-1>*<wide|\<varkappa\>|\<wide-bar\>><rsub|k+1>\<nin\><wide|\<varkappa\>|\<wide-bar\>><rsub|\<bbb-Z\>>>,
    whence <with|mode|math|l=1> and <with|mode|math|\<epsilon\><rsub|l-1>=\<um\>1>.
    We cannot have <with|mode|math|\<varphi\><rsub|l-1>=0> and
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>\<in\><wide|C|\<wide-bar\>>>,
    since this would imply <with|mode|math|<wide|f|\<wide-bar\>><rsub|l-1>=\<epsilon\><rsub|l-1>*\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|l>>\<in\><wide|C|\<wide-bar\>>>.
    Finally, if <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>\<in\><wide|\<bbb-T\>|^>>,
    then we have shown above that <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|l>>\<succ\>1>,
    so that <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>\<in\><wide|\<bbb-T\>|^><rsub|\<succ\>>\<setminus\>\<bbb-T\>>.
    This completes the proof of (<em|b>) and also proves <no-break>(<em|d>).

    In order to prove (<em|c>), let <with|mode|math|0\<leqslant\>i\<less\>l>
    and <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>=\<mathe\><rsup|\<varphi\><rsub|i+1>+\<epsilon\><rsub|i+1>*\<mathe\><rsup|\<udots\><rsup|\<varphi\><rsub|l-1>+\<epsilon\><rsub|l-1>*\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|l>>>>>>,
    so that <with|mode|math|<wide|f|\<wide-bar\>><rsub|i>=\<varphi\><rsub|i>+\<epsilon\><rsub|i>*<wide|\<frak-m\>|\<wide-bar\>>>.
    We conclude that <with|mode|math|<wide|\<frak-m\>|\<wide-bar\>>=<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|\<frak-m\>|\<wide-bar\>>>=<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|i>>\<prec\>supp
    \<varphi\><rsub|i>>.
  </proof>

  <\proposition>
    Let <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>
    be as in <with|font-shape|right|(<reference|diag-exp-fin>)>, where
    <with|mode|math|><with|mode|math|\<varphi\><rsub|0>,\<ldots\>,\<varphi\><rsub|l-1>\<in\>\<bbb-T\>>,
    <with|mode|math|\<epsilon\><rsub|0>,\<ldots\>,<no-break>\<epsilon\><rsub|l-1>\<in\>{\<um\>1,1}>
    and <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>\<in\><wide|\<bbb-T\>|^>\<cup\>\<upm\>{<wide|\<Mho\>|\<wide-bar\>>}\<cup\>\<upm\><wide|\<varkappa\>|\<wide-bar\>><rsub|\<bbb-Z\>>\<cup\><wide|C|\<wide-bar\>>>
    are such that the conditions <with|font-shape|right|(<em|a>--<em|e>)> of
    proposition <no-break><with|font-shape|right|<reference|nested-seq-props>>
    are satisfied. Then, <with|mode|math|<wide|f|\<wide-bar\>>> admits
    <with|font-shape|right|(<reference|diag-exp-fin>)> as its nested
    expansion.
  </proposition>

  <\proof>
    Let us prove by induction over <with|mode|math|i=l,l-1,\<ldots\>,0> that

    <\equation>
      <label|fi-nested-exp><wide|f|\<wide-bar\>><rsub|i>=\<varphi\><rsub|i>+\<epsilon\><rsub|i>*\<mathe\><rsup|\<varphi\><rsub|i+1>+\<epsilon\><rsub|i+1>*\<mathe\><rsup|\<udots\><rsup|\<varphi\><rsub|l-1>+\<epsilon\><rsub|l-1>*\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|l>>>>>
    </equation>

    satisfies

    <\enumerate-Alpha>
      <item><with|mode|math|l\<geqslant\>1\<Rightarrow\><wide|f|\<wide-bar\>><rsub|i>\<nin\>\<bbb-T\>\<cup\>\<upm\>{<wide|\<Mho\>|\<wide-bar\>>}>.

      <item><with|mode|math|i\<geqslant\>2\<Rightarrow\><wide|f|\<wide-bar\>><rsub|i>\<gtr\>0\<vee\>(l=i\<wedge\><wide|f|\<wide-bar\>><rsub|i>\<in\><wide|C|\<wide-bar\>>\<setminus\>{\<um\><wide|\<mho\>|\<wide-bar\>>})>.

      <item><with|mode|math|1\<leqslant\>i\<less\>l\<Rightarrow\><wide|f|\<wide-bar\>><rsub|i>\<succ\>1>.

      <item><with|mode|math|0\<leqslant\>i\<less\>l\<Rightarrow\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|i>>\<asymp\>\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|i+1>>>.

      <item><with|mode|math|<wide|f|\<wide-bar\>><rsub|i>> admits
      (<reference|fi-nested-exp>) as its nested expansion.
    </enumerate-Alpha>

    These properties are is trivially satisfied for <with|mode|math|i=l>. So
    assume that they hold for <with|mode|math|i+1> and let us show that they
    again hold for <with|mode|math|i>.

    From (A) at order <with|mode|math|i+1>, we get
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|i+1>\<nin\>\<bbb-T\>\<cup\>\<upm\>{<wide|\<Mho\>|\<wide-bar\>>}>.
    Since <with|mode|math|<wide|f|\<wide-bar\>><rsub|i+1>=log
    (\<epsilon\><rsub|i>*(<wide|f|\<wide-bar\>><rsub|i>-\<varphi\><rsub|i>))>,
    we have <with|mode|math|<wide|f|\<wide-bar\>><rsub|i>\<in\>\<bbb-T\>\<cup\>\<upm\>{<wide|\<Mho\>|\<wide-bar\>>}\<Rightarrow\><wide|f|\<wide-bar\>><rsub|i+1>\<in\>\<bbb-T\>\<cup\>\<upm\>{<wide|\<Mho\>|\<wide-bar\>>}>.
    This proves (A) at order <with|mode|math|i>. For
    <with|mode|math|i\<geqslant\>2>, we have either
    <with|mode|math|\<varphi\><rsub|i>\<neq\>0>, in which case
    <with|mode|math|\<varphi\><rsub|i>\<in\>\<bbb-T\><rsub|\<succ\>><rsup|\<gtr\>>>
    implies <with|mode|math|<wide|f|\<wide-bar\>><rsub|i>\<gtr\>0>, or
    <with|mode|math|\<varphi\><rsub|i>=0>, in which case
    <with|mode|math|\<epsilon\><rsub|i>=1> and
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|i+1>\<gtr\>0> imply
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|i>=\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|i+1>>\<gtr\>0>.
    This proves (B).

    As to (C), if <with|mode|math|1\<leqslant\>i\<less\>l> and
    <with|mode|math|\<varphi\><rsub|i>\<neq\>0>, then
    <with|mode|math|<with|mode|math|\<varphi\><rsub|i>\<in\>\<bbb-T\><rsub|\<succ\>>>
    implies <with|mode|math|<wide|f|\<wide-bar\>><rsub|i>\<sim\>\<varphi\><rsub|i>\<succ\>1>>.
    If <with|mode|math|<with|mode|math|1\<leqslant\>i\<less\>l-1>> and
    <with|mode|math|\<varphi\><rsub|i>=0>, then
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|i+1>\<succ\>1> and
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|i+1>\<gtr\>0> imply
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|i>=\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|i+1>>\<succ\>1>.
    If <with|mode|math|1\<leqslant\>i=l-1> and
    <with|mode|math|\<varphi\><rsub|i>=0>, then
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>\<in\><wide|\<bbb-T\>|^><rsub|\<succ\>>\<setminus\>\<bbb-T\>>
    and <with|mode|math|<wide|f|\<wide-bar\>><rsub|l-1>=\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|l>>\<succ\>1>.

    Now let <with|mode|math|0\<leqslant\>i\<less\>l>. In order to prove (D),
    it suffices to show that <with|mode|math|\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|i+1>>\<in\>(<wide|\<frak-T\>|\<wide-bar\>>\<setminus\>\<frak-T\>)\<cup\><wide|C|\<wide-bar\>><rsup|<value|fcut>>*\<frak-T\>>.
    Assume first that <with|mode|math|i\<less\>l-1>, so that
    <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|i+1>>\<asymp\>\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|i+2>>>.
    If <with|mode|math|<wide|f|\<wide-bar\>><rsub|i+2>\<in\><wide|C|\<wide-bar\>>\<setminus\>{<wide|\<mho\>|\<wide-bar\>>}>,
    then <with|mode|math|\<varphi\><rsub|i+1>\<neq\>0> and
    <with|mode|math|\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|i+1>>\<in\><wide|C|\<wide-bar\>><rsup|<value|fcut>>*\<frak-T\>>.
    If <with|mode|math|<wide|f|\<wide-bar\>><rsub|i+2>\<nin\><wide|C|\<wide-bar\>>>
    or <with|mode|math|><with|mode|math|<wide|f|\<wide-bar\>><rsub|i+2>=<wide|\<mho\>|\<wide-bar\>>>,
    then <with|mode|math|<wide|f|\<wide-bar\>><rsub|i+2>\<succ\>1> and
    <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|i+1>>\<asymp\>\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|i+2>>\<succ\>1>.
    Hence <with|mode|math|\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|i+1>>\<in\><wide|\<frak-T\>|\<wide-bar\>>\<setminus\>\<frak-T\>>,
    by proposition <reference|exp-comp-prop>(<em|c>). Assume now that
    <with|mode|math|i=l-1>. Then either <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>\<in\><wide|C|\<wide-bar\>><rsup|<value|fcut>>>
    and <with|mode|math|\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|l>>\<in\><wide|C|\<wide-bar\>><rsup|<value|fcut>>>,
    or <with|mode|math|><with|mode|math|<wide|f|\<wide-bar\>><rsub|l>=<wide|\<varkappa\>|\<wide-bar\>><rsub|k>>
    for some <with|mode|math|k\<in\>\<bbb-Z\>> and
    <with|mode|math|\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|l>>=<wide|\<varkappa\>|\<wide-bar\>><rsub|k+1>\<in\><wide|\<frak-T\>|\<wide-bar\>>\<setminus\>\<frak-T\>>,
    or <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>\<in\><wide|\<bbb-T\>|^><rsub|\<succ\>>\<setminus\>\<bbb-T\>>
    and <with|mode|math|\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|<rsub|i+1>>>\<in\><wide|\<frak-T\>|\<wide-bar\>>\<setminus\>\<frak-T\>>,
    since <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|i+1>>\<succ\>1>.
    This proves (D). The last property (E) follows from (D) and (E) at stage
    <with|mode|math|i+1>.
  </proof>

  <subsection|Infinite nested expansions>

  To any <with|mode|math|f\<in\>\<bbb-T\>>, we may associate a natural
  interval

  <\equation*>
    <wide|\<Tau\>|\<wide-bar\>><rsub|f>={<wide|g|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>:f\<trianglelefteqslant\><wide|g|\<wide-bar\>>}=[f-<wide|\<frak-t\>|\<wide-bar\>><rsub|f>,f+<wide|\<frak-t\>|\<wide-bar\>><rsub|f>],
  </equation*>

  where <with|mode|math|f\<trianglelefteqslant\><wide|g|\<wide-bar\>>\<Leftrightarrow\>f\<trianglelefteqslant\>\<varphi\><rsub|<wide|g|\<wide-bar\>>>>
  and <with|mode|math|<wide|\<frak-t\>|\<wide-bar\>><rsub|f>=inf
  {\<frak-m\>\<in\>\<frak-T\>:supp f\<succ\>\<frak-m\>}>. Given a sequence
  <with|mode|math|(\<varphi\><rsub|0>,\<epsilon\><rsub|0>),(\<varphi\><rsub|1>,\<epsilon\><rsub|1>),\<ldots\>>
  with <with|mode|math|\<varphi\><rsub|0>,\<varphi\><rsub|1>,\<ldots\>\<in\>\<bbb-T\>>
  and <with|mode|math|\<epsilon\><rsub|1>,\<epsilon\><rsub|2>,\<ldots\>\<in\>{\<um\>1,1}>,
  we denote

  <\equation*>
    <wide|\<Delta\>|\<wide-bar\>><rsub|i,j>=\<varphi\><rsub|i>+\<epsilon\><rsub|i>*\<mathe\><rsup|\<varphi\><rsub|i+1>+\<epsilon\><rsub|i+1>*\<mathe\><rsup|\<udots\><rsup|<wide|\<Tau\>|\<wide-bar\>><rsub|\<varphi\><rsub|j>>>>>
  </equation*>

  for all <with|mode|math|i\<leqslant\>j> and
  <with|mode|math|<wide|\<Delta\>|\<wide-bar\>><rsub|i>=<wide|\<Delta\>|\<wide-bar\>><rsub|0,i>>
  for all <with|mode|math|i>. We also denote

  <\equation*>
    <wide|\<Iota\>|\<wide-bar\>><rsub|i>=<wide|\<Delta\>|\<wide-bar\>><rsub|i,i>\<cap\><wide|\<Delta\>|\<wide-bar\>><rsub|i,i+1>\<cap\><wide|\<Delta\>|\<wide-bar\>><rsub|i,i+2>\<cap\>\<cdots\>
  </equation*>

  for all <with|mode|math|i\<geqslant\>0> and
  <with|mode|math|\<Iota\>=\<Iota\><rsub|0>>. Given
  <with|mode|math|f\<in\>\<bbb-T\>>, we finally define
  <with|mode|math|\<eta\>(f)\<in\>\<bbb-N\>> by

  <\equation*>
    \<eta\>(f)=<choice|<tformat|<table|<row|<cell|0>|<cell|<with|mode|text|if
    >f=0>>|<row|<cell|1>|<cell|<with|mode|text|if >f\<in\>exp<rsub|\<bbb-Z\>>
    x>>|<row|<cell|max<rsub|\<frak-m\>\<in\>supp f> \<eta\>(log
    \<frak-m\>)+1>|<cell|<with|mode|text|otherwise>.>>>>>
  </equation*>

  <\proposition>
    <label|nested-props>Assume that <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>
    admits an infinite nested expansion. Then

    <\enumerate-alpha>
      <item><with|mode|math|\<varphi\><rsub|1>\<in\>\<bbb-T\><rsub|\<succ\>>>
      and <with|mode|math|\<varphi\><rsub|2>,\<varphi\><rsub|3>,\<ldots\>\<in\>\<bbb-T\><rsub|\<succ\>><rsup|\<geqslant\>>>.

      <item>We have <with|mode|math|\<varphi\><rsub|i>\<neq\>0> for
      infinitely many <with|mode|math|i>, and
      <with|mode|math|\<varphi\><rsub|i>=0\<Rightarrow\>\<epsilon\><rsub|i>=1>
      for all <with|mode|math|i\<gtr\>1>.

      <item>For every <with|mode|math|i\<geqslant\>0>, we have
      <with|mode|math|<wide|\<Delta\>|\<wide-bar\>><rsub|0>\<cap\>\<cdots\>\<cap\><wide|\<Delta\>|\<wide-bar\>><rsub|i>\<neq\>\<varnothing\>>.
    </enumerate-alpha>
  </proposition>

  <\proof>
    Property (<em|a>) is proved in a similar way as in proposition
    <reference|nested-seq-props>, as well as the fact that
    <with|mode|math|\<varphi\><rsub|i>=0\<Rightarrow\>\<epsilon\><rsub|i>=1>
    for all <with|mode|math|i\<gtr\>1>. Property (<em|c>) is obvious, since
    <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<Delta\>|\<wide-bar\>><rsub|0>\<cap\>\<cdots\>\<cap\><wide|\<Delta\>|\<wide-bar\>><rsub|i>>
    for all <with|mode|math|i\<geqslant\>0>.

    Let us prove that <with|mode|math|\<varphi\><rsub|i>\<neq\>0> for
    infinitely many<nbsp><with|mode|math|i>. It suffices to prove that
    <with|mode|math|\<varphi\><rsub|i>\<neq\>0> for one <with|mode|math|i>,
    modulo repetition of the same argument for
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|i+1>> instead of
    <with|mode|math|<wide|f|\<wide-bar\>>>. Considering
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|1>> instead of
    <with|mode|math|<wide|f|\<wide-bar\>>>, we may also assume without loss
    of generality that <with|mode|math|<wide|f|\<wide-bar\>>\<gtr\>0> and
    <with|mode|math|<wide|f|\<wide-bar\>>\<succ\>1>. Since
    <with|mode|math|<wide|f|\<wide-bar\>>\<nin\>\<upm\>{<wide|\<Mho\>|\<wide-bar\>>}\<cup\>\<upm\><no-break><wide|\<varkappa\>|\<wide-bar\>><rsub|\<bbb-Z\>>\<cup\>\<pm\><no-break>{<wide|\<mho\>|\<wide-bar\>>}>,
    there exist <with|mode|math|g,h\<in\>\<bbb-T\>> with
    <with|mode|math|g\<less\><wide|f|\<wide-bar\>>\<less\>h> and
    <with|mode|math|expo(g)=expo(h)=k>. For a sufficiently large
    <with|mode|math|r>, we now have <with|mode|math|log<rsub|r>
    g=exp<rsub|k-r> x+o(1)> and <with|mode|math|log<rsub|r> h=exp<rsub|k-r>
    x+o(1)>. But then <with|mode|math|exp<rsub|k-r>
    x\<trianglelefteqslant\>log<rsub|r> <wide|f|\<wide-bar\>>> so that
    <with|mode|math|\<varphi\><rsub|i>\<neq\>0> for some
    <with|mode|math|i\<leqslant\>r>. This completes the proof of
    <no-break>(<em|b>).
  </proof>

  <\proposition>
    <label|intersec-shift-inv>Consider <with|mode|math|\<varphi\><rsub|0>,\<varphi\><rsub|1>,\<ldots\>\<in\>\<bbb-T\>>
    and <with|mode|math|\<epsilon\><rsub|0>,\<epsilon\><rsub|1>,\<ldots\>\<in\>{\<um\>1,1}>,
    which satisfy conditions <with|font-shape|right|(<em|a--c>)> of
    proposition <with|font-shape|right|<reference|nested-props>>. Then
    <with|mode|math|<wide|\<Iota\>|\<wide-bar\>><rsub|1>\<cap\>\<bbb-T\>=<wide|\<Iota\>|\<wide-bar\>><rsub|1>\<cap\>\<bbb-T\>+\<bbb-T\><rsup|\<preccurlyeq\>>>.
  </proposition>

  <\proof>
    Let <with|mode|math|f<rsub|1>\<in\><wide|\<Iota\>|\<wide-bar\>><rsub|1>\<cap\>\<bbb-T\>>
    and define <with|mode|math|f<rsub|2>=log
    (\<epsilon\><rsub|1>*(f<rsub|1>-\<varphi\><rsub|1>))>,
    <with|mode|math|f<rsub|3>=log (\<epsilon\><rsub|2>*(f<rsub|2>-\<varphi\><rsub|2>))>
    and so on. We claim that <with|mode|math|f<rsub|i>-\<varphi\><rsub|i>\<succ\>1>
    for all <with|mode|math|i\<geqslant\>1>. Indeed, let <with|mode|math|k>
    be such that <with|mode|math|\<varphi\><rsub|i+1>=\<cdots\>=\<varphi\><rsub|i+k-1>=0>
    but <with|mode|math|\<varphi\><rsub|i+k>\<neq\>0>. Then
    <with|mode|math|log<rsub|k> (\<epsilon\><rsub|i>*(f<rsub|i>-\<varphi\><rsub|i>))\<trianglerighteqslant\>\<varphi\><rsub|i+k>\<in\>\<bbb-T\><rsub|\<succ\>><rsup|\<gtr\>>>,
    whence <with|mode|math|f<rsub|i>-\<varphi\><rsub|i>=\<epsilon\><rsub|i>*exp<rsub|k>
    (\<varphi\><rsub|i+k>+\<cdots\>)\<succ\>1>.

    Given <with|mode|math|\<delta\><rsub|1>\<in\>\<bbb-T\><rsup|\<preccurlyeq\>>>,
    we have to prove that <with|mode|math|f<rsub|1>+\<delta\><rsub|1>\<in\><wide|\<Iota\>|\<wide-bar\>><rsub|1>>.
    Let us construct a sequence <with|mode|math|\<delta\><rsub|2>,\<delta\><rsub|3>,\<ldots\>>
    of elements in <with|mode|math|\<bbb-T\><rsup|\<preccurlyeq\>>> as
    follows. Assuming that we have constructed
    <with|mode|math|\<delta\><rsub|i>>, we deduce from
    <with|mode|math|f<rsub|i>-\<varphi\><rsub|i>\<succ\>1>
    that<with|mode|math| <with|mode|math|f<rsub|i>+\<delta\><rsub|i>-\<varphi\><rsub|i>\<succ\>1>>,
    so, taking

    <\equation*>
      \<delta\><rsub|i+1>=log <left|(>1+<frac|\<delta\><rsub|i>|f<rsub|i>-\<varphi\><rsub|i>><right|)>,
    </equation*>

    we indeed have <with|mode|math|\<delta\><rsub|i+1>\<prec\>1\<preccurlyeq\>1>
    as well as

    <\equation>
      <label|f-delta-rec>f<rsub|i+1>+\<delta\><rsub|i+1>=log
      (\<epsilon\><rsub|i>*(f<rsub|i>+\<delta\><rsub|i>-\<varphi\><rsub|i>)).
    </equation>

    Now <with|mode|math|f<rsub|i>\<in\><wide|\<Delta\>|\<wide-bar\>><rsub|i,i>>
    and <with|mode|math|\<delta\>\<preccurlyeq\>1\<prec\>supp
    \<varphi\><rsub|i>> imply <with|mode|math|f<rsub|i>+\<delta\><rsub|i>\<in\><wide|\<Delta\>|\<wide-bar\>><rsub|i,i>>.
    By induction over <with|mode|math|j-i>, the formula
    (<reference|f-delta-rec>) therefore yields
    <with|mode|math|f<rsub|i>+\<delta\><rsub|i>\<in\><wide|\<Delta\>|\<wide-bar\>><rsub|i,j>>
    for all <with|mode|math|1\<leqslant\>i\<leqslant\>j>. In other words,
    <with|mode|math|f<rsub|i>+\<delta\><rsub|i>\<in\><wide|\<Iota\>|\<wide-bar\>><rsub|i>>
    for all <with|mode|math|i\<geqslant\>1> and in particular for
    <with|mode|math|i=1>.
  </proof>

  <\proposition>
    <label|inf-nested-exp-prop>Consider <with|mode|math|\<varphi\><rsub|0>,\<varphi\><rsub|1>,\<ldots\>\<in\>\<bbb-T\>>
    and <with|mode|math|\<epsilon\><rsub|0>,\<epsilon\><rsub|1>,\<ldots\>\<in\>{\<um\>1,1}>,
    which satisfy conditions <with|font-shape|right|(<em|a--c>)> of
    proposition <with|font-shape|right|<reference|nested-props>>. Then
    <with|mode|math|<wide|\<Iota\>|\<wide-bar\>>={<wide|f|\<wide-bar\>>}> for
    some <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>\<setminus\>\<bbb-T\>>
    with nested expansion <no-break><with|font-shape|right|(<reference|nexp-inf>)>.
  </proposition>

  <\proof>
    Since <with|mode|math|<wide|\<Iota\>|\<wide-bar\>>=<wide|\<Delta\>|\<wide-bar\>><rsub|0>\<cap\>(<wide|\<Delta\>|\<wide-bar\>><rsub|0>\<cap\><wide|\<Delta\>|\<wide-bar\>><rsub|1>)\<cap\>(<wide|\<Delta\>|\<wide-bar\>><rsub|0>\<cap\><wide|\<Delta\>|\<wide-bar\>><rsub|1>\<cap\><wide|\<Delta\>|\<wide-bar\>><rsub|2>)\<cap\>\<cdots\>>
    is a decreasing intersection of compact non-empty intervals,
    <with|mode|math|<wide|\<Iota\>|\<wide-bar\>>> contains at least one
    element. If <with|mode|math|<wide|\<Iota\>|\<wide-bar\>>> contains more
    than one element, then it contains in particular an element
    <with|mode|math|f\<in\>\<bbb-T\>>. Assume for contradiction that
    <with|mode|math|<wide|\<Iota\>|\<wide-bar\>>\<cap\>\<bbb-T\>\<neq\>\<varnothing\>>.
    Then we may choose <with|mode|math|(\<varphi\><rsub|0>,\<epsilon\><rsub|0>),(\<varphi\><rsub|1>,\<epsilon\><rsub|1>),\<ldots\>>
    and <with|mode|math|f\<in\><wide|\<Iota\>|\<wide-bar\>>> such that
    <with|mode|math|\<eta\>(f)> is minimal.

    Let <with|mode|math|\<frak-m\>=\<frak-d\>(f-\<varphi\><rsub|0>)> and
    <with|mode|math|g=log \<frak-m\>>. From
    <with|mode|math|\<varphi\><rsub|0>\<trianglelefteqslant\>f>, it follows
    that <with|mode|math|\<frak-m\>\<in\>supp f> and
    <with|mode|math|\<eta\>(g)\<leqslant\>max {1,\<eta\>(f)-1}>. Since
    <with|mode|math|log (\<epsilon\><rsub|0>*(f-\<varphi\><rsub|0>))-log
    \<frak-m\>\<preccurlyeq\>1>, we also have
    <with|mode|math|g\<in\><wide|\<Iota\>|\<wide-bar\>><rsub|1>>, by
    proposition <reference|intersec-shift-inv>. Hence
    <with|mode|math|\<eta\>(g)\<geqslant\>\<eta\>(f)> and
    <with|mode|math|\<eta\>(f)\<leqslant\>1>, by the minimality of the
    counterexample <with|mode|math|f>. Now
    <with|mode|math|f=\<varphi\><rsub|0>> is impossible, since otherwise
    <with|mode|math|\<varphi\><rsub|0>-f=0\<in\>\<epsilon\><rsub|0>*exp
    <no-break><wide|\<Iota\>|\<wide-bar\>><rsub|1>>. It follows that
    <with|mode|math|f\<neq\>0>, since <with|mode|math|f\<trianglerighteqslant\>\<varphi\><rsub|0>>,
    whence <with|mode|math|\<eta\>(f)=\<eta\>(g)=1>. We cannot have
    <with|mode|math|f\<in\>C>, since otherwise <with|mode|math|\<frak-m\>=1>,
    <with|mode|math|g=0> and <with|mode|math|\<eta\>(g)=0>. Therefore, there
    exists an <with|mode|math|l\<in\>\<bbb-Z\>> with
    <with|mode|math|f=exp<rsub|l> x>, <with|mode|math|\<varphi\><rsub|0>=0>
    and <with|mode|math|g=exp<rsub|l-1> x>. Repeating the same argument, we
    conclude that <with|mode|math|\<varphi\><rsub|0>=\<varphi\><rsub|1>=\<cdots\>=0>,
    which is impossible.

    Now that we have proved that <with|mode|math|<wide|\<Iota\>|\<wide-bar\>>={<wide|f|\<wide-bar\>>}>
    for some <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>\<setminus\>\<bbb-T\>>,
    let us show that <with|mode|math|<wide|f|\<wide-bar\>>> admits
    (<reference|nexp-inf>) as its nested expansion. Indeed, we also have
    <with|mode|math|<wide|\<Iota\>|\<wide-bar\>><rsub|1>={<wide|g|\<wide-bar\>>}>
    for <with|mode|math|<wide|g|\<wide-bar\>>=log
    <no-break>(\<epsilon\><rsub|0>*(<wide|f|\<wide-bar\>>-\<varphi\><rsub|0>))>
    and proposition <reference|intersec-shift-inv> implies
    <with|mode|math|\<mathe\><rsup|<wide|g|\<wide-bar\>>>\<in\><wide|\<frak-T\>|\<wide-bar\>>\<setminus\>\<frak-T\>>.
    Consequently, <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>=<wide|\<frak-w\>|\<wide-bar\>><rsub|\<epsilon\><rsub|0>*\<mathe\><rsup|<wide|g|\<wide-bar\>>>>=<wide|\<frak-w\>|\<wide-bar\>><rsub|\<mathe\><rsup|<wide|g|\<wide-bar\>>>>=\<mathe\><rsup|<wide|g|\<wide-bar\>>>>,
    since <with|mode|math|\<mathe\><rsup|<wide|g|\<wide-bar\>>>\<prec\>supp
    \<varphi\><rsub|0>>. This shows that <with|mode|math|<wide|g|\<wide-bar\>>=<wide|f|\<wide-bar\>><rsub|1>>.
    Using the same argument, it follows by induction that
    <with|mode|math|<wide|\<Iota\>|\<wide-bar\>><rsub|k>={<wide|f|\<wide-bar\>><rsub|k>}>
    for all <with|mode|math|k>.
  </proof>

  <\proposition>
    <label|extra-inf-nested-prop>Assume that
    <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>
    admits an infinite nested expansion. Then for every
    <with|mode|math|i\<geqslant\>0> and <with|mode|math|\<frak-m\>\<in\>supp
    \<varphi\><rsub|i>>, there exists a <with|mode|math|j\<gtr\>i> with
    <with|mode|math|<wide|\<Delta\>|\<wide-bar\>><rsub|i,j>-\<varphi\><rsub|i>\<prec\>\<frak-m\>>.
  </proposition>

  <\proof>
    Let <with|mode|math|\<frak-S\><rsub|<wide|f|\<wide-bar\>>>> be the set of
    monomials <with|mode|math|\<frak-m\>\<in\>supp \<varphi\><rsub|0>>, such
    that for all <with|mode|math|i\<gtr\>0> there exists a
    <with|mode|math|<wide|g|\<wide-bar\>>\<in\><wide|\<Delta\>|\<wide-bar\>><rsub|i>>
    with <with|mode|math|<wide|g|\<wide-bar\>>-\<varphi\><rsub|0>\<succcurlyeq\>\<frak-m\>>.
    Let <with|mode|math|\<frak-S\>> be the union of all
    <with|mode|math|\<frak-S\><rsub|<wide|f|\<wide-bar\>>>>, for nested
    expansions <with|mode|math|<wide|f|\<wide-bar\>>> of the form
    <no-break>(<reference|diag-exp>). If <with|mode|math|\<frak-S\>=\<varnothing\>>,
    then we are clearly done, since we would in particular have
    <with|mode|math|\<frak-S\><rsub|<wide|f|\<wide-bar\>><rsub|i>>=\<varnothing\>>
    for each <with|mode|math|<wide|f|\<wide-bar\>><rsub|i>=\<varphi\><rsub|i>+\<epsilon\><rsub|i>*\<mathe\><rsup|\<varphi\><rsub|i+1>+\<epsilon\><rsub|i+1>*\<mathe\><rsup|\<udots\>>>>.
    So let us assume for contradiction that <with|mode|math|\<frak-S\>> is
    non-empty and choose <with|mode|math|<wide|f|\<wide-bar\>>> and
    <with|mode|math|\<frak-m\>\<in\>\<frak-S\><rsub|<wide|f|\<wide-bar\>>>\<subseteq\>\<frak-S\>>
    such that <with|mode|math|\<eta\>(\<frak-m\>)> is minimal. Let
    <with|mode|math|i\<gtr\>0> be minimal such that
    <with|mode|math|\<varphi\><rsub|i>\<neq\>0>. If
    <with|mode|math|\<delta\>=1> or <with|mode|math|\<frak-m\>\<succ\>1>,
    then let <with|mode|math|\<delta\>=1>. Otherwise, let
    <with|mode|math|\<delta\>=\<um\>1>. Setting
    <with|mode|math|\<psi\>=log<rsub|i> \<frak-m\><rsup|\<delta\>><rsub|i>>
    and <with|mode|math|\<frak-n\>=\<frak-d\><rsub|\<varphi\><rsub|i>-\<psi\>>>
    (whenever <with|mode|math|\<varphi\><rsub|i>\<neq\>\<psi\>>), we
    distinguish the following four cases:

    <\description>
      <item*|Case <with|mode|math|\<varphi\><rsub|i>=\<psi\>>>We first
      observe that <with|mode|math|\<epsilon\><rsub|i+1>=\<um\>\<delta\>>.
      Now let <with|mode|math|j\<gtr\>i> be minimal such that
      <with|mode|math|\<varphi\><rsub|j>\<neq\>0>. Then
      <with|mode|math|exp<rsub|j-i> <wide|h|\<wide-bar\>>\<succ\>1> and
      <with|mode|math|\<frak-m\>\<succ\>exp<rsub|i><rsup|\<delta\>>
      (\<varphi\><rsub|i>-\<delta\>*exp<rsub|j-i> <wide|h|\<wide-bar\>>)> for
      all <with|mode|math|<wide|h|\<wide-bar\>>\<trianglerighteqslant\>\<varphi\><rsub|j>>.
      This contradicts the fact that <with|mode|math|\<frak-m\>\<in\>\<frak-S\><rsub|<wide|f|\<wide-bar\>>>>.

      <item*|Case <with|mode|math|\<frak-n\>\<nin\>supp \<psi\>>>For all
      <with|mode|math|<wide|g|\<wide-bar\>>\<trianglerighteqslant\>\<varphi\><rsub|i>>,
      we have <with|mode|math|<wide|g|\<wide-bar\>>-\<psi\>\<sim\>\<varphi\><rsub|i>-\<psi\>\<sim\>\<varphi\><rsub|i,\<frak-n\>>*\<frak-n\>>,
      so the sign of <with|mode|math|<wide|g|\<wide-bar\>>-\<psi\>> does not
      depend on the choice of <with|mode|math|<wide|g|\<wide-bar\>>>. Since
      <with|mode|math|\<frak-m\>\<in\>\<frak-S\><rsub|<wide|f|\<wide-bar\>>>>,
      we may choose <with|mode|math|<wide|g|\<wide-bar\>>> such that
      <with|mode|math|\<frak-m\>\<preccurlyeq\>exp<rsub|i>
      <wide|g|\<wide-bar\>>>. But then <with|mode|math|sign
      (<wide|g|\<wide-bar\>>-\<psi\>)\<neq\>sign
      (<wide|f|\<wide-bar\>><rsub|i>-\<psi\>)>.

      <item*|Case <with|mode|math|\<frak-n\>\<in\>supp
      \<psi\>\<setminus\>\<frak-S\><rsub|<wide|f|\<wide-bar\>><rsub|i>>>>Let
      <with|mode|math|j\<gtr\>i> be such that
      <with|mode|math|\<frak-n\>\<succ\><wide|g|\<wide-bar\>>-\<varphi\><rsub|i>>
      for all <with|mode|math|<wide|g|\<wide-bar\>>\<in\><wide|\<Delta\>|\<wide-bar\>><rsub|i,j>>.
      Given <with|mode|math|<wide|g|\<wide-bar\>>\<in\><wide|\<Delta\>|\<wide-bar\>><rsub|i,j>>,
      it follows that <with|mode|math|<wide|g|\<wide-bar\>>-\<psi\>\<sim\>\<varphi\><rsub|i>-\<psi\>>,
      so the sign on <with|mode|math|<wide|g|\<wide-bar\>>-\<psi\>> does not
      depend on the choice of <with|mode|math|<wide|g|\<wide-bar\>>>. We
      obtain a contraction as in the previous case.

      <item*|Case <with|mode|math|\<frak-n\>\<in\>supp
      \<psi\>\<cap\>\<frak-S\><rsub|<wide|f|\<wide-bar\>><rsub|i>>>>The
      minimality hypothesis entails <with|mode|math|\<eta\>(\<frak-n\>)\<geqslant\>\<eta\>(\<frak-m\>)>.
      By the construction of <with|mode|math|\<frak-n\>>, we thus must have
      <with|mode|math|\<eta\>(\<frak-m\>)\<leqslant\>1>. Since
      <with|mode|math|\<frak-m\>=1> implies <with|mode|math|\<psi\>=0> and
      <with|mode|math|\<frak-n\>\<nin\>supp <no-break>\<psi\>>, it follows
      that <with|mode|math|\<frak-m\>=exp<rsub|k> x> for some
      <with|mode|math|k\<in\>\<bbb-Z\>> and
      <with|mode|math|\<psi\>=exp<rsub|k-i> x>. Since <with|mode|math|supp
      <no-break>\<psi\>> is a singleton, we also must have
      <with|mode|math|\<frak-n\>=\<psi\>=exp<rsub|k-i> x>. Now if
      <with|mode|math|\<tau\><rsub|\<varphi\><rsub|i>>\<gtr\>\<frak-n\>>,
      then we would have <with|mode|math|exp<rsub|i>
      <wide|f|\<wide-bar\>><rsub|i>\<succ\>\<frak-m\>>, which is impossible.
      If <with|mode|math|\<tau\><rsub|\<varphi\><rsub|i>>\<less\>\<frak-n\>>,
      then <with|mode|math|exp<rsub|i> <wide|g|\<wide-bar\>>\<prec\>\<frak-m\>>
      for all <with|mode|math|<wide|g|\<wide-bar\>>\<trianglerighteqslant\>\<varphi\><rsub|i>>,
      which contradicts the fact that <with|mode|math|\<frak-m\>\<in\>\<frak-S\><rsub|<wide|f|\<wide-bar\>>>>.
    </description>

    In all cases, we thus obtain a contradiction, so we conclude that
    <with|mode|math|\<frak-S\>=\<varnothing\>>.
  </proof>

  <\exercise>
    Prove that <with|mode|math|\<mathe\><rsup|\<um\><wide|\<mho\>|\<wide-bar\>>>=<wide|\<backepsilon\>|\<wide-bar\>>>
    and <with|mode|math|\<mathe\><rsup|<wide|\<mho\>|\<wide-bar\>>>=<wide|\<mho\>|\<wide-bar\>>>.
    In the case when <with|mode|math|C=\<bbb-R\>>, show that (modulo suitable
    adjustments of the theory) the ``halting condition'' <strong|NS1> may be
    replaced by the alternative condition that
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|i>\<in\><wide|\<bbb-T\>|^>\<cup\>\<upm\>{<wide|\<Mho\>|\<wide-bar\>>}\<cup\>\<upm\><wide|\<varkappa\>|\<wide-bar\>><rsub|\<bbb-Z\>>\<cup\>\<pm\>{<wide|\<backepsilon\>|\<wide-bar\>>,<wide|\<mho\>|\<wide-bar\>>}*\<frak-T\>>.
  </exercise>

  <\fold>
    <\exercise>
      Show that the condition (<em|d>) is needed in proposition
      <reference|inf-nested-exp-prop>.
    </exercise>
  <|fold>
    <\solution>
      Consider the expansion

      <\equation*>
        x-\<mathe\><rsup|x-\<mathe\><rsup|x-\<mathe\><rsup|x-\<mathe\><rsup|\<udots\>>>>>
      </equation*>
    </solution>
  </fold>

  <\fold>
    <\exercise>
      Show that the conclusion of proposition
      <reference|extra-inf-nested-prop> may be replaced by the stronger
      statement that for all <with|mode|math|i\<geqslant\>0>, there exists a
      <with|mode|math|j\<gtr\>i> with <with|mode|math|<wide|\<Delta\>|\<wide-bar\>><rsub|j>\<subseteq\><wide|\<Delta\>|\<wide-bar\>><rsub|i>>.
      Does this still hold in the case of well-based transseries?
    </exercise>
  <|fold>
    <\solution>
      Counter-example in the case of well-based transseries

      <\equation*>
        \<mathe\><rsup|2<sqrt|log x>>+\<mathe\><rsup|<sqrt|log
        x>+\<mathe\><rsup|2*<sqrt|log log
        x>>>+\<cdots\>+\<mathe\><rsup|<sqrt|log x>+\<mathe\><rsup|<sqrt|log
        log x>+\<mathe\><rsup|\<udots\>>>>.
      </equation*>
    </solution>
  </fold>

  <section|Integral neighbourhoods of cuts><label|integral-nbh-sec>

  <subsection|Differentiation and integration of cuts>

  Let <with|mode|math|\<frak-I\>> be an interval of
  <with|mode|math|\<frak-T\>>. Any cut <with|mode|math|<wide|f|\<wide-bar\>>=sup<rsub|<wide|C<gb|\<frak-I\>>|\<wide-bar\>>>
  I\<in\><wide|C<gb|\<frak-I\>>|\<wide-bar\>>\<setminus\>C<gb|\<frak-I\>>>
  (where <with|mode|math|I> is an open initial segment without maximal
  element) naturally induces an element <with|mode|math|\<iota\>(<wide|f|\<wide-bar\>>)=sup<rsub|<wide|\<bbb-T\>|\<wide-bar\>>>
  <no-break>I> in <no-break><with|mode|math|<wide|\<bbb-T\>|\<wide-bar\>>>.
  Identifying <with|mode|math|<wide|f|\<wide-bar\>>> with
  <with|mode|math|\<iota\>(<wide|f|\<wide-bar\>>)>, this yields a natural
  inclusion of <with|mode|math|<wide|C<gb|\<frak-I\>>|\<wide-bar\>>> into
  <with|mode|math|<wide|\<bbb-T\>|\<wide-bar\>>>, which extends the inclusion
  of <with|mode|math|C<gb|\<frak-I\>>> into <with|mode|math|\<bbb-T\>>. For
  any <with|mode|math|g \<in\>I> with <with|mode|math|g\<less\><wide|f|\<wide-bar\>>>,
  there exists a <with|mode|math|h\<in\>I> with
  <with|mode|math|g\<less\>h\<less\><wide|f|\<wide-bar\>>> so that
  <with|mode|math|<wide|f|\<wide-bar\>>-g\<geqslant\>h-g\<in\>C<gb|\<frak-I\>><rsup|\<gtr\>>>.
  In other words, <with|mode|math|<wide|f|\<wide-bar\>>> is a cut in
  <with|mode|math|<wide|\<bbb-T\>|\<wide-bar\>>\<setminus\>\<bbb-T\>> whose
  width lies in <with|mode|math|<wide|\<frak-I\>|\<wide-bar\>>>. From
  proposition <reference|serial-cut-prop> it now follows that either
  <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>\<in\><wide|C<gb|\<frak-I\>>|^>>
  or <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>+<wide|c|\<wide-bar\>>*<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>
  for some <with|mode|math|\<varphi\><rsub|<wide|f|\<wide-bar\>>>\<in\>C<gb|\<frak-I\>>>
  and <with|mode|math|<wide|c|\<wide-bar\>>\<in\><assign|fic|%><wide|C|\<wide-bar\>><rsub|\<asymp\>>=<wide|C|\<wide-bar\>>\<setminus\>{\<um\><wide|\<mho\>|\<wide-bar\>>,<wide|\<mho\>|\<wide-bar\>>}>.
  In other words,

  <\eqnarray*>
    <tformat|<table|<row|<cell|<wide|C<gb|\<frak-I\>>|\<wide-bar\>>>|<cell|=>|<cell|<wide|C|\<wide-bar\>><rsub|\<asymp\>>[[<wide|\<frak-I\>|\<wide-bar\>>]]\<cap\><wide|\<bbb-T\>|\<wide-bar\>>.>>>>
  </eqnarray*>

  In particular, each element <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>
  admits a canonical decomposition<bi-index*|canonical|decomposition>

  <\equation>
    <label|compact-can-dec><wide|f|\<wide-bar\>>=<wide|f|\<wide-bar\>><rsub|\<succ\>>+<wide|f|\<wide-bar\>><rsub|\<asymp\>>+<wide|f|\<wide-bar\>><rsub|\<prec\>>,
  </equation>

  with <with|mode|math|<wide|f|\<wide-bar\>><rsub|\<succ\>>\<in\><wide|\<bbb-T\><rsub|\<succ\>>|\<wide-bar\>>=<wide|C<gb|\<frak-T\><rsub|\<succ\>>>|\<wide-bar\>>>,
  <with|mode|math|<wide|f|\<wide-bar\>><rsub|\<asymp\>>\<in\><wide|C|\<wide-bar\>><rsub|\<asymp\>>>
  and <with|mode|math|<wide|f|\<wide-bar\>><rsub|\<prec\>>\<in\><wide|\<bbb-T\><rsub|\<prec\>>|\<wide-bar\>>=<wide|C<gb|\<frak-T\><rsub|\<prec\>>>|\<wide-bar\>>>.

  Denote <with|mode|math|<wide|\<gamma\>|\<wide-bar\>>=(x*log x*log<rsub|2>
  x*\<cdots\>)<rsup|\<um\>1>><glossary-explain|<with|mode|math|<wide|\<gamma\>|\<wide-bar\>>>|the
  cut <with|mode|math|(x*log x*log<rsub|2> x*\<cdots\>)<rsup|\<um\>1>>> and
  consider the differential operator <with|mode|math|\<partial\>> on
  <with|mode|math|\<bbb-T\>>. The restrictions of
  <with|mode|math|\<partial\>> to <with|mode|math|\<bbb-T\><rsub|\<succ\>>>
  and <with|mode|math|\<bbb-T\><rsub|\<prec\>>> respectively yield increasing
  and decreasing bijections

  <\eqnarray*>
    <tformat|<table|<row|<cell|\<partial\><rsub|\<succ\>>:\<bbb-T\><rsub|\<succ\>>>|<cell|\<longrightarrow\>>|<cell|C<gb|\<frak-T\><rsub|\<succ\><wide|\<gamma\>|\<wide-bar\>>>>>>|<row|<cell|\<partial\><rsub|\<prec\>>:\<bbb-T\><rsub|\<prec\>>>|<cell|\<longrightarrow\>>|<cell|C<gb|\<frak-T\><rsub|\<prec\><wide|\<gamma\>|\<wide-bar\>>>>>>>>
  </eqnarray*>

  By proposition <reference|compactify-map>, we may extend
  <with|mode|math|\<partial\><rsub|\<succ\>>> and
  <with|mode|math|\<partial\><rsub|\<prec\>>> to the compactifications of
  <with|mode|math|\<bbb-T\><rsub|\<succ\>>> and
  <no-break><with|mode|math|\<bbb-T\><rsub|\<prec\>>>. This allows us to
  extend <with|mode|math|\<partial\>> to <with|mode|math|<wide|\<bbb-T\>|\<wide-bar\>>>
  by setting <with|mode|math|\<partial\> <wide|f|\<wide-bar\>>=\<partial\><rsub|\<succ\>>
  <wide|f|\<wide-bar\>><rsub|\<succ\>>+\<partial\><rsub|\<prec\>>
  <wide|f|\<wide-bar\>><rsub|\<prec\>>> for all
  <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>.
  Notice that <with|mode|math|<wide|\<mho\>|\<wide-bar\>><rprime|'>=(\<um\><wide|\<backepsilon\>|\<wide-bar\>>)<rprime|'>=<wide|\<gamma\>|\<wide-bar\>>>
  and <with|mode|math|(\<um\><wide|\<mho\>|\<wide-bar\>>)<rprime|'>=<wide|\<backepsilon\>|\<wide-bar\>><rprime|'>=\<um\><wide|\<gamma\>|\<wide-bar\>>>.
  The logarithmic derivative of <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>><rsup|\<neq\>>>
  is defined by <with|mode|math|<wide|f|\<wide-bar\>><rprime|\<dag\>>=(log
  \|<wide|f|\<wide-bar\>>\|)<rprime|'>>.

  Similarly, the inverses of <with|mode|math|\<partial\><rsub|\<succ\>>> and
  <with|mode|math|\<partial\><rsub|\<prec\>>>, which coincide with
  restrictions of the distinguished integration, extend to the
  compactifications of <with|mode|math|C<gb|\<frak-T\><rsub|\<succ\><wide|\<gamma\>|\<wide-bar\>>>>>
  and <with|mode|math|C<gb|\<frak-T\><rsub|\<prec\><wide|\<gamma\>|\<wide-bar\>>>>>.
  By additivity, the distinguished integration therefore extends to
  <with|mode|math|<wide|\<bbb-T\>|\<wide-bar\>>\<setminus\><no-break>(\<bbb-T\><rsub|\<succ\><wide|\<gamma\>|\<wide-bar\>>>\<upm\><no-break><wide|\<gamma\>|\<wide-bar\>>)>.
  The distinguished integrals of <with|mode|math|<wide|\<gamma\>|\<wide-bar\>>>
  and <with|mode|math|\<um\><wide|\<gamma\>|\<wide-bar\>>> are undetermined,
  since <with|mode|math|<value|I>\<pm\><wide|\<gamma\>|\<wide-bar\>>> can be
  chosen among <with|mode|math|\<upm\><wide|\<mho\>|\<wide-bar\>>> and
  <with|mode|math|\<ump\><wide|\<backepsilon\>|\<wide-bar\>>>.

  <subsection|Integral nested expansions>

  Let <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>\<setminus\>\<bbb-T\>>
  be a cut. We say that <with|mode|math|<wide|f|\<wide-bar\>>> has
  <em|integral height><subindex|cut|integral
  height><subsubindex|integral|height|cut><subindex|height|integral cut>
  <with|mode|math|l>, if either

  <\itemize>
    <item><with|mode|math|l=0> and <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|^>>.

    <item><with|mode|math|l=0> and <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>+<wide|c|\<wide-bar\>>*\<frak-m\>>
    for some <with|mode|math|<wide|c|\<wide-bar\>>\<in\>(<wide|C|\<wide-bar\>>\<cup\>{\<um\><wide|\<backepsilon\>|\<wide-bar\>>,<wide|\<backepsilon\>|\<wide-bar\>>})>
    and <with|mode|math|\<frak-m\>\<in\>\<frak-T\>>.

    <item><with|mode|math|<wide|f|\<wide-bar\>>\<nin\><wide|\<bbb-T\>|^>> and
    <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>\<nin\>{<wide|\<backepsilon\>|\<wide-bar\>>,1,<wide|\<mho\>|\<wide-bar\>>}*\<frak-T\>>,
    so that <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\>+\<epsilon\>*\<mathe\><rsup|<big|int><wide|<wide|f|\<check\>>|\<wide-bar\>><big|.>>>
    for <with|mode|math|\<varphi\>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>\<in\>\<bbb-T\>>,
    <with|mode|math|\<epsilon\>=sign <no-break>(<wide|f|\<wide-bar\>>-\<varphi\>)>
    and <with|mode|math|<wide|<wide|f|\<check\>>|\<wide-bar\>>=(<wide|f|\<wide-bar\>>-\<varphi\>)<rprime|\<dag\>>>,
    and <with|mode|math|<wide|<wide|f|\<check\>>|\<wide-bar\>>> has integral
    height <with|mode|math|l-1>.
  </itemize>

  The integral height of <with|mode|math|<wide|f|\<wide-bar\>>> is defined to
  be <with|mode|math|l=\<infty\>>, if none of the above conditions holds for
  a finite <with|mode|math|l\<in\>\<bbb-N\>>.

  We say that <with|mode|math|<wide|f|\<wide-bar\>>> is
  <em|right-oriented><bi-index*|right-oriented|cut> (<abbr|resp.>
  <em|left-oriented><bi-index*|left-oriented|cut>) if

  <\itemize>
    <item><with|mode|math|l=0> and <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>+<wide|\<mho\>|\<wide-bar\>>*\<frak-m\>>
    (<abbr|resp.> <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>-<wide|\<mho\>|\<wide-bar\>>*\<frak-m\>>)
    for some <with|mode|math|\<frak-m\>\<in\>\<frak-T\>>.

    <item><with|mode|math|l=0> and <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>-<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>>
    (<abbr|resp.> <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>+<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>>)
    for some <with|mode|math|\<frak-m\>\<in\>\<frak-T\>>.

    <item><with|mode|math|l\<gtr\>0> and <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>+\<mathe\><rsup|<big|int><wide|<wide|f|\<check\>>|\<wide-bar\>><big|.>>>
    (resp. <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>-\<mathe\><rsup|<big|int><wide|<wide|f|\<check\>>|\<wide-bar\>><big|.>>>),
    where <with|mode|math|<wide|<wide|f|\<check\>>|\<wide-bar\>>> is a
    right-oriented cut of height <with|mode|math|l-1>.

    <item><with|mode|math|l\<gtr\>0> and <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>-\<mathe\><rsup|<big|int><wide|<wide|f|\<check\>>|\<wide-bar\>><big|.>>>
    (resp. <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>+\<mathe\><rsup|<big|int><wide|<wide|f|\<check\>>|\<wide-bar\>><big|.>>>),
    where <with|mode|math|<wide|<wide|f|\<check\>>|\<wide-bar\>>> is a
    left-oriented cut of height <with|mode|math|l-1>.

    <item><with|mode|math|l=\<infty\>> and
    <with|mode|math|<wide|f|\<wide-bar\>>=-<wide|\<Mho\>|\<wide-bar\>>>
    (resp. <with|mode|math|<wide|f|\<wide-bar\>>=<wide|\<Mho\>|\<wide-bar\>>>).
  </itemize>

  An <em|oriented><bi-index*|oriented|cut> cut is a cut which is either left-
  or right-oriented. A cut <with|mode|math|<wide|f|\<wide-bar\>>> is said to
  be <em|pathological><bi-index*|pathological|cut> if
  <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>+<wide|c|\<wide-bar\>>*\<frak-m\>>
  for some <with|mode|math|<wide|c|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>><rsup|<value|fcut>>>
  and <with|mode|math|\<frak-m\>\<in\>\<frak-T\>>, or
  <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|<wide|f|\<wide-bar\>>>\<pm\>\<mathe\><rsup|<big|int><wide|<wide|f|\<check\>>|\<wide-bar\>><big|.>>>,
  where <with|mode|math|<wide|<wide|f|\<check\>>|\<wide-bar\>>> is a
  pathological cut. If <with|mode|math|C=\<bbb-R\>>, then there are no
  pathological cuts. If <with|mode|math|<wide|f|\<wide-bar\>>> is neither an
  oriented nor a pathological cut, then <with|mode|math|<wide|f|\<wide-bar\>>>
  is said to be <em|regular><bi-index|regular|cut>.

  For each <with|mode|math|k\<less\>l>, we recursively define
  <with|mode|math|\<varphi\><rsub|k>\<in\>\<bbb-T\>>,
  <with|mode|math|\<epsilon\><rsub|k>\<in\>{\<um\>1,1}> and
  <with|mode|math|<wide|f|\<wide-bar\>><rsub|k+1>\<in\><wide|\<bbb-T\>|\<wide-bar\>>\<setminus\>\<bbb-T\>>
  by taking <with|mode|math|\<varphi\><rsub|k>=\<varphi\><rsub|<wide|f|\<wide-bar\>><rsub|k>>>
  (starting with <with|mode|math|<wide|f|\<wide-bar\>><rsub|0>=<wide|f|\<wide-bar\>>>),
  <with|mode|math|\<epsilon\><rsub|k>=sign
  (<wide|f|\<wide-bar\>><rsub|k>-\<varphi\><rsub|k>)> and
  <with|mode|math|<wide|f|\<wide-bar\>><rsub|k+1>=(<wide|f|\<wide-bar\>><rsub|k>-\<varphi\><rsub|k>)<rprime|\<dag\>>>.
  The sequence <with|mode|math|<wide|f|\<wide-bar\>><rsub|0>,<wide|f|\<wide-bar\>><rsub|1>,\<ldots\>>
  is called the <em|integral nested sequence><subindex|integral|nested
  sequence><sub-bi-index|nested|sequence|integral> of
  <with|mode|math|<wide|f|\<wide-bar\>>> and the sequence
  <with|mode|math|\<varphi\><rsub|0>,\<varphi\><rsub|1>,\<ldots\>> its
  <em|integral guiding sequence><subindex|integral|guiding
  sequence><subindex|sequence|integral guiding <emdash>>. For each
  <with|mode|math|k\<in\>\<bbb-N\>> with <with|mode|math|k\<leqslant\>l>, we
  call

  <\equation*>
    <wide|f|\<wide-bar\>>=\<varphi\><rsub|0>+\<epsilon\><rsub|0>*\<mathe\><rsup|<big|int>\<varphi\><rsub|1>+\<epsilon\><rsub|1>*\<mathe\><rsup|<big|int>\<udots\><rsup|\<varphi\><rsub|k-1>+\<epsilon\><rsub|k-1>*\<mathe\><rsup|<big|int><wide|f|\<wide-bar\>><rsub|k><big|.>>><big|.>><big|.>>
  </equation*>

  the <em|integral nested expansion><subindex|integral|nested
  expansion><sub-bi-index|nested|expansion|integral> of
  <with|mode|math|<wide|f|\<wide-bar\>>> at height <with|mode|math|k>. If
  <with|mode|math|<wide|f|\<wide-bar\>>> is an irregular cut of height
  <with|mode|math|l\<less\>\<infty\>>, so that
  <with|mode|math|<wide|f|\<wide-bar\>><rsub|l>=\<varphi\><rsub|<wide|f|\<wide-bar\>><rsub|l>>+<wide|c|\<wide-bar\>>*\<frak-m\>>
  for certain <with|mode|math|<wide|c|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>>\<cup\>{\<um\><wide|\<backepsilon\>|\<wide-bar\>>,<wide|\<backepsilon\>|\<wide-bar\>>}\<setminus\>C>
  and <with|mode|math|\<frak-m\>\<in\>\<frak-T\>>, then we also define
  <with|mode|math|\<varphi\><rsub|l>=\<varphi\><rsub|<wide|f|\<wide-bar\>><rsub|l>>>
  and <with|mode|math|\<varphi\><rsub|l+1>=log \<frak-m\>>. In that case, we
  call <with|mode|math|l+2> the <em|extended integral
  height><subindex|extended|integral height><subsubindex|integral|height|extended><subindex|height|extended
  integral <emdash>> of <with|mode|math|<wide|f|\<wide-bar\>>> and
  <with|mode|math|\<varphi\><rsub|0>,\<ldots\>,\<varphi\><rsub|l+1>> the
  <em|extended integral guiding sequence><subindex|extended|integral guiding
  sequence>. If <with|mode|math|<wide|f|\<wide-bar\>>> is a regular cut, then
  the extended integral height and guiding sequence are defined to be same as
  the usual ones.

  <subsection|Integral neighbourhoods>

  Let <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>\<setminus\>\<bbb-T\>>
  be a cut of integral height <with|mode|math|l> and with extended integral
  guiding sequence <with|mode|math|\<varphi\><rsub|0>,\<varphi\><rsub|1>,\<ldots\>>.
  Let <with|mode|math|g\<less\>h> be transseries in
  <with|mode|math|\<bbb-T\>\<cup\>{<op|\<leftarrow\>>,<op|\<rightarrow\>>}>,
  where <with|mode|math|<op|\<leftarrow\>>> and
  <with|mode|math|<op|\<rightarrow\>>> are formal symbols with
  <with|mode|math|<op|\<leftarrow\>>\<less\><wide|\<bbb-T\>|\<wide-bar\>>\<less\><op|\<rightarrow\>>>.
  Then the set<glossary-explain|<with|mode|math|\<cal-L\><rsub|\<varphi\><rsub|0>,\<ldots\>,\<varphi\><rsub|k-1>,g,h>>|basic
  integral neighbourhood>

  <\equation*>
    \<cal-L\><rsub|\<varphi\><rsub|0>,\<ldots\>,\<varphi\><rsub|k-1>,g,h>=<left|{>\<varphi\><rsub|0>+c<rsub|0>*\<mathe\><rsup|<big|int>\<varphi\><rsub|1>+c<rsub|1>*\<mathe\><rsup|<big|int>\<udots\><rsup|\<varphi\><rsub|k-1>+c<rsub|k-1>*\<mathe\><rsup|<big|int>f<rsub|k><big|.>>><big|.>><big|.>>:c<rsub|0>,\<ldots\>,c<rsub|k-1>\<in\>C<rsup|\<neq\>>,g\<less\>f<rsub|k>\<less\>h<right|}>
  </equation*>

  is called a <em|basic integral neighbourhood><index|basic integral
  neighbourhood><sub-bi-index|integral|neighbourhood|basic> of extended
  height <with|mode|math|k>, if either one of the following conditions holds:

  <\itemize>
    <item><with|mode|math|k=0> and <with|mode|math|g\<less\><wide|f|\<wide-bar\>>\<less\>h>.
    This must be the case if <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|^>>.

    <item><with|mode|math|k=1>, <with|mode|math|l=0>,
    <with|mode|math|<wide|f|\<wide-bar\>>> is irregular and
    <with|mode|math|g\<less\>\<varphi\><rsub|1>-<wide|\<gamma\>|\<wide-bar\>>\<less\>\<varphi\><rsub|1>+<wide|\<gamma\>|\<wide-bar\>>\<less\>h>.

    <item><with|mode|math|k=2>, <with|mode|math|l=0>,
    <with|mode|math|<wide|f|\<wide-bar\>>> is irregular and
    <with|mode|math|g\<less\><wide|\<gamma\>|\<wide-bar\>><rprime|\<dag\>>\<less\>h>.

    <item><with|mode|math|k\<gtr\>0>, <with|mode|math|l\<gtr\>0> and
    <with|mode|math|\<cal-L\><rsub|\<varphi\><rsub|1>,\<ldots\>,\<varphi\><rsub|k-1>,g,h>>
    is a basic integral neighbourhood of <with|mode|math|<wide|f|\<wide-bar\>><rsub|1>>.
  </itemize>

  The height of <with|mode|math|\<cal-L\><rsub|\<varphi\><rsub|0>,\<ldots\>,\<varphi\><rsub|k-1>,g,h>>
  is the minimum of <with|mode|math|k> and <with|mode|math|l>. An
  <em|integral neighbourhood><bi-index|integral|neighbourhood> of
  <with|mode|math|<wide|f|\<wide-bar\>>> is a superset
  <with|mode|math|\<cal-V\>> of a finite intersection of basic integral
  neighbourhoods. The (extended) height of such a neighbourhood is the
  maximal (extended) height of the components in the intersection.

  Let <with|mode|math|\<cal-V\>> be an integral neighbourhood of
  <with|mode|math|f> of height <with|mode|math|k> and consider a transseries
  <with|mode|math|f\<in\>\<cal-V\>> close to
  <with|mode|math|<wide|f|\<wide-bar\>>>. We define the <em|integral
  coordinates><subindex|integral|coordinates> of <with|mode|math|f>
  by<glossary-explain|<with|mode|math|f<rsub|0>,\<ldots\>,f<rsub|k>>|integral
  coordinates of <with|mode|math|f> in an integral neighbourhood of
  <with|mode|math|<wide|f|\<wide-bar\>>>>

  <\eqnarray*>
    <tformat|<table|<row|<cell|f<rsub|0>>|<cell|=>|<cell|f>>|<row|<cell|f<rsub|1>>|<cell|=>|<cell|(f<rsub|0>-\<varphi\><rsub|0>)<rprime|\<dag\>>>>|<row|<cell|>|<cell|\<vdots\>>|<cell|>>|<row|<cell|f<rsub|k>>|<cell|=>|<cell|(f<rsub|k-1>-\<varphi\><rsub|k-1>)<rprime|\<dag\>>>>>>
  </eqnarray*>

  If <with|mode|math|\<cal-W\>> is an integral neighbourhood of
  <with|mode|math|<wide|f|\<wide-bar\>><rsub|1>>, then we notice that
  <with|mode|math|\<cal-V\>=\<varphi\><rsub|0>+C<rsup|\<neq\>>*\<mathe\><rsup|<big|int>\<cal-W\><big|.>>>
  is an integral neighbourhood of <with|mode|math|<wide|f|\<wide-bar\>>>, and
  it is convenient to denote the integral coordinates of
  <with|mode|math|f<rsub|1>\<in\>\<cal-W\>> by
  <with|mode|math|f<rsub|1>,\<ldots\>,f<rsub|k>>.

  <\example>
    <label|cst-Li-nbh>Let <with|mode|math|<wide|c|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>>\<cup\>{\<um\><wide|\<backepsilon\>|\<wide-bar\>>,<wide|\<backepsilon\>|\<wide-bar\>>}\<setminus\>C>
    and consider a basic integral neighbourhood <with|mode|math|\<cal-V\>> of
    <with|mode|math|<wide|c|\<wide-bar\>>> of height
    <with|mode|math|k\<gtr\>0>.

    If <with|mode|math|k=1>, then <with|mode|math|\<cal-V\>=\<cal-L\><rsub|0,g,h>>,
    with <with|mode|math|g\<less\>\<um\><wide|\<gamma\>|\<wide-bar\>>\<less\><wide|\<gamma\>|\<wide-bar\>>\<less\>h>.
    In particular, there exists an <with|mode|math|l\<in\>\<bbb-N\>> with
    <with|mode|math|g\<less\>\<um\>(log<rsub|l> x)<rprime|'>> and
    <with|mode|math|h\<gtr\>(log<rsub|l> x)<rprime|'>>. For any
    <with|mode|math|f\<in\>\<bbb-T\>> with <with|mode|math|f\<nasymp\>1> and
    <with|mode|math|f\<precprec\>log<rsub|l-1> x>, it follows that
    <with|mode|math|f<rprime|\<dag\>>=(log
    \|f\|)<rprime|'>\<prec\>(log<rsub|l> x)<rprime|'>>, whence
    <with|mode|math|f\<in\>\<cal-V\>>. For any
    <with|mode|math|f\<in\>\<bbb-T\>> with <with|mode|math|f\<asymp\>1>, we
    also have <with|mode|math|\|f<rprime|\<dag\>>\|\<asymp\>\|f<rprime|'>\|\<less\><wide|\<gamma\>|\<wide-bar\>>>,
    whence <with|mode|math|f\<in\>\<cal-V\>>. By distinguishing the cases
    <with|mode|math|<wide|c|\<wide-bar\>>=\<pm\><wide|\<backepsilon\>|\<wide-bar\>>>,
    <with|mode|math|<wide|c|\<wide-bar\>>=\<pm\><wide|\<mho\>|\<wide-bar\>>>
    and <with|mode|math|<wide|c|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>><rsup|<value|fcut>>>,
    it follows that <with|mode|math|\<cal-V\>\<supseteq\>(<wide|g|~>,<wide|h|~>)>
    for certain <with|mode|math|<wide|g|~>,<wide|h|~>\<in\>\<bbb-T\>> with
    <with|mode|math|<wide|g|~>\<less\><wide|c|\<wide-bar\>>\<less\><wide|h|~>>.

    If <with|mode|math|k=2>, then <with|mode|math|\<cal-V\>=\<cal-L\><rsub|0,0,g,h>>,
    where <with|mode|math|\<cal-V\><rprime|\<dag\>>=\<cal-L\><rsub|0,g,h>> is
    an integral neighbourhood of both <with|mode|math|<wide|\<gamma\>|\<wide-bar\>>>
    and <with|mode|math|\<um\><wide|\<gamma\>|\<wide-bar\>>>. Hence,

    <\equation*>
      g\<less\>(log <wide|\<gamma\>|\<wide-bar\>>)<rprime|'>=\<um\><frac|1|x>-<frac|1|x*log
      x>-<frac|1|x*log x*log<rsub|2> x>-\<cdots\>\<less\>h,
    </equation*>

    so there exists an <with|mode|math|l\<in\>\<bbb-N\>> with

    <\equation*>
      g\<less\>(log<rsub|l> x)<rprime|\<dag\>\<dag\>>-(log<rsub|l>
      x)<rprime|\<dag\>>=\<um\><frac|1|x>-\<cdots\>-<frac|1|x*\<cdots\>*log<rsub|l-1>
      x>-<frac|2|x*\<cdots\>*log<rsub|l> x>
    </equation*>

    and

    <\equation*>
      h\<gtr\>(log<rsub|l> <no-break>x)<rprime|\<dag\>\<dag\>>=\<um\><frac|1|x>-\<cdots\>-<frac|1|x*\<cdots\>*log<rsub|l>
      x>.
    </equation*>

    It follows that for any <with|mode|math|f\<nasymp\>1> with
    <with|mode|math|f\<precprec\>log<rsub|l> <no-break>x>, we have
    <with|mode|math|f<rprime|\<dag\>>=(log f)<rprime|'>\<prec\>(log<rsub|l+1>
    <no-break>x)<rprime|'>=(log<rsub|l> <no-break>x)<rprime|\<dag\>>> and
    <with|mode|math|f<rprime|\<dag\>\<dag\>>=(log
    f<rprime|\<dag\>>)<rprime|'>\<less\>(log <no-break>(log<rsub|l>
    <no-break>x)<rprime|\<dag\>>)<rprime|'>=(log<rsub|l>
    <no-break>x)<rprime|\<dag\>\<dag\>>>, so that
    <with|mode|math|f\<in\>\<cal-V\>>. Similarly, if
    <with|mode|math|f=c+\<varepsilon\>> with
    <with|mode|math|c\<in\>C<rsup|\<neq\>>> and <with|mode|math|(log<rsub|l>
    x)<rsup|\<um\>1>\<prec\>\<varepsilon\>\<prec\>1>, then
    <with|mode|math|f<rprime|\<dag\>>\<asymp\>\<varepsilon\><rprime|'>\<succ\>((log<rsub|l>
    <no-break>x)<rsup|\<um\>1>)<rprime|'>\<asymp\>(log<rsub|l>
    x)<rprime|\<dag\>>/log<rsub|l> <no-break>x>, whence
    <with|mode|math|f<rprime|\<dag\>\<dag\>>=(log
    <no-break>f<rprime|\<dag\>>)<rprime|'>\<gtr\>(log <no-break>((log<rsub|l>
    <no-break>x)<rprime|\<dag\>>/log<rsub|l>
    <no-break>x))<rprime|'>=(log<rsub|l> <no-break>x)<rprime|\<dag\>\<dag\>>-(log<rsub|l>
    x)<rprime|\<dag\>>> and <with|mode|math|f\<in\>\<cal-V\>>.
  </example>

  <subsection|On the orientation of integral neighbourhoods>

  Let <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>\<setminus\>\<bbb-T\>>
  be a cut. A <em|one-sided neighbourhood><bi-index*|one-sided|neighbourhood>
  <with|mode|math|\<cal-U\>> of <with|mode|math|<wide|f|\<wide-bar\>>> is
  either a superset of an interval <with|mode|math|(<wide|f|\<wide-bar\>>,g)>
  with <with|mode|math|g\<in\>\<bbb-T\>> and
  <with|mode|math|g\<gtr\><wide|f|\<wide-bar\>>> (and we say that
  <with|mode|math|\<cal-U\>> is a <em|right
  neighbourhood><bi-index*|right|neighbourhood> of
  <no-break><with|mode|math|<wide|f|\<wide-bar\>>>) or a superset of an
  interval <with|mode|math|(g,<wide|f|\<wide-bar\>>)> with
  <with|mode|math|g\<in\>\<bbb-T\>> and <with|mode|math|g\<less\><wide|f|\<wide-bar\>>>
  (and we say that <with|mode|math|\<cal-U\>> is a <em|left
  neighbourhood><bi-index*|left|neighbourhood> of
  <no-break><with|mode|math|<wide|f|\<wide-bar\>>>). A
  <em|neighbourhood><index|neighbourhood> of
  <with|mode|math|<wide|f|\<wide-bar\>>> is a set <with|mode|math|\<cal-U\>>
  which is both a left neighbourhood of <with|mode|math|<wide|f|\<wide-bar\>>>
  (unless <with|mode|math|<wide|f|\<wide-bar\>>=\<um\><wide|\<Mho\>|\<wide-bar\>>>)
  and a right neighbourhood of <with|mode|math|<wide|f|\<wide-bar\>>> (unless
  <with|mode|math|<wide|f|\<wide-bar\>>=<wide|\<Mho\>|\<wide-bar\>>>).

  <\proposition>
    Let <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>\<setminus\>\<bbb-T\>>
    be a non-pathological cut and let <with|mode|math|\<cal-V\>> be an
    integral neighbourhood of <with|mode|math|<wide|f|\<wide-bar\>>>.

    <\enumerate-alpha>
      <item>If <with|mode|math|<wide|f|\<wide-bar\>>> is regular, then there
      exists a neighbourhood <with|mode|math|\<cal-U\>> of
      <with|mode|math|<wide|f|\<wide-bar\>>> with
      <with|mode|math|\<cal-U\>\<subseteq\>\<cal-V\>>.

      <item>If <with|mode|math|<wide|f|\<wide-bar\>>> is right-oriented, then
      <with|mode|math|<wide|f|\<wide-bar\>>> admits a right neighbourhood
      <with|mode|math|\<cal-U\>> with <with|mode|math|\<cal-U\>\<subseteq\>\<cal-V\>>.

      <item>If <with|mode|math|<wide|f|\<wide-bar\>>> is left-oriented, then
      <with|mode|math|<wide|f|\<wide-bar\>>> admits a left neighbourhood
      <with|mode|math|\<cal-U\>> with <with|mode|math|\<cal-U\>\<subseteq\>\<cal-V\>>.
    </enumerate-alpha>
  </proposition>

  <\proof>
    We prove the proposition by induction over the height <with|mode|math|k>
    of <with|mode|math|\<cal-V\>>. If <with|mode|math|<wide|f|\<wide-bar\>>=\<pm\><wide|\<Mho\>|\<wide-bar\>>>,
    or <with|mode|math|k=0> and <with|mode|math|<wide|f|\<wide-bar\>>> is
    regular, then we may take <with|mode|math|\<cal-U\>=\<cal-V\>>. If
    <with|mode|math|k=0> and <with|mode|math|<wide|f|\<wide-bar\>>\<neq\>\<pm\><wide|\<Mho\>|\<wide-bar\>>>
    is oriented, then the result follows from what has been said in example
    <reference|cst-Li-nbh>. Assume therefore that <with|mode|math|k\<gtr\>0>
    and let <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|0>+\<epsilon\><rsub|0>*\<mathe\><rsup|<wide|f|\<wide-bar\>><rsub|1>>>
    be the integral expansion of <with|mode|math|<wide|f|\<wide-bar\>>> at
    height <with|mode|math|1>.

    We have <with|mode|math|\<cal-V\>\<supseteq\>\<cal-V\><rsub|0>\<cap\>\<cdots\>\<cap\>\<cal-V\><rsub|k>>,
    where each <with|mode|math|\<cal-V\><rsub|i>> is a basic integral
    neighbourhood of <no-break><with|mode|math|<wide|f|\<wide-bar\>>> of
    height <with|mode|math|k>. Modulo a final adjustment of
    <with|mode|math|\<cal-U\>>, we may assume without loss of generality that
    <with|mode|math|\<cal-V\><rsub|0>=\<bbb-T\>>. We have
    <with|mode|math|\<cal-V\><rsub|i>=\<varphi\><rsub|0>+C<rsup|\<neq\>>*\<mathe\><rsup|<big|int>\<cal-W\><rsub|i><big|.>>>
    for all <with|mode|math|i\<gtr\>0>, where each
    <with|mode|math|\<cal-W\><rsub|i>> is a basic integral neighbourhood of
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|1>>. Let
    <with|mode|math|\<cal-W\>=\<cal-W\><rsub|1>\<cap\>\<cdots\>\<cap\>\<cal-W\><rsub|k>>.

    <\enumerate-alpha>
      <item>If <with|mode|math|<wide|f|\<wide-bar\>>> is regular, then so is
      <with|mode|math|<wide|f|\<wide-bar\>><rsub|1>>, hence the induction
      hypothesis implies that there exist <with|mode|math|g,h\<in\>\<bbb-T\>>
      with <with|mode|math|g\<less\><wide|f|\<wide-bar\>><rsub|1>\<less\>h>
      and <with|mode|math|(g,h)\<subseteq\>\<cal-W\>>. We conclude that
      either <with|mode|math|\<epsilon\><rsub|0>=1> and
      <with|mode|math|(\<varphi\>+\<mathe\><rsup|<big|int>g<big|.>>,\<varphi\>+\<mathe\><rsup|<big|int>h<big|.>>)\<subseteq\>\<cal-V\>>
      or <with|mode|math|\<epsilon\><rsub|0>=\<um\>1> and
      <with|mode|math|(\<varphi\>-\<mathe\><rsup|<big|int>h<big|.>>,\<varphi\>-\<mathe\><rsup|<big|int>g<big|.>>)\<subseteq\>\<cal-V\>>.

      <item>If <with|mode|math|<wide|f|\<wide-bar\>>> is right-oriented, then
      either <with|mode|math|\<epsilon\><rsub|0>=1> and
      <with|mode|math|<wide|f|\<wide-bar\>><rsub|1>> is right-oriented, or
      <with|mode|math|\<epsilon\><rsub|0>=\<um\>1> and
      <with|mode|math|<wide|f|\<wide-bar\>><rsub|1>> is left-oriented. In the
      first case, the induction hypothesis implies that there exists a
      <with|mode|math|g\<in\>\<bbb-T\>> with
      <with|mode|math|<wide|f|\<wide-bar\>><rsub|1>\<less\>g> and
      <with|mode|math|(<wide|f|\<wide-bar\>><rsub|1>,g)\<subseteq\>\<cal-W\>>,
      so that <with|mode|math|(<wide|f|\<wide-bar\>>,\<varphi\>+\<mathe\><rsup|<big|int>g<big|.>>)\<subseteq\>\<cal-V\>>.
      In the second case, there exists a <with|mode|math|g\<in\>\<bbb-T\>>
      with <with|mode|math|g\<less\><wide|f|\<wide-bar\>><rsub|1>> and
      <with|mode|math|(g,<wide|f|\<wide-bar\>><rsub|1>)\<subseteq\>\<cal-W\>>,
      so that <with|mode|math|(\<varphi\>-\<mathe\><rsup|<big|int>g<big|.>>,<wide|f|\<wide-bar\>>)\<subseteq\>\<cal-V\>>.

      <item>The case when <with|mode|math|<wide|f|\<wide-bar\>>> is
      left-oriented is treated in a similar way as (<em|b>).
    </enumerate-alpha>
  </proof>

  <\proposition>
    <label|cst-sign-prop>Let <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>\<setminus\>\<bbb-T\>>
    be a cut and <with|mode|math|\<cal-V\>> an integral neighbourhood of
    <with|mode|math|<wide|f|\<wide-bar\>>>, of height <with|mode|math|k>.
    Then there exists an integral neighbourhood <with|mode|math|\<cal-W\>> of
    <with|mode|math|<wide|f|\<wide-bar\>>> of height <with|mode|math|k>, such
    that <with|mode|math|\<cal-W\>\<subseteq\>\<cal-V\>> and
    <with|mode|math|f<rsub|0>-\<varphi\><rsub|0>,\<ldots\>,f<rsub|k-1>-\<varphi\><rsub|k-1>>
    have constant sign for <with|mode|math|f\<in\>\<cal-W\>>.
  </proposition>

  <\proof>
    We prove the proposition by induction over <with|mode|math|k>. If
    <with|mode|math|k=0>, then we may take
    <with|mode|math|\<cal-W\>=\<cal-V\>>. So assume that
    <with|mode|math|k\<gtr\>0> and write <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|0>+\<epsilon\><rsub|0>*\<mathe\><rsup|<big|int><wide|f|\<wide-bar\>><rsub|1><big|.>>>.
    We have <with|mode|math|\<cal-V\>\<supseteq\>\<cal-V\><rsub|0>\<cap\>\<cal-V\><rsub|\<ast\>>>,
    where <with|mode|math|\<cal-V\><rsub|0>> is a basic integral
    neighbourhood of height <with|mode|math|0> of
    <with|mode|math|<wide|f|\<wide-bar\>>> and
    <with|mode|math|\<cal-V\><rsub|\<ast\>>> an intersection of basic
    integral neighbourhoods of heights <with|mode|math|<op|\<gtr\>> 0>. By
    the induction hypothesis, there exists an integral neighbourhood
    <with|mode|math|\<cal-X\>> of <with|mode|math|<wide|f|\<wide-bar\>><rsub|1>>,
    such that <with|mode|math|\<cal-X\>\<subseteq\>(\<cal-V\><rsub|\<ast\>>-\<varphi\><rsub|0>)<rprime|\<dag\>>>
    and <with|mode|math|f<rsub|1>-\<varphi\><rsub|1>,\<ldots\>,f<rsub|k-1>-\<varphi\><rsub|k-1>>
    have constant sign for all <with|mode|math|f<rsub|1>\<in\>\<cal-X\>>. Now
    take <with|mode|math|\<cal-W\>=\<cal-V\><rsub|0>\<cap\>(\<varphi\><rsub|0>,<op|\<rightarrow\>>)\<cap\>(\<varphi\><rsub|0>+C<rsup|\<neq\>>*\<mathe\><rsup|<big|int>\<cal-X\><big|.>>)>
    if <with|mode|math|\<epsilon\><rsub|0>=1>, and
    <with|mode|math|\<cal-W\>=\<cal-V\><rsub|0>\<cap\>(<op|\<leftarrow\>>,\<varphi\><rsub|0>)\<cap\>(\<varphi\><rsub|0>+C<rsup|\<neq\>>*\<mathe\><rsup|<big|int>\<cal-X\><big|.>>)>
    if <with|mode|math|\<epsilon\><rsub|0>=\<um\>1>.
  </proof>

  <\exercise>
    Show that <with|mode|math|<wide|\<gamma\>|\<wide-bar\>>=inf
    {f<rprime|'>:f\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>}>.
  </exercise>

  <\exercise>
    Show that <with|mode|math|\<partial\>> maps
    <with|mode|math|<wide|\<bbb-T\>|^>> into
    <with|mode|math|<wide|\<bbb-T\>|^>>.
  </exercise>

  <\exercise>
    If <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>,
    then show that either <with|mode|math|<wide|f|\<wide-bar\>><rsub|\<succ\>>\<nin\>\<bbb-T\>>
    and <with|mode|math|<wide|f|\<wide-bar\>><rsub|\<preccurlyeq\>>=0>, or
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|\<succ\>>\<in\>\<bbb-T\>>,
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|\<asymp\>>\<nin\>C> and
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|\<prec\>>=0>, or
    <with|mode|math|<wide|f|\<wide-bar\>><rsub|\<succcurlyeq\>>\<in\>\<bbb-T\>>.
  </exercise>

  <\exercise>
    Show that the extension of <with|mode|math|\<partial\>> to
    <with|mode|math|<wide|\<bbb-T\>|\<wide-bar\>>> is not additive.
  </exercise>

  <\exercise>
    \;

    <\enumerate-alpha>
      <item>Show that the operators <with|mode|math|<op|\<circ\>>:\<bbb-T\>\<times\>\<bbb-T\><rsup|\<succ\>,\<gtr\>>\<rightarrow\>\<bbb-T\>>
      and <with|mode|math|<op|\<cdot\>><rsup|\<circ\>\<um\>1>:\<bbb-T\><rsup|\<succ\>,\<gtr\>>\<rightarrow\>\<bbb-T\><rsup|\<succ\>,\<gtr\>>>
      naturally extend to <with|mode|math|<wide|\<bbb-T\>|\<wide-bar\>>\<times\><wide|\<bbb-T\><rsup|\<succ\>,\<gtr\>>|\<wide-bar\>>>
      <abbr|resp.> <with|mode|math|<wide|\<bbb-T\><rsup|\<succ\>,\<gtr\>>|\<wide-bar\>>>.

      <item>Give an explicit formula for <with|mode|math|<wide|f|\<wide-bar\>>\<circ\><wide|\<mho\>|\<wide-bar\>>>,
      where <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>.

      <item>Does the post-composition operator
      <with|mode|math|<op|\<circ\><rsub|g>>:<wide|\<bbb-T\>|\<wide-bar\>>\<rightarrow\><wide|\<bbb-T\>|\<wide-bar\>>>
      with <with|mode|math|g\<in\>\<bbb-T\>> preserve addition and/or
      multiplication?
    </enumerate-alpha>
  </exercise>

  <\exercise>
    \;

    <\enumerate-alpha>
      <item>Compute the nested integral sequences for
      <with|mode|math|<wide|\<Mho\>|\<wide-bar\>>>,
      <with|mode|math|<wide|\<mho\>|\<wide-bar\>>> and
      <with|mode|math|<wide|\<varkappa\>|\<wide-bar\>><rsub|0>>.

      <item>Prove analogues of the results from section
      <reference|compact-ts-sec> for nested integral sequences.
    </enumerate-alpha>
  </exercise>

  <section|Differential polynomials near cuts><label|diff-pol-cut-sec>

  Let <with|mode|math|P\<in\>\<bbb-T\>{F}<rsup|\<neq\>>> and
  <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>\<setminus\>\<bbb-T\>>.
  In this section, we study the asymptotic behaviour of <with|mode|math|P(f)>
  for <with|mode|math|f> close to <with|mode|math|<wide|f|\<wide-bar\>>>. In
  particular, we study the sign of <with|mode|math|P(f)> for
  <with|mode|math|f> close to <with|mode|math|<wide|f|\<wide-bar\>>>.

  <subsection|Differential polynomials near serial cuts>

  <\lemma>
    <label|dpol-near-serial>Let <with|mode|math|<wide|f|^>\<in\><wide|\<bbb-T\>|^>\<setminus\>\<bbb-T\>>.
    Then there exist <with|mode|math|g,h\<in\>\<bbb-T\>> with
    <with|mode|math|g\<less\><wide|f|^>\<less\>h> and
    <with|mode|math|\<tau\>\<in\>C<rsup|\<neq\>>*\<frak-T\>>, such that
    <with|mode|math|P(f)\<sim\>\<tau\>> for all
    <with|mode|math|f\<in\>(g,h)>. Moreover, if
    <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>\<succ\><wide|\<gamma\>|\<wide-bar\>>>,
    then <with|mode|math|g> and <with|mode|math|h> may be chosen such that
    <with|mode|math|deg<rsub|\<prec\><wide|\<gamma\>|\<wide-bar\>>>
    P<rsub|+f>=0> for all <with|mode|math|f\<in\>(g,h)>.
  </lemma>

  <\proof>
    If there exists a <with|mode|math|\<varphi\>\<vartriangleleft\><wide|f|^>>
    with <with|mode|math|deg<rsub|\<prec\>supp \<varphi\>> P<rsub|+supp
    \<varphi\>>=0>, then the lemma follows for
    <with|mode|math|\<tau\>=P<rsub|+\<varphi\>,0>> and any
    <with|mode|math|g,h\<in\>\<bbb-T\>> with
    <with|mode|math|g\<less\><wide|f|^>\<less\>h> and
    <with|mode|math|h-g\<prec\>supp \<varphi\>>. Assume for contradiction
    that <with|mode|math|d=min<rsub|\<varphi\>\<vartriangleleft\><wide|f|^>>
    deg<rsub|\<prec\>supp \<varphi\>> P<rsub|+\<varphi\>>\<gtr\>0>.

    If <with|mode|math|d=1>, then each <with|mode|math|\<varphi\>\<vartriangleleft\><wide|f|^>>
    with <with|mode|math|deg<rsub|\<prec\>supp \<varphi\>>
    P<rsub|+\<varphi\>>=1> induces a solution
    <with|mode|math|f<rsub|\<varphi\>>=\<varphi\>+h> to
    <with|mode|math|P(f)=0>, by letting <with|mode|math|h> be the
    distinguished solution to the equation
    <with|mode|math|P<rsub|+\<varphi\>>(h)=<no-break>0<space|0.8spc>(h\<prec\>supp
    \<varphi\>)>. Now pick <with|mode|math|\<varphi\><rsub|1>\<vartriangleleft\>\<varphi\><rsub|2>\<vartriangleleft\>\<cdots\>\<vartriangleleft\><wide|f|^>>
    such that <with|mode|math|(f<rsub|\<varphi\><rsub|j>>-f<rsub|\<varphi\><rsub|i>>)<rsub|\|{\<frak-m\>:\<exists\>\<frak-n\>\<in\>supp
    \<varphi\><rsub|j>,\<frak-m\>\<succcurlyeq\>\<frak-n\>}>\<neq\>0> for all
    <with|mode|math|j\<gtr\>i>. This is possible, since <with|mode|math|supp
    <wide|f|^>> would be a subset of the grid-based set <with|mode|math|supp
    f<rsub|\<varphi\><rsub|i>>>, if <with|mode|math|(f<rsub|\<psi\>>-f<rsub|\<varphi\><rsub|i>>)<rsub|\|{\<frak-m\>:\<exists\>\<frak-n\>\<in\>supp
    \<psi\>,\<frak-m\>\<succcurlyeq\>\<frak-n\>}>=0> for some
    <no-break><with|mode|math|i> and all <with|mode|math|\<varphi\><rsub|i>\<vartriangleleft\>\<psi\>\<vartriangleleft\><wide|f|^>>.
    Now <with|mode|math|\<frak-d\>(f<rsub|\<varphi\><rsub|r+2>>-f<rsub|\<varphi\><rsub|1>>),\<ldots\>,\<frak-d\>(f<rsub|\<varphi\><rsub|r+2>>-f<rsub|\<varphi\><rsub|r+1>>)>
    are pairwise distinct starting monomials for the linear differential
    equation <with|mode|math|P<rsub|+\<varphi\><rsub|r+2>,1>(h)=0>, which is
    impossible.

    Assume now that <with|mode|math|d\<gtr\>1> and choose
    <with|mode|math|\<chi\>\<vartriangleleft\><wide|\<psi\>|^>> with
    <with|mode|math|d=deg<rsub|\<prec\>supp \<chi\>> P<rsub|+\<chi\>>>.
    Consider the set <with|mode|math|<value|rsS>> of all partial unravellings

    <\equation>
      <label|cut-unrav>f=\<xi\>+<wide|f|~><space|2fn>(<wide|f|~>\<in\>C<gb|<wide|\<frak-V\>|~>>)
    </equation>

    relative to the equation <with|mode|math|P<rsub|+\<chi\>>(<wide|f|~>)=0<space|1.2spc>(<wide|f|~>\<prec\>supp
    \<chi\>)>, such that <with|mode|math|\<varphi\>=\<xi\><rsub|\<frak-T\>\<setminus\><wide|\<frak-V\>|~>>\<vartriangleleft\><wide|f|^>>
    and <with|mode|math|deg<rsub|<wide|\<frak-V\>|~>>
    <no-break>P<rsub|+\<varphi\>>=d>. Since <with|mode|math|<value|rsS>>
    contains the identity refinement, we may choose (<reference|cut-unrav>)
    to be finest in <with|mode|math|<value|rsS>>, by corollary
    <reference|finest-punr-cor>. We claim that
    <with|mode|math|\<varphi\>\<trianglelefteqslant\><wide|f|^>> is maximal
    for <with|mode|math|<op|\<trianglelefteqslant\>>>, such that
    <with|mode|math|deg<rsub|\<prec\>supp \<varphi\>>
    <no-break>P<rsub|+\<varphi\>>=d>.

    Indeed, assume for contradiction that some
    <with|mode|math|\<psi\>\<vartriangleright\>\<varphi\>> also satisfies
    <with|mode|math|deg<rsub|\<prec\>supp \<psi\>>
    <no-break>P<rsub|+\<psi\>>=d>, and let
    <with|mode|math|\<tau\>=\<tau\>(\<psi\>-\<varphi\>)>. By proposition
    <reference|extend-partial-unrav>, there exists a partial unravelling

    <\equation*>
      f=\<xi\>+<wide|\<xi\>|~>+<wide|<wide|f|~>|~><space|2fn>(<wide|<wide|f|~>|~>\<prec\><wide|\<xi\>|~>),
    </equation*>

    which is finer than (<reference|cut-unrav>), and such that
    <with|mode|math|<wide|\<xi\>|~>\<sim\>\<tau\>>. But then
    <with|mode|math|\<varphi\>+\<tau\>=(\<xi\>+<wide|\<xi\>|~>)<rsub|\<succcurlyeq\><wide|\<xi\>|~>>\<vartriangleleft\><wide|f|^>>
    and <with|mode|math|deg<rsub|\<prec\><wide|\<xi\>|~>>
    P<rsub|+\<varphi\>+\<tau\>>=d>, which contradicts the maximality of
    (<reference|cut-unrav>).

    Our claim implies that <with|mode|math|deg<rsub|\<prec\>supp \<psi\>>
    P<rsub|+\<psi\>>\<less\>d> for any <with|mode|math|\<psi\>\<vartriangleleft\><wide|f|^>>
    with <with|mode|math|\<varphi\>\<vartriangleleft\>\<psi\>>. This
    contradicts the definition of <with|mode|math|d>.
  </proof>

  <subsection|Differential polynomials near constants>

  <\lemma>
    <label|dpol-near-cst>Let <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>>\<cup\>{\<um\><wide|\<backepsilon\>|\<wide-bar\>>,<wide|\<backepsilon\>|\<wide-bar\>>}\<setminus\>C>
    and <with|mode|math|\<frak-m\>\<in\>\<frak-T\><rsub|\<prec\>>>. Then
    there exist an integral neighbourhood
    <no-break><with|mode|math|\<cal-V\>> of
    <with|mode|math|<wide|f|\<wide-bar\>>> and
    <with|mode|math|\<frak-n\>\<in\>\<frak-T\>>, such that

    <\equation*>
      P(f)\<sim\>N<rsub|P>(<with|math-display|false|f>)*\<frak-n\>
    </equation*>

    and <with|mode|math|deg<rsub|\<prec\>\<frak-m\>> P<rsub|+f>=0> for all
    <with|mode|math|f\<in\>\<cal-V\>>.
  </lemma>

  <\proof>
    Let <with|mode|math|l\<geqslant\>0> be such that
    <with|mode|math|P\<uparrow\><rsub|l>> is exponential,
    <with|mode|math|N<rsub|P>=D<rsub|P\<uparrow\><rsub|l>>> and
    <with|mode|math|log<rsub|l> x\<precprec\>\<frak-m\>>. Let
    <with|mode|math|Q\<in\>C[F]> and <with|mode|math|\<nu\>\<in\>\<bbb-N\>>
    be such that <with|mode|math|N<rsub|P>=Q*(F<rprime|'>)<rsup|\<nu\>>>.

    Take <with|mode|math|\<cal-V\>=\<cal-L\><rsub|0,0,(log<rsub|l>
    x)<rprime|\<dag\>\<dag\>>-(log<rsub|l> x)<rprime|\<dag\>>,(log<rsub|l>
    x)<rprime|\<dag\>\<dag\>>>> and let <with|mode|math|f\<in\>\<cal-V\>>. If
    <with|mode|math|f<rprime|\<dag\>\<dag\>>\<succ\><wide|\<gamma\>|\<wide-bar\>>>,
    then <with|mode|math|f<rprime|\<dag\>\<dag\>>\<less\>(log<rsub|l>
    <no-break>x)<rprime|\<dag\>\<dag\>>>, so
    <with|mode|math|f<rprime|\<dag\>>\<preccurlyeq\>(log<rsub|l>
    x)<rprime|\<dag\>>> and <with|mode|math|f\<precpreceq\>log<rsub|l> x>. If
    <with|mode|math|f<rprime|\<dag\>\<dag\>>\<prec\><wide|\<gamma\>|\<wide-bar\>>>,
    then <with|mode|math|f<rprime|\<dag\>\<dag\>>\<gtr\>(log<rsub|l>
    x)<rprime|\<dag\>\<dag\>>-(log<rsub|l> x)<rprime|\<dag\>>>, whence
    <with|mode|math|f<rprime|\<dag\>>\<succcurlyeq\>(log<rsub|l>
    x)<rprime|\<dag\>>/log<rsub|l> x>, <with|mode|math|log
    (f/f<rsub|\<asymp\>>)\<succcurlyeq\>1/log<rsub|l> x> and
    <with|mode|math|f-f<rsub|\<asymp\>>\<succcurlyeq\>1/log<rsub|l> x>. This
    proves that either <with|mode|math|f\<uparrow\><rsub|l>\<succ\>1> and
    <with|mode|math|f\<uparrow\><rsub|l>\<precpreceq\>x>, or
    <with|mode|math|f\<uparrow\><rsub|l>\<preccurlyeq\>1> and
    <with|mode|math|(f\<uparrow\><rsub|l>)<rsub|\<nasymp\>>\<precpreceq\>x>.

    If <with|mode|math|f\<uparrow\><rsub|l>\<succ\>1>, then
    <with|mode|math|N<rsub|P>(f\<uparrow\><rsub|l>)\<sim\>c*f\<uparrow\><rsub|l><rsup|d>*(f\<uparrow\><rsub|l><rprime|'>)<rsup|\<nu\>>>,
    where <with|mode|math|c\<neq\>0> is the leading coefficient of
    <no-break><with|mode|math|Q> and <with|mode|math|d=deg Q>. Since
    <with|mode|math|(f\<uparrow\><rprime|'><rsub|l>)<rsup|\<nu\>>\<precpreceq\>x>,
    it follows that <with|mode|math|N<rsub|<rsub|>P>(f\<uparrow\><rsub|l>)\<succcurlyeq\><rsub|\<mathe\><rsup|x>>1>,
    whence <with|mode|math|P(f)\<sim\>N<rsub|P>(f)*\<frak-n\>> for
    <with|mode|math|\<frak-n\>=\<frak-d\><rsub|N<rsub|P>\<downarrow\><rsub|l>>*\<frak-d\><rsub|P\<uparrow\><rsub|l>>\<downarrow\><rsub|l>>.
    Moreover, <with|mode|math|\<frak-d\>(f\<uparrow\><rsub|l>)> is not a
    starting monomial for <with|mode|math|P\<uparrow\><rsub|l>(<wide|f|~>)=N<rsub|P>(<wide|f|~>)*\<frak-d\><rsub|P\<uparrow\><rsub|l>>+\<cdots\>=0>,
    since <with|mode|math|\<frak-d\>(f\<uparrow\><rsub|l>)\<neq\>1>.
    Consequently <with|mode|math|deg<rsub|\<prec\>\<frak-m\>>
    P<rsub|+f>\<leqslant\>deg<rsub|\<prec\>f>
    <no-break>P<rsub|+f>=<no-break>0>.

    Similarly, if <with|mode|math|f\<uparrow\><rsub|l>\<preccurlyeq\>1>, then
    <with|mode|math|N<rsub|P>(f\<uparrow\><rsub|l>)\<sim\>c*f\<uparrow\><rsub|l><rsup|\<mu\>>*(f\<uparrow\><rsub|l><rprime|'>)<rsup|\<nu\>>>,
    where <with|mode|math|c\<neq\>0> and <with|mode|math|\<mu\>> are such
    that <with|mode|math|Q(f<rsub|\<asymp\>>+\<varepsilon\>)=c*\<varepsilon\><rsup|\<mu\>>+\<cdots\>>.
    Again, we have <with|mode|math|(f\<uparrow\><rprime|'><rsub|l>)<rsup|\<nu\>>\<precpreceq\>x>,
    <with|mode|math|N<rsub|<rsub|>P>(f\<uparrow\><rsub|l>)\<succcurlyeq\><rsub|\<mathe\><rsup|x>>1>
    and <with|mode|math|P(f)\<sim\>N<rsub|P>(f)*\<frak-n\>>. Furthermore,
    <with|mode|math|\<frak-d\>((f\<uparrow\><rsub|l>)<rsub|\<nasymp\>>)\<neq\>1>,
    so <with|mode|math|\<frak-d\>((f\<uparrow\><rsub|l>)<rsub|\<nasymp\>>)>
    is not a starting monomial for <with|mode|math|P<rsub|+f<rsub|\<asymp\>>>\<uparrow\><rsub|l>(<wide|f|~>)=N<rsub|P<rsub|+f<rsub|\<asymp\>>>>(<wide|f|~>)*\<frak-d\><rsub|P\<uparrow\><rsub|l>>+\<cdots\>=0>.
    Therefore, <with|mode|math|deg<rsub|\<prec\>\<frak-m\>>
    P<rsub|+f>\<leqslant\>deg<rsub|\<prec\>f<rsub|\<nasymp\>>> P<rsub|+f>=0>.
  </proof>

  <\corollary>
    <label|dpol-near-cst-2>Let <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|0>+<wide|c|\<wide-bar\>>*\<mathe\><rsup|<big|int>\<varphi\><rsub|1><big|.>>>
    be an irregular cut of height <with|mode|math|0>. Then there exist an
    integral neighbourhood <with|mode|math|\<cal-V\>> of
    <with|mode|math|<wide|f|\<wide-bar\>>>,
    <with|mode|math|Q\<in\>C[F]<rsup|\<neq\>>*(F<rprime|'>)<rsup|\<bbb-N\>>>,
    and <with|mode|math|\<frak-n\>\<in\>\<frak-T\>>, such that for all
    <with|mode|math|f\<in\>\<cal-V\>>, we have

    <\equation*>
      P(f)\<sim\>Q(<with|math-display|false|<frac|f<rsub|0>-\<varphi\><rsub|0>|\<mathe\><rsup|<big|int>\<varphi\><rsub|1><big|.>>>>)*\<frak-n\>.
    </equation*>

    Moreover, if <with|mode|math|\<mathe\><rsup|<value|I>\<varphi\><rsub|1>>\<succ\><wide|\<gamma\>|\<wide-bar\>>>,
    then we may take <with|mode|math|\<cal-V\>> such that
    <with|mode|math|deg<rsub|\<prec\><wide|\<gamma\>|\<wide-bar\>>>
    P<rsub|+f>=0> for all <with|mode|math|f\<in\>\<cal-V\>>.
  </corollary>

  <subsection|Differential polynomials near nested cuts>

  <\lemma>
    <label|dpol-near-nested>Let <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|0>+\<epsilon\><rsub|0>*\<mathe\><rsup|<big|int><wide|f|\<wide-bar\>><rsub|1><big|.>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>\<setminus\>\<bbb-T\>>
    be a cut of integral height <with|mode|math|<op|\<geqslant\>>1>. Then
    there exist <with|mode|math|g,h\<in\>\<bbb-T\>\<cup\>{<op|\<leftarrow\>>,<op|\<rightarrow\>>}>
    with <with|mode|math|g\<less\><wide|f|\<wide-bar\>>\<less\>h> and
    <with|mode|math|i\<in\>\<bbb-N\>>, such that for all
    <with|mode|math|f\<in\>(g,h)>, so that
    <with|mode|math|\<frak-d\><rsub|f-\<varphi\><rsub|0>>> is not a starting
    monomial for <with|mode|math|P<rsub|+\<varphi\><rsub|0>>(<wide|f|~>)=0>,
    we have

    <\equation*>
      P(f)\<sim\>R<rsub|P<rsub|+\<varphi\><rsub|0>,i>>((f-\<varphi\><rsub|0>)<rprime|\<dag\>>)*(f-\<varphi\><rsub|0>)<rsup|i>.
    </equation*>

    Moreover, if <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>\<succ\><wide|\<gamma\>|\<wide-bar\>>>,
    then <with|mode|math|g> and <with|mode|math|h> may be chosen such that
    <with|mode|math|deg<rsub|\<prec\><wide|\<gamma\>|\<wide-bar\>>>
    P<rsub|+f>=0> for all <with|mode|math|f> as above.
  </lemma>

  <\proof>
    Let <with|mode|math|<wide|P|~>=P<rsub|+\<varphi\><rsub|0><rsub|>>>. By
    proposition <reference|diff-New-polygon>, there exists a unique integer
    <with|mode|math|i> such that for each equalizer
    <with|mode|math|\<frak-e\><rsub|j,k>> for
    <with|mode|math|<wide|P|~>(<wide|f|~>)=0>, we have either
    <with|mode|math|\<frak-e\><rsub|j,k>\<prec\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>
    and <with|mode|math|k\<leqslant\>i> or
    <with|mode|math|\<frak-e\><rsub|j,k>\<succ\><wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>
    and <with|mode|math|j\<leqslant\>i>. Now let
    <with|mode|math|f=\<varphi\><rsub|0>+<wide|f|~>\<in\>\<bbb-T\>> be such
    that <with|mode|math|<wide|\<frak-m\>|~>=\<frak-d\><rsub|<wide|f|~>>> is
    not a starting monomial for <with|mode|math|<wide|P|~>(<wide|f|~>)=0>,
    and <with|mode|math|\<frak-e\><rsub|j,k>\<prec\><wide|f|~>> if
    <with|mode|math|k\<leqslant\>i> and <with|mode|math|<wide|f|~>\<prec\>\<frak-e\><rsub|j,k>>
    if <with|mode|math|i\<leqslant\>j> for all equalizers
    <with|mode|math|\<frak-e\><rsub|j,k>> for
    <with|mode|math|<wide|P|~>(<wide|f|~>)=0>. Then
    <with|mode|math|N<rsub|<wide|P|~><rsub|\<times\><wide|\<frak-m\>|~>>>=c**F<rsup|i>>
    for some <with|mode|math|c\<in\>C<rsup|\<neq\>>> and
    <with|mode|math|<wide|P|~><rsub|\<times\><wide|\<frak-m\>|~>>\<uparrow\><rsub|l>=c*\<frak-n\>*F<rsup|i>+o<rsub|\<mathe\><rsup|x>>(\<frak-n\>)>
    for some sufficiently large <with|mode|math|l> and
    <with|mode|math|\<frak-n\>\<in\>\<frak-T\>>. Consequently,

    <\eqnarray*>
      <tformat|<table|<row|<cell|P(f)=<wide|P|~>(<wide|f|~>)>|<cell|=>|<cell|(<wide|P|~><rsub|\<times\><wide|\<frak-m\>|~>>\<uparrow\><rsub|l>)((<wide|f|~>/<wide|\<frak-m\>|~>)\<uparrow\><rsub|l>)\<downarrow\><rsub|l>\<sim\>(c*\<frak-n\>)\<downarrow\><rsub|l>>>|<row|<cell|R<rsub|<wide|P|~><rsub|i>>(<wide|f|~><rprime|\<dag\>>)*<wide|f|~><rsup|i>=<wide|P|~><rsub|i>(<wide|f|~>)>|<cell|=>|<cell|(<wide|P|~><rsub|\<times\><wide|\<frak-m\>|~>,i>\<uparrow\><rsub|l>)((<wide|f|~>/<wide|\<frak-m\>|~>)\<uparrow\><rsub|l>)\<downarrow\><rsub|l>\<sim\>(c*\<frak-n\>)\<downarrow\><rsub|l>,>>>>
    </eqnarray*>

    which proves the first statement of the lemma. Moreover, since
    <with|mode|math|<wide|\<frak-m\>|~>> is not a starting monomial for
    <with|mode|math|P<rsub|+\<varphi\><rsub|0>>(<wide|f|~>)=0>, we have
    <with|mode|math|deg<rsub|\<prec\><wide|\<frak-m\>|~>>
    <no-break>P<rsub|+f>=0>. If <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>\<succ\><wide|\<gamma\>|\<wide-bar\>>>,
    it follows that <with|mode|math|deg<rsub|\<prec\><wide|\<gamma\>|\<wide-bar\>>>
    <no-break>P<rsub|+f>=0> whenever <with|mode|math|f> is chosen such that
    <with|mode|math|<wide|f|~>\<succ\><wide|\<gamma\>|\<wide-bar\>>>.
  </proof>

  <subsection|Differential polynomials near arbitrary cuts>

  <\theorem>
    <label|Dpol-cut-th>Let <with|mode|math|P\<in\>\<bbb-T\>{F}<rsup|\<neq\>>>
    and let <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>\<setminus\>\<bbb-T\>>
    be a cut of height <with|mode|math|l> with integral guiding sequence
    <with|mode|math|\<varphi\><rsub|0>,\<varphi\><rsub|1>,\<ldots\>>. Then
    there exists an integral neighbourhood <with|mode|math|\<cal-V\>> of
    <with|mode|math|<wide|f|\<wide-bar\>>> of height
    <with|mode|math|k\<leqslant\>min {l,r}>, such that one of the following
    holds:

    <\itemize>
      <item>There exist <with|mode|math|i<rsub|0>,\<ldots\>,i<rsub|k-1>\<in\>\<bbb-N\>>
      and <with|mode|math|\<tau\>\<in\>C<rsup|\<neq\>>*\<frak-T\>>, such that
      for all <with|mode|math|f\<in\>\<cal-V\>>, we have

      <\equation>
        <label|Pcut-equiv>P(f)\<sim\>(f<rsub|0>-\<varphi\><rsub|0>)<rsup|i<rsub|0>>*\<cdots\>*(f<rsub|k-1>-\<varphi\><rsub|k-1>)<rsup|i<rsub|k-1>>*\<tau\>.
      </equation>

      <item>The cut <with|mode|math|<wide|f|\<wide-bar\>>> is irregular,
      <with|mode|math|><with|mode|math|k=l>, and there exist
      <with|mode|math|i<rsub|0>,\<ldots\>,i<rsub|k-1>\<in\>\<bbb-N\>>,
      <with|mode|math|Q\<in\>C[F]*(F<rprime|'>)<rsup|\<bbb-N\>>\<setminus\>C>
      and <with|mode|math|\<frak-n\>\<in\>\<frak-T\>>, such that for all
      <with|mode|math|f\<in\>\<cal-V\>>, we have

      <\equation>
        <label|Pcut-equiv-bis>P(f)\<sim\>(f<rsub|0>-\<varphi\><rsub|0>)<rsup|i<rsub|0>>*\<cdots\>*(f<rsub|k-1>-\<varphi\><rsub|k-1>)<rsup|i<rsub|k-1>>*Q(<with|math-display|false|<frac|f<rsub|k>-\<varphi\><rsub|k>|\<mathe\><rsup|<big|int>\<varphi\><rsub|k+1><big|.>>>>)*\<frak-n\>.
      </equation>
    </itemize>

    Moreover, if <with|mode|math|><with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>\<succ\><wide|\<gamma\>|\<wide-bar\>>>,
    then <with|mode|math|\<cal-V\>> may be chosen such that
    <with|mode|math|deg<rsub|\<prec\><wide|\<gamma\>|\<wide-bar\>>>
    P<rsub|+f>=0> for all <with|mode|math|f\<in\>\<cal-V\>>.
  </theorem>

  <\proof>
    We prove the theorem by induction over <with|mode|math|r>. So assume that
    we proved the theorem for all smaller <with|mode|math|r> (for
    <with|mode|math|r\<less\>0>, there is nothing to prove). If
    <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|^>>, then the
    result follows from lemma <reference|dpol-near-serial>. If
    <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\>+<wide|c|\<wide-bar\>>*\<frak-m\>>
    with <with|mode|math|\<frak-m\>\<prec\>supp \<varphi\>> and
    <with|mode|math|<wide|c|\<wide-bar\>>\<in\><wide|C|\<wide-bar\>>\<cup\>{\<um\><wide|\<backepsilon\>|\<wide-bar\>>,<no-break><wide|\<backepsilon\>|\<wide-bar\>>}\<setminus\>C>,
    then we are done by corollary <reference|dpol-near-cst-2>.

    In the last case, we have <with|mode|math|<wide|f|\<wide-bar\>>=\<varphi\><rsub|0>+\<epsilon\><rsub|0>*\<mathe\><rsup|<big|int><wide|f|\<wide-bar\>><rsub|1><big|.>>>
    for some <with|mode|math|\<epsilon\><rsub|0>=\<pm\>1>. By lemma
    <no-break><reference|dpol-near-nested>, there exists an
    <with|mode|math|i<rsub|0>> and an integral neighbourhood
    <with|mode|math|\<cal-V\><rsub|0>> of
    <with|mode|math|<wide|f|\<wide-bar\>>> of height
    <no-break><with|mode|math|0>, such that for all
    <with|mode|math|f\<in\>\<cal-V\><rsub|0>> so that
    <no-break><with|mode|math|\<frak-d\><rsub|f-\<varphi\><rsub|0>>> is not a
    starting monomial for <with|mode|math|P<rsub|+\<varphi\><rsub|0>>(<wide|f|~>)=0>,
    we have

    <\equation>
      <label|PRic-equiv>P(f)\<sim\>R<rsub|P<rsub|<rsub|+\<varphi\><rsub|0>>,i<rsub|0>>>(f<rsub|0>-\<varphi\><rsub|0>)*(f<rsub|0>-\<varphi\><rsub|0>)<rsup|i<rsub|0>>.
    </equation>

    By the induction hypothesis, there exists an integral neighbourhood
    <with|mode|math|\<cal-W\>> of <with|mode|math|<wide|f|\<wide-bar\>><rsub|1>>
    of height <with|mode|math|k<rprime|'>>, such that
    <with|mode|math|k\<assign\>k<rprime|'>+1\<leqslant\>min {l,r}> and one of
    the following holds:

    <\itemize>
      <item>There exist <with|mode|math|i<rsub|1>,\<ldots\>,i<rsub|k-1>\<in\>\<bbb-N\>>,
      and <with|mode|math|\<tau\>\<in\>C<rsup|\<neq\>>*\<frak-T\>>, such that
      for all <with|mode|math|f<rsub|1>\<in\>\<cal-W\>>, we have

      <\equation>
        <label|Pcut-equiv-2>R<rsub|P<rsub|<rsub|+\<varphi\><rsub|0>>,i<rsub|0>>>(f<rsub|1>)\<sim\>(f<rsub|1>-\<varphi\><rsub|1>)<rsup|i<rsub|1>>*\<cdots\>*(f<rsub|k-1>-\<varphi\><rsub|k-1>)<rsup|i<rsub|k-1>>*\<tau\>.
      </equation>

      <item>The cut <with|mode|math|<wide|f|\<wide-bar\>><rsub|1>> is
      irregular, <with|mode|math|k=l>, and there exist
      <with|mode|math|i<rsub|1>,\<ldots\>,i<rsub|k-1>\<in\>\<bbb-N\>>,
      <with|mode|math|Q\<in\>C[F]*(F<rprime|'>)<rsup|\<bbb-N\>>\<setminus\>C>
      and <with|mode|math|\<frak-n\>\<in\>\<frak-T\>>, such that for all
      <with|mode|math|f<rsub|1>\<in\>\<cal-W\>>, such that

      <\equation>
        <label|Pcut-equiv-bis-2>R<rsub|P<rsub|<rsub|+\<varphi\><rsub|0>>,i<rsub|0>>>(f<rsub|1>)\<sim\>(f<rsub|1>-\<varphi\><rsub|1>)<rsup|i<rsub|1>>*\<cdots\>*(f<rsub|k-1>-\<varphi\><rsub|k-1>)<rsup|i<rsub|k-1>>*Q(<with|math-display|false|<frac|f<rsub|k>-\<varphi\><rsub|k>|\<mathe\><rsup|<big|int>\<varphi\><rsub|k+1><big|.>>>>)*\<frak-n\>.
      </equation>
    </itemize>

    Moreover, for <with|mode|math|f<rsub|1>\<in\>\<cal-W\>>, the induction
    hypothesis and proposition <reference|diff-pdm> also imply that
    <no-break><with|mode|math|\<mathe\><rsup|<big|int>f<rsub|1><big|.>>> is
    not a starting monomial for <with|mode|math|P<rsub|+\<varphi\><rsub|0>>(<wide|f|~>)=0>,
    since <with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>><rsub|1>>\<succ\><wide|\<gamma\>|\<wide-bar\>>>.

    Now take <with|mode|math|\<cal-V\>=\<cal-V\><rsub|0>\<cap\>(\<varphi\><rsub|0>+C<rsup|\<neq\>>*\<mathe\><rsup|<big|int>\<cal-W\><big|.>>)>.
    Then the relations (<reference|PRic-equiv>) and
    <no-break>(<reference|Pcut-equiv-2>) <abbr|<abbr|resp.>>
    <no-break>(<reference|Pcut-equiv-bis-2>) entail (<reference|Pcut-equiv>)
    <abbr|resp.> (<reference|Pcut-equiv-bis>) for all
    <with|mode|math|f\<in\>\<cal-V\>>. Moreover, if
    <with|mode|math|><with|mode|math|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>\<succ\><wide|\<gamma\>|\<wide-bar\>>>,
    then <with|mode|math|\<cal-V\><rsub|0>> may be chosen such that
    <with|mode|math|deg<rsub|\<prec\><wide|\<gamma\>|\<wide-bar\>>>
    P<rsub|+f>=0> for all <with|mode|math|f\<in\>\<cal-V\>\<subseteq\>\<cal-V\><rsub|0>>,
    by lemma <reference|dpol-near-nested>.
  </proof>

  <subsection|On the sign of a differential polynomial>

  Let <with|mode|math|P\<in\>\<bbb-T\>{F}> be a differential polynomial. We
  denote by <with|mode|math|\<sigma\><rsub|P>:\<bbb-T\>\<rightarrow\>{\<um\>1,0,1}>
  the sign function associated to <with|mode|math|P>:<glossary-explain|<with|mode|math|\<sigma\><rsub|P>>|sign
  of <with|mode|math|P>>

  <\equation*>
    \<sigma\><rsub|P>(f)=sign P(f)=<choice|<tformat|<cwith|1|-1|1|1|cell-halign|r>|<table|<row|<cell|\<um\>1,>|<cell|<with|mode|text|if
    >P(f)\<less\>0>>|<row|<cell|0,>|<cell|<with|mode|text|if
    >P(f)=0>>|<row|<cell|1,>|<cell|<with|mode|text|if >P(f)\<gtr\>0>>>>>.
  </equation*>

  We say that <with|mode|math|\<sigma\><rsub|P>> is <em|constant at the
  right><subindex|constant|at the right> of
  <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>,
  if there exist <with|mode|math|\<epsilon\>\<in\>{\<um\>1,0,1}> and
  <with|mode|math|g\<gtr\><wide|f|\<wide-bar\>>> such that
  <with|mode|math|\<sigma\><rsub|P>(f)=\<epsilon\>> for all
  <with|mode|math|f\<in\>(<wide|f|\<wide-bar\>>,g)>. In that case, we denote
  <with|mode|math|\<sigma\><rsub|P><rsup|+>(<wide|f|\<wide-bar\>>)=\<epsilon\>><glossary-explain|<with|mode|math|\<sigma\><rsub|P><rsup|+>>|sign
  of <with|mode|math|P> at the right of a point>. We say that
  <with|mode|math|\<sigma\><rsub|P>> is <em|constant at the
  left><subindex|constant|at the left> of
  <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>,
  if there exist <with|mode|math|\<epsilon\>\<in\>{\<um\>1,0,1}> and
  <with|mode|math|g\<less\><wide|f|\<wide-bar\>>> such that
  <with|mode|math|\<sigma\><rsub|P>(f)=\<epsilon\>> for all
  <with|mode|math|f\<in\>(<wide|f|\<wide-bar\>>,g)>, and we denote
  <with|mode|math|\<sigma\><rsub|P><rsup|->(<wide|f|\<wide-bar\>>)=\<epsilon\>><glossary-explain|<with|mode|math|\<sigma\><rsub|P><rsup|->>|sign
  of <with|mode|math|P> at the left of a point>. If
  <with|mode|math|\<sigma\><rsub|P>> is constant at the left and at the right
  of <with|mode|math|<wide|f|\<wide-bar\>>>, then we say that
  <with|mode|math|\<sigma\><rsub|P>> is <em|constant at both
  sides><subindex|constant|at both sides> of
  <with|mode|math|<wide|f|\<wide-bar\>>>.

  <\proposition>
    <label|Npol-cut-sign>Let <with|mode|math|Q\<in\>Q=(Q<rsub|d>*F<rsup|d>+\<cdots\>+Q<rsub|v>*F<rsup|v>)*(F<rprime|'>)<rsup|\<nu\>>\<in\>C[F]*(F<rprime|'>)<rsup|\<bbb-N\>>>
    with <with|mode|math|Q<rsub|d>\<neq\>0> and
    <with|mode|math|Q<rsub|v>\<neq\>0>. Then

    <\eqnarray*>
      <tformat|<table|<row|<cell|\<sigma\><rsub|Q><rsup|+>(<wide|\<mho\>|\<wide-bar\>>)>|<cell|=>|<cell|sign
      Q<rsub|d><eq-number><label|cst-sign-1>>>|<row|<cell|\<sigma\><rsub|Q><rsup|->(\<um\><wide|\<mho\>|\<wide-bar\>>)>|<cell|=>|<cell|(\<um\>1)<rsup|d+\<nu\>>*sign
      Q<rsub|d><eq-number>>>|<row|<cell|\<sigma\><rsub|Q><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>)>|<cell|=>|<cell|(\<um\>1)<rsup|\<nu\>>*sign
      Q<rsub|v><eq-number>>>|<row|<cell|\<sigma\><rsub|Q><rsup|+>(\<um\><wide|\<backepsilon\>|\<wide-bar\>>)>|<cell|=>|<cell|(\<um\>1)<rsup|v>*sign
      Q<rsub|v><eq-number><label|cst-sign-4>>>>>
    </eqnarray*>
  </proposition>

  <\proof>
    For <with|mode|math|f\<in\>\<bbb-T\><rsup|\<gtr\>,\<succ\>>>, we have
    <with|mode|math|Q(f)\<sim\>Q<rsub|d>*f<rsup|d>*(f<rprime|'>)<rsup|\<nu\>>>
    and <with|mode|math|f<rprime|'>\<gtr\>0>. That proves
    (<reference|cst-sign-1>). The other properties follow by considering
    <with|mode|math|Q(\<um\>f)> and <with|mode|math|Q(\<upm\>1/f)*f<rsup|deg
    Q>> instead of <no-break><with|mode|math|Q(f)>.
  </proof>

  <\theorem>
    Let <with|mode|math|P\<in\>\<bbb-T\>{F}> and
    <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>.
    Then

    <\enumerate-alpha>
      <item>If <with|mode|math|<wide|f|\<wide-bar\>>> is regular, then
      <with|mode|math|\<sigma\><rsub|P>> is constant on both sides of
      <with|mode|math|<wide|f|\<wide-bar\>>>, and
      <with|mode|math|\<sigma\><rsub|P><rsup|+>(<wide|f|\<wide-bar\>>)=\<sigma\><rsub|P><rsup|->(<wide|f|\<wide-bar\>>)>.

      <item>If <with|mode|math|<wide|f|\<wide-bar\>>> is left-oriented, then
      <with|mode|math|\<sigma\><rsub|P>> is constant at the left of
      <with|mode|math|<wide|f|\<wide-bar\>>>.

      <item>If <with|mode|math|<wide|f|\<wide-bar\>>> is right-oriented, then
      <with|mode|math|\<sigma\><rsub|P>> is constant at the right of
      <with|mode|math|<wide|f|\<wide-bar\>>>.

      <item>If <with|mode|math|<wide|f|\<wide-bar\>>\<in\>\<bbb-T\>>, then
      <with|mode|math|P> is constant at both sides of
      <with|mode|math|<wide|f|\<wide-bar\>>>.
    </enumerate-alpha>
  </theorem>

  <\proof>
    Propositions <reference|cst-sign-prop>, <reference|Npol-cut-sign> and
    theorem <reference|Dpol-cut-th> imply (<em|a>), (<em|b>) and (<em|c>).
    Property (<em|d>) follows by considering
    <with|mode|math|P(1/f)*f<rsup|deg P>> instead of <with|mode|math|P(f)>.
  </proof>

  <\proposition>
    <label|Ricc-sign>Let <with|mode|math|P\<in\>\<bbb-T\>{F}<rsup|\<neq\>>>,
    <with|mode|math|\<frak-m\>\<in\>\<frak-T\>> and denote
    <with|mode|math|i=val N<rsub|P<rsub|\<times\>\<frak-m\>>>\<leqslant\>j=deg
    N<rsub|P<rsub|\<times\>\<frak-m\>>>>. Then

    <\equation*>
      <tabular|<tformat|<table|<row|<cell|\<sigma\><rsub|P><rsup|+>(<wide|\<mho\>|\<wide-bar\>>*\<frak-m\>)>|<cell|=>|<cell|\<sigma\><rsub|P<rsub|j>><rsup|+>(<wide|\<mho\>|\<wide-bar\>>*\<frak-m\>)>|<cell|=>|<cell|\<sigma\><rsup|+><rsub|R<rsub|P<rsub|j>>>(\<frak-m\><rprime|\<dag\>>+<wide|\<gamma\>|\<wide-bar\>>)>>|<row|<cell|\<sigma\><rsub|P><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)>|<cell|=>|<cell|\<sigma\><rsub|P<rsub|i>><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)>|<cell|=>|<cell|\<sigma\><rsup|-><rsub|R<rsub|P<rsub|i>>>(\<frak-m\><rprime|\<dag\>>-<wide|\<gamma\>|\<wide-bar\>>)>>>>>
    </equation*>
  </proposition>

  <\proof>
    From (<reference|cst-sign-1>), it follows that
    <with|mode|math|\<sigma\><rsub|N<rsub|P<rsub|\<times\>\<frak-m\>>>><rsup|+>(<wide|\<mho\>|\<wide-bar\>>)=\<sigma\><rsub|N<rsub|P<rsub|j,\<times\>\<frak-m\>>>><rsup|+>(<wide|\<mho\>|\<wide-bar\>>)>.
    Consequently, <with|mode|math|P<rsub|\<times\>\<frak-m\>>(f)\<sim\>P<rsub|j,\<times\>\<frak-m\>>(f)>
    for all sufficiently small <with|mode|math|f\<in\>\<bbb-T\><rsup|\<succ\>,\<gtr\>>>,
    so that <with|mode|math|\<sigma\><rsub|P><rsup|+>(<wide|\<mho\>|\<wide-bar\>>*\<frak-m\>)=\<sigma\><rsub|P<rsub|j>><rsup|+>(<wide|\<mho\>|\<wide-bar\>>*\<frak-m\>)>.
    Similarly, we obtain <with|mode|math|\<sigma\><rsub|P><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)=\<sigma\><rsub|P<rsub|i>><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)>.
    Since <with|mode|math|\<sigma\><rsub|P<rsub|j,\<times\>\<frak-m\>>>(f)=\<sigma\><rsub|R<rsub|P<rsub|j>>>(\<frak-m\><rprime|\<dag\>>+f<rprime|\<dag\>>)>
    and <with|mode|math|\<sigma\><rsub|P<rsub|i,\<times\>\<frak-m\>>>(f)=\<sigma\><rsub|R<rsub|P<rsub|i>>>(\<frak-m\><rprime|\<dag\>>+f<rprime|\<dag\>>)>
    for all <with|mode|math|f\<in\>\<bbb-T\><rsup|\<gtr\>>>, we also have
    <with|mode|math|\<sigma\><rsub|P<rsub|j>><rsup|+>(<wide|\<mho\>|\<wide-bar\>>*\<frak-m\>)=\<sigma\><rsup|+><rsub|R<rsub|P<rsub|j>>>(\<frak-m\><rprime|\<dag\>>+<wide|\<gamma\>|\<wide-bar\>>)>
    and <with|mode|math|\<sigma\><rsub|P<rsub|i>><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)=\<sigma\><rsup|-><rsub|R<rsub|P<rsub|i>>>(\<frak-m\><rprime|\<dag\>>-<wide|\<gamma\>|\<wide-bar\>>)>.
  </proof>

  Let <with|mode|math|\<frak-W\>> be an initial segment of
  <with|mode|math|\<frak-T\>>. The sign <with|mode|math|\<sigma\><rsub|P,\<frak-W\>>><glossary-explain|<with|mode|math|\<sigma\><rsub|P,\<frak-W\>>>|sign
  of <with|mode|math|P> modulo <with|mode|math|\<frak-W\>>> of
  <with|mode|math|P> modulo <with|mode|math|\<frak-W\>> at a point
  <with|mode|math|f\<in\>\<bbb-T\>> is defined as follows. If
  <with|mode|math|deg<rsub|\<frak-W\>> P<rsub|+f>\<gtr\>0>, then we set
  <with|mode|math|\<sigma\><rsub|P,\<frak-W\>>(f)=0>. Recall that
  <with|mode|math|deg<rsub|\<frak-W\>> <no-break>P<rsub|+f>> is the
  multiplicity of <with|mode|math|f> as a zero of <with|mode|math|P> modulo
  <with|mode|math|\<frak-W\>> in this case. If
  <with|mode|math|deg<rsub|\<frak-W\>> P<rsub|+f>=0>, then for all
  <with|mode|math|\<delta\>\<in\>C<gb|\<frak-W\>>>, we have
  <with|mode|math|\<sigma\><rsub|P<rsub|+f>>(\<delta\>)=sign P<rsub|0>>, and
  we set <with|mode|math|\<sigma\><rsub|P,\<frak-W\>>(f)=sign
  P<rsub|0>\<in\>{\<um\>1,1}>. Given <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>
  and <with|mode|math|f\<in\>\<bbb-T\>>, we write
  <with|mode|math|<wide|f|\<wide-bar\>>\<less\><rsub|\<frak-W\>>f> if
  <with|mode|math|<wide|f|\<wide-bar\>>\<less\>f+\<delta\>> for all
  <with|mode|math|\<delta\>\<in\>C<gb|\<frak-W\>>>. Given
  <with|mode|math|<wide|f|\<wide-bar\>>,<wide|g|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>,
  we denote <with|mode|math|(<wide|f|\<wide-bar\>>,<wide|g|\<wide-bar\>>)<rsub|\<frak-W\>>={h\<in\>\<bbb-T\>:f\<less\><rsub|\<frak-W\>>h\<less\><rsub|\<frak-W\>>g}>.
  We say that <with|mode|math|\<sigma\><rsub|P,\<frak-W\>>> is <em|constant
  at the right> of <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>,
  if there exist <with|mode|math|\<epsilon\>\<in\>{\<um\>1,0,1}> and
  <with|mode|math|g\<gtr\><rsub|\<frak-W\>><wide|f|\<wide-bar\>>> such that
  <with|mode|math|\<sigma\><rsub|P,\<frak-W\>>(f)=\<epsilon\>> for all
  <with|mode|math|f\<in\>(<wide|f|\<wide-bar\>>,g)<rsub|\<frak-W\>>>. In that
  case, we denote <with|mode|math|\<sigma\><rsub|P,\<frak-W\>><rsup|+>(<wide|f|\<wide-bar\>>)=\<epsilon\>><glossary-explain|<with|mode|math|\<sigma\><rsub|P,\<frak-W\>><rsup|+>>|sign
  of <with|mode|math|P> at the right of a point modulo
  <with|mode|math|\<frak-W\>>>. Constance at the left is defined
  similarly<glossary-explain|<with|mode|math|\<sigma\><rsub|P,\<frak-W\>><rsup|->>|sign
  of <with|mode|math|P> at the left of a point modulo
  <with|mode|math|\<frak-W\>>>. If <with|mode|math|\<frak-W\>> is of the form
  <with|mode|math|\<frak-W\>={\<frak-m\>\<in\>\<frak-T\>:\<frak-m\>\<prec\>\<frak-w\>}>,
  then we also write <with|mode|math|\<sigma\><rsub|P,\<prec\>\<frak-w\>>=\<sigma\><rsub|P,\<frak-W\>>>,
  <with|mode|math|\<sigma\><rsub|P,\<prec\>\<frak-w\>><rsup|+>=\<sigma\><rsub|P,\<frak-W\>><rsup|+>>
  and <with|mode|math|\<sigma\><rsub|P,\<prec\>\<frak-w\>><rsup|->=\<sigma\><rsub|P,\<frak-W\>><rsup|->>.<vspace|1fn>

  <\exercise>
    Let <with|mode|math|\<cal-H\>\<supseteq\>\<bbb-T\><rsup|cv>{F}> be a
    Hardy field. Consider a cut <with|mode|math|<wide|f|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>
    and an element<nbsp><with|mode|math|h\<in\>\<cal-H\>>, such that
    <with|mode|math|g\<less\><wide|f|\<wide-bar\>>\<Leftrightarrow\>g\<less\>h>
    for <with|mode|math|g\<in\>\<bbb-T\><rsup|cv>>. If
    <with|mode|math|\<sigma\><rsub|P><rsup|+>(<wide|f|\<wide-bar\>>)> is
    defined, then show that there exists a <with|mode|math|g\<in\>\<cal-H\>>
    with <with|mode|math|g\<gtr\>h> and <with|mode|math|\<sigma\><rsub|P>(\<varphi\>)=\<sigma\><rsub|P><rsup|+>(<wide|f|\<wide-bar\>>)>
    for all <with|mode|math|\<varphi\>\<in\>(h,g)>.
  </exercise>

  <\exercise>
    <label|diff-trans-ex-2>Show that <with|mode|math|\<zeta\>(x)>,
    <with|mode|math|\<varphi\>(x)=<frac|1|x>+<frac|1|x<rsup|\<mathpi\>>>+<frac|1|x<rsup|\<mathpi\><rsup|2>>>+\<cdots\>>
    and <with|mode|math|\<psi\>(x)=<frac|1|x>+<frac|1|\<mathe\><rsup|log<rsup|2>
    x>>+<frac|1|\<mathe\><rsup|log<rsup|4> x>>+\<cdots\>> do not satisfy an
    algebraic differential equation with coefficients in
    <with|mode|math|\<bbb-T\>>. Compare with the technique from exercise
    <reference|diff-trans-ex-1>.
  </exercise>

  <\exercise>
    Let <with|mode|math|L> be a real analytic solution to
    <with|mode|math|L(log x)=L(x)-1> (for a construction of such a solution,
    see <cite|Kne50>). Show that <with|mode|math|\<bbb-T\><rsup|cv>{L}> is a
    Hardy field.
  </exercise>

  <section|The intermediate value theorem>

  In this section, we assume that <with|mode|math|C> is a real closed field.
  Our main aim is to prove the following intermediate value theorem:

  <\theorem>
    <label|iv-th><index|intermediate value
    theorem><subindex|theorem|intermediate value>Let
    <with|mode|math|P\<in\>\<bbb-T\>{F}> and
    <with|mode|math|f,g\<in\>\<bbb-T\>> be such that
    <with|mode|math|f\<less\>g> and <with|mode|math|P(f)*P(g)\<less\>0>. Then
    there exists a <with|mode|math|h\<in\>(f,g)> with
    <with|mode|math|P(h)=0>.
  </theorem>

  In fact, we will prove the following stronger version of the theorem:

  <\theorem>
    <label|mod-iv-th>Let <with|mode|math|P\<in\>\<bbb-T\>{F}> and let
    <with|mode|math|\<frak-W\>> be an initial segment of
    <with|mode|math|\<frak-T\>>. Assume that
    <with|mode|math|f,g\<in\>\<bbb-T\>> are such that
    <with|mode|math|f\<less\><rsub|\<frak-W\>>g> and
    <with|mode|math|\<sigma\><rsub|P,\<frak-W\>>(f)*\<sigma\><rsub|P,\<frak-W\>>(g)\<less\>0>.
    Then there exists a <with|mode|math|h\<in\>(f,<no-break>g)<rsub|\<frak-W\>>>
    such that <with|mode|math|deg<rsub|\<frak-W\>> P<rsub|+h>> is odd.
  </theorem>

  In both theorems, the interval <with|mode|math|(f,g)> may actually be
  replaced by a more general interval <with|mode|math|(<wide|f|\<wide-bar\>>,<wide|g|\<wide-bar\>>)>
  with <with|mode|math|<wide|f|\<wide-bar\>>,<wide|g|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>.
  More precisely, we say that <with|mode|math|P> <em|changes sign><index|sign
  change> on <with|mode|math|(<wide|f|\<wide-bar\>>,<no-break><wide|g|\<wide-bar\>>)>
  modulo <with|mode|math|\<frak-W\>>, if <with|mode|math|\<sigma\><rsub|P,\<frak-W\>><rsup|+>(<wide|f|\<wide-bar\>>)>
  and <with|mode|math|\<sigma\><rsub|P,\<frak-W\>><rsup|->(<wide|g|\<wide-bar\>>)>
  exist and <with|mode|math|\<sigma\><rsub|P,\<frak-W\>><rsup|+>(<wide|f|\<wide-bar\>>)*\<sigma\><rsub|P,\<frak-W\>><rsup|->(<wide|g|\<wide-bar\>>)\<less\>0>.
  Notice that <with|mode|math|P> changes sign on
  <with|mode|math|(<wide|f|\<wide-bar\>>,<wide|g|\<wide-bar\>>)> modulo
  <with|mode|math|\<frak-W\>> if and only if <with|mode|math|P> changes sign
  on <with|mode|math|(<wide|f|\<wide-bar\>>,<wide|g|\<wide-bar\>>)<rsub|\<frak-W\>>>.
  We say that <with|mode|math|P> <em|changes sign> at
  <with|mode|math|h\<in\>\<bbb-T\>> modulo <with|mode|math|\<frak-W\>> if
  <with|mode|math|deg<rsub|\<frak-W\>> P<rsub|+h>> is odd. Now if
  <with|mode|math|P> changes sign on <no-break><with|mode|math|(<wide|f|\<wide-bar\>>,<wide|g|\<wide-bar\>>)>,
  then it also changes sign on <with|mode|math|(f,g)> for some
  <with|mode|math|f,g\<in\>\<bbb-T\>> with
  <with|mode|math|<wide|f|\<wide-bar\>>\<less\>f\<less\>g\<less\><wide|g|\<wide-bar\>>>,
  <with|mode|math|\<sigma\><rsub|P,\<frak-W\>>(f)=\<sigma\><rsub|P,\<frak-W\>><rsup|+>(<wide|f|\<wide-bar\>>)>
  and <with|mode|math|\<sigma\><rsub|P,\<frak-W\>>(g)=\<sigma\><rsub|P,\<frak-W\>><rsup|->(<wide|g|\<wide-bar\>>)>.
  Consequently, if theorem <reference|mod-iv-th> holds for all intervals
  <with|mode|math|(f,g)> with <with|mode|math|f,g\<in\>\<bbb-T\>>, then it
  also holds for all intervals <with|mode|math|(<wide|f|\<wide-bar\>>,<wide|g|\<wide-bar\>>)>
  with <with|mode|math|<wide|f|\<wide-bar\>>,<no-break><wide|g|\<wide-bar\>>\<in\><wide|\<bbb-T\>|\<wide-bar\>>>.

  <\remark>
    The fact that <with|mode|math|P> changes sign at
    <with|mode|math|h\<in\>\<bbb-T\>> modulo <with|mode|math|\<frak-W\>> does
    not necessarily imply <with|mode|math|\<sigma\><rsub|P,\<frak-W\>><rsup|+>(h)*\<sigma\><rsub|P,\<frak-W\>><rsup|->(h)\<less\>0>.
    Indeed, <with|mode|math|P=F<rprime|'>> changes sign modulo
    <with|mode|math|<op|\<prec\>> 1> at <with|mode|math|h=0>, but
    <with|mode|math|\<sigma\><rsub|F<rprime|'>,\<prec\>1><rsup|+>(0)> and
    <with|mode|math|\<sigma\><rsub|F<rprime|'>,\<prec\>1><rsup|->(0)> are not
    defined.
  </remark>

  <subsection|The quasi-linear case>

  <\lemma>
    <label|ivt-ql-lem>Let <with|mode|math|P\<in\>C{F}> be of order
    <with|mode|math|r> and let <with|mode|math|\<frak-W\>> be an initial
    segment of <with|mode|math|\<frak-T\>>. Assume that the theorem
    <reference|mod-iv-th> holds for all differential polynomials of order
    <with|mode|math|<op|\<less\>> r>. Let
    <with|mode|math|\<frak-v\>\<in\>\<frak-T\>> be such that the equation

    <\equation>
      <label|ivt-ql>P(f)=0<space|2fn>(f\<prec\>\<frak-v\>)
    </equation>

    is quasi-linear and assume that <with|mode|math|P> changes sign on
    <with|mode|math|(0,<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)<rsub|\<frak-W\>>>.
    Then there exists a <with|mode|math|h\<in\>(0,<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)<rsub|\<frak-W\>>>
    with <with|mode|math|deg<rsub|\<frak-W\>> P<rsub|+h>=1>.
  </lemma>

  <\proof>
    Modulo an additive conjugation by a sufficiently small
    <with|mode|math|\<delta\>\<in\>(0,<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)<rsub|\<frak-W\>>>,
    we may assume without loss of generality that
    <with|mode|math|deg<rsub|\<frak-W\>> P=0>. Since (<reference|ivt-ql>) is
    quasi-linear, it admits only a finite number of starting monomials. Let
    <with|mode|math|\<frak-m\>> be the largest such monomial. Modulo a
    multiplicative conjugation with <with|mode|math|\<frak-m\>>, we may
    assume without loss of generality that <with|mode|math|\<frak-m\>=1>. We
    must have <with|mode|math|\<frak-W\>\<prec\>1>, since otherwise
    <with|mode|math|1=deg<rsub|\<preccurlyeq\>1>
    <no-break>P\<leqslant\>deg<rsub|\<frak-W\>> <no-break>P=0>. Furthermore,
    since <with|mode|math|N<rsub|P>\<in\>C[F]*(F<rprime|'>)<rsup|\<bbb-N\>>>,
    we either have <with|mode|math|N<rsub|P>=\<alpha\>*F+\<beta\>> with
    <with|mode|math|\<alpha\>,\<beta\>\<in\>C<rsup|\<neq\>>>, or
    <with|mode|math|N<rsub|P>=\<alpha\>*F<rprime|'>> with
    <with|mode|math|\<alpha\>\<in\>C<rsup|\<neq\>>>.

    If <with|mode|math|N<rsub|P>=\<alpha\>*F+\<beta\>>, then the
    distinguished solution <with|mode|math|h> to (<reference|ivt-ql>)
    satisfies <with|mode|math|h\<sim\>\<um\>\<beta\>/\<alpha\>\<neq\><no-break>0>.
    Moreover, from proposition <reference|Ricc-sign>, it follows that

    <\equation*>
      <tabular*|<tformat|<cwith|1|-1|1|1|cell-halign|r>|<cwith|1|-1|7|7|cell-halign|l>|<table|<row|<cell|\<sigma\><rsub|P,\<frak-W\>>(0)>|<cell|=>|<cell|\<sigma\><rsub|P>(<wide|\<backepsilon\>|\<wide-bar\>>)>|<cell|=>|<cell|\<sigma\><rsub|R<rsub|P<rsub|0>>><rsup|->(\<um\><wide|\<gamma\>|\<wide-bar\>>)>|<cell|=>|<cell|sign
      \<beta\><space|0.6spc>;>>|<row|<cell|\<sigma\><rsub|P,\<frak-W\>><rsup|+>(<wide|\<mho\>|\<wide-bar\>>)>|<cell|=>|<cell|\<sigma\><rsub|P><rsup|+>(<wide|\<mho\>|\<wide-bar\>>)>|<cell|=>|<cell|\<sigma\><rsub|R<rsub|P<rsub|1>>><rsup|+>(<wide|\<gamma\>|\<wide-bar\>>)>|<cell|=>|<cell|sign
      \<alpha\><space|0.6spc>;>>|<row|<cell|\<sigma\><rsub|P,\<frak-W\>><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)>|<cell|=>|<cell|\<sigma\><rsub|P><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)>|<cell|=>|<cell|\<sigma\><rsub|R<rsub|P<rsub|1>>><rsup|->(\<frak-v\><rprime|\<dag\>>-<wide|\<gamma\>|\<wide-bar\>>)>|<cell|=>|<cell|\<um\>sign
      \<beta\>.>>>>>
    </equation*>

    We claim that <with|mode|math|\<sigma\><rsub|R<rsub|P<rsub|1>>>(<wide|\<gamma\>|\<wide-bar\>>)=\<sigma\><rsub|R<rsub|P<rsub|1>>>(\<frak-v\><rprime|\<dag\>>-<wide|\<gamma\>|\<wide-bar\>>)>.
    Otherwise, theorem <reference|mod-iv-th> applied to
    <with|mode|math|R<rsub|P<rsub|1>>> implies the existence of a
    <with|mode|math|\<psi\>\<in\>(0,\<frak-v\><rprime|\<dag\>>)<rsub|\<prec\><wide|\<gamma\>|\<wide-bar\>>>>
    with <with|mode|math|deg<rsub|\<prec\><wide|\<gamma\>|\<wide-bar\>>>
    R<rsub|P<rsub|1>,+\<psi\>>\<in\>2*\<bbb-N\>+1>. Taking
    <with|mode|math|\<psi\>> such that <with|mode|math|\<psi\><rsub|\<prec\><wide|\<gamma\>|\<wide-bar\>>>=0>
    (whence <with|mode|math|<op|<big|int><big|.>
    \<psi\>\<in\>\<bbb-T\><rsub|\<succ\>>>>) , it follows that
    <with|mode|math|\<mathe\><rsup|<big|int>\<psi\><big|.>>\<succ\>1> would
    be a starting monomial for (<reference|ivt-ql>). Our claim implies that
    <with|mode|math|sign <no-break>\<beta\>=\<um\>sign \<alpha\>>, so that
    <with|mode|math|h\<in\>(0,<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)<rsub|\<frak-W\>>>.
    Furthermore, <with|mode|math|P<rsub|+h,0>=0>, so
    <with|mode|math|1\<leqslant\>deg<rsub|\<frak-W\>>
    <no-break>P<rsub|+h>\<leqslant\>deg<rsub|\<prec\>\<frak-v\>>
    P<rsub|+h>=1>.

    If <with|mode|math|N<rsub|P>=\<alpha\>*F<rprime|'>>, then
    <with|mode|math|deg<rsub|\<prec\>1> P<rsub|+\<lambda\>>=1> for any
    <with|mode|math|\<lambda\>\<in\>C>. Let
    <with|mode|math|h=1+\<varepsilon\>>, where
    <with|mode|math|\<varepsilon\>> is the distinguished solution to
    <with|mode|math|P<rsub|+1>(\<varepsilon\>)=0<space|1.2spc>(\<varepsilon\>\<prec\>1)>.
    Then <with|mode|math|h\<in\>(0,<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)<rsub|\<frak-W\>>>
    and <with|mode|math|P<rsub|+h,0>=0> again implies
    <with|mode|math|deg<rsub|\<frak-W\>> P<rsub|+h>=1>.
  </proof>

  <subsection|Preserving sign changes during refinements>

  <\lemma>
    <label|ivt-Npol>Let <with|mode|math|P\<in\>C{F}> and let
    <with|mode|math|I> be of one of the following forms:

    <\enumerate-alpha>
      <item><with|mode|math|I=(c<rsub|1>,c<rsub|2>)<rsub|\<prec\>1>=(c<rsub|1>+<wide|\<backepsilon\>|\<wide-bar\>>,c<rsub|2>-<wide|\<backepsilon\>|\<wide-bar\>>)>
      with <with|mode|math|c<rsub|1>,c<rsub|2>\<in\>C>.

      <item><with|mode|math|I=(c<rsub|1>,<wide|\<mho\>|\<wide-bar\>>)<rsub|\<prec\>1>=(c<rsub|1>+<wide|\<backepsilon\>|\<wide-bar\>>,<wide|\<mho\>|\<wide-bar\>>)>
      with <with|mode|math|c<rsub|1>\<in\>C>.

      <item><with|mode|math|I=(\<um\><wide|\<mho\>|\<wide-bar\>>,<wide|\<mho\>|\<wide-bar\>>)<rsub|\<prec\>1>=(\<um\><wide|\<mho\>|\<wide-bar\>>,<wide|\<mho\>|\<wide-bar\>>)>.
    </enumerate-alpha>

    If <with|mode|math|P> changes sign on <with|mode|math|I>, then there
    exists a <with|mode|math|c\<in\>I\<cap\>C> with
    <with|mode|math|\<sigma\><rsub|P><rsup|+>(c-<wide|\<backepsilon\>|\<wide-bar\>>)*\<sigma\><rsub|P><rsup|->(c+<wide|\<backepsilon\>|\<wide-bar\>>)\<less\>0>.
  </lemma>

  <\proof>
    In cases (<em|b>) and (<em|c>), we may replace
    <with|mode|math|<wide|\<mho\>|\<wide-bar\>>> (and
    <with|mode|math|\<um\><wide|\<mho\>|\<wide-bar\>>>) by a sufficiently
    large <with|mode|math|c<rsub|2>\<in\>C> (<abbr|resp.> small
    <with|mode|math|c<rsub|1>\<in\>C>). Therefore, it suffices to deal with
    intervals <with|mode|math|I> of the form (<em|a>). From lemma
    <reference|dpol-near-cst>, it follows that
    <with|mode|math|\<sigma\><rsub|P><rsup|+>(c-<wide|\<backepsilon\>|\<wide-bar\>>)=\<sigma\><rsub|N<rsub|P>><rsup|+>(c-<wide|\<backepsilon\>|\<wide-bar\>>)>,
    <with|mode|math|\<sigma\><rsub|P><rsup|->(c+<wide|\<backepsilon\>|\<wide-bar\>>)=\<sigma\><rsub|N<rsub|P>><rsup|->(c+<wide|\<backepsilon\>|\<wide-bar\>>)>
    for all <with|mode|math|c\<in\>C>. Without loss of generality, we may
    therefore assume that <with|mode|math|P=N<rsub|P>=A*(F<rprime|'>)<rsup|\<nu\>>>
    with <with|mode|math|A\<in\>C[F]> and
    <with|mode|math|\<nu\>\<in\>\<bbb-N\>>.

    If <with|mode|math|\<nu\>> is odd, then we choose
    <with|mode|math|c\<in\>I\<cap\>C> with <with|mode|math|A(c)\<neq\>0>, and
    obtain

    <\equation*>
      \<sigma\><rsub|P><rsup|+>(c-<wide|\<backepsilon\>|\<wide-bar\>>)*\<sigma\><rsub|P><rsup|->(c+<wide|\<backepsilon\>|\<wide-bar\>>)=\<sigma\><rsub|(F<rprime|'>)<rsup|\<nu\>>><rsup|+>(c-<wide|\<backepsilon\>|\<wide-bar\>>)*\<sigma\><rsub|(F<rprime|'>)<rsup|\<nu\>>><rsup|->(c+<wide|\<backepsilon\>|\<wide-bar\>>)=(\<um\>1)<rsup|\<nu\>>\<less\>0.
    </equation*>

    If <with|mode|math|\<nu\>> is even, then <with|mode|math|A> changes sign
    on <with|mode|math|I>. Since <with|mode|math|C> is real closed, it
    follows that there exists a <with|mode|math|c\<in\>I\<cap\>C> where
    <with|mode|math|A> admits a root of odd multiplicity
    <with|mode|math|\<mu\>>, and

    <\equation*>
      \<sigma\><rsub|P><rsup|+>(c-<wide|\<backepsilon\>|\<wide-bar\>>)*\<sigma\><rsub|P><rsup|->(c+<wide|\<backepsilon\>|\<wide-bar\>>)=\<sigma\><rsub|A><rsup|+>(c-<wide|\<backepsilon\>|\<wide-bar\>>)*\<sigma\><rsub|A><rsup|->(c+<wide|\<backepsilon\>|\<wide-bar\>>)=(\<um\>1)<rsup|\<mu\>>\<less\>0.
    </equation*>
  </proof>

  <\lemma>
    <label|ivt-refine>Let <with|mode|math|P\<in\>C{F}> be of order
    <with|mode|math|r> and let <with|mode|math|\<frak-W\>> be an initial
    segment of <with|mode|math|\<frak-T\>>. Assume that the theorem
    <reference|mod-iv-th> holds for all differential polynomials of order
    <with|mode|math|<op|\<less\>> r>. Let
    <with|mode|math|\<frak-m\>\<in\>\<frak-T\>> be such that
    <with|mode|math|\<sigma\><rsub|P,\<frak-W\>><rsup|+>(0)*\<sigma\><rsub|P,\<frak-W\>><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)\<less\>0>.
    Then there exists <with|mode|math|c\<in\>C<rsup|\<gtr\>>> and
    <with|mode|math|\<frak-v\>\<in\>\<frak-T\>> with
    <with|mode|math|\<frak-W\>\<prec\>\<frak-v\>\<prec\>\<frak-m\>> and
    <with|mode|math|\<sigma\><rsub|P<rsub|+c*\<frak-v\>>><rsup|+>(\<um\><wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)*\<sigma\><rsub|P<rsub|+c*\<frak-v\>>><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)\<less\>0>.
  </lemma>

  <\proof>
    Modulo an additive conjugation with a sufficiently small
    <with|mode|math|\<delta\>\<in\>(0,<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)<rsub|\<frak-W\>>>,
    we may assume without loss of generality that
    <with|mode|math|\<sigma\><rsub|P,\<frak-W\>><rsup|+>(0)=\<sigma\><rsub|P,\<frak-W\>>(0)=sign
    P<rsub|0>\<neq\>0>. We prove the lemma by induction over
    <with|mode|math|d=deg<rsub|\<prec\>\<frak-m\>> P>. If
    <with|mode|math|d=0>, then the assumptions cannot be met, so we have
    nothing to prove. So assume that <with|mode|math|d\<gtr\>0>. Since
    <with|mode|math|P<rsub|0>\<neq\>0>, there exists an equalizer of the form
    <with|mode|math|\<frak-e\>=\<frak-e\><rsub|v,d>> for the equation
    <with|mode|math|P(f)=0<space|1.2spc>(f\<prec\>\<frak-m\>)>. We
    distinguish the following cases:

    <\description>
      <item*|<with|mode|math|\<sigma\><rsub|P,\<frak-W\>><rsup|+>(0)*\<sigma\><rsub|P,\<frak-W\>><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-e\>)\<less\>0>>Since
      <with|mode|math|deg<rsub|\<prec\>\<frak-e\>> P=v\<less\>d>, we are done
      by the induction hypothesis.

      <item*|<with|mode|math|\<frak-e\>\<succ\>\<frak-W\>> and
      <with|mode|math|\<sigma\><rsub|P><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-e\>)*\<sigma\><rsub|P><rsup|+>(<wide|\<mho\>|\<wide-bar\>>*\<frak-e\>)\<less\>0>>The
      result follows immediately when applying lemma <reference|ivt-Npol> to
      <with|mode|math|P<rsub|\<times\>\<frak-e\>>> and the interval
      <with|mode|math|(<wide|\<backepsilon\>|\<wide-bar\>>,<wide|\<mho\>|\<wide-bar\>>)>.

      <item*|<with|mode|math|\<frak-e\>\<in\>\<frak-W\>> or
      <with|mode|math|\<sigma\><rsub|P><rsup|+>(<wide|\<mho\>|\<wide-bar\>>*\<frak-e\>)*\<sigma\><rsub|P><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)\<less\>0>>If
      <with|mode|math|\<frak-e\>\<in\>\<frak-W\>>, then let
      <with|mode|math|g\<gtr\><rsub|\<frak-W\>>0> be such that
      <with|mode|math|\<sigma\><rsub|P>(f)=\<sigma\><rsub|P,\<frak-W\>><rsup|+>(0)>
      for all <with|mode|math|f\<in\>(0,g)<rsub|\<frak-W\>>>. Then for any
      <with|mode|math|\<frak-n\>\<in\>\<frak-T\>> with
      <with|mode|math|\<frak-W\>\<prec\>\<frak-n\>\<prec\>g>, we have
      <with|mode|math|\<sigma\><rsub|P><rsup|+>(<wide|\<mho\>|\<wide-bar\>>*\<frak-n\>)*\<sigma\><rsub|P><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)\<less\>0>.
      So both if <with|mode|math|\<frak-e\>\<in\>\<frak-W\>> and if
      <with|mode|math|\<sigma\><rsub|P><rsup|+>(<wide|\<mho\>|\<wide-bar\>>*\<frak-e\>)*\<sigma\><rsub|P><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)\<less\>0>,
      there exists an <with|mode|math|\<frak-n\>\<in\>\<frak-T\>> with
      <with|mode|math|\<frak-W\>\<prec\>\<frak-n\>\<prec\>\<frak-m\>>,
      <with|mode|math|\<frak-n\>\<succcurlyeq\>\<frak-e\>> and
      <with|mode|math|\<sigma\><rsub|P><rsup|+>(<wide|\<mho\>|\<wide-bar\>>*\<frak-n\>)*\<sigma\><rsub|P><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)\<less\>0>.

      Since <with|mode|math|\<frak-m\>\<succ\>\<frak-n\>\<succcurlyeq\>\<frak-e\>>,
      we must have <with|mode|math|deg N<rsub|P<rsub|\<times\>\<frak-n\>>>=d>.
      From proposition <reference|Ricc-sign>, it follows that

      <\equation*>
        \<sigma\><rsub|R<rsub|P<rsub|d>>><rsup|+>(\<frak-n\><rprime|\<dag\>>+<wide|\<gamma\>|\<wide-bar\>>)*\<sigma\><rsub|R<rsub|P<rsub|d>>><rsup|->(\<frak-m\><rprime|\<dag\>>-<wide|\<gamma\>|\<wide-bar\>>)=\<sigma\><rsub|P<rsub|d>><rsup|+>(<wide|\<mho\>|\<wide-bar\>>*\<frak-n\>)*\<sigma\><rsub|P<rsub|d>><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)=\<sigma\><rsub|P><rsup|+>(<wide|\<mho\>|\<wide-bar\>>*\<frak-n\>)*\<sigma\><rsub|P><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)\<less\>0.
      </equation*>

      Applying theorem <reference|mod-iv-th> to
      <with|mode|math|R<rsub|P<rsub|d>>>, we infer that there exists a
      <with|mode|math|g\<in\>(\<frak-n\><rprime|\<dag\>>,\<frak-m\><rprime|\<dag\>>)<rsub|<wide|\<gamma\>|\<wide-bar\>>>>
      with <with|mode|math|deg<rsub|\<prec\><wide|\<gamma\>|\<wide-bar\>>>
      R<rsub|P<rsub|d>>\<in\>2*\<bbb-N\>+1>. Taking <with|mode|math|g> such
      that <with|mode|math|g<rsub|\<prec\><wide|\<gamma\>|\<wide-bar\>>>=0>
      (whence <with|mode|math|<op|<big|int>>
      g\<in\>\<bbb-T\><rsub|\<succ\>><big|.>>), it follows that
      <with|mode|math|\<frak-v\>=\<mathe\><rsup|<big|int>g<big|.>>> is a
      starting monomial for <with|mode|math|P(f)=0>. Moreover,
      <with|mode|math|N=N<rsub|P<rsub|\<times\>\<frak-v\>>>> is of the form
      <with|mode|math|N=\<alpha\>*F<rsup|d-\<nu\>>*(F<rprime|'>)<rsup|\<nu\>>>
      with <with|mode|math|\<alpha\>\<in\>C<rsup|\<neq\>>>, since
      <with|mode|math|deg N=val N=d>. Furthermore, since
      <with|mode|math|\<sigma\><rsub|R<rsub|P<rsub|d>>><rsup|->(g-<wide|\<gamma\>|\<wide-bar\>>)*\<sigma\><rsub|R<rsub|P<rsub|d>>><rsup|+>(g+<wide|\<gamma\>|\<wide-bar\>>)\<less\><no-break>0>,
      we have

      <\equation*>
        (\<um\>1)<rsup|\<nu\>>=\<sigma\><rsub|N><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>)*\<sigma\><rsub|N><rsup|+>(<wide|\<mho\>|\<wide-bar\>>)=\<sigma\><rsub|P<rsub|d>><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)*\<sigma\><rsub|P<rsub|d>><rsup|+>(<wide|\<mho\>|\<wide-bar\>>*\<frak-v\>)=\<sigma\><rsub|R<rsub|P<rsub|d>>><rsup|->(g-<wide|\<gamma\>|\<wide-bar\>>)*\<sigma\><rsub|R<rsub|P<rsub|d>>><rsup|+>(g+<wide|\<gamma\>|\<wide-bar\>>)\<less\>0,
      </equation*>

      whence <with|mode|math|\<nu\>> is odd. For any
      <with|mode|math|c\<gtr\>0>, we conclude that

      <\equation*>
        \<sigma\><rsub|P<rsub|+c*\<frak-v\>>><rsup|+>(\<um\><wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)*\<sigma\><rsub|P<rsub|+c*\<frak-v\>>><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)=\<sigma\><rsub|N><rsup|+>(c-<wide|\<backepsilon\>|\<wide-bar\>>)*\<sigma\><rsub|N><rsup|->(c+<wide|\<backepsilon\>|\<wide-bar\>>)=(\<um\>1)<rsup|\<nu\>>\<less\>0.
      </equation*>
    </description>
  </proof>

  <subsection|Proof of the intermediate value theorem>

  We will prove the following variant of theorem <reference|mod-iv-th>:

  <\theorem>
    Let <with|mode|math|P\<in\>\<bbb-T\>{F}> and let
    <with|mode|math|\<frak-W\>> be an initial segment of
    <with|mode|math|\<frak-T\>>. Given <with|mode|math|\<frak-v\>\<in\>\<frak-T\>>,
    consider an interval <with|mode|math|I> of one of the following forms:

    <\enumerate-alpha>
      <item><with|mode|math|I=(\<xi\>,\<chi\>)<rsub|\<frak-W\>>> with
      <with|mode|math|\<xi\>,\<chi\>\<in\>\<bbb-T\>> and
      <with|mode|math|\<chi\>-\<xi\>\<sim\>\<lambda\>*\<frak-v\>> with
      <with|mode|math|\<lambda\>\<in\>C<rsup|\<gtr\>>>.

      <item><with|mode|math|I=(\<xi\>,\<xi\>+<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)<rsub|\<frak-W\>>>
      with <with|mode|math|\<xi\>\<in\>\<bbb-T\>>.

      <item><with|mode|math|I=(\<xi\>-<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>,\<xi\>)<rsub|\<frak-W\>>>
      with <with|mode|math|\<xi\>\<in\>\<bbb-T\>>.

      <item><with|mode|math|I=(\<xi\>-<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>,\<xi\>+<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)<rsub|\<frak-W\>>>
      with <with|mode|math|\<xi\>\<in\>\<bbb-T\>>.
    </enumerate-alpha>

    If <with|mode|math|P> changes sign on <with|mode|math|I>, then there
    exists a point <with|mode|math|h\<in\>I> such that
    <with|mode|math|deg<rsub|\<frak-W\>> <no-break>P<rsub|+h>> is odd.
  </theorem>

  <\proof>
    We prove the theorem by a double induction over the order of
    <with|mode|math|P> and the Newton degree <with|mode|math|d> of

    <\equation*>
      P(f)=0<space|2fn>(f\<prec\>\<frak-v\>).
    </equation*>

    The case when <with|mode|math|d=0> is contrary to our assumptions. So
    assume that <with|mode|math|d\<gtr\>0> and that the hypothesis holds for
    all smaller orders, as well as for the same order and smaller
    <no-break><with|mode|math|d>. Notice that we must have
    <with|mode|math|\<frak-W\>\<prec\>\<frak-v\>>, since <with|mode|math|P>
    changes sign modulo <with|mode|math|\<frak-W\>> on <with|mode|math|I>.

    Let us first show that cases (<em|a>), (<em|c>) and (<em|d>) can all be
    reduced to case (<em|b>). This is clear for (<em|c>) by considering
    <with|mode|math|P(\<um\>f)> instead of <with|mode|math|P(f)>. In case
    (<em|d>), there exists a <with|mode|math|\<chi\>\<in\><no-break>(\<xi\>-<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>,\<xi\>+<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)<rsub|\<frak-W\>>>
    such that <with|mode|math|\<sigma\><rsub|P><rsup|+>(\<xi\>-<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)=\<sigma\><rsub|P>(\<eta\>)>
    for all <with|mode|math|\<eta\>\<in\>\<bbb-T\>> with
    <with|mode|math|\<eta\>\<in\>(\<xi\>-<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>,<no-break>\<chi\>)<rsub|\<frak-W\>>>.
    For any such <with|mode|math|\<eta\>>, it follows that <with|mode|math|P>
    changes sign on <with|mode|math|(\<eta\>,<no-break>\<eta\>+<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)<rsub|\<frak-W\>>=(\<eta\>,<no-break>\<eta\>+<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)<rsub|\<frak-W\>>>.
    As to (<em|a>), we observe that <with|mode|math|P> changes sign either on
    <with|mode|math|(\<xi\>,\<xi\>+<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)<rsub|\<frak-W\>>>,
    on <with|mode|math|(\<chi\>-<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>,\<chi\>)<rsub|\<frak-W\>>>,
    or on <with|mode|math|(\<xi\>+<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>,\<chi\>-<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)<rsub|\<frak-W\>>=(\<xi\>+<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>,\<chi\>-<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)>.
    The first to cases have already been dealt with. The last case reduces to
    (<em|d>) when applying lemma <reference|ivt-Npol> to the polynomial
    <with|mode|math|P<rsub|+\<xi\>,\<times\>\<frak-v\>>> and the interval
    <with|mode|math|(<wide|\<backepsilon\>|\<wide-bar\>>,(\<chi\>-\<xi\>)<rsub|\<frak-v\>>-<wide|\<backepsilon\>|\<wide-bar\>>)>.

    Let us now show how to prove (<em|b>). Modulo an additive conjugation, we
    may assume without loss of generality that <with|mode|math|\<xi\>=0>. If
    <with|mode|math|d=1>, then we are done by lemma
    <no-break><reference|ivt-ql-lem>. So assume that
    <with|mode|math|d\<gtr\>1>. Consider the set <with|mode|math|<value|rsS>>
    of all partial unravellings

    <\equation>
      <label|ivt-longest-unrav>f=\<varphi\>+<wide|f|~><space|2fn>(<wide|f|~>\<prec\><wide|\<frak-v\>|~>)
    </equation>

    with either <with|mode|math|\<varphi\>=0> and
    <with|mode|math|<wide|\<frak-v\>|~>=\<frak-v\>>, or
    <with|mode|math|\<varphi\>\<in\>(0,<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)<rsub|\<frak-W\>>>
    and <with|mode|math|\<sigma\><rsub|P<rsub|+\<varphi\>>,\<frak-W\>><rsup|+>(\<um\><wide|\<backepsilon\>|\<wide-bar\>>*<wide|\<frak-v\>|~>)*\<sigma\><rsub|P<rsub|+\<varphi\>>,\<frak-W\>><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*<wide|\<frak-v\>|~>)\<less\>0>.
    By corollary <reference|finest-punr-cor>, we may choose a finest partial
    unravelling (<reference|ivt-longest-unrav>) in
    <with|mode|math|<value|rsS>>.

    Take <with|mode|math|\<eta\>=0> if <with|mode|math|\<varphi\>=0> and
    <with|mode|math|\<eta\>\<prec\><wide|\<frak-v\>|~>> such that
    <with|mode|math|\<sigma\><rsub|P<rsub|+\<varphi\>>><rsup|+>(\<um\><wide|\<backepsilon\>|\<wide-bar\>>*<wide|\<frak-v\>|~>)*=\<sigma\><rsub|P<rsub|+\<varphi\>>,\<frak-W\>><rsup|+>(\<eta\>)>
    otherwise. By lemma <no-break><reference|ivt-refine>, applied to
    <with|mode|math|P<rsub|+\<varphi\>+\<eta\>>>, there exists a term
    <with|mode|math|c*\<frak-m\>\<in\>(\<eta\>,<no-break><wide|\<backepsilon\>|\<wide-bar\>>*\<frak-v\>)<rsub|\<frak-W\>>>
    with <with|mode|math|\<frak-W\>\<prec\>\<frak-m\>>, and such that
    <with|mode|math|\<sigma\><rsub|P<rsub|+\<varphi\>+c*\<frak-m\>>><rsup|+>(\<um\><wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)*\<sigma\><rsub|P<rsub|+\<varphi\>+c*\<frak-m\>>><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)\<less\>0>.
    We claim that we cannot have <with|mode|math|deg<rsub|\<prec\>\<frak-m\>>
    <no-break>P<rsub|+\<varphi\>+c*\<frak-m\>>=d>. Indeed, by proposition
    <reference|extend-partial-unrav>, this would imply the existence of a
    partial unravelling

    <\equation*>
      f=\<varphi\>+<wide|\<varphi\>|~>+<wide|<wide|f|~>|~><space|2fn>(<wide|<wide|f|~>|~>\<prec\>\<frak-m\>)
    </equation*>

    with <with|mode|math|<wide|\<varphi\>|~>\<sim\>c*\<frak-m\>>, which is
    finer than (<reference|ivt-longest-unrav>). But then

    <\equation*>
      \<sigma\><rsub|P<rsub|+\<varphi\>+<wide|\<varphi\>|~>>><rsup|+>(\<um\><wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)*\<sigma\><rsub|P<rsub|+\<varphi\>+<wide|\<varphi\>|~>>><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)=\<sigma\><rsub|P<rsub|+\<varphi\>+c*\<frak-m\>>><rsup|+>(\<um\><no-break><wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)*\<sigma\><rsub|P<rsub|+\<varphi\>+c*\<frak-m\>>><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)\<less\>0
    </equation*>

    contradicts the maximality of (<reference|ivt-longest-unrav>).
    Consequently, we have <with|mode|math|deg<rsub|\<prec\>\<frak-m\>>
    P<rsub|+\<varphi\>+c*\<frak-m\>>\<less\>d> and the theorem follows by
    applying the induction hypothesis for
    <with|mode|math|P<rsub|+\<varphi\>+c*\<frak-m\>>> on the interval
    <no-break><with|mode|math|(\<um\><wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>,<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)>.
  </proof>

  <\exercise>
    \;

    <\enumerate-alpha>
      <item>Prove that <with|mode|math|\|\<sigma\><rsub|P,\<frak-V\>>(f)\|\<leqslant\>\|\<sigma\><rsub|P,\<frak-W\>>(f)\|>
      if <with|mode|math|\<frak-V\>\<supseteq\>\<frak-W\>>.

      <item>Prove that <with|mode|math|\<sigma\><rsub|P,\<frak-W\>><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)=\<sigma\><rsub|P><rsup|->(<wide|\<backepsilon\>|\<wide-bar\>>*\<frak-m\>)>
      if <with|mode|math|\<frak-W\>\<prec\>\<frak-m\>>.

      <item>Other similar properties.
    </enumerate-alpha>
  </exercise>
</body>

<\initial>
  <\collection>
    <associate|font-base-size|12>
    <associate|page-show-hf|true>
    <associate|par-hyphen|professional>
    <associate|window height|1190400>
    <associate|window width|997120>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|Dpol-cut-th|<tuple|9.29|23>>
    <associate|Npol-cut-sign|<tuple|9.30|24>>
    <associate|PRic-equiv|<tuple|9.25|23>>
    <associate|Pccut-eqiiv-2|<tuple|9.23|?>>
    <associate|Pcut-equiv|<tuple|9.23|23>>
    <associate|Pcut-equiv-2|<tuple|9.26|23>>
    <associate|Pcut-equiv-bis|<tuple|9.24|23>>
    <associate|Pcut-equiv-bis-2|<tuple|9.27|24>>
    <associate|Ricc-sign|<tuple|9.32|25>>
    <associate|alt-compact-asrel|<tuple|9.10|10>>
    <associate|auto-1|<tuple|9|1>>
    <associate|auto-10|<tuple|9.1|2>>
    <associate|auto-100|<tuple|9.5.3|19>>
    <associate|auto-101|<tuple|9.5.3|19>>
    <associate|auto-102|<tuple|9.5.3|19>>
    <associate|auto-103|<tuple|<with|mode|<quote|math>|\<bullet\>>|19>>
    <associate|auto-104|<tuple|<with|mode|<quote|math>|\<bullet\>>|19>>
    <associate|auto-105|<tuple|<with|mode|<quote|math>|\<bullet\>>|19>>
    <associate|auto-106|<tuple|<with|mode|<quote|math>|\<bullet\>>|19>>
    <associate|auto-107|<tuple|9.5.4|20>>
    <associate|auto-108|<tuple|9.5.4|20>>
    <associate|auto-109|<tuple|9.5.4|20>>
    <associate|auto-11|<tuple|9.1|3>>
    <associate|auto-110|<tuple|9.5.4|20>>
    <associate|auto-111|<tuple|9.5.4|20>>
    <associate|auto-112|<tuple|9.5.4|20>>
    <associate|auto-113|<tuple|9.5.4|20>>
    <associate|auto-114|<tuple|9.5.4|20>>
    <associate|auto-115|<tuple|9.6|21>>
    <associate|auto-116|<tuple|9.6.1|21>>
    <associate|auto-117|<tuple|9.6.2|22>>
    <associate|auto-118|<tuple|9.6.3|22>>
    <associate|auto-119|<tuple|9.6.4|23>>
    <associate|auto-12|<tuple|9.1|3>>
    <associate|auto-120|<tuple|9.6.5|24>>
    <associate|auto-121|<tuple|9.6.5|24>>
    <associate|auto-122|<tuple|9.6.5|24>>
    <associate|auto-123|<tuple|9.6.5|24>>
    <associate|auto-124|<tuple|9.6.5|24>>
    <associate|auto-125|<tuple|9.6.5|24>>
    <associate|auto-126|<tuple|9.6.5|24>>
    <associate|auto-127|<tuple|9.32|25>>
    <associate|auto-128|<tuple|9.32|25>>
    <associate|auto-129|<tuple|9.32|25>>
    <associate|auto-13|<tuple|9.1.2|3>>
    <associate|auto-130|<tuple|9.7|25>>
    <associate|auto-131|<tuple|9.33|25>>
    <associate|auto-132|<tuple|9.33|25>>
    <associate|auto-133|<tuple|9.34|26>>
    <associate|auto-134|<tuple|9.7.1|26>>
    <associate|auto-135|<tuple|9.7.2|27>>
    <associate|auto-136|<tuple|9.7.3|28>>
    <associate|auto-137|<tuple|9.7.3|?>>
    <associate|auto-14|<tuple|9.1.2|3>>
    <associate|auto-15|<tuple|9.1.2|3>>
    <associate|auto-16|<tuple|9.1.2|3>>
    <associate|auto-17|<tuple|9.1.2|3>>
    <associate|auto-18|<tuple|9.1.2|3>>
    <associate|auto-19|<tuple|9.1.3|4>>
    <associate|auto-2|<tuple|9.1|2>>
    <associate|auto-20|<tuple|9.5|4>>
    <associate|auto-21|<tuple|9.5|4>>
    <associate|auto-22|<tuple|9.5|4>>
    <associate|auto-23|<tuple|9.5|4>>
    <associate|auto-24|<tuple|9.2|5>>
    <associate|auto-25|<tuple|9.2|5>>
    <associate|auto-26|<tuple|9.2.1|5>>
    <associate|auto-27|<tuple|9.2.2|6>>
    <associate|auto-28|<tuple|1|6>>
    <associate|auto-29|<tuple|2|7>>
    <associate|auto-3|<tuple|9.1.1|2>>
    <associate|auto-30|<tuple|3|7>>
    <associate|auto-31|<tuple|9.3|8>>
    <associate|auto-32|<tuple|9.3|8>>
    <associate|auto-33|<tuple|9.3|8>>
    <associate|auto-34|<tuple|9.3|8>>
    <associate|auto-35|<tuple|9.3|8>>
    <associate|auto-36|<tuple|9.3.1|8>>
    <associate|auto-37|<tuple|9.3.1|8>>
    <associate|auto-38|<tuple|9.3.1|8>>
    <associate|auto-39|<tuple|9.3.1|8>>
    <associate|auto-4|<tuple|9.1.1|2>>
    <associate|auto-40|<tuple|9.3.1|8>>
    <associate|auto-41|<tuple|9.3.1|8>>
    <associate|auto-42|<tuple|9.3.1|8>>
    <associate|auto-43|<tuple|9.3.2|8>>
    <associate|auto-44|<tuple|9.3.2|8>>
    <associate|auto-45|<tuple|9.3.2|8>>
    <associate|auto-46|<tuple|9.3.2|8>>
    <associate|auto-47|<tuple|9.3.3|9>>
    <associate|auto-48|<tuple|9.3.3|9>>
    <associate|auto-49|<tuple|9.3.3|9>>
    <associate|auto-5|<tuple|9.1.1|2>>
    <associate|auto-50|<tuple|9.3.3|9>>
    <associate|auto-51|<tuple|9.3.4|9>>
    <associate|auto-52|<tuple|9.3.4|9>>
    <associate|auto-53|<tuple|9.3.4|9>>
    <associate|auto-54|<tuple|9.3.4|9>>
    <associate|auto-55|<tuple|9.3.4|9>>
    <associate|auto-56|<tuple|9.3.5|10>>
    <associate|auto-57|<tuple|9.4|11>>
    <associate|auto-58|<tuple|9.4|11>>
    <associate|auto-59|<tuple|9.4.1|11>>
    <associate|auto-6|<tuple|9.1.1|2>>
    <associate|auto-60|<tuple|9.4.2|12>>
    <associate|auto-61|<tuple|9.4.2|12>>
    <associate|auto-62|<tuple|9.4.2|12>>
    <associate|auto-63|<tuple|9.11|12>>
    <associate|auto-64|<tuple|9.11|12>>
    <associate|auto-65|<tuple|9.4.3|13>>
    <associate|auto-66|<tuple|9.4.4|14>>
    <associate|auto-67|<tuple|9.5|17>>
    <associate|auto-68|<tuple|9.5.1|17>>
    <associate|auto-69|<tuple|9.5.1|17>>
    <associate|auto-7|<tuple|9.1.1|2>>
    <associate|auto-70|<tuple|9.5.1|17>>
    <associate|auto-71|<tuple|9.21|17>>
    <associate|auto-72|<tuple|9.5.2|18>>
    <associate|auto-73|<tuple|9.5.2|18>>
    <associate|auto-74|<tuple|9.5.2|18>>
    <associate|auto-75|<tuple|9.5.2|18>>
    <associate|auto-76|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-77|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-78|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-79|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-8|<tuple|9.1.1|2>>
    <associate|auto-80|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-81|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-82|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-83|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-84|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-85|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-86|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-87|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-88|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-89|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-9|<tuple|9.1|2>>
    <associate|auto-90|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-91|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-92|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-93|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-94|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-95|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-96|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-97|<tuple|<with|mode|<quote|math>|\<bullet\>>|18>>
    <associate|auto-98|<tuple|9.5.3|18>>
    <associate|auto-99|<tuple|9.5.3|18>>
    <associate|comp-int-ex|<tuple|9.3|7>>
    <associate|compact-can-dec|<tuple|9.21|17>>
    <associate|compact-order-sec|<tuple|9.1|2>>
    <associate|compact-ordfield-sec|<tuple|9.2|5>>
    <associate|compact-ser-sec|<tuple|9.3|8>>
    <associate|compact-ts-sec|<tuple|9.4|11>>
    <associate|compactify-functor|<tuple|9.2.1|5>>
    <associate|compactify-interval|<tuple|9.8|6>>
    <associate|compactify-map|<tuple|9.6|5>>
    <associate|cst-Li-nbh|<tuple|9.22|19>>
    <associate|cst-sign-1|<tuple|9.28|24>>
    <associate|cst-sign-4|<tuple|9.31|24>>
    <associate|cst-sign-prop|<tuple|9.24|20>>
    <associate|cut-classify|<tuple|9.15|13>>
    <associate|cut-unrav|<tuple|9.22|21>>
    <associate|diag-exp|<tuple|9.12|12>>
    <associate|diag-exp-fin|<tuple|9.11|12>>
    <associate|diff-pol-cut-sec|<tuple|9.6|21>>
    <associate|diff-trans-ex-1|<tuple|9.25|?>>
    <associate|diff-trans-ex-2|<tuple|9.25|25>>
    <associate|dist-unrav-finest|<tuple|9.22|?>>
    <associate|dpol-near-cst|<tuple|9.26|22>>
    <associate|dpol-near-cst-2|<tuple|9.27|22>>
    <associate|dpol-near-nested|<tuple|9.28|22>>
    <associate|dpol-near-serial|<tuple|9.25|21>>
    <associate|exp-comp-prop|<tuple|9.14|11>>
    <associate|extra-inf-nested-prop|<tuple|9.21|16>>
    <associate|f-delta-rec|<tuple|9.20|15>>
    <associate|fi-nested-exp|<tuple|9.19|14>>
    <associate|inf-nested-exp-prop|<tuple|9.20|15>>
    <associate|init-opposite|<tuple|9.6|9>>
    <associate|init-sum|<tuple|9.7|9>>
    <associate|int-decomp|<tuple|9.1|2>>
    <associate|integral-nbh-sec|<tuple|9.5|17>>
    <associate|intersec-shift-inv|<tuple|9.19|15>>
    <associate|iv-th|<tuple|9.33|25>>
    <associate|ivt-Npol|<tuple|9.37|27>>
    <associate|ivt-chap|<tuple|9|1>>
    <associate|ivt-longest-unrav|<tuple|9.33|28>>
    <associate|ivt-npol|<tuple|9.35|?>>
    <associate|ivt-ql|<tuple|9.32|26>>
    <associate|ivt-ql-lem|<tuple|9.36|26>>
    <associate|ivt-refine|<tuple|9.38|27>>
    <associate|ivt-th|<tuple|9.31|?>>
    <associate|mod-iv-th|<tuple|9.34|25>>
    <associate|nested-props|<tuple|9.18|15>>
    <associate|nested-seq-props|<tuple|9.16|13>>
    <associate|nexp-C|<tuple|9.16|13>>
    <associate|nexp-Mho|<tuple|9.14|13>>
    <associate|nexp-classic|<tuple|9.13|13>>
    <associate|nexp-compl|<tuple|9.17|13>>
    <associate|nexp-expo|<tuple|9.15|13>>
    <associate|nexp-inf|<tuple|9.18|13>>
    <associate|psi-bar-rel|<tuple|9.9|12>>
    <associate|serial-cut-eq|<tuple|9.8|9>>
    <associate|serial-cut-prop|<tuple|9.13|10>>
    <associate|serial-cut-sec|<tuple|9.3.4|9>>
    <associate|toc-1|<tuple|9|1>>
    <associate|toc-10|<tuple|9.2.2|5>>
    <associate|toc-11|<tuple|9.2.2|6>>
    <associate|toc-12|<tuple|9.3|6>>
    <associate|toc-13|<tuple|9.3.1|6>>
    <associate|toc-14|<tuple|9.3.2|7>>
    <associate|toc-15|<tuple|9.3.3|7>>
    <associate|toc-16|<tuple|9.3.4|8>>
    <associate|toc-17|<tuple|9.3.5|8>>
    <associate|toc-18|<tuple|9.4|9>>
    <associate|toc-19|<tuple|9.4.1|10>>
    <associate|toc-2|<tuple|9.1|1>>
    <associate|toc-20|<tuple|9.4.2|10>>
    <associate|toc-21|<tuple|9.4.3|11>>
    <associate|toc-22|<tuple|9.4.4|13>>
    <associate|toc-23|<tuple|9.5|15>>
    <associate|toc-24|<tuple|9.5.1|15>>
    <associate|toc-25|<tuple|9.5.2|16>>
    <associate|toc-26|<tuple|9.5.3|17>>
    <associate|toc-27|<tuple|9.5.4|18>>
    <associate|toc-28|<tuple|9.6|19>>
    <associate|toc-29|<tuple|9.6.1|19>>
    <associate|toc-3|<tuple|9.1.1|1>>
    <associate|toc-30|<tuple|9.6.2|19>>
    <associate|toc-31|<tuple|9.6.3|20>>
    <associate|toc-32|<tuple|9.6.4|20>>
    <associate|toc-33|<tuple|9.6.5|21>>
    <associate|toc-34|<tuple|9.7|22>>
    <associate|toc-35|<tuple|9.7.1|22>>
    <associate|toc-36|<tuple|9.7.2|22>>
    <associate|toc-37|<tuple|9.7.3|22>>
    <associate|toc-38|<tuple|9.8|22>>
    <associate|toc-39|<tuple|9.9|?>>
    <associate|toc-4|<tuple|9.1.2|1>>
    <associate|toc-40|<tuple|9.10|?>>
    <associate|toc-41|<tuple|9.11|?>>
    <associate|toc-5|<tuple|9.1.3|2>>
    <associate|toc-6|<tuple|9.2|4>>
    <associate|toc-7|<tuple|9.2.1|4>>
    <associate|toc-8|<tuple|9.2.2|5>>
    <associate|toc-9|<tuple|9.2.2|5>>
    <associate|tr-cut-class-sec|<tuple|9.4.2|12>>
    <associate|width-opposite|<tuple|9.4|8>>
    <associate|width-sum|<tuple|9.5|8>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|bib>
      Kne50
    </associate>
    <\associate|gly>
      <tuple|<vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|Chapter
      9. The intermediate value theorem><vspace|1fn>>

      <tuple|normal|<with|mode|<quote|math>|M<rsub|x>>|maximal open interval
      containing <with|mode|<quote|math>|x>|<pageref|auto-8>>

      <tuple|normal|<with|mode|<quote|math>|(<with|math-condensed|<quote|true>|\<leftarrow\>>,z)>|the
      interval <with|mode|<quote|math>|{u\<in\>E:u\<less\>z}>|<pageref|auto-11>>

      <tuple|normal|<with|mode|<quote|math>|(z,<with|math-condensed|<quote|true>|\<rightarrow\>>)>|the
      interval <with|mode|<quote|math>|{u\<in\>E:u\<gtr\>z}>|<pageref|auto-12>>

      <tuple|normal|<with|mode|<quote|math>|<wide|E|\<wide-bar\>>>|compactification
      of a total ordering <with|mode|<quote|math>|E>|<pageref|auto-14>>

      <tuple|normal|<with|mode|<quote|math>|<wide|f|\<wide-bar\>>>|a typical
      element of <with|mode|<quote|math>|<wide|E|\<wide-bar\>>>|<pageref|auto-15>>

      <tuple|normal|<with|mode|<quote|math>|\<bot\><rsub|<wide|E|\<wide-bar\>>>>|minimal
      element of <with|mode|<quote|math>|<wide|E|\<wide-bar\>>>|<pageref|auto-17>>

      <tuple|normal|<with|mode|<quote|math>|\<top\><rsub|<wide|E|\<wide-bar\>>>>|maximal
      element of <with|mode|<quote|math>|<wide|E|\<wide-bar\>>>|<pageref|auto-18>>

      <tuple|normal|<with|mode|<quote|math>|<wide|\<mho\>|\<wide-bar\>>>|shorthand
      for <with|mode|<quote|math>|sup C>|<pageref|auto-25>>

      <tuple|normal|<with|mode|<quote|math>|\<bbb-S\>>|totally ordered
      grid-based algebra <with|mode|<quote|math>|C<with|math-font-family|<quote|mt>|[<space|-0.6spc>[>\<frak-M\><with|math-font-family|<quote|mt>|]<space|-0.6spc>]>>|<pageref|auto-32>>

      <tuple|normal|<with|mode|<quote|math>|<wide|\<backepsilon\>|\<wide-bar\>>>|shorthand
      for <with|mode|<quote|math>|inf C<rsup|\<gtr\>>>|<pageref|auto-33>>

      <tuple|normal|<with|mode|<quote|math>|<wide|\<Mho\>|\<wide-bar\>>>|shorthand
      for <with|mode|<quote|math>|sup \<bbb-S\>>|<pageref|auto-34>>

      <tuple|normal|<with|mode|<quote|math>|<wide|C|\<wide-bar\>><rsup|#>>|set
      <with|mode|<quote|math>|<wide|C|\<wide-bar\>>\<setminus\>(C\<cup\>{\<um\><wide|\<mho\>|\<wide-bar\>>,<wide|\<mho\>|\<wide-bar\>>})>
      of finite cuts in <with|mode|<quote|math>|C>|<pageref|auto-35>>

      <tuple|normal|<with|mode|<quote|math>|<wide|\<frak-M\>|\<wide-bar\>>>|set
      of monomials and monomial cuts|<pageref|auto-39>>

      <tuple|normal|<with|mode|<quote|math>|<wide|\<frak-d\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>|dominant
      monomial of <with|mode|<quote|math>|<wide|f|\<wide-bar\>>>|<pageref|auto-42>>

      <tuple|normal|<with|mode|<quote|math>|<wide|\<frak-w\>|\<wide-bar\>><rsub|<wide|f|\<wide-bar\>>>>|width
      of <with|mode|<quote|math>|<wide|f|\<wide-bar\>>>|<pageref|auto-46>>

      <tuple|normal|<with|mode|<quote|math>|\<varphi\><rsub|<wide|f|\<wide-bar\>>>>|initializer
      of <with|mode|<quote|math>|<wide|f|\<wide-bar\>>>|<pageref|auto-50>>

      <tuple|normal|<with|mode|<quote|math>|<wide|\<bbb-S\>|^>>|serial
      completion of <with|mode|<quote|math>|\<bbb-S\>>|<pageref|auto-52>>

      <tuple|normal|<with|mode|<quote|math>|<wide|f|^>>|typical serial
      cut|<pageref|auto-53>>

      <tuple|normal|<with|mode|<quote|math>|<wide|\<varkappa\>|\<wide-bar\>><rsub|k>>|shorthand
      for <with|mode|<quote|math>|sup {f\<in\>\<bbb-T\>:exp(f)=k}>|<pageref|auto-58>>

      <tuple|normal|<with|mode|<quote|math>|<wide|\<gamma\>|\<wide-bar\>>>|the
      cut <with|mode|<quote|math>|(x*log x*log<rsub|2>
      x*\<cdots\>)<rsup|\<um\>1>>|<pageref|auto-71>>

      <tuple|normal|<with|mode|<quote|math>|\<cal-L\><rsub|\<varphi\><rsub|0>,\<ldots\>,\<varphi\><rsub|k-1>,g,h>>|basic
      integral neighbourhood|<pageref|auto-99>>

      <tuple|normal|<with|mode|<quote|math>|f<rsub|0>,\<ldots\>,f<rsub|k>>|integral
      coordinates of <with|mode|<quote|math>|f> in an integral neighbourhood
      of <with|mode|<quote|math>|<wide|f|\<wide-bar\>>>|<pageref|auto-106>>

      <tuple|normal|<with|mode|<quote|math>|\<sigma\><rsub|P>>|sign of
      <with|mode|<quote|math>|P>|<pageref|auto-121>>

      <tuple|normal|<with|mode|<quote|math>|\<sigma\><rsub|P><rsup|+>>|sign
      of <with|mode|<quote|math>|P> at the right of a
      point|<pageref|auto-123>>

      <tuple|normal|<with|mode|<quote|math>|\<sigma\><rsub|P><rsup|->>|sign
      of <with|mode|<quote|math>|P> at the left of a
      point|<pageref|auto-125>>

      <tuple|normal|<with|mode|<quote|math>|\<sigma\><rsub|P,\<frak-W\>>>|sign
      of <with|mode|<quote|math>|P> modulo
      <with|mode|<quote|math>|\<frak-W\>>|<pageref|auto-127>>

      <tuple|normal|<with|mode|<quote|math>|\<sigma\><rsub|P,\<frak-W\>><rsup|+>>|sign
      of <with|mode|<quote|math>|P> at the right of a point modulo
      <with|mode|<quote|math>|\<frak-W\>>|<pageref|auto-128>>

      <tuple|normal|<with|mode|<quote|math>|\<sigma\><rsub|P,\<frak-W\>><rsup|->>|sign
      of <with|mode|<quote|math>|P> at the left of a point modulo
      <with|mode|<quote|math>|\<frak-W\>>|<pageref|auto-129>>
    </associate>
    <\associate|idx>
      <tuple|<tuple|interval|topology>|<pageref|auto-4>>

      <tuple|<tuple|interval>|<pageref|auto-5>>

      <tuple|<tuple|open interval>|<pageref|auto-6>>

      <tuple|<tuple|interval|open>|<pageref|auto-7>>

      <tuple|<tuple|interval|topology|Hausdorff>|<pageref|auto-9>>

      <tuple|<tuple|Hausdorff interval topology>|<pageref|auto-10>>

      <tuple|<tuple|cut>|<pageref|auto-16>>

      <tuple|<tuple|compactification of total ordering>|<pageref|auto-20>>

      <tuple|<tuple|ordering|total|compactification>|<pageref|auto-21>>

      <tuple|<tuple|compactness theorem>|<pageref|auto-22>>

      <tuple|<tuple|theorem|compactness>|<pageref|auto-23>>

      <tuple|<tuple|monomial|cut>|<pageref|auto-37>>

      <tuple|<tuple|cut|monomial>|<pageref|auto-38>>

      <tuple|<tuple|dominant|monomial>|<pageref|auto-40>>

      <tuple|<tuple|monomial|dominant>|<pageref|auto-41>>

      <tuple|<tuple|width of cut>|<pageref|auto-44>>

      <tuple|<tuple|cut|width>|<pageref|auto-45>>

      <tuple|<tuple|initializer of cut>|<pageref|auto-48>>

      <tuple|<tuple|cut|initializer>|<pageref|auto-49>>

      <tuple|<tuple|serial|cut>|<pageref|auto-54>>

      <tuple|<tuple|cut|serial>|<pageref|auto-55>>

      <tuple|<tuple|nested|sequence>|<pageref|auto-61>>

      <tuple|<tuple|sequence|nested>|<pageref|auto-62>>

      <tuple|<tuple|nested|expansion>|<pageref|auto-63>>

      <tuple|<tuple|expansion|nested>|<pageref|auto-64>>

      <tuple|<tuple|canonical decomposition>|<pageref|auto-69>>

      <tuple|<tuple|decomposition|canonical>|<pageref|auto-70>>

      <tuple|<tuple|cut|integral height>|<pageref|auto-73>>

      <tuple|<tuple|integral|height|cut>|<pageref|auto-74>>

      <tuple|<tuple|height|integral cut>|<pageref|auto-75>>

      <tuple|<tuple|right-oriented cut>|<pageref|auto-76>>

      <tuple|<tuple|cut|right-oriented>|<pageref|auto-77>>

      <tuple|<tuple|left-oriented cut>|<pageref|auto-78>>

      <tuple|<tuple|cut|left-oriented>|<pageref|auto-79>>

      <tuple|<tuple|oriented cut>|<pageref|auto-80>>

      <tuple|<tuple|cut|oriented>|<pageref|auto-81>>

      <tuple|<tuple|pathological cut>|<pageref|auto-82>>

      <tuple|<tuple|cut|pathological>|<pageref|auto-83>>

      <tuple|<tuple|regular|cut>|<pageref|auto-84>>

      <tuple|<tuple|cut|regular>|<pageref|auto-85>>

      <tuple|<tuple|integral|nested sequence>|<pageref|auto-86>>

      <tuple|<tuple|nested|sequence|integral>|<pageref|auto-87>>

      <tuple|<tuple|sequence|nested|integral>|<pageref|auto-88>>

      <tuple|<tuple|integral|guiding sequence>|<pageref|auto-89>>

      <tuple|<tuple|sequence|integral guiding
      <with|font|<quote|roman>|\V>>|<pageref|auto-90>>

      <tuple|<tuple|integral|nested expansion>|<pageref|auto-91>>

      <tuple|<tuple|nested|expansion|integral>|<pageref|auto-92>>

      <tuple|<tuple|expansion|nested|integral>|<pageref|auto-93>>

      <tuple|<tuple|extended|integral height>|<pageref|auto-94>>

      <tuple|<tuple|integral|height|extended>|<pageref|auto-95>>

      <tuple|<tuple|height|extended integral
      <with|font|<quote|roman>|\V>>|<pageref|auto-96>>

      <tuple|<tuple|extended|integral guiding sequence>|<pageref|auto-97>>

      <tuple|<tuple|basic integral neighbourhood>|<pageref|auto-100>>

      <tuple|<tuple|integral|neighbourhood|basic>|<pageref|auto-101>>

      <tuple|<tuple|neighbourhood|integral|basic>|<pageref|auto-102>>

      <tuple|<tuple|integral|neighbourhood>|<pageref|auto-103>>

      <tuple|<tuple|neighbourhood|integral>|<pageref|auto-104>>

      <tuple|<tuple|integral|coordinates>|<pageref|auto-105>>

      <tuple|<tuple|one-sided neighbourhood>|<pageref|auto-108>>

      <tuple|<tuple|neighbourhood|one-sided>|<pageref|auto-109>>

      <tuple|<tuple|right neighbourhood>|<pageref|auto-110>>

      <tuple|<tuple|neighbourhood|right>|<pageref|auto-111>>

      <tuple|<tuple|left neighbourhood>|<pageref|auto-112>>

      <tuple|<tuple|neighbourhood|left>|<pageref|auto-113>>

      <tuple|<tuple|neighbourhood>|<pageref|auto-114>>

      <tuple|<tuple|constant|at the right>|<pageref|auto-122>>

      <tuple|<tuple|constant|at the left>|<pageref|auto-124>>

      <tuple|<tuple|constant|at both sides>|<pageref|auto-126>>

      <tuple|<tuple|intermediate value theorem>|<pageref|auto-131>>

      <tuple|<tuple|theorem|intermediate value>|<pageref|auto-132>>

      <tuple|<tuple|sign change>|<pageref|auto-133>>
    </associate>
    <\associate|toc>
      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|font-shape|<quote|small-caps>|9.<space|2spc>The
      intermediate value theorem> <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-1><vspace|0.5fn>

      9.1.<space|2spc>Compactification of total orderings
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-2>

      <with|par-left|<quote|1.5fn>|9.1.1.<space|2spc>The interval topology on
      total orderings <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-3>>

      <with|par-left|<quote|1.5fn>|9.1.2.<space|2spc>Dedekind cuts
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-13>>

      <with|par-left|<quote|1.5fn>|9.1.3.<space|2spc>The compactness theorem
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-19>>

      9.2.<space|2spc>Compactification of totally ordered fields
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-24>

      <with|par-left|<quote|1.5fn>|9.2.1.<space|2spc>Functorial properties of
      compactification <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-26>>

      <with|par-left|<quote|1.5fn>|9.2.2.<space|2spc>Compactification of
      totally ordered fields <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-27>>

      <with|par-left|<quote|6fn>|<with|font-size|<quote|0.84>|Opposites and
      inverses <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-28><vspace|0.15fn>>>

      <with|par-left|<quote|6fn>|<with|font-size|<quote|0.84>|Addition
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-29><vspace|0.15fn>>>

      <with|par-left|<quote|6fn>|<with|font-size|<quote|0.84>|Multiplication
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-30><vspace|0.15fn>>>

      9.3.<space|2spc>Compactification of grid-based algebras
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-31>

      <with|par-left|<quote|1.5fn>|9.3.1.<space|2spc>Monomial cuts
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-36>>

      <with|par-left|<quote|1.5fn>|9.3.2.<space|2spc>Width of a cut
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-43>>

      <with|par-left|<quote|1.5fn>|9.3.3.<space|2spc>Initializers
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-47>>

      <with|par-left|<quote|1.5fn>|9.3.4.<space|2spc>Serial cuts
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-51>>

      <with|par-left|<quote|1.5fn>|9.3.5.<space|2spc>Decomposition of
      non-serial cuts <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-56>>

      9.4.<space|2spc>Compactification of the transline
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-57>

      <with|par-left|<quote|1.5fn>|9.4.1.<space|2spc>Exponentiation in
      <with|mode|<quote|math>|<wide|\<bbb-T\>|\<wide-bar\>>>
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-59>>

      <with|par-left|<quote|1.5fn>|9.4.2.<space|2spc>Classification of
      transseries cuts <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-60>>

      <with|par-left|<quote|1.5fn>|9.4.3.<space|2spc>Finite nested expansions
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-65>>

      <with|par-left|<quote|1.5fn>|9.4.4.<space|2spc>Infinite nested
      expansions <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-66>>

      9.5.<space|2spc>Integral neighbourhoods of cuts
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-67>

      <with|par-left|<quote|1.5fn>|9.5.1.<space|2spc>Differentiation and
      integration of cuts <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-68>>

      <with|par-left|<quote|1.5fn>|9.5.2.<space|2spc>Integral nested
      expansions <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-72>>

      <with|par-left|<quote|1.5fn>|9.5.3.<space|2spc>Integral neighbourhoods
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-98>>

      <with|par-left|<quote|1.5fn>|9.5.4.<space|2spc>On the orientation of
      integral neighbourhoods <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-107>>

      9.6.<space|2spc>Differential polynomials near cuts
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-115>

      <with|par-left|<quote|1.5fn>|9.6.1.<space|2spc>Differential polynomials
      near serial cuts <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-116>>

      <with|par-left|<quote|1.5fn>|9.6.2.<space|2spc>Differential polynomials
      near constants <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-117>>

      <with|par-left|<quote|1.5fn>|9.6.3.<space|2spc>Differential polynomials
      near nested cuts <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-118>>

      <with|par-left|<quote|1.5fn>|9.6.4.<space|2spc>Differential polynomials
      near arbitrary cuts <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-119>>

      <with|par-left|<quote|1.5fn>|9.6.5.<space|2spc>On the sign of a
      differential polynomial <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-120>>

      9.7.<space|2spc>The intermediate value theorem
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-130>

      <with|par-left|<quote|1.5fn>|9.7.1.<space|2spc>The quasi-linear case
      <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-134>>

      <with|par-left|<quote|1.5fn>|9.7.2.<space|2spc>Preserving sign changes
      during refinements <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-135>>

      <with|par-left|<quote|1.5fn>|9.7.3.<space|2spc>Proof of the
      intermediate value theorem <datoms|<macro|x|<repeat|<arg|x>|<with|font-series|medium|<with|font-size|1|<space|0.2fn>.<space|0.2fn>>>>>|<htab|5mm>>
      <pageref|auto-136>>
    </associate>
  </collection>
</auxiliary>