(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[   2148956,      54397]*)
(*NotebookOutlinePosition[   2149652,      54421]*)
(*  CellTagsIndexPosition[   2149608,      54417]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[{
    \(m12 = {FontFamily -> "\<Times\>", FontSize -> 12}; 
    m10 = {FontFamily -> "\<Times\>", 
        FontSize -> 10};\), "\[IndentingNewLine]", 
    \(\(m10white = {FontFamily -> "\<Times\>", FontSize -> 10, 
          FontColor \[Rule] RGBColor[1, 1, 1]};\)\), "\[IndentingNewLine]", 
    \(\(m8 = {FontFamily -> "\<Times\>", 
          FontSize \[Rule] 8};\)\), "\[IndentingNewLine]", 
    \(\(tx10 = {FontSlant \[Rule] "\<Italic\>", FontSize \[Rule] 10, 
          FontFamily -> "\<Times\>"};\)\), "\[IndentingNewLine]", 
    \(\(tx8 = {FontSlant \[Rule] "\<Italic\>", FontSize \[Rule] 8, 
          FontFamily -> "\<Times\>"};\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(linmapexpwhite[x_] := 
      Which[x <= 1/2, RGBColor[Exp[62 \((x - 1/2)\)], 2  x, 1], x > 1/2, 
        RGBColor[1, 2 - 2  x, Exp[\(-62\) \((x - 1/2)\)]]]\), "\n", 
    \(linmapmanwhite[x_] := 
      Which[x < 0.497, RGBColor[0, 2  x, 1], x > 0.503, 
        RGBColor[1, 2 - 2  x, 0], True, 
        RGBColor[1, 1, 1]]\), "\[IndentingNewLine]", 
    \(halflin[x_] := 
      Which[x > 0.01, RGBColor[1, 1 - x, 0], True, 
        RGBColor[1, 1, 1]]\), "\[IndentingNewLine]", 
    \(halfexp[x_] := RGBColor[1, 1 - x, Exp[\(-62\) x]]\)}], "Input",
  InitializationCell->True],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(mymod = 
      Re[Erf[I\ \((\((myx - myxg)\)/\((Sqrt[2] mysx)\))\) + 
            Abs[myp]/\((Sqrt[2] mysp)\)]]\)\(\[IndentingNewLine]\)
    \)\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(myxg\\)\\\" is similar to existing symbol \\\
\"\\!\\(myx\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\
\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(mysx\\)\\\" is similar to existing symbol \\\
\"\\!\\(myx\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\
\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    RowBox[{\(General::"spell"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(mysp\\)\\\" is similar to existing symbols \
\\!\\({myp, mysx}\\). \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \(\(-Im[
        Erfi[\(myx - myxg\)\/\(\@2\ mysx\) - \(\[ImaginaryI]\ \
Abs[myp]\)\/\(\@2\ mysp\)]]\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(gc[x_, p_, sx_, sp_] := 
      Exp[\(-x\^2\)/\((2\ sx\^2)\)] 
        Exp[\(-p\^2\)/\((2\ sp\^2)\)]/\((2\ sx\ sp)\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Plot3D[
      mymod /. {mysx \[Rule] 1, mysp \[Rule] 1/3, 
          myxg \[Rule] \(-5\)}, {myx, \(-10\), 0}, {myp, 0, 5}, 
      PlotPoints \[Rule] 50, ColorFunction \[Rule] \((GrayLevel[1 - #] &)\), 
      PlotRange \[Rule] All]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .81114 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
2.72677e-17 1.04977 -0.0679587 1.04977 [
[.02757 .24618 -18 -8.70276 ]
[.02757 .24618 0 .29724 ]
[.14598 .19958 -11.924 -9 ]
[.14598 .19958 .07603 0 ]
[.27013 .15073 -11.4236 -9 ]
[.27013 .15073 .57641 0 ]
[.40046 .09948 -10.9232 -9 ]
[.40046 .09948 1.07679 0 ]
[.53743 .04564 -10.4228 -9 ]
[.53743 .04564 1.57717 0 ]
[.68156 -0.01098 -4.96123 -9 ]
[.68156 -0.01098 1.03877 0 ]
[.70096 -0.00478 0 -6.26206 ]
[.70096 -0.00478 6 2.73794 ]
[.76745 .09703 0 -6.16187 ]
[.76745 .09703 6 2.83813 ]
[.82812 .18993 0 -6.07246 ]
[.82812 .18993 6 2.92754 ]
[.88369 .27502 0 -5.99218 ]
[.88369 .27502 6 3.00782 ]
[.93478 .35327 0 -5.9197 ]
[.93478 .35327 6 3.0803 ]
[.98191 .42546 0 -5.85393 ]
[.98191 .42546 6 3.14607 ]
[.02063 .28697 -36 -2.76078 ]
[.02063 .28697 0 6.23922 ]
[.01078 .34868 -6 -2.81304 ]
[.01078 .34868 0 6.18696 ]
[.00053 .41289 -30 -2.86765 ]
[.00053 .41289 0 6.13235 ]
[-0.01014 .47977 -30 -2.92475 ]
[-0.01014 .47977 0 6.07525 ]
[ 0 0 0 0 ]
[ 1 .81114 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
[(-10)] .02757 .24618 1 .93395 Mshowa
.1552 .20892 m
.15981 .21359 L
s
[(-8)] .14598 .19958 .98733 1 Mshowa
.27893 .16047 m
.28333 .16533 L
s
[(-6)] .27013 .15073 .90393 1 Mshowa
.40878 .10962 m
.41294 .11469 L
s
[(-4)] .40046 .09948 .82054 1 Mshowa
.54521 .0562 m
.54911 .06148 L
s
[(-2)] .53743 .04564 .73714 1 Mshowa
.68874 0 m
.69233 .00549 L
s
[(0)] .68156 -0.01098 .65374 1 Mshowa
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.18558 .19702 m
.18832 .19985 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.3108 .14799 m
.31341 .15094 L
s
.34306 .13535 m
.34564 .13834 L
s
.37572 .12257 m
.37826 .12558 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.51046 .06981 m
.51284 .07294 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.68874 0 m
.68263 .00239 L
s
[(0)] .70096 -0.00478 -1 .39157 Mshowa
.75514 .10158 m
.74899 .10385 L
s
[(1)] .76745 .09703 -1 .3693 Mshowa
.81573 .19425 m
.80953 .19642 L
s
[(2)] .82812 .18993 -1 .34944 Mshowa
.87123 .27915 m
.865 .28122 L
s
[(3)] .88369 .27502 -1 .3316 Mshowa
.92227 .35722 m
.91601 .35919 L
s
[(4)] .93478 .35327 -1 .31549 Mshowa
.96935 .42924 m
.96306 .43113 L
s
[(5)] .98191 .42546 -1 .30087 Mshowa
.125 Mabswid
.70252 .02109 m
.69885 .02251 L
s
.71605 .04178 m
.71237 .04318 L
s
.72932 .06208 m
.72564 .06347 L
s
.74235 .08201 m
.73866 .08339 L
s
.7677 .12078 m
.764 .12213 L
s
.78003 .13965 m
.77633 .14098 L
s
.79214 .15817 m
.78843 .1595 L
s
.80404 .17637 m
.80033 .17768 L
s
.82721 .21182 m
.82349 .21311 L
s
.8385 .22909 m
.83478 .23037 L
s
.8496 .24606 m
.84587 .24733 L
s
.86051 .26275 m
.85677 .264 L
s
.88178 .29529 m
.87804 .29651 L
s
.89215 .31115 m
.88841 .31237 L
s
.90235 .32676 m
.89861 .32797 L
s
.91239 .34211 m
.90864 .34331 L
s
.93198 .37208 m
.92823 .37326 L
s
.94155 .38671 m
.93779 .38788 L
s
.95096 .40111 m
.9472 .40226 L
s
.96022 .41528 m
.95646 .41643 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
.03287 .28224 m
.03899 .27987 L
s
[(-20000)] .02063 .28697 1 -0.38649 Mshowa
.02307 .34407 m
.02921 .34177 L
s
[(0)] .01078 .34868 1 -0.37488 Mshowa
.01287 .40842 m
.01904 .40618 L
s
[(20000)] .00053 .41289 1 -0.36275 Mshowa
.00225 .47543 m
.00844 .47326 L
s
[(40000)] -0.01014 .47977 1 -0.35005 Mshowa
.125 Mabswid
.03045 .29747 m
.03413 .29606 L
s
.02801 .31285 m
.03169 .31145 L
s
.02555 .32838 m
.02924 .32699 L
s
.02056 .35992 m
.02425 .35854 L
s
.01802 .37592 m
.02171 .37456 L
s
.01546 .39209 m
.01915 .39073 L
s
.01026 .42491 m
.01396 .42358 L
s
.00761 .44158 m
.01132 .44026 L
s
.00495 .45842 m
.00866 .45711 L
s
.03526 .26716 m
.03892 .26573 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
.40529 .59895 m
.03716 .25514 L
s
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.40529 .59895 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
0 0 m
1 0 L
1 .81114 L
0 .81114 L
closepath
clip
newpath
.5 Mabswid
.603 g
.39607 .67444 .40245 .68009 .41313 .67704 .40678 .67136 Metetra
.603 g
.40678 .67136 .41313 .67704 .42386 .67397 .41753 .66828 Metetra
.603 g
.41753 .66828 .42386 .67397 .43463 .67089 .42833 .66517 Metetra
.603 g
.42833 .66517 .43463 .67089 .44544 .6678 .43917 .66206 Metetra
.603 g
.43917 .66206 .44544 .6678 .45629 .6647 .45005 .65893 Metetra
.603 g
.45005 .65893 .45629 .6647 .46719 .66158 .46097 .65579 Metetra
.603 g
.46097 .65579 .46719 .66158 .47813 .65845 .47194 .65264 Metetra
.603 g
.47194 .65264 .47813 .65845 .48911 .65531 .48295 .64948 Metetra
.603 g
.48295 .64948 .48911 .65531 .50014 .65216 .49401 .6463 Metetra
.603 g
.49401 .6463 .50014 .65216 .51121 .64899 .50511 .64311 Metetra
.603 g
.50511 .64311 .51121 .64899 .52233 .64581 .51626 .63991 Metetra
.603 g
.51626 .63991 .52233 .64581 .5335 .64262 .52746 .63669 Metetra
.603 g
.52746 .63669 .5335 .64262 .54471 .63941 .5387 .63346 Metetra
.603 g
.5387 .63346 .54471 .63941 .55596 .6362 .54998 .63022 Metetra
.603 g
.54998 .63022 .55596 .6362 .56726 .63296 .56131 .62696 Metetra
.603 g
.56131 .62696 .56726 .63296 .57861 .62972 .57269 .62369 Metetra
.603 g
.57269 .62369 .57861 .62972 .59 .62646 .58411 .62041 Metetra
.603 g
.58411 .62041 .59 .62646 .60144 .62319 .59559 .61711 Metetra
.603 g
.59559 .61711 .60144 .62319 .61293 .6199 .60711 .6138 Metetra
.603 g
.60711 .6138 .61293 .6199 .62447 .61661 .61867 .61048 Metetra
.603 g
.61867 .61048 .62447 .61661 .63605 .61329 .63029 .60714 Metetra
.603 g
.63029 .60714 .63605 .61329 .64768 .60997 .64195 .60379 Metetra
.603 g
.64195 .60379 .64768 .60997 .65936 .60663 .65366 .60043 Metetra
.603 g
.65366 .60043 .65936 .60663 .67109 .60328 .66543 .59705 Metetra
.603 g
.66543 .59705 .67109 .60328 .68286 .59991 .67724 .59365 Metetra
.603 g
.67724 .59365 .68286 .59991 .69469 .59653 .6891 .59025 Metetra
.603 g
.6891 .59025 .69469 .59653 .70657 .59313 .70101 .58682 Metetra
.603 g
.70101 .58682 .70657 .59313 .71849 .58972 .71297 .58339 Metetra
.603 g
.71297 .58339 .71849 .58972 .73047 .5863 .72498 .57994 Metetra
.603 g
.72498 .57994 .73047 .5863 .74249 .58286 .73704 .57647 Metetra
.603 g
.73704 .57647 .74249 .58286 .75457 .5794 .74915 .57299 Metetra
.603 g
.74915 .57299 .75457 .5794 .7667 .57594 .76132 .5695 Metetra
.603 g
.76132 .5695 .7667 .57594 .77888 .57245 .77353 .56599 Metetra
.603 g
.77353 .56599 .77888 .57245 .79111 .56896 .7858 .56246 Metetra
.603 g
.7858 .56246 .79111 .56896 .80339 .56544 .79812 .55892 Metetra
.603 g
.79812 .55892 .80339 .56544 .81573 .56192 .81049 .55536 Metetra
.603 g
.81049 .55536 .81573 .56192 .82812 .55837 .82292 .55179 Metetra
.603 g
.82292 .55179 .82812 .55837 .84056 .55482 .8354 .54821 Metetra
.603 g
.8354 .54821 .84056 .55482 .85305 .55124 .84793 .54461 Metetra
.603 g
.84793 .54461 .85305 .55124 .8656 .54766 .86052 .54099 Metetra
.603 g
.86052 .54099 .8656 .54766 .8782 .54405 .87316 .53736 Metetra
.603 g
.87316 .53736 .8782 .54405 .89086 .54043 .88586 .53371 Metetra
.603 g
.88586 .53371 .89086 .54043 .90357 .5368 .89861 .53004 Metetra
.603 g
.89861 .53004 .90357 .5368 .91634 .53315 .91142 .52636 Metetra
.603 g
.91142 .52636 .91634 .53315 .92917 .52948 .92429 .52267 Metetra
.603 g
.92429 .52267 .92917 .52948 .94204 .5258 .93721 .51896 Metetra
.603 g
.93721 .51896 .94204 .5258 .95498 .5221 .95018 .51523 Metetra
.603 g
.95018 .51523 .95498 .5221 .96797 .51838 .96322 .51148 Metetra
.603 g
.96322 .51148 .96797 .51838 .98102 .51465 .97631 .50772 Metetra
.603 g
.38965 .66875 .39607 .67444 .40678 .67136 .40039 .66565 Metetra
.603 g
.40039 .66565 .40678 .67136 .41753 .66828 .41116 .66254 Metetra
.603 g
.41116 .66254 .41753 .66828 .42833 .66517 .42198 .65942 Metetra
.603 g
.42198 .65942 .42833 .66517 .43917 .66206 .43285 .65628 Metetra
.603 g
.43285 .65628 .43917 .66206 .45005 .65893 .44376 .65313 Metetra
.603 g
.44376 .65313 .45005 .65893 .46097 .65579 .45471 .64997 Metetra
.603 g
.45471 .64997 .46097 .65579 .47194 .65264 .46571 .64679 Metetra
.603 g
.46571 .64679 .47194 .65264 .48295 .64948 .47675 .6436 Metetra
.603 g
.47675 .6436 .48295 .64948 .49401 .6463 .48784 .6404 Metetra
.603 g
.48784 .6404 .49401 .6463 .50511 .64311 .49897 .63719 Metetra
.603 g
.49897 .63719 .50511 .64311 .51626 .63991 .51015 .63396 Metetra
.603 g
.51015 .63396 .51626 .63991 .52746 .63669 .52137 .63072 Metetra
.603 g
.52137 .63072 .52746 .63669 .5387 .63346 .53264 .62746 Metetra
.603 g
.53264 .62746 .5387 .63346 .54998 .63022 .54395 .6242 Metetra
.603 g
.54395 .6242 .54998 .63022 .56131 .62696 .55532 .62092 Metetra
.603 g
.55532 .62092 .56131 .62696 .57269 .62369 .56673 .61762 Metetra
.603 g
.56673 .61762 .57269 .62369 .58411 .62041 .57818 .61431 Metetra
.603 g
.57818 .61431 .58411 .62041 .59559 .61711 .58969 .61099 Metetra
.603 g
.58969 .61099 .59559 .61711 .60711 .6138 .60124 .60766 Metetra
.603 g
.60124 .60766 .60711 .6138 .61867 .61048 .61284 .60431 Metetra
.603 g
.61284 .60431 .61867 .61048 .63029 .60714 .62448 .60095 Metetra
.603 g
.62448 .60095 .63029 .60714 .64195 .60379 .63618 .59757 Metetra
.603 g
.63618 .59757 .64195 .60379 .65366 .60043 .64793 .59418 Metetra
.603 g
.64793 .59418 .65366 .60043 .66543 .59705 .65972 .59077 Metetra
.603 g
.65972 .59077 .66543 .59705 .67724 .59365 .67157 .58735 Metetra
.603 g
.67157 .58735 .67724 .59365 .6891 .59025 .68346 .58392 Metetra
.603 g
.68346 .58392 .6891 .59025 .70101 .58682 .6954 .58047 Metetra
.603 g
.6954 .58047 .70101 .58682 .71297 .58339 .7074 .577 Metetra
.603 g
.7074 .577 .71297 .58339 .72498 .57994 .71944 .57353 Metetra
.603 g
.71944 .57353 .72498 .57994 .73704 .57647 .73154 .57003 Metetra
.603 g
.73154 .57003 .73704 .57647 .74915 .57299 .74369 .56653 Metetra
.603 g
.74369 .56653 .74915 .57299 .76132 .5695 .75589 .563 Metetra
.603 g
.75589 .563 .76132 .5695 .77353 .56599 .76814 .55947 Metetra
.603 g
.76814 .55947 .77353 .56599 .7858 .56246 .78045 .55591 Metetra
.603 g
.78045 .55591 .7858 .56246 .79812 .55892 .79281 .55234 Metetra
.603 g
.79281 .55234 .79812 .55892 .81049 .55536 .80522 .54876 Metetra
.603 g
.80522 .54876 .81049 .55536 .82292 .55179 .81768 .54516 Metetra
.603 g
.81768 .54516 .82292 .55179 .8354 .54821 .8302 .54155 Metetra
.603 g
.8302 .54155 .8354 .54821 .84793 .54461 .84277 .53792 Metetra
.603 g
.84277 .53792 .84793 .54461 .86052 .54099 .8554 .53427 Metetra
.603 g
.8554 .53427 .86052 .54099 .87316 .53736 .86808 .53061 Metetra
.603 g
.86808 .53061 .87316 .53736 .88586 .53371 .88082 .52693 Metetra
.603 g
.88082 .52693 .88586 .53371 .89861 .53004 .89361 .52324 Metetra
.603 g
.89361 .52324 .89861 .53004 .91142 .52636 .90646 .51953 Metetra
.603 g
.90646 .51953 .91142 .52636 .92429 .52267 .91937 .5158 Metetra
.603 g
.91937 .5158 .92429 .52267 .93721 .51896 .93233 .51206 Metetra
.603 g
.93233 .51206 .93721 .51896 .95018 .51523 .94535 .5083 Metetra
.603 g
.94535 .5083 .95018 .51523 .96322 .51148 .95843 .50452 Metetra
.603 g
.95843 .50452 .96322 .51148 .97631 .50772 .97156 .50073 Metetra
.603 g
.38318 .66302 .38965 .66875 .40039 .66565 .39394 .6599 Metetra
.603 g
.39394 .6599 .40039 .66565 .41116 .66254 .40475 .65676 Metetra
.603 g
.40475 .65676 .41116 .66254 .42198 .65942 .41559 .65361 Metetra
.603 g
.41559 .65361 .42198 .65942 .43285 .65628 .42649 .65045 Metetra
.603 g
.42649 .65045 .43285 .65628 .44376 .65313 .43742 .64728 Metetra
.603 g
.43742 .64728 .44376 .65313 .45471 .64997 .4484 .64409 Metetra
.603 g
.4484 .64409 .45471 .64997 .46571 .64679 .45943 .64089 Metetra
.603 g
.45943 .64089 .46571 .64679 .47675 .6436 .4705 .63768 Metetra
.603 g
.4705 .63768 .47675 .6436 .48784 .6404 .48162 .63446 Metetra
.603 g
.48162 .63446 .48784 .6404 .49897 .63719 .49278 .63122 Metetra
.603 g
.49278 .63122 .49897 .63719 .51015 .63396 .50399 .62797 Metetra
.603 g
.50399 .62797 .51015 .63396 .52137 .63072 .51524 .6247 Metetra
.603 g
.51524 .6247 .52137 .63072 .53264 .62746 .52654 .62142 Metetra
.603 g
.52654 .62142 .53264 .62746 .54395 .6242 .53788 .61813 Metetra
.603 g
.53788 .61813 .54395 .6242 .55532 .62092 .54928 .61482 Metetra
.603 g
.54928 .61482 .55532 .62092 .56673 .61762 .56072 .61151 Metetra
.603 g
.56072 .61151 .56673 .61762 .57818 .61431 .5722 .60817 Metetra
.603 g
.5722 .60817 .57818 .61431 .58969 .61099 .58374 .60482 Metetra
.603 g
.58374 .60482 .58969 .61099 .60124 .60766 .59532 .60146 Metetra
.603 g
.59532 .60146 .60124 .60766 .61284 .60431 .60695 .59809 Metetra
.603 g
.60695 .59809 .61284 .60431 .62448 .60095 .61864 .5947 Metetra
.603 g
.61864 .5947 .62448 .60095 .63618 .59757 .63036 .5913 Metetra
.603 g
.63036 .5913 .63618 .59757 .64793 .59418 .64214 .58788 Metetra
.603 g
.64214 .58788 .64793 .59418 .65972 .59077 .65397 .58445 Metetra
.603 g
.65397 .58445 .65972 .59077 .67157 .58735 .66585 .581 Metetra
.603 g
.66585 .581 .67157 .58735 .68346 .58392 .67778 .57754 Metetra
.603 g
.67778 .57754 .68346 .58392 .6954 .58047 .68976 .57406 Metetra
.603 g
.68976 .57406 .6954 .58047 .7074 .577 .70179 .57057 Metetra
.603 g
.70179 .57057 .7074 .577 .71944 .57353 .71387 .56707 Metetra
.603 g
.71387 .56707 .71944 .57353 .73154 .57003 .726 .56355 Metetra
.603 g
.726 .56355 .73154 .57003 .74369 .56653 .73819 .56001 Metetra
.603 g
.73819 .56001 .74369 .56653 .75589 .563 .75042 .55646 Metetra
.603 g
.75042 .55646 .75589 .563 .76814 .55947 .76271 .55289 Metetra
.603 g
.76271 .55289 .76814 .55947 .78045 .55591 .77505 .54931 Metetra
.603 g
.77505 .54931 .78045 .55591 .79281 .55234 .78745 .54572 Metetra
.603 g
.78745 .54572 .79281 .55234 .80522 .54876 .7999 .5421 Metetra
.603 g
.7999 .5421 .80522 .54876 .81768 .54516 .8124 .53848 Metetra
.603 g
.8124 .53848 .81768 .54516 .8302 .54155 .82496 .53483 Metetra
.603 g
.82496 .53483 .8302 .54155 .84277 .53792 .83757 .53117 Metetra
.603 g
.83757 .53117 .84277 .53792 .8554 .53427 .85024 .5275 Metetra
.603 g
.85024 .5275 .8554 .53427 .86808 .53061 .86296 .52381 Metetra
.603 g
.86296 .52381 .86808 .53061 .88082 .52693 .87574 .5201 Metetra
.603 g
.87574 .5201 .88082 .52693 .89361 .52324 .88857 .51638 Metetra
.603 g
.88857 .51638 .89361 .52324 .90646 .51953 .90146 .51264 Metetra
.603 g
.90146 .51264 .90646 .51953 .91937 .5158 .91441 .50888 Metetra
.603 g
.91441 .50888 .91937 .5158 .93233 .51206 .92741 .50511 Metetra
.603 g
.92741 .50511 .93233 .51206 .94535 .5083 .94047 .50132 Metetra
.603 g
.94047 .50132 .94535 .5083 .95843 .50452 .95359 .49751 Metetra
.603 g
.95359 .49751 .95843 .50452 .97156 .50073 .96677 .49368 Metetra
.603 g
.37666 .65724 .38318 .66302 .39394 .6599 .38745 .6541 Metetra
.603 g
.38745 .6541 .39394 .6599 .40475 .65676 .39828 .65094 Metetra
.603 g
.39828 .65094 .40475 .65676 .41559 .65361 .40916 .64777 Metetra
.603 g
.40916 .64777 .41559 .65361 .42649 .65045 .42008 .64458 Metetra
.603 g
.42008 .64458 .42649 .65045 .43742 .64728 .43104 .64139 Metetra
.603 g
.43104 .64139 .43742 .64728 .4484 .64409 .44205 .63818 Metetra
.603 g
.44205 .63818 .4484 .64409 .45943 .64089 .4531 .63495 Metetra
.603 g
.4531 .63495 .45943 .64089 .4705 .63768 .4642 .63172 Metetra
.603 g
.4642 .63172 .4705 .63768 .48162 .63446 .47535 .62847 Metetra
.603 g
.47535 .62847 .48162 .63446 .49278 .63122 .48654 .6252 Metetra
.603 g
.48654 .6252 .49278 .63122 .50399 .62797 .49778 .62193 Metetra
.603 g
.49778 .62193 .50399 .62797 .51524 .6247 .50906 .61864 Metetra
.603 g
.50906 .61864 .51524 .6247 .52654 .62142 .52039 .61533 Metetra
.603 g
.52039 .61533 .52654 .62142 .53788 .61813 .53177 .61202 Metetra
.603 g
.53177 .61202 .53788 .61813 .54928 .61482 .54319 .60869 Metetra
.603 g
.54319 .60869 .54928 .61482 .56072 .61151 .55466 .60534 Metetra
.603 g
.55466 .60534 .56072 .61151 .5722 .60817 .56618 .60198 Metetra
.603 g
.56618 .60198 .5722 .60817 .58374 .60482 .57775 .59861 Metetra
.603 g
.57775 .59861 .58374 .60482 .59532 .60146 .58936 .59522 Metetra
.603 g
.58936 .59522 .59532 .60146 .60695 .59809 .60103 .59182 Metetra
.603 g
.60103 .59182 .60695 .59809 .61864 .5947 .61274 .58841 Metetra
.603 g
.61274 .58841 .61864 .5947 .63036 .5913 .6245 .58498 Metetra
.603 g
.6245 .58498 .63036 .5913 .64214 .58788 .63632 .58153 Metetra
.603 g
.63632 .58153 .64214 .58788 .65397 .58445 .64818 .57807 Metetra
.603 g
.64818 .57807 .65397 .58445 .66585 .581 .66009 .5746 Metetra
.603 g
.66009 .5746 .66585 .581 .67778 .57754 .67205 .57111 Metetra
.603 g
.67205 .57111 .67778 .57754 .68976 .57406 .68407 .56761 Metetra
.603 g
.68407 .56761 .68976 .57406 .70179 .57057 .69613 .56409 Metetra
.603 g
.69613 .56409 .70179 .57057 .71387 .56707 .70825 .56056 Metetra
.603 g
.70825 .56056 .71387 .56707 .726 .56355 .72042 .55701 Metetra
.603 g
.72042 .55701 .726 .56355 .73819 .56001 .73264 .55344 Metetra
.603 g
.73264 .55344 .73819 .56001 .75042 .55646 .74491 .54987 Metetra
.603 g
.74491 .54987 .75042 .55646 .76271 .55289 .75724 .54627 Metetra
.603 g
.75724 .54627 .76271 .55289 .77505 .54931 .76962 .54266 Metetra
.603 g
.76962 .54266 .77505 .54931 .78745 .54572 .78205 .53904 Metetra
.603 g
.78205 .53904 .78745 .54572 .7999 .5421 .79454 .53539 Metetra
.603 g
.79454 .53539 .7999 .5421 .8124 .53848 .80708 .53174 Metetra
.603 g
.80708 .53174 .8124 .53848 .82496 .53483 .81968 .52806 Metetra
.603 g
.81968 .52806 .82496 .53483 .83757 .53117 .83233 .52438 Metetra
.603 g
.83233 .52438 .83757 .53117 .85024 .5275 .84503 .52067 Metetra
.603 g
.84503 .52067 .85024 .5275 .86296 .52381 .8578 .51695 Metetra
.603 g
.8578 .51695 .86296 .52381 .87574 .5201 .87061 .51321 Metetra
.603 g
.87061 .51321 .87574 .5201 .88857 .51638 .88349 .50946 Metetra
.603 g
.88349 .50946 .88857 .51638 .90146 .51264 .89642 .50569 Metetra
.603 g
.89642 .50569 .90146 .51264 .91441 .50888 .90941 .5019 Metetra
.603 g
.90941 .5019 .91441 .50888 .92741 .50511 .92245 .4981 Metetra
.603 g
.92245 .4981 .92741 .50511 .94047 .50132 .93556 .49427 Metetra
.603 g
.93556 .49427 .94047 .50132 .95359 .49751 .94872 .49044 Metetra
.603 g
.94872 .49044 .95359 .49751 .96677 .49368 .96194 .48658 Metetra
.603 g
.37009 .65143 .37666 .65724 .38745 .6541 .38091 .64826 Metetra
.603 g
.38091 .64826 .38745 .6541 .39828 .65094 .39177 .64508 Metetra
.603 g
.39177 .64508 .39828 .65094 .40916 .64777 .40267 .64188 Metetra
.603 g
.40267 .64188 .40916 .64777 .42008 .64458 .41362 .63867 Metetra
.603 g
.41362 .63867 .42008 .64458 .43104 .64139 .42461 .63545 Metetra
.603 g
.42461 .63545 .43104 .64139 .44205 .63818 .43565 .63222 Metetra
.603 g
.43565 .63222 .44205 .63818 .4531 .63495 .44673 .62897 Metetra
.603 g
.44673 .62897 .4531 .63495 .4642 .63172 .45786 .62571 Metetra
.603 g
.45786 .62571 .4642 .63172 .47535 .62847 .46903 .62243 Metetra
.603 g
.46903 .62243 .47535 .62847 .48654 .6252 .48025 .61914 Metetra
.603 g
.48025 .61914 .48654 .6252 .49778 .62193 .49152 .61584 Metetra
.603 g
.49152 .61584 .49778 .62193 .50906 .61864 .50283 .61253 Metetra
.603 g
.50283 .61253 .50906 .61864 .52039 .61533 .51419 .6092 Metetra
.603 g
.51419 .6092 .52039 .61533 .53177 .61202 .5256 .60586 Metetra
.603 g
.5256 .60586 .53177 .61202 .54319 .60869 .53706 .6025 Metetra
.603 g
.53706 .6025 .54319 .60869 .55466 .60534 .54856 .59913 Metetra
.603 g
.54856 .59913 .55466 .60534 .56618 .60198 .56011 .59574 Metetra
.603 g
.56011 .59574 .56618 .60198 .57775 .59861 .57171 .59234 Metetra
.603 g
.57171 .59234 .57775 .59861 .58936 .59522 .58336 .58893 Metetra
.603 g
.58336 .58893 .58936 .59522 .60103 .59182 .59505 .5855 Metetra
.603 g
.59505 .5855 .60103 .59182 .61274 .58841 .6068 .58206 Metetra
.603 g
.6068 .58206 .61274 .58841 .6245 .58498 .6186 .57861 Metetra
.603 g
.6186 .57861 .6245 .58498 .63632 .58153 .63044 .57513 Metetra
.603 g
.63044 .57513 .63632 .58153 .64818 .57807 .64234 .57165 Metetra
.603 g
.64234 .57165 .64818 .57807 .66009 .5746 .65429 .56815 Metetra
.603 g
.65429 .56815 .66009 .5746 .67205 .57111 .66628 .56463 Metetra
.603 g
.66628 .56463 .67205 .57111 .68407 .56761 .67833 .5611 Metetra
.603 g
.67833 .5611 .68407 .56761 .69613 .56409 .69043 .55755 Metetra
.603 g
.69043 .55755 .69613 .56409 .70825 .56056 .70259 .55399 Metetra
.603 g
.70259 .55399 .70825 .56056 .72042 .55701 .71479 .55042 Metetra
.603 g
.71479 .55042 .72042 .55701 .73264 .55344 .72705 .54682 Metetra
.603 g
.72705 .54682 .73264 .55344 .74491 .54987 .73936 .54322 Metetra
.603 g
.73936 .54322 .74491 .54987 .75724 .54627 .75172 .53959 Metetra
.603 g
.75172 .53959 .75724 .54627 .76962 .54266 .76414 .53596 Metetra
.603 g
.76414 .53596 .76962 .54266 .78205 .53904 .77661 .5323 Metetra
.603 g
.77661 .5323 .78205 .53904 .79454 .53539 .78914 .52863 Metetra
.603 g
.78914 .52863 .79454 .53539 .80708 .53174 .80172 .52494 Metetra
.603 g
.80172 .52494 .80708 .53174 .81968 .52806 .81435 .52124 Metetra
.603 g
.81435 .52124 .81968 .52806 .83233 .52438 .82704 .51752 Metetra
.603 g
.82704 .51752 .83233 .52438 .84503 .52067 .83979 .51379 Metetra
.603 g
.83979 .51379 .84503 .52067 .8578 .51695 .85259 .51004 Metetra
.603 g
.85259 .51004 .8578 .51695 .87061 .51321 .86545 .50627 Metetra
.603 g
.86545 .50627 .87061 .51321 .88349 .50946 .87836 .50248 Metetra
.603 g
.87836 .50248 .88349 .50946 .89642 .50569 .89134 .49868 Metetra
.603 g
.89134 .49868 .89642 .50569 .90941 .5019 .90437 .49486 Metetra
.603 g
.90437 .49486 .90941 .5019 .92245 .4981 .91746 .49103 Metetra
.603 g
.91746 .49103 .92245 .4981 .93556 .49427 .9306 .48718 Metetra
.603 g
.9306 .48718 .93556 .49427 .94872 .49044 .94381 .48331 Metetra
.603 g
.94381 .48331 .94872 .49044 .96194 .48658 .95707 .47942 Metetra
.603 g
.36347 .64557 .37009 .65143 .38091 .64826 .37431 .64237 Metetra
.603 g
.37431 .64237 .38091 .64826 .39177 .64508 .3852 .63917 Metetra
.603 g
.3852 .63917 .39177 .64508 .40267 .64188 .39613 .63595 Metetra
.603 g
.39613 .63595 .40267 .64188 .41362 .63867 .40711 .63271 Metetra
.603 g
.40711 .63271 .41362 .63867 .42461 .63545 .41813 .62947 Metetra
.603 g
.41813 .62947 .42461 .63545 .43565 .63222 .4292 .62621 Metetra
.603 g
.4292 .62621 .43565 .63222 .44673 .62897 .44031 .62294 Metetra
.603 g
.44031 .62294 .44673 .62897 .45786 .62571 .45147 .61965 Metetra
.603 g
.45147 .61965 .45786 .62571 .46903 .62243 .46267 .61635 Metetra
.603 g
.46267 .61635 .46903 .62243 .48025 .61914 .47392 .61304 Metetra
.603 g
.47392 .61304 .48025 .61914 .49152 .61584 .48522 .60971 Metetra
.603 g
.48522 .60971 .49152 .61584 .50283 .61253 .49656 .60637 Metetra
.603 g
.49656 .60637 .50283 .61253 .51419 .6092 .50795 .60302 Metetra
.603 g
.50795 .60302 .51419 .6092 .5256 .60586 .51939 .59965 Metetra
.603 g
.51939 .59965 .5256 .60586 .53706 .6025 .53088 .59627 Metetra
.603 g
.53088 .59627 .53706 .6025 .54856 .59913 .54241 .59287 Metetra
.603 g
.54241 .59287 .54856 .59913 .56011 .59574 .55399 .58946 Metetra
.603 g
.55399 .58946 .56011 .59574 .57171 .59234 .56562 .58603 Metetra
.603 g
.56562 .58603 .57171 .59234 .58336 .58893 .5773 .58259 Metetra
.603 g
.5773 .58259 .58336 .58893 .59505 .5855 .58903 .57914 Metetra
.603 g
.58903 .57914 .59505 .5855 .6068 .58206 .60081 .57567 Metetra
.603 g
.60081 .57567 .6068 .58206 .6186 .57861 .61264 .57219 Metetra
.603 g
.61264 .57219 .6186 .57861 .63044 .57513 .62452 .56869 Metetra
.603 g
.62452 .56869 .63044 .57513 .64234 .57165 .63645 .56517 Metetra
.603 g
.63645 .56517 .64234 .57165 .65429 .56815 .64843 .56164 Metetra
.603 g
.64843 .56164 .65429 .56815 .66628 .56463 .66047 .5581 Metetra
.603 g
.66047 .5581 .66628 .56463 .67833 .5611 .67255 .55454 Metetra
.603 g
.67255 .55454 .67833 .5611 .69043 .55755 .68469 .55097 Metetra
.603 g
.68469 .55097 .69043 .55755 .70259 .55399 .69688 .54738 Metetra
.603 g
.69688 .54738 .70259 .55399 .71479 .55042 .70912 .54377 Metetra
.603 g
.70912 .54377 .71479 .55042 .72705 .54682 .72141 .54015 Metetra
.603 g
.72141 .54015 .72705 .54682 .73936 .54322 .73376 .53652 Metetra
.603 g
.73376 .53652 .73936 .54322 .75172 .53959 .74616 .53286 Metetra
.603 g
.74616 .53286 .75172 .53959 .76414 .53596 .75861 .5292 Metetra
.603 g
.75861 .5292 .76414 .53596 .77661 .5323 .77112 .52551 Metetra
.603 g
.77112 .52551 .77661 .5323 .78914 .52863 .78369 .52181 Metetra
.603 g
.78369 .52181 .78914 .52863 .80172 .52494 .79631 .5181 Metetra
.603 g
.79631 .5181 .80172 .52494 .81435 .52124 .80898 .51436 Metetra
.603 g
.80898 .51436 .81435 .52124 .82704 .51752 .82171 .51061 Metetra
.603 g
.82171 .51061 .82704 .51752 .83979 .51379 .8345 .50685 Metetra
.603 g
.8345 .50685 .83979 .51379 .85259 .51004 .84734 .50307 Metetra
.603 g
.84734 .50307 .85259 .51004 .86545 .50627 .86024 .49927 Metetra
.603 g
.86024 .49927 .86545 .50627 .87836 .50248 .8732 .49545 Metetra
.603 g
.8732 .49545 .87836 .50248 .89134 .49868 .88621 .49162 Metetra
.603 g
.88621 .49162 .89134 .49868 .90437 .49486 .89929 .48777 Metetra
.603 g
.89929 .48777 .90437 .49486 .91746 .49103 .91242 .4839 Metetra
.603 g
.91242 .4839 .91746 .49103 .9306 .48718 .92561 .48002 Metetra
.603 g
.92561 .48002 .9306 .48718 .94381 .48331 .93886 .47612 Metetra
.603 g
.93886 .47612 .94381 .48331 .95707 .47942 .95217 .4722 Metetra
.603 g
.3568 .63966 .36347 .64557 .37431 .64237 .36767 .63644 Metetra
.603 g
.36767 .63644 .37431 .64237 .3852 .63917 .37859 .63321 Metetra
.603 g
.37859 .63321 .3852 .63917 .39613 .63595 .38955 .62997 Metetra
.603 g
.38955 .62997 .39613 .63595 .40711 .63271 .40055 .62671 Metetra
.603 g
.40055 .62671 .40711 .63271 .41813 .62947 .4116 .62344 Metetra
.603 g
.4116 .62344 .41813 .62947 .4292 .62621 .4227 .62016 Metetra
.603 g
.4227 .62016 .4292 .62621 .44031 .62294 .43384 .61686 Metetra
.603 g
.43384 .61686 .44031 .62294 .45147 .61965 .44502 .61355 Metetra
.603 g
.44502 .61355 .45147 .61965 .46267 .61635 .45626 .61022 Metetra
.603 g
.45626 .61022 .46267 .61635 .47392 .61304 .46754 .60689 Metetra
.603 g
.46754 .60689 .47392 .61304 .48522 .60971 .47886 .60353 Metetra
.603 g
.47886 .60353 .48522 .60971 .49656 .60637 .49024 .60017 Metetra
.603 g
.49024 .60017 .49656 .60637 .50795 .60302 .50166 .59679 Metetra
.603 g
.50166 .59679 .50795 .60302 .51939 .59965 .51313 .59339 Metetra
.603 g
.51313 .59339 .51939 .59965 .53088 .59627 .52465 .58998 Metetra
.603 g
.52465 .58998 .53088 .59627 .54241 .59287 .53621 .58656 Metetra
.603 g
.53621 .58656 .54241 .59287 .55399 .58946 .54783 .58312 Metetra
.603 g
.54783 .58312 .55399 .58946 .56562 .58603 .55949 .57967 Metetra
.603 g
.55949 .57967 .56562 .58603 .5773 .58259 .5712 .5762 Metetra
.603 g
.5712 .5762 .5773 .58259 .58903 .57914 .58297 .57272 Metetra
.603 g
.58297 .57272 .58903 .57914 .60081 .57567 .59478 .56923 Metetra
.603 g
.59478 .56923 .60081 .57567 .61264 .57219 .60664 .56571 Metetra
.603 g
.60664 .56571 .61264 .57219 .62452 .56869 .61856 .56219 Metetra
.603 g
.61856 .56219 .62452 .56869 .63645 .56517 .63052 .55865 Metetra
.603 g
.63052 .55865 .63645 .56517 .64843 .56164 .64254 .55509 Metetra
.603 g
.64254 .55509 .64843 .56164 .66047 .5581 .65461 .55152 Metetra
.603 g
.65461 .55152 .66047 .5581 .67255 .55454 .66672 .54793 Metetra
.603 g
.66672 .54793 .67255 .55454 .68469 .55097 .6789 .54433 Metetra
.603 g
.6789 .54433 .68469 .55097 .69688 .54738 .69112 .54071 Metetra
.603 g
.69112 .54071 .69688 .54738 .70912 .54377 .7034 .53708 Metetra
.603 g
.7034 .53708 .70912 .54377 .72141 .54015 .71573 .53343 Metetra
.603 g
.71573 .53343 .72141 .54015 .73376 .53652 .72811 .52976 Metetra
.603 g
.72811 .52976 .73376 .53652 .74616 .53286 .74055 .52608 Metetra
.603 g
.74055 .52608 .74616 .53286 .75861 .5292 .75305 .52238 Metetra
.603 g
.75305 .52238 .75861 .5292 .77112 .52551 .76559 .51867 Metetra
.603 g
.76559 .51867 .77112 .52551 .78369 .52181 .7782 .51494 Metetra
.603 g
.7782 .51494 .78369 .52181 .79631 .5181 .79085 .51119 Metetra
.603 g
.79085 .51119 .79631 .5181 .80898 .51436 .80357 .50743 Metetra
.603 g
.80357 .50743 .80898 .51436 .82171 .51061 .81634 .50365 Metetra
.603 g
.81634 .50365 .82171 .51061 .8345 .50685 .82917 .49985 Metetra
.603 g
.82917 .49985 .8345 .50685 .84734 .50307 .84205 .49604 Metetra
.603 g
.84205 .49604 .84734 .50307 .86024 .49927 .85499 .49221 Metetra
.603 g
.85499 .49221 .86024 .49927 .8732 .49545 .86799 .48836 Metetra
.603 g
.86799 .48836 .8732 .49545 .88621 .49162 .88105 .4845 Metetra
.603 g
.88105 .4845 .88621 .49162 .89929 .48777 .89416 .48062 Metetra
.603 g
.89416 .48062 .89929 .48777 .91242 .4839 .90734 .47672 Metetra
.603 g
.90734 .47672 .91242 .4839 .92561 .48002 .92057 .4728 Metetra
.603 g
.92057 .4728 .92561 .48002 .93886 .47612 .93386 .46887 Metetra
.603 g
.93386 .46887 .93886 .47612 .95217 .4722 .94722 .46491 Metetra
.603 g
.35009 .63371 .3568 .63966 .36767 .63644 .36098 .63047 Metetra
.603 g
.36098 .63047 .36767 .63644 .37859 .63321 .37193 .62721 Metetra
.603 g
.37193 .62721 .37859 .63321 .38955 .62997 .38291 .62395 Metetra
.603 g
.38291 .62395 .38955 .62997 .40055 .62671 .39395 .62066 Metetra
.603 g
.39395 .62066 .40055 .62671 .4116 .62344 .40502 .61737 Metetra
.603 g
.40502 .61737 .4116 .62344 .4227 .62016 .41615 .61406 Metetra
.603 g
.41615 .61406 .4227 .62016 .43384 .61686 .42732 .61074 Metetra
.603 g
.42732 .61074 .43384 .61686 .44502 .61355 .43853 .6074 Metetra
.603 g
.43853 .6074 .44502 .61355 .45626 .61022 .4498 .60405 Metetra
.603 g
.4498 .60405 .45626 .61022 .46754 .60689 .46111 .60069 Metetra
.603 g
.46111 .60069 .46754 .60689 .47886 .60353 .47246 .59731 Metetra
.603 g
.47246 .59731 .47886 .60353 .49024 .60017 .48387 .59392 Metetra
.603 g
.48387 .59392 .49024 .60017 .50166 .59679 .49532 .59051 Metetra
.603 g
.49532 .59051 .50166 .59679 .51313 .59339 .50682 .58709 Metetra
.603 g
.50682 .58709 .51313 .59339 .52465 .58998 .51837 .58365 Metetra
.603 g
.51837 .58365 .52465 .58998 .53621 .58656 .52997 .5802 Metetra
.603 g
.52997 .5802 .53621 .58656 .54783 .58312 .54161 .57674 Metetra
.603 g
.54161 .57674 .54783 .58312 .55949 .57967 .55331 .57326 Metetra
.603 g
.55331 .57326 .55949 .57967 .5712 .5762 .56506 .56976 Metetra
.603 g
.56506 .56976 .5712 .5762 .58297 .57272 .57685 .56626 Metetra
.603 g
.57685 .56626 .58297 .57272 .59478 .56923 .5887 .56273 Metetra
.603 g
.5887 .56273 .59478 .56923 .60664 .56571 .6006 .55919 Metetra
.603 g
.6006 .55919 .60664 .56571 .61856 .56219 .61254 .55564 Metetra
.603 g
.61254 .55564 .61856 .56219 .63052 .55865 .62454 .55207 Metetra
.603 g
.62454 .55207 .63052 .55865 .64254 .55509 .63659 .54848 Metetra
.603 g
.63659 .54848 .64254 .55509 .65461 .55152 .6487 .54488 Metetra
.603 g
.6487 .54488 .65461 .55152 .66672 .54793 .66085 .54127 Metetra
.603 g
.66085 .54127 .66672 .54793 .6789 .54433 .67306 .53764 Metetra
.603 g
.67306 .53764 .6789 .54433 .69112 .54071 .68532 .53399 Metetra
.603 g
.68532 .53399 .69112 .54071 .7034 .53708 .69763 .53033 Metetra
.603 g
.69763 .53033 .7034 .53708 .71573 .53343 .71 .52665 Metetra
.603 g
.71 .52665 .71573 .53343 .72811 .52976 .72242 .52295 Metetra
.603 g
.72242 .52295 .72811 .52976 .74055 .52608 .7349 .51924 Metetra
.603 g
.7349 .51924 .74055 .52608 .75305 .52238 .74743 .51551 Metetra
.603 g
.74743 .51551 .75305 .52238 .76559 .51867 .76002 .51177 Metetra
.603 g
.76002 .51177 .76559 .51867 .7782 .51494 .77266 .50801 Metetra
.603 g
.77266 .50801 .7782 .51494 .79085 .51119 .78536 .50423 Metetra
.603 g
.78536 .50423 .79085 .51119 .80357 .50743 .79811 .50044 Metetra
.603 g
.79811 .50044 .80357 .50743 .81634 .50365 .81092 .49663 Metetra
.603 g
.81092 .49663 .81634 .50365 .82917 .49985 .82379 .4928 Metetra
.603 g
.82379 .4928 .82917 .49985 .84205 .49604 .83671 .48896 Metetra
.603 g
.83671 .48896 .84205 .49604 .85499 .49221 .8497 .48509 Metetra
.603 g
.8497 .48509 .85499 .49221 .86799 .48836 .86274 .48121 Metetra
.603 g
.86274 .48121 .86799 .48836 .88105 .4845 .87584 .47732 Metetra
.603 g
.87584 .47732 .88105 .4845 .89416 .48062 .889 .4734 Metetra
.603 g
.889 .4734 .89416 .48062 .90734 .47672 .90221 .46947 Metetra
.603 g
.90221 .46947 .90734 .47672 .92057 .4728 .91549 .46552 Metetra
.603 g
.91549 .46552 .92057 .4728 .93386 .46887 .92883 .46156 Metetra
.603 g
.92883 .46156 .93386 .46887 .94722 .46491 .94223 .45757 Metetra
.603 g
.34332 .62772 .35009 .63371 .36098 .63047 .35424 .62445 Metetra
.603 g
.35424 .62445 .36098 .63047 .37193 .62721 .36521 .62117 Metetra
.603 g
.36521 .62117 .37193 .62721 .38291 .62395 .37623 .61788 Metetra
.603 g
.37623 .61788 .38291 .62395 .39395 .62066 .38729 .61457 Metetra
.603 g
.38729 .61457 .39395 .62066 .40502 .61737 .39839 .61125 Metetra
.603 g
.39839 .61125 .40502 .61737 .41615 .61406 .40955 .60792 Metetra
.603 g
.40955 .60792 .41615 .61406 .42732 .61074 .42075 .60457 Metetra
.603 g
.42075 .60457 .42732 .61074 .43853 .6074 .43199 .6012 Metetra
.603 g
.43199 .6012 .43853 .6074 .4498 .60405 .44328 .59783 Metetra
.603 g
.44328 .59783 .4498 .60405 .46111 .60069 .45462 .59444 Metetra
.603 g
.45462 .59444 .46111 .60069 .47246 .59731 .46601 .59103 Metetra
.603 g
.46601 .59103 .47246 .59731 .48387 .59392 .47745 .58761 Metetra
.603 g
.47745 .58761 .48387 .59392 .49532 .59051 .48893 .58418 Metetra
.603 g
.48893 .58418 .49532 .59051 .50682 .58709 .50046 .58073 Metetra
.603 g
.50046 .58073 .50682 .58709 .51837 .58365 .51204 .57727 Metetra
.603 g
.51204 .57727 .51837 .58365 .52997 .5802 .52367 .57379 Metetra
.603 g
.52367 .57379 .52997 .5802 .54161 .57674 .53535 .5703 Metetra
.603 g
.53535 .5703 .54161 .57674 .55331 .57326 .54708 .5668 Metetra
.603 g
.54708 .5668 .55331 .57326 .56506 .56976 .55886 .56327 Metetra
.603 g
.55886 .56327 .56506 .56976 .57685 .56626 .57069 .55974 Metetra
.603 g
.57069 .55974 .57685 .56626 .5887 .56273 .58257 .55619 Metetra
.603 g
.58257 .55619 .5887 .56273 .6006 .55919 .5945 .55262 Metetra
.603 g
.5945 .55262 .6006 .55919 .61254 .55564 .60648 .54904 Metetra
.603 g
.60648 .54904 .61254 .55564 .62454 .55207 .61852 .54544 Metetra
.603 g
.61852 .54544 .62454 .55207 .63659 .54848 .6306 .54183 Metetra
.603 g
.6306 .54183 .63659 .54848 .6487 .54488 .64274 .5382 Metetra
.603 g
.64274 .5382 .6487 .54488 .66085 .54127 .65493 .53455 Metetra
.603 g
.65493 .53455 .66085 .54127 .67306 .53764 .66718 .53089 Metetra
.603 g
.66718 .53089 .67306 .53764 .68532 .53399 .67947 .52721 Metetra
.603 g
.67947 .52721 .68532 .53399 .69763 .53033 .69182 .52352 Metetra
.603 g
.69182 .52352 .69763 .53033 .71 .52665 .70423 .51981 Metetra
.603 g
.70423 .51981 .71 .52665 .72242 .52295 .71669 .51609 Metetra
.603 g
.71669 .51609 .72242 .52295 .7349 .51924 .7292 .51235 Metetra
.603 g
.7292 .51235 .7349 .51924 .74743 .51551 .74177 .50859 Metetra
.603 g
.74177 .50859 .74743 .51551 .76002 .51177 .7544 .50481 Metetra
.603 g
.7544 .50481 .76002 .51177 .77266 .50801 .76708 .50102 Metetra
.603 g
.76708 .50102 .77266 .50801 .78536 .50423 .77982 .49722 Metetra
.603 g
.77982 .49722 .78536 .50423 .79811 .50044 .79261 .49339 Metetra
.603 g
.79261 .49339 .79811 .50044 .81092 .49663 .80546 .48955 Metetra
.603 g
.80546 .48955 .81092 .49663 .82379 .4928 .81837 .48569 Metetra
.603 g
.81837 .48569 .82379 .4928 .83671 .48896 .83134 .48181 Metetra
.603 g
.83134 .48181 .83671 .48896 .8497 .48509 .84436 .47792 Metetra
.603 g
.84436 .47792 .8497 .48509 .86274 .48121 .85744 .47401 Metetra
.603 g
.85744 .47401 .86274 .48121 .87584 .47732 .87058 .47008 Metetra
.603 g
.87058 .47008 .87584 .47732 .889 .4734 .88379 .46613 Metetra
.603 g
.88379 .46613 .889 .4734 .90221 .46947 .89705 .46217 Metetra
.603 g
.89705 .46217 .90221 .46947 .91549 .46552 .91037 .45818 Metetra
.603 g
.91037 .45818 .91549 .46552 .92883 .46156 .92375 .45418 Metetra
.603 g
.92375 .45418 .92883 .46156 .94223 .45757 .93719 .45016 Metetra
.603 g
.3365 .62168 .34332 .62772 .35424 .62445 .34745 .61838 Metetra
.603 g
.34745 .61838 .35424 .62445 .36521 .62117 .35845 .61508 Metetra
.603 g
.35845 .61508 .36521 .62117 .37623 .61788 .36949 .61176 Metetra
.603 g
.36949 .61176 .37623 .61788 .38729 .61457 .38058 .60843 Metetra
.603 g
.38058 .60843 .38729 .61457 .39839 .61125 .39172 .60508 Metetra
.603 g
.39172 .60508 .39839 .61125 .40955 .60792 .4029 .60172 Metetra
.603 g
.4029 .60172 .40955 .60792 .42075 .60457 .41412 .59835 Metetra
.603 g
.41412 .59835 .42075 .60457 .43199 .6012 .4254 .59496 Metetra
.603 g
.4254 .59496 .43199 .6012 .44328 .59783 .43672 .59156 Metetra
.603 g
.43672 .59156 .44328 .59783 .45462 .59444 .44809 .58814 Metetra
.603 g
.44809 .58814 .45462 .59444 .46601 .59103 .45951 .58471 Metetra
.603 g
.45951 .58471 .46601 .59103 .47745 .58761 .47098 .58127 Metetra
.603 g
.47098 .58127 .47745 .58761 .48893 .58418 .48249 .57781 Metetra
.603 g
.48249 .57781 .48893 .58418 .50046 .58073 .49405 .57433 Metetra
.603 g
.49405 .57433 .50046 .58073 .51204 .57727 .50567 .57084 Metetra
.603 g
.50567 .57084 .51204 .57727 .52367 .57379 .51733 .56734 Metetra
.603 g
.51733 .56734 .52367 .57379 .53535 .5703 .52904 .56382 Metetra
.603 g
.52904 .56382 .53535 .5703 .54708 .5668 .5408 .56028 Metetra
.603 g
.5408 .56028 .54708 .5668 .55886 .56327 .55261 .55673 Metetra
.603 g
.55261 .55673 .55886 .56327 .57069 .55974 .56448 .55317 Metetra
.603 g
.56448 .55317 .57069 .55974 .58257 .55619 .57639 .54959 Metetra
.603 g
.57639 .54959 .58257 .55619 .5945 .55262 .58836 .54599 Metetra
.603 g
.58836 .54599 .5945 .55262 .60648 .54904 .60037 .54238 Metetra
.603 g
.60037 .54238 .60648 .54904 .61852 .54544 .61244 .53876 Metetra
.603 g
.61244 .53876 .61852 .54544 .6306 .54183 .62456 .53511 Metetra
.603 g
.62456 .53511 .6306 .54183 .64274 .5382 .63674 .53146 Metetra
.603 g
.63674 .53146 .64274 .5382 .65493 .53455 .64896 .52778 Metetra
.603 g
.64896 .52778 .65493 .53455 .66718 .53089 .66124 .52409 Metetra
.603 g
.66124 .52409 .66718 .53089 .67947 .52721 .67358 .52039 Metetra
.603 g
.67358 .52039 .67947 .52721 .69182 .52352 .68597 .51666 Metetra
.603 g
.68597 .51666 .69182 .52352 .70423 .51981 .69841 .51292 Metetra
.603 g
.69841 .51292 .70423 .51981 .71669 .51609 .71091 .50917 Metetra
.603 g
.71091 .50917 .71669 .51609 .7292 .51235 .72346 .5054 Metetra
.603 g
.72346 .5054 .7292 .51235 .74177 .50859 .73607 .50161 Metetra
.603 g
.73607 .50161 .74177 .50859 .7544 .50481 .74873 .4978 Metetra
.603 g
.74873 .4978 .7544 .50481 .76708 .50102 .76145 .49398 Metetra
.603 g
.76145 .49398 .76708 .50102 .77982 .49722 .77423 .49014 Metetra
.603 g
.77423 .49014 .77982 .49722 .79261 .49339 .78706 .48628 Metetra
.603 g
.78706 .48628 .79261 .49339 .80546 .48955 .79995 .48241 Metetra
.603 g
.79995 .48241 .80546 .48955 .81837 .48569 .8129 .47852 Metetra
.603 g
.8129 .47852 .81837 .48569 .83134 .48181 .82591 .47461 Metetra
.603 g
.82591 .47461 .83134 .48181 .84436 .47792 .83898 .47068 Metetra
.603 g
.83898 .47068 .84436 .47792 .85744 .47401 .8521 .46674 Metetra
.603 g
.8521 .46674 .85744 .47401 .87058 .47008 .86529 .46278 Metetra
.603 g
.86529 .46278 .87058 .47008 .88379 .46613 .87853 .4588 Metetra
.603 g
.87853 .4588 .88379 .46613 .89705 .46217 .89184 .4548 Metetra
.603 g
.89184 .4548 .89705 .46217 .91037 .45818 .9052 .45078 Metetra
.603 g
.9052 .45078 .91037 .45818 .92375 .45418 .91863 .44675 Metetra
.603 g
.91863 .44675 .92375 .45418 .93719 .45016 .93212 .4427 Metetra
.603 g
.32963 .61559 .3365 .62168 .34745 .61838 .34061 .61227 Metetra
.603 g
.34061 .61227 .34745 .61838 .35845 .61508 .35163 .60894 Metetra
.603 g
.35163 .60894 .35845 .61508 .36949 .61176 .3627 .6056 Metetra
.603 g
.3627 .6056 .36949 .61176 .38058 .60843 .37382 .60224 Metetra
.603 g
.37382 .60224 .38058 .60843 .39172 .60508 .38498 .59887 Metetra
.603 g
.38498 .59887 .39172 .60508 .4029 .60172 .39619 .59548 Metetra
.603 g
.39619 .59548 .4029 .60172 .41412 .59835 .40745 .59208 Metetra
.603 g
.40745 .59208 .41412 .59835 .4254 .59496 .41876 .58867 Metetra
.603 g
.41876 .58867 .4254 .59496 .43672 .59156 .43011 .58524 Metetra
.603 g
.43011 .58524 .43672 .59156 .44809 .58814 .44151 .5818 Metetra
.603 g
.44151 .5818 .44809 .58814 .45951 .58471 .45296 .57834 Metetra
.603 g
.45296 .57834 .45951 .58471 .47098 .58127 .46446 .57487 Metetra
.603 g
.46446 .57487 .47098 .58127 .48249 .57781 .476 .57138 Metetra
.603 g
.476 .57138 .48249 .57781 .49405 .57433 .4876 .56788 Metetra
.603 g
.4876 .56788 .49405 .57433 .50567 .57084 .49924 .56436 Metetra
.603 g
.49924 .56436 .50567 .57084 .51733 .56734 .51094 .56083 Metetra
.603 g
.51094 .56083 .51733 .56734 .52904 .56382 .52268 .55728 Metetra
.603 g
.52268 .55728 .52904 .56382 .5408 .56028 .53447 .55372 Metetra
.603 g
.53447 .55372 .5408 .56028 .55261 .55673 .54632 .55014 Metetra
.603 g
.54632 .55014 .55261 .55673 .56448 .55317 .55822 .54655 Metetra
.603 g
.55822 .54655 .56448 .55317 .57639 .54959 .57016 .54294 Metetra
.603 g
.57016 .54294 .57639 .54959 .58836 .54599 .58216 .53932 Metetra
.603 g
.58216 .53932 .58836 .54599 .60037 .54238 .59421 .53568 Metetra
.603 g
.59421 .53568 .60037 .54238 .61244 .53876 .60632 .53202 Metetra
.603 g
.60632 .53202 .61244 .53876 .62456 .53511 .61847 .52835 Metetra
.603 g
.61847 .52835 .62456 .53511 .63674 .53146 .63068 .52466 Metetra
.603 g
.63068 .52466 .63674 .53146 .64896 .52778 .64295 .52096 Metetra
.603 g
.64295 .52096 .64896 .52778 .66124 .52409 .65526 .51724 Metetra
.603 g
.65526 .51724 .66124 .52409 .67358 .52039 .66764 .5135 Metetra
.603 g
.66764 .5135 .67358 .52039 .68597 .51666 .68006 .50975 Metetra
.603 g
.68006 .50975 .68597 .51666 .69841 .51292 .69254 .50598 Metetra
.603 g
.69254 .50598 .69841 .51292 .71091 .50917 .70508 .50219 Metetra
.603 g
.70508 .50219 .71091 .50917 .72346 .5054 .71767 .49839 Metetra
.603 g
.71767 .49839 .72346 .5054 .73607 .50161 .73032 .49457 Metetra
.603 g
.73032 .49457 .73607 .50161 .74873 .4978 .74302 .49073 Metetra
.603 g
.74302 .49073 .74873 .4978 .76145 .49398 .75578 .48688 Metetra
.603 g
.75578 .48688 .76145 .49398 .77423 .49014 .7686 .48301 Metetra
.603 g
.7686 .48301 .77423 .49014 .78706 .48628 .78147 .47912 Metetra
.603 g
.78147 .47912 .78706 .48628 .79995 .48241 .7944 .47521 Metetra
.603 g
.7944 .47521 .79995 .48241 .8129 .47852 .80739 .47129 Metetra
.603 g
.80739 .47129 .8129 .47852 .82591 .47461 .82044 .46735 Metetra
.603 g
.82044 .46735 .82591 .47461 .83898 .47068 .83355 .46339 Metetra
.603 g
.83355 .46339 .83898 .47068 .8521 .46674 .84672 .45941 Metetra
.603 g
.84672 .45941 .8521 .46674 .86529 .46278 .85995 .45542 Metetra
.603 g
.85995 .45542 .86529 .46278 .87853 .4588 .87323 .4514 Metetra
.603 g
.87323 .4514 .87853 .4588 .89184 .4548 .88658 .44737 Metetra
.603 g
.88658 .44737 .89184 .4548 .9052 .45078 .89999 .44332 Metetra
.603 g
.89999 .44332 .9052 .45078 .91863 .44675 .91346 .43925 Metetra
.603 g
.91346 .43925 .91863 .44675 .93212 .4427 .927 .43517 Metetra
.603 g
.3227 .60946 .32963 .61559 .34061 .61227 .33371 .60611 Metetra
.603 g
.33371 .60611 .34061 .61227 .35163 .60894 .34476 .60276 Metetra
.603 g
.34476 .60276 .35163 .60894 .3627 .6056 .35586 .59939 Metetra
.603 g
.35586 .59939 .3627 .6056 .37382 .60224 .36701 .596 Metetra
.603 g
.36701 .596 .37382 .60224 .38498 .59887 .3782 .59261 Metetra
.603 g
.3782 .59261 .38498 .59887 .39619 .59548 .38944 .58919 Metetra
.603 g
.38944 .58919 .39619 .59548 .40745 .59208 .40073 .58577 Metetra
.603 g
.40073 .58577 .40745 .59208 .41876 .58867 .41206 .58233 Metetra
.603 g
.41206 .58233 .41876 .58867 .43011 .58524 .42345 .57887 Metetra
.603 g
.42345 .57887 .43011 .58524 .44151 .5818 .43488 .5754 Metetra
.603 g
.43488 .5754 .44151 .5818 .45296 .57834 .44636 .57192 Metetra
.603 g
.44636 .57192 .45296 .57834 .46446 .57487 .45788 .56842 Metetra
.603 g
.45788 .56842 .46446 .57487 .476 .57138 .46946 .5649 Metetra
.603 g
.46946 .5649 .476 .57138 .4876 .56788 .48109 .56137 Metetra
.603 g
.48109 .56137 .4876 .56788 .49924 .56436 .49276 .55783 Metetra
.603 g
.49276 .55783 .49924 .56436 .51094 .56083 .50449 .55427 Metetra
.603 g
.50449 .55427 .51094 .56083 .52268 .55728 .51627 .55069 Metetra
.603 g
.51627 .55069 .52268 .55728 .53447 .55372 .5281 .5471 Metetra
.603 g
.5281 .5471 .53447 .55372 .54632 .55014 .53997 .5435 Metetra
.603 g
.53997 .5435 .54632 .55014 .55822 .54655 .5519 .53987 Metetra
.603 g
.5519 .53987 .55822 .54655 .57016 .54294 .56389 .53624 Metetra
.603 g
.56389 .53624 .57016 .54294 .58216 .53932 .57592 .53258 Metetra
.603 g
.57592 .53258 .58216 .53932 .59421 .53568 .58801 .52891 Metetra
.603 g
.58801 .52891 .59421 .53568 .60632 .53202 .60015 .52523 Metetra
.603 g
.60015 .52523 .60632 .53202 .61847 .52835 .61234 .52153 Metetra
.603 g
.61234 .52153 .61847 .52835 .63068 .52466 .62458 .51781 Metetra
.603 g
.62458 .51781 .63068 .52466 .64295 .52096 .63688 .51408 Metetra
.603 g
.63688 .51408 .64295 .52096 .65526 .51724 .64924 .51033 Metetra
.603 g
.64924 .51033 .65526 .51724 .66764 .5135 .66164 .50656 Metetra
.603 g
.66164 .50656 .66764 .5135 .68006 .50975 .67411 .50278 Metetra
.603 g
.67411 .50278 .68006 .50975 .69254 .50598 .68663 .49897 Metetra
.603 g
.68663 .49897 .69254 .50598 .70508 .50219 .6992 .49516 Metetra
.603 g
.6992 .49516 .70508 .50219 .71767 .49839 .71183 .49132 Metetra
.603 g
.71183 .49132 .71767 .49839 .73032 .49457 .72452 .48747 Metetra
.603 g
.72452 .48747 .73032 .49457 .74302 .49073 .73726 .4836 Metetra
.603 g
.73726 .4836 .74302 .49073 .75578 .48688 .75006 .47972 Metetra
.603 g
.75006 .47972 .75578 .48688 .7686 .48301 .76292 .47581 Metetra
.603 g
.76292 .47581 .7686 .48301 .78147 .47912 .77583 .47189 Metetra
.603 g
.77583 .47189 .78147 .47912 .7944 .47521 .7888 .46796 Metetra
.603 g
.7888 .46796 .7944 .47521 .80739 .47129 .80184 .464 Metetra
.603 g
.80184 .464 .80739 .47129 .82044 .46735 .81493 .46002 Metetra
.603 g
.81493 .46002 .82044 .46735 .83355 .46339 .82808 .45603 Metetra
.603 g
.82808 .45603 .83355 .46339 .84672 .45941 .84129 .45202 Metetra
.603 g
.84129 .45202 .84672 .45941 .85995 .45542 .85456 .44799 Metetra
.603 g
.85456 .44799 .85995 .45542 .87323 .4514 .86789 .44395 Metetra
.603 g
.86789 .44395 .87323 .4514 .88658 .44737 .88129 .43988 Metetra
.603 g
.88129 .43988 .88658 .44737 .89999 .44332 .89474 .4358 Metetra
.603 g
.89474 .4358 .89999 .44332 .91346 .43925 .90826 .43169 Metetra
.603 g
.90826 .43169 .91346 .43925 .927 .43517 .92183 .42757 Metetra
.603 g
.31572 .60328 .3227 .60946 .33371 .60611 .32676 .59991 Metetra
.603 g
.32676 .59991 .33371 .60611 .34476 .60276 .33784 .59653 Metetra
.603 g
.33784 .59653 .34476 .60276 .35586 .59939 .34897 .59313 Metetra
.603 g
.34897 .59313 .35586 .59939 .36701 .596 .36014 .58972 Metetra
.603 g
.36014 .58972 .36701 .596 .3782 .59261 .37137 .5863 Metetra
.603 g
.37137 .5863 .3782 .59261 .38944 .58919 .38263 .58286 Metetra
.603 g
.38263 .58286 .38944 .58919 .40073 .58577 .39395 .5794 Metetra
.603 g
.39395 .5794 .40073 .58577 .41206 .58233 .40532 .57594 Metetra
.603 g
.40532 .57594 .41206 .58233 .42345 .57887 .41673 .57245 Metetra
.603 g
.41673 .57245 .42345 .57887 .43488 .5754 .42819 .56896 Metetra
.603 g
.42819 .56896 .43488 .5754 .44636 .57192 .4397 .56544 Metetra
.603 g
.4397 .56544 .44636 .57192 .45788 .56842 .45126 .56192 Metetra
.603 g
.45126 .56192 .45788 .56842 .46946 .5649 .46287 .55837 Metetra
.603 g
.46287 .55837 .46946 .5649 .48109 .56137 .47453 .55482 Metetra
.603 g
.47453 .55482 .48109 .56137 .49276 .55783 .48624 .55124 Metetra
.603 g
.48624 .55124 .49276 .55783 .50449 .55427 .49799 .54766 Metetra
.603 g
.49799 .54766 .50449 .55427 .51627 .55069 .5098 .54405 Metetra
.603 g
.5098 .54405 .51627 .55069 .5281 .5471 .52167 .54043 Metetra
.603 g
.52167 .54043 .5281 .5471 .53997 .5435 .53358 .5368 Metetra
.603 g
.53358 .5368 .53997 .5435 .5519 .53987 .54554 .53315 Metetra
.603 g
.54554 .53315 .5519 .53987 .56389 .53624 .55756 .52948 Metetra
.603 g
.55756 .52948 .56389 .53624 .57592 .53258 .56963 .5258 Metetra
.603 g
.56963 .5258 .57592 .53258 .58801 .52891 .58175 .5221 Metetra
.603 g
.58175 .5221 .58801 .52891 .60015 .52523 .59392 .51838 Metetra
.603 g
.59392 .51838 .60015 .52523 .61234 .52153 .60615 .51465 Metetra
.603 g
.60615 .51465 .61234 .52153 .62458 .51781 .61843 .5109 Metetra
.603 g
.61843 .5109 .62458 .51781 .63688 .51408 .63077 .50714 Metetra
.603 g
.63077 .50714 .63688 .51408 .64924 .51033 .64316 .50336 Metetra
.603 g
.64316 .50336 .64924 .51033 .66164 .50656 .6556 .49956 Metetra
.603 g
.6556 .49956 .66164 .50656 .67411 .50278 .66811 .49575 Metetra
.603 g
.66811 .49575 .67411 .50278 .68663 .49897 .68066 .49191 Metetra
.603 g
.68066 .49191 .68663 .49897 .6992 .49516 .69327 .48807 Metetra
.603 g
.69327 .48807 .6992 .49516 .71183 .49132 .70594 .4842 Metetra
.603 g
.70594 .4842 .71183 .49132 .72452 .48747 .71867 .48032 Metetra
.603 g
.71867 .48032 .72452 .48747 .73726 .4836 .73145 .47642 Metetra
.603 g
.73145 .47642 .73726 .4836 .75006 .47972 .74429 .4725 Metetra
.603 g
.74429 .4725 .75006 .47972 .76292 .47581 .75719 .46856 Metetra
.603 g
.75719 .46856 .76292 .47581 .77583 .47189 .77014 .46461 Metetra
.603 g
.77014 .46461 .77583 .47189 .7888 .46796 .78316 .46064 Metetra
.603 g
.78316 .46064 .7888 .46796 .80184 .464 .79623 .45665 Metetra
.603 g
.79623 .45665 .80184 .464 .81493 .46002 .80937 .45264 Metetra
.603 g
.80937 .45264 .81493 .46002 .82808 .45603 .82256 .44861 Metetra
.603 g
.82256 .44861 .82808 .45603 .84129 .45202 .83581 .44457 Metetra
.603 g
.83581 .44457 .84129 .45202 .85456 .44799 .84913 .44051 Metetra
.603 g
.84913 .44051 .85456 .44799 .86789 .44395 .86251 .43642 Metetra
.603 g
.86251 .43642 .86789 .44395 .88129 .43988 .87594 .43232 Metetra
.603 g
.87594 .43232 .88129 .43988 .89474 .4358 .88944 .42821 Metetra
.603 g
.88944 .42821 .89474 .4358 .90826 .43169 .903 .42407 Metetra
.603 g
.903 .42407 .90826 .43169 .92183 .42757 .91663 .41991 Metetra
.603 g
.30869 .59705 .31572 .60328 .32676 .59991 .31975 .59365 Metetra
.603 g
.31975 .59365 .32676 .59991 .33784 .59653 .33086 .59025 Metetra
.603 g
.33086 .59025 .33784 .59653 .34897 .59313 .34202 .58682 Metetra
.603 g
.34202 .58682 .34897 .59313 .36014 .58972 .35323 .58339 Metetra
.603 g
.35323 .58339 .36014 .58972 .37137 .5863 .36448 .57994 Metetra
.603 g
.36448 .57994 .37137 .5863 .38263 .58286 .37577 .57647 Metetra
.603 g
.37577 .57647 .38263 .58286 .39395 .5794 .38712 .57299 Metetra
.603 g
.38712 .57299 .39395 .5794 .40532 .57594 .39852 .5695 Metetra
.603 g
.39852 .5695 .40532 .57594 .41673 .57245 .40996 .56599 Metetra
.603 g
.40996 .56599 .41673 .57245 .42819 .56896 .42145 .56246 Metetra
.603 g
.42145 .56246 .42819 .56896 .4397 .56544 .43299 .55892 Metetra
.603 g
.43299 .55892 .4397 .56544 .45126 .56192 .44458 .55536 Metetra
.603 g
.44458 .55536 .45126 .56192 .46287 .55837 .45622 .55179 Metetra
.603 g
.45622 .55179 .46287 .55837 .47453 .55482 .46791 .54821 Metetra
.603 g
.46791 .54821 .47453 .55482 .48624 .55124 .47966 .54461 Metetra
.603 g
.47966 .54461 .48624 .55124 .49799 .54766 .49145 .54099 Metetra
.603 g
.49145 .54099 .49799 .54766 .5098 .54405 .50329 .53736 Metetra
.603 g
.50329 .53736 .5098 .54405 .52167 .54043 .51518 .53371 Metetra
.603 g
.51518 .53371 .52167 .54043 .53358 .5368 .52713 .53004 Metetra
.603 g
.52713 .53004 .53358 .5368 .54554 .53315 .53913 .52636 Metetra
.603 g
.53913 .52636 .54554 .53315 .55756 .52948 .55118 .52267 Metetra
.603 g
.55118 .52267 .55756 .52948 .56963 .5258 .56328 .51896 Metetra
.603 g
.56328 .51896 .56963 .5258 .58175 .5221 .57544 .51523 Metetra
.603 g
.57544 .51523 .58175 .5221 .59392 .51838 .58765 .51148 Metetra
.603 g
.58765 .51148 .59392 .51838 .60615 .51465 .59991 .50772 Metetra
.603 g
.59991 .50772 .60615 .51465 .61843 .5109 .61223 .50394 Metetra
.603 g
.61223 .50394 .61843 .5109 .63077 .50714 .6246 .50015 Metetra
.603 g
.6246 .50015 .63077 .50714 .64316 .50336 .63703 .49633 Metetra
.603 g
.63703 .49633 .64316 .50336 .6556 .49956 .64951 .49251 Metetra
.603 g
.64951 .49251 .6556 .49956 .66811 .49575 .66205 .48866 Metetra
.603 g
.66205 .48866 .66811 .49575 .68066 .49191 .67465 .4848 Metetra
.603 g
.67465 .4848 .68066 .49191 .69327 .48807 .6873 .48092 Metetra
.603 g
.6873 .48092 .69327 .48807 .70594 .4842 .70001 .47702 Metetra
.603 g
.70001 .47702 .70594 .4842 .71867 .48032 .71277 .4731 Metetra
.603 g
.71277 .4731 .71867 .48032 .73145 .47642 .72559 .46917 Metetra
.603 g
.72559 .46917 .73145 .47642 .74429 .4725 .73847 .46522 Metetra
.603 g
.73847 .46522 .74429 .4725 .75719 .46856 .75141 .46125 Metetra
.603 g
.75141 .46125 .75719 .46856 .77014 .46461 .76441 .45726 Metetra
.603 g
.76441 .45726 .77014 .46461 .78316 .46064 .77747 .45326 Metetra
.603 g
.77747 .45326 .78316 .46064 .79623 .45665 .79058 .44923 Metetra
.603 g
.79058 .44923 .79623 .45665 .80937 .45264 .80376 .44519 Metetra
.603 g
.80376 .44519 .80937 .45264 .82256 .44861 .817 .44113 Metetra
.603 g
.817 .44113 .82256 .44861 .83581 .44457 .83029 .43705 Metetra
.603 g
.83029 .43705 .83581 .44457 .84913 .44051 .84365 .43296 Metetra
.603 g
.84365 .43296 .84913 .44051 .86251 .43642 .85707 .42884 Metetra
.603 g
.85707 .42884 .86251 .43642 .87594 .43232 .87055 .4247 Metetra
.603 g
.87055 .4247 .87594 .43232 .88944 .42821 .8841 .42055 Metetra
.603 g
.8841 .42055 .88944 .42821 .903 .42407 .89771 .41638 Metetra
.603 g
.89771 .41638 .903 .42407 .91663 .41991 .91138 .41218 Metetra
.603 g
.30161 .59077 .30869 .59705 .31975 .59365 .3127 .58735 Metetra
.603 g
.3127 .58735 .31975 .59365 .33086 .59025 .32383 .58392 Metetra
.603 g
.32383 .58392 .33086 .59025 .34202 .58682 .33502 .58047 Metetra
.603 g
.33502 .58047 .34202 .58682 .35323 .58339 .34625 .577 Metetra
.603 g
.34625 .577 .35323 .58339 .36448 .57994 .35753 .57353 Metetra
.603 g
.35753 .57353 .36448 .57994 .37577 .57647 .36886 .57003 Metetra
.603 g
.36886 .57003 .37577 .57647 .38712 .57299 .38024 .56653 Metetra
.603 g
.38024 .56653 .38712 .57299 .39852 .5695 .39166 .563 Metetra
.603 g
.39166 .563 .39852 .5695 .40996 .56599 .40314 .55947 Metetra
.603 g
.40314 .55947 .40996 .56599 .42145 .56246 .41466 .55591 Metetra
.603 g
.41466 .55591 .42145 .56246 .43299 .55892 .42623 .55234 Metetra
.603 g
.42623 .55234 .43299 .55892 .44458 .55536 .43785 .54876 Metetra
.603 g
.43785 .54876 .44458 .55536 .45622 .55179 .44953 .54516 Metetra
.603 g
.44953 .54516 .45622 .55179 .46791 .54821 .46125 .54155 Metetra
.603 g
.46125 .54155 .46791 .54821 .47966 .54461 .47302 .53792 Metetra
.603 g
.47302 .53792 .47966 .54461 .49145 .54099 .48485 .53427 Metetra
.603 g
.48485 .53427 .49145 .54099 .50329 .53736 .49672 .53061 Metetra
.603 g
.49672 .53061 .50329 .53736 .51518 .53371 .50865 .52693 Metetra
.603 g
.50865 .52693 .51518 .53371 .52713 .53004 .52063 .52324 Metetra
.603 g
.52063 .52324 .52713 .53004 .53913 .52636 .53266 .51953 Metetra
.603 g
.53266 .51953 .53913 .52636 .55118 .52267 .54475 .5158 Metetra
.603 g
.54475 .5158 .55118 .52267 .56328 .51896 .55689 .51206 Metetra
.603 g
.55689 .51206 .56328 .51896 .57544 .51523 .56908 .5083 Metetra
.603 g
.56908 .5083 .57544 .51523 .58765 .51148 .58133 .50452 Metetra
.603 g
.58133 .50452 .58765 .51148 .59991 .50772 .59363 .50073 Metetra
.603 g
.59363 .50073 .59991 .50772 .61223 .50394 .60598 .49692 Metetra
.603 g
.60598 .49692 .61223 .50394 .6246 .50015 .61839 .4931 Metetra
.603 g
.61839 .4931 .6246 .50015 .63703 .49633 .63085 .48925 Metetra
.603 g
.63085 .48925 .63703 .49633 .64951 .49251 .64337 .48539 Metetra
.603 g
.64337 .48539 .64951 .49251 .66205 .48866 .65595 .48151 Metetra
.603 g
.65595 .48151 .66205 .48866 .67465 .4848 .66858 .47762 Metetra
.603 g
.66858 .47762 .67465 .4848 .6873 .48092 .68127 .47371 Metetra
.603 g
.68127 .47371 .6873 .48092 .70001 .47702 .69402 .46978 Metetra
.603 g
.69402 .46978 .70001 .47702 .71277 .4731 .70683 .46583 Metetra
.603 g
.70683 .46583 .71277 .4731 .72559 .46917 .71969 .46186 Metetra
.603 g
.71969 .46186 .72559 .46917 .73847 .46522 .73261 .45788 Metetra
.603 g
.73261 .45788 .73847 .46522 .75141 .46125 .74559 .45387 Metetra
.603 g
.74559 .45387 .75141 .46125 .76441 .45726 .75863 .44985 Metetra
.603 g
.75863 .44985 .76441 .45726 .77747 .45326 .77173 .44582 Metetra
.603 g
.77173 .44582 .77747 .45326 .79058 .44923 .78489 .44176 Metetra
.603 g
.78489 .44176 .79058 .44923 .80376 .44519 .7981 .43768 Metetra
.603 g
.7981 .43768 .80376 .44519 .817 .44113 .81138 .43359 Metetra
.603 g
.81138 .43359 .817 .44113 .83029 .43705 .82472 .42947 Metetra
.603 g
.82472 .42947 .83029 .43705 .84365 .43296 .83813 .42534 Metetra
.603 g
.83813 .42534 .84365 .43296 .85707 .42884 .85159 .42119 Metetra
.603 g
.85159 .42119 .85707 .42884 .87055 .4247 .86512 .41702 Metetra
.603 g
.86512 .41702 .87055 .4247 .8841 .42055 .87871 .41283 Metetra
.603 g
.87871 .41283 .8841 .42055 .89771 .41638 .89236 .40862 Metetra
.603 g
.89236 .40862 .89771 .41638 .91138 .41218 .90608 .40439 Metetra
.603 g
.29446 .58445 .30161 .59077 .3127 .58735 .30558 .581 Metetra
.603 g
.30558 .581 .3127 .58735 .32383 .58392 .31675 .57754 Metetra
.603 g
.31675 .57754 .32383 .58392 .33502 .58047 .32796 .57406 Metetra
.603 g
.32796 .57406 .33502 .58047 .34625 .577 .33923 .57057 Metetra
.603 g
.33923 .57057 .34625 .577 .35753 .57353 .35054 .56707 Metetra
.603 g
.35054 .56707 .35753 .57353 .36886 .57003 .36189 .56355 Metetra
.603 g
.36189 .56355 .36886 .57003 .38024 .56653 .3733 .56001 Metetra
.603 g
.3733 .56001 .38024 .56653 .39166 .563 .38475 .55646 Metetra
.603 g
.38475 .55646 .39166 .563 .40314 .55947 .39626 .55289 Metetra
.603 g
.39626 .55289 .40314 .55947 .41466 .55591 .40781 .54931 Metetra
.603 g
.40781 .54931 .41466 .55591 .42623 .55234 .41942 .54572 Metetra
.603 g
.41942 .54572 .42623 .55234 .43785 .54876 .43107 .5421 Metetra
.603 g
.43107 .5421 .43785 .54876 .44953 .54516 .44278 .53848 Metetra
.603 g
.44278 .53848 .44953 .54516 .46125 .54155 .45453 .53483 Metetra
.603 g
.45453 .53483 .46125 .54155 .47302 .53792 .46634 .53117 Metetra
.603 g
.46634 .53117 .47302 .53792 .48485 .53427 .47819 .5275 Metetra
.603 g
.47819 .5275 .48485 .53427 .49672 .53061 .4901 .52381 Metetra
.603 g
.4901 .52381 .49672 .53061 .50865 .52693 .50207 .5201 Metetra
.603 g
.50207 .5201 .50865 .52693 .52063 .52324 .51408 .51638 Metetra
.603 g
.51408 .51638 .52063 .52324 .53266 .51953 .52615 .51264 Metetra
.603 g
.52615 .51264 .53266 .51953 .54475 .5158 .53827 .50888 Metetra
.603 g
.53827 .50888 .54475 .5158 .55689 .51206 .55044 .50511 Metetra
.603 g
.55044 .50511 .55689 .51206 .56908 .5083 .56267 .50132 Metetra
.603 g
.56267 .50132 .56908 .5083 .58133 .50452 .57495 .49751 Metetra
.603 g
.57495 .49751 .58133 .50452 .59363 .50073 .58729 .49368 Metetra
.603 g
.58729 .49368 .59363 .50073 .60598 .49692 .59968 .48984 Metetra
.603 g
.59968 .48984 .60598 .49692 .61839 .4931 .61212 .48599 Metetra
.603 g
.61212 .48599 .61839 .4931 .63085 .48925 .62463 .48211 Metetra
.603 g
.62463 .48211 .63085 .48925 .64337 .48539 .63718 .47822 Metetra
.603 g
.63718 .47822 .64337 .48539 .65595 .48151 .6498 .47431 Metetra
.603 g
.6498 .47431 .65595 .48151 .66858 .47762 .66247 .47038 Metetra
.603 g
.66247 .47038 .66858 .47762 .68127 .47371 .6752 .46644 Metetra
.603 g
.6752 .46644 .68127 .47371 .69402 .46978 .68799 .46247 Metetra
.603 g
.68799 .46247 .69402 .46978 .70683 .46583 .70083 .45849 Metetra
.603 g
.70083 .45849 .70683 .46583 .71969 .46186 .71373 .45449 Metetra
.603 g
.71373 .45449 .71969 .46186 .73261 .45788 .7267 .45047 Metetra
.603 g
.7267 .45047 .73261 .45788 .74559 .45387 .73972 .44644 Metetra
.603 g
.73972 .44644 .74559 .45387 .75863 .44985 .7528 .44238 Metetra
.603 g
.7528 .44238 .75863 .44985 .77173 .44582 .76594 .43831 Metetra
.603 g
.76594 .43831 .77173 .44582 .78489 .44176 .77914 .43422 Metetra
.603 g
.77914 .43422 .78489 .44176 .7981 .43768 .7924 .43011 Metetra
.603 g
.7924 .43011 .7981 .43768 .81138 .43359 .80572 .42598 Metetra
.603 g
.80572 .42598 .81138 .43359 .82472 .42947 .81911 .42183 Metetra
.603 g
.81911 .42183 .82472 .42947 .83813 .42534 .83256 .41766 Metetra
.603 g
.83256 .41766 .83813 .42534 .85159 .42119 .84606 .41348 Metetra
.603 g
.84606 .41348 .85159 .42119 .86512 .41702 .85964 .40927 Metetra
.603 g
.85964 .40927 .86512 .41702 .87871 .41283 .87327 .40504 Metetra
.603 g
.87327 .40504 .87871 .41283 .89236 .40862 .88697 .4008 Metetra
.603 g
.88697 .4008 .89236 .40862 .90608 .40439 .90074 .39653 Metetra
.603 g
.28727 .57807 .29446 .58445 .30558 .581 .29841 .5746 Metetra
.603 g
.29841 .5746 .30558 .581 .31675 .57754 .30961 .57111 Metetra
.603 g
.30961 .57111 .31675 .57754 .32796 .57406 .32085 .56761 Metetra
.603 g
.32085 .56761 .32796 .57406 .33923 .57057 .33214 .56409 Metetra
.603 g
.33214 .56409 .33923 .57057 .35054 .56707 .34348 .56056 Metetra
.603 g
.34348 .56056 .35054 .56707 .36189 .56355 .35487 .55701 Metetra
.603 g
.35487 .55701 .36189 .56355 .3733 .56001 .36631 .55344 Metetra
.603 g
.36631 .55344 .3733 .56001 .38475 .55646 .37779 .54987 Metetra
.603 g
.37779 .54987 .38475 .55646 .39626 .55289 .38933 .54627 Metetra
.603 g
.38933 .54627 .39626 .55289 .40781 .54931 .40091 .54266 Metetra
.603 g
.40091 .54266 .40781 .54931 .41942 .54572 .41255 .53904 Metetra
.603 g
.41255 .53904 .41942 .54572 .43107 .5421 .42423 .53539 Metetra
.603 g
.42423 .53539 .43107 .5421 .44278 .53848 .43597 .53174 Metetra
.603 g
.43597 .53174 .44278 .53848 .45453 .53483 .44776 .52806 Metetra
.603 g
.44776 .52806 .45453 .53483 .46634 .53117 .4596 .52438 Metetra
.603 g
.4596 .52438 .46634 .53117 .47819 .5275 .47149 .52067 Metetra
.603 g
.47149 .52067 .47819 .5275 .4901 .52381 .48343 .51695 Metetra
.603 g
.48343 .51695 .4901 .52381 .50207 .5201 .49543 .51321 Metetra
.603 g
.49543 .51321 .50207 .5201 .51408 .51638 .50747 .50946 Metetra
.603 g
.50747 .50946 .51408 .51638 .52615 .51264 .51958 .50569 Metetra
.603 g
.51958 .50569 .52615 .51264 .53827 .50888 .53173 .5019 Metetra
.603 g
.53173 .5019 .53827 .50888 .55044 .50511 .54394 .4981 Metetra
.603 g
.54394 .4981 .55044 .50511 .56267 .50132 .5562 .49427 Metetra
.603 g
.5562 .49427 .56267 .50132 .57495 .49751 .56852 .49044 Metetra
.603 g
.56852 .49044 .57495 .49751 .58729 .49368 .58089 .48658 Metetra
.603 g
.58089 .48658 .58729 .49368 .59968 .48984 .59332 .48271 Metetra
.603 g
.59332 .48271 .59968 .48984 .61212 .48599 .60581 .47882 Metetra
.603 g
.60581 .47882 .61212 .48599 .62463 .48211 .61835 .47491 Metetra
.603 g
.61835 .47491 .62463 .48211 .63718 .47822 .63094 .47099 Metetra
.603 g
.63094 .47099 .63718 .47822 .6498 .47431 .6436 .46704 Metetra
.603 g
.6436 .46704 .6498 .47431 .66247 .47038 .65631 .46308 Metetra
.603 g
.65631 .46308 .66247 .47038 .6752 .46644 .66907 .4591 Metetra
.603 g
.66907 .4591 .6752 .46644 .68799 .46247 .6819 .45511 Metetra
.603 g
.6819 .45511 .68799 .46247 .70083 .45849 .69479 .45109 Metetra
.603 g
.69479 .45109 .70083 .45849 .71373 .45449 .70773 .44706 Metetra
.603 g
.70773 .44706 .71373 .45449 .7267 .45047 .72073 .44301 Metetra
.603 g
.72073 .44301 .7267 .45047 .73972 .44644 .73379 .43894 Metetra
.603 g
.73379 .43894 .73972 .44644 .7528 .44238 .74692 .43485 Metetra
.603 g
.74692 .43485 .7528 .44238 .76594 .43831 .7601 .43074 Metetra
.603 g
.7601 .43074 .76594 .43831 .77914 .43422 .77334 .42662 Metetra
.603 g
.77334 .42662 .77914 .43422 .7924 .43011 .78665 .42247 Metetra
.603 g
.78665 .42247 .7924 .43011 .80572 .42598 .80002 .4183 Metetra
.603 g
.80002 .4183 .80572 .42598 .81911 .42183 .81344 .41412 Metetra
.603 g
.81344 .41412 .81911 .42183 .83256 .41766 .82694 .40992 Metetra
.603 g
.82694 .40992 .83256 .41766 .84606 .41348 .84049 .40569 Metetra
.603 g
.84049 .40569 .84606 .41348 .85964 .40927 .85411 .40145 Metetra
.603 g
.85411 .40145 .85964 .40927 .87327 .40504 .86779 .39719 Metetra
.603 g
.86779 .39719 .87327 .40504 .88697 .4008 .88154 .3929 Metetra
.603 g
.88154 .3929 .88697 .4008 .90074 .39653 .89535 .3886 Metetra
.603 g
.28001 .57165 .28727 .57807 .29841 .5746 .29119 .56815 Metetra
.603 g
.29119 .56815 .29841 .5746 .30961 .57111 .30241 .56463 Metetra
.603 g
.30241 .56463 .30961 .57111 .32085 .56761 .31369 .5611 Metetra
.603 g
.31369 .5611 .32085 .56761 .33214 .56409 .32501 .55755 Metetra
.603 g
.32501 .55755 .33214 .56409 .34348 .56056 .33637 .55399 Metetra
.603 g
.33637 .55399 .34348 .56056 .35487 .55701 .34779 .55042 Metetra
.603 g
.34779 .55042 .35487 .55701 .36631 .55344 .35926 .54682 Metetra
.603 g
.35926 .54682 .36631 .55344 .37779 .54987 .37077 .54322 Metetra
.603 g
.37077 .54322 .37779 .54987 .38933 .54627 .38234 .53959 Metetra
.603 g
.38234 .53959 .38933 .54627 .40091 .54266 .39396 .53596 Metetra
.603 g
.39396 .53596 .40091 .54266 .41255 .53904 .40562 .5323 Metetra
.603 g
.40562 .5323 .41255 .53904 .42423 .53539 .41734 .52863 Metetra
.603 g
.41734 .52863 .42423 .53539 .43597 .53174 .42911 .52494 Metetra
.603 g
.42911 .52494 .43597 .53174 .44776 .52806 .44093 .52124 Metetra
.603 g
.44093 .52124 .44776 .52806 .4596 .52438 .4528 .51752 Metetra
.603 g
.4528 .51752 .4596 .52438 .47149 .52067 .46473 .51379 Metetra
.603 g
.46473 .51379 .47149 .52067 .48343 .51695 .4767 .51004 Metetra
.603 g
.4767 .51004 .48343 .51695 .49543 .51321 .48873 .50627 Metetra
.603 g
.48873 .50627 .49543 .51321 .50747 .50946 .50081 .50248 Metetra
.603 g
.50081 .50248 .50747 .50946 .51958 .50569 .51295 .49868 Metetra
.603 g
.51295 .49868 .51958 .50569 .53173 .5019 .52514 .49486 Metetra
.603 g
.52514 .49486 .53173 .5019 .54394 .4981 .53739 .49103 Metetra
.603 g
.53739 .49103 .54394 .4981 .5562 .49427 .54968 .48718 Metetra
.603 g
.54968 .48718 .5562 .49427 .56852 .49044 .56204 .48331 Metetra
.603 g
.56204 .48331 .56852 .49044 .58089 .48658 .57445 .47942 Metetra
.603 g
.57445 .47942 .58089 .48658 .59332 .48271 .58691 .47551 Metetra
.603 g
.58691 .47551 .59332 .48271 .60581 .47882 .59944 .47159 Metetra
.603 g
.59944 .47159 .60581 .47882 .61835 .47491 .61201 .46765 Metetra
.603 g
.61201 .46765 .61835 .47491 .63094 .47099 .62465 .46369 Metetra
.603 g
.62465 .46369 .63094 .47099 .6436 .46704 .63734 .45972 Metetra
.603 g
.63734 .45972 .6436 .46704 .65631 .46308 .65009 .45572 Metetra
.603 g
.65009 .45572 .65631 .46308 .66907 .4591 .6629 .45171 Metetra
.603 g
.6629 .45171 .66907 .4591 .6819 .45511 .67576 .44768 Metetra
.603 g
.67576 .44768 .6819 .45511 .69479 .45109 .68869 .44363 Metetra
.603 g
.68869 .44363 .69479 .45109 .70773 .44706 .70167 .43957 Metetra
.603 g
.70167 .43957 .70773 .44706 .72073 .44301 .71472 .43548 Metetra
.603 g
.71472 .43548 .72073 .44301 .73379 .43894 .72782 .43138 Metetra
.603 g
.72782 .43138 .73379 .43894 .74692 .43485 .74099 .42725 Metetra
.603 g
.74099 .42725 .74692 .43485 .7601 .43074 .75421 .42311 Metetra
.603 g
.75421 .42311 .7601 .43074 .77334 .42662 .7675 .41895 Metetra
.603 g
.7675 .41895 .77334 .42662 .78665 .42247 .78085 .41477 Metetra
.603 g
.78085 .41477 .78665 .42247 .80002 .4183 .79426 .41056 Metetra
.603 g
.79426 .41056 .80002 .4183 .81344 .41412 .80773 .40634 Metetra
.603 g
.80773 .40634 .81344 .41412 .82694 .40992 .82127 .4021 Metetra
.603 g
.82127 .4021 .82694 .40992 .84049 .40569 .83487 .39784 Metetra
.603 g
.83487 .39784 .84049 .40569 .85411 .40145 .84853 .39356 Metetra
.603 g
.84853 .39356 .85411 .40145 .86779 .39719 .86226 .38926 Metetra
.603 g
.86226 .38926 .86779 .39719 .88154 .3929 .87605 .38494 Metetra
.603 g
.87605 .38494 .88154 .3929 .89535 .3886 .88991 .3806 Metetra
.603 g
.2727 .56517 .28001 .57165 .29119 .56815 .28391 .56164 Metetra
.603 g
.28391 .56164 .29119 .56815 .30241 .56463 .29516 .5581 Metetra
.603 g
.29516 .5581 .30241 .56463 .31369 .5611 .30646 .55454 Metetra
.603 g
.30646 .55454 .31369 .5611 .32501 .55755 .31781 .55097 Metetra
.603 g
.31781 .55097 .32501 .55755 .33637 .55399 .32921 .54738 Metetra
.603 g
.32921 .54738 .33637 .55399 .34779 .55042 .34066 .54377 Metetra
.603 g
.34066 .54377 .34779 .55042 .35926 .54682 .35215 .54015 Metetra
.603 g
.35215 .54015 .35926 .54682 .37077 .54322 .3637 .53652 Metetra
.603 g
.3637 .53652 .37077 .54322 .38234 .53959 .3753 .53286 Metetra
.603 g
.3753 .53286 .38234 .53959 .39396 .53596 .38695 .5292 Metetra
.603 g
.38695 .5292 .39396 .53596 .40562 .5323 .39864 .52551 Metetra
.603 g
.39864 .52551 .40562 .5323 .41734 .52863 .41039 .52181 Metetra
.603 g
.41039 .52181 .41734 .52863 .42911 .52494 .42219 .5181 Metetra
.603 g
.42219 .5181 .42911 .52494 .44093 .52124 .43405 .51436 Metetra
.603 g
.43405 .51436 .44093 .52124 .4528 .51752 .44595 .51061 Metetra
.603 g
.44595 .51061 .4528 .51752 .46473 .51379 .45791 .50685 Metetra
.603 g
.45791 .50685 .46473 .51379 .4767 .51004 .46992 .50307 Metetra
.603 g
.46992 .50307 .4767 .51004 .48873 .50627 .48198 .49927 Metetra
.603 g
.48198 .49927 .48873 .50627 .50081 .50248 .4941 .49545 Metetra
.603 g
.4941 .49545 .50081 .50248 .51295 .49868 .50627 .49162 Metetra
.603 g
.50627 .49162 .51295 .49868 .52514 .49486 .5185 .48777 Metetra
.603 g
.5185 .48777 .52514 .49486 .53739 .49103 .53078 .4839 Metetra
.603 g
.53078 .4839 .53739 .49103 .54968 .48718 .54311 .48002 Metetra
.603 g
.54311 .48002 .54968 .48718 .56204 .48331 .5555 .47612 Metetra
.603 g
.5555 .47612 .56204 .48331 .57445 .47942 .56795 .4722 Metetra
.603 g
.56795 .4722 .57445 .47942 .58691 .47551 .58045 .46826 Metetra
.603 g
.58045 .46826 .58691 .47551 .59944 .47159 .59301 .4643 Metetra
.603 g
.59301 .4643 .59944 .47159 .61201 .46765 .60563 .46033 Metetra
.603 g
.60563 .46033 .61201 .46765 .62465 .46369 .6183 .45634 Metetra
.603 g
.6183 .45634 .62465 .46369 .63734 .45972 .63103 .45233 Metetra
.603 g
.63103 .45233 .63734 .45972 .65009 .45572 .64382 .4483 Metetra
.603 g
.64382 .4483 .65009 .45572 .6629 .45171 .65667 .44426 Metetra
.603 g
.65667 .44426 .6629 .45171 .67576 .44768 .66957 .44019 Metetra
.603 g
.66957 .44019 .67576 .44768 .68869 .44363 .68254 .43611 Metetra
.603 g
.68254 .43611 .68869 .44363 .70167 .43957 .69557 .43201 Metetra
.603 g
.69557 .43201 .70167 .43957 .71472 .43548 .70865 .42789 Metetra
.603 g
.70865 .42789 .71472 .43548 .72782 .43138 .7218 .42375 Metetra
.603 g
.7218 .42375 .72782 .43138 .74099 .42725 .735 .41959 Metetra
.603 g
.735 .41959 .74099 .42725 .75421 .42311 .74827 .41541 Metetra
.603 g
.74827 .41541 .75421 .42311 .7675 .41895 .7616 .41121 Metetra
.603 g
.7616 .41121 .7675 .41895 .78085 .41477 .77499 .40699 Metetra
.603 g
.77499 .40699 .78085 .41477 .79426 .41056 .78845 .40276 Metetra
.603 g
.78845 .40276 .79426 .41056 .80773 .40634 .80197 .3985 Metetra
.603 g
.80197 .3985 .80773 .40634 .82127 .4021 .81555 .39422 Metetra
.603 g
.81555 .39422 .82127 .4021 .83487 .39784 .8292 .38993 Metetra
.603 g
.8292 .38993 .83487 .39784 .84853 .39356 .84291 .38561 Metetra
.603 g
.84291 .38561 .84853 .39356 .86226 .38926 .85668 .38127 Metetra
.603 g
.85668 .38127 .86226 .38926 .87605 .38494 .87052 .37691 Metetra
.603 g
.87052 .37691 .87605 .38494 .88991 .3806 .88443 .37253 Metetra
.603 g
.26533 .55865 .2727 .56517 .28391 .56164 .27657 .55509 Metetra
.603 g
.27657 .55509 .28391 .56164 .29516 .5581 .28785 .55152 Metetra
.603 g
.28785 .55152 .29516 .5581 .30646 .55454 .29918 .54793 Metetra
.603 g
.29918 .54793 .30646 .55454 .31781 .55097 .31056 .54433 Metetra
.603 g
.31056 .54433 .31781 .55097 .32921 .54738 .32199 .54071 Metetra
.603 g
.32199 .54071 .32921 .54738 .34066 .54377 .33346 .53708 Metetra
.603 g
.33346 .53708 .34066 .54377 .35215 .54015 .34499 .53343 Metetra
.603 g
.34499 .53343 .35215 .54015 .3637 .53652 .35657 .52976 Metetra
.603 g
.35657 .52976 .3637 .53652 .3753 .53286 .3682 .52608 Metetra
.603 g
.3682 .52608 .3753 .53286 .38695 .5292 .37988 .52238 Metetra
.603 g
.37988 .52238 .38695 .5292 .39864 .52551 .39161 .51867 Metetra
.603 g
.39161 .51867 .39864 .52551 .41039 .52181 .40339 .51494 Metetra
.603 g
.40339 .51494 .41039 .52181 .42219 .5181 .41522 .51119 Metetra
.603 g
.41522 .51119 .42219 .5181 .43405 .51436 .42711 .50743 Metetra
.603 g
.42711 .50743 .43405 .51436 .44595 .51061 .43905 .50365 Metetra
.603 g
.43905 .50365 .44595 .51061 .45791 .50685 .45104 .49985 Metetra
.603 g
.45104 .49985 .45791 .50685 .46992 .50307 .46308 .49604 Metetra
.603 g
.46308 .49604 .46992 .50307 .48198 .49927 .47518 .49221 Metetra
.603 g
.47518 .49221 .48198 .49927 .4941 .49545 .48733 .48836 Metetra
.603 g
.48733 .48836 .4941 .49545 .50627 .49162 .49954 .4845 Metetra
.603 g
.49954 .4845 .50627 .49162 .5185 .48777 .5118 .48062 Metetra
.603 g
.5118 .48062 .5185 .48777 .53078 .4839 .52412 .47672 Metetra
.603 g
.52412 .47672 .53078 .4839 .54311 .48002 .53649 .4728 Metetra
.603 g
.53649 .4728 .54311 .48002 .5555 .47612 .54891 .46887 Metetra
.603 g
.54891 .46887 .5555 .47612 .56795 .4722 .5614 .46491 Metetra
.603 g
.5614 .46491 .56795 .4722 .58045 .46826 .57394 .46094 Metetra
.603 g
.57394 .46094 .58045 .46826 .59301 .4643 .58653 .45696 Metetra
.603 g
.58653 .45696 .59301 .4643 .60563 .46033 .59919 .45295 Metetra
.603 g
.59919 .45295 .60563 .46033 .6183 .45634 .6119 .44892 Metetra
.603 g
.6119 .44892 .6183 .45634 .63103 .45233 .62467 .44488 Metetra
.603 g
.62467 .44488 .63103 .45233 .64382 .4483 .6375 .44082 Metetra
.603 g
.6375 .44082 .64382 .4483 .65667 .44426 .65039 .43674 Metetra
.603 g
.65039 .43674 .65667 .44426 .66957 .44019 .66333 .43264 Metetra
.603 g
.66333 .43264 .66957 .44019 .68254 .43611 .67634 .42852 Metetra
.603 g
.67634 .42852 .68254 .43611 .69557 .43201 .68941 .42439 Metetra
.603 g
.68941 .42439 .69557 .43201 .70865 .42789 .70253 .42023 Metetra
.603 g
.70253 .42023 .70865 .42789 .7218 .42375 .71572 .41605 Metetra
.603 g
.71572 .41605 .7218 .42375 .735 .41959 .72897 .41186 Metetra
.603 g
.72897 .41186 .735 .41959 .74827 .41541 .74228 .40765 Metetra
.603 g
.74228 .40765 .74827 .41541 .7616 .41121 .75566 .40341 Metetra
.603 g
.75566 .40341 .7616 .41121 .77499 .40699 .76909 .39916 Metetra
.603 g
.76909 .39916 .77499 .40699 .78845 .40276 .78259 .39488 Metetra
.603 g
.78259 .39488 .78845 .40276 .80197 .3985 .79616 .39059 Metetra
.603 g
.79616 .39059 .80197 .3985 .81555 .39422 .80978 .38627 Metetra
.603 g
.80978 .38627 .81555 .39422 .8292 .38993 .82347 .38194 Metetra
.603 g
.82347 .38194 .8292 .38993 .84291 .38561 .83723 .37758 Metetra
.603 g
.83723 .37758 .84291 .38561 .85668 .38127 .85105 .37321 Metetra
.603 g
.85105 .37321 .85668 .38127 .87052 .37691 .86494 .36881 Metetra
.603 g
.86494 .36881 .87052 .37691 .88443 .37253 .8789 .36439 Metetra
.603 g
.25791 .55207 .26533 .55865 .27657 .55509 .26917 .54848 Metetra
.603 g
.26917 .54848 .27657 .55509 .28785 .55152 .28048 .54488 Metetra
.603 g
.28048 .54488 .28785 .55152 .29918 .54793 .29184 .54127 Metetra
.603 g
.29184 .54127 .29918 .54793 .31056 .54433 .30325 .53764 Metetra
.603 g
.30325 .53764 .31056 .54433 .32199 .54071 .31471 .53399 Metetra
.603 g
.31471 .53399 .32199 .54071 .33346 .53708 .32621 .53033 Metetra
.603 g
.32621 .53033 .33346 .53708 .34499 .53343 .33777 .52665 Metetra
.603 g
.33777 .52665 .34499 .53343 .35657 .52976 .34938 .52295 Metetra
.603 g
.34938 .52295 .35657 .52976 .3682 .52608 .36104 .51924 Metetra
.603 g
.36104 .51924 .3682 .52608 .37988 .52238 .37275 .51551 Metetra
.603 g
.37275 .51551 .37988 .52238 .39161 .51867 .38451 .51177 Metetra
.603 g
.38451 .51177 .39161 .51867 .40339 .51494 .39633 .50801 Metetra
.603 g
.39633 .50801 .40339 .51494 .41522 .51119 .40819 .50423 Metetra
.603 g
.40819 .50423 .41522 .51119 .42711 .50743 .42011 .50044 Metetra
.603 g
.42011 .50044 .42711 .50743 .43905 .50365 .43208 .49663 Metetra
.603 g
.43208 .49663 .43905 .50365 .45104 .49985 .44411 .4928 Metetra
.603 g
.44411 .4928 .45104 .49985 .46308 .49604 .45619 .48896 Metetra
.603 g
.45619 .48896 .46308 .49604 .47518 .49221 .46832 .48509 Metetra
.603 g
.46832 .48509 .47518 .49221 .48733 .48836 .48051 .48121 Metetra
.603 g
.48051 .48121 .48733 .48836 .49954 .4845 .49275 .47732 Metetra
.603 g
.49275 .47732 .49954 .4845 .5118 .48062 .50505 .4734 Metetra
.603 g
.50505 .4734 .5118 .48062 .52412 .47672 .5174 .46947 Metetra
.603 g
.5174 .46947 .52412 .47672 .53649 .4728 .52981 .46552 Metetra
.603 g
.52981 .46552 .53649 .4728 .54891 .46887 .54227 .46156 Metetra
.603 g
.54227 .46156 .54891 .46887 .5614 .46491 .55479 .45757 Metetra
.603 g
.55479 .45757 .5614 .46491 .57394 .46094 .56737 .45357 Metetra
.603 g
.56737 .45357 .57394 .46094 .58653 .45696 .58 .44954 Metetra
.603 g
.58 .44954 .58653 .45696 .59919 .45295 .59269 .4455 Metetra
.603 g
.59269 .4455 .59919 .45295 .6119 .44892 .60545 .44145 Metetra
.603 g
.60545 .44145 .6119 .44892 .62467 .44488 .61825 .43737 Metetra
.603 g
.61825 .43737 .62467 .44488 .6375 .44082 .63112 .43327 Metetra
.603 g
.63112 .43327 .6375 .44082 .65039 .43674 .64405 .42916 Metetra
.603 g
.64405 .42916 .65039 .43674 .66333 .43264 .65704 .42502 Metetra
.603 g
.65704 .42502 .66333 .43264 .67634 .42852 .67009 .42087 Metetra
.603 g
.67009 .42087 .67634 .42852 .68941 .42439 .68319 .4167 Metetra
.603 g
.68319 .4167 .68941 .42439 .70253 .42023 .69636 .41251 Metetra
.603 g
.69636 .41251 .70253 .42023 .71572 .41605 .70959 .40829 Metetra
.603 g
.70959 .40829 .71572 .41605 .72897 .41186 .72289 .40406 Metetra
.603 g
.72289 .40406 .72897 .41186 .74228 .40765 .73624 .39981 Metetra
.603 g
.73624 .39981 .74228 .40765 .75566 .40341 .74966 .39554 Metetra
.603 g
.74966 .39554 .75566 .40341 .76909 .39916 .76314 .39125 Metetra
.603 g
.76314 .39125 .76909 .39916 .78259 .39488 .77668 .38694 Metetra
.603 g
.77668 .38694 .78259 .39488 .79616 .39059 .79029 .38261 Metetra
.603 g
.79029 .38261 .79616 .39059 .80978 .38627 .80396 .37826 Metetra
.603 g
.80396 .37826 .80978 .38627 .82347 .38194 .8177 .37388 Metetra
.603 g
.8177 .37388 .82347 .38194 .83723 .37758 .83151 .36949 Metetra
.603 g
.83151 .36949 .83723 .37758 .85105 .37321 .84538 .36507 Metetra
.603 g
.84538 .36507 .85105 .37321 .86494 .36881 .85931 .36064 Metetra
.603 g
.85931 .36064 .86494 .36881 .8789 .36439 .87331 .35618 Metetra
.603 g
.25042 .54544 .25791 .55207 .26917 .54848 .26171 .54183 Metetra
.603 g
.26171 .54183 .26917 .54848 .28048 .54488 .27305 .5382 Metetra
.603 g
.27305 .5382 .28048 .54488 .29184 .54127 .28444 .53455 Metetra
.603 g
.28444 .53455 .29184 .54127 .30325 .53764 .29588 .53089 Metetra
.603 g
.29588 .53089 .30325 .53764 .31471 .53399 .30737 .52721 Metetra
.603 g
.30737 .52721 .31471 .53399 .32621 .53033 .31891 .52352 Metetra
.603 g
.31891 .52352 .32621 .53033 .33777 .52665 .33049 .51981 Metetra
.603 g
.33049 .51981 .33777 .52665 .34938 .52295 .34213 .51609 Metetra
.603 g
.34213 .51609 .34938 .52295 .36104 .51924 .35383 .51235 Metetra
.603 g
.35383 .51235 .36104 .51924 .37275 .51551 .36557 .50859 Metetra
.603 g
.36557 .50859 .37275 .51551 .38451 .51177 .37736 .50481 Metetra
.603 g
.37736 .50481 .38451 .51177 .39633 .50801 .38921 .50102 Metetra
.603 g
.38921 .50102 .39633 .50801 .40819 .50423 .40111 .49722 Metetra
.603 g
.40111 .49722 .40819 .50423 .42011 .50044 .41306 .49339 Metetra
.603 g
.41306 .49339 .42011 .50044 .43208 .49663 .42506 .48955 Metetra
.603 g
.42506 .48955 .43208 .49663 .44411 .4928 .43712 .48569 Metetra
.603 g
.43712 .48569 .44411 .4928 .45619 .48896 .44924 .48181 Metetra
.603 g
.44924 .48181 .45619 .48896 .46832 .48509 .4614 .47792 Metetra
.603 g
.4614 .47792 .46832 .48509 .48051 .48121 .47363 .47401 Metetra
.603 g
.47363 .47401 .48051 .48121 .49275 .47732 .4859 .47008 Metetra
.603 g
.4859 .47008 .49275 .47732 .50505 .4734 .49823 .46613 Metetra
.603 g
.49823 .46613 .50505 .4734 .5174 .46947 .51062 .46217 Metetra
.603 g
.51062 .46217 .5174 .46947 .52981 .46552 .52307 .45818 Metetra
.603 g
.52307 .45818 .52981 .46552 .54227 .46156 .53557 .45418 Metetra
.603 g
.53557 .45418 .54227 .46156 .55479 .45757 .54813 .45016 Metetra
.603 g
.54813 .45016 .55479 .45757 .56737 .45357 .56074 .44613 Metetra
.603 g
.56074 .44613 .56737 .45357 .58 .44954 .57341 .44207 Metetra
.603 g
.57341 .44207 .58 .44954 .59269 .4455 .58615 .438 Metetra
.603 g
.58615 .438 .59269 .4455 .60545 .44145 .59894 .4339 Metetra
.603 g
.59894 .4339 .60545 .44145 .61825 .43737 .61178 .42979 Metetra
.603 g
.61178 .42979 .61825 .43737 .63112 .43327 .62469 .42566 Metetra
.603 g
.62469 .42566 .63112 .43327 .64405 .42916 .63766 .42151 Metetra
.603 g
.63766 .42151 .64405 .42916 .65704 .42502 .65069 .41734 Metetra
.603 g
.65069 .41734 .65704 .42502 .67009 .42087 .66378 .41315 Metetra
.603 g
.66378 .41315 .67009 .42087 .68319 .4167 .67693 .40894 Metetra
.603 g
.67693 .40894 .68319 .4167 .69636 .41251 .69014 .40472 Metetra
.603 g
.69014 .40472 .69636 .41251 .70959 .40829 .70341 .40047 Metetra
.603 g
.70341 .40047 .70959 .40829 .72289 .40406 .71675 .3962 Metetra
.603 g
.71675 .3962 .72289 .40406 .73624 .39981 .73015 .39191 Metetra
.603 g
.73015 .39191 .73624 .39981 .74966 .39554 .74361 .3876 Metetra
.603 g
.74361 .3876 .74966 .39554 .76314 .39125 .75713 .38328 Metetra
.603 g
.75713 .38328 .76314 .39125 .77668 .38694 .77072 .37893 Metetra
.603 g
.77072 .37893 .77668 .38694 .79029 .38261 .78438 .37456 Metetra
.603 g
.78438 .37456 .79029 .38261 .80396 .37826 .7981 .37017 Metetra
.603 g
.7981 .37017 .80396 .37826 .8177 .37388 .81188 .36575 Metetra
.603 g
.81188 .36575 .8177 .37388 .83151 .36949 .82573 .36132 Metetra
.603 g
.82573 .36132 .83151 .36949 .84538 .36507 .83965 .35687 Metetra
.603 g
.83965 .35687 .84538 .36507 .85931 .36064 .85363 .35239 Metetra
.603 g
.85363 .35239 .85931 .36064 .87331 .35618 .86768 .3479 Metetra
.603 g
.24288 .53876 .25042 .54544 .26171 .54183 .2542 .53511 Metetra
.603 g
.2542 .53511 .26171 .54183 .27305 .5382 .26556 .53146 Metetra
.603 g
.26556 .53146 .27305 .5382 .28444 .53455 .27698 .52778 Metetra
.603 g
.27698 .52778 .28444 .53455 .29588 .53089 .28845 .52409 Metetra
.603 g
.28845 .52409 .29588 .53089 .30737 .52721 .29997 .52039 Metetra
.603 g
.29997 .52039 .30737 .52721 .31891 .52352 .31154 .51666 Metetra
.603 g
.31154 .51666 .31891 .52352 .33049 .51981 .32316 .51292 Metetra
.603 g
.32316 .51292 .33049 .51981 .34213 .51609 .33483 .50917 Metetra
.603 g
.33483 .50917 .34213 .51609 .35383 .51235 .34655 .5054 Metetra
.603 g
.34655 .5054 .35383 .51235 .36557 .50859 .35833 .50161 Metetra
.603 g
.35833 .50161 .36557 .50859 .37736 .50481 .37015 .4978 Metetra
.603 g
.37015 .4978 .37736 .50481 .38921 .50102 .38203 .49398 Metetra
.603 g
.38203 .49398 .38921 .50102 .40111 .49722 .39396 .49014 Metetra
.603 g
.39396 .49014 .40111 .49722 .41306 .49339 .40595 .48628 Metetra
.603 g
.40595 .48628 .41306 .49339 .42506 .48955 .41799 .48241 Metetra
.603 g
.41799 .48241 .42506 .48955 .43712 .48569 .43008 .47852 Metetra
.603 g
.43008 .47852 .43712 .48569 .44924 .48181 .44223 .47461 Metetra
.603 g
.44223 .47461 .44924 .48181 .4614 .47792 .45443 .47068 Metetra
.603 g
.45443 .47068 .4614 .47792 .47363 .47401 .46669 .46674 Metetra
.603 g
.46669 .46674 .47363 .47401 .4859 .47008 .479 .46278 Metetra
.603 g
.479 .46278 .4859 .47008 .49823 .46613 .49137 .4588 Metetra
.603 g
.49137 .4588 .49823 .46613 .51062 .46217 .50379 .4548 Metetra
.603 g
.50379 .4548 .51062 .46217 .52307 .45818 .51627 .45078 Metetra
.603 g
.51627 .45078 .52307 .45818 .53557 .45418 .52881 .44675 Metetra
.603 g
.52881 .44675 .53557 .45418 .54813 .45016 .54141 .4427 Metetra
.603 g
.54141 .4427 .54813 .45016 .56074 .44613 .55406 .43862 Metetra
.603 g
.55406 .43862 .56074 .44613 .57341 .44207 .56677 .43453 Metetra
.603 g
.56677 .43453 .57341 .44207 .58615 .438 .57954 .43043 Metetra
.603 g
.57954 .43043 .58615 .438 .59894 .4339 .59237 .4263 Metetra
.603 g
.59237 .4263 .59894 .4339 .61178 .42979 .60526 .42215 Metetra
.603 g
.60526 .42215 .61178 .42979 .62469 .42566 .61821 .41798 Metetra
.603 g
.61821 .41798 .62469 .42566 .63766 .42151 .63122 .4138 Metetra
.603 g
.63122 .4138 .63766 .42151 .65069 .41734 .64429 .40959 Metetra
.603 g
.64429 .40959 .65069 .41734 .66378 .41315 .65742 .40537 Metetra
.603 g
.65742 .40537 .66378 .41315 .67693 .40894 .67061 .40112 Metetra
.603 g
.67061 .40112 .67693 .40894 .69014 .40472 .68386 .39686 Metetra
.603 g
.68386 .39686 .69014 .40472 .70341 .40047 .69718 .39257 Metetra
.603 g
.69718 .39257 .70341 .40047 .71675 .3962 .71056 .38827 Metetra
.603 g
.71056 .38827 .71675 .3962 .73015 .39191 .724 .38394 Metetra
.603 g
.724 .38394 .73015 .39191 .74361 .3876 .7375 .3796 Metetra
.603 g
.7375 .3796 .74361 .3876 .75713 .38328 .75107 .37523 Metetra
.603 g
.75107 .37523 .75713 .38328 .77072 .37893 .76471 .37084 Metetra
.603 g
.76471 .37084 .77072 .37893 .78438 .37456 .77841 .36643 Metetra
.603 g
.77841 .36643 .78438 .37456 .7981 .37017 .79217 .36201 Metetra
.603 g
.79217 .36201 .7981 .37017 .81188 .36575 .80601 .35755 Metetra
.603 g
.80601 .35755 .81188 .36575 .82573 .36132 .8199 .35308 Metetra
.603 g
.8199 .35308 .82573 .36132 .83965 .35687 .83387 .34859 Metetra
.603 g
.83387 .34859 .83965 .35687 .85363 .35239 .8479 .34407 Metetra
.603 g
.8479 .34407 .85363 .35239 .86768 .3479 .862 .33954 Metetra
.603 g
.23527 .53202 .24288 .53876 .2542 .53511 .24662 .52835 Metetra
.603 g
.24662 .52835 .2542 .53511 .26556 .53146 .25802 .52466 Metetra
.603 g
.25802 .52466 .26556 .53146 .27698 .52778 .26946 .52096 Metetra
.603 g
.26946 .52096 .27698 .52778 .28845 .52409 .28096 .51724 Metetra
.603 g
.28096 .51724 .28845 .52409 .29997 .52039 .29251 .5135 Metetra
.603 g
.29251 .5135 .29997 .52039 .31154 .51666 .30411 .50975 Metetra
.603 g
.30411 .50975 .31154 .51666 .32316 .51292 .31576 .50598 Metetra
.603 g
.31576 .50598 .32316 .51292 .33483 .50917 .32746 .50219 Metetra
.603 g
.32746 .50219 .33483 .50917 .34655 .5054 .33922 .49839 Metetra
.603 g
.33922 .49839 .34655 .5054 .35833 .50161 .35102 .49457 Metetra
.603 g
.35102 .49457 .35833 .50161 .37015 .4978 .36288 .49073 Metetra
.603 g
.36288 .49073 .37015 .4978 .38203 .49398 .37479 .48688 Metetra
.603 g
.37479 .48688 .38203 .49398 .39396 .49014 .38676 .48301 Metetra
.603 g
.38676 .48301 .39396 .49014 .40595 .48628 .39878 .47912 Metetra
.603 g
.39878 .47912 .40595 .48628 .41799 .48241 .41085 .47521 Metetra
.603 g
.41085 .47521 .41799 .48241 .43008 .47852 .42298 .47129 Metetra
.603 g
.42298 .47129 .43008 .47852 .44223 .47461 .43516 .46735 Metetra
.603 g
.43516 .46735 .44223 .47461 .45443 .47068 .4474 .46339 Metetra
.603 g
.4474 .46339 .45443 .47068 .46669 .46674 .45969 .45941 Metetra
.603 g
.45969 .45941 .46669 .46674 .479 .46278 .47204 .45542 Metetra
.603 g
.47204 .45542 .479 .46278 .49137 .4588 .48444 .4514 Metetra
.603 g
.48444 .4514 .49137 .4588 .50379 .4548 .4969 .44737 Metetra
.603 g
.4969 .44737 .50379 .4548 .51627 .45078 .50942 .44332 Metetra
.603 g
.50942 .44332 .51627 .45078 .52881 .44675 .522 .43925 Metetra
.603 g
.522 .43925 .52881 .44675 .54141 .4427 .53463 .43517 Metetra
.603 g
.53463 .43517 .54141 .4427 .55406 .43862 .54732 .43106 Metetra
.603 g
.54732 .43106 .55406 .43862 .56677 .43453 .56007 .42693 Metetra
.603 g
.56007 .42693 .56677 .43453 .57954 .43043 .57288 .42279 Metetra
.603 g
.57288 .42279 .57954 .43043 .59237 .4263 .58575 .41863 Metetra
.603 g
.58575 .41863 .59237 .4263 .60526 .42215 .59868 .41444 Metetra
.603 g
.59868 .41444 .60526 .42215 .61821 .41798 .61167 .41024 Metetra
.603 g
.61167 .41024 .61821 .41798 .63122 .4138 .62472 .40602 Metetra
.603 g
.62472 .40602 .63122 .4138 .64429 .40959 .63783 .40178 Metetra
.603 g
.63783 .40178 .64429 .40959 .65742 .40537 .651 .39752 Metetra
.603 g
.651 .39752 .65742 .40537 .67061 .40112 .66423 .39323 Metetra
.603 g
.66423 .39323 .67061 .40112 .68386 .39686 .67753 .38893 Metetra
.603 g
.67753 .38893 .68386 .39686 .69718 .39257 .69089 .38461 Metetra
.603 g
.69089 .38461 .69718 .39257 .71056 .38827 .70431 .38027 Metetra
.603 g
.70431 .38027 .71056 .38827 .724 .38394 .7178 .3759 Metetra
.603 g
.7178 .3759 .724 .38394 .7375 .3796 .73135 .37152 Metetra
.603 g
.73135 .37152 .7375 .3796 .75107 .37523 .74496 .36711 Metetra
.603 g
.74496 .36711 .75107 .37523 .76471 .37084 .75864 .36269 Metetra
.603 g
.75864 .36269 .76471 .37084 .77841 .36643 .77239 .35824 Metetra
.603 g
.77239 .35824 .77841 .36643 .79217 .36201 .7862 .35377 Metetra
.603 g
.7862 .35377 .79217 .36201 .80601 .35755 .80008 .34928 Metetra
.603 g
.80008 .34928 .80601 .35755 .8199 .35308 .81403 .34477 Metetra
.603 g
.81403 .34477 .8199 .35308 .83387 .34859 .82804 .34024 Metetra
.603 g
.82804 .34024 .83387 .34859 .8479 .34407 .84212 .33568 Metetra
.603 g
.84212 .33568 .8479 .34407 .862 .33954 .85627 .3311 Metetra
.603 g
.2276 .52523 .23527 .53202 .24662 .52835 .23898 .52153 Metetra
.603 g
.23898 .52153 .24662 .52835 .25802 .52466 .25041 .51781 Metetra
.603 g
.25041 .51781 .25802 .52466 .26946 .52096 .26189 .51408 Metetra
.603 g
.26189 .51408 .26946 .52096 .28096 .51724 .27341 .51033 Metetra
.603 g
.27341 .51033 .28096 .51724 .29251 .5135 .28499 .50656 Metetra
.603 g
.28499 .50656 .29251 .5135 .30411 .50975 .29662 .50278 Metetra
.603 g
.29662 .50278 .30411 .50975 .31576 .50598 .3083 .49897 Metetra
.603 g
.3083 .49897 .31576 .50598 .32746 .50219 .32004 .49516 Metetra
.603 g
.32004 .49516 .32746 .50219 .33922 .49839 .33182 .49132 Metetra
.603 g
.33182 .49132 .33922 .49839 .35102 .49457 .34366 .48747 Metetra
.603 g
.34366 .48747 .35102 .49457 .36288 .49073 .35555 .4836 Metetra
.603 g
.35555 .4836 .36288 .49073 .37479 .48688 .3675 .47972 Metetra
.603 g
.3675 .47972 .37479 .48688 .38676 .48301 .3795 .47581 Metetra
.603 g
.3795 .47581 .38676 .48301 .39878 .47912 .39155 .47189 Metetra
.603 g
.39155 .47189 .39878 .47912 .41085 .47521 .40366 .46796 Metetra
.603 g
.40366 .46796 .41085 .47521 .42298 .47129 .41582 .464 Metetra
.603 g
.41582 .464 .42298 .47129 .43516 .46735 .42803 .46002 Metetra
.603 g
.42803 .46002 .43516 .46735 .4474 .46339 .44031 .45603 Metetra
.603 g
.44031 .45603 .4474 .46339 .45969 .45941 .45263 .45202 Metetra
.603 g
.45263 .45202 .45969 .45941 .47204 .45542 .46502 .44799 Metetra
.603 g
.46502 .44799 .47204 .45542 .48444 .4514 .47746 .44395 Metetra
.603 g
.47746 .44395 .48444 .4514 .4969 .44737 .48996 .43988 Metetra
.603 g
.48996 .43988 .4969 .44737 .50942 .44332 .50251 .4358 Metetra
.603 g
.50251 .4358 .50942 .44332 .522 .43925 .51512 .43169 Metetra
.603 g
.51512 .43169 .522 .43925 .53463 .43517 .5278 .42757 Metetra
.603 g
.5278 .42757 .53463 .43517 .54732 .43106 .54053 .42343 Metetra
.603 g
.54053 .42343 .54732 .43106 .56007 .42693 .55331 .41927 Metetra
.603 g
.55331 .41927 .56007 .42693 .57288 .42279 .56616 .41509 Metetra
.603 g
.56616 .41509 .57288 .42279 .58575 .41863 .57907 .41089 Metetra
.603 g
.57907 .41089 .58575 .41863 .59868 .41444 .59204 .40667 Metetra
.603 g
.59204 .40667 .59868 .41444 .61167 .41024 .60507 .40243 Metetra
.603 g
.60507 .40243 .61167 .41024 .62472 .40602 .61816 .39817 Metetra
.603 g
.61816 .39817 .62472 .40602 .63783 .40178 .63131 .39389 Metetra
.603 g
.63131 .39389 .63783 .40178 .651 .39752 .64453 .38959 Metetra
.603 g
.64453 .38959 .651 .39752 .66423 .39323 .6578 .38528 Metetra
.603 g
.6578 .38528 .66423 .39323 .67753 .38893 .67114 .38094 Metetra
.603 g
.67114 .38094 .67753 .38893 .69089 .38461 .68454 .37658 Metetra
.603 g
.68454 .37658 .69089 .38461 .70431 .38027 .69801 .3722 Metetra
.603 g
.69801 .3722 .70431 .38027 .7178 .3759 .71154 .36779 Metetra
.603 g
.71154 .36779 .7178 .3759 .73135 .37152 .72514 .36337 Metetra
.603 g
.72514 .36337 .73135 .37152 .74496 .36711 .7388 .35893 Metetra
.603 g
.7388 .35893 .74496 .36711 .75864 .36269 .75252 .35446 Metetra
.603 g
.75252 .35446 .75864 .36269 .77239 .35824 .76632 .34997 Metetra
.603 g
.76632 .34997 .77239 .35824 .7862 .35377 .78017 .34547 Metetra
.603 g
.78017 .34547 .7862 .35377 .80008 .34928 .7941 .34094 Metetra
.603 g
.7941 .34094 .80008 .34928 .81403 .34477 .80809 .33638 Metetra
.603 g
.80809 .33638 .81403 .34477 .82804 .34024 .82216 .33181 Metetra
.603 g
.82216 .33181 .82804 .34024 .84212 .33568 .83629 .32721 Metetra
.603 g
.83629 .32721 .84212 .33568 .85627 .3311 .85048 .32259 Metetra
.603 g
.21987 .51838 .2276 .52523 .23898 .52153 .23128 .51465 Metetra
.603 g
.23128 .51465 .23898 .52153 .25041 .51781 .24274 .5109 Metetra
.603 g
.24274 .5109 .25041 .51781 .26189 .51408 .25424 .50714 Metetra
.603 g
.25424 .50714 .26189 .51408 .27341 .51033 .2658 .50336 Metetra
.603 g
.2658 .50336 .27341 .51033 .28499 .50656 .27741 .49956 Metetra
.603 g
.27741 .49956 .28499 .50656 .29662 .50278 .28907 .49575 Metetra
.603 g
.28907 .49575 .29662 .50278 .3083 .49897 .30079 .49191 Metetra
.603 g
.30079 .49191 .3083 .49897 .32004 .49516 .31255 .48807 Metetra
.603 g
.31255 .48807 .32004 .49516 .33182 .49132 .32437 .4842 Metetra
.603 g
.32437 .4842 .33182 .49132 .34366 .48747 .33624 .48032 Metetra
.603 g
.33624 .48032 .34366 .48747 .35555 .4836 .34816 .47642 Metetra
.603 g
.34816 .47642 .35555 .4836 .3675 .47972 .36014 .4725 Metetra
.603 g
.36014 .4725 .3675 .47972 .3795 .47581 .37217 .46856 Metetra
.603 g
.37217 .46856 .3795 .47581 .39155 .47189 .38426 .46461 Metetra
.603 g
.38426 .46461 .39155 .47189 .40366 .46796 .3964 .46064 Metetra
.603 g
.3964 .46064 .40366 .46796 .41582 .464 .4086 .45665 Metetra
.603 g
.4086 .45665 .41582 .464 .42803 .46002 .42085 .45264 Metetra
.603 g
.42085 .45264 .42803 .46002 .44031 .45603 .43315 .44861 Metetra
.603 g
.43315 .44861 .44031 .45603 .45263 .45202 .44552 .44457 Metetra
.603 g
.44552 .44457 .45263 .45202 .46502 .44799 .45794 .44051 Metetra
.603 g
.45794 .44051 .46502 .44799 .47746 .44395 .47042 .43642 Metetra
.603 g
.47042 .43642 .47746 .44395 .48996 .43988 .48295 .43232 Metetra
.603 g
.48295 .43232 .48996 .43988 .50251 .4358 .49554 .42821 Metetra
.603 g
.49554 .42821 .50251 .4358 .51512 .43169 .50819 .42407 Metetra
.603 g
.50819 .42407 .51512 .43169 .5278 .42757 .5209 .41991 Metetra
.603 g
.5209 .41991 .5278 .42757 .54053 .42343 .53367 .41573 Metetra
.603 g
.53367 .41573 .54053 .42343 .55331 .41927 .5465 .41154 Metetra
.603 g
.5465 .41154 .55331 .41927 .56616 .41509 .55939 .40732 Metetra
.603 g
.55939 .40732 .56616 .41509 .57907 .41089 .57234 .40308 Metetra
.603 g
.57234 .40308 .57907 .41089 .59204 .40667 .58534 .39883 Metetra
.603 g
.58534 .39883 .59204 .40667 .60507 .40243 .59841 .39455 Metetra
.603 g
.59841 .39455 .60507 .40243 .61816 .39817 .61155 .39026 Metetra
.603 g
.61155 .39026 .61816 .39817 .63131 .39389 .62474 .38594 Metetra
.603 g
.62474 .38594 .63131 .39389 .64453 .38959 .638 .38161 Metetra
.603 g
.638 .38161 .64453 .38959 .6578 .38528 .65132 .37725 Metetra
.603 g
.65132 .37725 .6578 .38528 .67114 .38094 .6647 .37287 Metetra
.603 g
.6647 .37287 .67114 .38094 .68454 .37658 .67814 .36847 Metetra
.603 g
.67814 .36847 .68454 .37658 .69801 .3722 .69165 .36405 Metetra
.603 g
.69165 .36405 .69801 .3722 .71154 .36779 .70523 .35961 Metetra
.603 g
.70523 .35961 .71154 .36779 .72514 .36337 .71887 .35515 Metetra
.603 g
.71887 .35515 .72514 .36337 .7388 .35893 .73258 .35067 Metetra
.603 g
.73258 .35067 .7388 .35893 .75252 .35446 .74635 .34616 Metetra
.603 g
.74635 .34616 .75252 .35446 .76632 .34997 .76019 .34163 Metetra
.603 g
.76019 .34163 .76632 .34997 .78017 .34547 .77409 .33708 Metetra
.603 g
.77409 .33708 .78017 .34547 .7941 .34094 .78807 .33251 Metetra
.603 g
.78807 .33251 .7941 .34094 .80809 .33638 .80211 .32792 Metetra
.603 g
.80211 .32792 .80809 .33638 .82216 .33181 .81622 .3233 Metetra
.603 g
.81622 .3233 .82216 .33181 .83629 .32721 .8304 .31867 Metetra
.603 g
.8304 .31867 .83629 .32721 .85048 .32259 .84465 .31401 Metetra
.603 g
.21208 .51148 .21987 .51838 .23128 .51465 .22352 .50772 Metetra
.603 g
.22352 .50772 .23128 .51465 .24274 .5109 .235 .50394 Metetra
.603 g
.235 .50394 .24274 .5109 .25424 .50714 .24654 .50015 Metetra
.603 g
.24654 .50015 .25424 .50714 .2658 .50336 .25813 .49633 Metetra
.603 g
.25813 .49633 .2658 .50336 .27741 .49956 .26977 .49251 Metetra
.603 g
.26977 .49251 .27741 .49956 .28907 .49575 .28146 .48866 Metetra
.603 g
.28146 .48866 .28907 .49575 .30079 .49191 .29321 .4848 Metetra
.603 g
.29321 .4848 .30079 .49191 .31255 .48807 .305 .48092 Metetra
.603 g
.305 .48092 .31255 .48807 .32437 .4842 .31685 .47702 Metetra
.603 g
.31685 .47702 .32437 .4842 .33624 .48032 .32875 .4731 Metetra
.603 g
.32875 .4731 .33624 .48032 .34816 .47642 .34071 .46917 Metetra
.603 g
.34071 .46917 .34816 .47642 .36014 .4725 .35272 .46522 Metetra
.603 g
.35272 .46522 .36014 .4725 .37217 .46856 .36479 .46125 Metetra
.603 g
.36479 .46125 .37217 .46856 .38426 .46461 .37691 .45726 Metetra
.603 g
.37691 .45726 .38426 .46461 .3964 .46064 .38908 .45326 Metetra
.603 g
.38908 .45326 .3964 .46064 .4086 .45665 .40131 .44923 Metetra
.603 g
.40131 .44923 .4086 .45665 .42085 .45264 .4136 .44519 Metetra
.603 g
.4136 .44519 .42085 .45264 .43315 .44861 .42594 .44113 Metetra
.603 g
.42594 .44113 .43315 .44861 .44552 .44457 .43834 .43705 Metetra
.603 g
.43834 .43705 .44552 .44457 .45794 .44051 .4508 .43296 Metetra
.603 g
.4508 .43296 .45794 .44051 .47042 .43642 .46331 .42884 Metetra
.603 g
.46331 .42884 .47042 .43642 .48295 .43232 .47588 .4247 Metetra
.603 g
.47588 .4247 .48295 .43232 .49554 .42821 .48851 .42055 Metetra
.603 g
.48851 .42055 .49554 .42821 .50819 .42407 .5012 .41638 Metetra
.603 g
.5012 .41638 .50819 .42407 .5209 .41991 .51395 .41218 Metetra
.603 g
.51395 .41218 .5209 .41991 .53367 .41573 .52676 .40797 Metetra
.603 g
.52676 .40797 .53367 .41573 .5465 .41154 .53963 .40374 Metetra
.603 g
.53963 .40374 .5465 .41154 .55939 .40732 .55255 .39948 Metetra
.603 g
.55255 .39948 .55939 .40732 .57234 .40308 .56554 .39521 Metetra
.603 g
.56554 .39521 .57234 .40308 .58534 .39883 .57859 .39092 Metetra
.603 g
.57859 .39092 .58534 .39883 .59841 .39455 .5917 .38661 Metetra
.603 g
.5917 .38661 .59841 .39455 .61155 .39026 .60488 .38227 Metetra
.603 g
.60488 .38227 .61155 .39026 .62474 .38594 .61811 .37792 Metetra
.603 g
.61811 .37792 .62474 .38594 .638 .38161 .63141 .37355 Metetra
.603 g
.63141 .37355 .638 .38161 .65132 .37725 .64477 .36915 Metetra
.603 g
.64477 .36915 .65132 .37725 .6647 .37287 .6582 .36473 Metetra
.603 g
.6582 .36473 .6647 .37287 .67814 .36847 .67169 .3603 Metetra
.603 g
.67169 .3603 .67814 .36847 .69165 .36405 .68524 .35584 Metetra
.603 g
.68524 .35584 .69165 .36405 .70523 .35961 .69886 .35136 Metetra
.603 g
.69886 .35136 .70523 .35961 .71887 .35515 .71255 .34686 Metetra
.603 g
.71255 .34686 .71887 .35515 .73258 .35067 .7263 .34233 Metetra
.603 g
.7263 .34233 .73258 .35067 .74635 .34616 .74012 .33779 Metetra
.603 g
.74012 .33779 .74635 .34616 .76019 .34163 .75401 .33322 Metetra
.603 g
.75401 .33322 .76019 .34163 .77409 .33708 .76796 .32863 Metetra
.603 g
.76796 .32863 .77409 .33708 .78807 .33251 .78198 .32402 Metetra
.603 g
.78198 .32402 .78807 .33251 .80211 .32792 .79607 .31938 Metetra
.603 g
.79607 .31938 .80211 .32792 .81622 .3233 .81023 .31472 Metetra
.603 g
.81023 .31472 .81622 .3233 .8304 .31867 .82446 .31004 Metetra
.603 g
.82446 .31004 .8304 .31867 .84465 .31401 .83876 .30534 Metetra
.603 g
.20423 .50452 .21208 .51148 .22352 .50772 .21569 .50073 Metetra
.603 g
.21569 .50073 .22352 .50772 .235 .50394 .22721 .49692 Metetra
.603 g
.22721 .49692 .235 .50394 .24654 .50015 .23877 .4931 Metetra
.603 g
.23877 .4931 .24654 .50015 .25813 .49633 .25039 .48925 Metetra
.603 g
.25039 .48925 .25813 .49633 .26977 .49251 .26206 .48539 Metetra
.603 g
.26206 .48539 .26977 .49251 .28146 .48866 .27379 .48151 Metetra
.603 g
.27379 .48151 .28146 .48866 .29321 .4848 .28556 .47762 Metetra
.603 g
.28556 .47762 .29321 .4848 .305 .48092 .29739 .47371 Metetra
.603 g
.29739 .47371 .305 .48092 .31685 .47702 .30927 .46978 Metetra
.603 g
.30927 .46978 .31685 .47702 .32875 .4731 .32121 .46583 Metetra
.603 g
.32121 .46583 .32875 .4731 .34071 .46917 .3332 .46186 Metetra
.603 g
.3332 .46186 .34071 .46917 .35272 .46522 .34524 .45788 Metetra
.603 g
.34524 .45788 .35272 .46522 .36479 .46125 .35734 .45387 Metetra
.603 g
.35734 .45387 .36479 .46125 .37691 .45726 .36949 .44985 Metetra
.603 g
.36949 .44985 .37691 .45726 .38908 .45326 .3817 .44582 Metetra
.603 g
.3817 .44582 .38908 .45326 .40131 .44923 .39397 .44176 Metetra
.603 g
.39397 .44176 .40131 .44923 .4136 .44519 .40629 .43768 Metetra
.603 g
.40629 .43768 .4136 .44519 .42594 .44113 .41867 .43359 Metetra
.603 g
.41867 .43359 .42594 .44113 .43834 .43705 .43111 .42947 Metetra
.603 g
.43111 .42947 .43834 .43705 .4508 .43296 .4436 .42534 Metetra
.603 g
.4436 .42534 .4508 .43296 .46331 .42884 .45615 .42119 Metetra
.603 g
.45615 .42119 .46331 .42884 .47588 .4247 .46876 .41702 Metetra
.603 g
.46876 .41702 .47588 .4247 .48851 .42055 .48143 .41283 Metetra
.603 g
.48143 .41283 .48851 .42055 .5012 .41638 .49415 .40862 Metetra
.603 g
.49415 .40862 .5012 .41638 .51395 .41218 .50694 .40439 Metetra
.603 g
.50694 .40439 .51395 .41218 .52676 .40797 .51979 .40014 Metetra
.603 g
.51979 .40014 .52676 .40797 .53963 .40374 .53269 .39587 Metetra
.603 g
.53269 .39587 .53963 .40374 .55255 .39948 .54566 .39158 Metetra
.603 g
.54566 .39158 .55255 .39948 .56554 .39521 .55869 .38727 Metetra
.603 g
.55869 .38727 .56554 .39521 .57859 .39092 .57178 .38294 Metetra
.603 g
.57178 .38294 .57859 .39092 .5917 .38661 .58493 .37859 Metetra
.603 g
.58493 .37859 .5917 .38661 .60488 .38227 .59815 .37422 Metetra
.603 g
.59815 .37422 .60488 .38227 .61811 .37792 .61142 .36983 Metetra
.603 g
.61142 .36983 .61811 .37792 .63141 .37355 .62476 .36541 Metetra
.603 g
.62476 .36541 .63141 .37355 .64477 .36915 .63817 .36098 Metetra
.603 g
.63817 .36098 .64477 .36915 .6582 .36473 .65164 .35652 Metetra
.603 g
.65164 .35652 .6582 .36473 .67169 .3603 .66517 .35205 Metetra
.603 g
.66517 .35205 .67169 .3603 .68524 .35584 .67877 .34755 Metetra
.603 g
.67877 .34755 .68524 .35584 .69886 .35136 .69244 .34303 Metetra
.603 g
.69244 .34303 .69886 .35136 .71255 .34686 .70617 .33849 Metetra
.603 g
.70617 .33849 .71255 .34686 .7263 .34233 .71997 .33392 Metetra
.603 g
.71997 .33392 .7263 .34233 .74012 .33779 .73383 .32934 Metetra
.603 g
.73383 .32934 .74012 .33779 .75401 .33322 .74777 .32473 Metetra
.603 g
.74777 .32473 .75401 .33322 .76796 .32863 .76177 .3201 Metetra
.603 g
.76177 .3201 .76796 .32863 .78198 .32402 .77584 .31544 Metetra
.603 g
.77584 .31544 .78198 .32402 .79607 .31938 .78998 .31076 Metetra
.603 g
.78998 .31076 .79607 .31938 .81023 .31472 .80419 .30606 Metetra
.603 g
.80419 .30606 .81023 .31472 .82446 .31004 .81846 .30134 Metetra
.603 g
.81846 .30134 .82446 .31004 .83876 .30534 .83281 .29659 Metetra
.603 g
.1963 .49751 .20423 .50452 .21569 .50073 .2078 .49368 Metetra
.603 g
.2078 .49368 .21569 .50073 .22721 .49692 .21935 .48984 Metetra
.603 g
.21935 .48984 .22721 .49692 .23877 .4931 .23094 .48599 Metetra
.603 g
.23094 .48599 .23877 .4931 .25039 .48925 .24259 .48211 Metetra
.603 g
.24259 .48211 .25039 .48925 .26206 .48539 .25429 .47822 Metetra
.603 g
.25429 .47822 .26206 .48539 .27379 .48151 .26605 .47431 Metetra
.603 g
.26605 .47431 .27379 .48151 .28556 .47762 .27786 .47038 Metetra
.603 g
.27786 .47038 .28556 .47762 .29739 .47371 .28972 .46644 Metetra
.603 g
.28972 .46644 .29739 .47371 .30927 .46978 .30163 .46247 Metetra
.603 g
.30163 .46247 .30927 .46978 .32121 .46583 .3136 .45849 Metetra
.603 g
.3136 .45849 .32121 .46583 .3332 .46186 .32562 .45449 Metetra
.603 g
.32562 .45449 .3332 .46186 .34524 .45788 .3377 .45047 Metetra
.603 g
.3377 .45047 .34524 .45788 .35734 .45387 .34983 .44644 Metetra
.603 g
.34983 .44644 .35734 .45387 .36949 .44985 .36202 .44238 Metetra
.603 g
.36202 .44238 .36949 .44985 .3817 .44582 .37426 .43831 Metetra
.603 g
.37426 .43831 .3817 .44582 .39397 .44176 .38656 .43422 Metetra
.603 g
.38656 .43422 .39397 .44176 .40629 .43768 .39892 .43011 Metetra
.603 g
.39892 .43011 .40629 .43768 .41867 .43359 .41133 .42598 Metetra
.603 g
.41133 .42598 .41867 .43359 .43111 .42947 .42381 .42183 Metetra
.603 g
.42381 .42183 .43111 .42947 .4436 .42534 .43634 .41766 Metetra
.603 g
.43634 .41766 .4436 .42534 .45615 .42119 .44892 .41348 Metetra
.603 g
.44892 .41348 .45615 .42119 .46876 .41702 .46157 .40927 Metetra
.603 g
.46157 .40927 .46876 .41702 .48143 .41283 .47428 .40504 Metetra
.603 g
.47428 .40504 .48143 .41283 .49415 .40862 .48704 .4008 Metetra
.603 g
.48704 .4008 .49415 .40862 .50694 .40439 .49987 .39653 Metetra
.603 g
.49987 .39653 .50694 .40439 .51979 .40014 .51275 .39224 Metetra
.603 g
.51275 .39224 .51979 .40014 .53269 .39587 .5257 .38794 Metetra
.603 g
.5257 .38794 .53269 .39587 .54566 .39158 .53871 .38361 Metetra
.603 g
.53871 .38361 .54566 .39158 .55869 .38727 .55177 .37926 Metetra
.603 g
.55177 .37926 .55869 .38727 .57178 .38294 .56491 .37489 Metetra
.603 g
.56491 .37489 .57178 .38294 .58493 .37859 .5781 .3705 Metetra
.603 g
.5781 .3705 .58493 .37859 .59815 .37422 .59136 .36609 Metetra
.603 g
.59136 .36609 .59815 .37422 .61142 .36983 .60468 .36166 Metetra
.603 g
.60468 .36166 .61142 .36983 .62476 .36541 .61806 .35721 Metetra
.603 g
.61806 .35721 .62476 .36541 .63817 .36098 .63151 .35274 Metetra
.603 g
.63151 .35274 .63817 .36098 .65164 .35652 .64502 .34824 Metetra
.603 g
.64502 .34824 .65164 .35652 .66517 .35205 .6586 .34373 Metetra
.603 g
.6586 .34373 .66517 .35205 .67877 .34755 .67225 .33919 Metetra
.603 g
.67225 .33919 .67877 .34755 .69244 .34303 .68596 .33463 Metetra
.603 g
.68596 .33463 .69244 .34303 .70617 .33849 .69973 .33004 Metetra
.603 g
.69973 .33004 .70617 .33849 .71997 .33392 .71358 .32544 Metetra
.603 g
.71358 .32544 .71997 .33392 .73383 .32934 .72749 .32081 Metetra
.603 g
.72749 .32081 .73383 .32934 .74777 .32473 .74147 .31616 Metetra
.603 g
.74147 .31616 .74777 .32473 .76177 .3201 .75552 .31149 Metetra
.603 g
.75552 .31149 .76177 .3201 .77584 .31544 .76964 .30679 Metetra
.603 g
.76964 .30679 .77584 .31544 .78998 .31076 .78383 .30207 Metetra
.603 g
.78383 .30207 .78998 .31076 .80419 .30606 .79809 .29733 Metetra
.603 g
.79809 .29733 .80419 .30606 .81846 .30134 .81242 .29256 Metetra
.603 g
.81242 .29256 .81846 .30134 .83281 .29659 .82682 .28777 Metetra
.603 g
.18832 .49044 .1963 .49751 .2078 .49368 .19984 .48658 Metetra
.603 g
.19984 .48658 .2078 .49368 .21935 .48984 .21142 .48271 Metetra
.603 g
.21142 .48271 .21935 .48984 .23094 .48599 .22305 .47882 Metetra
.603 g
.22305 .47882 .23094 .48599 .24259 .48211 .23473 .47491 Metetra
.603 g
.23473 .47491 .24259 .48211 .25429 .47822 .24646 .47099 Metetra
.603 g
.24646 .47099 .25429 .47822 .26605 .47431 .25825 .46704 Metetra
.603 g
.25825 .46704 .26605 .47431 .27786 .47038 .27008 .46308 Metetra
.603 g
.27008 .46308 .27786 .47038 .28972 .46644 .28198 .4591 Metetra
.603 g
.28198 .4591 .28972 .46644 .30163 .46247 .29392 .45511 Metetra
.603 g
.29392 .45511 .30163 .46247 .3136 .45849 .30592 .45109 Metetra
.603 g
.30592 .45109 .3136 .45849 .32562 .45449 .31798 .44706 Metetra
.603 g
.31798 .44706 .32562 .45449 .3377 .45047 .33009 .44301 Metetra
.603 g
.33009 .44301 .3377 .45047 .34983 .44644 .34226 .43894 Metetra
.603 g
.34226 .43894 .34983 .44644 .36202 .44238 .35448 .43485 Metetra
.603 g
.35448 .43485 .36202 .44238 .37426 .43831 .36676 .43074 Metetra
.603 g
.36676 .43074 .37426 .43831 .38656 .43422 .37909 .42662 Metetra
.603 g
.37909 .42662 .38656 .43422 .39892 .43011 .39149 .42247 Metetra
.603 g
.39149 .42247 .39892 .43011 .41133 .42598 .40394 .4183 Metetra
.603 g
.40394 .4183 .41133 .42598 .42381 .42183 .41644 .41412 Metetra
.603 g
.41644 .41412 .42381 .42183 .43634 .41766 .42901 .40992 Metetra
.603 g
.42901 .40992 .43634 .41766 .44892 .41348 .44164 .40569 Metetra
.603 g
.44164 .40569 .44892 .41348 .46157 .40927 .45432 .40145 Metetra
.603 g
.45432 .40145 .46157 .40927 .47428 .40504 .46706 .39719 Metetra
.603 g
.46706 .39719 .47428 .40504 .48704 .4008 .47987 .3929 Metetra
.603 g
.47987 .3929 .48704 .4008 .49987 .39653 .49273 .3886 Metetra
.603 g
.49273 .3886 .49987 .39653 .51275 .39224 .50566 .38428 Metetra
.603 g
.50566 .38428 .51275 .39224 .5257 .38794 .51864 .37993 Metetra
.603 g
.51864 .37993 .5257 .38794 .53871 .38361 .53169 .37557 Metetra
.603 g
.53169 .37557 .53871 .38361 .55177 .37926 .5448 .37118 Metetra
.603 g
.5448 .37118 .55177 .37926 .56491 .37489 .55797 .36677 Metetra
.603 g
.55797 .36677 .56491 .37489 .5781 .3705 .57121 .36235 Metetra
.603 g
.57121 .36235 .5781 .3705 .59136 .36609 .58451 .3579 Metetra
.603 g
.58451 .3579 .59136 .36609 .60468 .36166 .59787 .35343 Metetra
.603 g
.59787 .35343 .60468 .36166 .61806 .35721 .6113 .34894 Metetra
.603 g
.6113 .34894 .61806 .35721 .63151 .35274 .62479 .34442 Metetra
.603 g
.62479 .34442 .63151 .35274 .64502 .34824 .63835 .33989 Metetra
.603 g
.63835 .33989 .64502 .34824 .6586 .34373 .65197 .33533 Metetra
.603 g
.65197 .33533 .6586 .34373 .67225 .33919 .66566 .33075 Metetra
.603 g
.66566 .33075 .67225 .33919 .68596 .33463 .67942 .32615 Metetra
.603 g
.67942 .32615 .68596 .33463 .69973 .33004 .69324 .32152 Metetra
.603 g
.69324 .32152 .69973 .33004 .71358 .32544 .70713 .31688 Metetra
.603 g
.70713 .31688 .71358 .32544 .72749 .32081 .72109 .31221 Metetra
.603 g
.72109 .31221 .72749 .32081 .74147 .31616 .73512 .30751 Metetra
.603 g
.73512 .30751 .74147 .31616 .75552 .31149 .74922 .3028 Metetra
.603 g
.74922 .3028 .75552 .31149 .76964 .30679 .76338 .29806 Metetra
.603 g
.76338 .29806 .76964 .30679 .78383 .30207 .77762 .29329 Metetra
.603 g
.77762 .29329 .78383 .30207 .79809 .29733 .79193 .28851 Metetra
.603 g
.79193 .28851 .79809 .29733 .81242 .29256 .80631 .2837 Metetra
.603 g
.80631 .2837 .81242 .29256 .82682 .28777 .82076 .27886 Metetra
.603 g
.18027 .48331 .18832 .49044 .19984 .48658 .19182 .47942 Metetra
.603 g
.19182 .47942 .19984 .48658 .21142 .48271 .20343 .47551 Metetra
.603 g
.20343 .47551 .21142 .48271 .22305 .47882 .21509 .47159 Metetra
.603 g
.21509 .47159 .22305 .47882 .23473 .47491 .2268 .46765 Metetra
.603 g
.2268 .46765 .23473 .47491 .24646 .47099 .23856 .46369 Metetra
.603 g
.23856 .46369 .24646 .47099 .25825 .46704 .25038 .45972 Metetra
.603 g
.25038 .45972 .25825 .46704 .27008 .46308 .26225 .45572 Metetra
.603 g
.26225 .45572 .27008 .46308 .28198 .4591 .27417 .45171 Metetra
.603 g
.27417 .45171 .28198 .4591 .29392 .45511 .28615 .44768 Metetra
.603 g
.28615 .44768 .29392 .45511 .30592 .45109 .29819 .44363 Metetra
.603 g
.29819 .44363 .30592 .45109 .31798 .44706 .31027 .43957 Metetra
.603 g
.31027 .43957 .31798 .44706 .33009 .44301 .32242 .43548 Metetra
.603 g
.32242 .43548 .33009 .44301 .34226 .43894 .33462 .43138 Metetra
.603 g
.33462 .43138 .34226 .43894 .35448 .43485 .34688 .42725 Metetra
.603 g
.34688 .42725 .35448 .43485 .36676 .43074 .35919 .42311 Metetra
.603 g
.35919 .42311 .36676 .43074 .37909 .42662 .37156 .41895 Metetra
.603 g
.37156 .41895 .37909 .42662 .39149 .42247 .38399 .41477 Metetra
.603 g
.38399 .41477 .39149 .42247 .40394 .4183 .39648 .41056 Metetra
.603 g
.39648 .41056 .40394 .4183 .41644 .41412 .40902 .40634 Metetra
.603 g
.40902 .40634 .41644 .41412 .42901 .40992 .42162 .4021 Metetra
.603 g
.42162 .4021 .42901 .40992 .44164 .40569 .43429 .39784 Metetra
.603 g
.43429 .39784 .44164 .40569 .45432 .40145 .44701 .39356 Metetra
.603 g
.44701 .39356 .45432 .40145 .46706 .39719 .45979 .38926 Metetra
.603 g
.45979 .38926 .46706 .39719 .47987 .3929 .47263 .38494 Metetra
.603 g
.47263 .38494 .47987 .3929 .49273 .3886 .48553 .3806 Metetra
.603 g
.48553 .3806 .49273 .3886 .50566 .38428 .4985 .37624 Metetra
.603 g
.4985 .37624 .50566 .38428 .51864 .37993 .51153 .37186 Metetra
.603 g
.51153 .37186 .51864 .37993 .53169 .37557 .52461 .36745 Metetra
.603 g
.52461 .36745 .53169 .37557 .5448 .37118 .53776 .36303 Metetra
.603 g
.53776 .36303 .5448 .37118 .55797 .36677 .55098 .35858 Metetra
.603 g
.55098 .35858 .55797 .36677 .57121 .36235 .56426 .35412 Metetra
.603 g
.56426 .35412 .57121 .36235 .58451 .3579 .5776 .34963 Metetra
.603 g
.5776 .34963 .58451 .3579 .59787 .35343 .591 .34512 Metetra
.603 g
.591 .34512 .59787 .35343 .6113 .34894 .60447 .34059 Metetra
.603 g
.60447 .34059 .6113 .34894 .62479 .34442 .61801 .33603 Metetra
.603 g
.61801 .33603 .62479 .34442 .63835 .33989 .63161 .33146 Metetra
.603 g
.63161 .33146 .63835 .33989 .65197 .33533 .64528 .32686 Metetra
.603 g
.64528 .32686 .65197 .33533 .66566 .33075 .65901 .32224 Metetra
.603 g
.65901 .32224 .66566 .33075 .67942 .32615 .67282 .31759 Metetra
.603 g
.67282 .31759 .67942 .32615 .69324 .32152 .68669 .31293 Metetra
.603 g
.68669 .31293 .69324 .32152 .70713 .31688 .70063 .30824 Metetra
.603 g
.70063 .30824 .70713 .31688 .72109 .31221 .71463 .30352 Metetra
.603 g
.71463 .30352 .72109 .31221 .73512 .30751 .72871 .29879 Metetra
.603 g
.72871 .29879 .73512 .30751 .74922 .3028 .74286 .29403 Metetra
.603 g
.74286 .29403 .74922 .3028 .76338 .29806 .75707 .28925 Metetra
.603 g
.75707 .28925 .76338 .29806 .77762 .29329 .77136 .28444 Metetra
.603 g
.77136 .28444 .77762 .29329 .79193 .28851 .78572 .27961 Metetra
.603 g
.78572 .27961 .79193 .28851 .80631 .2837 .80015 .27475 Metetra
.603 g
.80015 .27475 .80631 .2837 .82076 .27886 .81465 .26987 Metetra
.603 g
.17215 .47612 .18027 .48331 .19182 .47942 .18373 .4722 Metetra
.603 g
.18373 .4722 .19182 .47942 .20343 .47551 .19537 .46826 Metetra
.603 g
.19537 .46826 .20343 .47551 .21509 .47159 .20706 .4643 Metetra
.603 g
.20706 .4643 .21509 .47159 .2268 .46765 .2188 .46033 Metetra
.603 g
.2188 .46033 .2268 .46765 .23856 .46369 .23059 .45634 Metetra
.603 g
.23059 .45634 .23856 .46369 .25038 .45972 .24244 .45233 Metetra
.603 g
.24244 .45233 .25038 .45972 .26225 .45572 .25435 .4483 Metetra
.603 g
.25435 .4483 .26225 .45572 .27417 .45171 .2663 .44426 Metetra
.603 g
.2663 .44426 .27417 .45171 .28615 .44768 .27831 .44019 Metetra
.603 g
.27831 .44019 .28615 .44768 .29819 .44363 .29038 .43611 Metetra
.603 g
.29038 .43611 .29819 .44363 .31027 .43957 .3025 .43201 Metetra
.603 g
.3025 .43201 .31027 .43957 .32242 .43548 .31468 .42789 Metetra
.603 g
.31468 .42789 .32242 .43548 .33462 .43138 .32692 .42375 Metetra
.603 g
.32692 .42375 .33462 .43138 .34688 .42725 .33921 .41959 Metetra
.603 g
.33921 .41959 .34688 .42725 .35919 .42311 .35156 .41541 Metetra
.603 g
.35156 .41541 .35919 .42311 .37156 .41895 .36396 .41121 Metetra
.603 g
.36396 .41121 .37156 .41895 .38399 .41477 .37643 .40699 Metetra
.603 g
.37643 .40699 .38399 .41477 .39648 .41056 .38895 .40276 Metetra
.603 g
.38895 .40276 .39648 .41056 .40902 .40634 .40153 .3985 Metetra
.603 g
.40153 .3985 .40902 .40634 .42162 .4021 .41417 .39422 Metetra
.603 g
.41417 .39422 .42162 .4021 .43429 .39784 .42687 .38993 Metetra
.603 g
.42687 .38993 .43429 .39784 .44701 .39356 .43963 .38561 Metetra
.603 g
.43963 .38561 .44701 .39356 .45979 .38926 .45245 .38127 Metetra
.603 g
.45245 .38127 .45979 .38926 .47263 .38494 .46533 .37691 Metetra
.603 g
.46533 .37691 .47263 .38494 .48553 .3806 .47827 .37253 Metetra
.603 g
.47827 .37253 .48553 .3806 .4985 .37624 .49128 .36813 Metetra
.603 g
.49128 .36813 .4985 .37624 .51153 .37186 .50435 .36371 Metetra
.603 g
.50435 .36371 .51153 .37186 .52461 .36745 .51747 .35927 Metetra
.603 g
.51747 .35927 .52461 .36745 .53776 .36303 .53067 .35481 Metetra
.603 g
.53067 .35481 .53776 .36303 .55098 .35858 .54392 .35032 Metetra
.603 g
.54392 .35032 .55098 .35858 .56426 .35412 .55724 .34581 Metetra
.603 g
.55724 .34581 .56426 .35412 .5776 .34963 .57063 .34128 Metetra
.603 g
.57063 .34128 .5776 .34963 .591 .34512 .58407 .33673 Metetra
.603 g
.58407 .33673 .591 .34512 .60447 .34059 .59759 .33216 Metetra
.603 g
.59759 .33216 .60447 .34059 .61801 .33603 .61117 .32757 Metetra
.603 g
.61117 .32757 .61801 .33603 .63161 .33146 .62482 .32295 Metetra
.603 g
.62482 .32295 .63161 .33146 .64528 .32686 .63853 .31831 Metetra
.603 g
.63853 .31831 .64528 .32686 .65901 .32224 .65231 .31365 Metetra
.603 g
.65231 .31365 .65901 .32224 .67282 .31759 .66616 .30896 Metetra
.603 g
.66616 .30896 .67282 .31759 .68669 .31293 .68007 .30425 Metetra
.603 g
.68007 .30425 .68669 .31293 .70063 .30824 .69406 .29952 Metetra
.603 g
.69406 .29952 .70063 .30824 .71463 .30352 .70812 .29476 Metetra
.603 g
.70812 .29476 .71463 .30352 .72871 .29879 .72224 .28998 Metetra
.603 g
.72224 .28998 .72871 .29879 .74286 .29403 .73644 .28518 Metetra
.603 g
.73644 .28518 .74286 .29403 .75707 .28925 .7507 .28035 Metetra
.603 g
.7507 .28035 .75707 .28925 .77136 .28444 .76504 .2755 Metetra
.603 g
.76504 .2755 .77136 .28444 .78572 .27961 .77945 .27063 Metetra
.603 g
.77945 .27063 .78572 .27961 .80015 .27475 .79393 .26573 Metetra
.603 g
.79393 .26573 .80015 .27475 .81465 .26987 .80849 .2608 Metetra
.603 g
.16396 .46887 .17215 .47612 .18373 .4722 .17558 .46491 Metetra
.603 g
.17558 .46491 .18373 .4722 .19537 .46826 .18724 .46094 Metetra
.603 g
.18724 .46094 .19537 .46826 .20706 .4643 .19896 .45696 Metetra
.603 g
.19896 .45696 .20706 .4643 .2188 .46033 .21074 .45295 Metetra
.603 g
.21074 .45295 .2188 .46033 .23059 .45634 .22256 .44892 Metetra
.603 g
.22256 .44892 .23059 .45634 .24244 .45233 .23444 .44488 Metetra
.603 g
.23444 .44488 .24244 .45233 .25435 .4483 .24638 .44082 Metetra
.603 g
.24638 .44082 .25435 .4483 .2663 .44426 .25837 .43674 Metetra
.603 g
.25837 .43674 .2663 .44426 .27831 .44019 .27041 .43264 Metetra
.603 g
.27041 .43264 .27831 .44019 .29038 .43611 .28251 .42852 Metetra
.603 g
.28251 .42852 .29038 .43611 .3025 .43201 .29467 .42439 Metetra
.603 g
.29467 .42439 .3025 .43201 .31468 .42789 .30688 .42023 Metetra
.603 g
.30688 .42023 .31468 .42789 .32692 .42375 .31915 .41605 Metetra
.603 g
.31915 .41605 .32692 .42375 .33921 .41959 .33147 .41186 Metetra
.603 g
.33147 .41186 .33921 .41959 .35156 .41541 .34386 .40765 Metetra
.603 g
.34386 .40765 .35156 .41541 .36396 .41121 .3563 .40341 Metetra
.603 g
.3563 .40341 .36396 .41121 .37643 .40699 .3688 .39916 Metetra
.603 g
.3688 .39916 .37643 .40699 .38895 .40276 .38136 .39488 Metetra
.603 g
.38136 .39488 .38895 .40276 .40153 .3985 .39398 .39059 Metetra
.603 g
.39398 .39059 .40153 .3985 .41417 .39422 .40665 .38627 Metetra
.603 g
.40665 .38627 .41417 .39422 .42687 .38993 .41939 .38194 Metetra
.603 g
.41939 .38194 .42687 .38993 .43963 .38561 .43219 .37758 Metetra
.603 g
.43219 .37758 .43963 .38561 .45245 .38127 .44505 .37321 Metetra
.603 g
.44505 .37321 .45245 .38127 .46533 .37691 .45797 .36881 Metetra
.603 g
.45797 .36881 .46533 .37691 .47827 .37253 .47095 .36439 Metetra
.603 g
.47095 .36439 .47827 .37253 .49128 .36813 .48399 .35995 Metetra
.603 g
.48399 .35995 .49128 .36813 .50435 .36371 .4971 .35549 Metetra
.603 g
.4971 .35549 .50435 .36371 .51747 .35927 .51027 .35101 Metetra
.603 g
.51027 .35101 .51747 .35927 .53067 .35481 .5235 .34651 Metetra
.603 g
.5235 .34651 .53067 .35481 .54392 .35032 .5368 .34198 Metetra
.603 g
.5368 .34198 .54392 .35032 .55724 .34581 .55016 .33744 Metetra
.603 g
.55016 .33744 .55724 .34581 .57063 .34128 .56359 .33287 Metetra
.603 g
.56359 .33287 .57063 .34128 .58407 .33673 .57708 .32827 Metetra
.603 g
.57708 .32827 .58407 .33673 .59759 .33216 .59064 .32366 Metetra
.603 g
.59064 .32366 .59759 .33216 .61117 .32757 .60427 .31902 Metetra
.603 g
.60427 .31902 .61117 .32757 .62482 .32295 .61796 .31436 Metetra
.603 g
.61796 .31436 .62482 .32295 .63853 .31831 .63172 .30968 Metetra
.603 g
.63172 .30968 .63853 .31831 .65231 .31365 .64554 .30498 Metetra
.603 g
.64554 .30498 .65231 .31365 .66616 .30896 .65944 .30025 Metetra
.603 g
.65944 .30025 .66616 .30896 .68007 .30425 .6734 .2955 Metetra
.603 g
.6734 .2955 .68007 .30425 .69406 .29952 .68743 .29072 Metetra
.603 g
.68743 .29072 .69406 .29952 .70812 .29476 .70154 .28592 Metetra
.603 g
.70154 .28592 .70812 .29476 .72224 .28998 .71571 .2811 Metetra
.603 g
.71571 .2811 .72224 .28998 .73644 .28518 .72996 .27625 Metetra
.603 g
.72996 .27625 .73644 .28518 .7507 .28035 .74427 .27138 Metetra
.603 g
.74427 .27138 .7507 .28035 .76504 .2755 .75866 .26648 Metetra
.603 g
.75866 .26648 .76504 .2755 .77945 .27063 .77312 .26156 Metetra
.603 g
.77312 .26156 .77945 .27063 .79393 .26573 .78765 .25661 Metetra
.603 g
.78765 .25661 .79393 .26573 .80849 .2608 .80226 .25164 Metetra
.603 g
.15571 .46155 .16396 .46887 .17558 .46491 .16735 .45757 Metetra
.603 g
.16735 .45757 .17558 .46491 .18724 .46094 .17905 .45357 Metetra
.603 g
.17905 .45357 .18724 .46094 .19896 .45696 .1908 .44954 Metetra
.603 g
.1908 .44954 .19896 .45696 .21074 .45295 .2026 .4455 Metetra
.603 g
.2026 .4455 .21074 .45295 .22256 .44892 .21446 .44145 Metetra
.603 g
.21446 .44145 .22256 .44892 .23444 .44488 .22637 .43737 Metetra
.603 g
.22637 .43737 .23444 .44488 .24638 .44082 .23834 .43327 Metetra
.603 g
.23834 .43327 .24638 .44082 .25837 .43674 .25036 .42916 Metetra
.603 g
.25036 .42916 .25837 .43674 .27041 .43264 .26244 .42502 Metetra
.603 g
.26244 .42502 .27041 .43264 .28251 .42852 .27457 .42087 Metetra
.603 g
.27457 .42087 .28251 .42852 .29467 .42439 .28676 .4167 Metetra
.603 g
.28676 .4167 .29467 .42439 .30688 .42023 .29901 .41251 Metetra
.603 g
.29901 .41251 .30688 .42023 .31915 .41605 .31131 .40829 Metetra
.603 g
.31131 .40829 .31915 .41605 .33147 .41186 .32367 .40406 Metetra
.603 g
.32367 .40406 .33147 .41186 .34386 .40765 .33609 .39981 Metetra
.603 g
.33609 .39981 .34386 .40765 .3563 .40341 .34857 .39554 Metetra
.603 g
.34857 .39554 .3563 .40341 .3688 .39916 .36111 .39125 Metetra
.603 g
.36111 .39125 .3688 .39916 .38136 .39488 .3737 .38694 Metetra
.603 g
.3737 .38694 .38136 .39488 .39398 .39059 .38636 .38261 Metetra
.603 g
.38636 .38261 .39398 .39059 .40665 .38627 .39907 .37826 Metetra
.603 g
.39907 .37826 .40665 .38627 .41939 .38194 .41185 .37388 Metetra
.603 g
.41185 .37388 .41939 .38194 .43219 .37758 .42468 .36949 Metetra
.603 g
.42468 .36949 .43219 .37758 .44505 .37321 .43758 .36507 Metetra
.603 g
.43758 .36507 .44505 .37321 .45797 .36881 .45054 .36064 Metetra
.603 g
.45054 .36064 .45797 .36881 .47095 .36439 .46356 .35618 Metetra
.603 g
.46356 .35618 .47095 .36439 .48399 .35995 .47665 .3517 Metetra
.603 g
.47665 .3517 .48399 .35995 .4971 .35549 .48979 .3472 Metetra
.603 g
.48979 .3472 .4971 .35549 .51027 .35101 .503 .34268 Metetra
.603 g
.503 .34268 .51027 .35101 .5235 .34651 .51628 .33814 Metetra
.603 g
.51628 .33814 .5235 .34651 .5368 .34198 .52962 .33357 Metetra
.603 g
.52962 .33357 .5368 .34198 .55016 .33744 .54302 .32898 Metetra
.603 g
.54302 .32898 .55016 .33744 .56359 .33287 .55649 .32437 Metetra
.603 g
.55649 .32437 .56359 .33287 .57708 .32827 .57003 .31974 Metetra
.603 g
.57003 .31974 .57708 .32827 .59064 .32366 .58363 .31508 Metetra
.603 g
.58363 .31508 .59064 .32366 .60427 .31902 .5973 .3104 Metetra
.603 g
.5973 .3104 .60427 .31902 .61796 .31436 .61104 .3057 Metetra
.603 g
.61104 .3057 .61796 .31436 .63172 .30968 .62484 .30098 Metetra
.603 g
.62484 .30098 .63172 .30968 .64554 .30498 .63871 .29623 Metetra
.603 g
.63871 .29623 .64554 .30498 .65944 .30025 .65266 .29146 Metetra
.603 g
.65266 .29146 .65944 .30025 .6734 .2955 .66667 .28666 Metetra
.603 g
.66667 .28666 .6734 .2955 .68743 .29072 .68075 .28184 Metetra
.603 g
.68075 .28184 .68743 .29072 .70154 .28592 .6949 .277 Metetra
.603 g
.6949 .277 .70154 .28592 .71571 .2811 .70912 .27213 Metetra
.603 g
.70912 .27213 .71571 .2811 .72996 .27625 .72342 .26724 Metetra
.603 g
.72342 .26724 .72996 .27625 .74427 .27138 .73778 .26232 Metetra
.603 g
.73778 .26232 .74427 .27138 .75866 .26648 .75222 .25738 Metetra
.603 g
.75222 .25738 .75866 .26648 .77312 .26156 .76673 .25241 Metetra
.603 g
.76673 .25241 .77312 .26156 .78765 .25661 .78132 .24742 Metetra
.603 g
.78132 .24742 .78765 .25661 .80226 .25164 .79598 .2424 Metetra
.603 g
.14739 .45419 .15571 .46155 .16735 .45757 .15906 .45017 Metetra
.603 g
.15906 .45017 .16735 .45757 .17905 .45357 .17079 .44613 Metetra
.603 g
.17079 .44613 .17905 .45357 .1908 .44954 .18257 .44207 Metetra
.603 g
.18257 .44207 .1908 .44954 .2026 .4455 .1944 .438 Metetra
.603 g
.1944 .438 .2026 .4455 .21446 .44145 .20629 .4339 Metetra
.603 g
.20629 .4339 .21446 .44145 .22637 .43737 .21823 .42979 Metetra
.603 g
.21823 .42979 .22637 .43737 .23834 .43327 .23023 .42566 Metetra
.603 g
.23023 .42566 .23834 .43327 .25036 .42916 .24229 .42151 Metetra
.603 g
.24229 .42151 .25036 .42916 .26244 .42502 .2544 .41734 Metetra
.603 g
.2544 .41734 .26244 .42502 .27457 .42087 .26657 .41315 Metetra
.603 g
.26657 .41315 .27457 .42087 .28676 .4167 .27879 .40894 Metetra
.603 g
.27879 .40894 .28676 .4167 .29901 .41251 .29107 .40472 Metetra
.603 g
.29107 .40472 .29901 .41251 .31131 .40829 .30341 .40047 Metetra
.603 g
.30341 .40047 .31131 .40829 .32367 .40406 .3158 .3962 Metetra
.603 g
.3158 .3962 .32367 .40406 .33609 .39981 .32826 .39191 Metetra
.603 g
.32826 .39191 .33609 .39981 .34857 .39554 .34077 .3876 Metetra
.603 g
.34077 .3876 .34857 .39554 .36111 .39125 .35334 .38328 Metetra
.603 g
.35334 .38328 .36111 .39125 .3737 .38694 .36598 .37893 Metetra
.603 g
.36598 .37893 .3737 .38694 .38636 .38261 .37867 .37456 Metetra
.603 g
.37867 .37456 .38636 .38261 .39907 .37826 .39142 .37017 Metetra
.603 g
.39142 .37017 .39907 .37826 .41185 .37388 .40423 .36575 Metetra
.603 g
.40423 .36575 .41185 .37388 .42468 .36949 .41711 .36132 Metetra
.603 g
.41711 .36132 .42468 .36949 .43758 .36507 .43005 .35687 Metetra
.603 g
.43005 .35687 .43758 .36507 .45054 .36064 .44305 .35239 Metetra
.603 g
.44305 .35239 .45054 .36064 .46356 .35618 .45611 .3479 Metetra
.603 g
.45611 .3479 .46356 .35618 .47665 .3517 .46923 .34338 Metetra
.603 g
.46923 .34338 .47665 .3517 .48979 .3472 .48242 .33884 Metetra
.603 g
.48242 .33884 .48979 .3472 .503 .34268 .49567 .33427 Metetra
.603 g
.49567 .33427 .503 .34268 .51628 .33814 .50899 .32969 Metetra
.603 g
.50899 .32969 .51628 .33814 .52962 .33357 .52237 .32508 Metetra
.603 g
.52237 .32508 .52962 .33357 .54302 .32898 .53582 .32045 Metetra
.603 g
.53582 .32045 .54302 .32898 .55649 .32437 .54933 .3158 Metetra
.603 g
.54933 .3158 .55649 .32437 .57003 .31974 .56291 .31113 Metetra
.603 g
.56291 .31113 .57003 .31974 .58363 .31508 .57656 .30643 Metetra
.603 g
.57656 .30643 .58363 .31508 .5973 .3104 .59027 .30171 Metetra
.603 g
.59027 .30171 .5973 .3104 .61104 .3057 .60405 .29696 Metetra
.603 g
.60405 .29696 .61104 .3057 .62484 .30098 .6179 .29219 Metetra
.603 g
.6179 .29219 .62484 .30098 .63871 .29623 .63182 .2874 Metetra
.603 g
.63182 .2874 .63871 .29623 .65266 .29146 .64581 .28258 Metetra
.603 g
.64581 .28258 .65266 .29146 .66667 .28666 .65987 .27774 Metetra
.603 g
.65987 .27774 .66667 .28666 .68075 .28184 .674 .27288 Metetra
.603 g
.674 .27288 .68075 .28184 .6949 .277 .6882 .26799 Metetra
.603 g
.6882 .26799 .6949 .277 .70912 .27213 .70247 .26308 Metetra
.603 g
.70247 .26308 .70912 .27213 .72342 .26724 .71682 .25814 Metetra
.603 g
.71682 .25814 .72342 .26724 .73778 .26232 .73123 .25317 Metetra
.603 g
.73123 .25317 .73778 .26232 .75222 .25738 .74572 .24819 Metetra
.603 g
.74572 .24819 .75222 .25738 .76673 .25241 .76029 .24317 Metetra
.603 g
.76029 .24317 .76673 .25241 .78132 .24742 .77492 .23814 Metetra
.603 g
.77492 .23814 .78132 .24742 .79598 .2424 .78964 .23308 Metetra
.603 g
.13899 .44676 .14739 .45419 .15906 .45017 .1507 .44269 Metetra
.603 g
.1507 .44269 .15906 .45017 .17079 .44613 .16246 .43862 Metetra
.603 g
.16246 .43862 .17079 .44613 .18257 .44207 .17427 .43453 Metetra
.603 g
.17427 .43453 .18257 .44207 .1944 .438 .18613 .43043 Metetra
.603 g
.18613 .43043 .1944 .438 .20629 .4339 .19805 .4263 Metetra
.603 g
.19805 .4263 .20629 .4339 .21823 .42979 .21003 .42215 Metetra
.603 g
.21003 .42215 .21823 .42979 .23023 .42566 .22206 .41798 Metetra
.603 g
.22206 .41798 .23023 .42566 .24229 .42151 .23415 .4138 Metetra
.603 g
.23415 .4138 .24229 .42151 .2544 .41734 .24629 .40959 Metetra
.603 g
.24629 .40959 .2544 .41734 .26657 .41315 .25849 .40537 Metetra
.603 g
.25849 .40537 .26657 .41315 .27879 .40894 .27075 .40112 Metetra
.603 g
.27075 .40112 .27879 .40894 .29107 .40472 .28306 .39686 Metetra
.603 g
.28306 .39686 .29107 .40472 .30341 .40047 .29544 .39257 Metetra
.603 g
.29544 .39257 .30341 .40047 .3158 .3962 .30787 .38827 Metetra
.603 g
.30787 .38827 .3158 .3962 .32826 .39191 .32036 .38394 Metetra
.603 g
.32036 .38394 .32826 .39191 .34077 .3876 .33291 .3796 Metetra
.603 g
.33291 .3796 .34077 .3876 .35334 .38328 .34552 .37523 Metetra
.603 g
.34552 .37523 .35334 .38328 .36598 .37893 .35818 .37084 Metetra
.603 g
.35818 .37084 .36598 .37893 .37867 .37456 .37091 .36643 Metetra
.603 g
.37091 .36643 .37867 .37456 .39142 .37017 .3837 .36201 Metetra
.603 g
.3837 .36201 .39142 .37017 .40423 .36575 .39656 .35755 Metetra
.603 g
.39656 .35755 .40423 .36575 .41711 .36132 .40947 .35308 Metetra
.603 g
.40947 .35308 .41711 .36132 .43005 .35687 .42245 .34859 Metetra
.603 g
.42245 .34859 .43005 .35687 .44305 .35239 .43548 .34407 Metetra
.603 g
.43548 .34407 .44305 .35239 .45611 .3479 .44859 .33954 Metetra
.603 g
.44859 .33954 .45611 .3479 .46923 .34338 .46175 .33498 Metetra
.603 g
.46175 .33498 .46923 .34338 .48242 .33884 .47498 .3304 Metetra
.603 g
.47498 .3304 .48242 .33884 .49567 .33427 .48827 .32579 Metetra
.603 g
.48827 .32579 .49567 .33427 .50899 .32969 .50163 .32117 Metetra
.603 g
.50163 .32117 .50899 .32969 .52237 .32508 .51506 .31652 Metetra
.603 g
.51506 .31652 .52237 .32508 .53582 .32045 .52855 .31185 Metetra
.603 g
.52855 .31185 .53582 .32045 .54933 .3158 .5421 .30715 Metetra
.603 g
.5421 .30715 .54933 .3158 .56291 .31113 .55573 .30243 Metetra
.603 g
.55573 .30243 .56291 .31113 .57656 .30643 .56942 .29769 Metetra
.603 g
.56942 .29769 .57656 .30643 .59027 .30171 .58318 .29293 Metetra
.603 g
.58318 .29293 .59027 .30171 .60405 .29696 .59701 .28814 Metetra
.603 g
.59701 .28814 .60405 .29696 .6179 .29219 .6109 .28333 Metetra
.603 g
.6109 .28333 .6179 .29219 .63182 .2874 .62487 .27849 Metetra
.603 g
.62487 .27849 .63182 .2874 .64581 .28258 .6389 .27363 Metetra
.603 g
.6389 .27363 .64581 .28258 .65987 .27774 .65301 .26874 Metetra
.603 g
.65301 .26874 .65987 .27774 .674 .27288 .66719 .26383 Metetra
.603 g
.66719 .26383 .674 .27288 .6882 .26799 .68144 .2589 Metetra
.603 g
.68144 .2589 .6882 .26799 .70247 .26308 .69576 .25394 Metetra
.603 g
.69576 .25394 .70247 .26308 .71682 .25814 .71015 .24896 Metetra
.603 g
.71015 .24896 .71682 .25814 .73123 .25317 .72462 .24394 Metetra
.603 g
.72462 .24394 .73123 .25317 .74572 .24819 .73916 .23891 Metetra
.603 g
.73916 .23891 .74572 .24819 .76029 .24317 .75378 .23384 Metetra
.603 g
.75378 .23384 .76029 .24317 .77492 .23814 .76847 .22875 Metetra
.603 g
.76847 .22875 .77492 .23814 .78964 .23308 .78324 .22366 Metetra
.603 g
.13054 .43914 .13899 .44676 .1507 .44269 .14227 .43512 Metetra
.603 g
.14227 .43512 .1507 .44269 .16246 .43862 .15405 .43105 Metetra
.603 g
.15405 .43105 .16246 .43862 .17427 .43453 .16589 .42694 Metetra
.603 g
.16589 .42694 .17427 .43453 .18613 .43043 .17779 .42279 Metetra
.603 g
.17779 .42279 .18613 .43043 .19805 .4263 .18974 .41863 Metetra
.603 g
.18974 .41863 .19805 .4263 .21003 .42215 .20175 .41444 Metetra
.603 g
.20175 .41444 .21003 .42215 .22206 .41798 .21381 .41024 Metetra
.603 g
.21381 .41024 .22206 .41798 .23415 .4138 .22593 .40602 Metetra
.603 g
.22593 .40602 .23415 .4138 .24629 .40959 .23811 .40178 Metetra
.603 g
.23811 .40178 .24629 .40959 .25849 .40537 .25034 .39752 Metetra
.603 g
.25034 .39752 .25849 .40537 .27075 .40112 .26264 .39323 Metetra
.603 g
.26264 .39323 .27075 .40112 .28306 .39686 .27499 .38893 Metetra
.603 g
.27499 .38893 .28306 .39686 .29544 .39257 .28739 .38461 Metetra
.603 g
.28739 .38461 .29544 .39257 .30787 .38827 .29986 .38027 Metetra
.603 g
.29986 .38027 .30787 .38827 .32036 .38394 .31239 .3759 Metetra
.603 g
.31239 .3759 .32036 .38394 .33291 .3796 .32497 .37152 Metetra
.603 g
.32497 .37152 .33291 .3796 .34552 .37523 .33762 .36711 Metetra
.603 g
.33762 .36711 .34552 .37523 .35818 .37084 .35032 .36269 Metetra
.603 g
.35032 .36269 .35818 .37084 .37091 .36643 .36309 .35824 Metetra
.603 g
.36309 .35824 .37091 .36643 .3837 .36201 .37592 .35377 Metetra
.603 g
.37592 .35377 .3837 .36201 .39656 .35755 .38881 .34928 Metetra
.603 g
.38881 .34928 .39656 .35755 .40947 .35308 .40176 .34477 Metetra
.603 g
.40176 .34477 .40947 .35308 .42245 .34859 .41478 .34024 Metetra
.603 g
.41478 .34024 .42245 .34859 .43548 .34407 .42785 .33568 Metetra
.603 g
.42785 .33568 .43548 .34407 .44859 .33954 .441 .3311 Metetra
.603 g
.441 .3311 .44859 .33954 .46175 .33498 .4542 .3265 Metetra
.603 g
.4542 .3265 .46175 .33498 .47498 .3304 .46747 .32188 Metetra
.603 g
.46747 .32188 .47498 .3304 .48827 .32579 .48081 .31723 Metetra
.603 g
.48081 .31723 .48827 .32579 .50163 .32117 .49421 .31257 Metetra
.603 g
.49421 .31257 .50163 .32117 .51506 .31652 .50768 .30788 Metetra
.603 g
.50768 .30788 .51506 .31652 .52855 .31185 .52121 .30316 Metetra
.603 g
.52121 .30316 .52855 .31185 .5421 .30715 .53481 .29842 Metetra
.603 g
.53481 .29842 .5421 .30715 .55573 .30243 .54848 .29366 Metetra
.603 g
.54848 .29366 .55573 .30243 .56942 .29769 .56221 .28888 Metetra
.603 g
.56221 .28888 .56942 .29769 .58318 .29293 .57602 .28407 Metetra
.603 g
.57602 .28407 .58318 .29293 .59701 .28814 .58989 .27924 Metetra
.603 g
.58989 .27924 .59701 .28814 .6109 .28333 .60384 .27438 Metetra
.603 g
.60384 .27438 .6109 .28333 .62487 .27849 .61785 .2695 Metetra
.603 g
.61785 .2695 .62487 .27849 .6389 .27363 .63193 .26459 Metetra
.603 g
.63193 .26459 .6389 .27363 .65301 .26874 .64609 .25966 Metetra
.603 g
.64609 .25966 .65301 .26874 .66719 .26383 .66031 .2547 Metetra
.603 g
.66031 .2547 .66719 .26383 .68144 .2589 .67461 .24972 Metetra
.603 g
.67461 .24972 .68144 .2589 .69576 .25394 .68898 .24472 Metetra
.603 g
.68898 .24472 .69576 .25394 .71015 .24896 .70343 .23969 Metetra
.603 g
.70343 .23969 .71015 .24896 .72462 .24394 .71795 .23463 Metetra
.603 g
.71795 .23463 .72462 .24394 .73916 .23891 .73254 .22955 Metetra
.603 g
.73254 .22955 .73916 .23891 .75378 .23384 .74721 .22443 Metetra
.603 g
.74721 .22443 .75378 .23384 .76847 .22875 .76195 .21925 Metetra
.603 g
.76195 .21925 .76847 .22875 .78324 .22366 .77676 .21402 Metetra
.604 g
.12202 .43151 .13054 .43914 .14227 .43512 .13375 .4276 Metetra
.603 g
.13375 .4276 .14227 .43512 .15405 .43105 .14557 .42347 Metetra
.603 g
.14557 .42347 .15405 .43105 .16589 .42694 .15745 .41929 Metetra
.603 g
.15745 .41929 .16589 .42694 .17779 .42279 .16938 .4151 Metetra
.603 g
.16938 .4151 .17779 .42279 .18974 .41863 .18136 .41089 Metetra
.603 g
.18136 .41089 .18974 .41863 .20175 .41444 .1934 .40667 Metetra
.603 g
.1934 .40667 .20175 .41444 .21381 .41024 .2055 .40243 Metetra
.603 g
.2055 .40243 .21381 .41024 .22593 .40602 .21765 .39817 Metetra
.603 g
.21765 .39817 .22593 .40602 .23811 .40178 .22986 .39389 Metetra
.603 g
.22986 .39389 .23811 .40178 .25034 .39752 .24213 .3896 Metetra
.603 g
.24213 .3896 .25034 .39752 .26264 .39323 .25445 .38528 Metetra
.603 g
.25445 .38528 .26264 .39323 .27499 .38893 .26684 .38094 Metetra
.603 g
.26684 .38094 .27499 .38893 .28739 .38461 .27928 .37658 Metetra
.603 g
.27928 .37658 .28739 .38461 .29986 .38027 .29178 .3722 Metetra
.603 g
.29178 .3722 .29986 .38027 .31239 .3759 .30434 .36779 Metetra
.603 g
.30434 .36779 .31239 .3759 .32497 .37152 .31697 .36337 Metetra
.603 g
.31697 .36337 .32497 .37152 .33762 .36711 .32965 .35893 Metetra
.603 g
.32965 .35893 .33762 .36711 .35032 .36269 .34239 .35446 Metetra
.603 g
.34239 .35446 .35032 .36269 .36309 .35824 .3552 .34997 Metetra
.603 g
.3552 .34997 .36309 .35824 .37592 .35377 .36806 .34547 Metetra
.603 g
.36806 .34547 .37592 .35377 .38881 .34928 .38099 .34094 Metetra
.603 g
.38099 .34094 .38881 .34928 .40176 .34477 .39398 .33638 Metetra
.603 g
.39398 .33638 .40176 .34477 .41478 .34024 .40704 .33181 Metetra
.603 g
.40704 .33181 .41478 .34024 .42785 .33568 .42016 .32721 Metetra
.603 g
.42016 .32721 .42785 .33568 .441 .3311 .43334 .32259 Metetra
.603 g
.43334 .32259 .441 .3311 .4542 .3265 .44659 .31795 Metetra
.603 g
.44659 .31795 .4542 .3265 .46747 .32188 .4599 .31329 Metetra
.603 g
.4599 .31329 .46747 .32188 .48081 .31723 .47328 .3086 Metetra
.603 g
.47328 .3086 .48081 .31723 .49421 .31257 .48672 .30389 Metetra
.603 g
.48672 .30389 .49421 .31257 .50768 .30788 .50023 .29915 Metetra
.603 g
.50023 .29915 .50768 .30788 .52121 .30316 .51381 .2944 Metetra
.603 g
.51381 .2944 .52121 .30316 .53481 .29842 .52745 .28961 Metetra
.603 g
.52745 .28961 .53481 .29842 .54848 .29366 .54116 .28481 Metetra
.603 g
.54116 .28481 .54848 .29366 .56221 .28888 .55494 .27998 Metetra
.603 g
.55494 .27998 .56221 .28888 .57602 .28407 .56879 .27513 Metetra
.603 g
.56879 .27513 .57602 .28407 .58989 .27924 .58271 .27025 Metetra
.603 g
.58271 .27025 .58989 .27924 .60384 .27438 .5967 .26535 Metetra
.603 g
.5967 .26535 .60384 .27438 .61785 .2695 .61076 .26042 Metetra
.603 g
.61076 .26042 .61785 .2695 .63193 .26459 .6249 .25547 Metetra
.603 g
.6249 .25547 .63193 .26459 .64609 .25966 .6391 .25049 Metetra
.603 g
.6391 .25049 .64609 .25966 .66031 .2547 .65337 .24549 Metetra
.603 g
.65337 .24549 .66031 .2547 .67461 .24972 .66772 .24046 Metetra
.603 g
.66772 .24046 .67461 .24972 .68898 .24472 .68214 .23541 Metetra
.603 g
.68214 .23541 .68898 .24472 .70343 .23969 .69664 .23033 Metetra
.603 g
.69664 .23033 .70343 .23969 .71795 .23463 .71121 .22523 Metetra
.603 g
.71121 .22523 .71795 .23463 .73254 .22955 .72586 .22012 Metetra
.603 g
.72586 .22012 .73254 .22955 .74721 .22443 .74058 .21498 Metetra
.603 g
.74058 .21498 .74721 .22443 .76195 .21925 .75537 .20978 Metetra
.604 g
.75537 .20978 .76195 .21925 .77676 .21402 .77023 .20434 Metetra
.602 g
.11327 .42494 .12202 .43151 .13375 .4276 .12513 .42031 Metetra
.603 g
.12513 .42031 .13375 .4276 .14557 .42347 .13701 .41585 Metetra
.603 g
.13701 .41585 .14557 .42347 .15745 .41929 .14893 .41155 Metetra
.603 g
.14893 .41155 .15745 .41929 .16938 .4151 .16089 .40731 Metetra
.603 g
.16089 .40731 .16938 .4151 .18136 .41089 .17291 .40307 Metetra
.603 g
.17291 .40307 .18136 .41089 .1934 .40667 .18498 .39882 Metetra
.603 g
.18498 .39882 .1934 .40667 .2055 .40243 .19711 .39455 Metetra
.603 g
.19711 .39455 .2055 .40243 .21765 .39817 .20929 .39026 Metetra
.603 g
.20929 .39026 .21765 .39817 .22986 .39389 .22154 .38594 Metetra
.603 g
.22154 .38594 .22986 .39389 .24213 .3896 .23384 .38161 Metetra
.603 g
.23384 .38161 .24213 .3896 .25445 .38528 .2462 .37725 Metetra
.603 g
.2462 .37725 .25445 .38528 .26684 .38094 .25862 .37287 Metetra
.603 g
.25862 .37287 .26684 .38094 .27928 .37658 .2711 .36847 Metetra
.603 g
.2711 .36847 .27928 .37658 .29178 .3722 .28363 .36405 Metetra
.603 g
.28363 .36405 .29178 .3722 .30434 .36779 .29623 .35961 Metetra
.603 g
.29623 .35961 .30434 .36779 .31697 .36337 .30889 .35515 Metetra
.603 g
.30889 .35515 .31697 .36337 .32965 .35893 .32161 .35067 Metetra
.603 g
.32161 .35067 .32965 .35893 .34239 .35446 .33439 .34616 Metetra
.603 g
.33439 .34616 .34239 .35446 .3552 .34997 .34723 .34163 Metetra
.603 g
.34723 .34163 .3552 .34997 .36806 .34547 .36014 .33708 Metetra
.603 g
.36014 .33708 .36806 .34547 .38099 .34094 .37311 .33251 Metetra
.603 g
.37311 .33251 .38099 .34094 .39398 .33638 .38614 .32792 Metetra
.603 g
.38614 .32792 .39398 .33638 .40704 .33181 .39923 .3233 Metetra
.603 g
.39923 .3233 .40704 .33181 .42016 .32721 .41239 .31867 Metetra
.603 g
.41239 .31867 .42016 .32721 .43334 .32259 .42561 .31401 Metetra
.603 g
.42561 .31401 .43334 .32259 .44659 .31795 .4389 .30932 Metetra
.603 g
.4389 .30932 .44659 .31795 .4599 .31329 .45225 .30461 Metetra
.603 g
.45225 .30461 .4599 .31329 .47328 .3086 .46567 .29988 Metetra
.603 g
.46567 .29988 .47328 .3086 .48672 .30389 .47916 .29513 Metetra
.603 g
.47916 .29513 .48672 .30389 .50023 .29915 .49271 .29035 Metetra
.603 g
.49271 .29035 .50023 .29915 .51381 .2944 .50633 .28555 Metetra
.603 g
.50633 .28555 .51381 .2944 .52745 .28961 .52002 .28072 Metetra
.603 g
.52002 .28072 .52745 .28961 .54116 .28481 .53378 .27588 Metetra
.603 g
.53378 .27588 .54116 .28481 .55494 .27998 .54761 .271 Metetra
.603 g
.54761 .271 .55494 .27998 .56879 .27513 .5615 .2661 Metetra
.603 g
.5615 .2661 .56879 .27513 .58271 .27025 .57547 .26118 Metetra
.603 g
.57547 .26118 .58271 .27025 .5967 .26535 .5895 .25623 Metetra
.603 g
.5895 .25623 .5967 .26535 .61076 .26042 .60361 .25126 Metetra
.603 g
.60361 .25126 .61076 .26042 .6249 .25547 .61779 .24626 Metetra
.603 g
.61779 .24626 .6249 .25547 .6391 .25049 .63204 .24124 Metetra
.603 g
.63204 .24124 .6391 .25049 .65337 .24549 .64637 .23619 Metetra
.603 g
.64637 .23619 .65337 .24549 .66772 .24046 .66077 .23111 Metetra
.603 g
.66077 .23111 .66772 .24046 .68214 .23541 .67524 .226 Metetra
.603 g
.67524 .226 .68214 .23541 .69664 .23033 .68979 .22087 Metetra
.603 g
.68979 .22087 .69664 .23033 .71121 .22523 .70441 .21572 Metetra
.603 g
.70441 .21572 .71121 .22523 .72586 .22012 .71911 .21056 Metetra
.603 g
.71911 .21056 .72586 .22012 .74058 .21498 .73389 .20547 Metetra
.603 g
.73389 .20547 .74058 .21498 .75537 .20978 .74876 .20052 Metetra
.602 g
.74876 .20052 .75537 .20978 .77023 .20434 .76373 .19576 Metetra
.6 g
.10448 .41804 .11327 .42494 .12513 .42031 .11651 .41228 Metetra
.603 g
.11651 .41228 .12513 .42031 .13701 .41585 .12843 .40778 Metetra
.604 g
.12843 .40778 .13701 .41585 .14893 .41155 .14036 .40359 Metetra
.604 g
.14036 .40359 .14893 .41155 .16089 .40731 .15234 .39941 Metetra
.603 g
.15234 .39941 .16089 .40731 .17291 .40307 .16438 .39519 Metetra
.603 g
.16438 .39519 .17291 .40307 .18498 .39882 .17649 .39092 Metetra
.603 g
.17649 .39092 .18498 .39882 .19711 .39455 .18865 .38661 Metetra
.603 g
.18865 .38661 .19711 .39455 .20929 .39026 .20087 .38228 Metetra
.603 g
.20087 .38228 .20929 .39026 .22154 .38594 .21314 .37792 Metetra
.603 g
.21314 .37792 .22154 .38594 .23384 .38161 .22548 .37355 Metetra
.603 g
.22548 .37355 .23384 .38161 .2462 .37725 .23787 .36915 Metetra
.603 g
.23787 .36915 .2462 .37725 .25862 .37287 .25033 .36473 Metetra
.603 g
.25033 .36473 .25862 .37287 .2711 .36847 .26284 .3603 Metetra
.603 g
.26284 .3603 .2711 .36847 .28363 .36405 .27541 .35584 Metetra
.603 g
.27541 .35584 .28363 .36405 .29623 .35961 .28805 .35136 Metetra
.603 g
.28805 .35136 .29623 .35961 .30889 .35515 .30074 .34686 Metetra
.603 g
.30074 .34686 .30889 .35515 .32161 .35067 .3135 .34233 Metetra
.603 g
.3135 .34233 .32161 .35067 .33439 .34616 .32632 .33779 Metetra
.603 g
.32632 .33779 .33439 .34616 .34723 .34163 .3392 .33322 Metetra
.603 g
.3392 .33322 .34723 .34163 .36014 .33708 .35214 .32863 Metetra
.603 g
.35214 .32863 .36014 .33708 .37311 .33251 .36515 .32402 Metetra
.603 g
.36515 .32402 .37311 .33251 .38614 .32792 .37822 .31938 Metetra
.603 g
.37822 .31938 .38614 .32792 .39923 .3233 .39135 .31472 Metetra
.603 g
.39135 .31472 .39923 .3233 .41239 .31867 .40455 .31004 Metetra
.603 g
.40455 .31004 .41239 .31867 .42561 .31401 .41781 .30534 Metetra
.603 g
.41781 .30534 .42561 .31401 .4389 .30932 .43114 .30061 Metetra
.603 g
.43114 .30061 .4389 .30932 .45225 .30461 .44454 .29586 Metetra
.603 g
.44454 .29586 .45225 .30461 .46567 .29988 .458 .29109 Metetra
.603 g
.458 .29109 .46567 .29988 .47916 .29513 .47153 .28629 Metetra
.603 g
.47153 .28629 .47916 .29513 .49271 .29035 .48513 .28147 Metetra
.603 g
.48513 .28147 .49271 .29035 .50633 .28555 .49879 .27662 Metetra
.603 g
.49879 .27662 .50633 .28555 .52002 .28072 .51253 .27175 Metetra
.603 g
.51253 .27175 .52002 .28072 .53378 .27588 .52633 .26686 Metetra
.603 g
.52633 .26686 .53378 .27588 .54761 .271 .5402 .26194 Metetra
.603 g
.5402 .26194 .54761 .271 .5615 .2661 .55414 .25699 Metetra
.603 g
.55414 .25699 .5615 .2661 .57547 .26118 .56815 .25203 Metetra
.603 g
.56815 .25203 .57547 .26118 .5895 .25623 .58224 .24703 Metetra
.603 g
.58224 .24703 .5895 .25623 .60361 .25126 .59639 .24201 Metetra
.603 g
.59639 .24201 .60361 .25126 .61779 .24626 .61062 .23697 Metetra
.603 g
.61062 .23697 .61779 .24626 .63204 .24124 .62492 .2319 Metetra
.603 g
.62492 .2319 .63204 .24124 .64637 .23619 .6393 .2268 Metetra
.603 g
.6393 .2268 .64637 .23619 .66077 .23111 .65375 .22168 Metetra
.603 g
.65375 .22168 .66077 .23111 .67524 .226 .66827 .21652 Metetra
.603 g
.66827 .21652 .67524 .226 .68979 .22087 .68287 .21132 Metetra
.603 g
.68287 .21132 .68979 .22087 .70441 .21572 .69754 .20607 Metetra
.604 g
.69754 .20607 .70441 .21572 .71911 .21056 .71228 .20076 Metetra
.604 g
.71228 .20076 .71911 .21056 .73389 .20547 .7271 .19546 Metetra
.603 g
.7271 .19546 .73389 .20547 .74876 .20052 .74203 .19047 Metetra
.6 g
.74203 .19047 .74876 .20052 .76373 .19576 .75714 .1868 Metetra
.609 g
.09652 .40425 .10448 .41804 .11651 .41228 .10809 .40215 Metetra
.607 g
.10809 .40215 .11651 .41228 .12843 .40778 .11982 .39926 Metetra
.605 g
.11982 .39926 .12843 .40778 .14036 .40359 .13171 .3956 Metetra
.604 g
.13171 .3956 .14036 .40359 .15234 .39941 .1437 .39154 Metetra
.603 g
.1437 .39154 .15234 .39941 .16438 .39519 .15578 .38729 Metetra
.603 g
.15578 .38729 .16438 .39519 .17649 .39092 .16791 .38297 Metetra
.603 g
.16791 .38297 .17649 .39092 .18865 .38661 .18011 .37861 Metetra
.603 g
.18011 .37861 .18865 .38661 .20087 .38228 .19236 .37423 Metetra
.603 g
.19236 .37423 .20087 .38228 .21314 .37792 .20467 .36983 Metetra
.603 g
.20467 .36983 .21314 .37792 .22548 .37355 .21704 .36542 Metetra
.603 g
.21704 .36542 .22548 .37355 .23787 .36915 .22947 .36098 Metetra
.603 g
.22947 .36098 .23787 .36915 .25033 .36473 .24196 .35652 Metetra
.603 g
.24196 .35652 .25033 .36473 .26284 .3603 .25451 .35205 Metetra
.603 g
.25451 .35205 .26284 .3603 .27541 .35584 .26712 .34755 Metetra
.603 g
.26712 .34755 .27541 .35584 .28805 .35136 .27979 .34303 Metetra
.603 g
.27979 .34303 .28805 .35136 .30074 .34686 .29252 .33849 Metetra
.603 g
.29252 .33849 .30074 .34686 .3135 .34233 .30532 .33392 Metetra
.603 g
.30532 .33392 .3135 .34233 .32632 .33779 .31817 .32934 Metetra
.603 g
.31817 .32934 .32632 .33779 .3392 .33322 .33109 .32473 Metetra
.603 g
.33109 .32473 .3392 .33322 .35214 .32863 .34407 .3201 Metetra
.603 g
.34407 .3201 .35214 .32863 .36515 .32402 .35712 .31544 Metetra
.603 g
.35712 .31544 .36515 .32402 .37822 .31938 .37023 .31076 Metetra
.603 g
.37023 .31076 .37822 .31938 .39135 .31472 .3834 .30606 Metetra
.603 g
.3834 .30606 .39135 .31472 .40455 .31004 .39664 .30134 Metetra
.603 g
.39664 .30134 .40455 .31004 .41781 .30534 .40995 .29659 Metetra
.603 g
.40995 .29659 .41781 .30534 .43114 .30061 .42332 .29182 Metetra
.603 g
.42332 .29182 .43114 .30061 .44454 .29586 .43675 .28703 Metetra
.603 g
.43675 .28703 .44454 .29586 .458 .29109 .45026 .28221 Metetra
.603 g
.45026 .28221 .458 .29109 .47153 .28629 .46383 .27737 Metetra
.603 g
.46383 .27737 .47153 .28629 .48513 .28147 .47747 .2725 Metetra
.603 g
.47747 .2725 .48513 .28147 .49879 .27662 .49118 .26761 Metetra
.603 g
.49118 .26761 .49879 .27662 .51253 .27175 .50496 .2627 Metetra
.603 g
.50496 .2627 .51253 .27175 .52633 .26686 .51881 .25776 Metetra
.603 g
.51881 .25776 .52633 .26686 .5402 .26194 .53272 .25279 Metetra
.603 g
.53272 .25279 .5402 .26194 .55414 .25699 .54671 .2478 Metetra
.603 g
.54671 .2478 .55414 .25699 .56815 .25203 .56077 .24278 Metetra
.603 g
.56077 .24278 .56815 .25203 .58224 .24703 .5749 .23774 Metetra
.603 g
.5749 .23774 .58224 .24703 .59639 .24201 .58911 .23268 Metetra
.603 g
.58911 .23268 .59639 .24201 .61062 .23697 .60338 .22758 Metetra
.603 g
.60338 .22758 .61062 .23697 .62492 .2319 .61773 .22247 Metetra
.603 g
.61773 .22247 .62492 .2319 .6393 .2268 .63216 .21733 Metetra
.603 g
.63216 .21733 .6393 .2268 .65375 .22168 .64666 .21216 Metetra
.603 g
.64666 .21216 .65375 .22168 .66827 .21652 .66123 .20697 Metetra
.603 g
.66123 .20697 .66827 .21652 .68287 .21132 .67588 .20174 Metetra
.603 g
.67588 .20174 .68287 .21132 .69754 .20607 .69061 .19642 Metetra
.604 g
.69061 .19642 .69754 .20607 .71228 .20076 .70539 .19091 Metetra
.605 g
.70539 .19091 .71228 .20076 .7271 .19546 .72023 .18495 Metetra
.607 g
.72023 .18495 .7271 .19546 .74203 .19047 .73509 .1782 Metetra
.609 g
.73509 .1782 .74203 .19047 .75714 .1868 .74994 .1706 Metetra
.623 g
.0884 .39129 .09652 .40425 .10809 .40215 .09924 .39465 Metetra
.609 g
.09924 .39465 .10809 .40215 .11982 .39926 .11092 .39235 Metetra
.604 g
.11092 .39235 .11982 .39926 .13171 .3956 .12289 .38833 Metetra
.603 g
.12289 .38833 .13171 .3956 .1437 .39154 .13496 .3839 Metetra
.603 g
.13496 .3839 .1437 .39154 .15578 .38729 .14708 .37942 Metetra
.603 g
.14708 .37942 .15578 .38729 .16791 .38297 .15926 .37496 Metetra
.603 g
.15926 .37496 .16791 .38297 .18011 .37861 .1715 .37053 Metetra
.603 g
.1715 .37053 .18011 .37861 .19236 .37423 .18379 .3661 Metetra
.603 g
.18379 .3661 .19236 .37423 .20467 .36983 .19613 .36166 Metetra
.603 g
.19613 .36166 .20467 .36983 .21704 .36542 .20854 .35721 Metetra
.603 g
.20854 .35721 .21704 .36542 .22947 .36098 .221 .35274 Metetra
.603 g
.221 .35274 .22947 .36098 .24196 .35652 .23352 .34824 Metetra
.603 g
.23352 .34824 .24196 .35652 .25451 .35205 .24611 .34372 Metetra
.603 g
.24611 .34372 .25451 .35205 .26712 .34755 .25875 .33919 Metetra
.603 g
.25875 .33919 .26712 .34755 .27979 .34303 .27146 .33463 Metetra
.603 g
.27146 .33463 .27979 .34303 .29252 .33849 .28423 .33004 Metetra
.603 g
.28423 .33004 .29252 .33849 .30532 .33392 .29706 .32544 Metetra
.603 g
.29706 .32544 .30532 .33392 .31817 .32934 .30995 .32081 Metetra
.603 g
.30995 .32081 .31817 .32934 .33109 .32473 .32291 .31616 Metetra
.603 g
.32291 .31616 .33109 .32473 .34407 .3201 .33593 .31149 Metetra
.603 g
.33593 .31149 .34407 .3201 .35712 .31544 .34902 .30679 Metetra
.603 g
.34902 .30679 .35712 .31544 .37023 .31076 .36216 .30207 Metetra
.603 g
.36216 .30207 .37023 .31076 .3834 .30606 .37538 .29733 Metetra
.603 g
.37538 .29733 .3834 .30606 .39664 .30134 .38866 .29256 Metetra
.603 g
.38866 .29256 .39664 .30134 .40995 .29659 .40201 .28777 Metetra
.603 g
.40201 .28777 .40995 .29659 .42332 .29182 .41542 .28295 Metetra
.603 g
.41542 .28295 .42332 .29182 .43675 .28703 .4289 .27812 Metetra
.603 g
.4289 .27812 .43675 .28703 .45026 .28221 .44245 .27325 Metetra
.603 g
.44245 .27325 .45026 .28221 .46383 .27737 .45606 .26837 Metetra
.603 g
.45606 .26837 .46383 .27737 .47747 .2725 .46975 .26346 Metetra
.603 g
.46975 .26346 .47747 .2725 .49118 .26761 .4835 .25852 Metetra
.603 g
.4835 .25852 .49118 .26761 .50496 .2627 .49732 .25356 Metetra
.603 g
.49732 .25356 .50496 .2627 .51881 .25776 .51121 .24857 Metetra
.603 g
.51121 .24857 .51881 .25776 .53272 .25279 .52518 .24356 Metetra
.603 g
.52518 .24356 .53272 .25279 .54671 .2478 .53921 .23852 Metetra
.603 g
.53921 .23852 .54671 .2478 .56077 .24278 .55332 .23346 Metetra
.603 g
.55332 .23346 .56077 .24278 .5749 .23774 .5675 .22837 Metetra
.603 g
.5675 .22837 .5749 .23774 .58911 .23268 .58175 .22325 Metetra
.603 g
.58175 .22325 .58911 .23268 .60338 .22758 .59608 .21811 Metetra
.603 g
.59608 .21811 .60338 .22758 .61773 .22247 .61048 .21294 Metetra
.603 g
.61048 .21294 .61773 .22247 .63216 .21733 .62495 .20775 Metetra
.603 g
.62495 .20775 .63216 .21733 .64666 .21216 .6395 .20255 Metetra
.603 g
.6395 .20255 .64666 .21216 .66123 .20697 .65413 .19735 Metetra
.603 g
.65413 .19735 .66123 .20697 .67588 .20174 .66884 .19216 Metetra
.603 g
.66884 .19216 .67588 .20174 .69061 .19642 .68362 .18699 Metetra
.603 g
.68362 .18699 .69061 .19642 .70539 .19091 .69849 .18177 Metetra
.604 g
.69849 .18177 .70539 .19091 .72023 .18495 .71341 .17611 Metetra
.609 g
.71341 .17611 .72023 .18495 .73509 .1782 .72828 .16865 Metetra
.623 g
.72828 .16865 .73509 .1782 .74994 .1706 .74278 .15524 Metetra
.592 g
.07627 .4068 .0884 .39129 .09924 .39465 .08907 .39635 Metetra
.593 g
.08907 .39635 .09924 .39465 .11092 .39235 .10161 .38787 Metetra
.597 g
.10161 .38787 .11092 .39235 .12289 .38833 .11393 .38141 Metetra
.6 g
.11393 .38141 .12289 .38833 .13496 .3839 .12614 .3761 Metetra
.602 g
.12614 .3761 .13496 .3839 .14708 .37942 .13833 .37134 Metetra
.603 g
.13833 .37134 .14708 .37942 .15926 .37496 .15055 .3668 Metetra
.603 g
.15055 .3668 .15926 .37496 .1715 .37053 .16281 .36233 Metetra
.603 g
.16281 .36233 .1715 .37053 .18379 .3661 .17514 .35788 Metetra
.603 g
.17514 .35788 .18379 .3661 .19613 .36166 .18751 .35341 Metetra
.603 g
.18751 .35341 .19613 .36166 .20854 .35721 .19995 .34892 Metetra
.603 g
.19995 .34892 .20854 .35721 .221 .35274 .21245 .34442 Metetra
.603 g
.21245 .34442 .221 .35274 .23352 .34824 .22501 .33988 Metetra
.603 g
.22501 .33988 .23352 .34824 .24611 .34372 .23763 .33533 Metetra
.603 g
.23763 .33533 .24611 .34372 .25875 .33919 .25031 .33075 Metetra
.603 g
.25031 .33075 .25875 .33919 .27146 .33463 .26305 .32615 Metetra
.603 g
.26305 .32615 .27146 .33463 .28423 .33004 .27586 .32152 Metetra
.603 g
.27586 .32152 .28423 .33004 .29706 .32544 .28873 .31688 Metetra
.603 g
.28873 .31688 .29706 .32544 .30995 .32081 .30166 .31221 Metetra
.603 g
.30166 .31221 .30995 .32081 .32291 .31616 .31465 .30751 Metetra
.603 g
.31465 .30751 .32291 .31616 .33593 .31149 .32771 .3028 Metetra
.603 g
.32771 .3028 .33593 .31149 .34902 .30679 .34084 .29806 Metetra
.603 g
.34084 .29806 .34902 .30679 .36216 .30207 .35403 .29329 Metetra
.603 g
.35403 .29329 .36216 .30207 .37538 .29733 .36728 .28851 Metetra
.603 g
.36728 .28851 .37538 .29733 .38866 .29256 .3806 .2837 Metetra
.603 g
.3806 .2837 .38866 .29256 .40201 .28777 .39399 .27886 Metetra
.603 g
.39399 .27886 .40201 .28777 .41542 .28295 .40745 .274 Metetra
.603 g
.40745 .274 .41542 .28295 .4289 .27812 .42097 .26912 Metetra
.603 g
.42097 .26912 .4289 .27812 .44245 .27325 .43456 .26421 Metetra
.603 g
.43456 .26421 .44245 .27325 .45606 .26837 .44822 .25928 Metetra
.603 g
.44822 .25928 .45606 .26837 .46975 .26346 .46195 .25432 Metetra
.603 g
.46195 .25432 .46975 .26346 .4835 .25852 .47574 .24934 Metetra
.603 g
.47574 .24934 .4835 .25852 .49732 .25356 .48961 .24433 Metetra
.603 g
.48961 .24433 .49732 .25356 .51121 .24857 .50355 .2393 Metetra
.603 g
.50355 .2393 .51121 .24857 .52518 .24356 .51756 .23424 Metetra
.603 g
.51756 .23424 .52518 .24356 .53921 .23852 .53164 .22915 Metetra
.603 g
.53164 .22915 .53921 .23852 .55332 .23346 .5458 .22404 Metetra
.603 g
.5458 .22404 .55332 .23346 .5675 .22837 .56003 .2189 Metetra
.603 g
.56003 .2189 .5675 .22837 .58175 .22325 .57433 .21373 Metetra
.603 g
.57433 .21373 .58175 .22325 .59608 .21811 .5887 .20854 Metetra
.603 g
.5887 .20854 .59608 .21811 .61048 .21294 .60315 .20331 Metetra
.603 g
.60315 .20331 .61048 .21294 .62495 .20775 .61768 .19806 Metetra
.603 g
.61768 .19806 .62495 .20775 .6395 .20255 .63228 .19279 Metetra
.603 g
.63228 .19279 .6395 .20255 .65413 .19735 .64695 .18753 Metetra
.603 g
.64695 .18753 .65413 .19735 .66884 .19216 .66172 .18234 Metetra
.602 g
.66172 .18234 .66884 .19216 .68362 .18699 .67657 .17738 Metetra
.6 g
.67657 .17738 .68362 .18699 .69849 .18177 .69154 .17298 Metetra
.597 g
.69154 .17298 .69849 .18177 .71341 .17611 .70667 .16978 Metetra
.593 g
.70667 .16978 .71341 .17611 .72828 .16865 .72204 .16868 Metetra
.592 g
.72204 .16868 .72828 .16865 .74278 .15524 .73769 .16967 Metetra
.53 g
.06412 .42079 .07627 .4068 .08907 .39635 .07972 .39099 Metetra
.577 g
.07972 .39099 .08907 .39635 .10161 .38787 .09284 .37864 Metetra
.595 g
.09284 .37864 .10161 .38787 .11393 .38141 .1052 .37202 Metetra
.601 g
.1052 .37202 .11393 .38141 .12614 .3761 .11738 .36715 Metetra
.603 g
.11738 .36715 .12614 .3761 .13833 .37134 .12956 .36273 Metetra
.604 g
.12956 .36273 .13833 .37134 .15055 .3668 .14178 .35838 Metetra
.604 g
.14178 .35838 .15055 .3668 .16281 .36233 .15406 .354 Metetra
.604 g
.15406 .354 .16281 .36233 .17514 .35788 .16641 .34956 Metetra
.603 g
.16641 .34956 .17514 .35788 .18751 .35341 .17882 .34509 Metetra
.603 g
.17882 .34509 .18751 .35341 .19995 .34892 .19129 .34057 Metetra
.603 g
.19129 .34057 .19995 .34892 .21245 .34442 .20382 .33603 Metetra
.603 g
.20382 .33603 .21245 .34442 .22501 .33988 .21642 .33145 Metetra
.603 g
.21642 .33145 .22501 .33988 .23763 .33533 .22907 .32686 Metetra
.603 g
.22907 .32686 .23763 .33533 .25031 .33075 .24179 .32224 Metetra
.603 g
.24179 .32224 .25031 .33075 .26305 .32615 .25457 .31759 Metetra
.603 g
.25457 .31759 .26305 .32615 .27586 .32152 .26741 .31293 Metetra
.603 g
.26741 .31293 .27586 .32152 .28873 .31688 .28032 .30824 Metetra
.603 g
.28032 .30824 .28873 .31688 .30166 .31221 .29329 .30352 Metetra
.603 g
.29329 .30352 .30166 .31221 .31465 .30751 .30632 .29879 Metetra
.603 g
.30632 .29879 .31465 .30751 .32771 .3028 .31942 .29403 Metetra
.603 g
.31942 .29403 .32771 .3028 .34084 .29806 .33259 .28925 Metetra
.603 g
.33259 .28925 .34084 .29806 .35403 .29329 .34582 .28444 Metetra
.603 g
.34582 .28444 .35403 .29329 .36728 .28851 .35911 .27961 Metetra
.603 g
.35911 .27961 .36728 .28851 .3806 .2837 .37247 .27475 Metetra
.603 g
.37247 .27475 .3806 .2837 .39399 .27886 .3859 .26987 Metetra
.603 g
.3859 .26987 .39399 .27886 .40745 .274 .3994 .26497 Metetra
.603 g
.3994 .26497 .40745 .274 .42097 .26912 .41296 .26004 Metetra
.603 g
.41296 .26004 .42097 .26912 .43456 .26421 .4266 .25509 Metetra
.603 g
.4266 .25509 .43456 .26421 .44822 .25928 .4403 .25011 Metetra
.603 g
.4403 .25011 .44822 .25928 .46195 .25432 .45407 .2451 Metetra
.603 g
.45407 .2451 .46195 .25432 .47574 .24934 .46792 .24007 Metetra
.603 g
.46792 .24007 .47574 .24934 .48961 .24433 .48183 .23502 Metetra
.603 g
.48183 .23502 .48961 .24433 .50355 .2393 .49582 .22994 Metetra
.603 g
.49582 .22994 .50355 .2393 .51756 .23424 .50987 .22483 Metetra
.603 g
.50987 .22483 .51756 .23424 .53164 .22915 .524 .2197 Metetra
.603 g
.524 .2197 .53164 .22915 .5458 .22404 .5382 .21454 Metetra
.603 g
.5382 .21454 .5458 .22404 .56003 .2189 .55248 .20935 Metetra
.603 g
.55248 .20935 .56003 .2189 .57433 .21373 .56683 .20413 Metetra
.603 g
.56683 .20413 .57433 .21373 .5887 .20854 .58125 .19888 Metetra
.603 g
.58125 .19888 .5887 .20854 .60315 .20331 .59575 .19359 Metetra
.603 g
.59575 .19359 .60315 .20331 .61768 .19806 .61033 .18826 Metetra
.604 g
.61033 .18826 .61768 .19806 .63228 .19279 .62498 .18288 Metetra
.604 g
.62498 .18288 .63228 .19279 .64695 .18753 .6397 .17745 Metetra
.604 g
.6397 .17745 .64695 .18753 .66172 .18234 .6545 .17197 Metetra
.603 g
.6545 .17197 .66172 .18234 .67657 .17738 .66939 .16655 Metetra
.601 g
.66939 .16655 .67657 .17738 .69154 .17298 .68438 .1616 Metetra
.595 g
.68438 .1616 .69154 .17298 .70667 .16978 .69956 .15846 Metetra
.577 g
.69956 .15846 .70667 .16978 .72204 .16868 .71523 .16132 Metetra
.53 g
.71523 .16132 .72204 .16868 .73769 .16967 .73233 .18251 Metetra
.599 g
.06391 .35101 .06412 .42079 .07972 .39099 .0743 .35713 Metetra
.615 g
.0743 .35713 .07972 .39099 .09284 .37864 .08526 .36017 Metetra
.613 g
.08526 .36017 .09284 .37864 .1052 .37202 .09677 .35986 Metetra
.61 g
.09677 .35986 .1052 .37202 .11738 .36715 .10864 .35748 Metetra
.607 g
.10864 .35748 .11738 .36715 .12956 .36273 .12071 .354 Metetra
.605 g
.12071 .354 .12956 .36273 .14178 .35838 .13292 .34997 Metetra
.604 g
.13292 .34997 .14178 .35838 .15406 .354 .14522 .34567 Metetra
.604 g
.14522 .34567 .15406 .354 .16641 .34956 .1576 .34123 Metetra
.603 g
.1576 .34123 .16641 .34956 .17882 .34509 .17004 .33672 Metetra
.603 g
.17004 .33672 .17882 .34509 .19129 .34057 .18255 .33216 Metetra
.603 g
.18255 .33216 .19129 .34057 .20382 .33603 .19512 .32757 Metetra
.603 g
.19512 .32757 .20382 .33603 .21642 .33145 .20775 .32295 Metetra
.603 g
.20775 .32295 .21642 .33145 .22907 .32686 .22044 .31831 Metetra
.603 g
.22044 .31831 .22907 .32686 .24179 .32224 .23319 .31365 Metetra
.603 g
.23319 .31365 .24179 .32224 .25457 .31759 .24601 .30896 Metetra
.603 g
.24601 .30896 .25457 .31759 .26741 .31293 .25889 .30425 Metetra
.603 g
.25889 .30425 .26741 .31293 .28032 .30824 .27184 .29952 Metetra
.603 g
.27184 .29952 .28032 .30824 .29329 .30352 .28484 .29476 Metetra
.603 g
.28484 .29476 .29329 .30352 .30632 .29879 .29792 .28998 Metetra
.603 g
.29792 .28998 .30632 .29879 .31942 .29403 .31105 .28518 Metetra
.603 g
.31105 .28518 .31942 .29403 .33259 .28925 .32426 .28035 Metetra
.603 g
.32426 .28035 .33259 .28925 .34582 .28444 .33753 .2755 Metetra
.603 g
.33753 .2755 .34582 .28444 .35911 .27961 .35086 .27063 Metetra
.603 g
.35086 .27063 .35911 .27961 .37247 .27475 .36427 .26572 Metetra
.603 g
.36427 .26572 .37247 .27475 .3859 .26987 .37774 .2608 Metetra
.603 g
.37774 .2608 .3859 .26987 .3994 .26497 .39128 .25585 Metetra
.603 g
.39128 .25585 .3994 .26497 .41296 .26004 .40489 .25087 Metetra
.603 g
.40489 .25087 .41296 .26004 .4266 .25509 .41856 .24587 Metetra
.603 g
.41856 .24587 .4266 .25509 .4403 .25011 .43231 .24085 Metetra
.603 g
.43231 .24085 .4403 .25011 .45407 .2451 .44613 .2358 Metetra
.603 g
.44613 .2358 .45407 .2451 .46792 .24007 .46002 .23072 Metetra
.603 g
.46002 .23072 .46792 .24007 .48183 .23502 .47397 .22562 Metetra
.603 g
.47397 .22562 .48183 .23502 .49582 .22994 .48801 .22049 Metetra
.603 g
.48801 .22049 .49582 .22994 .50987 .22483 .50211 .21533 Metetra
.603 g
.50211 .21533 .50987 .22483 .524 .2197 .51629 .21015 Metetra
.603 g
.51629 .21015 .524 .2197 .5382 .21454 .53054 .20494 Metetra
.603 g
.53054 .20494 .5382 .21454 .55248 .20935 .54486 .19971 Metetra
.603 g
.54486 .19971 .55248 .20935 .56683 .20413 .55926 .19444 Metetra
.603 g
.55926 .19444 .56683 .20413 .58125 .19888 .57373 .18915 Metetra
.603 g
.57373 .18915 .58125 .19888 .59575 .19359 .58828 .18381 Metetra
.603 g
.58828 .18381 .59575 .19359 .61033 .18826 .60291 .17842 Metetra
.604 g
.60291 .17842 .61033 .18826 .62498 .18288 .61761 .17295 Metetra
.604 g
.61761 .17295 .62498 .18288 .6397 .17745 .63238 .16733 Metetra
.605 g
.63238 .16733 .6397 .17745 .6545 .17197 .64722 .16143 Metetra
.607 g
.64722 .16143 .6545 .17197 .66939 .16655 .66211 .15494 Metetra
.61 g
.66211 .15494 .66939 .16655 .68438 .1616 .67701 .14731 Metetra
.613 g
.67701 .14731 .68438 .1616 .69956 .15846 .69185 .1375 Metetra
.615 g
.69185 .1375 .69956 .15846 .71523 .16132 .7065 .12417 Metetra
.599 g
.7065 .12417 .71523 .16132 .73233 .18251 .72094 .1076 Metetra
.775 g
.06337 .2855 .06391 .35101 .0743 .35713 .06733 .33454 Metetra
.673 g
.06733 .33454 .0743 .35713 .08526 .36017 .07655 .34947 Metetra
.631 g
.07655 .34947 .08526 .36017 .09677 .35986 .08769 .35193 Metetra
.615 g
.08769 .35193 .09677 .35986 .10864 .35748 .09953 .34989 Metetra
.608 g
.09953 .34989 .10864 .35748 .12071 .354 .11166 .34622 Metetra
.605 g
.11166 .34622 .12071 .354 .13292 .34997 .12393 .34196 Metetra
.604 g
.12393 .34196 .13292 .34997 .14522 .34567 .13628 .33748 Metetra
.603 g
.13628 .33748 .14522 .34567 .1576 .34123 .1487 .33292 Metetra
.603 g
.1487 .33292 .1576 .34123 .17004 .33672 .16118 .32832 Metetra
.603 g
.16118 .32832 .17004 .33672 .18255 .33216 .17373 .32369 Metetra
.603 g
.17373 .32369 .18255 .33216 .19512 .32757 .18633 .31905 Metetra
.603 g
.18633 .31905 .19512 .32757 .20775 .32295 .199 .31438 Metetra
.603 g
.199 .31438 .20775 .32295 .22044 .31831 .21173 .30969 Metetra
.603 g
.21173 .30969 .22044 .31831 .23319 .31365 .22452 .30498 Metetra
.603 g
.22452 .30498 .23319 .31365 .24601 .30896 .23737 .30025 Metetra
.603 g
.23737 .30025 .24601 .30896 .25889 .30425 .25029 .2955 Metetra
.603 g
.25029 .2955 .25889 .30425 .27184 .29952 .26327 .29072 Metetra
.603 g
.26327 .29072 .27184 .29952 .28484 .29476 .27632 .28592 Metetra
.603 g
.27632 .28592 .28484 .29476 .29792 .28998 .28943 .2811 Metetra
.603 g
.28943 .2811 .29792 .28998 .31105 .28518 .30261 .27625 Metetra
.603 g
.30261 .27625 .31105 .28518 .32426 .28035 .31585 .27138 Metetra
.603 g
.31585 .27138 .32426 .28035 .33753 .2755 .32916 .26648 Metetra
.603 g
.32916 .26648 .33753 .2755 .35086 .27063 .34254 .26156 Metetra
.603 g
.34254 .26156 .35086 .27063 .36427 .26572 .35599 .25661 Metetra
.603 g
.35599 .25661 .36427 .26572 .37774 .2608 .3695 .25164 Metetra
.603 g
.3695 .25164 .37774 .2608 .39128 .25585 .38308 .24664 Metetra
.603 g
.38308 .24664 .39128 .25585 .40489 .25087 .39673 .24162 Metetra
.603 g
.39673 .24162 .40489 .25087 .41856 .24587 .41045 .23658 Metetra
.603 g
.41045 .23658 .41856 .24587 .43231 .24085 .42424 .2315 Metetra
.603 g
.42424 .2315 .43231 .24085 .44613 .2358 .43811 .2264 Metetra
.603 g
.43811 .2264 .44613 .2358 .46002 .23072 .45204 .22128 Metetra
.603 g
.45204 .22128 .46002 .23072 .47397 .22562 .46604 .21613 Metetra
.603 g
.46604 .21613 .47397 .22562 .48801 .22049 .48012 .21095 Metetra
.603 g
.48012 .21095 .48801 .22049 .50211 .21533 .49427 .20575 Metetra
.603 g
.49427 .20575 .50211 .21533 .51629 .21015 .5085 .20052 Metetra
.603 g
.5085 .20052 .51629 .21015 .53054 .20494 .5228 .19526 Metetra
.603 g
.5228 .19526 .53054 .20494 .54486 .19971 .53717 .18998 Metetra
.603 g
.53717 .18998 .54486 .19971 .55926 .19444 .55162 .18467 Metetra
.603 g
.55162 .18467 .55926 .19444 .57373 .18915 .56614 .17934 Metetra
.603 g
.56614 .17934 .57373 .18915 .58828 .18381 .58074 .17398 Metetra
.603 g
.58074 .17398 .58828 .18381 .60291 .17842 .59542 .16859 Metetra
.603 g
.59542 .16859 .60291 .17842 .61761 .17295 .61018 .16315 Metetra
.604 g
.61018 .16315 .61761 .17295 .63238 .16733 .62501 .15762 Metetra
.605 g
.62501 .15762 .63238 .16733 .64722 .16143 .63991 .15186 Metetra
.608 g
.63991 .15186 .64722 .16143 .66211 .15494 .65487 .14548 Metetra
.615 g
.65487 .14548 .66211 .15494 .67701 .14731 .66981 .1374 Metetra
.631 g
.66981 .1374 .67701 .14731 .69185 .1375 .68455 .12461 Metetra
.673 g
.68455 .12461 .69185 .1375 .7065 .12417 .69853 .0988 Metetra
.775 g
.69853 .0988 .7065 .12417 .72094 .1076 .71008 .03748 Metetra
.686 g
.03801 .3854 .06337 .2855 .06733 .33454 .05156 .37136 Metetra
.622 g
.05156 .37136 .06733 .33454 .07655 .34947 .06471 .35999 Metetra
.605 g
.06471 .35999 .07655 .34947 .08769 .35193 .07745 .35155 Metetra
.601 g
.07745 .35155 .08769 .35193 .09953 .34989 .08997 .34494 Metetra
.601 g
.08997 .34494 .09953 .34989 .11166 .34622 .1024 .33932 Metetra
.602 g
.1024 .33932 .11166 .34622 .12393 .34196 .11481 .3342 Metetra
.602 g
.11481 .3342 .12393 .34196 .13628 .33748 .12724 .32932 Metetra
.603 g
.12724 .32932 .13628 .33748 .1487 .33292 .13972 .32456 Metetra
.603 g
.13972 .32456 .1487 .33292 .16118 .32832 .15224 .31985 Metetra
.603 g
.15224 .31985 .16118 .32832 .17373 .32369 .16483 .31514 Metetra
.603 g
.16483 .31514 .17373 .32369 .18633 .31905 .17747 .31044 Metetra
.603 g
.17747 .31044 .18633 .31905 .199 .31438 .19017 .30572 Metetra
.603 g
.19017 .30572 .199 .31438 .21173 .30969 .20294 .30099 Metetra
.603 g
.20294 .30099 .21173 .30969 .22452 .30498 .21576 .29624 Metetra
.603 g
.21576 .29624 .22452 .30498 .23737 .30025 .22866 .29146 Metetra
.603 g
.22866 .29146 .23737 .30025 .25029 .2955 .24161 .28666 Metetra
.603 g
.24161 .28666 .25029 .2955 .26327 .29072 .25463 .28184 Metetra
.603 g
.25463 .28184 .26327 .29072 .27632 .28592 .26772 .277 Metetra
.603 g
.26772 .277 .27632 .28592 .28943 .2811 .28087 .27213 Metetra
.603 g
.28087 .27213 .28943 .2811 .30261 .27625 .29409 .26723 Metetra
.603 g
.29409 .26723 .30261 .27625 .31585 .27138 .30737 .26232 Metetra
.603 g
.30737 .26232 .31585 .27138 .32916 .26648 .32072 .25737 Metetra
.603 g
.32072 .25737 .32916 .26648 .34254 .26156 .33414 .25241 Metetra
.603 g
.33414 .25241 .34254 .26156 .35599 .25661 .34763 .24741 Metetra
.603 g
.34763 .24741 .35599 .25661 .3695 .25164 .36118 .2424 Metetra
.603 g
.36118 .2424 .3695 .25164 .38308 .24664 .37481 .23735 Metetra
.603 g
.37481 .23735 .38308 .24664 .39673 .24162 .3885 .23228 Metetra
.603 g
.3885 .23228 .39673 .24162 .41045 .23658 .40227 .22719 Metetra
.603 g
.40227 .22719 .41045 .23658 .42424 .2315 .4161 .22207 Metetra
.603 g
.4161 .22207 .42424 .2315 .43811 .2264 .43001 .21692 Metetra
.603 g
.43001 .21692 .43811 .2264 .45204 .22128 .44399 .21175 Metetra
.603 g
.44399 .21175 .45204 .22128 .46604 .21613 .45804 .20655 Metetra
.603 g
.45804 .20655 .46604 .21613 .48012 .21095 .47216 .20132 Metetra
.603 g
.47216 .20132 .48012 .21095 .49427 .20575 .48636 .19606 Metetra
.603 g
.48636 .19606 .49427 .20575 .5085 .20052 .50063 .19078 Metetra
.603 g
.50063 .19078 .5085 .20052 .5228 .19526 .51498 .18548 Metetra
.603 g
.51498 .18548 .5228 .19526 .53717 .18998 .5294 .18015 Metetra
.603 g
.5294 .18015 .53717 .18998 .55162 .18467 .5439 .1748 Metetra
.603 g
.5439 .1748 .55162 .18467 .56614 .17934 .55848 .16943 Metetra
.603 g
.55848 .16943 .56614 .17934 .58074 .17398 .57313 .16405 Metetra
.603 g
.57313 .16405 .58074 .17398 .59542 .16859 .58786 .15868 Metetra
.603 g
.58786 .15868 .59542 .16859 .61018 .16315 .60268 .15336 Metetra
.602 g
.60268 .15336 .61018 .16315 .62501 .15762 .61757 .14814 Metetra
.602 g
.61757 .14814 .62501 .15762 .63991 .15186 .63257 .14318 Metetra
.601 g
.63257 .14318 .63991 .15186 .65487 .14548 .64767 .13873 Metetra
.601 g
.64767 .13873 .65487 .14548 .66981 .1374 .66291 .1353 Metetra
.605 g
.66291 .1353 .66981 .1374 .68455 .12461 .67835 .13378 Metetra
.622 g
.67835 .13378 .68455 .12461 .69853 .0988 .69411 .13534 Metetra
.686 g
.69411 .13534 .69853 .0988 .71008 .03748 .71019 .1397 Metetra
.36 g
.01086 .49167 .03801 .3854 .05156 .37136 .03668 .39971 Metetra
.501 g
.03668 .39971 .05156 .37136 .06471 .35999 .05364 .36377 Metetra
.559 g
.05364 .36377 .06471 .35999 .07745 .35155 .06764 .34724 Metetra
.583 g
.06764 .34724 .07745 .35155 .08997 .34494 .08059 .33788 Metetra
.594 g
.08059 .33788 .08997 .34494 .1024 .33932 .09318 .3313 Metetra
.599 g
.09318 .3313 .1024 .33932 .11481 .3342 .10567 .32583 Metetra
.601 g
.10567 .32583 .11481 .3342 .12724 .32932 .11815 .32082 Metetra
.602 g
.11815 .32082 .12724 .32932 .13972 .32456 .13067 .31598 Metetra
.603 g
.13067 .31598 .13972 .32456 .15224 .31985 .14323 .31122 Metetra
.603 g
.14323 .31122 .15224 .31985 .16483 .31514 .15585 .30648 Metetra
.603 g
.15585 .30648 .16483 .31514 .17747 .31044 .16852 .30173 Metetra
.603 g
.16852 .30173 .17747 .31044 .19017 .30572 .18126 .29698 Metetra
.603 g
.18126 .29698 .19017 .30572 .20294 .30099 .19407 .2922 Metetra
.603 g
.19407 .2922 .20294 .30099 .21576 .29624 .20693 .2874 Metetra
.603 g
.20693 .2874 .21576 .29624 .22866 .29146 .21986 .28259 Metetra
.603 g
.21986 .28259 .22866 .29146 .24161 .28666 .23285 .27774 Metetra
.603 g
.23285 .27774 .24161 .28666 .25463 .28184 .24591 .27288 Metetra
.603 g
.24591 .27288 .25463 .28184 .26772 .277 .25904 .26799 Metetra
.603 g
.25904 .26799 .26772 .277 .28087 .27213 .27223 .26307 Metetra
.603 g
.27223 .26307 .28087 .27213 .29409 .26723 .28548 .25814 Metetra
.603 g
.28548 .25814 .29409 .26723 .30737 .26232 .29881 .25317 Metetra
.603 g
.29881 .25317 .30737 .26232 .32072 .25737 .3122 .24818 Metetra
.603 g
.3122 .24818 .32072 .25737 .33414 .25241 .32566 .24317 Metetra
.603 g
.32566 .24317 .33414 .25241 .34763 .24741 .33919 .23813 Metetra
.603 g
.33919 .23813 .34763 .24741 .36118 .2424 .35279 .23306 Metetra
.603 g
.35279 .23306 .36118 .2424 .37481 .23735 .36645 .22797 Metetra
.603 g
.36645 .22797 .37481 .23735 .3885 .23228 .38019 .22286 Metetra
.603 g
.38019 .22286 .3885 .23228 .40227 .22719 .394 .21771 Metetra
.603 g
.394 .21771 .40227 .22719 .4161 .22207 .40788 .21254 Metetra
.603 g
.40788 .21254 .4161 .22207 .43001 .21692 .42183 .20734 Metetra
.603 g
.42183 .20734 .43001 .21692 .44399 .21175 .43586 .20212 Metetra
.603 g
.43586 .20212 .44399 .21175 .45804 .20655 .44995 .19687 Metetra
.603 g
.44995 .19687 .45804 .20655 .47216 .20132 .46413 .19159 Metetra
.603 g
.46413 .19159 .47216 .20132 .48636 .19606 .47837 .18629 Metetra
.603 g
.47837 .18629 .48636 .19606 .50063 .19078 .49269 .18095 Metetra
.603 g
.49269 .18095 .50063 .19078 .51498 .18548 .50709 .1756 Metetra
.603 g
.50709 .1756 .51498 .18548 .5294 .18015 .52156 .17021 Metetra
.603 g
.52156 .17021 .5294 .18015 .5439 .1748 .53611 .1648 Metetra
.603 g
.53611 .1648 .5439 .1748 .55848 .16943 .55073 .15938 Metetra
.603 g
.55073 .15938 .55848 .16943 .57313 .16405 .56544 .15395 Metetra
.603 g
.56544 .15395 .57313 .16405 .58786 .15868 .58022 .14853 Metetra
.602 g
.58022 .14853 .58786 .15868 .60268 .15336 .59509 .14318 Metetra
.601 g
.59509 .14318 .60268 .15336 .61757 .14814 .61004 .13802 Metetra
.599 g
.61004 .13802 .61757 .14814 .63257 .14318 .6251 .13332 Metetra
.594 g
.6251 .13332 .63257 .14318 .64767 .13873 .64029 .12977 Metetra
.583 g
.64029 .12977 .64767 .13873 .66291 .1353 .65572 .1291 Metetra
.559 g
.65572 .1291 .66291 .1353 .67835 .13378 .67165 .13593 Metetra
.501 g
.67165 .13593 .67835 .13378 .69411 .13534 .68892 .16311 Metetra
.36 g
.68892 .16311 .69411 .13534 .71019 .1397 .71021 .24956 Metetra
.403 g
.02307 .34407 .01086 .49167 .03668 .39971 .03517 .33953 Metetra
.526 g
.03517 .33953 .03668 .39971 .05364 .36377 .04733 .33497 Metetra
.572 g
.04733 .33497 .05364 .36377 .06764 .34724 .05955 .33039 Metetra
.59 g
.05955 .33039 .06764 .34724 .08059 .33788 .07183 .32579 Metetra
.598 g
.07183 .32579 .08059 .33788 .09318 .3313 .08417 .32116 Metetra
.601 g
.08417 .32116 .09318 .3313 .10567 .32583 .09657 .31651 Metetra
.602 g
.09657 .31651 .10567 .32583 .11815 .32082 .10904 .31184 Metetra
.603 g
.10904 .31184 .11815 .32082 .13067 .31598 .12156 .30715 Metetra
.603 g
.12156 .30715 .13067 .31598 .14323 .31122 .13414 .30243 Metetra
.603 g
.13414 .30243 .14323 .31122 .15585 .30648 .14679 .29769 Metetra
.603 g
.14679 .29769 .15585 .30648 .16852 .30173 .1595 .29292 Metetra
.603 g
.1595 .29292 .16852 .30173 .18126 .29698 .17228 .28814 Metetra
.603 g
.17228 .28814 .18126 .29698 .19407 .2922 .18511 .28332 Metetra
.603 g
.18511 .28332 .19407 .2922 .20693 .2874 .19801 .27849 Metetra
.603 g
.19801 .27849 .20693 .2874 .21986 .28259 .21098 .27363 Metetra
.603 g
.21098 .27363 .21986 .28259 .23285 .27774 .22401 .26874 Metetra
.603 g
.22401 .26874 .23285 .27774 .24591 .27288 .23711 .26383 Metetra
.603 g
.23711 .26383 .24591 .27288 .25904 .26799 .25027 .2589 Metetra
.603 g
.25027 .2589 .25904 .26799 .27223 .26307 .2635 .25394 Metetra
.603 g
.2635 .25394 .27223 .26307 .28548 .25814 .2768 .24895 Metetra
.603 g
.2768 .24895 .28548 .25814 .29881 .25317 .29016 .24394 Metetra
.603 g
.29016 .24394 .29881 .25317 .3122 .24818 .3036 .23891 Metetra
.603 g
.3036 .23891 .3122 .24818 .32566 .24317 .3171 .23384 Metetra
.603 g
.3171 .23384 .32566 .24317 .33919 .23813 .33067 .22876 Metetra
.603 g
.33067 .22876 .33919 .23813 .35279 .23306 .34431 .22364 Metetra
.603 g
.34431 .22364 .35279 .23306 .36645 .22797 .35802 .2185 Metetra
.603 g
.35802 .2185 .36645 .22797 .38019 .22286 .3718 .21334 Metetra
.603 g
.3718 .21334 .38019 .22286 .394 .21771 .38565 .20814 Metetra
.603 g
.38565 .20814 .394 .21771 .40788 .21254 .39958 .20292 Metetra
.603 g
.39958 .20292 .40788 .21254 .42183 .20734 .41358 .19768 Metetra
.603 g
.41358 .19768 .42183 .20734 .43586 .20212 .42765 .1924 Metetra
.603 g
.42765 .1924 .43586 .20212 .44995 .19687 .44179 .1871 Metetra
.603 g
.44179 .1871 .44995 .19687 .46413 .19159 .45601 .18177 Metetra
.603 g
.45601 .18177 .46413 .19159 .47837 .18629 .4703 .17641 Metetra
.603 g
.4703 .17641 .47837 .18629 .49269 .18095 .48467 .17102 Metetra
.603 g
.48467 .17102 .49269 .18095 .50709 .1756 .49912 .16561 Metetra
.603 g
.49912 .16561 .50709 .1756 .52156 .17021 .51364 .16017 Metetra
.603 g
.51364 .16017 .52156 .17021 .53611 .1648 .52824 .15469 Metetra
.603 g
.52824 .15469 .53611 .1648 .55073 .15938 .54292 .14919 Metetra
.603 g
.54292 .14919 .55073 .15938 .56544 .15395 .55767 .14366 Metetra
.603 g
.55767 .14366 .56544 .15395 .58022 .14853 .57251 .1381 Metetra
.603 g
.57251 .1381 .58022 .14853 .59509 .14318 .58742 .13251 Metetra
.602 g
.58742 .13251 .59509 .14318 .61004 .13802 .60241 .12689 Metetra
.601 g
.60241 .12689 .61004 .13802 .6251 .13332 .61749 .12123 Metetra
.598 g
.61749 .12123 .6251 .13332 .64029 .12977 .63265 .11555 Metetra
.59 g
.63265 .11555 .64029 .12977 .65572 .1291 .64789 .10984 Metetra
.572 g
.64789 .10984 .65572 .1291 .67165 .13593 .66321 .10409 Metetra
.526 g
.66321 .10409 .67165 .13593 .68892 .16311 .67862 .09832 Metetra
.403 g
.67862 .09832 .68892 .16311 .71021 .24956 .69411 .09251 Metetra
0 g
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
[(-10)] .02757 .24618 1 .93395 Mshowa
.1552 .20892 m
.15981 .21359 L
s
[(-8)] .14598 .19958 .98733 1 Mshowa
.27893 .16047 m
.28333 .16533 L
s
[(-6)] .27013 .15073 .90393 1 Mshowa
.40878 .10962 m
.41294 .11469 L
s
[(-4)] .40046 .09948 .82054 1 Mshowa
.54521 .0562 m
.54911 .06148 L
s
[(-2)] .53743 .04564 .73714 1 Mshowa
.68874 0 m
.69233 .00549 L
s
[(0)] .68156 -0.01098 .65374 1 Mshowa
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.18558 .19702 m
.18832 .19985 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.3108 .14799 m
.31341 .15094 L
s
.34306 .13535 m
.34564 .13834 L
s
.37572 .12257 m
.37826 .12558 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.51046 .06981 m
.51284 .07294 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 233.562},
  ImageMargins->{{62, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000jB000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00bP3oool2
000005@0oooo00390?ooo`040000003oool0oooo000005<0oooo00390?ooo`040000003oool0oooo
000005<0oooo00390?ooo`040000003oool0oooo000005<0oooo00390?ooo`040000003oool0oooo
000000H0oooo0P00001;0?ooo`00b@3oool010000000oooo0?ooo`0000050?ooo`040000003oool0
oooo000004X0oooo003:0?ooo`8000001P3oool010000000oooo0?ooo`00001:0?ooo`00dP3oool0
10000000oooo0?ooo`00001:0?ooo`00dP3oool010000000oooo0?ooo`00001:0?ooo`00c@3oool2
000000<0oooo00@000000?ooo`3oool00000BP3oool00</0oooo1@0000030?ooo`800000B`3oool0
0<P0oooo0`0000030?ooo`800000D03oool00<H0oooo0P0000060?ooo`030000003oool0000004l0
oooo00330?ooo`<00000203oool010000000oooo0?ooo`00001>0?ooo`00Y@3oool4000001P0oooo
0P0000030?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool00000CP3oool00:D0oooo
00<000000?ooo`3oool05P3oool3000000d0oooo00<000000?ooo`3oool00P00001=0?ooo`00YP3o
ool00`000000oooo0?ooo`0B0?ooo`<00000403oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo04X0oooo002O0?ooo`@00000103oool00`000000oooo0?ooo`0?0?ooo`80000000<0oooo
0000003oool04@3oool01@000000oooo0?ooo`3oool0000004`0oooo002X0?ooo`030000003oool0
oooo00/0oooo0`0000040?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`190?ooo`00Y@3oool010000000oooo0?ooo`00000;0?ooo`8000006@3oool0
0`000000oooo0?ooo`020?ooo`800000BP3oool00:H0oooo0P0000090?ooo`<000006`3oool00`00
0000oooo0?ooo`020?ooo`800000BP3oool00:l0oooo0P0000020?ooo`030000003oool0oooo01T0
oooo00<000000?ooo`3oool00P3oool00`000000oooo000000190?ooo`00[03oool300000200oooo
00@000000?ooo`3oool0oooo0P0000000`3oool000000?ooo`180?ooo`00ZP3oool2000002<0oooo
00@000000?ooo`3oool0oooo0P0000020?ooo`030000003oool0oooo04H0oooo002W0?ooo`@00000
903oool010000000oooo0?ooo`3oool300000080oooo00<000000?ooo`3oool0A@3oool00:D0oooo
0P0000040?ooo`030000003oool0oooo0240oooo00@000000?ooo`3oool0oooo0`0000020?ooo`80
0000AP3oool00:80oooo0`00000Z0?ooo`040000003oool0oooo0?ooo`<000000P3oool2000004H0
oooo002P0?ooo`800000;@3oool01@000000oooo0?ooo`000000[jn_00800000103oool00`000000
oooo0?ooo`130?ooo`00P`3oool00`000000oooo0?ooo`0G0?ooo`<000000P3oool00`000000oooo
0?ooo`0Z0?ooo`050000003oool0oooo0000002_[jl00P0000040?ooo`030000003oool0oooo04<0
oooo00230?ooo`030000003oool0oooo01@0oooo0`00000b0?ooo`050000003oool0oooo0000002_
[jl00P0000050?ooo`030000003oool0oooo0480oooo00200?ooo`D000004`3oool2000003D0oooo
00D000000?ooo`3oool000000:n_[`02000000H0oooo00<000000?ooo`3oool0103oool4000003T0
oooo001k0?ooo`@0000000D0oooo0000003oool0oooo0000000A0?ooo`<00000=`3oool01@000000
oooo0?ooo`000000[jn_008000001@3oool2000000P0oooo00<000000?ooo`3oool0>03oool00840
oooo00<000000?ooo`0000003`3oool2000003X0oooo00<000000?ooo`0000000P2_[jl2000000L0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0h0?ooo`00PP3oool2000000`0oooo
0`00000k0?ooo`@000000P2_[jl00`000000a/K6000000070?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0>03oool008<0oooo00<000000?ooo`3oool0203oool3000003X0oooo0`00
000206MWI`8000000P2_[jl00`000000a/K6000000070?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0>03oool008/0oooo0`0000030?ooo`030000003oool0oooo03D0oooo0P000000
0`26QXH0000006MWI`0206MWI`8000000P2_[jl00`000000a/K6000000080?ooo`040000003oool0
oooo0?ooo`<00000>P3oool008T0oooo0P00000k0?ooo`<000000`26QXH010000000IfMW06MWI`1W
IfL200000080[jn_00<000000<K6aP0000001`3oool00`000000oooo000000040?ooo`030000003o
ool0oooo03P0oooo00260?ooo`<00000>P3oool300000080TY:B00D0000008J6QP26QXH0QXJ60000
000306MWI`8000000P2_[jl00`000000a/K6000000090?ooo`030000003oool0oooo03d0oooo0024
0?ooo`8000000P3oool00`000000oooo0?ooo`0f0?ooo`80000000<0UiNG0000002BTY800P2BTY80
1@000000QXJ608J6QP26QXH0000000<0IfMW0P0000020:n_[`<000002P3oool00`000000oooo0?oo
o`0l0?ooo`00P@3oool3000000D0oooo00<000000?ooo`3oool0<P3oool3000000@0UiNG00D00000
09:BTP2BTY80TY:B0000000308J6QP030000001WIfL0IfMW008000000P2_[jl3000000/0oooo00<0
00000?ooo`3oool0>`3oool007l0oooo0P00000j0?ooo`<000000`2IVIT01@000000UiNG09NGU`2G
UiL0000000<0TY:B00D0000008J6QP26QXH0QXJ60000000206MWI`8000000P2_[jl00`000000VIVI
0000000:0?ooo`800000?@3oool00640oooo0P00000I0?ooo`D00000>03oool200000080VIVI00D0
000009VIV@2IVIT0VIVI0000000409NGU`040000002BTY80TY:B000000<0QXJ600<0000006MWI`1W
IfL00P0000020:n_[`040000002IVIT0VIVI000000/0oooo00<000000?ooo`3oool0>P3oool00600
oooo00@000000?ooo`3oool000005@3oool3000003/0oooo0P00000409VIV@030000002IVIT0VIVI
00L000000P2BTY801@000000QXJ608J6QP26QXH000000080IfMW0P0000020:n_[`040000002IVIT0
VIVI000000/0oooo00<000000?ooo`3oool0>P3oool00600oooo00@000000?ooo`3oool000004`3o
ool2000003X0oooo1000000209ZJVP030000002IVIT0VIVI00@000000`2HV9P010000000UIFE09FE
U@2EUID20000000509:BTP000000QXJ608J6QP0000000P1WIfL200000080[jn_00@0000009VIV@2I
VIT00000303oool00`000000oooo0?ooo`0i0?ooo`00FP3oool400000080oooo0`00000A0?ooo`D0
0000=`3oool3000000<0VYZJ00@0000009ZJVP2JVYX0VYZJ0P00000309VIV@050000002HV9P0V9RH
09RHV00000000P2EUID500000080QXJ600<0000006MWI`1WIfL00P0000020:n_[`040000002IVIT0
VIVI000000d0oooo00<000000?ooo`3oool0>03oool00600oooo00<000000?ooo`3oool03`3oool2
000003X0oooo0P00000209ZJVP060000002JVYX0VYZJ09ZJVP000000VYZJ0P0000000`2IVIT00000
09VIV@0209VIV@030000002HV9P0V9RH00@0000000@0VIVI000000000000WIfM0P0000001026QXH0
000006MWI`1WIfL500000080VIVI00<000000?ooo`3oool02P3oool2000003X0oooo001P0?ooo`03
0000003oool0oooo00`0oooo0`00000i0?ooo`<00000102JVYX00`000000VYZJ09ZJVP03000000<0
VIVI00<0000009VIV@2IVIT01000000309VIV@800000102MWId00`000000QXJ60000000206MWI`80
00000P1LG5`010000000VIVI09VIV@00000>0?ooo`030000003oool0oooo03L0oooo001Q0?ooo`<0
00002@3oool3000003T0oooo0P00000309ZJVP030000002JVYX0VYZJ00@000000`2JVYX00`000000
VIVI09VIV@03000000<0VYZJ00@0000009VIV@00000000000P2KVi/010000000WIfM09fMW@2MWId2
0000000308J6QP000000IfMW008000000P1LG5`01@000000VIVI09VIV@2IVIT0000000h0oooo00<0
00000?ooo`3oool0=P3oool006X0oooo0`0000020?ooo`030000003oool0oooo03D0oooo0P000000
0`2JVYX0000009ZJVP0209ZJVP<000000`2JVYX010000000VYZJ09ZJVP2JVYX300000080VYZJ00<0
000009ZJVP2JVYX00`00000409^KV`090000002MWId000000000002LW9`0000008J6QP000000IfMW
008000000P1LG5`200000080VIVI00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0f0?oo
o`00J03oool2000003X0oooo0`00000309ZJVP040000002JVYX0000000000080VYZJ00H0000009ZJ
VP2JVYX0VYZJ0000002JVYX20000000309ZJVP000000VYZJ0080VYZJ0`00000309ZJVP030000002K
Vi/0Vi^K00<000000`2LW9`300000080IfMW0P0000000`1LG5`000000000000209VIV@050000003o
ool0oooo0?ooo`0000002`3oool00`000000oooo0?ooo`0e0?ooo`00I@3oool3000003P0oooo1000
000309ZJVP030000002JVYX0VYZJ00800000102JVYX00`000000VYZJ09ZJVP03000000@0VYZJ0`00
000209ZJVP040000002JVYX0VYZJ09ZJVP<000000P2KVi/010000000W9bL09bLW02LW9`300000080
IfMW0P0000000`1LG5`000000000000209VIV@030000003oool0000000800000303oool00`000000
oooo0?ooo`0d0?ooo`00H`3oool2000000<0oooo00<000000?ooo`3oool0<`3oool2000000<0VYZJ
00@0000009ZJVP2JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00@000000`2JVYX00`000000
VYZJ09ZJVP02000000@0VYZJ00@0000009ZJVP00000000000P2JVYX010000000Vi^K09^KV`2KVi/3
00000080VIVI00<0000006MWI`1WIfL00P0000001@1LG5`0000009>CT`000000VIVI0080000000@0
UiNG0000002OWil000002`3oool00`000000oooo0?ooo`0d0?ooo`00H03oool3000003T0oooo0P00
00000`2JVYX0000009ZJVP0209ZJVP040000002JVYX0000000000080VYZJ00@0000009ZJVP2JVYX0
VYZJ0P00000309ZJVP040000002JVYX0VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP030000
00@0VYZJ00<0000009^KV`2KVi/00P00000409VIV@030000001WIfL0IfMW0080000000D0G5aL0000
00000000000009VIV@040000000309nOW`000000oooo00/0oooo00<000000?ooo`3oool0<`3oool0
0440oooo0P00000K0?ooo`800000>@3oool3000000<0VYZJ00<0000009ZJVP2JVYX00`00000409ZJ
VP060000002JVYX000000000002JVYX000000`2JVYX010000000VYZJ00000000000209ZJVP040000
002JVYX0VYZJ09ZJVP8000000`2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009VIV@2I
VIT00`0000001P1WIfL000000000001LG5`0000009NGU`80000000D0VIVI00000027QhL0000009nO
W`02000000`0oooo00<000000?ooo`3oool0<P3oool00400oooo00@000000?ooo`3oool000005`3o
ool3000000030?ooo`000000oooo03@0oooo1000000309ZJVP030000002JVYX0VYZJ00<000000`2J
VYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00`00000409ZJVP060000002J
VYX000000000002JVYX000000`2JVYX300000080VYZJ00@0000009ZJVP2JVYX0VYZJ0`00000209VI
V@050000001WIfL000000000001LG5`00P00000209^KV`D0000000<0Vi^K0000003oool02`3oool0
0`000000oooo0?ooo`050?ooo`@00000:@3oool00400oooo00@000000?ooo`3oool00000503oool3
000003P0oooo0P00000309ZJVP040000002JVYX0VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJ
VP04000000<0VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP030000002JVYX0VYZJ00<000000`2J
VYX010000000VYZJ00000000000209ZJVP040000002JVYX0VYZJ09ZJVP<000000P2JVYX01@000000
VIVI09VIV@000000IfMW0080000000<0G5aL0000000000000P2KVi/3000000@0Vi^K00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02X0oooo000j0?ooo`@0
00000`3oool2000001<0oooo0P00000i0?ooo`80000000<0VYZJ0000002JVYX00P2JVYX010000000
VYZJ00000000000209ZJVP040000002JVYX0VYZJ09ZJVP8000000`2JVYX010000000VYZJ09ZJVP2J
VYX300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ00<00000102J
VYX00`000000VYZJ09ZJVP02000000@0VYZJ00D0000009VIV@000000000006MWI`020000000305aL
G0000000VYZJ0080000000@0Vi^K0000002KVi/000000`2KVi/00`000000oooo0?ooo`0;0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0:@3oool00400oooo00@000000?ooo`3oool0
00003`3oool3000000030?ooo`000000oooo03D0oooo0`00000309ZJVP030000002JVYX0VYZJ00<0
0000102JVYX01P000000VYZJ000000000000VYZJ000000<0VYZJ00@0000009ZJVP00000000000P2J
VYX010000000VYZJ09ZJVP2JVYX2000000<0VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP030000
002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ0`0000001@1LG5`00000
0000002JVYX0000000<0Vi^K00<0000009^KV`2KVi/00`00000<0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0:03oool00400oooo00@000000?ooo`3oool000003@3oool2000003T0
oooo0P00000309ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP03000000<0
VYZJ00<0000009ZJVP2JVYX00`00000409ZJVP060000002JVYX000000000002JVYX000000`2JVYX3
00000080VYZJ00@0000009ZJVP2JVYX0VYZJ0`00000309ZJVP030000002JVYX0VYZJ00<000000`2J
VYX00`000000VYZJ000000020000000505aLG0000000VYZJ09ZJVP0000000P2KVi/400000080VIVI
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02L0oooo
00110?ooo`8000002`3oool3000003T0oooo0P0000000`2JVYX0000009ZJVP0209ZJVP<000000P2J
VYX200000080VYZJ0`00000309ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJ
VP03000000<0VYZJ00@0000009ZJVP00000000000P2JVYX01@000000VYZJ09ZJVP000000VYZJ0080
00000P2JVYX010000000VYZJ09ZJVP2JVYX300000080VYZJ00@0000009ZJVP2JVYX0VYZJ10000000
101WIfL000000000002JVYX4000000<0VYZJ00<0000009VIV@2IVIT00P00000;0?ooo`<000000`3o
ool010000000oooo0?ooo`00000Y0?ooo`00C03oool200000080oooo00<000000?ooo`3oool0=03o
ool3000000<0VYZJ00@0000009ZJVP00000000000P2JVYX010000000VYZJ09ZJVP2JVYX300000080
VYZJ00@0000009ZJVP2JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`00
0000VYZJ09ZJVP03000000@0VYZJ00<0000009ZJVP2JVYX00P00000409ZJVP060000002JVYX00000
0000002JVYX000000`2JVYX010000000VYZJ00000000000209ZJVP80000000@0IfMW000000000000
00000`2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`020?ooo`800000:P3oool004T0oooo0`00000h0?ooo`<000000`2JVYX00`000000VYZJ
09ZJVP02000000@0VYZJ00@0000009ZJVP00000000000P2JVYX01@000000VYZJ09ZJVP000000VYZJ
008000000P2JVYX010000000VYZJ09ZJVP2JVYX2000000<0VYZJ00<0000009ZJVP2JVYX00`000003
09ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP03000000@0VYZJ00<00000
09ZJVP0000000P00000409ZJVP80000000@0IfMW00000000000000000`2JVYX300000080VYZJ00@0
000009ZJVP2JVYX0VYZJ0P00000<0?ooo`030000003oool0oooo02d0oooo00170?ooo`800000=`3o
ool400000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ00<00000102J
VYX00`000000VYZJ09ZJVP02000000@0VYZJ00H0000009ZJVP000000000009ZJVP00000309ZJVP<0
00000P2JVYX010000000VYZJ09ZJVP2JVYX3000000<0VYZJ00<0000009ZJVP2JVYX00`00000309ZJ
VP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP030000000506MWI`0000000000
0000002JVYX00P0000000`2JVYX0000009ZJVP0309ZJVP<000000P2JVYX00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo02`0oooo00140?ooo`<0000000<0oooo0000003oool0=03oool20000
00<0VYZJ00@0000009ZJVP2JVYX0VYZJ0P00000309ZJVP030000002JVYX0VYZJ00<000000`2JVYX0
0`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP040000002JVYX0
000000000080VYZJ00D0000009ZJVP2JVYX0000009ZJVP0200000080VYZJ00@0000009ZJVP2JVYX0
VYZJ0`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP0400000080
VYZJ00<0000006MWI`0000000`00000409ZJVP030000002JVYX0000000800000102JVYX00`000000
oooo0?ooo`090?ooo`800000;P3oool00480oooo0P0000050?ooo`030000003oool0oooo0300oooo
0P0000000`2JVYX0000009ZJVP0209ZJVP060000002JVYX000000000002JVYX000000`2JVYX30000
0080VYZJ00<0000009ZJVP2JVYX01000000309ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`00
0000VYZJ09ZJVP02000000@0VYZJ00<0000009ZJVP2JVYX00P00000409ZJVP060000002JVYX00000
0000002JVYX000000`2JVYX300000080VYZJ00@0000009ZJVP2JVYX0VYZJ0`00000309ZJVP030000
002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX0
0`00000<0?ooo`030000003oool0oooo02/0oooo000L0?ooo`@000000`3oool2000001X0oooo0`00
000g0?ooo`<000000`2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00@0000009ZJVP0000000000
0P2JVYX010000000VYZJ09ZJVP2JVYX2000000<0VYZJ00@0000009ZJVP2JVYX0VYZJ0`00000209ZJ
VP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJ
VP2JVYX00`00000409ZJVP<000000P2JVYX010000000VYZJ09ZJVP2JVYX300000080VYZJ00@00000
09ZJVP2JVYX0VYZJ0`0000001@2JVYX00000000000000000VYZJ00@000000P2JVYX00`000000VYZJ
09ZJVP0400000080VYZJ00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0[0?ooo`007P3o
ool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool05@3oool2000000030?oo
o`000000oooo03@0oooo0`00000309ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ
09ZJVP02000000@0VYZJ00H0000009ZJVP000000000009ZJVP00000309ZJVP040000002JVYX00000
00000080VYZJ00@0000009ZJVP2JVYX0VYZJ0P00000309ZJVP030000002JVYX0VYZJ00<000000`2J
VYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00P00000409ZJVP030000002J
VYX0VYZJ00800000102JVYX01P000000VYZJ000000000000VYZJ00000080VYZJ1000000209ZJVP04
0000002JVYX0VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP03000000`0oooo00<000000?oo
o`3oool0:P3oool001h0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo
0180oooo0`00000f0?ooo`<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJ
VP2JVYX01000000209ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP030000
00@0VYZJ00H0000009ZJVP000000000009ZJVP00000309ZJVP<000000P2JVYX010000000VYZJ09ZJ
VP2JVYX300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ00@00000
0P2JVYX00`000000VYZJ09ZJVP03000000@0VYZJ1P00000309ZJVP<000000P2JVYX010000000VYZJ
09ZJVP2JVYX2000000<0VYZJ00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0Y0?ooo`00
5P3oool4000000@0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00l0
oooo0`00000g0?ooo`8000000P2JVYX010000000VYZJ09ZJVP2JVYX2000000<0VYZJ00@0000009ZJ
VP2JVYX0VYZJ0P00000309ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP03
000000<0VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP060000002JVYX000000000002JVYX00000
0`2JVYX010000000VYZJ00000000000209ZJVP040000002JVYX0VYZJ09ZJVP8000000`2JVYX00`00
0000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP030000002JVYX0VYZJ
0080000000<0VYZJ0000000000000P00000209ZJVP800000102JVYX01P000000VYZJ000000000000
VYZJ000000<0VYZJ0P00000:0?ooo`800000:`3oool001h0oooo00D000000?ooo`3oool0oooo0000
00020?ooo`030000003oool0oooo00d0oooo0P0000020?ooo`030000003oool0oooo03<0oooo0P00
000409ZJVP060000002JVYX000000000002JVYX000000`2JVYX01P000000VYZJ000000000000VYZJ
000000<0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP04
00000080VYZJ00<0000009ZJVP2JVYX00`00000409ZJVP030000002JVYX0000000800000102JVYX0
1P000000VYZJ000000000000VYZJ000000<0VYZJ0`00000209ZJVP040000002JVYX0VYZJ09ZJVP<0
00000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ1`00000209ZJVP030000002JVYX0VYZJ00<0
00000`2JVYX01P000000VYZJ000000000000VYZJ000000`0oooo00<000000?ooo`3oool0:03oool0
01`0oooo0`0000030?ooo`040000003oool0oooo000000`0oooo0`00000f0?ooo`@000000P2JVYX0
0`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP040000002JVYX0
000000000080VYZJ00@0000009ZJVP2JVYX0VYZJ0P00000309ZJVP040000002JVYX0VYZJ09ZJVP80
00000`2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP03
0000002JVYX0VYZJ00<000000`2JVYX01P000000VYZJ000000000000VYZJ000000<0VYZJ00H00000
09ZJVP000000000009ZJVP00000309ZJVP<000000P2JVYX00`000000VYZJ09ZJVP050000000409ZJ
VP000000VYZJ09ZJVP@000000P2JVYX00`000000VYZJ09ZJVP03000000@0VYZJ00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`0W0?ooo`007P3oool00`000000oooo0?ooo`020?ooo`800000
2`3oool2000003H0oooo0`00000309ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ
09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00P00000409ZJVP060000002JVYX000000000002J
VYX000000`2JVYX01P000000VYZJ000000000000VYZJ000000<0VYZJ0`00000209ZJVP030000002J
VYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00
000409ZJVP030000002JVYX0000000800000102JVYX300000080VYZJ00@0000009ZJVP2JVYX0VYZJ
0P00000209ZJVP<0000000@0VYZJ00000000000000000`2JVYX00`000000VYZJ09ZJVP03000000<0
VYZJ00<0000009ZJVP2JVYX00P00000<0?ooo`030000003oool0oooo02L0oooo000]0?ooo`<00000
0P3oool00`000000oooo0?ooo`0a0?ooo`8000000P2JVYX00`000000VYZJ09ZJVP0209ZJVP800000
0P2JVYX200000080VYZJ0`00000209ZJVP8000000P2JVYX300000080VYZJ0P00000209ZJVP800000
0`2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00@0000009ZJVP00000000000P2JVYX010000000
VYZJ09ZJVP2JVYX2000000<0VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP030000002JVYX0VYZJ
00<000000`2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00P00000409ZJ
VP070000002JVYX000000000002JVYX0000009ZJVP0500000080VYZJ00@0000009ZJVP2JVYX0VYZJ
0`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000oooo0?ooo`090?ooo`800000
:03oool002/0oooo0P00000g0?ooo`80000000<0VYZJ0000002JVYX00P2JVYX01P000000VYZJ0000
00000000VYZJ000000<0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000
VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP030000002JVYX0VYZJ0080
0000102JVYX01P000000VYZJ000000000000VYZJ000000<0VYZJ0`00000209ZJVP040000002JVYX0
VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX01000
000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX7000000<0VYZJ00H0000009ZJVP0000000000
09ZJVP00000309ZJVP<000000P2JVYX00`000000VYZJ09ZJVP03000000`0oooo00<000000?ooo`3o
ool09@3oool002T0oooo0P00000f0?ooo`<000000`2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ
00@0000009ZJVP00000000000P2JVYX010000000VYZJ09ZJVP2JVYX2000000<0VYZJ00<0000009ZJ
VP2JVYX00`00000309ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP040000
0080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP040000002JVYX0000000000080VYZJ00D00000
09ZJVP2JVYX0000009ZJVP0200000080VYZJ00@0000009ZJVP2JVYX0VYZJ0P00000309ZJVP030000
002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP0300000080VYZJ1P00000209ZJVP040000
002JVYX0000009ZJVP<00000102JVYX300000080VYZJ00@0000009ZJVP2JVYX0VYZJ0P00000309ZJ
VP030000003oool0oooo00T0oooo00<000000?ooo`3oool09@3oool002T0oooo0`00000b0?ooo`<0
00000`2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00P00000409ZJVP06
0000002JVYX000000000002JVYX000000`2JVYX300000080VYZJ00@0000009ZJVP2JVYX0VYZJ0`00
000209ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0
000009ZJVP2JVYX00P00000409ZJVP030000002JVYX0VYZJ00800000102JVYX01P000000VYZJ0000
00000000VYZJ000000<0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX6000000<0
VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP030000002JVYX0VYZJ00800000102JVYX01P000000
VYZJ000000000000VYZJ000000<0VYZJ0P00000;0?ooo`030000003oool0oooo00H0oooo0P00000L
0?ooo`00:@3oool00`000000oooo0000000_0?ooo`<000000P2JVYX200000080VYZJ0`00000209ZJ
VP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00@0000009ZJ
VP00000000000P2JVYX01@000000VYZJ09ZJVP000000VYZJ008000000P2JVYX010000000VYZJ09ZJ
VP2JVYX200000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ00@00000
0P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP060000
002JVYX000000000002JVYX000000`2JVYX300000080VYZJ1`00000209ZJVP030000002JVYX0VYZJ
00@0000000<0VYZJ0000000000000P2JVYX400000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJ
VP060000002JVYX000000000002JVYX000002`3oool2000000H0oooo00@000000?ooo`3oool00000
6`3oool002T0oooo0P0000000`3oool000000?ooo`0Z0?ooo`<000000P2JVYX010000000VYZJ09ZJ
VP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP030000002JVYX0VYZJ00<00000
0`2JVYX00`000000VYZJ09ZJVP02000000@0VYZJ00<0000009ZJVP2JVYX00P00000409ZJVP060000
002JVYX000000000002JVYX000000`2JVYX2000000<0VYZJ00<0000009ZJVP2JVYX00`00000309ZJ
VP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJ
VP2JVYX00`00000409ZJVP<000000P2JVYX6000000<0VYZJ00@0000009ZJVP2JVYX0VYZJ0P000002
09ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<00000
09ZJVP2JVYX00`00000409ZJVP030000003oool0oooo00T0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`0I0?ooo`00:03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
02H0oooo0P00000209ZJVP050000002JVYX0VYZJ0000002JVYX00P00000209ZJVP040000002JVYX0
VYZJ09ZJVP8000000P2JVYX200000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00@000000P2J
VYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP060000002J
VYX000000000002JVYX000000`2JVYX300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP03
0000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2J
VYX00P00000309ZJVP80000000D0VYZJ000000000000VYZJ0000000309ZJVP060000002JVYX00000
0000002JVYX000000`2JVYX20000000409ZJVP000000VYZJ00000080VYZJ0`00000309ZJVP030000
002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP02000000`0oooo00<000000?ooo`3oool0
103oool2000001`0oooo000X0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool08`3o
ool2000000@0VYZJ00<0000009ZJVP2JVYX00P00000409ZJVP060000002JVYX000000000002JVYX0
00000`2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP030000002JVYX0VYZJ00<0
00000`2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00P00000309ZJVP04
0000002JVYX0000000000080VYZJ00@0000009ZJVP2JVYX0VYZJ0P00000309ZJVP040000002JVYX0
VYZJ09ZJVP8000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX01000
000209ZJVPH000000`2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00H0000009ZJVP0000000000
09ZJVP00000209ZJVP@000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2J
VYX01000000209ZJVP030000003oool0oooo00X0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`0I0?ooo`00:03oool3000000@0oooo0P00000P0?ooo`<000000P2JVYX200000080VYZJ
0`00000209ZJVP030000002JVYX0VYZJ00<000000`2JVYX010000000VYZJ00000000000209ZJVP04
0000002JVYX0VYZJ09ZJVP8000000P2JVYX200000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ
00@000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00P00000409ZJ
VP060000002JVYX000000000002JVYX000000`2JVYX01P000000VYZJ000000000000VYZJ000000<0
VYZJ0P00000309ZJVP030000002JVYX0VYZJ00<000000`2JVYX600000080VYZJ00<0000009ZJVP2J
VYX01000000209ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ00000003000000<0
VYZJ0`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP03000000/0
oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`00000K0?ooo`00:03oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo01X0oooo0`00000209ZJVP030000002JVYX0VYZJ00@0
00000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00P00000409ZJVP06
0000002JVYX000000000002JVYX000000`2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`000003
09ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<00000
09ZJVP2JVYX00`00000309ZJVP030000002JVYX0VYZJ00<000000`2JVYX01P000000VYZJ00000000
0000VYZJ000000<0VYZJ0`00000209ZJVPL000000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ
00<0000009ZJVP2JVYX00`00000309ZJVP030000002JVYX0VYZJ008000000`2JVYX400000080VYZJ
00@0000009ZJVP2JVYX0VYZJ0P00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000
oooo0?ooo`080?ooo`030000003oool0000000@0oooo0P00000L0?ooo`00203oool4000000<0oooo
0P0000040?ooo`800000103oool2000000@0oooo0P0000050?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`000000603oool300000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP030000
002JVYX0VYZJ00<000000P2JVYX200000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<00000
0`2JVYX010000000VYZJ00000000000209ZJVP040000002JVYX0VYZJ09ZJVP8000000P2JVYX01000
0000VYZJ09ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0
VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00P000003
09ZJVP040000002JVYX0000000000080VYZJ1P00000209ZJVP030000002JVYX0VYZJ00@000000P2J
VYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002J
VYX0VYZJ00800000102JVYX01P000000VYZJ000000000000VYZJ000000<0VYZJ0P00000309ZJVP05
0000002JVYX0VYZJ09ZJVP000000303oool00`000000oooo0?ooo`0O0?ooo`00203oool00`000000
oooo0?ooo`030?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0
1@3oool010000000oooo0?ooo`00000E0?ooo`8000000P2JVYX010000000VYZJ09ZJVP2JVYX20000
0080VYZJ0P00000209ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJ
VP2JVYX00`00000309ZJVP030000002JVYX0VYZJ00800000102JVYX01P000000VYZJ000000000000
VYZJ00000080VYZJ00@0000009ZJVP00000000000P2JVYX010000000VYZJ09ZJVP2JVYX2000000<0
VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000
VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00P00000209ZJVP<0000000D0VYZJ00000000
0000VYZJ0000000309ZJVP8000000`2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJ
VP2JVYX01000000209ZJVP030000002JVYX0VYZJ00@0000000<0VYZJ0000000000000P2JVYX30000
00<0VYZJ00H0000009ZJVP000000000009ZJVP00000309ZJVP060000002JVYX000000000002JVYX0
00002`3oool00`000000oooo0?ooo`0O0?ooo`002@3oool00`000000oooo0?ooo`020?ooo`040000
003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`0000001P3oool01@000000oooo0?oo
o`3oool000000180oooo0P00000409ZJVP060000002JVYX000000000002JVYX000000`2JVYX30000
0080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP030000002JVYX0VYZJ00<000000P2JVYX20000
0080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP020000
00@0VYZJ00H0000009ZJVP000000000009ZJVP00000309ZJVP<000000P2JVYX00`000000VYZJ09ZJ
VP03000000<0VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@0000000D0
VYZJ000000000000000009ZJVP03000000<0VYZJ00H0000009ZJVP000000000009ZJVP00000309ZJ
VP<000000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00`00000209ZJ
VP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJ
VP2JVYX00`00000309ZJVP030000003oool0oooo00X0oooo00<000000?ooo`3oool07P3oool00080
oooo100000040?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo
0?ooo`3oool2000000H0oooo0P0000040?ooo`030000003oool0oooo00`0oooo0`00000209ZJVP80
00000P2JVYX2000000<0VYZJ00@0000009ZJVP00000000000P2JVYX010000000VYZJ09ZJVP2JVYX2
00000080VYZJ0P00000209ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<00000
09ZJVP2JVYX00`00000309ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP03
000000<0VYZJ00H0000009ZJVP000000000009ZJVP00000309ZJVP<000000P2JVYX00`000000VYZJ
09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP<0000000@0VYZJ000000000000
00000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00H0000009ZJVP000000000009ZJVP000003
09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`000000
102JVYX0000009ZJVP00000209ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0
000009ZJVP2JVYX00`00000:0?ooo`030000003oool0000001l0oooo000;0?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo00000080oooo00D000000?ooo`3oool0oooo000000070?ooo`8000001@3oool0
0`000000oooo0?ooo`080?ooo`<000000P2JVYX200000080VYZJ0`00000209ZJVP030000002JVYX0
VYZJ00800000102JVYX01P000000VYZJ000000000000VYZJ000000<0VYZJ0`00000209ZJVP030000
002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX0
1000000209ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP02000000@0VYZJ
0`00000209ZJVP040000002JVYX0VYZJ09ZJVP8000000`2JVYX00`000000VYZJ09ZJVP0300000080
VYZJ1`00000209ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP02000000@0
VYZJ0`00000209ZJVP040000002JVYX0VYZJ09ZJVP8000000P2JVYX00`000000VYZJ09ZJVP040000
0080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`00
0000VYZJ09ZJVP0300000080VYZJ00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0M0?oo
o`00203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0
oooo00<000000?ooo`3oool01@3oool2000000H0oooo00<000000?ooo`3oool0103oool300000080
VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX200000080
VYZJ0P00000309ZJVP040000002JVYX0000000000080VYZJ00@0000009ZJVP2JVYX0VYZJ0P000002
09ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<00000
09ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP02
000000@0VYZJ00H0000009ZJVP000000000009ZJVP00000309ZJVP<000000P2JVYX600000080VYZJ
00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ
09ZJVP02000000@0VYZJ00H0000009ZJVP000000000009ZJVP00000309ZJVP8000000`2JVYX00`00
0000VYZJ09ZJVP030000000309ZJVP00000000000080VYZJ1000000209ZJVP030000002JVYX0VYZJ
00@000000P2JVYX00`000000VYZJ09ZJVP02000000`0oooo00<000000?ooo`3oool0703oool000T0
oooo0P0000040?ooo`800000103oool2000000@0oooo0P0000040?ooo`800000103oool2000000H0
oooo0P0000070?ooo`040000003oool0oooo0?ooo`8000000P2JVYX00`000000VYZJ09ZJVP030000
00<0VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`00
0000VYZJ09ZJVP02000000@0VYZJ00H0000009ZJVP000000000009ZJVP00000309ZJVP8000000`2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002J
VYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00
000309ZJVP050000002JVYX000000000002JVYX01`00000209ZJVP030000002JVYX0VYZJ00<00000
0`2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000
002JVYX0VYZJ00<000000`2JVYX01P000000VYZJ000000000000VYZJ000000<0VYZJ0`00000209ZJ
VP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJ
VP2JVYX01000000209ZJVP030000003oool0oooo00T0oooo0P00000M0?ooo`009`3oool00`000000
oooo0?ooo`040?ooo`040000002_[jl0[jn_000000L0oooo0`0000000`2JVYX0000009ZJVP0209ZJ
VP8000000P2JVYX200000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`00
0000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP060000002JVYX00000
0000002JVYX000000`2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP030000002J
VYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00
000309ZJVP030000002JVYX0VYZJ0080000000<0VYZJ0000000000001000000209ZJVP040000002J
VYX0VYZJ09ZJVP8000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX0
0`00000309ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ
00H0000009ZJVP000000000009ZJVP00000309ZJVP@0000000@0VYZJ0000002JVYX0VYZJ0`000002
09ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP03000000X0oooo0P00000M
0?ooo`009`3oool00`000000oooo0?ooo`040?ooo`040000002_[jl0[jn_000000D0oooo0`000003
09ZJVP060000002JVYX000000000002JVYX000000`2JVYX300000080VYZJ00<0000009ZJVP2JVYX0
0`00000209ZJVP8000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP030000
002JVYX0VYZJ008000000`2JVYX010000000VYZJ00000000000209ZJVP040000002JVYX0VYZJ09ZJ
VP8000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJ
VP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP040000000309ZJVP0000000000
0080VYZJ0P00000409ZJVP060000002JVYX000000000002JVYX000000`2JVYX2000000<0VYZJ00<0
000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJ
VP0300000080VYZJ00<0000009ZJVP2JVYX00`00000409ZJVP<0000000@0VYZJ0000002JVYX0VYZJ
1000000209ZJVP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP0300000080VYZJ
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0J0?ooo`009P3oool00`000000oooo0?oo
o`050?ooo`040000002_[jl0[jn_00000080oooo0`00000309VIV@030000002JVYX0VYZJ00800000
0`2JVYX010000000VYZJ00000000000209ZJVP040000002JVYX0VYZJ09ZJVP8000000P2JVYX00`00
0000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP8000000P2JVYX30000
0080VYZJ00<0000009ZJVP2JVYX00P00000409ZJVP060000002JVYX000000000002JVYX000000`2J
VYX2000000<0VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ0`000000102JVYX0000000000000000209ZJVP030000
002JVYX0VYZJ00<000000`2JVYX01P000000VYZJ000000000000VYZJ000000<0VYZJ0`00000209ZJ
VP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJ
VP2JVYX00`00000309ZJVP030000002JVYX0VYZJ00800000102JVYX5000000<0VYZJ0`00000209ZJ
VP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP02000000/0oooo00<000000?oo
o`3oool06P3oool002H0oooo0P0000060?ooo`030000002_[jl0[jn_00<000000P2IVIT200000080
VIVI0`00000209VIV@030000002JVYX0VYZJ00800000102JVYX01P000000VYZJ000000000000VYZJ
000000<0VYZJ0P00000309ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP04
00000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP8000000P2JVYX2000000<0VYZJ00H00000
09ZJVP000000000009ZJVP00000309ZJVP<000000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ
00<0000009ZJVP2JVYX00`00000209ZJVPL000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ
00<0000009ZJVP2JVYX00`00000309ZJVP060000002JVYX000000000002JVYX000000`2JVYX30000
0080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`00
0000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00P00000309ZJVP@0000000<0VYZJ0000
002JVYX00P2JVYX300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000003oool0oooo
00P0oooo0P00000K0?ooo`009P3oool2000000D0oooo1000000209NGU`040000002IVIT0VIVI09VI
V@<000000P2IVIT00`000000VIVI09VIV@0300000080VYZJ0P00000209ZJVP8000000`2JVYX01P00
0000VYZJ000000000000VYZJ000000@0VYZJ0P00000209ZJVP030000002JVYX0VYZJ00<000000`2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002J
VYX0VYZJ008000000`2JVYX010000000VYZJ00000000000209ZJVP040000002JVYX0VYZJ09ZJVP80
00000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ1P00000209ZJVP030000002JVYX0VYZJ00@0
00000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00P00000409ZJVP<0
000000<0VYZJ0000002JVYX00P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP03
0000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2J
VYX00P00000409ZJVP<000000P2JVYX010000000VYZJ09ZJVP2JVYX200000080VYZJ00<0000009ZJ
VP2JVYX00`00000;0?ooo`030000003oool0oooo01P0oooo000V0?ooo`030000003oool0oooo0080
oooo0`0000000`2BTY80000009NGU`0209NGU`040000002IVIT0000000000080V9RH00<0000009VI
V@2IVIT00`00000209ZJVP8000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00P00000409ZJ
VP060000002JVYX000000000002JVYX000000P2JVYX300000080VYZJ0P00000209ZJVP<000000P2J
VYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002J
VYX0VYZJ00800000102JVYX01P000000VYZJ000000000000VYZJ000000<0VYZJ0P00000309ZJVPH0
00000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP03
0000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP02000000@0VYZJ0`00000209ZJVP03
0000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2J
VYX00`00000209ZJVP030000002JVYX0VYZJ00@0000000<0VYZJ0000000000000P2JVYX2000000@0
VYZJ00H0000009ZJVP000000000009ZJVP00000309ZJVP8000000P2JVYX00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo01P0oooo000V0?ooo`030000003oool0oooo0080000000<0QXJ60000
002BTY800P2BTY801@000000UiNG09NGU`2GUiL0000000D0V9RH0P00000209ZJVP030000002JVYX0
VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000004
09ZJVP8000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`000002
09ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<00000
09ZJVP2JVYX00`00000309ZJVP050000002JVYX000000000002JVYX01`00000209ZJVP030000002J
VYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00
000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP02000000@0VYZJ0`00
000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0
000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJ
VP03000000<0VYZJ00H0000009ZJVP000000000009ZJVP00000309ZJVP030000003oool0oooo00T0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0=0?ooo`009P3oool400000080QXJ6
00H0000009:BTP2BTY80TY:B0000002GUiL20000000409FEU@000000000009RHV080000000@0VIVI
0000002JVYX0VYZJ0`00000309ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJ
VP03000000<0VYZJ00H0000009ZJVP000000000009ZJVP00000309ZJVP8000000`2JVYX00`000000
VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP030000002JVYX0VYZJ00<0
00000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00P0000001@2JVYX0
0000000000000000VYZJ0080000000<0VYZJ0000002JVYX00P2JVYX300000080VYZJ00<0000009ZJ
VP2JVYX00`00000309ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000
00<0VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP060000002JVYX000000000002JVYX000000`2J
VYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2J
VYX00`000000VYZJ09ZJVP030000000309ZJVP00000000000080VYZJ1000000209ZJVP030000002J
VYX0VYZJ00<000000`2JVYX01P000000VYZJ000000000000VYZJ000000X0oooo0P0000080?ooo`03
0000003oool0oooo00d0oooo000U0?ooo`8000000P1WIfL01@000000QXJ608J6QP26QXH0000000<0
TY:B0P00000309FEU@8000000`2IVIT300000080VYZJ0P00000209ZJVP<000000P2JVYX00`000000
VYZJ09ZJVP0300000080VYZJ0P00000209ZJVP8000000`2JVYX01P000000VYZJ000000000000VYZJ
000000<0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP04
00000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00L000000P2JVYX2
000000@0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP04
00000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX0
0`000000VYZJ09ZJVP02000000@0VYZJ0`0000000`2JVYX0000009ZJVP0209ZJVP<000000P2JVYX0
0`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0
VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`000003
09ZJVP030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool5000000h0oooo000O0?oo
o`800000103oool200000080IfMW00D0000008J6QP26QXH0QXJ60000000209:BTP030000002?Shl0
Shn?00<000000P2IVIT300000080Vi^K0P00000209ZJVP<000000P2JVYX00`000000VYZJ09ZJVP03
00000080VYZJ0P00000209ZJVP<000000P2JVYX00`000000VYZJ09ZJVP02000000<0VYZJ00@00000
09ZJVP00000000000P2JVYX010000000VYZJ09ZJVP2JVYX200000080VYZJ00<0000009ZJVP2JVYX0
0`00000309ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000000409ZJ
VP000000000000000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00800000102JVYX300000080
VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000
VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ0080
0000102JVYX30000000309ZJVP000000VYZJ0080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0
00000P2JVYX00`000000VYZJ09ZJVP040000000309ZJVP00000000000080VYZJ0`00000309ZJVP03
0000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP03000000/0oooo00<000000?ooo`3o
ool00P3oool010000000oooo0?ooo`00000?0?ooo`007P3oool010000000oooo0?ooo`0000030?oo
o`8000000P1WIfL01@000000QXJ608J6QP26QXH000000080TY:B00<0000008n?S`0000001@000002
09fMW@8000000P2KVi/300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0
VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00P000004
09ZJVP060000002JVYX000000000002JVYX000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX0
1000000209ZJVP030000002JVYX0VYZJ00<0000000D0VYZJ000000000000000009ZJVP0400000080
VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP040000002JVYX0000000000080VYZJ00@0000009ZJ
VP2JVYX0VYZJ0P00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP04
00000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX0
0`000000VYZJ09ZJVP02000000@0VYZJ0`000000102JVYX0000009ZJVP2JVYX400000080VYZJ00<0
000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJ
VP0400000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000003oool0oooo00X0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0000000?0?ooo`007P3oool010000000oooo0?ooo`00
00030?ooo`8000000P1WIfL02P000000QXJ608J6QP26QXH0000009:BTP000000Shn?0000002IVIT3
000000030:6QX@00000000000080WIfM0`00000209^KV`030000002JVYX0VYZJ00<000000P2JVYX0
0`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0
VYZJ00<000000P2JVYX200000080VYZJ0P00000409ZJVP8000000P2JVYX00`000000VYZJ09ZJVP03
000000<0VYZJ00<0000009ZJVP2JVYX00`0000001@2JVYX00000000000000000VYZJ00<000000`2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00P00000409ZJVP060000002J
VYX000000000002JVYX000000`2JVYX200000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP03
0000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2J
VYX00`00000209ZJVP030000002JVYX0VYZJ00800000102JVYX2000000<0VYZJ00<0000009ZJVP2J
VYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000<0VYZJ0000000000000P2JVYX400000080
VYZJ00<0000009ZJVP2JVYX010000000102JVYX0000009ZJVP2JVYX3000000X0oooo0P0000050?oo
o`8000003`3oool001h0oooo00@000000?ooo`3oool000000`3oool200000080IfMW00<0000008J6
QP26QXH00P26QXH300000080VIVI00<0000009fMW@0000001@00000209bLW0030000002KVi/0Vi^K
00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ0P00000209ZJVP<000000P2JVYX00`00
0000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP060000002JVYX00000
0000002JVYX000000`2JVYX200000080VYZJ00<0000009ZJVP2JVYX0100000001@2JVYX000000000
00000000VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX0
0`00000209ZJVP030000002JVYX0VYZJ00<000000`2JVYX01P000000VYZJ000000000000VYZJ0000
0080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP030000
0080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX01P00
0000VYZJ000000000000VYZJ000000<0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002J
VYX0VYZJ00<000000P2JVYX00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool03@3oool001h0oooo00@000000?ooo`3oool000000`3oool200000080IfMW00<0
000008J6QP26QXH00P26QXH300000080VIVI00@0000009fMW@2MWId000000`2LW9`010000000W9bL
09bLW02LW9`200000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@0
00000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP03
0000002JVYX0VYZJ008000000`2JVYX01P000000VYZJ000000000000VYZJ00000080VYZJ0`000002
09ZJVP<0000000@0VYZJ00000000000000000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0
000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJ
VP03000000<0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJ
VP0400000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2J
VYX00`000000VYZJ09ZJVP02000000<0VYZJ00H0000009ZJVP000000000009ZJVP00000209ZJVP@0
00000P2JVYX00`000000VYZJ09ZJVP030000000309ZJVP00000000000080VYZJ0`00000209ZJVP03
0000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP02000000`0oooo00<000000?ooo`3o
ool04P3oool001h0oooo00@000000?ooo`3oool000000`3oool200000080IfMW00D0000008J6QP26
QXH0QXJ6000000020?ooo`040000002IVIT0VIVI000000<0WIfM00D0000009bLW02LW9`0000009bL
W0020000000309VIV@000000VYZJ0080VYZJ0P00000209ZJVP030000002JVYX0VYZJ00<000000`2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP8000000P2J
VYX300000080VYZJ00<0000009ZJVP2JVYX00P00000409ZJVP8000000P2JVYX700000080VYZJ00<0
000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJ
VP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP040000002JVYX0000000000080VYZJ
00@0000009ZJVP2JVYX0VYZJ0P00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000
VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@0
00000P2JVYX00`000000VYZJ09ZJVP02000000@0VYZJ0P00000209ZJVP030000002JVYX0VYZJ00@0
00000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP03
0000002JVYX0VYZJ00@000000P2JVYX00`000000oooo0?ooo`090?ooo`030000003oool0oooo0180
oooo000O0?ooo`8000000`3oool2000000<0IfMW00D0000008J6QP26QXH0QXJ6000000020?ooo`04
0000002IVIT0VIVI000000<0WIfM00<0000009bLW02LW9`00P00000309VIV@060000002JVYX00000
0000002JVYX000000P2JVYX300000080VYZJ0P00000209ZJVP<000000P2JVYX00`000000VYZJ09ZJ
VP0300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX01@000000VYZJ000000000000VYZJ00H000000`2JVYX00`000000VYZJ09ZJVP0300000080VYZJ
00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ
09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00P00000409ZJVP060000002JVYX000000000002J
VYX000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ
00@000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJ
VP060000002JVYX000000000002JVYX000000`2JVYX200000080VYZJ00<0000009ZJVP2JVYX01P00
000209ZJVP@000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00
000:0?ooo`8000004`3oool002@0oooo0P00000306MWI`0400000026QXH0QXJ6000000<0oooo00D0
000009VIV@2IVIT0VIVI0000000309fMW@8000000P2HV9P00`000000VIVI09VIV@02000000@0VYZJ
0P00000209ZJVP8000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000
002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX0
0P0000001@2JVYX00000000000000000VYZJ0080000000@0VYZJ0000002JVYX0VYZJ1000000209ZJ
VP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJ
VP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000
00<0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000
0080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`00
0000VYZJ09ZJVP03000000<0VYZJ00H0000009ZJVP000000000009ZJVP00000209ZJVP<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002J
VYX0VYZJ00<000000P2JVYX00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0100oooo000T
0?ooo`8000000`1WIfL010000000QXJ608J6QP0000030?ooo`060000002IVIT0VIVI09VIV@000000
WIfM0P0000000`2CTi<0000009RHV00209RHV08000000P2IVIT01P000000VYZJ000000000000VYZJ
00000080VYZJ1000000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP03
00000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ00H000000P2JVYX2
000000@0VYZJ0P00000309ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP03
00000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX0
0`000000VYZJ09ZJVP0300000080VYZJ00H0000009ZJVP000000000009ZJVP00000209ZJVP@00000
0P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000
002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX0
0`00000309ZJVP<000000P2JVYX00`000000VYZJ09ZJVP030000000309ZJVP00000000000080VYZJ
0`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP02000000/0oooo
00<000000?ooo`3oool0403oool002@0oooo0P00000306MWI`0300000026QXH0000000@0oooo00@0
000009VIV@2IVIT0VIVI0P00000309>CT`060000002HV9P000000000002HV9P000000P2IVIT20000
00@0VYZJ0P00000309ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000
0080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP030000002JVYX0VYZJ00H000000P2JVYX30000
0080VYZJ00H0000009ZJVP000000000009ZJVP00000209ZJVP@000000P2JVYX00`000000VYZJ09ZJ
VP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00P00000409ZJVP8000000P2J
VYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002J
VYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00
000209ZJVP060000002JVYX000000000002JVYX000000P2JVYX400000080VYZJ00<0000009ZJVP00
00000`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080
VYZJ00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0?0?ooo`00903oool2000000<0IfMW
00<0000008J6QP000000103oool01@000000VIVI09VIV@2IVIT0000000D0Ti>C00@0000009RHV02H
V9P0V9RH0`00000209ZJVP050000002JVYX000000000002JVYX00P00000209ZJVP<000000P2JVYX0
0`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP8000000P2JVYX6
00000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00800000102JVYX2000000<0VYZJ00<00000
09ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP03
00000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX0
1P000000VYZJ000000000000VYZJ00000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00@00000
0P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000
002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP02000000@0VYZJ0P00000209ZJVP030000
002JVYX0VYZJ00H000000P2JVYX400000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000
002JVYX0VYZJ00<000002@3oool200000140oooo000T0?ooo`8000000`1WIfL2000000D0oooo00@0
000009VIV@2IVIT0VIVI0`0000000`2CTi<000000000000400000080VYZJ00<0000009ZJVP2JVYX0
0P00000509ZJVP8000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX0
0`00000209ZJVP030000002JVYX0VYZJ00L000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX0
0`00000209ZJVP060000002JVYX000000000002JVYX000000P2JVYX400000080VYZJ00<0000009ZJ
VP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000
00<0VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00800000102JVYX20000
0080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`00
0000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ
00@000000P2JVYX01P000000VYZJ000000000000VYZJ00000080VYZJ0`00000209ZJVP030000002J
VYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00
000209ZJVP030000003oool0oooo00T0oooo00<000000?ooo`3oool03P3oool002@0oooo0P000003
06MWI`8000001@3oool010000000VIVI09VIV@00000208N7Q`8000000P2OWil010000000Vi^K09^K
V`00000209ZJVP<000000P2JVYX20000000509ZJVP000000000009ZJVP0000000P2JVYX300000080
VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ00000000
000000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ
00800000102JVYX200000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ
00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJ
VP030000002JVYX0VYZJ00<000000P2JVYX01P000000VYZJ000000000000VYZJ00000080VYZJ0`00
000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0
000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJ
VP03000000<0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0000000<0VYZJ0000000000000P2J
VYX300000080VYZJ00<0000009ZJVP2JVYX010000000102JVYX0000009ZJVP2JVYX3000000/0oooo
00<000000?ooo`3oool03@3oool002<0oooo00<000000?ooo`0000000`1WIfL00`000000oooo0?oo
o`040?ooo`030000002IVIT0VIVI00<0000000@0oooo0000002OWil0WinO1P00000209ZJVP800000
0P2JVYX2000000@0VYZJ0P00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ
09ZJVP030000000509ZJVP00000000000000002JVYX01000000209ZJVP030000002JVYX0VYZJ00<0
00000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00H0000009ZJVP000000000009ZJVP000002
09ZJVP<000000`2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000002
09ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<00000
09ZJVP2JVYX00P00000409ZJVP8000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<00000
09ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP03
00000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP060000002JVYX000000000002JVYX00000
0P2JVYX40000000409ZJVP000000VYZJ09ZJVP@000000P2JVYX00`000000VYZJ09ZJVP0300000080
VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000003oool0oooo00T0oooo0P00000>0?ooo`00
8`3oool3000000<0IfMW00<000000?ooo`3oool0103oool010000000VIVI0000000000040?ooo`80
00000P2KVi/00`000000Vi^K09^KV`0200000080VYZJ0`00000209ZJVP060000002JVYX000000000
002JVYX000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`0000001@2JVYX0000000000000
0000VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00
000209ZJVP030000002JVYX0VYZJ00800000102JVYX200000080VYZJ00<0000009ZJVP2JVYX01000
000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0
000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX01P000000VYZJ0000
00000000VYZJ00000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000
VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ00<0
00000P2JVYX00`000000VYZJ09ZJVP02000000@0VYZJ0P00000209ZJVP030000002JVYX0VYZJ00<0
000000<0VYZJ0000000000000P2JVYX400000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP03
0000002JVYX0VYZJ008000002`3oool00`000000oooo0?ooo`0<0?ooo`008`3oool00`000000oooo
0000000206MWI`030000003oool0oooo00D0oooo00<0000009VIV@0000001P3oool01@000000Vi^K
09^KV`2KVi/000000080Vi^K0`00000209ZJVP030000002JVYX0VYZJ00800000102JVYX200000080
VYZJ00<0000009ZJVP2JVYX00`0000001@2JVYX00000000000000000VYZJ00<000000P2JVYX20000
0080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000
0080VYZJ00H0000009ZJVP000000000009ZJVP00000209ZJVP<000000P2JVYX00`000000VYZJ09ZJ
VP0400000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJVP<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002J
VYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00
000209ZJVP060000002JVYX000000000002JVYX000000P2JVYX300000080VYZJ00<0000009ZJVP2J
VYX00`00000209ZJVP030000002JVYX0VYZJ00@0000000@0VYZJ0000002JVYX0VYZJ1000000209ZJ
VP030000003oool0oooo00T0oooo00<000000?ooo`3oool02`3oool000<0oooo100000030?ooo`80
0000103oool2000000@0oooo0P0000040?ooo`8000001@3oool00`000000oooo0000000206MWI`03
0000003oool0oooo00D0oooo0`0000070?ooo`030000002KVi/0Vi^K00<000000P2JVYX00`000000
VYZJ09ZJVP0300000080VYZJ00H0000009ZJVP000000000009ZJVP00000209ZJVP<0000000D0VYZJ
000000000000000009ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002J
VYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00P00
000309ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01000
000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0
000009ZJVP2JVYX00`00000209ZJVP060000002JVYX000000000002JVYX000000P2JVYX400000004
09ZJVP000000VYZJ09ZJVP@000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJ
VP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00@0000000@0VYZJ0000002JVYX0VYZJ0`000002
09ZJVP@0000000@0VYZJ0000002JVYX0VYZJ100000000`2JVYX000000000000209ZJVP<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000:0?ooo`030000003o
ool0oooo00D0oooo0`0000030?ooo`000`3oool00`000000oooo0?ooo`030?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo000000@0oooo00<000000?ooo`0000000P1WIfL00`000000oooo0?ooo`050?oo
o`8000002@3oool200000080VIVI00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ
008000000`2JVYX300000080VYZJ0P000000102JVYX0000000000000000209ZJVP030000002JVYX0
VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000002
09ZJVP030000002JVYX0VYZJ00<000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`000002
09ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<00000
09ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP02
000000<0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP04
00000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX0
0`000000VYZJ09ZJVP03000000<0VYZJ0P00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX0
0`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0
VYZJ00<000000P2JVYX00`000000oooo0?ooo`080?ooo`8000002@3oool100000040oooo0@3oool0
00@0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000040?ooo`80
00000`1WIfL00`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo00<0000009VIV@2I
VIT00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX300000080VYZJ1P00000209ZJVP03
0000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0400000080VYZJ00<0000009ZJVP2J
VYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX01P000000VYZJ000000000000VYZJ
00000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP03
00000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX0
0`000000VYZJ09ZJVP0300000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX0
0`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX010000000102JVYX0000009ZJVP2J
VYX400000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP060000002JVYX000000000002JVYX0
00000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`0000000`2JVYX000000000000209ZJVP@0
000000@0VYZJ0000002JVYX0VYZJ1000000209ZJVP030000002JVYX0VYZJ008000002`3oool00`00
0000oooo0?ooo`060?ooo`4000000@3oool10?ooo`001@3oool01@000000oooo0?ooo`3oool00000
0080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool0oooo0`00000206MWI`030000003oool0oooo01<0
oooo0P00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX01@000000VYZJ000000000000VYZJ
00H000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000309ZJ
VP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJ
VP2JVYX00P00000309ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJ
VP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP040000
0080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP060000002JVYX000000000002JVYX000000P2J
VYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002J
VYX0VYZJ008000000P2JVYX400000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002J
VYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01000
00000`2JVYX000000?ooo`0:0?ooo`030000003oool0oooo00<0oooo0`0000030?ooo`001P3oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`0000020?ooo`070000003oool0oooo0?ooo`000000oooo0000
000206MWI`030000003oool0oooo01@0oooo00<0000009ZJVP2JVYX00`00000209ZJVP030000002J
VYX0VYZJ00P000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00
000209ZJVP030000002JVYX0VYZJ00@000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0
000009ZJVP2JVYX00`00000209ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0
000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJ
VP0300000080VYZJ00<0000009ZJVP2JVYX01000000209ZJVP030000002JVYX0VYZJ008000000P2J
VYX400000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002J
VYX0VYZJ00@000000P2JVYX200000080VYZJ00<0000009ZJVP2JVYX010000000102JVYX0000009ZJ
VP2JVYX50000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0300000080
VYZJ00<0000009ZJVP2JVYX00P00000:0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`00
0`3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?oo
o`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo
00<000000?ooo`0000000P1WIfL00`000000oooo0?ooo`0E0?ooo`8000000P2JVYX00`000000VYZJ
09ZJVP0800000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<00000
0P2JVYX00`000000VYZJ09ZJVP03000000<0VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000
002JVYX0VYZJ00<000000P2JVYX01P000000VYZJ000000000000VYZJ00000080VYZJ0`00000209ZJ
VP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJ
VP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP040000
000409ZJVP000000000000000080VYZJ00<0000009ZJVP2JVYX010000000102JVYX0000009ZJVP2J
VYX400000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00H0000009ZJVP000000000009ZJVP00000209ZJVP<0
00000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX010000000102JVYX0
000009ZJVP2JVYX40000000409ZJVP000000VYZJ09ZJVP@000000P2JVYX00`000000oooo0?ooo`04
0?ooo`D00000103oool00`000000oooo0?ooo`030?ooo`00103oool2000000@0oooo0P0000040?oo
o`800000103oool2000000@0oooo0P0000040?ooo`030000003oool000000080IfMW00<000000?oo
o`3oool05P3oool00`000000VYZJ09ZJVP0800000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJ
VP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJ
VP2JVYX01000000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP020000
00<0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000
0080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`00
0000VYZJ09ZJVP03000000<0VYZJ0P00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`00
0000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX010000000102JVYX0000009ZJVP2JVYX4
00000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ008000000`2JVYX3
00000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000<0VYZJ
0000000000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0
VYZJ00<0000000<0oooo0000000000000P0000040?ooo`030000003oool0oooo0080oooo10000002
0?ooo`008P3oool30000000306MWI`000000oooo01T0oooo1`00000209ZJVP030000002JVYX0VYZJ
00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJ
VP030000002JVYX0VYZJ00<000000`2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJ
VP2JVYX00`00000209ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJ
VP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000
0080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP060000002JVYX000000000002JVYX000000P2J
VYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX010000000102JVYX0000009ZJ
VP2JVYX40000000309ZJVP00000000000080000000@0VYZJ0000002JVYX0VYZJ10000000102JVYX0
000009ZJVP2JVYX400000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ
00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ0P0000080?ooo`030000003oool0oooo
00P0oooo000R0?ooo`050000003oool0000006MWI`000000603oool40000000509ZJVP0000000000
09ZJVP0000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0
VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX010000002
09ZJVP030000002JVYX0VYZJ00<000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`000002
09ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<00000
09ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP02
000000<0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP03
00000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX0
0`000000VYZJ09ZJVP0300000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX0
0`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX01P00000209ZJVP@0000000@0VYZJ
0000002JVYX0VYZJ10000000102JVYX0000009ZJVP2JVYX3000000T0oooo00<000000?ooo`3oool0
1`3oool00280oooo00D000000?ooo`000000IfMW0000000E0?ooo`<00000103oool010000000VYZJ
09ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0
00000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP03
0000002JVYX0VYZJ00@0000000<0VYZJ0000000000000P000000102JVYX0000009ZJVP2JVYX40000
0080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`00
0000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ
00<000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ
00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJ
VP030000002JVYX0VYZJ00<000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJ
VP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJ
VP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000
0080VYZJ0P0000080?ooo`030000003oool0oooo00L0oooo000Q0?ooo`060000003oool0oooo0000
001WIfL000004P3oool3000000P0oooo0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX0
0`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0
VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ0`00000209ZJVP030000002JVYX0
VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP040000000409ZJVP000000VYZJ09ZJVP@0000000@0
VYZJ0000002JVYX0VYZJ10000000102JVYX0000009ZJVP2JVYX400000080VYZJ00<0000009ZJVP2J
VYX00`0000000`2JVYX00000000000020000000409ZJVP000000VYZJ09ZJVP@0000000@0VYZJ0000
002JVYX0VYZJ1000000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP03
00000080VYZJ00<0000009ZJVP2JVYX00`0000000`2JVYX00000000000020000000409ZJVP000000
VYZJ09ZJVP@0000000@0VYZJ0000002JVYX0VYZJ1000000209ZJVP030000002JVYX0VYZJ00<00000
0P2JVYX00`000000VYZJ09ZJVP030000000309ZJVP00000000000080VYZJ0`00000209ZJVP030000
002JVYX0VYZJ00<0000000<0VYZJ0000000000000P0000000`2JVYX000000?ooo`070?ooo`030000
003oool0oooo00L0oooo000Q0?ooo`80000000<0oooo000000000000403oool3000000d0oooo00<0
000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJ
VP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002J
VYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP040000000409ZJVP000000000000000080VYZJ
00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ
09ZJVP040000000409ZJVP000000VYZJ09ZJVP@0000000@0VYZJ0000002JVYX0VYZJ1000000209ZJ
VP8000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJ
VP030000002JVYX0VYZJ00@0000000@0VYZJ0000002JVYX0VYZJ10000000102JVYX0000009ZJVP2J
VYX40000000409ZJVP000000VYZJ09ZJVP@0000000@0VYZJ00000000000000000P2JVYX00`000000
VYZJ09ZJVP02000000L0oooo00<000000?ooo`3oool01`3oool00240oooo00<000000?ooo`3oool0
0P00000=0?ooo`<000004@3oool200000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000
002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX0
0`00000209ZJVP060000002JVYX000000000002JVYX000000P2JVYX300000080VYZJ00<0000009ZJ
VP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000
0080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX30000
0080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`00
0000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ
00<000000P2JVYX01P000000VYZJ000000000000VYZJ00000080VYZJ0`00000209ZJVP030000002J
VYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00
000209ZJVP030000002JVYX0VYZJ00<0000000<0VYZJ0000000000000P2JVYX300000080VYZJ0`00
000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00L0oooo000Q0?ooo`030000003oool0oooo008000002`3oool2000001D0oooo0P000000
102JVYX0000000000000000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJ
VP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ008000000`2J
VYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002J
VYX0VYZJ00<000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002J
VYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00
000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP02000000<0VYZJ0`00
000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0
000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJ
VP030000000309ZJVP00000000000080000000@0VYZJ0000002JVYX0VYZJ10000000102JVYX00000
09ZJVP2JVYX3000000D0oooo00<000000?ooo`3oool01`3oool00240oooo00D000000?ooo`000000
IfMW000000080?ooo`<000006@3oool00`000000VYZJ09ZJVP020000000409ZJVP00000000000000
0080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`00
0000VYZJ09ZJVP0300000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`00
0000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ
00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ
00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJ
VP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJ
VP2JVYX00`0000000`2JVYX00000000000020000000409ZJVP000000VYZJ09ZJVP@0000000@0VYZJ
0000002JVYX0VYZJ10000000102JVYX0000009ZJVP2JVYX40000000409ZJVP000000VYZJ09ZJVP@0
000000@0VYZJ0000002JVYX0VYZJ10000000102JVYX0000000000000000209ZJVP030000002JVYX0
VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`070?ooo`008@3oool4000000H0oooo0`00000M0?ooo`030000002JVYX0VYZJ
008000000P2JVYX20000000409ZJVP000000000000000080VYZJ00<0000009ZJVP2JVYX00`000002
09ZJVPH000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0
VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000002
09ZJVP030000002JVYX0VYZJ00<000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`000002
09ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<00000
09ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000<0VYZJ0000000000001@000000
102JVYX0000000000000000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJ
VP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ0`0000000`2JVYX000000000000209ZJVP<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00P0000050?ooo`030000003o
ool0oooo00H0oooo000P0?ooo`80000000<0oooo0000000000000`3oool300000240oooo0P000002
09ZJVP030000002JVYX0VYZJ008000000P2JVYX20000000409ZJVP000000000000000080VYZJ0`00
000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0
000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJ
VP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP<000000P2JVYX00`000000VYZJ09ZJ
VP0300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX40000000409ZJ
VP000000VYZJ09ZJVP@0000000@0VYZJ0000002JVYX0VYZJ10000000102JVYX00000000000000002
09ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<00000
09ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP03
00000080VYZJ00<0000009ZJVP2JVYX00`0000000`2JVYX00000000000020000000409ZJVP000000
VYZJ09ZJVP@0000000@0VYZJ0000002JVYX0VYZJ10000000102JVYX0000009ZJVP2JVYX400000003
09ZJVP000000oooo00@0oooo00<000000?ooo`3oool01P3oool000<0oooo00<000000?ooo`3oool0
0P3oool2000000@0oooo0P0000040?ooo`800000103oool2000000@0oooo00<000000?ooo`3oool0
1@00000U0?ooo`030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0200000080VYZJ
0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ
00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ
09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP<000000P2JVYX00`000000VYZJ
09ZJVP030000000409ZJVP000000VYZJ09ZJVP@0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJ
VP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ0`00000209ZJ
VP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJ
VP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000
000409ZJVP000000VYZJ09ZJVP@0000000@0VYZJ00000000000000000P2JVYX00`000000VYZJ09ZJ
VP030000000309ZJVP00000000000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX00`000000VYZJ09ZJVP02000000@0oooo00<000000?ooo`3oool01P3oool000<0oooo00D00000
0?ooo`3oool0oooo000000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`0000020?ooo`060000003oool0oooo0?ooo`000000oooo0`00
000Y0?ooo`8000000P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP000000000000000080VYZJ
00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ
09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<00000
0P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ0`000000102JVYX0000009ZJVP2JVYX400000004
09ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJ
VP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX300000080VYZJ00<0000009ZJ
VP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ10000000
102JVYX0000009ZJVP2JVYX40000000409ZJVP000000VYZJ09ZJVP@0000000@0VYZJ0000002JVYX0
VYZJ0`00000209ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2J
VYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000003
09ZJVP000000oooo00<0oooo00<000000?ooo`3oool01P3oool000D000000P3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000030?ooo`80000000<0oooo0000003oool0:P3oool00`000000VYZJ09ZJ
VP0300000080VYZJ0P00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJ
VP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP<0000000@0
VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ
09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<00000
0P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX400000004
09ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJ
VP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX30000000409ZJVP000000VYZJ
09ZJVP@0000000@0VYZJ0000002JVYX0VYZJ1P00000209ZJVP@0000000@0VYZJ0000002JVYX0VYZJ
10000000102JVYX0000009ZJVP2JVYX2000000<0oooo00<000000?ooo`3oool01P3oool000040000
003oool0oooo000000<0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000103oool00`000000oooo
0000000/0?ooo`8000000P2JVYX300000080VYZJ00<0000009ZJVP0000000P00000209ZJVP030000
002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX0
0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX600000080VYZJ0`000000102JVYX00000
09ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0
00000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP<0
000000@0VYZJ0000002JVYX0VYZJ10000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<00000
09ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP03
00000080VYZJ1P0000000`2JVYX00000000000020000000409ZJVP000000VYZJ09ZJVP<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002J
VYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000000609ZJVP00000000000000003oool0
0000203oool000040?ooo`000000oooo000000<0oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
1@3oool2000002d0oooo0`00000209ZJVP030000002JVYX0VYZJ008000000P2JVYX00`000000VYZJ
09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<00000
0P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<00000
00@0VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000
VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0
000000<0VYZJ0000000000000P000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<0000009ZJ
VP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000
0080VYZJ00<0000009ZJVP2JVYX00`0000000`2JVYX00000000000020000000409ZJVP000000VYZJ
09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000002
09ZJVP030000002JVYX0VYZJ00<0000000<0VYZJ0000000000000P2JVYX30000000409ZJVP000000
VYZJ09ZJVP@0000000@0VYZJ00000000000000000P2JVYX00`000000oooo000000080?ooo`000P3o
ool2000000<0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`0/
0?ooo`030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ0000000200000080VYZJ00<00000
09ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP03
00000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`00
000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0
000009ZJVP2JVYX00`00000209ZJVPH0000000@0VYZJ00000000000000000P2JVYX00`000000VYZJ
09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<00000
0P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP000000VYZJ09ZJVP@0000000@0VYZJ00000000
000000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJ
VP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ10000000102JVYX0000009ZJVP2J
VYX40000000309ZJVP000000000000@000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00P00
00000`3oool000000?ooo`060?ooo`000`3oool00`000000oooo0?ooo`020?ooo`800000103oool2
000000@0oooo0P0000040?ooo`8000002@3oool00`000000oooo0?ooo`0/0?ooo`8000000P2JVYX0
0`000000VYZJ09ZJVP0200000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0
VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ0`00000209ZJVP030000002JVYX0
VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`0000000`2JVYX000000000
00020000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ
00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0
VYZJ10000000102JVYX0000009ZJVP2JVYX300000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ
00<000000P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP000000VYZJ09ZJVP@0000000@0VYZJ
0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0000000<0VYZJ0000000000000P00
0000102JVYX0000009ZJVP2JVYX40000000409ZJVP000000VYZJ09ZJVP@0000000@0VYZJ0000003o
ool000001`3oool002H0oooo00<000000?ooo`3oool0;03oool00`000000VYZJ09ZJVP0300000004
09ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ1P00000209ZJ
VP<000000P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX0
0`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0
VYZJ00<0000000@0VYZJ00000000000000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0
000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJ
VP030000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX600000080VYZJ0`00000209ZJVP030000
002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ10000000102JVYX0000009ZJVP2JVYX30000
0080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000<0VYZJ0000
000000001000000209ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJ
VP2JVYX00`0000070?ooo`009`3oool2000002d0oooo0P00000209ZJVP030000002JVYX000000080
00000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0
00000P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX00`00
0000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVPH0000000@0VYZJ0000
0000000000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000002
09ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ10000000102JVYX0000009ZJ
VP2JVYX300000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0
VYZJ10000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJ
VP030000002JVYX0VYZJ00<0000000<0VYZJ0000000000001@000000102JVYX00000000000000002
09ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP000000
VYZJ09ZJVP@0000000<0VYZJ0000000000001`3oool002T0oooo00<000000?ooo`3oool0:`3oool0
0`000000VYZJ09ZJVP0200000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP<000000P2JVYX0
0`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2J
VYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX30000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ
00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0
VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX30000000409ZJVP000000VYZJ09ZJ
VP@0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX0
0`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000000000000
000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP00
0000VYZJ09ZJVP@0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ0080
00001`3oool002X0oooo00<000000?ooo`3oool0:`3oool200000080VYZJ1@00000209ZJVP<00000
0P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX00000
09ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0
00000P2JVYX30000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP030000
0080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000
002JVYX0VYZJ0`00000209ZJVPH000000P2JVYX30000000409ZJVP000000VYZJ09ZJVP<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002J
VYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ10000000102JVYX0000000000000000209ZJVP03
0000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ10000000102JVYX0000009ZJVP2JVYX3
00000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000<0oooo
0000003oool01P3oool002/0oooo00<000000?ooo`3oool0:`3oool30000000409ZJVP000000VYZJ
09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000002
09ZJVP030000002JVYX00000008000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ1P000002
09ZJVP<0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2J
VYX00`000000VYZJ09ZJVP030000000409ZJVP000000VYZJ09ZJVP@0000000@0VYZJ0000002JVYX0
VYZJ0`00000209ZJVP<000000P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP000000VYZJ09ZJ
VP<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000000102J
VYX0000009ZJVP2JVYX40000000309ZJVP000000000000@000000P2JVYX30000000409ZJVP000000
VYZJ09ZJVP@0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<00000
00<0VYZJ0000000000000P2JVYX30000000409ZJVP000000VYZJ09ZJVP@00000103oool00`000000
oooo0?ooo`050?ooo`00;03oool00`000000oooo0?ooo`0/0?ooo`030000002JVYX0000000800000
0P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000
002JVYX0VYZJ008000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ0`00000209ZJVP030000
002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0
00000P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX60000
0080VYZJ0`000000102JVYX0000009ZJVP2JVYX40000000409ZJVP000000VYZJ09ZJVP<000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJ
VP2JVYX300000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0
VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0300000004
09ZJVP000000VYZJ09ZJVP@0000000<0VYZJ000000000000100000090?ooo`030000003oool0oooo
00@0oooo000]0?ooo`800000;@3oool010000000VYZJ09ZJVP00000209ZJVP<000000P2JVYX00`00
0000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`0000000`2JVYX00000000000040000
0080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`000002
09ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP000000
VYZJ09ZJVP<000000P2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJ
VP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<00000
00@0VYZJ0000002JVYX0VYZJ100000000`2JVYX000000000000400000080VYZJ0`000000102JVYX0
000009ZJVP2JVYX40000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP03
0000000409ZJVP000000VYZJ09ZJVP@0000000@0VYZJ0000002JVYX0VYZJ0`0000000`2JVYX00000
00000002000000l0oooo00<000000?ooo`3oool0103oool002l0oooo00<000000?ooo`3oool0:`3o
ool00`000000VYZJ0000000200000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002J
VYX0VYZJ00<0000000@0VYZJ00000000000000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ
00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<0000009ZJVP2J
VYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000<0VYZJ0000000000001000000209ZJVP<0
00000P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX00`00
0000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX3
00000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`00
000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP00
0000VYZJ09ZJVP<000000P2JVYX60000000309ZJVP000000000000<000004@3oool00`000000oooo
0?ooo`040?ooo`00<03oool00`000000oooo0?ooo`0[0?ooo`040000002JVYX0VYZJ00000080VYZJ
0`00000209ZJVPH000000P2JVYX200000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000
002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ0000000200000080VYZJ00<0000009ZJVP2JVYX0
0`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ00000000000000000P2JVYX00`000000
VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX30000
0080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000<0VYZJ0000
000000001000000209ZJVP<0000000@0VYZJ0000002JVYX0VYZJ10000000102JVYX0000009ZJVP2J
VYX300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX40000000409ZJ
VP000000VYZJ09ZJVP<000000P2JVYX30000000409ZJVP000000VYZJ09ZJVP<000001@3oool00`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo00@0oooo000a0?ooo`030000003oool0oooo02/0
oooo1@00000209ZJVP<000000P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP000000VYZJ09ZJ
VP<000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00P00000209ZJ
VP030000002JVYX0VYZJ00<000000P2JVYX60000000409ZJVP000000000000000080VYZJ00<00000
09ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`00
000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX60000000409ZJVP000000000000000080VYZJ
00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<0000009ZJVP2J
VYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJ
VPH0000000<0VYZJ0000000000000P000000102JVYX0000009ZJVP2JVYX3000000T0oooo00<00000
0?ooo`3oool03@3oool00`000000oooo0?ooo`040?ooo`00<P3oool2000002`0oooo00<0000009ZJ
VP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`000002
09ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000000309ZJVP000000
000000@000000P2JVYX30000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJ
VP0300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080VYZJ
00<0000009ZJVP2JVYX00`0000000`2JVYX00000000000020000000409ZJVP000000VYZJ09ZJVP<0
00000P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX00`00
0000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`0000000`2JVYX00000000000040000
0080VYZJ0`000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000<
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0103oool003@0oooo00<000000?oo
o`3oool0:P3oool200000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX00000
008000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000000102J
VYX0000000000000000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ00000002
00000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ
0000002JVYX0VYZJ0`00000209ZJVPH0000000@0VYZJ00000000000000000P2JVYX00`000000VYZJ
09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080
VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX40000000409ZJVP0000000000
00000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<0
000009ZJVP2JVYX00`00000@0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0103o
ool003D0oooo00<000000?ooo`3oool0:P3oool00`000000VYZJ09ZJVP0300000080VYZJ00<00000
09ZJVP2JVYX00P00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX60000000409ZJVP000000
000000000080VYZJ00<0000009ZJVP2JVYX00`00000209ZJVP030000002JVYX0VYZJ008000000P2J
VYX00`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`0000000`2JVYX000000000
000400000080VYZJ0`000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX0
0`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVP03
0000002JVYX0VYZJ00<0000000<0VYZJ0000000000001000000209ZJVP<0000000@0VYZJ0000002J
VYX0VYZJ10000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000D
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0103oool003H0oooo00<000000?oo
o`3oool0:P3oool200000080VYZJ00<0000009ZJVP2JVYX00`0000000`2JVYX00000000000040000
0080VYZJ0`00000209ZJVP030000002JVYX0VYZJ008000000P2JVYX00`000000VYZJ09ZJVP030000
0080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<00000
09ZJVP2JVYX00`000000102JVYX0000000000000000209ZJVP030000002JVYX0VYZJ00<0000000@0
VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ
09ZJVP030000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX60000000409ZJVP00000000000000
0080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<00000
09ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX4000001P0oooo00<000000?ooo`3oool02`3o
ool00`000000oooo0?ooo`030?ooo`00=`3oool2000002/0oooo1P00000209ZJVP8000000P2JVYX0
0`000000VYZJ09ZJVP0300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2J
VYX300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080VYZJ
1P000000102JVYX0000000000000000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002J
VYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP030000
000309ZJVP000000000000@000000P2JVYX30000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX0
0`000000VYZJ09ZJVP030000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJ
VP030000000409ZJVP000000VYZJ09ZJVP<00000703oool00`000000oooo0?ooo`0;0?ooo`030000
003oool0oooo00<0oooo000i0?ooo`030000003oool0oooo02X0oooo00<0000009ZJVP2JVYX00`00
0000102JVYX0000009ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX00000
09ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`0000000`2JVYX000000000000400000080
VYZJ0`00000209ZJVP030000002JVYX00000008000000P2JVYX00`000000VYZJ09ZJVP0300000080
VYZJ00<0000009ZJVP0000000P00000209ZJVP030000002JVYX0VYZJ00<000000P2JVYX00`000000
VYZJ09ZJVP030000000409ZJVP000000000000000080VYZJ00<0000009ZJVP2JVYX00`000000102J
VYX0000009ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2J
VYX300000080VYZJ00<0000009ZJVP2JVYX00`0000000`2JVYX000000000000400000200oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`00>P3oool00`000000oooo0?ooo`0Z
0?ooo`8000000P2JVYX00`000000VYZJ0000000200000080VYZJ00<0000009ZJVP2JVYX00`000002
09ZJVP030000002JVYX00000008000000P2JVYX600000080VYZJ0P00000209ZJVP030000002JVYX0
VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0200000080VYZJ00<0000009ZJVP2JVYX00`000002
09ZJVP030000002JVYX0VYZJ008000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ1P000000
102JVYX0000000000000000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ
0`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVPH0
000000@0VYZJ00000000000000009`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
00<0oooo000k0?ooo`030000003oool0oooo02X0oooo00<0000009ZJVP2JVYX00P00000209ZJVP03
0000002JVYX0VYZJ00<000000P2JVYX500000080VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0
000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000
002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0000000<0VYZJ00000000000010000002
09ZJVP<0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0000000@0
VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0000000<0VYZJ000000000000
100000000`2JVYX00000000000020000000409ZJVP000000VYZJ09ZJVP<00000:P3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo000l0?ooo`030000003oool0oooo02X0oooo
0P0000000`2JVYX000000000000400000080VYZJ0`000000102JVYX0000009ZJVP2JVYX300000080
VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<0000009ZJ
VP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080VYZJ1P000000102JVYX0000000000000
000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000
002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVPH0000000H0VYZJ00000000
0000000009ZJVP00000209ZJVP<000000P2JVYX00`000000VYZJ09ZJVP03000002h0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`030?ooo`00?@3oool2000002/0oooo0P00000209ZJ
VP030000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ0000000200000080VYZJ00<0000009ZJ
VP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`000000
0`2JVYX000000000000400000080VYZJ0`000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<0
000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX0
0`0000000`2JVYX000000000000400000080VYZJ0`000000102JVYX0000009ZJVP2JVYX300000004
09ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0300000380oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`030?ooo`00?`3oool00`000000oooo0?ooo`0Y0?ooo`03
0000002JVYX0VYZJ00<000000P2JVYX00`000000VYZJ09ZJVP0200000080VYZJ00<0000009ZJVP2J
VYX00`00000209ZJVP030000002JVYX00000008000000P2JVYX60000000409ZJVP00000000000000
0080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<00000
09ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080VYZJ1P000000102JVYX000000000
0000000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`000000102JVYX0
000009ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00000f0?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool00P3oool00400oooo00<000000?ooo`3oool0:@3oool200000080
VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080VYZJ1@00000209ZJ
VP<000000P2JVYX00`000000VYZJ09ZJVP0200000080VYZJ00<0000009ZJVP2JVYX00`000000102J
VYX0000009ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`0000000`2JVYX0000000000004
00000080VYZJ0`000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`00
0000102JVYX0000009ZJVP2JVYX30000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000
VYZJ09ZJVP03000003T0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`020?ooo`00
@@3oool00`000000oooo0?ooo`0Y0?ooo`030000002JVYX0VYZJ00<000000P2JVYX500000080VYZJ
0`000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0
000009ZJVP2JVYX300000080VYZJ00<0000009ZJVP0000000P00000209ZJVPH0000000@0VYZJ0000
0000000000000P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP000000VYZJ09ZJVP<000000P2J
VYX00`000000VYZJ09ZJVP030000000409ZJVP000000VYZJ09ZJVP<0000000@0VYZJ0000002JVYX0
VYZJ0`00000209ZJVPH00000?@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0080
oooo00120?ooo`800000:P3oool200000080VYZJ0`000000102JVYX0000009ZJVP2JVYX300000080
VYZJ00<0000009ZJVP0000000P00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002J
VYX0VYZJ0`00000209ZJVPD000000P2JVYX300000080VYZJ00<0000009ZJVP0000000P00000209ZJ
VP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0
VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`0000000`2JVYX000000000000400000080VYZJ0`00
00140?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool004@0oooo00<00000
0?ooo`3oool0:03oool300000080VYZJ00<0000009ZJVP0000000P00000209ZJVP030000002JVYX0
VYZJ008000000P2JVYX00`000000VYZJ09ZJVP0300000080VYZJ1@00000209ZJVP<0000000@0VYZJ
0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ008000000P2JVYX00`000000VYZJ09ZJ
VP030000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP030000000309ZJ
VP000000000000@0000000@0VYZJ00000000000000000P2JVYX00`000000VYZJ09ZJVP03000004P0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`00A@3oool00`000000oooo
0?ooo`0Y0?ooo`030000002JVYX0VYZJ008000000P2JVYX00`000000VYZJ09ZJVP030000000309ZJ
VP000000000000@000000P2JVYX30000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000
VYZJ0000000200000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX30000
0080VYZJ1@00000209ZJVPH0000000@0VYZJ00000000000000000P2JVYX00`000000VYZJ09ZJVP02
00000080VYZJ00<0000009ZJVP2JVYX00`00001;0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool00P3oool004H0oooo00<000000?ooo`3oool0:@3oool20000000309ZJVP0000000000
00@000000P2JVYX200000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX3
00000080VYZJ00<0000009ZJVP2JVYX00P00000209ZJVP030000002JVYX0VYZJ00<0000000<0VYZJ
0000000000001000000209ZJVP<0000000@0VYZJ0000002JVYX0VYZJ0`000000102JVYX0000009ZJ
VP2JVYX300000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX3000004l0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`00A`3oool2000002X0oooo
0P00000209ZJVP030000002JVYX0VYZJ00<0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVP03
0000002JVYX00000008000000P2JVYX00`000000VYZJ09ZJVP030000000309ZJVP000000000000@0
000000@0VYZJ00000000000000000P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP000000VYZJ
09ZJVP<0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000002JVYX0VYZJ00<0000000@0
VYZJ0000002JVYX0VYZJ0`00001C0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
0@3oool004T0oooo00<000000?ooo`3oool0:03oool00`000000VYZJ09ZJVP030000000409ZJVP00
0000VYZJ09ZJVP<000000P2JVYX00`000000VYZJ09ZJVP0200000080VYZJ1P000000102JVYX00000
00000000000209ZJVP030000002JVYX0VYZJ008000000P2JVYX00`000000VYZJ09ZJVP0300000004
09ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000VYZJ0000000200000080VYZJ1P0000000`2J
VYX0000000000004000005H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`010?oo
o`00BP3oool00`000000oooo0?ooo`0X0?ooo`8000000P2JVYX500000080VYZJ1P000000102JVYX0
000000000000000209ZJVP030000002JVYX00000008000000P2JVYX00`000000VYZJ09ZJVP030000
000409ZJVP000000VYZJ09ZJVP<0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVPD000000P2J
VYX30000000409ZJVP000000VYZJ09ZJVP<00000G@3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo0040oooo001;0?ooo`030000003oool0oooo02P0oooo0`000000102JVYX0000009ZJ
VP2JVYX300000080VYZJ00<0000009ZJVP0000000P00000209ZJVP030000002JVYX0VYZJ00800000
0P2JVYX00`000000VYZJ09ZJVP030000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX500000080
VYZJ0`000000102JVYX0000009ZJVP2JVYX30000000409ZJVP000000VYZJ09ZJVP<00000H@3oool0
1@000000oooo0?ooo`3oool0000000<0oooo001<0?ooo`030000003oool0oooo02T0oooo00<00000
09ZJVP0000000P00000209ZJVP030000002JVYX0VYZJ008000000P2JVYX00`000000VYZJ09ZJVP03
0000000309ZJVP000000000000@000000P2JVYX500000080VYZJ0`000000102JVYX0000009ZJVP2J
VYX30000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX00`000000VYZJ00000002000006D0oooo
00@000000?ooo`3oool000000`3oool004d0oooo0P00000Z0?ooo`040000002JVYX0VYZJ00000080
VYZJ0`0000000`2JVYX00000000000040000000409ZJVP000000000000000080VYZJ00<0000009ZJ
VP2JVYX00`000000102JVYX0000009ZJVP2JVYX30000000409ZJVP000000VYZJ09ZJVP<000000P2J
VYX00`000000VYZJ0000000200000080VYZJ1@00001X0?ooo`040000003oool0oooo000000<0oooo
001?0?ooo`030000003oool0oooo02P0oooo1@00000209ZJVP8000000P2JVYX00`000000VYZJ09ZJ
VP0200000080VYZJ00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX30000000409ZJ
VP000000VYZJ09ZJVP<000000P2JVYX500000080VYZJ0`00001^0?ooo`030000003oool0000000<0
oooo001@0?ooo`030000003oool0oooo02P0oooo00<0000009ZJVP2JVYX00`000000102JVYX00000
09ZJVP2JVYX30000000409ZJVP000000VYZJ09ZJVP<000000P2JVYX500000080VYZJ1@00000209ZJ
VP<0000000@0VYZJ0000002JVYX0VYZJ0`00001b0?ooo`030000003oool000000080oooo001A0?oo
o`030000003oool0oooo02P0oooo0P000000102JVYX0000009ZJVP2JVYX300000080VYZJ1@000002
09ZJVP<0000000@0VYZJ0000002JVYX0VYZJ0`000000102JVYX0000009ZJVP2JVYX30000000409ZJ
VP000000VYZJ09ZJVP<00000MP3oool200000080oooo001B0?ooo`800000:@3oool500000080VYZJ
0`000000102JVYX0000009ZJVP2JVYX30000000409ZJVP000000VYZJ09ZJVP<0000000@0VYZJ0000
002JVYX0VYZJ0`00000209ZJVPD00000N@3oool200000080oooo001D0?ooo`030000003oool0oooo
02L0oooo00<0000009ZJVP2JVYX00`000000102JVYX0000009ZJVP2JVYX300000080VYZJ00<00000
09ZJVP0000000P00000209ZJVPD000000P2JVYX3000007h0oooo0P0000020?ooo`00E@3oool00`00
0000oooo0?ooo`0W0?ooo`8000000P2JVYX500000080VYZJ1@00000209ZJVP<0000000@0VYZJ0000
002JVYX0VYZJ0`00001m0?ooo`@00000103oool005H0oooo00<000000?ooo`3oool09`3oool30000
000409ZJVP000000VYZJ09ZJVP<0000000@0VYZJ0000002JVYX0VYZJ0`00000209ZJVP030000002J
VYX0000000800000O03oool4000000P0oooo001G0?ooo`800000:@3oool00`000000VYZJ00000002
00000080VYZJ00<0000009ZJVP0000000P00000209ZJVPD00000N`3oool4000000`0oooo001I0?oo
o`030000003oool0oooo02L0oooo00<0000009ZJVP2JVYX01@00000209ZJVP<00000O03oool40000
0100oooo001J0?ooo`030000003oool0oooo02L0oooo0P00000209ZJVP030000002JVYX000000080
0000O03oool3000001@0oooo001K0?ooo`030000003oool0oooo02L0oooo00<0000009ZJVP2JVYX0
0P00001k0?ooo`@000005`3oool005`0oooo00<000000?ooo`3oool09`3oool2000007T0oooo1000
000K0?ooo`00G@3oool2000002L0oooo00<000000?ooo`3oool0M03oool4000001l0oooo001O0?oo
o`030000003oool0oooo02@0oooo00<000000?ooo`3oool0L03oool4000002<0oooo001P0?ooo`03
0000003oool0oooo02<0oooo00<000000?ooo`3oool0K@3oool3000002L0oooo001Q0?ooo`030000
003oool0oooo0280oooo00<000000?ooo`3oool0J@3oool4000002X0oooo001R0?ooo`8000008P3o
ool00`000000oooo0?ooo`1U0?ooo`@00000;P3oool006@0oooo00<000000?ooo`3oool07`3oool0
0`000000oooo0?ooo`1Q0?ooo`@00000<P3oool006D0oooo00<000000?ooo`3oool07P3oool00`00
0000oooo0?ooo`1M0?ooo`@00000=P3oool006H0oooo00<000000?ooo`3oool07@3oool00`000000
oooo0?ooo`1J0?ooo`<00000>P3oool006L0oooo0P00000M0?ooo`030000003oool0oooo05H0oooo
1000000m0?ooo`00J@3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo0580oooo1000
00110?ooo`00JP3oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo04h0oooo10000015
0?ooo`00J`3oool00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo04X0oooo100000190?oo
o`00K03oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo04L0oooo0`00001=0?ooo`00
K@3oool2000001L0oooo00<000000?ooo`3oool0@`3oool400000500oooo001_0?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool0?`3oool4000005@0oooo001`0?ooo`030000003oool0
oooo01<0oooo00<000000?ooo`3oool0>`3oool4000005P0oooo001a0?ooo`030000003oool0oooo
0180oooo00<000000?ooo`3oool0=`3oool4000005`0oooo001b0?ooo`8000004P3oool00`000000
oooo0?ooo`0d0?ooo`<00000H03oool007@0oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`0`0?ooo`@00000H`3oool007D0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?oo
o`0]0?ooo`@00000I`3oool007H0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0Y
0?ooo`@00000J`3oool007L0oooo0P00000<0?ooo`030000003oool0oooo02D0oooo1000001_0?oo
o`00N@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0280oooo0`00001c0?ooo`00
NP3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo01h0oooo1000001f0?ooo`00N`3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo01X0oooo1000001j0?ooo`00O03oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo01H0oooo1000001n0?ooo`00O@3oool20000
00H0oooo00<000000?ooo`3oool04P3oool400000880oooo001o0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool03`3oool3000008H0oooo00200?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool02`3oool4000008T0oooo00210?ooo`050000003oool0oooo0?ooo`000000
2@3oool4000008d0oooo00220?ooo`80000000<0oooo0000003oool0103oool400000940oooo0024
0?ooo`80000000<0oooo0000000000000P00002E0?ooo`00Q@3oool2000009T0oooo003o0?ooob40
oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40
oooo003o0?ooob40oooo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {232.562, 0}} -> {-0.122615, -0.00889788, \
0.00376504, 0.00376504}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  SurfaceGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"Plot3D", "[", 
      RowBox[{\(Evaluate[\((\((mymod /. {myxg \[Rule] 10})\) 
                gc[myx - 10, myp - 1, mysx, mysp])\) /. {mysx \[Rule] 1, 
              mysp \[Rule] 1/2}]\), ",", \({myx, 0, 20}\), 
        ",", \({myp, 0, 2}\), ",", \(PlotPoints \[Rule] 40\), 
        ",", \(PlotRange \[Rule] All\), ",", \(Mesh \[Rule] True\), ",", 
        RowBox[{"AxesLabel", "\[Rule]", 
          RowBox[{"{", 
            RowBox[{"\"\<\!\(\*
StyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*
StyleBox[\"/\",\nFontSlant->\"Italic\"]\)\!\(\[Sigma]\_x\)\>\"", ",", 
              "\"\<\!\(\*
StyleBox[\"p\",\nFontSlant->\"Italic\"]\)/\!\(\[Sigma]\_p\)\>\"", ",", 
              "\"\<\>\""}], "}"}]}], ",", \(Boxed \[Rule] False\), 
        ",", \(TextStyle \[Rule] m10\), ",", \(Lighting \[Rule] False\), 
        ",", \(ColorFunction \[Rule] \((RGBColor[1, 1, 1] &)\)\)}], 
      "]"}]], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .81114 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
3.47487e-17 1.04977 -0.0679587 1.04977 [
[.02757 .24618 -9 -10.5763 ]
[.02757 .24618 0 .36123 ]
[.17646 .18758 -8.84916 -11 ]
[.17646 .18758 .15084 0 ]
[.3345 .12542 -13.0356 -10.9375 ]
[.3345 .12542 .96436 0 ]
[.50253 .05935 -12.3059 -11 ]
[.50253 .05935 1.69409 0 ]
[.68156 -0.01098 -11.5762 -10.9375 ]
[.68156 -0.01098 2.42381 0 ]
[.29165 .07573 -22.8124 -10.9375 ]
[.29165 .07573 1.68764 0 ]
[.70096 -0.00478 0 -7.61014 ]
[.70096 -0.00478 9 3.32736 ]
[.78313 .12104 0 -7.50271 ]
[.78313 .12104 16.5 3.49729 ]
[.8565 .23339 0 -7.32967 ]
[.8565 .23339 9 3.60783 ]
[.9224 .33431 0 -7.25652 ]
[.9224 .33431 16.5 3.74348 ]
[.98191 .42546 0 -7.11416 ]
[.98191 .42546 9 3.82334 ]
[.91861 .21225 0 -7.95793 ]
[.91861 .21225 24 3.91707 ]
[.02185 .27927 -9 -3.34721 ]
[.02185 .27927 0 7.59029 ]
[.01336 .33251 -21.5 -3.42141 ]
[.01336 .33251 0 7.57859 ]
[.00457 .38761 -16.5 -3.4786 ]
[.00457 .38761 0 7.5214 ]
[-0.00454 .44468 -21.5 -3.53804 ]
[-0.00454 .44468 0 7.46196 ]
[ 0 0 0 0 ]
[ 1 .81114 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
gsave
.02757 .24618 -70 -14.5763 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.18558 .19702 m
.19014 .20174 L
s
gsave
.17646 .18758 -69.8492 -15 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.34306 .13535 m
.34735 .14032 L
s
gsave
.3345 .12542 -74.0356 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
1.000 setlinewidth
grestore
.51046 .06981 m
.51442 .07504 L
s
gsave
.50253 .05935 -73.3059 -15 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(15) show
1.000 setlinewidth
grestore
.68874 0 m
.69233 .00549 L
s
gsave
.68156 -0.01098 -72.5762 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.1552 .20892 m
.15797 .21172 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.27893 .16047 m
.28157 .16339 L
s
.3108 .14799 m
.31341 .15094 L
s
.37572 .12257 m
.37826 .12558 L
s
.40878 .10962 m
.41128 .11266 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.54521 .0562 m
.54755 .05937 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
gsave
.29165 .07573 -83.8124 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
%%BeginResource: font Times-Roman-MISO
%%BeginFont: Times-Roman-MISO
/Times-Roman /Times-Roman-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.250 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
68.312 11.812 moveto
(/) show
72.125 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
78.875 13.375 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
83.500 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.68874 0 m
.68263 .00239 L
s
gsave
.70096 -0.00478 -61 -11.6101 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.7708 .12553 m
.76464 .12778 L
s
gsave
.78313 .12104 -61 -11.5027 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.84407 .23761 m
.83786 .23973 L
s
gsave
.8565 .23339 -61 -11.3297 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.9099 .3383 m
.90365 .34029 L
s
gsave
.9224 .33431 -61 -11.2565 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
1.000 setlinewidth
grestore
.96935 .42924 m
.96306 .43113 L
s
gsave
.98191 .42546 -61 -11.1142 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.125 Mabswid
.70593 .0263 m
.70226 .02771 L
s
.72272 .05198 m
.71904 .05338 L
s
.73912 .07706 m
.73543 .07845 L
s
.75514 .10158 m
.75145 .10294 L
s
.78611 .14895 m
.78241 .15028 L
s
.80108 .17185 m
.79737 .17317 L
s
.81573 .19425 m
.81201 .19555 L
s
.83006 .21617 m
.82633 .21745 L
s
.8578 .2586 m
.85407 .25986 L
s
.87123 .27915 m
.8675 .28039 L
s
.88439 .29928 m
.88065 .3005 L
s
.89727 .31899 m
.89353 .3202 L
s
.92227 .35722 m
.91851 .3584 L
s
.93439 .37576 m
.93063 .37693 L
s
.94627 .39394 m
.94251 .3951 L
s
.95792 .41176 m
.95416 .41291 L
s
gsave
.91861 .21225 -61 -11.9579 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
%%BeginResource: font Times-Roman-MISO
%%BeginFont: Times-Roman-MISO
/Times-Roman /Times-Roman-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.750 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(p) show
68.812 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(/) show
71.625 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
78.375 13.375 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(p) show
83.000 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
.03409 .27453 m
.0402 .27216 L
s
gsave
.02185 .27927 -70 -7.34721 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.02563 .32787 m
.03177 .32555 L
s
gsave
.01336 .33251 -82.5 -7.42141 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.25) show
1.000 setlinewidth
grestore
.01688 .38309 m
.02304 .38082 L
s
gsave
.00457 .38761 -77.5 -7.4786 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.00782 .44027 m
.014 .43807 L
s
gsave
-0.00454 .44468 -82.5 -7.53804 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.75) show
1.000 setlinewidth
grestore
.125 Mabswid
.03242 .28505 m
.03609 .28363 L
s
.03074 .29565 m
.03442 .29424 L
s
.02905 .30632 m
.03273 .30491 L
s
.02735 .31706 m
.03103 .31566 L
s
.02391 .33876 m
.02759 .33738 L
s
.02217 .34973 m
.02586 .34835 L
s
.02042 .36077 m
.02411 .3594 L
s
.01866 .37189 m
.02235 .37052 L
s
.0151 .39436 m
.01879 .39301 L
s
.0133 .40572 m
.017 .40437 L
s
.01149 .41715 m
.01519 .41582 L
s
.00966 .42867 m
.01337 .42734 L
s
.03574 .26408 m
.03941 .26265 L
s
.00597 .45195 m
.00968 .45064 L
s
.00411 .46372 m
.00782 .46241 L
s
.00223 .47557 m
.00594 .47427 L
s
.00034 .48751 m
.00405 .48621 L
s
0 0 m
1 0 L
1 .81114 L
0 .81114 L
closepath
clip
newpath
.5 Mabswid
1 1 1 r
.3968 .60945 .40467 .61671 .41786 .61278 .41003 .60549 Metetra
1 1 1 r
.41003 .60549 .41786 .61278 .43111 .60884 .42333 .60151 Metetra
1 1 1 r
.42333 .60151 .43111 .60884 .44443 .60488 .43669 .59751 Metetra
1 1 1 r
.43669 .59751 .44443 .60488 .45782 .60089 .45012 .59349 Metetra
1 1 1 r
.45012 .59349 .45782 .60089 .47127 .59689 .46361 .58945 Metetra
1 1 1 r
.46361 .58945 .47127 .59689 .48479 .59287 .47717 .58539 Metetra
1 1 1 r
.47717 .58539 .48479 .59287 .49837 .58882 .4908 .5813 Metetra
1 1 1 r
.4908 .5813 .49837 .58882 .51202 .58476 .5045 .5772 Metetra
1 1 1 r
.5045 .5772 .51202 .58476 .52575 .58068 .51827 .57309 Metetra
1 1 1 r
.51827 .57309 .52575 .58068 .53954 .57657 .5321 .56894 Metetra
1 1 1 r
.5321 .56894 .53954 .57657 .5534 .57245 .54601 .56478 Metetra
1 1 1 r
.54601 .56478 .5534 .57245 .56733 .56832 .55998 .56062 Metetra
1 1 1 r
.55998 .56062 .56733 .56832 .58133 .56424 .57403 .55651 Metetra
1 1 1 r
.57403 .55651 .58133 .56424 .59541 .56044 .58816 .55277 Metetra
1 1 1 r
.58816 .55277 .59541 .56044 .60959 .55759 .60239 .55018 Metetra
1 1 1 r
.60239 .55018 .60959 .55759 .62391 .55681 .61678 .55014 Metetra
1 1 1 r
.61678 .55014 .62391 .55681 .63843 .55897 .63139 .5537 Metetra
1 1 1 r
.63139 .5537 .63843 .55897 .65315 .56288 .64622 .55943 Metetra
1 1 1 r
.64622 .55943 .65315 .56288 .66793 .56465 .66111 .56253 Metetra
1 1 1 r
.66111 .56253 .66793 .56465 .68255 .56036 .67581 .55821 Metetra
1 1 1 r
.67581 .55821 .68255 .56036 .69694 .55 .69023 .54644 Metetra
1 1 1 r
.69023 .54644 .69694 .55 .71124 .53746 .70451 .532 Metetra
1 1 1 r
.70451 .532 .71124 .53746 .72564 .52663 .7189 .51968 Metetra
1 1 1 r
.7189 .51968 .72564 .52663 .74025 .51875 .73353 .51097 Metetra
1 1 1 r
.73353 .51097 .74025 .51875 .75505 .51295 .74837 .50482 Metetra
1 1 1 r
.74837 .50482 .75505 .51295 .76999 .50809 .76336 .49983 Metetra
1 1 1 r
.76336 .49983 .76999 .50809 .78503 .50353 .77845 .49521 Metetra
1 1 1 r
.77845 .49521 .78503 .50353 .80015 .49901 .79363 .49064 Metetra
1 1 1 r
.79363 .49064 .80015 .49901 .81535 .49449 .80889 .48607 Metetra
1 1 1 r
.80889 .48607 .81535 .49449 .83063 .48994 .82423 .48148 Metetra
1 1 1 r
.82423 .48148 .83063 .48994 .846 .48537 .83965 .47686 Metetra
1 1 1 r
.83965 .47686 .846 .48537 .86144 .48077 .85516 .47222 Metetra
1 1 1 r
.85516 .47222 .86144 .48077 .87697 .47615 .87074 .46755 Metetra
1 1 1 r
.87074 .46755 .87697 .47615 .89258 .4715 .88641 .46286 Metetra
1 1 1 r
.88641 .46286 .89258 .4715 .90827 .46683 .90217 .45814 Metetra
1 1 1 r
.90217 .45814 .90827 .46683 .92405 .46214 .91801 .4534 Metetra
1 1 1 r
.91801 .4534 .92405 .46214 .93992 .45742 .93393 .44863 Metetra
1 1 1 r
.93393 .44863 .93992 .45742 .95586 .45267 .94995 .44384 Metetra
1 1 1 r
.94995 .44384 .95586 .45267 .9719 .4479 .96605 .43902 Metetra
1 1 1 r
.38887 .60212 .3968 .60945 .41003 .60549 .40214 .59812 Metetra
1 1 1 r
.40214 .59812 .41003 .60549 .42333 .60151 .41547 .59411 Metetra
1 1 1 r
.41547 .59411 .42333 .60151 .43669 .59751 .42888 .59007 Metetra
1 1 1 r
.42888 .59007 .43669 .59751 .45012 .59349 .44235 .58601 Metetra
1 1 1 r
.44235 .58601 .45012 .59349 .46361 .58945 .45588 .58194 Metetra
1 1 1 r
.45588 .58194 .46361 .58945 .47717 .58539 .46949 .57784 Metetra
1 1 1 r
.46949 .57784 .47717 .58539 .4908 .5813 .48316 .57372 Metetra
1 1 1 r
.48316 .57372 .4908 .5813 .5045 .5772 .4969 .56958 Metetra
1 1 1 r
.4969 .56958 .5045 .5772 .51827 .57309 .51072 .56542 Metetra
1 1 1 r
.51072 .56542 .51827 .57309 .5321 .56894 .5246 .56124 Metetra
1 1 1 r
.5246 .56124 .5321 .56894 .54601 .56478 .53855 .55704 Metetra
1 1 1 r
.53855 .55704 .54601 .56478 .55998 .56062 .55257 .55284 Metetra
1 1 1 r
.55257 .55284 .55998 .56062 .57403 .55651 .56667 .54872 Metetra
1 1 1 r
.56667 .54872 .57403 .55651 .58816 .55277 .58084 .54503 Metetra
1 1 1 r
.58084 .54503 .58816 .55277 .60239 .55018 .59513 .54276 Metetra
1 1 1 r
.59513 .54276 .60239 .55018 .61678 .55014 .60958 .54357 Metetra
1 1 1 r
.60958 .54357 .61678 .55014 .63139 .5537 .62428 .54876 Metetra
1 1 1 r
.62428 .54876 .63139 .5537 .64622 .55943 .63923 .5566 Metetra
1 1 1 r
.63923 .5566 .64622 .55943 .66111 .56253 .65424 .56127 Metetra
1 1 1 r
.65424 .56127 .66111 .56253 .67581 .55821 .66902 .55692 Metetra
1 1 1 r
.66902 .55692 .67581 .55821 .69023 .54644 .68346 .54352 Metetra
1 1 1 r
.68346 .54352 .69023 .54644 .70451 .532 .69773 .52687 Metetra
1 1 1 r
.69773 .52687 .70451 .532 .7189 .51968 .71211 .51283 Metetra
1 1 1 r
.71211 .51283 .7189 .51968 .73353 .51097 .72675 .50318 Metetra
1 1 1 r
.72675 .50318 .73353 .51097 .74837 .50482 .74163 .49663 Metetra
1 1 1 r
.74163 .49663 .74837 .50482 .76336 .49983 .75667 .49149 Metetra
1 1 1 r
.75667 .49149 .76336 .49983 .77845 .49521 .77181 .48681 Metetra
1 1 1 r
.77181 .48681 .77845 .49521 .79363 .49064 .78705 .48219 Metetra
1 1 1 r
.78705 .48219 .79363 .49064 .80889 .48607 .80236 .47757 Metetra
1 1 1 r
.80236 .47757 .80889 .48607 .82423 .48148 .81776 .47294 Metetra
1 1 1 r
.81776 .47294 .82423 .48148 .83965 .47686 .83324 .46827 Metetra
1 1 1 r
.83324 .46827 .83965 .47686 .85516 .47222 .84881 .46358 Metetra
1 1 1 r
.84881 .46358 .85516 .47222 .87074 .46755 .86445 .45887 Metetra
1 1 1 r
.86445 .45887 .87074 .46755 .88641 .46286 .88019 .45413 Metetra
1 1 1 r
.88019 .45413 .88641 .46286 .90217 .45814 .896 .44937 Metetra
1 1 1 r
.896 .44937 .90217 .45814 .91801 .4534 .91191 .44458 Metetra
1 1 1 r
.91191 .44458 .91801 .4534 .93393 .44863 .92789 .43977 Metetra
1 1 1 r
.92789 .43977 .93393 .44863 .94995 .44384 .94397 .43492 Metetra
1 1 1 r
.94397 .43492 .94995 .44384 .96605 .43902 .96013 .43005 Metetra
1 1 1 r
.38086 .59472 .38887 .60212 .40214 .59812 .39417 .59069 Metetra
1 1 1 r
.39417 .59069 .40214 .59812 .41547 .59411 .40755 .58664 Metetra
1 1 1 r
.40755 .58664 .41547 .59411 .42888 .59007 .42099 .58256 Metetra
1 1 1 r
.42099 .58256 .42888 .59007 .44235 .58601 .43451 .57847 Metetra
1 1 1 r
.43451 .57847 .44235 .58601 .45588 .58194 .44809 .57436 Metetra
1 1 1 r
.44809 .57436 .45588 .58194 .46949 .57784 .46173 .57022 Metetra
1 1 1 r
.46173 .57022 .46949 .57784 .48316 .57372 .47545 .56606 Metetra
1 1 1 r
.47545 .56606 .48316 .57372 .4969 .56958 .48924 .56189 Metetra
1 1 1 r
.48924 .56189 .4969 .56958 .51072 .56542 .50309 .55769 Metetra
1 1 1 r
.50309 .55769 .51072 .56542 .5246 .56124 .51702 .55346 Metetra
1 1 1 r
.51702 .55346 .5246 .56124 .53855 .55704 .53102 .54923 Metetra
1 1 1 r
.53102 .54923 .53855 .55704 .55257 .55284 .54509 .54499 Metetra
1 1 1 r
.54509 .54499 .55257 .55284 .56667 .54872 .55923 .54085 Metetra
1 1 1 r
.55923 .54085 .56667 .54872 .58084 .54503 .57346 .53725 Metetra
1 1 1 r
.57346 .53725 .58084 .54503 .59513 .54276 .58779 .53533 Metetra
1 1 1 r
.58779 .53533 .59513 .54276 .60958 .54357 .60231 .53712 Metetra
1 1 1 r
.60231 .53712 .60958 .54357 .62428 .54876 .6171 .54418 Metetra
1 1 1 r
.6171 .54418 .62428 .54876 .63923 .5566 .63217 .55445 Metetra
1 1 1 r
.63217 .55445 .63923 .5566 .65424 .56127 .64731 .56091 Metetra
1 1 1 r
.64731 .56091 .65424 .56127 .66902 .55692 .66218 .55653 Metetra
1 1 1 r
.66218 .55653 .66902 .55692 .68346 .54352 .67664 .54126 Metetra
1 1 1 r
.67664 .54126 .68346 .54352 .69773 .52687 .69089 .5221 Metetra
1 1 1 r
.69089 .5221 .69773 .52687 .71211 .51283 .70525 .5061 Metetra
1 1 1 r
.70525 .5061 .71211 .51283 .72675 .50318 .71991 .49538 Metetra
1 1 1 r
.71991 .49538 .72675 .50318 .74163 .49663 .73482 .48837 Metetra
1 1 1 r
.73482 .48837 .74163 .49663 .75667 .49149 .74991 .48307 Metetra
1 1 1 r
.74991 .48307 .75667 .49149 .77181 .48681 .76511 .47832 Metetra
1 1 1 r
.76511 .47832 .77181 .48681 .78705 .48219 .7804 .47366 Metetra
1 1 1 r
.7804 .47366 .78705 .48219 .80236 .47757 .79577 .46899 Metetra
1 1 1 r
.79577 .46899 .80236 .47757 .81776 .47294 .81123 .46431 Metetra
1 1 1 r
.81123 .46431 .81776 .47294 .83324 .46827 .82677 .4596 Metetra
1 1 1 r
.82677 .4596 .83324 .46827 .84881 .46358 .84239 .45486 Metetra
1 1 1 r
.84239 .45486 .84881 .46358 .86445 .45887 .8581 .4501 Metetra
1 1 1 r
.8581 .4501 .86445 .45887 .88019 .45413 .8739 .44532 Metetra
1 1 1 r
.8739 .44532 .88019 .45413 .896 .44937 .88978 .4405 Metetra
1 1 1 r
.88978 .4405 .896 .44937 .91191 .44458 .90574 .43567 Metetra
1 1 1 r
.90574 .43567 .91191 .44458 .92789 .43977 .92179 .43081 Metetra
1 1 1 r
.92179 .43081 .92789 .43977 .94397 .43492 .93793 .42591 Metetra
1 1 1 r
.93793 .42591 .94397 .43492 .96013 .43005 .95416 .42099 Metetra
1 1 1 r
.37278 .58726 .38086 .59472 .39417 .59069 .38613 .5832 Metetra
1 1 1 r
.38613 .5832 .39417 .59069 .40755 .58664 .39955 .5791 Metetra
1 1 1 r
.39955 .5791 .40755 .58664 .42099 .58256 .41304 .57498 Metetra
1 1 1 r
.41304 .57498 .42099 .58256 .43451 .57847 .42659 .57086 Metetra
1 1 1 r
.42659 .57086 .43451 .57847 .44809 .57436 .44021 .56671 Metetra
1 1 1 r
.44021 .56671 .44809 .57436 .46173 .57022 .45391 .56252 Metetra
1 1 1 r
.45391 .56252 .46173 .57022 .47545 .56606 .46767 .55833 Metetra
1 1 1 r
.46767 .55833 .47545 .56606 .48924 .56189 .4815 .55412 Metetra
1 1 1 r
.4815 .55412 .48924 .56189 .50309 .55769 .4954 .54987 Metetra
1 1 1 r
.4954 .54987 .50309 .55769 .51702 .55346 .50938 .54561 Metetra
1 1 1 r
.50938 .54561 .51702 .55346 .53102 .54923 .52342 .54135 Metetra
1 1 1 r
.52342 .54135 .53102 .54923 .54509 .54499 .53754 .53707 Metetra
1 1 1 r
.53754 .53707 .54509 .54499 .55923 .54085 .55173 .5329 Metetra
1 1 1 r
.55173 .5329 .55923 .54085 .57346 .53725 .566 .5294 Metetra
1 1 1 r
.566 .5294 .57346 .53725 .58779 .53533 .58039 .5279 Metetra
1 1 1 r
.58039 .5279 .58779 .53533 .60231 .53712 .59497 .53078 Metetra
1 1 1 r
.59497 .53078 .60231 .53712 .6171 .54418 .60985 .53996 Metetra
1 1 1 r
.60985 .53996 .6171 .54418 .63217 .55445 .62504 .55297 Metetra
1 1 1 r
.62504 .55297 .63217 .55445 .64731 .56091 .6403 .56147 Metetra
1 1 1 r
.6403 .56147 .64731 .56091 .66218 .55653 .65527 .55705 Metetra
1 1 1 r
.65527 .55705 .66218 .55653 .67664 .54126 .66975 .53968 Metetra
1 1 1 r
.66975 .53968 .67664 .54126 .69089 .5221 .68398 .51769 Metetra
1 1 1 r
.68398 .51769 .69089 .5221 .70525 .5061 .69833 .49947 Metetra
1 1 1 r
.69833 .49947 .70525 .5061 .71991 .49538 .713 .48756 Metetra
1 1 1 r
.713 .48756 .71991 .49538 .73482 .48837 .72794 .48006 Metetra
1 1 1 r
.72794 .48006 .73482 .48837 .74991 .48307 .74308 .47457 Metetra
1 1 1 r
.74308 .47457 .74991 .48307 .76511 .47832 .75834 .46975 Metetra
1 1 1 r
.75834 .46975 .76511 .47832 .7804 .47366 .77369 .46504 Metetra
1 1 1 r
.77369 .46504 .7804 .47366 .79577 .46899 .78912 .46031 Metetra
1 1 1 r
.78912 .46031 .79577 .46899 .81123 .46431 .80463 .45559 Metetra
1 1 1 r
.80463 .45559 .81123 .46431 .82677 .4596 .82024 .45085 Metetra
1 1 1 r
.82024 .45085 .82677 .4596 .84239 .45486 .83592 .44605 Metetra
1 1 1 r
.83592 .44605 .84239 .45486 .8581 .4501 .85169 .44124 Metetra
1 1 1 r
.85169 .44124 .8581 .4501 .8739 .44532 .86754 .43642 Metetra
1 1 1 r
.86754 .43642 .8739 .44532 .88978 .4405 .88348 .43155 Metetra
1 1 1 r
.88348 .43155 .88978 .4405 .90574 .43567 .89951 .42666 Metetra
1 1 1 r
.89951 .42666 .90574 .43567 .92179 .43081 .91563 .42176 Metetra
1 1 1 r
.91563 .42176 .92179 .43081 .93793 .42591 .93184 .41682 Metetra
1 1 1 r
.93184 .41682 .93793 .42591 .95416 .42099 .94813 .41184 Metetra
1 1 1 r
.36462 .57973 .37278 .58726 .38613 .5832 .37801 .57563 Metetra
1 1 1 r
.37801 .57563 .38613 .5832 .39955 .5791 .39148 .57149 Metetra
1 1 1 r
.39148 .57149 .39955 .5791 .41304 .57498 .40501 .56733 Metetra
1 1 1 r
.40501 .56733 .41304 .57498 .42659 .57086 .4186 .56318 Metetra
1 1 1 r
.4186 .56318 .42659 .57086 .44021 .56671 .43227 .55898 Metetra
1 1 1 r
.43227 .55898 .44021 .56671 .45391 .56252 .44601 .55475 Metetra
1 1 1 r
.44601 .55475 .45391 .56252 .46767 .55833 .45981 .55053 Metetra
1 1 1 r
.45981 .55053 .46767 .55833 .4815 .55412 .47369 .54629 Metetra
1 1 1 r
.47369 .54629 .4815 .55412 .4954 .54987 .48764 .54198 Metetra
1 1 1 r
.48764 .54198 .4954 .54987 .50938 .54561 .50166 .53768 Metetra
1 1 1 r
.50166 .53768 .50938 .54561 .52342 .54135 .51575 .53339 Metetra
1 1 1 r
.51575 .53339 .52342 .54135 .53754 .53707 .52991 .52907 Metetra
1 1 1 r
.52991 .52907 .53754 .53707 .55173 .5329 .54415 .52489 Metetra
1 1 1 r
.54415 .52489 .55173 .5329 .566 .5294 .55847 .52151 Metetra
1 1 1 r
.55847 .52151 .566 .5294 .58039 .5279 .57291 .52045 Metetra
1 1 1 r
.57291 .52045 .58039 .5279 .59497 .53078 .58755 .52455 Metetra
1 1 1 r
.58755 .52455 .59497 .53078 .60985 .53996 .60252 .53609 Metetra
1 1 1 r
.60252 .53609 .60985 .53996 .62504 .55297 .61782 .55217 Metetra
1 1 1 r
.61782 .55217 .62504 .55297 .6403 .56147 .63322 .56294 Metetra
1 1 1 r
.63322 .56294 .6403 .56147 .65527 .55705 .64829 .55849 Metetra
1 1 1 r
.64829 .55849 .65527 .55705 .66975 .53968 .6628 .53878 Metetra
1 1 1 r
.6628 .53878 .66975 .53968 .68398 .51769 .67702 .51363 Metetra
1 1 1 r
.67702 .51363 .68398 .51769 .69833 .49947 .69135 .49295 Metetra
1 1 1 r
.69135 .49295 .69833 .49947 .713 .48756 .70602 .47973 Metetra
1 1 1 r
.70602 .47973 .713 .48756 .72794 .48006 .721 .47168 Metetra
1 1 1 r
.721 .47168 .72794 .48006 .74308 .47457 .73619 .46598 Metetra
1 1 1 r
.73619 .46598 .74308 .47457 .75834 .46975 .7515 .46109 Metetra
1 1 1 r
.7515 .46109 .75834 .46975 .77369 .46504 .76691 .45635 Metetra
1 1 1 r
.76691 .45635 .77369 .46504 .78912 .46031 .7824 .45156 Metetra
1 1 1 r
.7824 .45156 .78912 .46031 .80463 .45559 .79797 .44678 Metetra
1 1 1 r
.79797 .44678 .80463 .45559 .82024 .45085 .81363 .44201 Metetra
1 1 1 r
.81363 .44201 .82024 .45085 .83592 .44605 .82938 .43716 Metetra
1 1 1 r
.82938 .43716 .83592 .44605 .85169 .44124 .84521 .43229 Metetra
1 1 1 r
.84521 .43229 .85169 .44124 .86754 .43642 .86113 .42743 Metetra
1 1 1 r
.86113 .42743 .86754 .43642 .88348 .43155 .87713 .42252 Metetra
1 1 1 r
.87713 .42252 .88348 .43155 .89951 .42666 .89322 .41756 Metetra
1 1 1 r
.89322 .41756 .89951 .42666 .91563 .42176 .9094 .4126 Metetra
1 1 1 r
.9094 .4126 .91563 .42176 .93184 .41682 .92568 .40763 Metetra
1 1 1 r
.92568 .40763 .93184 .41682 .94813 .41184 .94204 .4026 Metetra
1 1 1 r
.35639 .57215 .36462 .57973 .37801 .57563 .36982 .56799 Metetra
1 1 1 r
.36982 .56799 .37801 .57563 .39148 .57149 .38333 .56379 Metetra
1 1 1 r
.38333 .56379 .39148 .57149 .40501 .56733 .3969 .55963 Metetra
1 1 1 r
.3969 .55963 .40501 .56733 .4186 .56318 .41054 .55544 Metetra
1 1 1 r
.41054 .55544 .4186 .56318 .43227 .55898 .42425 .55117 Metetra
1 1 1 r
.42425 .55117 .43227 .55898 .44601 .55475 .43803 .54691 Metetra
1 1 1 r
.43803 .54691 .44601 .55475 .45981 .55053 .45188 .54267 Metetra
1 1 1 r
.45188 .54267 .45981 .55053 .47369 .54629 .4658 .53837 Metetra
1 1 1 r
.4658 .53837 .47369 .54629 .48764 .54198 .4798 .53401 Metetra
1 1 1 r
.4798 .53401 .48764 .54198 .50166 .53768 .49386 .52969 Metetra
1 1 1 r
.49386 .52969 .50166 .53768 .51575 .53339 .508 .52537 Metetra
1 1 1 r
.508 .52537 .51575 .53339 .52991 .52907 .52221 .52098 Metetra
1 1 1 r
.52221 .52098 .52991 .52907 .54415 .52489 .5365 .51679 Metetra
1 1 1 r
.5365 .51679 .54415 .52489 .55847 .52151 .55087 .51356 Metetra
1 1 1 r
.55087 .51356 .55847 .52151 .57291 .52045 .56536 .51299 Metetra
1 1 1 r
.56536 .51299 .57291 .52045 .58755 .52455 .58006 .51841 Metetra
1 1 1 r
.58006 .51841 .58755 .52455 .60252 .53609 .5951 .53255 Metetra
1 1 1 r
.5951 .53255 .60252 .53609 .61782 .55217 .61053 .55202 Metetra
1 1 1 r
.61053 .55202 .61782 .55217 .63322 .56294 .62606 .56527 Metetra
1 1 1 r
.62606 .56527 .63322 .56294 .64829 .55849 .64122 .5608 Metetra
1 1 1 r
.64122 .5608 .64829 .55849 .6628 .53878 .65578 .53852 Metetra
1 1 1 r
.65578 .53852 .6628 .53878 .67702 .51363 .66998 .5099 Metetra
1 1 1 r
.66998 .5099 .67702 .51363 .69135 .49295 .68429 .48652 Metetra
1 1 1 r
.68429 .48652 .69135 .49295 .70602 .47973 .69897 .47187 Metetra
1 1 1 r
.69897 .47187 .70602 .47973 .721 .47168 .71399 .46325 Metetra
1 1 1 r
.71399 .46325 .721 .47168 .73619 .46598 .72922 .45731 Metetra
1 1 1 r
.72922 .45731 .73619 .46598 .7515 .46109 .74459 .45234 Metetra
1 1 1 r
.74459 .45234 .7515 .46109 .76691 .45635 .76006 .44757 Metetra
1 1 1 r
.76006 .44757 .76691 .45635 .7824 .45156 .77561 .44273 Metetra
1 1 1 r
.77561 .44273 .7824 .45156 .79797 .44678 .79124 .43787 Metetra
1 1 1 r
.79124 .43787 .79797 .44678 .81363 .44201 .80697 .43307 Metetra
1 1 1 r
.80697 .43307 .81363 .44201 .82938 .43716 .82277 .42819 Metetra
1 1 1 r
.82277 .42819 .82938 .43716 .84521 .43229 .83866 .42325 Metetra
1 1 1 r
.83866 .42325 .84521 .43229 .86113 .42743 .85464 .41833 Metetra
1 1 1 r
.85464 .41833 .86113 .42743 .87713 .42252 .87071 .4134 Metetra
1 1 1 r
.87071 .4134 .87713 .42252 .89322 .41756 .88687 .40839 Metetra
1 1 1 r
.88687 .40839 .89322 .41756 .9094 .4126 .90311 .40335 Metetra
1 1 1 r
.90311 .40335 .9094 .4126 .92568 .40763 .91945 .39834 Metetra
1 1 1 r
.91945 .39834 .92568 .40763 .94204 .4026 .93588 .39328 Metetra
1 1 1 r
.34808 .56448 .35639 .57215 .36982 .56799 .36156 .56025 Metetra
1 1 1 r
.36156 .56025 .36982 .56799 .38333 .56379 .3751 .55604 Metetra
1 1 1 r
.3751 .55604 .38333 .56379 .3969 .55963 .38871 .55186 Metetra
1 1 1 r
.38871 .55186 .3969 .55963 .41054 .55544 .4024 .5476 Metetra
1 1 1 r
.4024 .5476 .41054 .55544 .42425 .55117 .41616 .54328 Metetra
1 1 1 r
.41616 .54328 .42425 .55117 .43803 .54691 .42998 .53901 Metetra
1 1 1 r
.42998 .53901 .43803 .54691 .45188 .54267 .44387 .53475 Metetra
1 1 1 r
.44387 .53475 .45188 .54267 .4658 .53837 .45784 .53036 Metetra
1 1 1 r
.45784 .53036 .4658 .53837 .4798 .53401 .47188 .52595 Metetra
1 1 1 r
.47188 .52595 .4798 .53401 .49386 .52969 .486 .52164 Metetra
1 1 1 r
.486 .52164 .49386 .52969 .508 .52537 .50018 .51727 Metetra
1 1 1 r
.50018 .51727 .508 .52537 .52221 .52098 .51444 .5128 Metetra
1 1 1 r
.51444 .5128 .52221 .52098 .5365 .51679 .52878 .50863 Metetra
1 1 1 r
.52878 .50863 .5365 .51679 .55087 .51356 .5432 .50556 Metetra
1 1 1 r
.5432 .50556 .55087 .51356 .56536 .51299 .55773 .50549 Metetra
1 1 1 r
.55773 .50549 .56536 .51299 .58006 .51841 .57248 .51234 Metetra
1 1 1 r
.57248 .51234 .58006 .51841 .5951 .53255 .5876 .52931 Metetra
1 1 1 r
.5876 .52931 .5951 .53255 .61053 .55202 .60313 .55243 Metetra
1 1 1 r
.60313 .55243 .61053 .55202 .62606 .56527 .6188 .56838 Metetra
1 1 1 r
.6188 .56838 .62606 .56527 .64122 .5608 .63407 .56388 Metetra
1 1 1 r
.63407 .56388 .64122 .5608 .65578 .53852 .64867 .53884 Metetra
1 1 1 r
.64867 .53884 .65578 .53852 .66998 .5099 .66286 .50647 Metetra
1 1 1 r
.66286 .50647 .66998 .5099 .68429 .48652 .67716 .48016 Metetra
1 1 1 r
.67716 .48016 .68429 .48652 .69897 .47187 .69186 .46399 Metetra
1 1 1 r
.69186 .46399 .69897 .47187 .71399 .46325 .70691 .45476 Metetra
1 1 1 r
.70691 .45476 .71399 .46325 .72922 .45731 .72219 .44856 Metetra
1 1 1 r
.72219 .44856 .72922 .45731 .74459 .45234 .73762 .44348 Metetra
1 1 1 r
.73762 .44348 .74459 .45234 .76006 .44757 .75315 .43871 Metetra
1 1 1 r
.75315 .43871 .76006 .44757 .77561 .44273 .76875 .43382 Metetra
1 1 1 r
.76875 .43382 .77561 .44273 .79124 .43787 .78444 .42887 Metetra
1 1 1 r
.78444 .42887 .79124 .43787 .80697 .43307 .80023 .42402 Metetra
1 1 1 r
.80023 .42402 .80697 .43307 .82277 .42819 .8161 .41914 Metetra
1 1 1 r
.8161 .41914 .82277 .42819 .83866 .42325 .83205 .41413 Metetra
1 1 1 r
.83205 .41413 .83866 .42325 .85464 .41833 .84809 .40912 Metetra
1 1 1 r
.84809 .40912 .85464 .41833 .87071 .4134 .86423 .40417 Metetra
1 1 1 r
.86423 .40417 .87071 .4134 .88687 .40839 .88045 .39914 Metetra
1 1 1 r
.88045 .39914 .88687 .40839 .90311 .40335 .89676 .39402 Metetra
1 1 1 r
.89676 .39402 .90311 .40335 .91945 .39834 .91316 .38893 Metetra
1 1 1 r
.91316 .38893 .91945 .39834 .93588 .39328 .92966 .38385 Metetra
1 1 1 r
.33969 .55671 .34808 .56448 .36156 .56025 .35321 .55244 Metetra
1 1 1 r
.35321 .55244 .36156 .56025 .3751 .55604 .3668 .54824 Metetra
1 1 1 r
.3668 .54824 .3751 .55604 .38871 .55186 .38045 .54403 Metetra
1 1 1 r
.38045 .54403 .38871 .55186 .4024 .5476 .39418 .53967 Metetra
1 1 1 r
.39418 .53967 .4024 .5476 .41616 .54328 .40798 .53531 Metetra
1 1 1 r
.40798 .53531 .41616 .54328 .42998 .53901 .42185 .53106 Metetra
1 1 1 r
.42185 .53106 .42998 .53901 .44387 .53475 .43579 .52674 Metetra
1 1 1 r
.43579 .52674 .44387 .53475 .45784 .53036 .44981 .52225 Metetra
1 1 1 r
.44981 .52225 .45784 .53036 .47188 .52595 .46389 .51783 Metetra
1 1 1 r
.46389 .51783 .47188 .52595 .486 .52164 .47805 .51353 Metetra
1 1 1 r
.47805 .51353 .486 .52164 .50018 .51727 .49229 .50908 Metetra
1 1 1 r
.49229 .50908 .50018 .51727 .51444 .5128 .5066 .50452 Metetra
1 1 1 r
.5066 .50452 .51444 .5128 .52878 .50863 .52098 .5004 Metetra
1 1 1 r
.52098 .5004 .52878 .50863 .5432 .50556 .53544 .49751 Metetra
1 1 1 r
.53544 .49751 .5432 .50556 .55773 .50549 .55003 .49795 Metetra
1 1 1 r
.55003 .49795 .55773 .50549 .57248 .51234 .56482 .5063 Metetra
1 1 1 r
.56482 .5063 .57248 .51234 .5876 .52931 .58001 .5263 Metetra
1 1 1 r
.58001 .5263 .5876 .52931 .60313 .55243 .59564 .55334 Metetra
1 1 1 r
.59564 .55334 .60313 .55243 .6188 .56838 .61143 .57214 Metetra
1 1 1 r
.61143 .57214 .6188 .56838 .63407 .56388 .62681 .56761 Metetra
1 1 1 r
.62681 .56761 .63407 .56388 .64867 .53884 .64147 .53964 Metetra
1 1 1 r
.64147 .53964 .64867 .53884 .66286 .50647 .65567 .50327 Metetra
1 1 1 r
.65567 .50327 .66286 .50647 .67716 .48016 .66996 .47382 Metetra
1 1 1 r
.66996 .47382 .67716 .48016 .69186 .46399 .68467 .45604 Metetra
1 1 1 r
.68467 .45604 .69186 .46399 .70691 .45476 .69976 .44621 Metetra
1 1 1 r
.69976 .44621 .70691 .45476 .72219 .44856 .71509 .43974 Metetra
1 1 1 r
.71509 .43974 .72219 .44856 .73762 .44348 .73057 .43452 Metetra
1 1 1 r
.73057 .43452 .73762 .44348 .75315 .43871 .74616 .42974 Metetra
1 1 1 r
.74616 .42974 .75315 .43871 .76875 .43382 .76183 .42485 Metetra
1 1 1 r
.76183 .42485 .76875 .43382 .78444 .42887 .77758 .41979 Metetra
1 1 1 r
.77758 .41979 .78444 .42887 .80023 .42402 .79342 .41486 Metetra
1 1 1 r
.79342 .41486 .80023 .42402 .8161 .41914 .80936 .40999 Metetra
1 1 1 r
.80936 .40999 .8161 .41914 .83205 .41413 .82537 .40495 Metetra
1 1 1 r
.82537 .40495 .83205 .41413 .84809 .40912 .84147 .39982 Metetra
1 1 1 r
.84147 .39982 .84809 .40912 .86423 .40417 .85767 .39481 Metetra
1 1 1 r
.85767 .39481 .86423 .40417 .88045 .39914 .87397 .38979 Metetra
1 1 1 r
.87397 .38979 .88045 .39914 .89676 .39402 .89034 .38462 Metetra
1 1 1 r
.89034 .38462 .89676 .39402 .91316 .38893 .90681 .37941 Metetra
1 1 1 r
.90681 .37941 .91316 .38893 .92966 .38385 .92338 .37429 Metetra
1 1 1 r
.33123 .54883 .33969 .55671 .35321 .55244 .34479 .54459 Metetra
1 1 1 r
.34479 .54459 .35321 .55244 .3668 .54824 .35841 .54041 Metetra
1 1 1 r
.35841 .54041 .3668 .54824 .38045 .54403 .37212 .53608 Metetra
1 1 1 r
.37212 .53608 .38045 .54403 .39418 .53967 .38589 .53162 Metetra
1 1 1 r
.38589 .53162 .39418 .53967 .40798 .53531 .39973 .5273 Metetra
1 1 1 r
.39973 .5273 .40798 .53531 .42185 .53106 .41364 .52306 Metetra
1 1 1 r
.41364 .52306 .42185 .53106 .43579 .52674 .42763 .51862 Metetra
1 1 1 r
.42763 .51862 .43579 .52674 .44981 .52225 .4417 .51404 Metetra
1 1 1 r
.4417 .51404 .44981 .52225 .46389 .51783 .45583 .50967 Metetra
1 1 1 r
.45583 .50967 .46389 .51783 .47805 .51353 .47003 .50537 Metetra
1 1 1 r
.47003 .50537 .47805 .51353 .49229 .50908 .48432 .50078 Metetra
1 1 1 r
.48432 .50078 .49229 .50908 .5066 .50452 .49867 .49614 Metetra
1 1 1 r
.49867 .49614 .5066 .50452 .52098 .5004 .5131 .49212 Metetra
1 1 1 r
.5131 .49212 .52098 .5004 .53544 .49751 .52761 .48941 Metetra
1 1 1 r
.52761 .48941 .53544 .49751 .55003 .49795 .54224 .49033 Metetra
1 1 1 r
.54224 .49033 .55003 .49795 .56482 .5063 .55708 .50026 Metetra
1 1 1 r
.55708 .50026 .56482 .5063 .58001 .5263 .57231 .52347 Metetra
1 1 1 r
.57231 .52347 .58001 .5263 .59564 .55334 .58803 .55459 Metetra
1 1 1 r
.58803 .55459 .59564 .55334 .61143 .57214 .60394 .57637 Metetra
1 1 1 r
.60394 .57637 .61143 .57214 .62681 .56761 .61944 .57181 Metetra
1 1 1 r
.61944 .57181 .62681 .56761 .64147 .53964 .63417 .5408 Metetra
1 1 1 r
.63417 .5408 .64147 .53964 .65567 .50327 .64838 .50024 Metetra
1 1 1 r
.64838 .50024 .65567 .50327 .66996 .47382 .66267 .46748 Metetra
1 1 1 r
.66267 .46748 .66996 .47382 .68467 .45604 .6774 .44802 Metetra
1 1 1 r
.6774 .44802 .68467 .45604 .69976 .44621 .69254 .43761 Metetra
1 1 1 r
.69254 .43761 .69976 .44621 .71509 .43974 .70792 .43086 Metetra
1 1 1 r
.70792 .43086 .71509 .43974 .73057 .43452 .72345 .42544 Metetra
1 1 1 r
.72345 .42544 .73057 .43452 .74616 .42974 .7391 .42065 Metetra
1 1 1 r
.7391 .42065 .74616 .42974 .76183 .42485 .75484 .4158 Metetra
1 1 1 r
.75484 .4158 .76183 .42485 .77758 .41979 .77064 .41065 Metetra
1 1 1 r
.77064 .41065 .77758 .41979 .79342 .41486 .78654 .40558 Metetra
1 1 1 r
.78654 .40558 .79342 .41486 .80936 .40999 .80255 .40071 Metetra
1 1 1 r
.80255 .40071 .80936 .40999 .82537 .40495 .81863 .3957 Metetra
1 1 1 r
.81863 .3957 .82537 .40495 .84147 .39982 .83479 .39047 Metetra
1 1 1 r
.83479 .39047 .84147 .39982 .85767 .39481 .85105 .38532 Metetra
1 1 1 r
.85105 .38532 .85767 .39481 .87397 .38979 .86742 .38031 Metetra
1 1 1 r
.86742 .38031 .87397 .38979 .89034 .38462 .88386 .37516 Metetra
1 1 1 r
.88386 .37516 .89034 .38462 .90681 .37941 .90039 .36984 Metetra
1 1 1 r
.90039 .36984 .90681 .37941 .92338 .37429 .91702 .36459 Metetra
1 1 1 r
.32268 .5409 .33123 .54883 .34479 .54459 .33628 .53674 Metetra
1 1 1 r
.33628 .53674 .34479 .54459 .35841 .54041 .34995 .53249 Metetra
1 1 1 r
.34995 .53249 .35841 .54041 .37212 .53608 .3637 .52798 Metetra
1 1 1 r
.3637 .52798 .37212 .53608 .38589 .53162 .37752 .52351 Metetra
1 1 1 r
.37752 .52351 .38589 .53162 .39973 .5273 .3914 .51929 Metetra
1 1 1 r
.3914 .51929 .39973 .5273 .41364 .52306 .40536 .51499 Metetra
1 1 1 r
.40536 .51499 .41364 .52306 .42763 .51862 .4194 .51035 Metetra
1 1 1 r
.4194 .51035 .42763 .51862 .4417 .51404 .43351 .50575 Metetra
1 1 1 r
.43351 .50575 .4417 .51404 .45583 .50967 .44768 .50148 Metetra
1 1 1 r
.44768 .50148 .45583 .50967 .47003 .50537 .46193 .49713 Metetra
1 1 1 r
.46193 .49713 .47003 .50537 .48432 .50078 .47627 .49235 Metetra
1 1 1 r
.47627 .49235 .48432 .50078 .49867 .49614 .49067 .48767 Metetra
1 1 1 r
.49067 .48767 .49867 .49614 .5131 .49212 .50515 .4838 Metetra
1 1 1 r
.50515 .4838 .5131 .49212 .52761 .48941 .51971 .48125 Metetra
1 1 1 r
.51971 .48125 .52761 .48941 .54224 .49033 .53437 .48261 Metetra
1 1 1 r
.53437 .48261 .54224 .49033 .55708 .50026 .54925 .49417 Metetra
1 1 1 r
.54925 .49417 .55708 .50026 .57231 .52347 .56452 .52072 Metetra
1 1 1 r
.56452 .52072 .57231 .52347 .58803 .55459 .5803 .55605 Metetra
1 1 1 r
.5803 .55605 .58803 .55459 .60394 .57637 .59632 .58083 Metetra
1 1 1 r
.59632 .58083 .60394 .57637 .61944 .57181 .61194 .57624 Metetra
1 1 1 r
.61194 .57624 .61944 .57181 .63417 .5408 .62675 .54216 Metetra
1 1 1 r
.62675 .54216 .63417 .5408 .64838 .50024 .641 .49729 Metetra
1 1 1 r
.641 .49729 .64838 .50024 .66267 .46748 .6553 .46108 Metetra
1 1 1 r
.6553 .46108 .66267 .46748 .6774 .44802 .67006 .43987 Metetra
1 1 1 r
.67006 .43987 .6774 .44802 .69254 .43761 .68525 .42893 Metetra
1 1 1 r
.68525 .42893 .69254 .43761 .70792 .43086 .70068 .42194 Metetra
1 1 1 r
.70068 .42194 .70792 .43086 .72345 .42544 .71626 .41627 Metetra
1 1 1 r
.71626 .41627 .72345 .42544 .7391 .42065 .73197 .41142 Metetra
1 1 1 r
.73197 .41142 .7391 .42065 .75484 .4158 .74777 .40667 Metetra
1 1 1 r
.74777 .40667 .75484 .4158 .77064 .41065 .76364 .40148 Metetra
1 1 1 r
.76364 .40148 .77064 .41065 .78654 .40558 .77959 .3962 Metetra
1 1 1 r
.77959 .3962 .78654 .40558 .80255 .40071 .79566 .39126 Metetra
1 1 1 r
.79566 .39126 .80255 .40071 .81863 .3957 .81182 .38635 Metetra
1 1 1 r
.81182 .38635 .81863 .3957 .83479 .39047 .82805 .38109 Metetra
1 1 1 r
.82805 .38109 .83479 .39047 .85105 .38532 .84436 .37575 Metetra
1 1 1 r
.84436 .37575 .85105 .38532 .86742 .38031 .86078 .37065 Metetra
1 1 1 r
.86078 .37065 .86742 .38031 .88386 .37516 .87731 .36559 Metetra
1 1 1 r
.87731 .36559 .88386 .37516 .90039 .36984 .89391 .36025 Metetra
1 1 1 r
.89391 .36025 .90039 .36984 .91702 .36459 .91059 .35481 Metetra
1 1 1 r
.31405 .53301 .32268 .5409 .33628 .53674 .32769 .52886 Metetra
1 1 1 r
.32769 .52886 .33628 .53674 .34995 .53249 .34141 .52438 Metetra
1 1 1 r
.34141 .52438 .34995 .53249 .3637 .52798 .35521 .51975 Metetra
1 1 1 r
.35521 .51975 .3637 .52798 .37752 .52351 .36907 .51542 Metetra
1 1 1 r
.36907 .51542 .37752 .52351 .3914 .51929 .38299 .51126 Metetra
1 1 1 r
.38299 .51126 .3914 .51929 .40536 .51499 .39699 .50675 Metetra
1 1 1 r
.39699 .50675 .40536 .51499 .4194 .51035 .41108 .50194 Metetra
1 1 1 r
.41108 .50194 .4194 .51035 .43351 .50575 .42524 .49744 Metetra
1 1 1 r
.42524 .49744 .43351 .50575 .44768 .50148 .43945 .49329 Metetra
1 1 1 r
.43945 .49329 .44768 .50148 .46193 .49713 .45376 .48878 Metetra
1 1 1 r
.45376 .48878 .46193 .49713 .47627 .49235 .46814 .48375 Metetra
1 1 1 r
.46814 .48375 .47627 .49235 .49067 .48767 .4826 .47914 Metetra
1 1 1 r
.4826 .47914 .49067 .48767 .50515 .4838 .49712 .47548 Metetra
1 1 1 r
.49712 .47548 .50515 .4838 .51971 .48125 .51172 .473 Metetra
1 1 1 r
.51172 .473 .51971 .48125 .53437 .48261 .52642 .47473 Metetra
1 1 1 r
.52642 .47473 .53437 .48261 .54925 .49417 .54132 .48797 Metetra
1 1 1 r
.54132 .48797 .54925 .49417 .56452 .52072 .55662 .51796 Metetra
1 1 1 r
.55662 .51796 .56452 .52072 .5803 .55605 .57245 .55751 Metetra
1 1 1 r
.57245 .55751 .5803 .55605 .59632 .58083 .58856 .58524 Metetra
1 1 1 r
.58856 .58524 .59632 .58083 .61194 .57624 .6043 .58063 Metetra
1 1 1 r
.6043 .58063 .61194 .57624 .62675 .54216 .61921 .54351 Metetra
1 1 1 r
.61921 .54351 .62675 .54216 .641 .49729 .63352 .49433 Metetra
1 1 1 r
.63352 .49433 .641 .49729 .6553 .46108 .64784 .45457 Metetra
1 1 1 r
.64784 .45457 .6553 .46108 .67006 .43987 .66263 .43157 Metetra
1 1 1 r
.66263 .43157 .67006 .43987 .68525 .42893 .67788 .42016 Metetra
1 1 1 r
.67788 .42016 .68525 .42893 .70068 .42194 .69337 .413 Metetra
1 1 1 r
.69337 .413 .70068 .42194 .71626 .41627 .70899 .40701 Metetra
1 1 1 r
.70899 .40701 .71626 .41627 .73197 .41142 .72475 .40201 Metetra
1 1 1 r
.72475 .40201 .73197 .41142 .74777 .40667 .74064 .39741 Metetra
1 1 1 r
.74064 .39741 .74777 .40667 .76364 .40148 .75657 .39229 Metetra
1 1 1 r
.75657 .39229 .76364 .40148 .77959 .3962 .77257 .38679 Metetra
1 1 1 r
.77257 .38679 .77959 .3962 .79566 .39126 .78869 .38164 Metetra
1 1 1 r
.78869 .38164 .79566 .39126 .81182 .38635 .80493 .37683 Metetra
1 1 1 r
.80493 .37683 .81182 .38635 .82805 .38109 .82124 .37169 Metetra
1 1 1 r
.82124 .37169 .82805 .38109 .84436 .37575 .8376 .36617 Metetra
1 1 1 r
.8376 .36617 .84436 .37575 .86078 .37065 .85408 .36083 Metetra
1 1 1 r
.85408 .36083 .86078 .37065 .87731 .36559 .87068 .3558 Metetra
1 1 1 r
.87068 .3558 .87731 .36559 .89391 .36025 .88737 .3506 Metetra
1 1 1 r
.88737 .3506 .89391 .36025 .91059 .35481 .90412 .34505 Metetra
1 1 1 r
.30533 .52518 .31405 .53301 .32769 .52886 .31902 .5208 Metetra
1 1 1 r
.31902 .5208 .32769 .52886 .34141 .52438 .3328 .51604 Metetra
1 1 1 r
.3328 .51604 .34141 .52438 .35521 .51975 .34664 .5115 Metetra
1 1 1 r
.34664 .5115 .35521 .51975 .36907 .51542 .36052 .5074 Metetra
1 1 1 r
.36052 .5074 .36907 .51542 .38299 .51126 .37449 .50314 Metetra
1 1 1 r
.37449 .50314 .38299 .51126 .39699 .50675 .38856 .49829 Metetra
1 1 1 r
.38856 .49829 .39699 .50675 .41108 .50194 .40269 .49342 Metetra
1 1 1 r
.40269 .49342 .41108 .50194 .42524 .49744 .41688 .48917 Metetra
1 1 1 r
.41688 .48917 .42524 .49744 .43945 .49329 .43114 .48508 Metetra
1 1 1 r
.43114 .48508 .43945 .49329 .45376 .48878 .4455 .48023 Metetra
1 1 1 r
.4455 .48023 .45376 .48878 .46814 .48375 .45994 .475 Metetra
1 1 1 r
.45994 .475 .46814 .48375 .4826 .47914 .47444 .47059 Metetra
1 1 1 r
.47444 .47059 .4826 .47914 .49712 .47548 .489 .46717 Metetra
1 1 1 r
.489 .46717 .49712 .47548 .51172 .473 .50365 .46463 Metetra
1 1 1 r
.50365 .46463 .51172 .473 .52642 .47473 .51839 .46664 Metetra
1 1 1 r
.51839 .46664 .52642 .47473 .54132 .48797 .53331 .48163 Metetra
1 1 1 r
.53331 .48163 .54132 .48797 .55662 .51796 .54861 .5151 Metetra
1 1 1 r
.54861 .5151 .55662 .51796 .57245 .55751 .56447 .55875 Metetra
1 1 1 r
.56447 .55875 .57245 .55751 .58856 .58524 .58065 .5893 Metetra
1 1 1 r
.58065 .5893 .58856 .58524 .6043 .58063 .59651 .58465 Metetra
1 1 1 r
.59651 .58465 .6043 .58063 .61921 .54351 .61154 .54465 Metetra
1 1 1 r
.61154 .54465 .61921 .54351 .63352 .49433 .62593 .49126 Metetra
1 1 1 r
.62593 .49126 .63352 .49433 .64784 .45457 .6403 .44791 Metetra
1 1 1 r
.6403 .44791 .64784 .45457 .66263 .43157 .65512 .42306 Metetra
1 1 1 r
.65512 .42306 .66263 .43157 .67788 .42016 .67043 .41126 Metetra
1 1 1 r
.67043 .41126 .67788 .42016 .69337 .413 .68598 .40406 Metetra
1 1 1 r
.68598 .40406 .69337 .413 .70899 .40701 .70166 .39774 Metetra
1 1 1 r
.70166 .39774 .70899 .40701 .72475 .40201 .71746 .39242 Metetra
1 1 1 r
.71746 .39242 .72475 .40201 .74064 .39741 .73342 .38794 Metetra
1 1 1 r
.73342 .38794 .74064 .39741 .75657 .39229 .74944 .38306 Metetra
1 1 1 r
.74944 .38306 .75657 .39229 .77257 .38679 .76549 .37741 Metetra
1 1 1 r
.76549 .37741 .77257 .38679 .78869 .38164 .78165 .37191 Metetra
1 1 1 r
.78165 .37191 .78869 .38164 .80493 .37683 .79795 .36705 Metetra
1 1 1 r
.79795 .36705 .80493 .37683 .82124 .37169 .81435 .36216 Metetra
1 1 1 r
.81435 .36216 .82124 .37169 .8376 .36617 .83079 .35665 Metetra
1 1 1 r
.83079 .35665 .8376 .36617 .85408 .36083 .84731 .35097 Metetra
1 1 1 r
.84731 .35097 .85408 .36083 .87068 .3558 .86397 .34575 Metetra
1 1 1 r
.86397 .34575 .87068 .3558 .88737 .3506 .88075 .34074 Metetra
1 1 1 r
.88075 .34074 .88737 .3506 .90412 .34505 .89759 .33534 Metetra
1 1 1 r
.29652 .51721 .30533 .52518 .31902 .5208 .31028 .5124 Metetra
1 1 1 r
.31028 .5124 .31902 .5208 .3328 .51604 .32411 .5076 Metetra
1 1 1 r
.32411 .5076 .3328 .51604 .34664 .5115 .33797 .50341 Metetra
1 1 1 r
.33797 .50341 .34664 .5115 .36052 .5074 .35189 .49941 Metetra
1 1 1 r
.35189 .49941 .36052 .5074 .37449 .50314 .36592 .49476 Metetra
1 1 1 r
.36592 .49476 .37449 .50314 .38856 .49829 .38004 .48959 Metetra
1 1 1 r
.38004 .48959 .38856 .49829 .40269 .49342 .39422 .48493 Metetra
1 1 1 r
.39422 .48493 .40269 .49342 .41688 .48917 .40844 .48101 Metetra
1 1 1 r
.40844 .48101 .41688 .48917 .43114 .48508 .42275 .47675 Metetra
1 1 1 r
.42275 .47675 .43114 .48508 .4455 .48023 .43717 .47143 Metetra
1 1 1 r
.43717 .47143 .4455 .48023 .45994 .475 .45166 .46612 Metetra
1 1 1 r
.45166 .46612 .45994 .475 .47444 .47059 .4662 .46209 Metetra
1 1 1 r
.4662 .46209 .47444 .47059 .489 .46717 .48081 .45886 Metetra
1 1 1 r
.48081 .45886 .489 .46717 .50365 .46463 .49551 .45608 Metetra
1 1 1 r
.49551 .45608 .50365 .46463 .51839 .46664 .51028 .45831 Metetra
1 1 1 r
.51028 .45831 .51839 .46664 .53331 .48163 .5252 .4751 Metetra
1 1 1 r
.5252 .4751 .53331 .48163 .54861 .5151 .54049 .51202 Metetra
1 1 1 r
.54049 .51202 .54861 .5151 .56447 .55875 .55635 .55954 Metetra
1 1 1 r
.55635 .55954 .56447 .55875 .58065 .5893 .57259 .59263 Metetra
1 1 1 r
.57259 .59263 .58065 .5893 .59651 .58465 .58856 .58795 Metetra
1 1 1 r
.58856 .58795 .59651 .58465 .61154 .54465 .60374 .54534 Metetra
1 1 1 r
.60374 .54534 .61154 .54465 .62593 .49126 .61823 .48798 Metetra
1 1 1 r
.61823 .48798 .62593 .49126 .6403 .44791 .63266 .44106 Metetra
1 1 1 r
.63266 .44106 .6403 .44791 .65512 .42306 .64753 .41429 Metetra
1 1 1 r
.64753 .41429 .65512 .42306 .67043 .41126 .6629 .40217 Metetra
1 1 1 r
.6629 .40217 .67043 .41126 .68598 .40406 .67853 .39512 Metetra
1 1 1 r
.67853 .39512 .68598 .40406 .70166 .39774 .69425 .38851 Metetra
1 1 1 r
.69425 .38851 .70166 .39774 .71746 .39242 .7101 .3827 Metetra
1 1 1 r
.7101 .3827 .71746 .39242 .73342 .38794 .72611 .3782 Metetra
1 1 1 r
.72611 .3782 .73342 .38794 .74944 .38306 .74222 .3737 Metetra
1 1 1 r
.74222 .3737 .74944 .38306 .76549 .37741 .75835 .36812 Metetra
1 1 1 r
.75835 .36812 .76549 .37741 .78165 .37191 .77455 .36218 Metetra
1 1 1 r
.77455 .36218 .78165 .37191 .79795 .36705 .79089 .35701 Metetra
1 1 1 r
.79089 .35701 .79795 .36705 .81435 .36216 .80738 .35234 Metetra
1 1 1 r
.80738 .35234 .81435 .36216 .83079 .35665 .82392 .34714 Metetra
1 1 1 r
.82392 .34714 .83079 .35665 .84731 .35097 .84049 .34126 Metetra
1 1 1 r
.84049 .34126 .84731 .35097 .86397 .34575 .85718 .33557 Metetra
1 1 1 r
.85718 .33557 .86397 .34575 .88075 .34074 .87403 .3305 Metetra
1 1 1 r
.87403 .3305 .88075 .34074 .89759 .33534 .89099 .32544 Metetra
1 1 1 r
.28766 .5088 .29652 .51721 .31028 .5124 .30147 .50375 Metetra
1 1 1 r
.30147 .50375 .31028 .5124 .32411 .5076 .31531 .49934 Metetra
1 1 1 r
.31531 .49934 .32411 .5076 .33797 .50341 .32919 .49551 Metetra
1 1 1 r
.32919 .49551 .33797 .50341 .35189 .49941 .34317 .49122 Metetra
1 1 1 r
.34317 .49122 .35189 .49941 .36592 .49476 .35728 .48599 Metetra
1 1 1 r
.35728 .48599 .36592 .49476 .38004 .48959 .37145 .48078 Metetra
1 1 1 r
.37145 .48078 .38004 .48959 .39422 .48493 .38564 .47662 Metetra
1 1 1 r
.38564 .47662 .39422 .48493 .40844 .48101 .3999 .4729 Metetra
1 1 1 r
.3999 .4729 .40844 .48101 .42275 .47675 .41428 .46816 Metetra
1 1 1 r
.41428 .46816 .42275 .47675 .43717 .47143 .42876 .46234 Metetra
1 1 1 r
.42876 .46234 .43717 .47143 .45166 .46612 .44329 .45721 Metetra
1 1 1 r
.44329 .45721 .45166 .46612 .4662 .46209 .45787 .45373 Metetra
1 1 1 r
.45787 .45373 .4662 .46209 .48081 .45886 .47253 .45053 Metetra
1 1 1 r
.47253 .45053 .48081 .45886 .49551 .45608 .48728 .44726 Metetra
1 1 1 r
.48728 .44726 .49551 .45608 .51028 .45831 .50209 .44969 Metetra
1 1 1 r
.50209 .44969 .51028 .45831 .5252 .4751 .517 .46837 Metetra
1 1 1 r
.517 .46837 .5252 .4751 .54049 .51202 .53226 .50863 Metetra
1 1 1 r
.53226 .50863 .54049 .51202 .55635 .55954 .5481 .55962 Metetra
1 1 1 r
.5481 .55962 .55635 .55954 .57259 .59263 .56437 .59486 Metetra
1 1 1 r
.56437 .59486 .57259 .59263 .58856 .58795 .58046 .59015 Metetra
1 1 1 r
.58046 .59015 .58856 .58795 .60374 .54534 .59579 .54531 Metetra
1 1 1 r
.59579 .54531 .60374 .54534 .61823 .48798 .61042 .48438 Metetra
1 1 1 r
.61042 .48438 .61823 .48798 .63266 .44106 .62492 .434 Metetra
1 1 1 r
.62492 .434 .63266 .44106 .64753 .41429 .63984 .40522 Metetra
1 1 1 r
.63984 .40522 .64753 .41429 .6629 .40217 .65528 .39281 Metetra
1 1 1 r
.65528 .39281 .6629 .40217 .67853 .39512 .671 .38614 Metetra
1 1 1 r
.671 .38614 .67853 .39512 .69425 .38851 .68678 .3794 Metetra
1 1 1 r
.68678 .3794 .69425 .38851 .7101 .3827 .70266 .37293 Metetra
1 1 1 r
.70266 .37293 .7101 .3827 .72611 .3782 .71872 .36815 Metetra
1 1 1 r
.71872 .36815 .72611 .3782 .74222 .3737 .73492 .36407 Metetra
1 1 1 r
.73492 .36407 .74222 .3737 .75835 .36812 .75115 .35888 Metetra
1 1 1 r
.75115 .35888 .75835 .36812 .77455 .36218 .76739 .35263 Metetra
1 1 1 r
.76739 .35263 .77455 .36218 .79089 .35701 .78376 .34683 Metetra
1 1 1 r
.78376 .34683 .79089 .35701 .80738 .35234 .80031 .34211 Metetra
1 1 1 r
.80031 .34211 .80738 .35234 .82392 .34714 .81696 .3374 Metetra
1 1 1 r
.81696 .3374 .82392 .34714 .84049 .34126 .83363 .33172 Metetra
1 1 1 r
.83363 .33172 .84049 .34126 .85718 .33557 .85035 .32555 Metetra
1 1 1 r
.85035 .32555 .85718 .33557 .87403 .3305 .86722 .31997 Metetra
1 1 1 r
.86722 .31997 .87403 .3305 .89099 .32544 .88426 .31506 Metetra
1 1 1 r
.27874 .49993 .28766 .5088 .30147 .50375 .29257 .49525 Metetra
1 1 1 r
.29257 .49525 .30147 .50375 .31531 .49934 .30641 .49147 Metetra
1 1 1 r
.30641 .49147 .31531 .49934 .32919 .49551 .32033 .48757 Metetra
1 1 1 r
.32033 .48757 .32919 .49551 .34317 .49122 .3344 .48252 Metetra
1 1 1 r
.3344 .48252 .34317 .49122 .35728 .48599 .34857 .47688 Metetra
1 1 1 r
.34857 .47688 .35728 .48599 .37145 .48078 .36276 .47214 Metetra
1 1 1 r
.36276 .47214 .37145 .48078 .38564 .47662 .37697 .46859 Metetra
1 1 1 r
.37697 .46859 .38564 .47662 .3999 .4729 .39128 .46469 Metetra
1 1 1 r
.39128 .46469 .3999 .4729 .41428 .46816 .40574 .45915 Metetra
1 1 1 r
.40574 .45915 .41428 .46816 .42876 .46234 .42028 .45299 Metetra
1 1 1 r
.42028 .45299 .42876 .46234 .44329 .45721 .43484 .44841 Metetra
1 1 1 r
.43484 .44841 .44329 .45721 .45787 .45373 .44945 .44554 Metetra
1 1 1 r
.44945 .44554 .45787 .45373 .47253 .45053 .46416 .44207 Metetra
1 1 1 r
.46416 .44207 .47253 .45053 .48728 .44726 .47897 .43809 Metetra
1 1 1 r
.47897 .43809 .48728 .44726 .50209 .44969 .49381 .44076 Metetra
1 1 1 r
.49381 .44076 .50209 .44969 .517 .46837 .50871 .46144 Metetra
1 1 1 r
.50871 .46144 .517 .46837 .53226 .50863 .52392 .50483 Metetra
1 1 1 r
.52392 .50483 .53226 .50863 .5481 .55962 .53971 .55873 Metetra
1 1 1 r
.53971 .55873 .5481 .55962 .56437 .59486 .55599 .59561 Metetra
1 1 1 r
.55599 .59561 .56437 .59486 .58046 .59015 .57219 .59086 Metetra
1 1 1 r
.57219 .59086 .58046 .59015 .59579 .54531 .5877 .5443 Metetra
1 1 1 r
.5877 .5443 .59579 .54531 .61042 .48438 .60249 .48035 Metetra
1 1 1 r
.60249 .48035 .61042 .48438 .62492 .434 .61709 .42673 Metetra
1 1 1 r
.61709 .42673 .62492 .434 .63984 .40522 .63207 .39584 Metetra
1 1 1 r
.63207 .39584 .63984 .40522 .65528 .39281 .64757 .38308 Metetra
1 1 1 r
.64757 .38308 .65528 .39281 .671 .38614 .66338 .37704 Metetra
1 1 1 r
.66338 .37704 .671 .38614 .68678 .3794 .67925 .37046 Metetra
1 1 1 r
.67925 .37046 .68678 .3794 .70266 .37293 .69515 .36327 Metetra
1 1 1 r
.69515 .36327 .70266 .37293 .71872 .36815 .71124 .35782 Metetra
1 1 1 r
.71124 .35782 .71872 .36815 .73492 .36407 .72752 .35398 Metetra
1 1 1 r
.72752 .35398 .73492 .36407 .75115 .35888 .74386 .34951 Metetra
1 1 1 r
.74386 .34951 .75115 .35888 .76739 .35263 .76018 .34334 Metetra
1 1 1 r
.76018 .34334 .76739 .35263 .78376 .34683 .77657 .33681 Metetra
1 1 1 r
.77657 .33681 .78376 .34683 .80031 .34211 .79314 .33151 Metetra
1 1 1 r
.79314 .33151 .80031 .34211 .81696 .3374 .80989 .32712 Metetra
1 1 1 r
.80989 .32712 .81696 .3374 .83363 .33172 .8267 .32212 Metetra
1 1 1 r
.8267 .32212 .83363 .33172 .85035 .32555 .84349 .31592 Metetra
1 1 1 r
.84349 .31592 .85035 .32555 .86722 .31997 .86036 .30958 Metetra
1 1 1 r
.86036 .30958 .86722 .31997 .88426 .31506 .87743 .30418 Metetra
1 1 1 r
.26972 .49116 .27874 .49993 .29257 .49525 .28352 .48735 Metetra
1 1 1 r
.28352 .48735 .29257 .49525 .30641 .49147 .29739 .48379 Metetra
1 1 1 r
.29739 .48379 .30641 .49147 .32033 .48757 .31141 .47907 Metetra
1 1 1 r
.31141 .47907 .32033 .48757 .3344 .48252 .32557 .47321 Metetra
1 1 1 r
.32557 .47321 .3344 .48252 .34857 .47688 .33977 .46779 Metetra
1 1 1 r
.33977 .46779 .34857 .47688 .36276 .47214 .35396 .46395 Metetra
1 1 1 r
.35396 .46395 .36276 .47214 .37697 .46859 .3682 .46073 Metetra
1 1 1 r
.3682 .46073 .37697 .46859 .39128 .46469 .38259 .45608 Metetra
1 1 1 r
.38259 .45608 .39128 .46469 .40574 .45915 .39713 .44962 Metetra
1 1 1 r
.39713 .44962 .40574 .45915 .42028 .45299 .41171 .44356 Metetra
1 1 1 r
.41171 .44356 .42028 .45299 .43484 .44841 .42629 .43991 Metetra
1 1 1 r
.42629 .43991 .43484 .44841 .44945 .44554 .44093 .4375 Metetra
1 1 1 r
.44093 .4375 .44945 .44554 .46416 .44207 .45571 .43337 Metetra
1 1 1 r
.45571 .43337 .46416 .44207 .47897 .43809 .47059 .42848 Metetra
1 1 1 r
.47059 .42848 .47897 .43809 .49381 .44076 .48545 .43155 Metetra
1 1 1 r
.48545 .43155 .49381 .44076 .50871 .46144 .50032 .45433 Metetra
1 1 1 r
.50032 .45433 .50871 .46144 .52392 .50483 .51546 .50052 Metetra
1 1 1 r
.51546 .50052 .52392 .50483 .53971 .55873 .53119 .55661 Metetra
1 1 1 r
.53119 .55661 .53971 .55873 .55599 .59561 .54747 .5945 Metetra
1 1 1 r
.54747 .5945 .55599 .59561 .57219 .59086 .56376 .58971 Metetra
1 1 1 r
.56376 .58971 .57219 .59086 .5877 .5443 .57946 .54204 Metetra
1 1 1 r
.57946 .54204 .5877 .5443 .60249 .48035 .59444 .47582 Metetra
1 1 1 r
.59444 .47582 .60249 .48035 .61709 .42673 .60917 .41927 Metetra
1 1 1 r
.60917 .41927 .61709 .42673 .63207 .39584 .62421 .38616 Metetra
1 1 1 r
.62421 .38616 .63207 .39584 .64757 .38308 .63977 .37289 Metetra
1 1 1 r
.63977 .37289 .64757 .38308 .66338 .37704 .65568 .36766 Metetra
1 1 1 r
.65568 .36766 .66338 .37704 .67925 .37046 .67164 .36167 Metetra
1 1 1 r
.67164 .36167 .67925 .37046 .69515 .36327 .68759 .3539 Metetra
1 1 1 r
.68759 .3539 .69515 .36327 .71124 .35782 .70368 .34739 Metetra
1 1 1 r
.70368 .34739 .71124 .35782 .72752 .35398 .72001 .34335 Metetra
1 1 1 r
.72001 .34335 .72752 .35398 .74386 .34951 .73647 .33971 Metetra
1 1 1 r
.73647 .33971 .74386 .34951 .76018 .34334 .75292 .33422 Metetra
1 1 1 r
.75292 .33422 .76018 .34334 .77657 .33681 .76934 .32724 Metetra
1 1 1 r
.76934 .32724 .77657 .33681 .79314 .33151 .7859 .32089 Metetra
1 1 1 r
.7859 .32089 .79314 .33151 .80989 .32712 .8027 .31618 Metetra
1 1 1 r
.8027 .31618 .80989 .32712 .8267 .32212 .81964 .31192 Metetra
1 1 1 r
.81964 .31192 .8267 .32212 .84349 .31592 .83658 .30646 Metetra
1 1 1 r
.83658 .30646 .84349 .31592 .86036 .30958 .8535 .29979 Metetra
1 1 1 r
.8535 .29979 .86036 .30958 .87743 .30418 .87054 .29336 Metetra
1 1 1 r
.26054 .4832 .26972 .49116 .28352 .48735 .27435 .47992 Metetra
1 1 1 r
.27435 .47992 .28352 .48735 .29739 .48379 .28831 .47557 Metetra
1 1 1 r
.28831 .47557 .29739 .48379 .31141 .47907 .30246 .46968 Metetra
1 1 1 r
.30246 .46968 .31141 .47907 .32557 .47321 .31667 .46364 Metetra
1 1 1 r
.31667 .46364 .32557 .47321 .33977 .46779 .33085 .45922 Metetra
1 1 1 r
.33085 .45922 .33977 .46779 .35396 .46395 .34503 .45628 Metetra
1 1 1 r
.34503 .45628 .35396 .46395 .3682 .46073 .35934 .45267 Metetra
1 1 1 r
.35934 .45267 .3682 .46073 .38259 .45608 .37384 .44674 Metetra
1 1 1 r
.37384 .44674 .38259 .45608 .39713 .44962 .38845 .43966 Metetra
1 1 1 r
.38845 .43966 .39713 .44962 .41171 .44356 .40306 .43433 Metetra
1 1 1 r
.40306 .43433 .41171 .44356 .42629 .43991 .41764 .43184 Metetra
1 1 1 r
.41764 .43184 .42629 .43991 .44093 .4375 .43232 .42951 Metetra
1 1 1 r
.43232 .42951 .44093 .4375 .45571 .43337 .44718 .42422 Metetra
1 1 1 r
.44718 .42422 .45571 .43337 .47059 .42848 .46213 .41838 Metetra
1 1 1 r
.46213 .41838 .47059 .42848 .48545 .43155 .47701 .42212 Metetra
1 1 1 r
.47701 .42212 .48545 .43155 .50032 .45433 .49183 .44709 Metetra
1 1 1 r
.49183 .44709 .50032 .45433 .51546 .50052 .5069 .49561 Metetra
1 1 1 r
.5069 .49561 .51546 .50052 .53119 .55661 .52255 .553 Metetra
1 1 1 r
.52255 .553 .53119 .55661 .54747 .5945 .5388 .59118 Metetra
1 1 1 r
.5388 .59118 .54747 .5945 .56376 .58971 .55519 .58635 Metetra
1 1 1 r
.55519 .58635 .56376 .58971 .57946 .54204 .57108 .5383 Metetra
1 1 1 r
.57108 .5383 .57946 .54204 .59444 .47582 .58627 .47068 Metetra
1 1 1 r
.58627 .47068 .59444 .47582 .60917 .41927 .60116 .41168 Metetra
1 1 1 r
.60116 .41168 .60917 .41927 .62421 .38616 .61627 .37625 Metetra
1 1 1 r
.61627 .37625 .62421 .38616 .63977 .37289 .63188 .3622 Metetra
1 1 1 r
.63188 .3622 .63977 .37289 .65568 .36766 .64788 .35783 Metetra
1 1 1 r
.64788 .35783 .65568 .36766 .67164 .36167 .66395 .35291 Metetra
1 1 1 r
.66395 .35291 .67164 .36167 .68759 .3539 .67997 .34496 Metetra
1 1 1 r
.67997 .34496 .68759 .3539 .70368 .34739 .69607 .33717 Metetra
1 1 1 r
.69607 .33717 .70368 .34739 .72001 .34335 .71241 .33226 Metetra
1 1 1 r
.71241 .33226 .72001 .34335 .73647 .33971 .72897 .32916 Metetra
1 1 1 r
.72897 .32916 .73647 .33971 .75292 .33422 .74556 .32487 Metetra
1 1 1 r
.74556 .32487 .75292 .33422 .76934 .32724 .76209 .31819 Metetra
1 1 1 r
.76209 .31819 .76934 .32724 .7859 .32089 .77864 .31081 Metetra
1 1 1 r
.77864 .31081 .7859 .32089 .8027 .31618 .79541 .30495 Metetra
1 1 1 r
.79541 .30495 .8027 .31618 .81964 .31192 .81243 .30076 Metetra
1 1 1 r
.81243 .30076 .81964 .31192 .83658 .30646 .82955 .29642 Metetra
1 1 1 r
.82955 .29642 .83658 .30646 .8535 .29979 .84663 .29046 Metetra
1 1 1 r
.84663 .29046 .8535 .29979 .87054 .29336 .86368 .28338 Metetra
1 1 1 r
.2512 .47603 .26054 .4832 .27435 .47992 .26511 .47201 Metetra
1 1 1 r
.26511 .47201 .27435 .47992 .28831 .47557 .27923 .46615 Metetra
1 1 1 r
.27923 .46615 .28831 .47557 .30246 .46968 .29345 .45966 Metetra
1 1 1 r
.29345 .45966 .30246 .46968 .31667 .46364 .30765 .45458 Metetra
1 1 1 r
.30765 .45458 .31667 .46364 .33085 .45922 .32179 .45154 Metetra
1 1 1 r
.32179 .45154 .33085 .45922 .34503 .45628 .336 .44876 Metetra
1 1 1 r
.336 .44876 .34503 .45628 .35934 .45267 .35042 .44384 Metetra
1 1 1 r
.35042 .44384 .35934 .45267 .37384 .44674 .36503 .43657 Metetra
1 1 1 r
.36503 .43657 .37384 .44674 .38845 .43966 .37969 .42959 Metetra
1 1 1 r
.37969 .42959 .38845 .43966 .40306 .43433 .39429 .42566 Metetra
1 1 1 r
.39429 .42566 .40306 .43433 .41764 .43184 .40888 .42421 Metetra
1 1 1 r
.40888 .42421 .41764 .43184 .43232 .42951 .42363 .42133 Metetra
1 1 1 r
.42363 .42133 .43232 .42951 .44718 .42422 .43858 .41443 Metetra
1 1 1 r
.43858 .41443 .44718 .42422 .46213 .41838 .4536 .40778 Metetra
1 1 1 r
.4536 .40778 .46213 .41838 .47701 .42212 .46848 .41258 Metetra
1 1 1 r
.46848 .41258 .47701 .42212 .49183 .44709 .48325 .43978 Metetra
1 1 1 r
.48325 .43978 .49183 .44709 .5069 .49561 .49822 .49001 Metetra
1 1 1 r
.49822 .49001 .5069 .49561 .52255 .553 .51379 .54768 Metetra
1 1 1 r
.51379 .54768 .52255 .553 .5388 .59118 .53001 .58536 Metetra
1 1 1 r
.53001 .58536 .5388 .59118 .55519 .58635 .54647 .58048 Metetra
1 1 1 r
.54647 .58048 .55519 .58635 .57108 .5383 .56256 .53284 Metetra
1 1 1 r
.56256 .53284 .57108 .5383 .58627 .47068 .57799 .46484 Metetra
1 1 1 r
.57799 .46484 .58627 .47068 .60116 .41168 .59304 .40402 Metetra
1 1 1 r
.59304 .40402 .60116 .41168 .61627 .37625 .60824 .36624 Metetra
1 1 1 r
.60824 .36624 .61627 .37625 .63188 .3622 .6239 .35099 Metetra
1 1 1 r
.6239 .35099 .63188 .3622 .64788 .35783 .63998 .34734 Metetra
1 1 1 r
.63998 .34734 .64788 .35783 .66395 .35291 .65617 .34394 Metetra
1 1 1 r
.65617 .34394 .66395 .35291 .67997 .34496 .67229 .33646 Metetra
1 1 1 r
.67229 .33646 .67997 .34496 .69607 .33717 .68841 .32749 Metetra
1 1 1 r
.68841 .32749 .69607 .33717 .71241 .33226 .70473 .32105 Metetra
1 1 1 r
.70473 .32105 .71241 .33226 .72897 .32916 .72133 .31773 Metetra
1 1 1 r
.72133 .31773 .72897 .32916 .74556 .32487 .73807 .31471 Metetra
1 1 1 r
.73807 .31471 .74556 .32487 .76209 .31819 .75477 .30928 Metetra
1 1 1 r
.75477 .30928 .76209 .31819 .77864 .31081 .77139 .30162 Metetra
1 1 1 r
.77139 .30162 .77864 .31081 .79541 .30495 .7881 .29422 Metetra
1 1 1 r
.7881 .29422 .79541 .30495 .81243 .30076 .8051 .28892 Metetra
1 1 1 r
.8051 .28892 .81243 .30076 .82955 .29642 .82233 .2851 Metetra
1 1 1 r
.82233 .2851 .82955 .29642 .84663 .29046 .83963 .2806 Metetra
1 1 1 r
.83963 .2806 .84663 .29046 .86368 .28338 .85684 .27419 Metetra
1 1 1 r
.2418 .46839 .2512 .47603 .26511 .47201 .25589 .46256 Metetra
1 1 1 r
.25589 .46256 .26511 .47201 .27923 .46615 .27013 .45572 Metetra
1 1 1 r
.27013 .45572 .27923 .46615 .29345 .45966 .28433 .45006 Metetra
1 1 1 r
.28433 .45006 .29345 .45966 .30765 .45458 .29845 .44673 Metetra
1 1 1 r
.29845 .44673 .30765 .45458 .32179 .45154 .31258 .44446 Metetra
1 1 1 r
.31258 .44446 .32179 .45154 .336 .44876 .3269 .4406 Metetra
1 1 1 r
.3269 .4406 .336 .44876 .35042 .44384 .34148 .43382 Metetra
1 1 1 r
.34148 .43382 .35042 .44384 .36503 .43657 .35618 .42582 Metetra
1 1 1 r
.35618 .42582 .36503 .43657 .37969 .42959 .37083 .41997 Metetra
1 1 1 r
.37083 .41997 .37969 .42959 .39429 .42566 .38539 .4178 Metetra
1 1 1 r
.38539 .4178 .39429 .42566 .40888 .42421 .4 .41685 Metetra
1 1 1 r
.4 .41685 .40888 .42421 .42363 .42133 .41485 .4126 Metetra
1 1 1 r
.41485 .4126 .42363 .42133 .43858 .41443 .42992 .40384 Metetra
1 1 1 r
.42992 .40384 .43858 .41443 .4536 .40778 .44499 .39678 Metetra
1 1 1 r
.44499 .39678 .4536 .40778 .46848 .41258 .45986 .40312 Metetra
1 1 1 r
.45986 .40312 .46848 .41258 .48325 .43978 .47457 .43247 Metetra
1 1 1 r
.47457 .43247 .48325 .43978 .49822 .49001 .48945 .48363 Metetra
1 1 1 r
.48945 .48363 .49822 .49001 .51379 .54768 .50492 .54046 Metetra
1 1 1 r
.50492 .54046 .51379 .54768 .53001 .58536 .52111 .57683 Metetra
1 1 1 r
.52111 .57683 .53001 .58536 .54647 .58048 .53764 .57189 Metetra
1 1 1 r
.53764 .57189 .54647 .58048 .56256 .53284 .55391 .52546 Metetra
1 1 1 r
.55391 .52546 .56256 .53284 .57799 .46484 .56958 .4582 Metetra
1 1 1 r
.56958 .4582 .57799 .46484 .59304 .40402 .58484 .39634 Metetra
1 1 1 r
.58484 .39634 .59304 .40402 .60824 .36624 .60013 .35629 Metetra
1 1 1 r
.60013 .35629 .60824 .36624 .6239 .35099 .61584 .33938 Metetra
1 1 1 r
.61584 .33938 .6239 .35099 .63998 .34734 .63197 .33603 Metetra
1 1 1 r
.63197 .33603 .63998 .34734 .65617 .34394 .64829 .33441 Metetra
1 1 1 r
.64829 .33441 .65617 .34394 .67229 .33646 .66454 .32821 Metetra
1 1 1 r
.66454 .32821 .67229 .33646 .68841 .32749 .68071 .31863 Metetra
1 1 1 r
.68071 .31863 .68841 .32749 .70473 .32105 .697 .31027 Metetra
1 1 1 r
.697 .31027 .70473 .32105 .72133 .31773 .71359 .30568 Metetra
1 1 1 r
.71359 .30568 .72133 .31773 .73807 .31471 .73043 .3033 Metetra
1 1 1 r
.73043 .3033 .73807 .31471 .75477 .30928 .74732 .29968 Metetra
1 1 1 r
.74732 .29968 .75477 .30928 .77139 .30162 .7641 .29303 Metetra
1 1 1 r
.7641 .29303 .77139 .30162 .7881 .29422 .78083 .28473 Metetra
1 1 1 r
.78083 .28473 .7881 .29422 .8051 .28892 .79773 .2775 Metetra
1 1 1 r
.79773 .2775 .8051 .28892 .82233 .2851 .81495 .27269 Metetra
1 1 1 r
.81495 .27269 .82233 .2851 .83963 .2806 .8324 .26911 Metetra
1 1 1 r
.8324 .26911 .83963 .2806 .85684 .27419 .84988 .26448 Metetra
1 1 1 r
.23246 .4588 .2418 .46839 .25589 .46256 .2467 .45169 Metetra
1 1 1 r
.2467 .45169 .25589 .46256 .27013 .45572 .26091 .44562 Metetra
1 1 1 r
.26091 .44562 .27013 .45572 .28433 .45006 .275 .44201 Metetra
1 1 1 r
.275 .44201 .28433 .45006 .29845 .44673 .28906 .43999 Metetra
1 1 1 r
.28906 .43999 .29845 .44673 .31258 .44446 .30329 .43698 Metetra
1 1 1 r
.30329 .43698 .31258 .44446 .3269 .4406 .3178 .43097 Metetra
1 1 1 r
.3178 .43097 .3269 .4406 .34148 .43382 .33251 .42265 Metetra
1 1 1 r
.33251 .42265 .34148 .43382 .35618 .42582 .34723 .41516 Metetra
1 1 1 r
.34723 .41516 .35618 .42582 .37083 .41997 .36182 .41135 Metetra
1 1 1 r
.36182 .41135 .37083 .41997 .38539 .4178 .37635 .41075 Metetra
1 1 1 r
.37635 .41075 .38539 .4178 .4 .41685 .39103 .40932 Metetra
1 1 1 r
.39103 .40932 .4 .41685 .41485 .4126 .40601 .40295 Metetra
1 1 1 r
.40601 .40295 .41485 .4126 .42992 .40384 .4212 .39242 Metetra
1 1 1 r
.4212 .39242 .42992 .40384 .44499 .39678 .43631 .38559 Metetra
1 1 1 r
.43631 .38559 .44499 .39678 .45986 .40312 .45115 .39394 Metetra
1 1 1 r
.45115 .39394 .45986 .40312 .47457 .43247 .46578 .42518 Metetra
1 1 1 r
.46578 .42518 .47457 .43247 .48945 .48363 .48057 .47635 Metetra
1 1 1 r
.48057 .47635 .48945 .48363 .50492 .54046 .49597 .53118 Metetra
1 1 1 r
.49597 .53118 .50492 .54046 .52111 .57683 .51211 .56544 Metetra
1 1 1 r
.51211 .56544 .52111 .57683 .53764 .57189 .5287 .56045 Metetra
1 1 1 r
.5287 .56045 .53764 .57189 .55391 .52546 .54514 .51602 Metetra
1 1 1 r
.54514 .51602 .55391 .52546 .56958 .4582 .56106 .45066 Metetra
1 1 1 r
.56106 .45066 .56958 .4582 .58484 .39634 .57654 .38869 Metetra
1 1 1 r
.57654 .38869 .58484 .39634 .60013 .35629 .59195 .34661 Metetra
1 1 1 r
.59195 .34661 .60013 .35629 .61584 .33938 .60769 .32757 Metetra
1 1 1 r
.60769 .32757 .61584 .33938 .63197 .33603 .62386 .32386 Metetra
1 1 1 r
.62386 .32386 .63197 .33603 .64829 .33441 .64029 .32394 Metetra
1 1 1 r
.64029 .32394 .64829 .33441 .66454 .32821 .65669 .31979 Metetra
1 1 1 r
.65669 .31979 .66454 .32821 .68071 .31863 .67297 .31059 Metetra
1 1 1 r
.67297 .31059 .68071 .31863 .697 .31027 .68926 .30052 Metetra
1 1 1 r
.68926 .30052 .697 .31027 .71359 .30568 .70579 .29372 Metetra
1 1 1 r
.70579 .29372 .71359 .30568 .73043 .3033 .72264 .2907 Metetra
1 1 1 r
.72264 .2907 .73043 .3033 .74732 .29968 .73969 .28854 Metetra
1 1 1 r
.73969 .28854 .74732 .29968 .7641 .29303 .7567 .28401 Metetra
1 1 1 r
.7567 .28401 .7641 .29303 .78083 .28473 .77357 .27637 Metetra
1 1 1 r
.77357 .27637 .78083 .28473 .79773 .2775 .79044 .26767 Metetra
1 1 1 r
.79044 .26767 .79773 .2775 .81495 .27269 .80753 .26061 Metetra
1 1 1 r
.80753 .26061 .81495 .27269 .8324 .26911 .82496 .25611 Metetra
1 1 1 r
.82496 .25611 .8324 .26911 .84988 .26448 .84263 .2527 Metetra
1 1 1 r
.22318 .44744 .23246 .4588 .2467 .45169 .23739 .44119 Metetra
1 1 1 r
.23739 .44119 .2467 .45169 .26091 .44562 .25145 .43745 Metetra
1 1 1 r
.25145 .43745 .26091 .44562 .275 .44201 .26544 .43558 Metetra
1 1 1 r
.26544 .43558 .275 .44201 .28906 .43999 .27957 .43313 Metetra
1 1 1 r
.27957 .43313 .28906 .43999 .30329 .43698 .29401 .42783 Metetra
1 1 1 r
.29401 .42783 .30329 .43698 .3178 .43097 .30871 .41962 Metetra
1 1 1 r
.30871 .41962 .3178 .43097 .33251 .42265 .32349 .41109 Metetra
1 1 1 r
.32349 .41109 .33251 .42265 .34723 .41516 .33813 .40553 Metetra
1 1 1 r
.33813 .40553 .34723 .41516 .36182 .41135 .35264 .40406 Metetra
1 1 1 r
.35264 .40406 .36182 .41135 .37635 .41075 .36718 .40412 Metetra
1 1 1 r
.36718 .40412 .37635 .41075 .39103 .40932 .38199 .40104 Metetra
1 1 1 r
.38199 .40104 .39103 .40932 .40601 .40295 .39713 .39209 Metetra
1 1 1 r
.39713 .39209 .40601 .40295 .4212 .39242 .41242 .38028 Metetra
1 1 1 r
.41242 .38028 .4212 .39242 .43631 .38559 .42755 .37452 Metetra
1 1 1 r
.42755 .37452 .43631 .38559 .45115 .39394 .44233 .38524 Metetra
1 1 1 r
.44233 .38524 .45115 .39394 .46578 .42518 .45688 .41794 Metetra
1 1 1 r
.45688 .41794 .46578 .42518 .48057 .47635 .47161 .46806 Metetra
1 1 1 r
.47161 .46806 .48057 .47635 .49597 .53118 .48694 .51974 Metetra
1 1 1 r
.48694 .51974 .49597 .53118 .51211 .56544 .50305 .55118 Metetra
1 1 1 r
.50305 .55118 .51211 .56544 .5287 .56045 .51967 .54613 Metetra
1 1 1 r
.51967 .54613 .5287 .56045 .54514 .51602 .53627 .50441 Metetra
1 1 1 r
.53627 .50441 .54514 .51602 .56106 .45066 .55243 .4421 Metetra
1 1 1 r
.55243 .4421 .56106 .45066 .57654 .38869 .56813 .38108 Metetra
1 1 1 r
.56813 .38108 .57654 .38869 .59195 .34661 .58369 .33742 Metetra
1 1 1 r
.58369 .33742 .59195 .34661 .60769 .32757 .59947 .31587 Metetra
1 1 1 r
.59947 .31587 .60769 .32757 .62386 .32386 .61566 .31096 Metetra
1 1 1 r
.61566 .31096 .62386 .32386 .64029 .32394 .63217 .31221 Metetra
1 1 1 r
.63217 .31221 .64029 .32394 .65669 .31979 .64872 .31058 Metetra
1 1 1 r
.64872 .31058 .65669 .31979 .67297 .31059 .66515 .30296 Metetra
1 1 1 r
.66515 .30296 .67297 .31059 .68926 .30052 .6815 .29211 Metetra
1 1 1 r
.6815 .29211 .68926 .30052 .70579 .29372 .69797 .2828 Metetra
1 1 1 r
.69797 .2828 .70579 .29372 .72264 .2907 .71476 .27768 Metetra
1 1 1 r
.71476 .27768 .72264 .2907 .73969 .28854 .73186 .27562 Metetra
1 1 1 r
.73186 .27562 .73969 .28854 .7567 .28401 .74909 .27323 Metetra
1 1 1 r
.74909 .27323 .7567 .28401 .77357 .27637 .76622 .26785 Metetra
1 1 1 r
.76622 .26785 .77357 .27637 .79044 .26767 .78321 .25949 Metetra
1 1 1 r
.78321 .25949 .79044 .26767 .80753 .26061 .80023 .25052 Metetra
1 1 1 r
.80023 .25052 .80753 .26061 .82496 .25611 .8175 .24347 Metetra
1 1 1 r
.8175 .24347 .82496 .25611 .84263 .2527 .83513 .23904 Metetra
1 1 1 r
.21376 .43674 .22318 .44744 .23739 .44119 .22776 .43314 Metetra
1 1 1 r
.22776 .43314 .23739 .44119 .25145 .43745 .24169 .43139 Metetra
1 1 1 r
.24169 .43139 .25145 .43745 .26544 .43558 .25575 .42923 Metetra
1 1 1 r
.25575 .42923 .26544 .43558 .27957 .43313 .27012 .42437 Metetra
1 1 1 r
.27012 .42437 .27957 .43313 .29401 .42783 .2848 .4164 Metetra
1 1 1 r
.2848 .4164 .29401 .42783 .30871 .41962 .2996 .40735 Metetra
1 1 1 r
.2996 .40735 .30871 .41962 .32349 .41109 .31431 .40044 Metetra
1 1 1 r
.31431 .40044 .32349 .41109 .33813 .40553 .32884 .39765 Metetra
1 1 1 r
.32884 .39765 .33813 .40553 .35264 .40406 .34329 .39787 Metetra
1 1 1 r
.34329 .39787 .35264 .40406 .36718 .40412 .35791 .39716 Metetra
1 1 1 r
.35791 .39716 .36718 .40412 .38199 .40104 .3729 .39139 Metetra
1 1 1 r
.3729 .39139 .38199 .40104 .39713 .39209 .38821 .37993 Metetra
1 1 1 r
.38821 .37993 .39713 .39209 .41242 .38028 .40357 .36776 Metetra
1 1 1 r
.40357 .36776 .41242 .38028 .42755 .37452 .41868 .36394 Metetra
1 1 1 r
.41868 .36394 .42755 .37452 .44233 .38524 .43339 .37718 Metetra
1 1 1 r
.43339 .37718 .44233 .38524 .45688 .41794 .44788 .41068 Metetra
1 1 1 r
.44788 .41068 .45688 .41794 .47161 .46806 .46255 .45864 Metetra
1 1 1 r
.46255 .45864 .47161 .46806 .48694 .51974 .47785 .50612 Metetra
1 1 1 r
.47785 .50612 .48694 .51974 .50305 .55118 .49393 .53414 Metetra
1 1 1 r
.49393 .53414 .50305 .55118 .51967 .54613 .51058 .52901 Metetra
1 1 1 r
.51058 .52901 .51967 .54613 .53627 .50441 .52731 .49059 Metetra
1 1 1 r
.52731 .49059 .53627 .50441 .55243 .4421 .54369 .43239 Metetra
1 1 1 r
.54369 .43239 .55243 .4421 .56813 .38108 .55963 .37344 Metetra
1 1 1 r
.55963 .37344 .56813 .38108 .58369 .33742 .57535 .32886 Metetra
1 1 1 r
.57535 .32886 .58369 .33742 .59947 .31587 .59119 .30465 Metetra
1 1 1 r
.59119 .30465 .59947 .31587 .61566 .31096 .60738 .29766 Metetra
1 1 1 r
.60738 .29766 .61566 .31096 .63217 .31221 .62392 .29916 Metetra
1 1 1 r
.62392 .29916 .63217 .31221 .64872 .31058 .64062 .29996 Metetra
1 1 1 r
.64062 .29996 .64872 .31058 .66515 .30296 .65723 .29498 Metetra
1 1 1 r
.65723 .29498 .66515 .30296 .6815 .29211 .6737 .28481 Metetra
1 1 1 r
.6737 .28481 .6815 .29211 .69797 .2828 .69017 .27365 Metetra
1 1 1 r
.69017 .27365 .69797 .2828 .71476 .27768 .70687 .26556 Metetra
1 1 1 r
.70687 .26556 .71476 .27768 .73186 .27562 .72391 .26171 Metetra
1 1 1 r
.72391 .26171 .73186 .27562 .74909 .27323 .74124 .26008 Metetra
1 1 1 r
.74124 .26008 .74909 .27323 .76622 .26785 .75863 .25734 Metetra
1 1 1 r
.75863 .25734 .76622 .26785 .78321 .25949 .77591 .25137 Metetra
1 1 1 r
.77591 .25137 .78321 .25949 .80023 .25052 .79304 .24259 Metetra
1 1 1 r
.79304 .24259 .80023 .25052 .8175 .24347 .81021 .23335 Metetra
1 1 1 r
.81021 .23335 .8175 .24347 .83513 .23904 .82763 .22604 Metetra
1 1 1 r
.20394 .42917 .21376 .43674 .22776 .43314 .21779 .42757 Metetra
1 1 1 r
.21779 .42757 .22776 .43314 .24169 .43139 .2318 .42541 Metetra
1 1 1 r
.2318 .42541 .24169 .43139 .25575 .42923 .24613 .42063 Metetra
1 1 1 r
.24613 .42063 .25575 .42923 .27012 .42437 .26079 .41277 Metetra
1 1 1 r
.26079 .41277 .27012 .42437 .2848 .4164 .27561 .40352 Metetra
1 1 1 r
.27561 .40352 .2848 .4164 .2996 .40735 .29036 .3958 Metetra
1 1 1 r
.29036 .3958 .2996 .40735 .31431 .40044 .30491 .39185 Metetra
1 1 1 r
.30491 .39185 .31431 .40044 .32884 .39765 .31931 .39153 Metetra
1 1 1 r
.31931 .39153 .32884 .39765 .34329 .39787 .3338 .39192 Metetra
1 1 1 r
.3338 .39192 .34329 .39787 .35791 .39716 .34861 .3889 Metetra
1 1 1 r
.34861 .3889 .35791 .39716 .3729 .39139 .36381 .37995 Metetra
1 1 1 r
.36381 .37995 .3729 .39139 .38821 .37993 .37926 .36672 Metetra
1 1 1 r
.37926 .36672 .38821 .37993 .40357 .36776 .39464 .35537 Metetra
1 1 1 r
.39464 .35537 .40357 .36776 .41868 .36394 .40968 .35422 Metetra
1 1 1 r
.40968 .35422 .41868 .36394 .43339 .37718 .42432 .36984 Metetra
1 1 1 r
.42432 .36984 .43339 .37718 .44788 .41068 .43877 .40327 Metetra
1 1 1 r
.43877 .40327 .44788 .41068 .46255 .45864 .45343 .44795 Metetra
1 1 1 r
.45343 .44795 .46255 .45864 .47785 .50612 .46871 .49035 Metetra
1 1 1 r
.46871 .49035 .47785 .50612 .49393 .53414 .48478 .5145 Metetra
1 1 1 r
.48478 .5145 .49393 .53414 .51058 .52901 .50145 .5093 Metetra
1 1 1 r
.50145 .5093 .51058 .52901 .52731 .49059 .51828 .47462 Metetra
1 1 1 r
.51828 .47462 .52731 .49059 .54369 .43239 .53486 .4214 Metetra
1 1 1 r
.53486 .4214 .54369 .43239 .55963 .37344 .55102 .36565 Metetra
1 1 1 r
.55102 .36565 .55963 .37344 .57535 .32886 .56692 .32103 Metetra
1 1 1 r
.56692 .32103 .57535 .32886 .59119 .30465 .58283 .2943 Metetra
1 1 1 r
.58283 .2943 .59119 .30465 .60738 .29766 .59903 .28448 Metetra
1 1 1 r
.59903 .28448 .60738 .29766 .62392 .29916 .61558 .28502 Metetra
1 1 1 r
.61558 .28502 .62392 .29916 .64062 .29996 .63236 .28751 Metetra
1 1 1 r
.63236 .28751 .64062 .29996 .65723 .29498 .64915 .28565 Metetra
1 1 1 r
.64915 .28565 .65723 .29498 .6737 .28481 .66582 .27773 Metetra
1 1 1 r
.66582 .27773 .6737 .28481 .69017 .27365 .68238 .26629 Metetra
1 1 1 r
.68238 .26629 .69017 .27365 .70687 .26556 .69902 .25556 Metetra
1 1 1 r
.69902 .25556 .70687 .26556 .72391 .26171 .71594 .24854 Metetra
1 1 1 r
.71594 .24854 .72391 .26171 .74124 .26008 .73322 .24541 Metetra
1 1 1 r
.73322 .24541 .74124 .26008 .75863 .25734 .75075 .24386 Metetra
1 1 1 r
.75075 .24386 .75863 .25734 .77591 .25137 .76832 .24089 Metetra
1 1 1 r
.76832 .24089 .77591 .25137 .79304 .24259 .78577 .23471 Metetra
1 1 1 r
.78577 .23471 .79304 .24259 .81021 .23335 .80307 .2258 Metetra
1 1 1 r
.80307 .2258 .81021 .23335 .82763 .22604 .82039 .21628 Metetra
1 1 1 r
.19373 .42418 .20394 .42917 .21779 .42757 .20772 .42169 Metetra
1 1 1 r
.20772 .42169 .21779 .42757 .2318 .42541 .22205 .41658 Metetra
1 1 1 r
.22205 .41658 .2318 .42541 .24613 .42063 .2367 .40862 Metetra
1 1 1 r
.2367 .40862 .24613 .42063 .26079 .41277 .25152 .39935 Metetra
1 1 1 r
.25152 .39935 .26079 .41277 .27561 .40352 .26629 .39133 Metetra
1 1 1 r
.26629 .39133 .27561 .40352 .29036 .3958 .28084 .38667 Metetra
1 1 1 r
.28084 .38667 .29036 .3958 .30491 .39185 .29522 .38566 Metetra
1 1 1 r
.29522 .38566 .30491 .39185 .31931 .39153 .30961 .38626 Metetra
1 1 1 r
.30961 .38626 .31931 .39153 .3338 .39192 .32426 .38491 Metetra
1 1 1 r
.32426 .38491 .3338 .39192 .34861 .3889 .33931 .37854 Metetra
1 1 1 r
.33931 .37854 .34861 .3889 .36381 .37995 .35473 .36677 Metetra
1 1 1 r
.35473 .36677 .36381 .37995 .37926 .36672 .37026 .35302 Metetra
1 1 1 r
.37026 .35302 .37926 .36672 .39464 .35537 .3856 .3437 Metetra
1 1 1 r
.3856 .3437 .39464 .35537 .40968 .35422 .40055 .34565 Metetra
1 1 1 r
.40055 .34565 .40968 .35422 .42432 .36984 .41511 .36317 Metetra
1 1 1 r
.41511 .36317 .42432 .36984 .43877 .40327 .42955 .3955 Metetra
1 1 1 r
.42955 .3955 .43877 .40327 .45343 .44795 .44424 .43588 Metetra
1 1 1 r
.44424 .43588 .45343 .44795 .46871 .49035 .45955 .47255 Metetra
1 1 1 r
.45955 .47255 .46871 .49035 .48478 .5145 .47562 .49258 Metetra
1 1 1 r
.47562 .49258 .48478 .5145 .50145 .5093 .49229 .4873 Metetra
1 1 1 r
.49229 .4873 .50145 .5093 .51828 .47462 .50919 .45661 Metetra
1 1 1 r
.50919 .45661 .51828 .47462 .53486 .4214 .52592 .40902 Metetra
1 1 1 r
.52592 .40902 .53486 .4214 .55102 .36565 .5423 .35749 Metetra
1 1 1 r
.5423 .35749 .55102 .36565 .56692 .32103 .55839 .31387 Metetra
1 1 1 r
.55839 .31387 .56692 .32103 .58283 .2943 .57441 .2851 Metetra
1 1 1 r
.57441 .2851 .58283 .2943 .59903 .28448 .59062 .27203 Metetra
1 1 1 r
.59062 .27203 .59903 .28448 .61558 .28502 .60715 .27038 Metetra
1 1 1 r
.60715 .27038 .61558 .28502 .63236 .28751 .62397 .27326 Metetra
1 1 1 r
.62397 .27326 .63236 .28751 .64915 .28565 .64091 .27416 Metetra
1 1 1 r
.64091 .27416 .64915 .28565 .66582 .27773 .65779 .26956 Metetra
1 1 1 r
.65779 .26956 .66582 .27773 .68238 .26629 .67453 .2598 Metetra
1 1 1 r
.67453 .2598 .68238 .26629 .69902 .25556 .69122 .248 Metetra
1 1 1 r
.69122 .248 .69902 .25556 .71594 .24854 .70805 .23784 Metetra
1 1 1 r
.70805 .23784 .71594 .24854 .73322 .24541 .72518 .23142 Metetra
1 1 1 r
.72518 .23142 .73322 .24541 .75075 .24386 .74266 .22848 Metetra
1 1 1 r
.74266 .22848 .75075 .24386 .76832 .24089 .76039 .22684 Metetra
1 1 1 r
.76039 .22684 .76832 .24089 .78577 .23471 .77816 .22385 Metetra
1 1 1 r
.77816 .22385 .78577 .23471 .80307 .2258 .79582 .21789 Metetra
1 1 1 r
.79582 .21789 .80307 .2258 .82039 .21628 .81333 .20918 Metetra
1 1 1 r
.18352 .41792 .19373 .42418 .20772 .42169 .19789 .4121 Metetra
1 1 1 r
.19789 .4121 .20772 .42169 .22205 .41658 .21256 .40385 Metetra
1 1 1 r
.21256 .40385 .22205 .41658 .2367 .40862 .22737 .39469 Metetra
1 1 1 r
.22737 .39469 .2367 .40862 .25152 .39935 .2421 .38681 Metetra
1 1 1 r
.2421 .38681 .25152 .39935 .26629 .39133 .25664 .38197 Metetra
1 1 1 r
.25664 .38197 .26629 .39133 .28084 .38667 .27099 .3805 Metetra
1 1 1 r
.27099 .3805 .28084 .38667 .29522 .38566 .28531 .38087 Metetra
1 1 1 r
.28531 .38087 .29522 .38566 .30961 .38626 .29984 .38019 Metetra
1 1 1 r
.29984 .38019 .30961 .38626 .32426 .38491 .31475 .37559 Metetra
1 1 1 r
.31475 .37559 .32426 .38491 .33931 .37854 .33006 .3658 Metetra
1 1 1 r
.33006 .3658 .33931 .37854 .35473 .36677 .34562 .35239 Metetra
1 1 1 r
.34562 .35239 .35473 .36677 .37026 .35302 .36116 .33967 Metetra
1 1 1 r
.36116 .33967 .37026 .35302 .3856 .3437 .37641 .33334 Metetra
1 1 1 r
.37641 .33334 .3856 .3437 .40055 .34565 .39125 .33837 Metetra
1 1 1 r
.39125 .33837 .40055 .34565 .41511 .36317 .40577 .35697 Metetra
1 1 1 r
.40577 .35697 .41511 .36317 .42955 .3955 .42024 .38712 Metetra
1 1 1 r
.42024 .38712 .42955 .3955 .44424 .43588 .43501 .42235 Metetra
1 1 1 r
.43501 .42235 .44424 .43588 .45955 .47255 .45037 .4529 Metetra
1 1 1 r
.45037 .4529 .45955 .47255 .47562 .49258 .46646 .46875 Metetra
1 1 1 r
.46646 .46875 .47562 .49258 .49229 .4873 .48312 .46339 Metetra
1 1 1 r
.48312 .46339 .49229 .4873 .50919 .45661 .50005 .43674 Metetra
1 1 1 r
.50005 .43674 .50919 .45661 .52592 .40902 .51691 .39517 Metetra
1 1 1 r
.51691 .39517 .52592 .40902 .5423 .35749 .53348 .3487 Metetra
1 1 1 r
.53348 .3487 .5423 .35749 .55839 .31387 .54976 .30718 Metetra
1 1 1 r
.54976 .30718 .55839 .31387 .57441 .2851 .56591 .2772 Metetra
1 1 1 r
.56591 .2772 .57441 .2851 .59062 .27203 .58216 .26089 Metetra
1 1 1 r
.58216 .26089 .59062 .27203 .60715 .27038 .59867 .25608 Metetra
1 1 1 r
.59867 .25608 .60715 .27038 .62397 .27326 .61548 .25778 Metetra
1 1 1 r
.61548 .25778 .62397 .27326 .64091 .27416 .63249 .26023 Metetra
1 1 1 r
.63249 .26023 .64091 .27416 .65779 .26956 .64956 .25899 Metetra
1 1 1 r
.64956 .25899 .65779 .26956 .67453 .2598 .66653 .25245 Metetra
1 1 1 r
.66653 .25245 .67453 .2598 .69122 .248 .6834 .24186 Metetra
1 1 1 r
.6834 .24186 .69122 .248 .70805 .23784 .70025 .23016 Metetra
1 1 1 r
.70025 .23016 .70805 .23784 .72518 .23142 .71726 .22034 Metetra
1 1 1 r
.71726 .22034 .72518 .23142 .74266 .22848 .73458 .21398 Metetra
1 1 1 r
.73458 .21398 .74266 .22848 .76039 .22684 .75223 .21076 Metetra
1 1 1 r
.75223 .21076 .76039 .22684 .77816 .22385 .77014 .20888 Metetra
1 1 1 r
.77014 .20888 .77816 .22385 .79582 .21789 .78813 .20607 Metetra
1 1 1 r
.78813 .20607 .79582 .21789 .81333 .20918 .80604 .20072 Metetra
1 1 1 r
.1737 .40693 .18352 .41792 .19789 .4121 .18839 .39838 Metetra
1 1 1 r
.18839 .39838 .19789 .4121 .21256 .40385 .20315 .38956 Metetra
1 1 1 r
.20315 .38956 .21256 .40385 .22737 .39469 .21781 .38225 Metetra
1 1 1 r
.21781 .38225 .22737 .39469 .2421 .38681 .23228 .37773 Metetra
1 1 1 r
.23228 .37773 .2421 .38681 .25664 .38197 .24658 .37609 Metetra
1 1 1 r
.24658 .37609 .25664 .38197 .27099 .3805 .26085 .37608 Metetra
1 1 1 r
.26085 .37608 .27099 .3805 .28531 .38087 .27531 .37539 Metetra
1 1 1 r
.27531 .37539 .28531 .38087 .29984 .38019 .29012 .37161 Metetra
1 1 1 r
.29012 .37161 .29984 .38019 .31475 .37559 .30533 .36335 Metetra
1 1 1 r
.30533 .36335 .31475 .37559 .33006 .3658 .32085 .35119 Metetra
1 1 1 r
.32085 .35119 .33006 .3658 .34562 .35239 .33646 .33785 Metetra
1 1 1 r
.33646 .33785 .34562 .35239 .36116 .33967 .35191 .32755 Metetra
1 1 1 r
.35191 .32755 .36116 .33967 .37641 .33334 .36703 .32466 Metetra
1 1 1 r
.36703 .32466 .37641 .33334 .39125 .33837 .38178 .33227 Metetra
1 1 1 r
.38178 .33227 .39125 .33837 .40577 .35697 .3963 .3509 Metetra
1 1 1 r
.3963 .3509 .40577 .35697 .42024 .38712 .41085 .37784 Metetra
1 1 1 r
.41085 .37784 .42024 .38712 .43501 .42235 .42573 .40733 Metetra
1 1 1 r
.42573 .40733 .43501 .42235 .45037 .4529 .44118 .43169 Metetra
1 1 1 r
.44118 .43169 .45037 .4529 .46646 .46875 .45729 .44348 Metetra
1 1 1 r
.45729 .44348 .46646 .46875 .48312 .46339 .47395 .43804 Metetra
1 1 1 r
.47395 .43804 .48312 .46339 .50005 .43674 .49089 .4153 Metetra
1 1 1 r
.49089 .4153 .50005 .43674 .51691 .39517 .50782 .37982 Metetra
1 1 1 r
.50782 .37982 .51691 .39517 .53348 .3487 .52454 .339 Metetra
1 1 1 r
.52454 .339 .53348 .3487 .54976 .30718 .54101 .3006 Metetra
1 1 1 r
.54101 .3006 .54976 .30718 .56591 .2772 .55731 .27049 Metetra
1 1 1 r
.55731 .27049 .56591 .2772 .58216 .26089 .57363 .25145 Metetra
1 1 1 r
.57363 .25145 .58216 .26089 .59867 .25608 .59014 .24301 Metetra
1 1 1 r
.59014 .24301 .59867 .25608 .61548 .25778 .60691 .24213 Metetra
1 1 1 r
.60691 .24213 .61548 .25778 .63249 .26023 .62394 .24436 Metetra
1 1 1 r
.62394 .24436 .63249 .26023 .64956 .25899 .64113 .24542 Metetra
1 1 1 r
.64113 .24542 .64956 .25899 .66653 .25245 .65832 .2425 Metetra
1 1 1 r
.65832 .2425 .66653 .25245 .6834 .24186 .67543 .23499 Metetra
1 1 1 r
.67543 .23499 .6834 .24186 .70025 .23016 .69245 .22427 Metetra
1 1 1 r
.69245 .22427 .70025 .23016 .71726 .22034 .70948 .21283 Metetra
1 1 1 r
.70948 .21283 .71726 .22034 .73458 .21398 .72667 .20303 Metetra
1 1 1 r
.72667 .20303 .73458 .21398 .75223 .21076 .74414 .19622 Metetra
1 1 1 r
.74414 .19622 .75223 .21076 .77014 .20888 .76194 .19228 Metetra
1 1 1 r
.76194 .19228 .77014 .20888 .78813 .20607 .78001 .18992 Metetra
1 1 1 r
.78001 .18992 .78813 .20607 .80604 .20072 .79822 .18728 Metetra
1 1 1 r
.16418 .3923 .1737 .40693 .18839 .39838 .17885 .38421 Metetra
1 1 1 r
.17885 .38421 .18839 .39838 .20315 .38956 .19339 .37788 Metetra
1 1 1 r
.19339 .37788 .20315 .38956 .21781 .38225 .20774 .37403 Metetra
1 1 1 r
.20774 .37403 .21781 .38225 .23228 .37773 .22198 .37246 Metetra
1 1 1 r
.22198 .37246 .23228 .37773 .24658 .37609 .23622 .372 Metetra
1 1 1 r
.23622 .372 .24658 .37609 .26085 .37608 .25065 .37082 Metetra
1 1 1 r
.25065 .37082 .26085 .37608 .27531 .37539 .2654 .36707 Metetra
1 1 1 r
.2654 .36707 .27531 .37539 .29012 .37161 .28054 .35962 Metetra
1 1 1 r
.28054 .35962 .29012 .37161 .30533 .36335 .29599 .34865 Metetra
1 1 1 r
.29599 .34865 .30533 .36335 .32085 .35119 .3116 .33592 Metetra
1 1 1 r
.3116 .33592 .32085 .35119 .33646 .33785 .32715 .32436 Metetra
1 1 1 r
.32715 .32436 .33646 .33785 .35191 .32755 .34246 .31735 Metetra
1 1 1 r
.34246 .31735 .35191 .32755 .36703 .32466 .35744 .31776 Metetra
1 1 1 r
.35744 .31776 .36703 .32466 .38178 .33227 .37214 .32701 Metetra
1 1 1 r
.37214 .32701 .38178 .33227 .3963 .3509 .38671 .3445 Metetra
1 1 1 r
.38671 .3445 .3963 .3509 .41085 .37784 .40139 .36738 Metetra
1 1 1 r
.40139 .36738 .41085 .37784 .42573 .40733 .41642 .39087 Metetra
1 1 1 r
.41642 .39087 .42573 .40733 .44118 .43169 .43199 .40924 Metetra
1 1 1 r
.43199 .40924 .44118 .43169 .45729 .44348 .44814 .41725 Metetra
1 1 1 r
.44814 .41725 .45729 .44348 .47395 .43804 .46477 .41173 Metetra
1 1 1 r
.46477 .41173 .47395 .43804 .49089 .4153 .4817 .39262 Metetra
1 1 1 r
.4817 .39262 .49089 .4153 .50782 .37982 .49867 .363 Metetra
1 1 1 r
.49867 .363 .50782 .37982 .52454 .339 .51551 .32811 Metetra
1 1 1 r
.51551 .32811 .52454 .339 .54101 .3006 .53214 .29369 Metetra
1 1 1 r
.53214 .29369 .54101 .3006 .55731 .27049 .54861 .26461 Metetra
1 1 1 r
.54861 .26461 .55731 .27049 .57363 .25145 .56503 .24379 Metetra
1 1 1 r
.56503 .24379 .57363 .25145 .59014 .24301 .58156 .2319 Metetra
1 1 1 r
.58156 .2319 .59014 .24301 .60691 .24213 .59831 .22752 Metetra
1 1 1 r
.59831 .22752 .60691 .24213 .62394 .24436 .61531 .22781 Metetra
1 1 1 r
.61531 .22781 .62394 .24436 .64113 .24542 .63253 .22932 Metetra
1 1 1 r
.63253 .22932 .64113 .24542 .65832 .2425 .64987 .22904 Metetra
1 1 1 r
.64987 .22904 .65832 .2425 .67543 .23499 .66721 .22517 Metetra
1 1 1 r
.66721 .22517 .67543 .23499 .69245 .22427 .68449 .21749 Metetra
1 1 1 r
.68449 .21749 .69245 .22427 .70948 .21283 .7017 .20713 Metetra
1 1 1 r
.7017 .20713 .70948 .21283 .72667 .20303 .71892 .19601 Metetra
1 1 1 r
.71892 .19601 .72667 .20303 .74414 .19622 .73628 .18601 Metetra
1 1 1 r
.73628 .18601 .74414 .19622 .76194 .19228 .75388 .17836 Metetra
1 1 1 r
.75388 .17836 .76194 .19228 .78001 .18992 .77179 .17327 Metetra
1 1 1 r
.77179 .17327 .78001 .18992 .79822 .18728 .78999 .17001 Metetra
1 1 1 r
.15441 .37917 .16418 .3923 .17885 .38421 .16877 .37413 Metetra
1 1 1 r
.16877 .37413 .17885 .38421 .19339 .37788 .183 .3711 Metetra
1 1 1 r
.183 .3711 .19339 .37788 .20774 .37403 .19717 .36959 Metetra
1 1 1 r
.19717 .36959 .20774 .37403 .22198 .37246 .2114 .36852 Metetra
1 1 1 r
.2114 .36852 .22198 .37246 .23622 .372 .22585 .36649 Metetra
1 1 1 r
.22585 .36649 .23622 .372 .25065 .37082 .2406 .36219 Metetra
1 1 1 r
.2406 .36219 .25065 .37082 .2654 .36707 .2557 .35489 Metetra
1 1 1 r
.2557 .35489 .2654 .36707 .28054 .35962 .2711 .34474 Metetra
1 1 1 r
.2711 .34474 .28054 .35962 .29599 .34865 .28666 .33296 Metetra
1 1 1 r
.28666 .33296 .29599 .34865 .3116 .33592 .30221 .32155 Metetra
1 1 1 r
.30221 .32155 .3116 .33592 .32715 .32436 .31761 .31295 Metetra
1 1 1 r
.31761 .31295 .32715 .32436 .34246 .31735 .33276 .30939 Metetra
1 1 1 r
.33276 .30939 .34246 .31735 .35744 .31776 .34765 .31232 Metetra
1 1 1 r
.34765 .31232 .35744 .31776 .37214 .32701 .36235 .32202 Metetra
1 1 1 r
.36235 .32202 .37214 .32701 .38671 .3445 .37703 .33729 Metetra
1 1 1 r
.37703 .33729 .38671 .3445 .40139 .36738 .39189 .35553 Metetra
1 1 1 r
.39189 .35553 .40139 .36738 .41642 .39087 .4071 .37309 Metetra
1 1 1 r
.4071 .37309 .41642 .39087 .43199 .40924 .42278 .38593 Metetra
1 1 1 r
.42278 .38593 .43199 .40924 .44814 .41725 .43898 .39057 Metetra
1 1 1 r
.43898 .39057 .44814 .41725 .46477 .41173 .4556 .38497 Metetra
1 1 1 r
.4556 .38497 .46477 .41173 .4817 .39262 .47249 .36907 Metetra
1 1 1 r
.47249 .36907 .4817 .39262 .49867 .363 .48946 .34486 Metetra
1 1 1 r
.48946 .34486 .49867 .363 .51551 .32811 .50638 .3158 Metetra
1 1 1 r
.50638 .3158 .51551 .32811 .53214 .29369 .52315 .28595 Metetra
1 1 1 r
.52315 .28595 .53214 .29369 .54861 .26461 .53978 .259 Metetra
1 1 1 r
.53978 .259 .54861 .26461 .56503 .24379 .55633 .23761 Metetra
1 1 1 r
.55633 .23761 .56503 .24379 .58156 .2319 .57293 .22303 Metetra
1 1 1 r
.57293 .22303 .58156 .2319 .59831 .22752 .58968 .21504 Metetra
1 1 1 r
.58968 .21504 .59831 .22752 .61531 .22781 .60664 .21217 Metetra
1 1 1 r
.60664 .21217 .61531 .22781 .63253 .22932 .62384 .21218 Metetra
1 1 1 r
.62384 .21218 .63253 .22932 .64987 .22904 .64123 .2126 Metetra
1 1 1 r
.64123 .2126 .64987 .22904 .66721 .22517 .65872 .21136 Metetra
1 1 1 r
.65872 .21136 .66721 .22517 .68449 .21749 .67624 .2072 Metetra
1 1 1 r
.67624 .2072 .68449 .21749 .7017 .20713 .69372 .19995 Metetra
1 1 1 r
.69372 .19995 .7017 .20713 .71892 .19601 .71116 .19033 Metetra
1 1 1 r
.71116 .19033 .71892 .19601 .73628 .18601 .72859 .1797 Metetra
1 1 1 r
.72859 .1797 .73628 .18601 .75388 .17836 .74612 .16949 Metetra
1 1 1 r
.74612 .16949 .75388 .17836 .77179 .17327 .76385 .16085 Metetra
1 1 1 r
.76385 .16085 .77179 .17327 .78999 .17001 .78184 .15428 Metetra
1 1 1 r
.1439 .37147 .15441 .37917 .16877 .37413 .15801 .36905 Metetra
1 1 1 r
.15801 .36905 .16877 .37413 .183 .3711 .17215 .3673 Metetra
1 1 1 r
.17215 .3673 .183 .3711 .19717 .36959 .18642 .36531 Metetra
1 1 1 r
.18642 .36531 .19717 .36959 .2114 .36852 .20093 .3621 Metetra
1 1 1 r
.20093 .3621 .2114 .36852 .22585 .36649 .21573 .35687 Metetra
1 1 1 r
.21573 .35687 .22585 .36649 .2406 .36219 .23083 .34931 Metetra
1 1 1 r
.23083 .34931 .2406 .36219 .2557 .35489 .24618 .33966 Metetra
1 1 1 r
.24618 .33966 .2557 .35489 .2711 .34474 .26167 .32882 Metetra
1 1 1 r
.26167 .32882 .2711 .34474 .28666 .33296 .27717 .31822 Metetra
1 1 1 r
.27717 .31822 .28666 .33296 .30221 .32155 .29258 .30947 Metetra
1 1 1 r
.29258 .30947 .30221 .32155 .31761 .31295 .3078 .30416 Metetra
1 1 1 r
.3078 .30416 .31761 .31295 .33276 .30939 .32281 .30342 Metetra
1 1 1 r
.32281 .30342 .33276 .30939 .34765 .31232 .33766 .30771 Metetra
1 1 1 r
.33766 .30771 .34765 .31232 .36235 .32202 .35244 .3166 Metetra
1 1 1 r
.35244 .3166 .36235 .32202 .37703 .33729 .36729 .3288 Metetra
1 1 1 r
.36729 .3288 .37703 .33729 .39189 .35553 .38235 .34219 Metetra
1 1 1 r
.38235 .34219 .39189 .35553 .4071 .37309 .39775 .3542 Metetra
1 1 1 r
.39775 .3542 .4071 .37309 .42278 .38593 .41356 .36217 Metetra
1 1 1 r
.41356 .36217 .42278 .38593 .43898 .39057 .4298 .36394 Metetra
1 1 1 r
.4298 .36394 .43898 .39057 .4556 .38497 .44641 .35824 Metetra
1 1 1 r
.44641 .35824 .4556 .38497 .47249 .36907 .46325 .34506 Metetra
1 1 1 r
.46325 .34506 .47249 .36907 .48946 .34486 .48022 .32559 Metetra
1 1 1 r
.48022 .32559 .48946 .34486 .50638 .3158 .49717 .30199 Metetra
1 1 1 r
.49717 .30199 .50638 .3158 .52315 .28595 .51404 .27691 Metetra
1 1 1 r
.51404 .27691 .52315 .28595 .53978 .259 .53082 .25295 Metetra
1 1 1 r
.53082 .25295 .53978 .259 .55633 .23761 .54752 .23226 Metetra
1 1 1 r
.54752 .23226 .55633 .23761 .57293 .22303 .56422 .21619 Metetra
1 1 1 r
.56422 .21619 .57293 .22303 .58968 .21504 .58101 .2052 Metetra
1 1 1 r
.58101 .2052 .58968 .21504 .60664 .21217 .59796 .19885 Metetra
1 1 1 r
.59796 .19885 .60664 .21217 .62384 .21218 .61511 .19599 Metetra
1 1 1 r
.61511 .19599 .62384 .21218 .64123 .2126 .63248 .19507 Metetra
1 1 1 r
.63248 .19507 .64123 .2126 .65872 .21136 .65003 .19439 Metetra
1 1 1 r
.65003 .19439 .65872 .21136 .67624 .2072 .66769 .19251 Metetra
1 1 1 r
.66769 .19251 .67624 .2072 .69372 .19995 .68541 .18849 Metetra
1 1 1 r
.68541 .18849 .69372 .19995 .71116 .19033 .70312 .18205 Metetra
1 1 1 r
.70312 .18205 .71116 .19033 .72859 .1797 .72081 .17352 Metetra
1 1 1 r
.72081 .17352 .72859 .1797 .74612 .16949 .73849 .16369 Metetra
1 1 1 r
.73849 .16369 .74612 .16949 .76385 .16085 .75623 .15359 Metetra
1 1 1 r
.75623 .15359 .76385 .16085 .78184 .15428 .7741 .14417 Metetra
1 1 1 r
.13279 .36758 .1439 .37147 .15801 .36905 .14697 .36504 Metetra
1 1 1 r
.14697 .36504 .15801 .36905 .17215 .3673 .16134 .36174 Metetra
1 1 1 r
.16134 .36174 .17215 .3673 .18642 .36531 .17595 .35712 Metetra
1 1 1 r
.17595 .35712 .18642 .36531 .20093 .3621 .19082 .35084 Metetra
1 1 1 r
.19082 .35084 .20093 .3621 .21573 .35687 .20593 .34289 Metetra
1 1 1 r
.20593 .34289 .21573 .35687 .23083 .34931 .22123 .33361 Metetra
1 1 1 r
.22123 .33361 .23083 .34931 .24618 .33966 .23663 .32373 Metetra
1 1 1 r
.23663 .32373 .24618 .33966 .26167 .32882 .25205 .31419 Metetra
1 1 1 r
.25205 .31419 .26167 .32882 .27717 .31822 .26739 .30607 Metetra
1 1 1 r
.26739 .30607 .27717 .31822 .29258 .30947 .28261 .30035 Metetra
1 1 1 r
.28261 .30035 .29258 .30947 .3078 .30416 .29769 .29778 Metetra
1 1 1 r
.29769 .29778 .3078 .30416 .32281 .30342 .31264 .29872 Metetra
1 1 1 r
.31264 .29872 .32281 .30342 .33766 .30771 .32753 .30304 Metetra
1 1 1 r
.32753 .30304 .33766 .30771 .35244 .3166 .34245 .31008 Metetra
1 1 1 r
.34245 .31008 .35244 .3166 .36729 .3288 .3575 .3187 Metetra
1 1 1 r
.3575 .3187 .36729 .3288 .38235 .34219 .37278 .32739 Metetra
1 1 1 r
.37278 .32739 .38235 .34219 .39775 .3542 .38838 .33448 Metetra
1 1 1 r
.38838 .33448 .39775 .3542 .41356 .36217 .40432 .33837 Metetra
1 1 1 r
.40432 .33837 .41356 .36217 .4298 .36394 .42061 .33777 Metetra
1 1 1 r
.42061 .33777 .4298 .36394 .44641 .35824 .43719 .33199 Metetra
1 1 1 r
.43719 .33199 .44641 .35824 .46325 .34506 .45399 .32101 Metetra
1 1 1 r
.45399 .32101 .46325 .34506 .48022 .32559 .47092 .3055 Metetra
1 1 1 r
.47092 .3055 .48022 .32559 .49717 .30199 .48789 .2867 Metetra
1 1 1 r
.48789 .2867 .49717 .30199 .51404 .27691 .50484 .26623 Metetra
1 1 1 r
.50484 .26623 .51404 .27691 .53082 .25295 .52173 .24576 Metetra
1 1 1 r
.52173 .24576 .53082 .25295 .54752 .23226 .53857 .22683 Metetra
1 1 1 r
.53857 .22683 .54752 .23226 .56422 .21619 .5554 .21062 Metetra
1 1 1 r
.5554 .21062 .56422 .21619 .58101 .2052 .57227 .19779 Metetra
1 1 1 r
.57227 .19779 .58101 .2052 .59796 .19885 .58925 .18852 Metetra
1 1 1 r
.58925 .18852 .59796 .19885 .61511 .19599 .60639 .18245 Metetra
1 1 1 r
.60639 .18245 .61511 .19599 .63248 .19507 .62372 .17884 Metetra
1 1 1 r
.62372 .17884 .63248 .19507 .65003 .19439 .64124 .17668 Metetra
1 1 1 r
.64124 .17668 .65003 .19439 .66769 .19251 .65894 .1749 Metetra
1 1 1 r
.65894 .1749 .66769 .19251 .68541 .18849 .67678 .1725 Metetra
1 1 1 r
.67678 .1725 .68541 .18849 .70312 .18205 .6947 .16874 Metetra
1 1 1 r
.6947 .16874 .70312 .18205 .72081 .17352 .71265 .16325 Metetra
1 1 1 r
.71265 .16325 .72081 .17352 .73849 .16369 .73062 .15603 Metetra
1 1 1 r
.73062 .15603 .73849 .16369 .75623 .15359 .74859 .14743 Metetra
1 1 1 r
.74859 .14743 .75623 .15359 .7741 .14417 .76659 .13801 Metetra
1 1 1 r
.12175 .36184 .13279 .36758 .14697 .36504 .13626 .357 Metetra
1 1 1 r
.13626 .357 .14697 .36504 .16134 .36174 .15098 .35101 Metetra
1 1 1 r
.15098 .35101 .16134 .36174 .17595 .35712 .16591 .34386 Metetra
1 1 1 r
.16591 .34386 .17595 .35712 .19082 .35084 .18102 .33571 Metetra
1 1 1 r
.18102 .33571 .19082 .35084 .20593 .34289 .19624 .32695 Metetra
1 1 1 r
.19624 .32695 .20593 .34289 .22123 .33361 .21153 .3181 Metetra
1 1 1 r
.21153 .3181 .22123 .33361 .23663 .32373 .22682 .30977 Metetra
1 1 1 r
.22682 .30977 .23663 .32373 .25205 .31419 .24207 .30261 Metetra
1 1 1 r
.24207 .30261 .25205 .31419 .26739 .30607 .25723 .29718 Metetra
1 1 1 r
.25723 .29718 .26739 .30607 .28261 .30035 .27231 .29388 Metetra
1 1 1 r
.27231 .29388 .28261 .30035 .29769 .29778 .28732 .29291 Metetra
1 1 1 r
.28732 .29291 .29769 .29778 .31264 .29872 .3023 .2942 Metetra
1 1 1 r
.3023 .2942 .31264 .29872 .32753 .30304 .31731 .2974 Metetra
1 1 1 r
.31731 .2974 .32753 .30304 .34245 .31008 .33242 .30189 Metetra
1 1 1 r
.33242 .30189 .34245 .31008 .3575 .3187 .3477 .30684 Metetra
1 1 1 r
.3477 .30684 .3575 .3187 .37278 .32739 .3632 .31131 Metetra
1 1 1 r
.3632 .31131 .37278 .32739 .38838 .33448 .37897 .31429 Metetra
1 1 1 r
.37897 .31429 .38838 .33448 .40432 .33837 .39503 .3149 Metetra
1 1 1 r
.39503 .3149 .40432 .33837 .42061 .33777 .41136 .31246 Metetra
1 1 1 r
.41136 .31246 .42061 .33777 .43719 .33199 .42793 .3066 Metetra
1 1 1 r
.42793 .3066 .43719 .33199 .45399 .32101 .4447 .2973 Metetra
1 1 1 r
.4447 .2973 .45399 .32101 .47092 .3055 .46159 .28492 Metetra
1 1 1 r
.46159 .28492 .47092 .3055 .48789 .2867 .47855 .27011 Metetra
1 1 1 r
.47855 .27011 .48789 .2867 .50484 .26623 .49554 .25377 Metetra
1 1 1 r
.49554 .25377 .50484 .26623 .52173 .24576 .51252 .23688 Metetra
1 1 1 r
.51252 .23688 .52173 .24576 .53857 .22683 .52948 .22041 Metetra
1 1 1 r
.52948 .22041 .53857 .22683 .5554 .21062 .54644 .20521 Metetra
1 1 1 r
.54644 .20521 .5554 .21062 .57227 .19779 .56344 .19191 Metetra
1 1 1 r
.56344 .19191 .57227 .19779 .58925 .18852 .58049 .18089 Metetra
1 1 1 r
.58049 .18089 .58925 .18852 .60639 .18245 .59766 .17222 Metetra
1 1 1 r
.59766 .17222 .60639 .18245 .62372 .17884 .61498 .16572 Metetra
1 1 1 r
.61498 .16572 .62372 .17884 .64124 .17668 .63247 .16099 Metetra
1 1 1 r
.63247 .16099 .64124 .17668 .65894 .1749 .65013 .15745 Metetra
1 1 1 r
.65013 .15745 .65894 .1749 .67678 .1725 .66798 .15447 Metetra
1 1 1 r
.66798 .15447 .67678 .1725 .6947 .16874 .68597 .1514 Metetra
1 1 1 r
.68597 .1514 .6947 .16874 .71265 .16325 .70408 .14769 Metetra
1 1 1 r
.70408 .14769 .71265 .16325 .73062 .15603 .72228 .14296 Metetra
1 1 1 r
.72228 .14296 .73062 .15603 .74859 .14743 .74053 .13702 Metetra
1 1 1 r
.74053 .13702 .74859 .14743 .76659 .13801 .75881 .12987 Metetra
1 1 1 r
.11129 .35046 .12175 .36184 .13626 .357 .12609 .34355 Metetra
1 1 1 r
.12609 .34355 .13626 .357 .15098 .35101 .14103 .33605 Metetra
1 1 1 r
.14103 .33605 .15098 .35101 .16591 .34386 .15607 .32818 Metetra
1 1 1 r
.15607 .32818 .16591 .34386 .18102 .33571 .17118 .32023 Metetra
1 1 1 r
.17118 .32023 .18102 .33571 .19624 .32695 .18632 .31255 Metetra
1 1 1 r
.18632 .31255 .19624 .32695 .21153 .3181 .20145 .30549 Metetra
1 1 1 r
.20145 .30549 .21153 .3181 .22682 .30977 .21657 .29938 Metetra
1 1 1 r
.21657 .29938 .22682 .30977 .24207 .30261 .23165 .29449 Metetra
1 1 1 r
.23165 .29449 .24207 .30261 .25723 .29718 .2467 .29098 Metetra
1 1 1 r
.2467 .29098 .25723 .29718 .27231 .29388 .26173 .28892 Metetra
1 1 1 r
.26173 .28892 .27231 .29388 .28732 .29291 .27678 .28824 Metetra
1 1 1 r
.27678 .28824 .28732 .29291 .3023 .2942 .29187 .28872 Metetra
1 1 1 r
.29187 .28872 .3023 .2942 .31731 .2974 .30706 .29002 Metetra
1 1 1 r
.30706 .29002 .31731 .2974 .33242 .30189 .32239 .29172 Metetra
1 1 1 r
.32239 .29172 .33242 .30189 .3477 .30684 .33789 .29331 Metetra
1 1 1 r
.33789 .29331 .3477 .30684 .3632 .31131 .35359 .29423 Metetra
1 1 1 r
.35359 .29423 .3632 .31131 .37897 .31429 .36952 .29398 Metetra
1 1 1 r
.36952 .29398 .37897 .31429 .39503 .3149 .38568 .29212 Metetra
1 1 1 r
.38568 .29212 .39503 .3149 .41136 .31246 .40205 .2883 Metetra
1 1 1 r
.40205 .2883 .41136 .31246 .42793 .3066 .41862 .28236 Metetra
1 1 1 r
.41862 .28236 .42793 .3066 .4447 .2973 .43535 .27427 Metetra
1 1 1 r
.43535 .27427 .4447 .2973 .46159 .28492 .45221 .26422 Metetra
1 1 1 r
.45221 .26422 .46159 .28492 .47855 .27011 .46915 .25252 Metetra
1 1 1 r
.46915 .25252 .47855 .27011 .49554 .25377 .48616 .2396 Metetra
1 1 1 r
.48616 .2396 .49554 .25377 .51252 .23688 .5032 .22598 Metetra
1 1 1 r
.5032 .22598 .51252 .23688 .52948 .22041 .52026 .21222 Metetra
1 1 1 r
.52026 .21222 .52948 .22041 .54644 .20521 .53735 .19881 Metetra
1 1 1 r
.53735 .19881 .54644 .20521 .56344 .19191 .55447 .18621 Metetra
1 1 1 r
.55447 .18621 .56344 .19191 .58049 .18089 .57164 .17478 Metetra
1 1 1 r
.57164 .17478 .58049 .18089 .59766 .17222 .58889 .16472 Metetra
1 1 1 r
.58889 .16472 .59766 .17222 .61498 .16572 .60625 .15612 Metetra
1 1 1 r
.60625 .15612 .61498 .16572 .63247 .16099 .62374 .14893 Metetra
1 1 1 r
.62374 .14893 .63247 .16099 .65013 .15745 .64138 .14298 Metetra
1 1 1 r
.64138 .14298 .65013 .15745 .66798 .15447 .65918 .138 Metetra
1 1 1 r
.65918 .138 .66798 .15447 .68597 .1514 .67716 .13366 Metetra
1 1 1 r
.67716 .13366 .68597 .1514 .70408 .14769 .69529 .1296 Metetra
1 1 1 r
.69529 .1296 .70408 .14769 .72228 .14296 .71357 .12547 Metetra
1 1 1 r
.71357 .12547 .72228 .14296 .74053 .13702 .73197 .12095 Metetra
1 1 1 r
.73197 .12095 .74053 .13702 .75881 .12987 .75047 .11581 Metetra
1 1 1 r
.10122 .33538 .11129 .35046 .12609 .34355 .11607 .32824 Metetra
1 1 1 r
.11607 .32824 .12609 .34355 .14103 .33605 .13097 .32115 Metetra
1 1 1 r
.13097 .32115 .14103 .33605 .15607 .32818 .14592 .31429 Metetra
1 1 1 r
.14592 .31429 .15607 .32818 .17118 .32023 .16089 .30784 Metetra
1 1 1 r
.16089 .30784 .17118 .32023 .18632 .31255 .17587 .30195 Metetra
1 1 1 r
.17587 .30195 .18632 .31255 .20145 .30549 .19086 .29675 Metetra
1 1 1 r
.19086 .29675 .20145 .30549 .21657 .29938 .20585 .29234 Metetra
1 1 1 r
.20585 .29234 .21657 .29938 .23165 .29449 .22086 .28874 Metetra
1 1 1 r
.22086 .28874 .23165 .29449 .2467 .29098 .23591 .28594 Metetra
1 1 1 r
.23591 .28594 .2467 .29098 .26173 .28892 .251 .28387 Metetra
1 1 1 r
.251 .28387 .26173 .28892 .27678 .28824 .26617 .28241 Metetra
1 1 1 r
.26617 .28241 .27678 .28824 .29187 .28872 .28144 .28136 Metetra
1 1 1 r
.28144 .28136 .29187 .28872 .30706 .29002 .29683 .2805 Metetra
1 1 1 r
.29683 .2805 .30706 .29002 .32239 .29172 .31237 .27959 Metetra
1 1 1 r
.31237 .27959 .32239 .29172 .33789 .29331 .32807 .27836 Metetra
1 1 1 r
.32807 .27836 .33789 .29331 .35359 .29423 .34394 .27655 Metetra
1 1 1 r
.34394 .27655 .35359 .29423 .36952 .29398 .36 .27393 Metetra
1 1 1 r
.36 .27393 .36952 .29398 .38568 .29212 .37624 .27029 Metetra
1 1 1 r
.37624 .27029 .38568 .29212 .40205 .2883 .39265 .26549 Metetra
1 1 1 r
.39265 .26549 .40205 .2883 .41862 .28236 .40922 .25947 Metetra
1 1 1 r
.40922 .25947 .41862 .28236 .43535 .27427 .42593 .2522 Metetra
1 1 1 r
.42593 .2522 .43535 .27427 .45221 .26422 .44276 .24377 Metetra
1 1 1 r
.44276 .24377 .45221 .26422 .46915 .25252 .4597 .23431 Metetra
1 1 1 r
.4597 .23431 .46915 .25252 .48616 .2396 .47671 .224 Metetra
1 1 1 r
.47671 .224 .48616 .2396 .5032 .22598 .49379 .21309 Metetra
1 1 1 r
.49379 .21309 .5032 .22598 .52026 .21222 .51093 .20183 Metetra
1 1 1 r
.51093 .20183 .52026 .21222 .53735 .19881 .52811 .19049 Metetra
1 1 1 r
.52811 .19049 .53735 .19881 .55447 .18621 .54535 .17932 Metetra
1 1 1 r
.54535 .17932 .55447 .18621 .57164 .17478 .56265 .16855 Metetra
1 1 1 r
.56265 .16855 .57164 .17478 .58889 .16472 .58001 .15837 Metetra
1 1 1 r
.58001 .15837 .58889 .16472 .60625 .15612 .59746 .14892 Metetra
1 1 1 r
.59746 .14892 .60625 .15612 .62374 .14893 .61502 .14027 Metetra
1 1 1 r
.61502 .14027 .62374 .14893 .64138 .14298 .63269 .13245 Metetra
1 1 1 r
.63269 .13245 .64138 .14298 .65918 .138 .65049 .12542 Metetra
1 1 1 r
.65049 .12542 .65918 .138 .67716 .13366 .66844 .1191 Metetra
1 1 1 r
.66844 .1191 .67716 .13366 .69529 .1296 .68654 .11334 Metetra
1 1 1 r
.68654 .11334 .69529 .1296 .71357 .12547 .7048 .10801 Metetra
1 1 1 r
.7048 .10801 .71357 .12547 .73197 .12095 .72321 .1029 Metetra
1 1 1 r
.72321 .1029 .73197 .12095 .75047 .11581 .74176 .09785 Metetra
1 1 1 r
.09084 .32183 .10122 .33538 .11607 .32824 .10557 .31578 Metetra
1 1 1 r
.10557 .31578 .11607 .32824 .13097 .32115 .12034 .31002 Metetra
1 1 1 r
.12034 .31002 .13097 .32115 .14592 .31429 .13515 .30459 Metetra
1 1 1 r
.13515 .30459 .14592 .31429 .16089 .30784 .15 .29955 Metetra
1 1 1 r
.15 .29955 .16089 .30784 .17587 .30195 .16489 .2949 Metetra
1 1 1 r
.16489 .2949 .17587 .30195 .19086 .29675 .17983 .29067 Metetra
1 1 1 r
.17983 .29067 .19086 .29675 .20585 .29234 .19482 .28684 Metetra
1 1 1 r
.19482 .28684 .20585 .29234 .22086 .28874 .20988 .28336 Metetra
1 1 1 r
.20988 .28336 .22086 .28874 .23591 .28594 .22502 .28019 Metetra
1 1 1 r
.22502 .28019 .23591 .28594 .251 .28387 .24026 .27725 Metetra
1 1 1 r
.24026 .27725 .251 .28387 .26617 .28241 .25559 .27444 Metetra
1 1 1 r
.25559 .27444 .26617 .28241 .28144 .28136 .27105 .27167 Metetra
1 1 1 r
.27105 .27167 .28144 .28136 .29683 .2805 .28663 .26883 Metetra
1 1 1 r
.28663 .26883 .29683 .2805 .31237 .27959 .30236 .26579 Metetra
1 1 1 r
.30236 .26579 .31237 .27959 .32807 .27836 .31822 .26244 Metetra
1 1 1 r
.31822 .26244 .32807 .27836 .34394 .27655 .33423 .25869 Metetra
1 1 1 r
.33423 .25869 .34394 .27655 .36 .27393 .35039 .25444 Metetra
1 1 1 r
.35039 .25444 .36 .27393 .37624 .27029 .3667 .24961 Metetra
1 1 1 r
.3667 .24961 .37624 .27029 .39265 .26549 .38314 .24416 Metetra
1 1 1 r
.38314 .24416 .39265 .26549 .40922 .25947 .39973 .23805 Metetra
1 1 1 r
.39973 .23805 .40922 .25947 .42593 .2522 .41643 .23129 Metetra
1 1 1 r
.41643 .23129 .42593 .2522 .44276 .24377 .43325 .22389 Metetra
1 1 1 r
.43325 .22389 .44276 .24377 .4597 .23431 .45018 .21591 Metetra
1 1 1 r
.45018 .21591 .4597 .23431 .47671 .224 .4672 .20741 Metetra
1 1 1 r
.4672 .20741 .47671 .224 .49379 .21309 .4843 .19849 Metetra
1 1 1 r
.4843 .19849 .49379 .21309 .51093 .20183 .50149 .18924 Metetra
1 1 1 r
.50149 .18924 .51093 .20183 .52811 .19049 .51876 .17979 Metetra
1 1 1 r
.51876 .17979 .52811 .19049 .54535 .17932 .53609 .17023 Metetra
1 1 1 r
.53609 .17023 .54535 .17932 .56265 .16855 .5535 .1607 Metetra
1 1 1 r
.5535 .1607 .56265 .16855 .58001 .15837 .57099 .15128 Metetra
1 1 1 r
.57099 .15128 .58001 .15837 .59746 .14892 .58856 .14208 Metetra
1 1 1 r
.58856 .14208 .59746 .14892 .61502 .14027 .60622 .13318 Metetra
1 1 1 r
.60622 .13318 .61502 .14027 .63269 .13245 .62398 .12463 Metetra
1 1 1 r
.62398 .12463 .63269 .13245 .65049 .12542 .64184 .11647 Metetra
1 1 1 r
.64184 .11647 .65049 .12542 .66844 .1191 .65983 .10873 Metetra
1 1 1 r
.65983 .10873 .66844 .1191 .68654 .11334 .67794 .10138 Metetra
1 1 1 r
.67794 .10138 .68654 .11334 .7048 .10801 .69619 .09442 Metetra
1 1 1 r
.69619 .09442 .7048 .10801 .72321 .1029 .71457 .0878 Metetra
1 1 1 r
.71457 .0878 .72321 .1029 .74176 .09785 .73311 .08146 Metetra
1 1 1 r
.07972 .31275 .09084 .32183 .10557 .31578 .09436 .30769 Metetra
1 1 1 r
.09436 .30769 .10557 .31578 .12034 .31002 .10907 .30279 Metetra
1 1 1 r
.10907 .30279 .12034 .31002 .13515 .30459 .12384 .29806 Metetra
1 1 1 r
.12384 .29806 .13515 .30459 .15 .29955 .13869 .29349 Metetra
1 1 1 r
.13869 .29349 .15 .29955 .16489 .2949 .15361 .28906 Metetra
1 1 1 r
.15361 .28906 .16489 .2949 .17983 .29067 .16862 .28476 Metetra
1 1 1 r
.16862 .28476 .17983 .29067 .19482 .28684 .18371 .28055 Metetra
1 1 1 r
.18371 .28055 .19482 .28684 .20988 .28336 .1989 .27641 Metetra
1 1 1 r
.1989 .27641 .20988 .28336 .22502 .28019 .21419 .27229 Metetra
1 1 1 r
.21419 .27229 .22502 .28019 .24026 .27725 .22959 .26818 Metetra
1 1 1 r
.22959 .26818 .24026 .27725 .25559 .27444 .2451 .26401 Metetra
1 1 1 r
.2451 .26401 .25559 .27444 .27105 .27167 .26072 .25975 Metetra
1 1 1 r
.26072 .25975 .27105 .27167 .28663 .26883 .27646 .25537 Metetra
1 1 1 r
.27646 .25537 .28663 .26883 .30236 .26579 .29233 .25081 Metetra
1 1 1 r
.29233 .25081 .30236 .26579 .31822 .26244 .30832 .24605 Metetra
1 1 1 r
.30832 .24605 .31822 .26244 .33423 .25869 .32443 .24104 Metetra
1 1 1 r
.32443 .24104 .33423 .25869 .35039 .25444 .34067 .23577 Metetra
1 1 1 r
.34067 .23577 .35039 .25444 .3667 .24961 .35703 .2302 Metetra
1 1 1 r
.35703 .2302 .3667 .24961 .38314 .24416 .37351 .22433 Metetra
1 1 1 r
.37351 .22433 .38314 .24416 .39973 .23805 .39011 .21815 Metetra
1 1 1 r
.39011 .21815 .39973 .23805 .41643 .23129 .40683 .21164 Metetra
1 1 1 r
.40683 .21164 .41643 .23129 .43325 .22389 .42365 .20483 Metetra
1 1 1 r
.42365 .20483 .43325 .22389 .45018 .21591 .44058 .19772 Metetra
1 1 1 r
.44058 .19772 .45018 .21591 .4672 .20741 .45761 .19033 Metetra
1 1 1 r
.45761 .19033 .4672 .20741 .4843 .19849 .47474 .18269 Metetra
1 1 1 r
.47474 .18269 .4843 .19849 .50149 .18924 .49197 .17483 Metetra
1 1 1 r
.49197 .17483 .50149 .18924 .51876 .17979 .50929 .16679 Metetra
1 1 1 r
.50929 .16679 .51876 .17979 .53609 .17023 .5267 .15861 Metetra
1 1 1 r
.5267 .15861 .53609 .17023 .5535 .1607 .54421 .15032 Metetra
1 1 1 r
.54421 .15032 .5535 .1607 .57099 .15128 .5618 .14197 Metetra
1 1 1 r
.5618 .14197 .57099 .15128 .58856 .14208 .57949 .1336 Metetra
1 1 1 r
.57949 .1336 .58856 .14208 .60622 .13318 .59727 .12525 Metetra
1 1 1 r
.59727 .12525 .60622 .13318 .62398 .12463 .61515 .11695 Metetra
1 1 1 r
.61515 .11695 .62398 .12463 .64184 .11647 .63313 .10874 Metetra
1 1 1 r
.63313 .10874 .64184 .11647 .65983 .10873 .65121 .10063 Metetra
1 1 1 r
.65121 .10063 .65983 .10873 .67794 .10138 .6694 .09266 Metetra
1 1 1 r
.6694 .09266 .67794 .10138 .69619 .09442 .68771 .08484 Metetra
1 1 1 r
.68771 .08484 .69619 .09442 .71457 .0878 .70614 .07718 Metetra
1 1 1 r
.70614 .07718 .71457 .0878 .73311 .08146 .7247 .06968 Metetra
1 1 1 r
.06807 .30633 .07972 .31275 .09436 .30769 .08275 .30138 Metetra
1 1 1 r
.08275 .30138 .09436 .30769 .10907 .30279 .09752 .29646 Metetra
1 1 1 r
.09752 .29646 .10907 .30279 .12384 .29806 .11237 .29154 Metetra
1 1 1 r
.11237 .29154 .12384 .29806 .13869 .29349 .12732 .28663 Metetra
1 1 1 r
.12732 .28663 .13869 .29349 .15361 .28906 .14235 .28171 Metetra
1 1 1 r
.14235 .28171 .15361 .28906 .16862 .28476 .15749 .27677 Metetra
1 1 1 r
.15749 .27677 .16862 .28476 .18371 .28055 .17272 .27181 Metetra
1 1 1 r
.17272 .27181 .18371 .28055 .1989 .27641 .18805 .2668 Metetra
1 1 1 r
.18805 .2668 .1989 .27641 .21419 .27229 .20349 .26174 Metetra
1 1 1 r
.20349 .26174 .21419 .27229 .22959 .26818 .21903 .25661 Metetra
1 1 1 r
.21903 .25661 .22959 .26818 .2451 .26401 .23467 .25141 Metetra
1 1 1 r
.23467 .25141 .2451 .26401 .26072 .25975 .25042 .24613 Metetra
1 1 1 r
.25042 .24613 .26072 .25975 .27646 .25537 .26628 .24075 Metetra
1 1 1 r
.26628 .24075 .27646 .25537 .29233 .25081 .28225 .23526 Metetra
1 1 1 r
.28225 .23526 .29233 .25081 .30832 .24605 .29833 .22966 Metetra
1 1 1 r
.29833 .22966 .30832 .24605 .32443 .24104 .31452 .22393 Metetra
1 1 1 r
.31452 .22393 .32443 .24104 .34067 .23577 .33082 .21808 Metetra
1 1 1 r
.33082 .21808 .34067 .23577 .35703 .2302 .34722 .21209 Metetra
1 1 1 r
.34722 .21209 .35703 .2302 .37351 .22433 .36374 .20597 Metetra
1 1 1 r
.36374 .20597 .37351 .22433 .39011 .21815 .38037 .1997 Metetra
1 1 1 r
.38037 .1997 .39011 .21815 .40683 .21164 .3971 .1933 Metetra
1 1 1 r
.3971 .1933 .40683 .21164 .42365 .20483 .41394 .18675 Metetra
1 1 1 r
.41394 .18675 .42365 .20483 .44058 .19772 .43089 .18007 Metetra
1 1 1 r
.43089 .18007 .44058 .19772 .45761 .19033 .44795 .17325 Metetra
1 1 1 r
.44795 .17325 .45761 .19033 .47474 .18269 .46511 .16631 Metetra
1 1 1 r
.46511 .16631 .47474 .18269 .49197 .17483 .48237 .15924 Metetra
1 1 1 r
.48237 .15924 .49197 .17483 .50929 .16679 .49974 .15206 Metetra
1 1 1 r
.49974 .15206 .50929 .16679 .5267 .15861 .51721 .14477 Metetra
1 1 1 r
.51721 .14477 .5267 .15861 .54421 .15032 .53479 .13739 Metetra
1 1 1 r
.53479 .13739 .54421 .15032 .5618 .14197 .55246 .12992 Metetra
1 1 1 r
.55246 .12992 .5618 .14197 .57949 .1336 .57025 .12238 Metetra
1 1 1 r
.57025 .12238 .57949 .1336 .59727 .12525 .58813 .11477 Metetra
1 1 1 r
.58813 .11477 .59727 .12525 .61515 .11695 .60613 .10711 Metetra
1 1 1 r
.60613 .10711 .61515 .11695 .63313 .10874 .62422 .09941 Metetra
1 1 1 r
.62422 .09941 .63313 .10874 .65121 .10063 .64243 .09167 Metetra
1 1 1 r
.64243 .09167 .65121 .10063 .6694 .09266 .66075 .08391 Metetra
1 1 1 r
.66075 .08391 .6694 .09266 .68771 .08484 .67917 .07615 Metetra
1 1 1 r
.67917 .07615 .68771 .08484 .70614 .07718 .69772 .06838 Metetra
1 1 1 r
.69772 .06838 .70614 .07718 .7247 .06968 .71637 .06061 Metetra
1 1 1 r
.05646 .29855 .06807 .30633 .08275 .30138 .07125 .2932 Metetra
1 1 1 r
.07125 .2932 .08275 .30138 .09752 .29646 .08612 .28782 Metetra
1 1 1 r
.08612 .28782 .09752 .29646 .11237 .29154 .10109 .2824 Metetra
1 1 1 r
.10109 .2824 .11237 .29154 .12732 .28663 .11615 .27694 Metetra
1 1 1 r
.11615 .27694 .12732 .28663 .14235 .28171 .13131 .27144 Metetra
1 1 1 r
.13131 .27144 .14235 .28171 .15749 .27677 .14656 .2659 Metetra
1 1 1 r
.14656 .2659 .15749 .27677 .17272 .27181 .1619 .26031 Metetra
1 1 1 r
.1619 .26031 .17272 .27181 .18805 .2668 .17735 .25467 Metetra
1 1 1 r
.17735 .25467 .18805 .2668 .20349 .26174 .19289 .24898 Metetra
1 1 1 r
.19289 .24898 .20349 .26174 .21903 .25661 .20852 .24324 Metetra
1 1 1 r
.20852 .24324 .21903 .25661 .23467 .25141 .22426 .23744 Metetra
1 1 1 r
.22426 .23744 .23467 .25141 .25042 .24613 .2401 .23159 Metetra
1 1 1 r
.2401 .23159 .25042 .24613 .26628 .24075 .25604 .22568 Metetra
1 1 1 r
.25604 .22568 .26628 .24075 .28225 .23526 .27208 .21972 Metetra
1 1 1 r
.27208 .21972 .28225 .23526 .29833 .22966 .28822 .21369 Metetra
1 1 1 r
.28822 .21369 .29833 .22966 .31452 .22393 .30446 .2076 Metetra
1 1 1 r
.30446 .2076 .31452 .22393 .33082 .21808 .32081 .20145 Metetra
1 1 1 r
.32081 .20145 .33082 .21808 .34722 .21209 .33726 .19524 Metetra
1 1 1 r
.33726 .19524 .34722 .21209 .36374 .20597 .35382 .18896 Metetra
1 1 1 r
.35382 .18896 .36374 .20597 .38037 .1997 .37048 .18262 Metetra
1 1 1 r
.37048 .18262 .38037 .1997 .3971 .1933 .38725 .17621 Metetra
1 1 1 r
.38725 .17621 .3971 .1933 .41394 .18675 .40412 .16973 Metetra
1 1 1 r
.40412 .16973 .41394 .18675 .43089 .18007 .4211 .16319 Metetra
1 1 1 r
.4211 .16319 .43089 .18007 .44795 .17325 .43819 .15659 Metetra
1 1 1 r
.43819 .15659 .44795 .17325 .46511 .16631 .45538 .14992 Metetra
1 1 1 r
.45538 .14992 .46511 .16631 .48237 .15924 .47269 .14318 Metetra
1 1 1 r
.47269 .14318 .48237 .15924 .49974 .15206 .4901 .13638 Metetra
1 1 1 r
.4901 .13638 .49974 .15206 .51721 .14477 .50762 .12952 Metetra
1 1 1 r
.50762 .12952 .51721 .14477 .53479 .13739 .52526 .12259 Metetra
1 1 1 r
.52526 .12259 .53479 .13739 .55246 .12992 .543 .1156 Metetra
1 1 1 r
.543 .1156 .55246 .12992 .57025 .12238 .56086 .10855 Metetra
1 1 1 r
.56086 .10855 .57025 .12238 .58813 .11477 .57882 .10144 Metetra
1 1 1 r
.57882 .10144 .58813 .11477 .60613 .10711 .59691 .09427 Metetra
1 1 1 r
.59691 .09427 .60613 .10711 .62422 .09941 .6151 .08704 Metetra
1 1 1 r
.6151 .08704 .62422 .09941 .64243 .09167 .63342 .07976 Metetra
1 1 1 r
.63342 .07976 .64243 .09167 .66075 .08391 .65184 .07242 Metetra
1 1 1 r
.65184 .07242 .66075 .08391 .67917 .07615 .67039 .06503 Metetra
1 1 1 r
.67039 .06503 .67917 .07615 .69772 .06838 .68905 .05758 Metetra
1 1 1 r
.68905 .05758 .69772 .06838 .71637 .06061 .70784 .05009 Metetra
1 1 1 r
.04519 .28748 .05646 .29855 .07125 .2932 .06006 .2818 Metetra
1 1 1 r
.06006 .2818 .07125 .2932 .08612 .28782 .07502 .27609 Metetra
1 1 1 r
.07502 .27609 .08612 .28782 .10109 .2824 .09007 .27034 Metetra
1 1 1 r
.09007 .27034 .10109 .2824 .11615 .27694 .10521 .26456 Metetra
1 1 1 r
.10521 .26456 .11615 .27694 .13131 .27144 .12044 .25874 Metetra
1 1 1 r
.12044 .25874 .13131 .27144 .14656 .2659 .13576 .25288 Metetra
1 1 1 r
.13576 .25288 .14656 .2659 .1619 .26031 .15118 .24699 Metetra
1 1 1 r
.15118 .24699 .1619 .26031 .17735 .25467 .16669 .24105 Metetra
1 1 1 r
.16669 .24105 .17735 .25467 .19289 .24898 .18229 .23508 Metetra
1 1 1 r
.18229 .23508 .19289 .24898 .20852 .24324 .19799 .22907 Metetra
1 1 1 r
.19799 .22907 .20852 .24324 .22426 .23744 .21379 .22302 Metetra
1 1 1 r
.21379 .22302 .22426 .23744 .2401 .23159 .22968 .21693 Metetra
1 1 1 r
.22968 .21693 .2401 .23159 .25604 .22568 .24567 .2108 Metetra
1 1 1 r
.24567 .2108 .25604 .22568 .27208 .21972 .26176 .20463 Metetra
1 1 1 r
.26176 .20463 .27208 .21972 .28822 .21369 .27795 .19842 Metetra
1 1 1 r
.27795 .19842 .28822 .21369 .30446 .2076 .29425 .19217 Metetra
1 1 1 r
.29425 .19217 .30446 .2076 .32081 .20145 .31064 .18587 Metetra
1 1 1 r
.31064 .18587 .32081 .20145 .33726 .19524 .32713 .17954 Metetra
1 1 1 r
.32713 .17954 .33726 .19524 .35382 .18896 .34373 .17316 Metetra
1 1 1 r
.34373 .17316 .35382 .18896 .37048 .18262 .36044 .16674 Metetra
1 1 1 r
.36044 .16674 .37048 .18262 .38725 .17621 .37725 .16027 Metetra
1 1 1 r
.37725 .16027 .38725 .17621 .40412 .16973 .39416 .15376 Metetra
1 1 1 r
.39416 .15376 .40412 .16973 .4211 .16319 .41118 .14721 Metetra
1 1 1 r
.41118 .14721 .4211 .16319 .43819 .15659 .42832 .14062 Metetra
1 1 1 r
.42832 .14062 .43819 .15659 .45538 .14992 .44556 .13398 Metetra
1 1 1 r
.44556 .13398 .45538 .14992 .47269 .14318 .46291 .12729 Metetra
1 1 1 r
.46291 .12729 .47269 .14318 .4901 .13638 .48037 .12056 Metetra
1 1 1 r
.48037 .12056 .4901 .13638 .50762 .12952 .49794 .11378 Metetra
1 1 1 r
.49794 .11378 .50762 .12952 .52526 .12259 .51563 .10696 Metetra
1 1 1 r
.51563 .10696 .52526 .12259 .543 .1156 .53343 .10009 Metetra
1 1 1 r
.53343 .10009 .543 .1156 .56086 .10855 .55135 .09317 Metetra
1 1 1 r
.55135 .09317 .56086 .10855 .57882 .10144 .56938 .08621 Metetra
1 1 1 r
.56938 .08621 .57882 .10144 .59691 .09427 .58753 .0792 Metetra
1 1 1 r
.58753 .0792 .59691 .09427 .6151 .08704 .6058 .07214 Metetra
1 1 1 r
.6058 .07214 .6151 .08704 .63342 .07976 .62419 .06503 Metetra
1 1 1 r
.62419 .06503 .63342 .07976 .65184 .07242 .64271 .05787 Metetra
1 1 1 r
.64271 .05787 .65184 .07242 .67039 .06503 .66134 .05066 Metetra
1 1 1 r
.66134 .05066 .67039 .06503 .68905 .05758 .6801 .04341 Metetra
1 1 1 r
.6801 .04341 .68905 .05758 .70784 .05009 .69898 .0361 Metetra
1 1 1 r
.03409 .27453 .04519 .28748 .06006 .2818 .049 .26874 Metetra
1 1 1 r
.049 .26874 .06006 .2818 .07502 .27609 .064 .26292 Metetra
1 1 1 r
.064 .26292 .07502 .27609 .09007 .27034 .0791 .25707 Metetra
1 1 1 r
.0791 .25707 .09007 .27034 .10521 .26456 .09428 .25118 Metetra
1 1 1 r
.09428 .25118 .10521 .26456 .12044 .25874 .10955 .24525 Metetra
1 1 1 r
.10955 .24525 .12044 .25874 .13576 .25288 .12492 .23929 Metetra
1 1 1 r
.12492 .23929 .13576 .25288 .15118 .24699 .14038 .23329 Metetra
1 1 1 r
.14038 .23329 .15118 .24699 .16669 .24105 .15593 .22726 Metetra
1 1 1 r
.15593 .22726 .16669 .24105 .18229 .23508 .17158 .22119 Metetra
1 1 1 r
.17158 .22119 .18229 .23508 .19799 .22907 .18733 .21508 Metetra
1 1 1 r
.18733 .21508 .19799 .22907 .21379 .22302 .20317 .20894 Metetra
1 1 1 r
.20317 .20894 .21379 .22302 .22968 .21693 .21911 .20275 Metetra
1 1 1 r
.21911 .20275 .22968 .21693 .24567 .2108 .23514 .19653 Metetra
1 1 1 r
.23514 .19653 .24567 .2108 .26176 .20463 .25128 .19027 Metetra
1 1 1 r
.25128 .19027 .26176 .20463 .27795 .19842 .26752 .18397 Metetra
1 1 1 r
.26752 .18397 .27795 .19842 .29425 .19217 .28386 .17763 Metetra
1 1 1 r
.28386 .17763 .29425 .19217 .31064 .18587 .3003 .17126 Metetra
1 1 1 r
.3003 .17126 .31064 .18587 .32713 .17954 .31684 .16484 Metetra
1 1 1 r
.31684 .16484 .32713 .17954 .34373 .17316 .33349 .15838 Metetra
1 1 1 r
.33349 .15838 .34373 .17316 .36044 .16674 .35024 .15188 Metetra
1 1 1 r
.35024 .15188 .36044 .16674 .37725 .16027 .3671 .14534 Metetra
1 1 1 r
.3671 .14534 .37725 .16027 .39416 .15376 .38406 .13876 Metetra
1 1 1 r
.38406 .13876 .39416 .15376 .41118 .14721 .40114 .13214 Metetra
1 1 1 r
.40114 .13214 .41118 .14721 .42832 .14062 .41832 .12547 Metetra
1 1 1 r
.41832 .12547 .42832 .14062 .44556 .13398 .43561 .11876 Metetra
1 1 1 r
.43561 .11876 .44556 .13398 .46291 .12729 .45302 .11201 Metetra
1 1 1 r
.45302 .11201 .46291 .12729 .48037 .12056 .47053 .10521 Metetra
1 1 1 r
.47053 .10521 .48037 .12056 .49794 .11378 .48816 .09838 Metetra
1 1 1 r
.48816 .09838 .49794 .11378 .51563 .10696 .50591 .09149 Metetra
1 1 1 r
.50591 .09149 .51563 .10696 .53343 .10009 .52377 .08456 Metetra
1 1 1 r
.52377 .08456 .53343 .10009 .55135 .09317 .54174 .07759 Metetra
1 1 1 r
.54174 .07759 .55135 .09317 .56938 .08621 .55984 .07057 Metetra
1 1 1 r
.55984 .07057 .56938 .08621 .58753 .0792 .57805 .0635 Metetra
1 1 1 r
.57805 .0635 .58753 .0792 .6058 .07214 .59639 .05639 Metetra
1 1 1 r
.59639 .05639 .6058 .07214 .62419 .06503 .61484 .04923 Metetra
1 1 1 r
.61484 .04923 .62419 .06503 .64271 .05787 .63342 .04202 Metetra
1 1 1 r
.63342 .04202 .64271 .05787 .66134 .05066 .65212 .03477 Metetra
1 1 1 r
.65212 .03477 .66134 .05066 .6801 .04341 .67095 .02746 Metetra
1 1 1 r
.67095 .02746 .6801 .04341 .69898 .0361 .6899 .02011 Metetra
0 g
.25 Mabswid
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
gsave
.02757 .24618 -70 -14.5763 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.18558 .19702 m
.19014 .20174 L
s
gsave
.17646 .18758 -69.8492 -15 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.34306 .13535 m
.34735 .14032 L
s
gsave
.3345 .12542 -74.0356 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
1.000 setlinewidth
grestore
.51046 .06981 m
.51442 .07504 L
s
gsave
.50253 .05935 -73.3059 -15 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(15) show
1.000 setlinewidth
grestore
.68874 0 m
.69233 .00549 L
s
gsave
.68156 -0.01098 -72.5762 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.1552 .20892 m
.15797 .21172 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.27893 .16047 m
.28157 .16339 L
s
.3108 .14799 m
.31341 .15094 L
s
.37572 .12257 m
.37826 .12558 L
s
.40878 .10962 m
.41128 .11266 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.54521 .0562 m
.54755 .05937 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
gsave
.29165 .07573 -83.8124 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
%%BeginResource: font Times-Roman-MISO
%%BeginFont: Times-Roman-MISO
/Times-Roman /Times-Roman-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.250 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
68.312 11.812 moveto
(/) show
72.125 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
78.875 13.375 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
83.500 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 233.562},
  ImageMargins->{{62, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000jB000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00_P3oool400000080oooo0P00001J0?ooo`00_`3o
ool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool0E`3oool00<00oooo00@0
00000?ooo`3oool000000P3oool00`000000oooo0?ooo`1G0?ooo`00`03oool010000000oooo0?oo
o`0000020?ooo`030000003oool0oooo05L0oooo00310?ooo`030000003oool000000080oooo00<0
00000?ooo`3oool0E`3oool00;h0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000
003oool0oooo00H0oooo0P00001?0?ooo`00_`3oool2000000<0oooo0P0000080?ooo`040000003o
ool0oooo000004h0oooo003>0?ooo`040000003oool0oooo000004h0oooo003>0?ooo`040000003o
ool0oooo000004h0oooo003>0?ooo`040000003oool0oooo000004h0oooo00380?ooo`800000103o
ool010000000oooo0?ooo`00001>0?ooo`00aP3oool200000080oooo00<000000?ooo`3oool00P3o
ool2000004l0oooo00330?ooo`<00000103oool00`000000oooo0?ooo`1C0?ooo`00`03oool30000
00P0oooo00<000000?ooo`3oool0DP3oool00;h0oooo0`00000;0?ooo`030000003oool0oooo0540
oooo002k0?ooo`<000002`3oool2000000030?ooo`000000oooo0580oooo002i0?ooo`800000303o
ool2000000040?ooo`000000oooo0?ooo`800000D@3oool00;H0oooo0`00000;0?ooo`<00000103o
ool010000000oooo00000000001A0?ooo`00T03oool3000000040?ooo`0000000000000001d0oooo
0P0000000`3oool000000?ooo`090?ooo`80000000<0oooo0000003oool0103oool010000000oooo
0?ooo`00001A0?ooo`00T@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo01L0
oooo0`00000;0?ooo`<00000103oool00`000000oooo0?ooo`020?ooo`8000000P3oool00`000000
oooo0?ooo`1>0?ooo`00T@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01D0oooo
0P00000<0?ooo`80000000<0oooo0000003oool0103oool00`000000oooo0?ooo`02000000030?oo
o`000000oooo0080oooo00<000000?ooo`3oool0C@3oool005d0oooo00<000000?ooo`000000<@3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0180oooo0`00000:0?ooo`@00000103o
ool00`000000oooo0?ooo`020?ooo`<00000103oool010000000oooo0?ooo`00001?0?ooo`00GP3o
ool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00<000004P3oool300000080oooo00<0
00000?ooo`3oool0103oool400000080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`02000000030?ooo`000000oooo00@0oooo00D000000?ooo`3oool0oooo0000001>0?ooo`00C03o
ool010000000oooo0?ooo`0000030?ooo`040000003oool0oooo0?ooo`<000000`3oool300000300
oooo0P0000030?ooo`030000003oool0oooo00l0oooo0P00000:0?ooo`80000000<0oooo0000003o
ool0103oool00`000000oooo0?ooo`020?ooo`<00000103oool00`000000oooo0?ooo`020?ooo`80
00000`3oool00`000000oooo0?ooo`1;0?ooo`00C@3oool00`000000oooo000000030?ooo`050000
003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`0d0?ooo`040000003oool0oooo0?oo
o`<00000303oool3000000T0oooo0`0000040?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool00P0000000`3oool000000?ooo`040?ooo`030000003oool0oooo008000000P3oool01000
0000oooo00000000001=0?ooo`00CP3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo
00000080oooo00<000000?ooo`3oool0A@3oool2000000030?ooo`000000oooo00L0oooo0P000002
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool3000000@0oooo00<00000
0?ooo`3oool00P3oool3000000@0oooo0P0000020?ooo`030000003oool0oooo04X0oooo001>0?oo
o`800000103oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0480oooo0`000009
0?ooo`<00000103oool00`000000oooo0?ooo`030?ooo`040000003oool0000000000080oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`0200000080oooo0P0000000`3oool000000000
00020?ooo`040000003oool0oooo000004/0oooo001=0?ooo`040000003oool0oooo000000@0oooo
00<000000?ooo`3oool01@0000100?ooo`8000002P3oool200000080oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`04000000D0oooo00<000000?ooo`3oool0100000050?ooo`800000
1@3oool00`000000oooo0000001;0?ooo`00EP3oool00`000000oooo0?ooo`110?ooo`<000002P3o
ool2000000@0oooo00<000000?ooo`3oool00`3oool3000000<0oooo00<000000?ooo`3oool00`3o
ool3000000<0oooo0P0000020?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`80000000<0
oooo0000003oool0B@3oool005H0oooo00<000000?ooo`3oool0?`3oool200000080oooo00<00000
0?ooo`3oool01P3oool2000000030?ooo`000000oooo00@0oooo00<000000?ooo`3oool00P000000
0`3oool000000?ooo`040?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`02
0?ooo`<00000103oool00`000000oooo0?ooo`0200000080oooo0P00001:0?ooo`00U@3oool30000
00X0oooo0`0000040?ooo`030000003oool0oooo0080oooo0`0000040?ooo`030000003oool0oooo
0080oooo0`0000040?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`020?oo
o`<00000103oool3000004T0oooo002B0?ooo`<000002`3oool200000080oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`02000000030?ooo`000000oooo00@0oooo00<000000?ooo`3o
ool00P0000020?ooo`030000003oool0oooo0080oooo0`0000040?ooo`030000003oool0oooo0080
00000P3oool010000000oooo0?ooo`3oool3000000030?ooo`000000oooo04L0oooo002@0?ooo`80
000000<0oooo0000003oool01`3oool4000000@0oooo00<000000?ooo`3oool00P3oool3000000@0
oooo00<000000?ooo`3oool00P3oool3000000@0oooo00<000000?ooo`3oool00P0000020?ooo`03
0000003oool0oooo0080oooo0`0000040?ooo`@000000P3oool00`000000oooo000000180?ooo`00
S@3oool3000000T0oooo0`0000030?ooo`030000003oool0oooo00<0oooo00@000000?ooo`000000
00000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080000000<0oooo0000003o
ool01@3oool2000000@0oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo0080
000000<0oooo0000003oool0103oool00`000000oooo000000170?ooo`00R`3oool2000000X0oooo
0P0000000`3oool000000?ooo`030?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`030000
003oool0oooo0080oooo0`0000040?ooo`040000003oool0oooo0?ooo`80000000<0oooo0000003o
ool00`3oool3000000@0oooo0`0000040?ooo`030000003oool0oooo0080oooo00@000000?ooo`3o
ool00000AP3oool006<0oooo0`0000020?ooo`8000007P3oool3000000T0oooo0`0000040?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`040?ooo`04
0000003oool0000000000080oooo00<000000?ooo`3oool00P3oool010000000oooo000000000004
0?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P0000000`3oool000000?oo
o`040?ooo`040000003oool0oooo0?ooo`<0000000<0oooo0000003oool0A@3oool006@0oooo00@0
00000?ooo`3oool000000P3oool00`000000oooo0?ooo`0I0?ooo`8000000P3oool00`000000oooo
0?ooo`050?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0?ooo`@0
0000103oool00`000000oooo0?ooo`020?ooo`800000103oool00`000000oooo0?ooo`020?ooo`80
00001P3oool2000000@0oooo0`0000040?ooo`030000003oool0oooo0080oooo100000020?ooo`03
0000003oool0oooo00800000A03oool006@0oooo00@000000?ooo`3oool000000P3oool00`000000
oooo0?ooo`0F0?ooo`<000002P3oool2000000@0oooo00<000000?ooo`3oool00P3oool400000080
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3o
ool00P3oool010000000oooo0000000000020?ooo`8000000P3oool200000080oooo00@000000?oo
o`00000000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo008000000P3oool0
0`000000oooo0?ooo`020?ooo`040000003oool0oooo000004@0oooo001T0?ooo`040000003oool0
oooo00000080oooo00<000000?ooo`3oool04`3oool3000000/0oooo0P0000000`3oool000000?oo
o`040?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`020?ooo`<00000103oool010000000oooo0?ooo`3oool3000000D0oooo0`0000040?ooo`80
00001@3oool00`000000oooo0?ooo`04000000@0oooo00<000000?ooo`3oool00P3oool010000000
oooo0?ooo`0000090?ooo`8000000`3oool00`000000oooo0000000200000340oooo001T0?ooo`04
0000003oool0oooo00000080oooo00<000000?ooo`3oool04@3oool4000000T0oooo0`0000040?oo
o`030000003oool0oooo0080oooo0P0000040?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool00P0000020?ooo`030000003oool0oooo0080oooo100000030?ooo`030000003oool0oooo
008000000P3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool00P3oool30000
00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo
000000L0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`00000`0?ooo`00H`3o
ool200000080oooo00@000000?ooo`3oool00000403oool3000000/0oooo0P0000020?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`040?ooo`040000
003oool0oooo0?ooo`<00000103oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3o
ool00P3oool3000000@0oooo0`0000040?ooo`030000003oool0oooo0080000000<0oooo0000003o
ool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<000000`3oool00`000000
oooo0?ooo`040?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3oool0;P3oool006@0
oooo00@000000?ooo`3oool0oooo0P00000?0?ooo`8000002P3oool4000000@0oooo00<000000?oo
o`3oool00P3oool3000000@0oooo00<000000?ooo`3oool00P3oool010000000oooo000000000002
0?ooo`030000003oool0oooo0080oooo0`0000040?ooo`030000003oool0oooo008000000P3oool0
0`000000oooo0?ooo`0200000080oooo00@000000?ooo`3oool0oooo100000040?ooo`030000003o
ool0oooo0080oooo00@000000?ooo`3oool0oooo100000030?ooo`040000003oool0oooo000000H0
oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`0^0?ooo`00MP3oool4000000P0
oooo0`0000030?ooo`030000003oool0oooo00<0oooo00@000000?ooo`00000000000P3oool00`00
0000oooo0?ooo`020?ooo`040000003oool0oooo0?ooo`<000001@3oool010000000oooo00000000
00020?ooo`030000003oool0oooo0080oooo0`0000040?ooo`<00000103oool4000000<0oooo00<0
00000?ooo`3oool00P3oool010000000oooo0?ooo`3oool500000080oooo00<000000?ooo`3oool0
0P3oool010000000oooo0?ooo`3oool2000000@0oooo00@000000?ooo`3oool00000103oool30000
0340oooo001d0?ooo`8000002P3oool200000080oooo00<000000?ooo`3oool00P3oool010000000
oooo0?ooo`3oool3000000@0oooo00<000000?ooo`3oool00P3oool4000000<0oooo00<000000?oo
o`3oool00P3oool2000000D0oooo00@000000?ooo`00000000000P3oool2000000030?ooo`000000
00000080oooo0P0000000`3oool00000000000020?ooo`030000003oool0oooo0080oooo00@00000
0?ooo`3oool0oooo1@0000020?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool0oooo
0P000000103oool000000?ooo`0000040?ooo`040000003oool0oooo000000D0oooo00<000000?oo
o`3oool0<03oool00740oooo0`0000090?ooo`<00000103oool00`000000oooo0?ooo`020?ooo`@0
00000P3oool00`000000oooo0?ooo`030?ooo`040000003oool0000000000080oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`02000000030?ooo`000000oooo00D0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`030?ooo`800000103oool00`000000oooo0?ooo`020?oo
o`@000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00@000000?oo
o`00000000000P3oool010000000oooo0?ooo`0000050?ooo`8000001P3oool300000300oooo001_
0?ooo`8000002P3oool200000080oooo00<000000?ooo`3oool00`3oool010000000oooo00000000
00020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool2000000@0oooo00<0
00000?ooo`3oool00P3oool3000000@0oooo00@000000?ooo`3oool0oooo0P0000000`3oool00000
0?ooo`020?ooo`80000000@0oooo0000003oool0oooo0P0000020?ooo`030000003oool0oooo0080
oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool00P3oool2000000D0oooo00@000000?ooo`3oool00000?`3oool0
06`0oooo0`0000000`3oool00000000000060?ooo`<00000103oool00`000000oooo0?ooo`030?oo
o`800000103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080000000<0oooo0000
003oool0103oool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00@00000
0?ooo`00000000000`3oool010000000oooo0000000000030?ooo`<00000103oool010000000oooo
0?ooo`3oool3000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`04
0000003oool0000000000080oooo00<000000?ooo`3oool00P3oool200000080oooo00<000000?oo
o`3oool0?03oool006T0oooo0`0000090?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo0080000000<0oooo0000003oool0103oool010000000oooo0?ooo`3oool30000
00@0oooo00<000000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3oool00P3oool20000
00D0oooo0`0000020?ooo`8000000P3oool010000000oooo0?ooo`3oool500000080oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@00000103oool0
0`000000oooo0?ooo`0200000080oooo00<000000?ooo`000000?P3oool006L0oooo0P00000:0?oo
o`80000000<0oooo0000003oool00`3oool00`000000oooo0?ooo`020?ooo`<00000103oool00`00
0000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`02000000030?ooo`000000oooo00@0oooo00@000000?ooo`00000000000P3o
ool2000000030?ooo`000000000000<0oooo0P0000040?ooo`@000000P3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01@0000030?ooo`030000003o
ool0oooo0080oooo0`0000020?ooo`80000000<0oooo0000003oool00P00000l0?ooo`00I03oool3
000000030?ooo`000000oooo00H0oooo0`0000040?ooo`030000003oool0oooo0080oooo00@00000
0?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0?ooo`<00000
103oool00`000000oooo0?ooo`020?ooo`<00000103oool00`000000oooo0?ooo`020?ooo`800000
1@3oool2000000@0oooo0P0000000`3oool000000?ooo`0200000080oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0?ooo`@000000P3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo008000000P3oool00`000000oooo000000030?ooo`04
0000003oool00000000003`0oooo001R0?ooo`8000002P3oool200000080oooo00<000000?ooo`3o
ool00P3oool010000000oooo0?ooo`3oool3000000@0oooo00<000000?ooo`3oool00P3oool40000
0080oooo00<000000?ooo`3oool00`3oool010000000oooo0000000000020?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo008000000P3oool0
10000000oooo0000000000030?ooo`800000103oool00`000000oooo0?ooo`020?ooo`040000003o
ool0oooo0?ooo`D000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo
0`0000040?ooo`8000000`3oool3000000030?ooo`000000oooo03/0oooo001O0?ooo`<000002P3o
ool2000000@0oooo00<000000?ooo`3oool00P3oool400000080oooo00<000000?ooo`3oool00`3o
ool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
0P3oool2000000@0oooo00<000000?ooo`3oool00P3oool3000000D0oooo0P0000040?ooo`800000
0`3oool200000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0500000080oooo
00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool000000080oooo0P0000020?ooo`03
0000003oool0oooo008000000P3oool3000000<0oooo00<000000?ooo`000000>`3oool003d0oooo
0`00000M0?ooo`<000002P3oool200000080oooo00<000000?ooo`3oool00P3oool010000000oooo
0000000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool2000000@0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02000000030?ooo`000000oooo00@0
oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool2000000040?ooo`000000
oooo0?ooo`8000000P3oool3000000@0oooo00@000000?ooo`3oool0oooo100000030?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`3oool3000000D0
oooo0P0000030?ooo`<00000103oool010000000oooo0?ooo`00000j0?ooo`00?@3oool010000000
oooo0?ooo`00000I0?ooo`<000002P3oool3000000@0oooo00<000000?ooo`3oool00P3oool20000
00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02000000030?ooo`000000oooo
00@0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`030000003oool0oooo0080oooo0P000005
0?ooo`030000003oool0000000@0oooo0P0000030?ooo`80000000<0oooo0000000000000P3oool5
00000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00<0oooo0`0000020?ooo`040000003oool0oooo0?ooo`80000000<0oooo0000003oool00P00
00030?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000>P3oool00400oooo00<00000
0?ooo`3oool05@3oool2000000T0oooo100000030?ooo`030000003oool0oooo0080oooo00@00000
0?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@00000103o
ool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool00P3oool2000000<0oooo
0P0000001@3oool000000000003oool0000000D0oooo0P0000030?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0
00001@3oool00`000000oooo000000030?ooo`8000001@3oool010000000oooo0?ooo`3oool30000
00030?ooo`000000oooo03P0oooo00100?ooo`030000003oool0oooo0180oooo0`0000090?ooo`80
00000P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0?ooo`<00000103oool00`00
0000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo
0?ooo`<00000103oool00`000000oooo0?ooo`020?ooo`<00000103oool00`000000oooo0?ooo`02
00000080oooo00<000000?ooo`0000001@3oool00`000000oooo0?ooo`020?ooo`80000000<0oooo
0000003oool00P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0?ooo`T000000`3o
ool00`000000oooo0?ooo`020?ooo`8000000P3oool200000080oooo00@000000?ooo`3oool0oooo
1@0000020?ooo`040000003oool00000000003P0oooo000m0?ooo`<000004P3oool3000000T0oooo
0`0000040?ooo`030000003oool0oooo0080oooo100000020?ooo`030000003oool0oooo00<0oooo
00H000000?ooo`00000000000?ooo`0000040?ooo`030000003oool0oooo0080oooo100000020?oo
o`030000003oool0oooo00<0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`03
0?ooo`8000001@3oool00`000000oooo0?ooo`020?ooo`80000000<0oooo0000003oool00P000003
0?ooo`030000003oool0oooo00X000000P3oool01@000000oooo0?ooo`3oool0000000D0oooo00<0
00000?ooo`3oool00P0000020?ooo`800000103oool400000080oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0000000h0?ooo`00?P3oool00`000000oooo0?ooo`0?0?ooo`8000002@3oool3
000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3oool00P3o
ool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
0P3oool2000000@0oooo00@000000?ooo`3oool0oooo0P0000000`3oool000000?ooo`020?ooo`80
000000<0oooo0000003oool00P0000040?ooo`030000003oool0oooo00<0oooo0`0000030?ooo`05
0000003oool0oooo0?ooo`0000001@3oool01@000000oooo0?ooo`3oool0000000@0oooo0`000003
0?ooo`80000000<0oooo0000003oool00P0000000`3oool000000?ooo`040?ooo`030000003oool0
oooo0080oooo00@000000?ooo`3oool00000=`3oool003h0oooo0`00000<0?ooo`<000002@3oool2
000000030?ooo`000000oooo00<0oooo00<000000?ooo`3oool00P3oool2000000@0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`02000000030?ooo`000000oooo00<0oooo00<00000
0?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02
000000030?ooo`000000oooo00@0oooo00<000000?ooo`000000103oool00`000000oooo00000004
0?ooo`030000003oool0oooo0080oooo0P000000103oool000000?ooo`3oool2000000030?ooo`00
0000oooo00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`050000003o
ool0oooo0?ooo`0000000P3oool200000080oooo00@000000?ooo`0000000000103oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool0oooo0`0000020?oo
o`030000003oool0oooo02X0oooo00<000000?ooo`3oool01`3oool004/0oooo0P00000:0?ooo`80
0000103oool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`04000000@0oooo00<000000?ooo`3oool00P3oool01P00
0000oooo000000000000oooo000000D0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`030000
003oool0oooo0080oooo0P0000060?ooo`040000003oool0oooo0?ooo`80000000D0oooo00000000
0000oooo000000030?ooo`<00000103oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo
0?ooo`0000001@3oool00`000000oooo00000003000000D0oooo00<000000?ooo`3oool00P3oool2
000000030?ooo`000000oooo0080oooo00@000000?ooo`3oool0oooo1@0000020?ooo`040000003o
ool0oooo000001`0oooo0`00000=0?ooo`030000003oool0oooo00L0oooo00180?ooo`<000002P3o
ool2000000030?ooo`000000oooo00<0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`030000
003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool0
oooo0`0000040?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo008000000P3oool010000000oooo0?ooo`3oool2
000000040?ooo`000000oooo000000D0oooo00<000000?ooo`3oool00P0000020?ooo`8000000`3o
ool010000000oooo0?ooo`3oool=000000<0oooo00@000000?ooo`3oool0oooo0P0000000`3oool0
00000?ooo`02000000<0oooo00<000000?ooo`3oool01@0000020?ooo`030000003oool0oooo00<0
oooo00@000000?ooo`3oool00000703oool00`000000oooo0?ooo`0<0?ooo`<000001`3oool004H0
oooo0P0000090?ooo`@00000103oool010000000oooo0?ooo`3oool400000080oooo00<000000?oo
o`3oool00`3oool01P000000oooo000000000000oooo000000@0oooo00<000000?ooo`3oool00`3o
ool300000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`800000103o
ool00`000000oooo0?ooo`030?ooo`800000103oool010000000oooo0000000000040?ooo`030000
003oool0oooo0080oooo0P0000000`3oool00000000000050?ooo`P000000P3oool01@000000oooo
0?ooo`3oool0000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo000000040?ooo`03
0000003oool0oooo0080oooo100000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool00P3oool01@000000oooo0000003oool0000001/0oooo00<000000?ooo`3oool0303oool00`00
0000oooo000000070?ooo`00@`3oool3000000030?ooo`000000000000D0oooo0`0000030?ooo`03
0000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo0080oooo0P0000040?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool00`0000040?ooo`030000003oool0oooo00<0oooo00H000000?ooo`00000000000?ooo`00
00050?ooo`030000003oool0oooo0080000000<0oooo0000003oool0103oool00`000000oooo0?oo
o`030?ooo`040000003oool000000?ooo`8000000P3oool2000000040?ooo`000000oooo0?ooo`80
000000<0oooo0000003oool00P3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?oo
o`000000103oool00`000000oooo0?ooo`020?ooo`8000000`3oool2000000030?ooo`0000000000
008000000`3oool01@000000oooo0?ooo`3oool0000000@0oooo00@000000?ooo`3oool0oooo0`00
00020?ooo`030000003oool0oooo01X0oooo0P0000030?ooo`040000003oool0oooo0?ooo`<00000
0P3oool3000000L0oooo00110?ooo`8000002@3oool200000080oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`03000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`02000000030?ooo`000000oooo00<0oooo00<000000?ooo`3oool00P3oool3000000<0oooo00<0
00000?ooo`3oool00P3oool010000000oooo0?ooo`3oool3000000@0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo000000030?ooo`040000003oool0oooo0?ooo`80000000@0oooo0000003o
ool0oooo0P0000030?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`800000103oool01@00
0000oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003o
ool0oooo008000000P3oool00`000000oooo000000020?ooo`80000000<0oooo0000003oool00`3o
ool01@000000oooo0?ooo`3oool0000000<0oooo1@0000030?ooo`040000003oool0oooo000001/0
oooo00<000000?ooo`0000000P3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?oo
o`3oool02@3oool003h0oooo0`0000090?ooo`800000103oool00`000000oooo0?ooo`020?ooo`<0
00000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@00000103oool00`000000
oooo0?ooo`020?ooo`060000003oool000000000003oool00000103oool00`000000oooo0?ooo`02
0?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`020?ooo`8000001@3oool00`000000oooo000000030?ooo`030000003oool0000000@0oooo00<0
00000?ooo`3oool00P0000030?ooo`80000000<0oooo0000003oool00`3oool01@000000oooo0?oo
o`3oool0000000D0oooo00D000000?ooo`3oool0oooo000000020?ooo`@00000103oool200000080
oooo00D000000?ooo`3oool0oooo000000030?ooo`T000000`3oool00`000000oooo0?ooo`020?oo
o`8000000P3oool00`000000oooo0?ooo`0H0?ooo`040000003oool0oooo00000080oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo0?ooo`090?ooo`00>`3oool3000000030?ooo`000000
oooo00L0oooo0P0000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3o
ool01@000000oooo0?ooo`3oool0000000@0oooo0`0000030?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool0100000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
0`0000040?ooo`030000003oool0oooo00<0oooo00H000000?ooo`00000000000?ooo`0000060?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool02@000000oooo0?ooo`3oool0
00000?ooo`000000oooo000000040?ooo`030000003oool0oooo018000000`3oool00`000000oooo
0?ooo`0200000080oooo0P0000040?ooo`@000000P3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0000001/0oooo
00<000000?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00T0
oooo000i0?ooo`8000002P3oool3000000@0oooo00<000000?ooo`3oool00P3oool2000000@0oooo
00<000000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`050000003oool0oooo0?oo
o`000000103oool3000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?oo
o`<000000P3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo0?ooo`<00000103oool0
10000000oooo0?ooo`3oool2000000040?ooo`000000oooo0?ooo`80000000D0oooo000000000000
oooo000000030?ooo`050000003oool0oooo0?ooo`0000001@3oool300000080oooo00<000000?oo
o`3oool00P3oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool00P3oool3
000000<0oooo0P0000000`3oool000000?ooo`02000000030?ooo`000000oooo00@0oooo00D00000
0?ooo`3oool0oooo000000040?ooo`<00000103oool4000001T0oooo0`0000030?ooo`040000003o
ool0oooo0?ooo`D000002@3oool001L0oooo0P00000M0?ooo`<000002@3oool3000000<0oooo00<0
00000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00`0000040?ooo`030000003oool0oooo0080oooo00@000000?ooo`000000
00000P3oool01@000000oooo0?ooo`3oool0000000D0oooo00H000000?ooo`00000000000?ooo`00
00040?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo
0?ooo`020?ooo`040000003oool00000000000<0oooo00<000000?ooo`0000001@3oool01@000000
oooo0?ooo`3oool0000000<0oooo00<000000?ooo`0000000P3oool200000080oooo00D000000?oo
o`3oool0oooo000000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool0
10000000oooo0000000000020?ooo`040000003oool00000000000@0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00@000000?ooo`000000
00000P3oool00`000000oooo0?ooo`02000000040?ooo`000000oooo000000T0oooo0`00000D0?oo
o`030000003oool0oooo00h0oooo000F0?ooo`040000003oool0oooo000001X0oooo0P0000000`3o
ool000000?ooo`070?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00<00000103oool00`000000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00<00000103oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo
0?ooo`<00000103oool01@000000oooo0?ooo`3oool0000000@0oooo0P0000040?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`050000003o
ool000000?ooo`0000000`3oool010000000oooo0?ooo`3oool2000000@0oooo00D000000?ooo`3o
ool0oooo000000040?ooo`050000003oool0oooo0?ooo`0000000`3oool3000000D0oooo00<00000
0?ooo`3oool00P3oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`03000000D0oooo0P0000030?ooo`80000000<0oooo0000003oool0203oool0
0`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00h0oooo000F0?ooo`040000003oool0oooo
000001L0oooo0`0000090?ooo`<00000103oool00`000000oooo0?ooo`020?ooo`<000000`3oool0
0`000000oooo0?ooo`020?ooo`060000003oool000000000003oool00000103oool00`000000oooo
0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`060000003oool0oooo0?ooo`00
0000oooo0P0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool01P00
0000oooo000000000000oooo000000D0oooo00<000000?ooo`3oool00P0000000`3oool000000?oo
o`030?ooo`030000003oool000000080oooo0P0000030?ooo`8000000P3oool00`000000oooo0?oo
o`02000000030?ooo`000000oooo0080oooo4P0000030?ooo`030000003oool0oooo0080000000<0
oooo0000003oool00P0000030?ooo`030000003oool0oooo00X000000`3oool00`000000oooo0?oo
o`02000000030?ooo`000000oooo0080000000D0oooo0000003oool0oooo000000080?ooo`030000
003oool0oooo02@0oooo000F0?ooo`040000003oool0oooo000001D0oooo0P0000090?ooo`<00000
0`3oool00`000000oooo0?ooo`020?ooo`060000003oool000000000003oool00000103oool01000
0000oooo0?ooo`3oool3000000@0oooo00<000000?ooo`3oool00P3oool01P000000oooo00000000
0000oooo000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`03000000@0oooo
00<000000?ooo`3oool00P3oool010000000oooo0?ooo`3oool3000000@0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo000000030?ooo`050000003oool0oooo0?ooo`0000000P3oool00`00
0000oooo000000040?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`020?oo
o`<000000P3oool01@000000oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3oool0oooo0000
00050?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool00P3oool400000080oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo000000080?ooo`030000003oool0oooo02@0oooo000F
0?ooo`040000003oool0oooo00000180oooo0`0000000`3oool000000?ooo`060?ooo`80000000<0
oooo0000003oool0103oool00`000000oooo0?ooo`03000000@0oooo00@000000?ooo`3oool0oooo
100000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool0oooo0`0000040?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00P3oool300000080oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`020?ooo`8000001@3oool00`000000oooo000000040?ooo`030000003oool0oooo0080
oooo00H000000?ooo`3oool0oooo0000003oool2000000<0oooo0P0000000`3oool000000?ooo`03
0?ooo`050000003oool0oooo0?ooo`000000103oool01@000000oooo0?ooo`3oool0000000@0oooo
0P0000030?ooo`80000000<0oooo0000000000000P0000030?ooo`050000003oool0oooo0?ooo`00
0000103oool010000000oooo0?ooo`3oool3000000<0oooo0P0000000`3oool000000?ooo`020?oo
o`030000003oool0oooo008000001P3oool00`000000oooo0?ooo`0T0?ooo`005P3oool010000000
oooo0?ooo`00000?0?ooo`<000002@3oool3000000@0oooo00<000000?ooo`3oool00P3oool30000
00<0oooo00H000000?ooo`3oool0oooo0000003oool200000080oooo00<000000?ooo`3oool00P3o
ool010000000oooo0?ooo`3oool400000080oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`020?ooo`<000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00`0000040?ooo`030000003oool0oooo00<0oooo00H000000?ooo`000000
00000?ooo`0000060?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000`3oool01000
0000oooo0?ooo`0000020?ooo`050000003oool000000?ooo`000000103oool01@000000oooo0?oo
o`3oool0000000<0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool000000080
oooo0P0000020?ooo`030000003oool000000080oooo0P0000000`3oool000000?ooo`030?ooo`05
0000003oool0oooo0?ooo`0000000`3oool500000080oooo00@000000?ooo`00000000000`3oool0
0`000000oooo0?ooo`04000000030?ooo`000000oooo00@0oooo0P00000V0?ooo`005`3oool20000
00h0oooo0P0000090?ooo`<000000`3oool01@000000oooo0?ooo`3oool000000080oooo0P000000
0`3oool000000?ooo`030?ooo`030000003oool0oooo00<00000103oool00`000000oooo0?ooo`02
0?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`020?ooo`060000003oool000000000003oool00000103oool00`000000oooo0?ooo`020?ooo`04
0000003oool0oooo0?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo
0?ooo`<00000103oool010000000oooo0?ooo`3oool3000000<0oooo00L000000?ooo`3oool0oooo
0000003oool000000080oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo
00<0oooo500000040?ooo`8000000P3oool01@000000oooo0?ooo`3oool0000000<0oooo2@000003
0?ooo`040000003oool0oooo0?ooo`8000001@3oool3000000<0oooo00<000000?ooo`0000001P3o
ool00`000000oooo0?ooo`0T0?ooo`00903oool3000000030?ooo`000000oooo00H0oooo0P000002
0?ooo`050000003oool0oooo0?ooo`0000000P3oool4000000@0oooo00@000000?ooo`3oool0oooo
0`0000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`0000040?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool0100000040?ooo`050000003oool0oooo0?ooo`00
0000103oool01P000000oooo000000000000oooo000000@0oooo00<000000?ooo`3oool00P3oool0
10000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`0000000000
0`3oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo000000<0oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`8000000P3oool010000000oooo0?ooo`0000040?ooo`050000
003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`0200000080oooo0P0000040?ooo`@0
00000P3oool01@000000oooo0?ooo`3oool0000000D0oooo00@000000?ooo`00000000000P3oool0
0`000000oooo0?ooo`0200000080oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003o
ool0oooo02X0oooo000R0?ooo`8000002@3oool3000000@0oooo00<000000?ooo`3oool00P3oool2
000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool0100000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`03000000@0oooo00<000000?ooo`3oool00P3oool010000000oooo0?oo
o`3oool2000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000
003oool0000000@0oooo00@000000?ooo`00000000000`3oool010000000oooo0?ooo`0000030?oo
o`800000103oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00P3oool0
10000000oooo0?ooo`3oool3000000<0oooo0P0000000`3oool000000?ooo`02000000030?ooo`00
0000oooo00@0oooo00D000000?ooo`3oool0oooo000000040?ooo`800000103oool3000000@0oooo
00<000000?ooo`3oool00`0000020?ooo`030000003oool0oooo02T0oooo000P0?ooo`800000203o
ool3000000<0oooo00<000000?ooo`3oool00P3oool01P000000oooo000000000000oooo000000@0
oooo00<000000?ooo`3oool00`0000040?ooo`030000003oool0oooo0080oooo0`0000030?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool0100000030?ooo`050000003oool0oooo0?oo
o`0000001@3oool00`000000oooo0000000400000080oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`020?ooo`060000003oool000000000003oool000001@3oool00`000000oooo0?oo
o`02000000030?ooo`000000oooo00@0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?oo
o`000000oooo0080000000D0oooo0000003oool0oooo000000020?ooo`040000003oool000000000
0080oooo100000000`3oool000000?ooo`030?ooo`060000003oool0oooo0?ooo`000000oooo0P00
00020?ooo`80000000<0oooo0000003oool00`3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo0080oooo00D000000?ooo`3oool0oooo000000020?ooo`8000000P3oool010000000oooo
0000000000020?ooo`040000003oool0oooo0?ooo`@000000`3oool00`000000oooo0000000[0?oo
o`00803oool2000000H0oooo0P0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00`0000030?ooo`030000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo0080
oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00@000000`3oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool010000003
0?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000040?ooo`800000103o
ool00`000000oooo0?ooo`020?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo000000020?ooo`050000003oool0oooo0?ooo`0000000`3oool010000000oooo
0?ooo`0000020?ooo`030000003oool0oooo0080oooo0P0000020?ooo`030000003oool0000000/0
00001P3oool010000000oooo0?ooo`3oool2000000030?ooo`000000oooo0080oooo00@000000?oo
o`3oool0oooo200000040?ooo`800000103oool400000080oooo00<000000?ooo`3oool00P3oool0
10000000oooo00000000000Z0?ooo`007`3oool2000000D0oooo0P0000040?ooo`030000003oool0
oooo0080oooo0`0000030?ooo`060000003oool0oooo0?ooo`000000oooo0P0000020?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool00`0000050?ooo`030000003oool0oooo00@00000
0`3oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool0100000030?ooo`05
0000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`020?ooo`060000003oool00000
0000003oool00000103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00@0
00000?ooo`3oool000000P3oool00`000000oooo000000030?ooo`060000003oool0oooo0?ooo`00
0000oooo0P0000030?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`040000003o
ool0oooo000000@0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`3oool200000004
0?ooo`000000oooo000000<0oooo00<000000?ooo`3oool01@0000020?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool00P0000020?ooo`060000003oool000000000003oool000001@3o
ool010000000oooo0?ooo`3oool200000080oooo00<000000?ooo`3oool09`3oool00200oooo00@0
00000?ooo`3oool0oooo0P0000020?ooo`030000003oool0oooo0080oooo00H000000?ooo`000000
00000?ooo`0000040?ooo`030000003oool0oooo00<000001@3oool00`000000oooo0?ooo`040000
00<0oooo0P0000020?ooo`@000000`3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo
0?ooo`0000000P3oool400000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000`0000040?ooo`050000003oool0
oooo0?ooo`0000000`3oool3000000D0oooo00<000000?ooo`000000103oool00`000000oooo0?oo
o`020?ooo`050000003oool0oooo0?ooo`0000000P3oool2000000030?ooo`000000oooo0080oooo
00@000000?ooo`3oool000000`3oool01@000000oooo0?ooo`3oool0000000@0oooo00H000000?oo
o`3oool0oooo0000003oool2000000@0oooo00<000000?ooo`3oool00P3oool3000000<0oooo00<0
00000?ooo`3oool00P3oool010000000oooo0?ooo`3oool3000000D0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00<000000?ooo`00
0000:@3oool001l0oooo1@0000050?ooo`030000003oool0oooo00<00000103oool010000000oooo
0?ooo`3oool3000000<0oooo00<000000?ooo`3oool00P3oool3000000<0oooo00<000000?ooo`3o
ool00P3oool3000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`08000000<0
oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`0000000P3oool4
00000080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`<000000`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000P3oool0
1@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000`3oool00`000000oooo
0?ooo`020?ooo`H0000000<0oooo0000003oool00`3oool00`000000oooo0?ooo`03000000@0oooo
0P0000000`3oool000000?ooo`0200000080oooo00D000000?ooo`3oool0oooo000000040?ooo`04
0000003oool0000000000080oooo00@000000?ooo`3oool0oooo0P0000000`3oool000000?ooo`02
0?ooo`040000003oool0oooo0?ooo`<00000103oool010000000oooo0?ooo`00000X0?ooo`007`3o
ool2000000<0oooo00<000000?ooo`3oool00P3oool3000000<0oooo00H000000?ooo`3oool0oooo
0000003oool200000080oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?oo
o`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00@000000`3oool01@000000oooo0?ooo`3oool0000000<0oooo00D0
00000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo00@000000P3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool0oooo0P0000050?ooo`03
0000003oool0oooo0080oooo0P0000030?ooo`070000003oool0oooo0?ooo`000000oooo00000002
0?ooo`050000003oool0oooo0?ooo`0000000P3oool2000000030?ooo`000000oooo00<0oooo0P00
00030?ooo`030000003oool0000000P000000`3oool010000000oooo0000000000040?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool0200000040?ooo`040000003oool00000000000<0
oooo00<000000?ooo`3oool01@0000030?ooo`040000003oool0oooo0?ooo`8000000P3oool00`00
0000oooo0?ooo`0U0?ooo`007`3oool2000000@0oooo00@000000?ooo`00000000000P3oool01@00
0000oooo0?ooo`3oool000000080oooo0`0000050?ooo`030000003oool0oooo00<000001@3oool0
0`000000oooo0?ooo`04000000@0oooo00<000000?ooo`3oool0100000030?ooo`050000003oool0
oooo0?ooo`0000000`3oool00`000000oooo0?ooo`0=00000080oooo00<000000?ooo`3oool00P3o
ool01@000000oooo0?ooo`3oool0000000D0oooo0`0000000`3oool000000?ooo`040?ooo`030000
003oool0oooo008000000P3oool010000000oooo0?ooo`0000040?ooo`040000003oool0oooo0000
00<0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool0
oooo000000<0oooo00D000000?ooo`3oool0oooo000000040?ooo`040000003oool0oooo0?ooo`80
0000103oool2000000040?ooo`000000oooo0?ooo`@000000`3oool00`000000oooo0?ooo`020?oo
o`040000003oool0oooo0?ooo`8000001@3oool3000000<0oooo00<000000?ooo`3oool00P3oool0
10000000oooo0000000000020?ooo`040000003oool00000000002H0oooo000F0?ooo`8000001`3o
ool300000080oooo0`0000050?ooo`030000003oool0oooo00<000000`3oool200000080oooo1000
00030?ooo`8000000P3oool4000000<0oooo200000030?ooo`l000000`3oool01@000000oooo0?oo
o`3oool0000000<0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000@0
oooo00@000000?ooo`3oool0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000040?oo
o`030000003oool0000000@0oooo00D000000?ooo`000000oooo000000030?ooo`040000003oool0
oooo00000080oooo0`0000000`3oool000000?ooo`020?ooo`050000003oool0oooo0?ooo`000000
103oool01P000000oooo0?ooo`3oool000000?ooo`8000000P3oool010000000oooo000000000004
0?ooo`8000000`3oool01@000000oooo0?ooo`3oool0000000@0oooo00@000000?ooo`0000000000
0P3oool00`000000oooo0?ooo`0200000080oooo00D000000?ooo`3oool0oooo000000030?ooo`<0
0000103oool4000002H0oooo000E0?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3o
ool00P0000030?ooo`030000003oool0oooo0080oooo0`0000020?ooo`8000000P3oool4000000<0
oooo0P0000020?ooo`@000000`3oool4000000<0oooo0P0000020?ooo`@000000P3oool200000080
oooo0P0000020?ooo`8000000P3oool200000080oooo00D000000?ooo`3oool0oooo000000040?oo
o`050000003oool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`060000003oool0
00000000003oool00000103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`3o
ool000000P3oool01@000000oooo0?ooo`3oool0000000@0oooo3`0000040?ooo`800000103oool2
000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`03
000000@0oooo0`0000040?ooo`030000003oool0oooo00D000000P3oool00`000000oooo0?ooo`02
00000080oooo00<000000?ooo`0000009@3oool001D0oooo00@000000?ooo`3oool000001P3oool0
1@000000oooo0?ooo`3oool0000000@0oooo00@000000?ooo`00000000000P3oool00`000000oooo
0?ooo`020?ooo`8000000`3oool200000080oooo100000030?ooo`@000000`3oool200000080oooo
100000020?oooa@0000000<0oooo0000003oool00P3oool01@000000oooo0?ooo`3oool0000000@0
oooo00D000000?ooo`3oool0oooo000000020?ooo`<00000103oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo0080000000<0oooo0000003oool00`3oool2000000@0oooo00@000000?oo
o`3oool0oooo0`0000001@3oool000000?ooo`3oool000000080oooo00L000000?ooo`3oool00000
0?ooo`000000oooo008000000P3oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?oo
o`3oool00P3oool010000000oooo0000000000020?ooo`040000003oool00000000000<0oooo00<0
00000?ooo`3oool02@0000030?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0
oooo100000030?ooo`040000003oool0oooo0?ooo`<00000103oool00`000000oooo0000000U0?oo
o`005@3oool010000000oooo0?ooo`0000050?ooo`800000103oool00`000000oooo0?ooo`030000
00D0oooo00D000000?ooo`00000000000?ooo`0200000080oooo100000040?ooo`<000000`3oool2
00000080oooo100000030?ooo`<000000`3oool200000080oooo8P0000020?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo000000030?ooo`050000003oool0
oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000030?ooo`050000003oool0oooo0?ooo`00
00000P3oool010000000oooo0?ooo`0000030?ooo`040000003oool0oooo000000@0oooo00D00000
0?ooo`3oool0oooo000000040?ooo`040000003oool0oooo0?ooo`800000103oool2000000D0oooo
0`0000020?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`@0
00000P3oool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00<000000?oo
o`3oool00P3oool2000000030?ooo`000000oooo02<0oooo000E0?ooo`040000003oool0oooo0000
00D0oooo00<000000?ooo`3oool0103oool2000000<0oooo0P0000020?ooo`@000000`3oool30000
00<0oooo0P0000000`3oool00000000000020?ooo`8000000P3oool4000000<0oooo00@000000?oo
o`00000000000P3oool200000080oooo100000030?ooo`8000000P3oool;00000080oooo00D00000
0?ooo`3oool0oooo000000030?ooo`040000003oool0oooo000000D0oooo00D000000?ooo`3oool0
oooo000000040?ooo`8000001@3oool010000000oooo0?ooo`0000020?ooo`030000003oool00000
00@0oooo00P000000?ooo`3oool000000?ooo`000000oooo00000080oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo000000030?ooo`P0000000<0oooo0000003oool00P0000020?ooo`04
0000003oool0000000000080oooo00<000000?ooo`3oool00P0000020?ooo`050000003oool0oooo
0?ooo`000000103oool010000000oooo0000000000020?ooo`040000003oool0000000000080oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`03000000@0oooo00<000000?ooo`3oool0
0P0000001@3oool000000?ooo`3oool0000002<0oooo000E0?ooo`040000003oool0oooo000000D0
oooo00<000000?ooo`3oool01@3oool200000080oooo100000040?ooo`<000000P3oool200000080
oooo0`0000050?ooo`<000000`3oool200000080oooo0P0000050?ooo`<000000`3oool200000080
oooo100000030?ooo`030000003oool0oooo00L0000000D0oooo0000003oool0oooo000000030?oo
o`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`020?ooo`060000003oool0
00000000003oool000001@3oool00`000000oooo000000040?ooo`030000003oool0oooo0080oooo
00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo00000080oooo00P000000?oo
o`3oool0oooo0000003oool000000?ooo`80000000<0oooo0000003oool00`3oool00`000000oooo
00000002000000@0oooo0P0000040?ooo`<00000103oool01@000000oooo0?ooo`3oool0000000<0
oooo0`0000040?ooo`800000103oool00`000000oooo0?ooo`05000000<0oooo00<000000?ooo`3o
ool0100000040?ooo`<000008`3oool001H0oooo0P0000060?ooo`800000203oool2000000<0oooo
0P0000000`3oool00000000000020?ooo`030000003oool0oooo00@000000`3oool2000000030?oo
o`00000000000080oooo00<000000?ooo`3oool00P3oool300000080oooo0P0000000`3oool00000
000000020?ooo`030000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo00h00000
0P3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool00P3oool010000000
oooo0?ooo`3oool3000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?oo
o`030000003oool0000000<0oooo00@000000?ooo`3oool000000`3oool2000000040?ooo`000000
oooo000000<0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo0?ooo`00
0000103oool010000000oooo0000000000020?ooo`040000003oool0000000000080oooo00@00000
0?ooo`3oool0oooo2@0000020?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?oo
o`04000000<0oooo00<000000?ooo`3oool00P3oool3000000<0oooo00<000000?ooo`3oool00`00
00020?ooo`030000003oool0oooo0200oooo000N0?ooo`030000003oool0oooo00P0oooo0P000002
0?ooo`<000001@3oool2000000<0oooo0P0000020?ooo`<000001@3oool010000000oooo00000000
00020?ooo`040000003oool0oooo0?ooo`8000001@3oool010000000oooo0000000000020?ooo`04
0000003oool0oooo0?ooo`<000000`3oool200000080oooo1@0000000`3oool00000000000020000
00<0oooo00D000000?ooo`3oool0oooo000000040?ooo`<0000000<0oooo0000003oool0103oool0
0`000000oooo0?ooo`020?ooo`800000103oool00`000000oooo000000020?ooo`050000003oool0
oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`050000003oool0oooo0?ooo`00
00000P3oool00`000000oooo000000030?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00`0000050?ooo`030000003oool0oooo00<0oooo0`0000030?ooo`050000003oool0oooo0?oo
o`0000000P3oool4000000@0oooo0`0000030?ooo`050000003oool0oooo0?ooo`0000000P3oool2
00000080oooo00@000000?ooo`3oool0oooo0`0000030?ooo`040000003oool0oooo00000240oooo
000N0?ooo`030000003oool0oooo00X0oooo0P0000030?ooo`80000000D0oooo000000000000oooo
000000040?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`800000103oool010000000oooo
0000000000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool010000000
oooo0000000000020?ooo`030000003oool0oooo0080oooo0`0000030?ooo`<0000000<0oooo0000
003oool01`000000103oool000000?ooo`3oool3000000@0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0200000080oooo00@000000?ooo`3oool000000`3oool00`000000oooo0000
00020?ooo`050000003oool0oooo0?ooo`0000000P3oool3000000<0oooo00L000000?ooo`3oool0
oooo0000003oool000000080oooo2@0000030?ooo`030000003oool0oooo0080000000@0oooo0000
003oool0oooo0P0000000`3oool000000?ooo`030?ooo`030000003oool0oooo00@000000`3oool0
0`000000oooo0?ooo`0200000080oooo00D000000?ooo`3oool0oooo000000020?ooo`@00000103o
ool010000000oooo0000000000020?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000
oooo0?ooo`0O0?ooo`007@3oool2000000d0oooo0P0000020?ooo`<00000103oool010000000oooo
0000000000020?ooo`030000003oool0oooo0080oooo00H000000?ooo`00000000000?ooo`000005
0?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool0oooo0`0000050?ooo`030000003o
ool0oooo00<0oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool500000080
oooo00H000000?ooo`3oool0oooo0000003oool400000080oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`030?ooo`800000103oool00`000000oooo000000050?ooo`050000003oool0
oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`<0000000D0oooo0000003oool0
oooo000000030?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`070000003oool0oooo0?oo
o`000000oooo000000030?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo1000
00030?ooo`040000003oool0oooo0?ooo`<00000103oool00`000000oooo0?ooo`04000000<0oooo
00@000000?ooo`3oool0oooo0`0000040?ooo`030000003oool0oooo00<000000P3oool00`000000
oooo0?ooo`0N0?ooo`007@3oool00`000000oooo0?ooo`0>0?ooo`8000000`3oool010000000oooo
0?ooo`3oool2000000@0oooo00<000000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3o
ool00P0000000`3oool000000?ooo`030?ooo`030000003oool0000000<0oooo00<000000?ooo`3o
ool00P0000000`3oool000000?ooo`040?ooo`030000003oool0oooo0080oooo00@000000?ooo`00
000000000P3oool010000000oooo0?ooo`0000020?ooo`050000003oool0oooo0?ooo`0000000P3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`040?ooo`800000103oool01@000000oooo0000003oool0000000<0oooo
00H000000?ooo`3oool000000?ooo`0000030?ooo`040000003oool0oooo000000<0oooo00<00000
0?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<00000103oool2
000000@0oooo100000030?ooo`060000003oool0oooo0?ooo`000000oooo0P0000020?ooo`030000
003oool0oooo0080oooo0`0000030?ooo`040000003oool0oooo0?ooo`@000000P3oool010000000
oooo0?ooo`3oool4000000<0oooo00@000000?ooo`3oool00000203oool300000080oooo00<00000
0?ooo`0000000P00000=0?ooo`007@3oool200000100oooo00H000000?ooo`3oool0oooo0000003o
ool200000080oooo00<000000?ooo`3oool00P3oool01P000000oooo000000000000oooo000000@0
oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`020?ooo`800000103oool00`000000
oooo000000030?ooo`040000003oool0oooo0?ooo`<000001@3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00<000000`3oool01@000000oooo0?ooo`3oool0000000<0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`03000000H0oooo00<000000?ooo`3oool00`3oool0
1@000000oooo0000003oool0000000<0oooo00<000000?ooo`0000000P3oool010000000oooo0?oo
o`3oool2000000050?ooo`000000oooo0?ooo`0000000P3oool00`000000oooo0?ooo`09000000<0
oooo00@000000?ooo`00000000000P3oool010000000oooo0000000000020?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool00`0000040?ooo`030000003oool0oooo0080000000<0oooo
0000003oool00`3oool010000000oooo0000000000020?ooo`040000003oool0oooo0?ooo`@00000
0P3oool00`000000oooo0?ooo`020?ooo`80000000<0oooo0000003oool0203oool00`000000oooo
0?ooo`030?ooo`040000003oool0oooo000000`0oooo000M0?ooo`030000003oool0oooo00l0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo
0P0000040?ooo`040000003oool0oooo0?ooo`8000001@3oool01P000000oooo000000000000oooo
000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo000000030?ooo`030000003oool0
oooo0080000000<0oooo0000003oool0103oool200000080oooo0P0000020?ooo`050000003oool0
oooo0?ooo`000000103oool00`000000oooo0?ooo`020?ooo`8000000`3oool00`000000oooo0?oo
o`020?ooo`800000103oool01@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`0000020?ooo`050000003oool0oooo0?ooo`0000000`3oool2
000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`3oool2000000@0oooo0P00
00040?ooo`040000003oool0oooo0?ooo`@000000`3oool010000000oooo0?ooo`3oool3000000@0
oooo00<000000?ooo`3oool00`0000040?ooo`040000003oool0000000000080oooo00<000000?oo
o`3oool00P3oool010000000oooo0000000000020?ooo`030000003oool0000000P0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`0:0?ooo`007@3oool00`000000oooo0?ooo`0@0?oo
o`060000003oool000000000003oool00000103oool01P000000oooo000000000000oooo000000@0
oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`040?ooo`030000003oool0oooo
0080oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`3oool2000000030?ooo`000000
oooo0080oooo0`0000001@3oool000000?ooo`3oool0000000@0oooo00<000000?ooo`3oool00`00
00040?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000040?ooo`80
00000P3oool01P000000oooo0?ooo`000000oooo000000<0oooo00<000000?ooo`3oool00P000000
0`3oool000000?ooo`020?ooo`030000003oool0000000@0oooo00H000000?ooo`3oool0oooo0000
003oool200000080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`05000000<0
oooo00H000000?ooo`3oool0oooo0000003oool200000080oooo00<000000?ooo`3oool01@000003
0?ooo`030000003oool0oooo00<00000103oool00`000000oooo0?ooo`04000000@0oooo00@00000
0?ooo`3oool000001`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00X0oooo0007
0?ooo`8000000`3oool00`000000oooo00000003000000040?ooo`0000000000000000L0oooo00<0
00000?ooo`3oool04@3oool01@000000oooo0?ooo`3oool0000000@0oooo0P0000040?ooo`040000
003oool0oooo0?ooo`800000103oool010000000oooo0?ooo`3oool3000000@0oooo00<000000?oo
o`0000000`3oool010000000oooo0?ooo`3oool3000000D0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo000000030?ooo`070000003oool000000000003oool000000?ooo`0300000080oooo
00<000000?ooo`3oool0100000020?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo000000040?ooo`030000003oool0oooo008000000P3oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00D000000?ooo`3oool0oooo0000
00020?ooo`040000003oool0oooo0?ooo`L00000103oool2000000@0oooo0`0000030?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool00`0000040?ooo`<000000`3oool00`000000oooo
0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`04000000<0oooo00@000000?ooo`3oool0
oooo0`0000000`3oool000000?ooo`060?ooo`030000003oool0oooo00<0oooo0`00000=0?ooo`00
1P3oool010000000oooo0?ooo`0000050?ooo`050000003oool0oooo0?ooo`0000000P3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool00P3oool01P00
0000oooo000000000000oooo000000@0oooo00@000000?ooo`00000000000P3oool00`000000oooo
0?ooo`020?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0P0000050?ooo`03
0000003oool0000000<0oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`040?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0600000080
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0000000@0
oooo0P0000040?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo00000080oooo0P0000020?ooo`040000003oool0oooo0?ooo`<00000
0`3oool01P000000oooo0?ooo`3oool000000?ooo`8000000P3oool010000000oooo000000000002
0?ooo`050000003oool0oooo0?ooo`0000000`3oool4000000<0oooo00@000000?ooo`0000000000
0P3oool01@000000oooo0?ooo`3oool000000080oooo0P0000000`3oool000000?ooo`030?ooo`<0
00000`3oool010000000oooo0?ooo`3oool400000080oooo100000050?ooo`8000001P3oool00`00
0000oooo0?ooo`0<0?ooo`001P3oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0C0?ooo`040000003oool0oooo
0?ooo`800000103oool010000000oooo0?ooo`3oool2000000@0oooo00<000000?ooo`3oool00P3o
ool2000000@0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo0080oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`3oool200000004
0?ooo`000000oooo0?ooo`80000000<0oooo0000003oool00P3oool2000000050?ooo`000000oooo
0?ooo`0000001@3oool01@000000oooo0?ooo`3oool0000000D0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo0`0000020?ooo`050000003o
ool0oooo0?ooo`0000000P3oool01`000000oooo0000003oool000000?ooo`0000000`3oool00`00
0000oooo000000040?ooo`030000003oool0oooo00<00000103oool2000000@0oooo00<000000?oo
o`3oool01@0000030?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?ooo`04
000000@0oooo00@000000?ooo`00000000000P3oool01P000000oooo0?ooo`3oool000000?ooo`80
00000P3oool010000000oooo0?ooo`3oool200000080oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`040?ooo`<00000303oool000H0oooo00@000000?ooo`3oool000001P3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo0P00000D0?ooo`040000003oool00000
00000080oooo00H000000?ooo`3oool0oooo0000003oool200000080oooo00<000000?ooo`3oool0
0P3oool010000000oooo0000000000020?ooo`040000003oool0oooo0?ooo`800000103oool01000
0000oooo0?ooo`3oool3000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo00000003
0?ooo`030000003oool0000000<0oooo00D000000?ooo`00000000000?ooo`02000000050?ooo`00
0000oooo0?ooo`000000103oool01@000000oooo0?ooo`3oool0000000@0oooo0P0000040?ooo`03
0000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000030?ooo`040000
003oool0oooo000000<0oooo100000030?ooo`040000003oool0000000000080oooo00@000000?oo
o`3oool0oooo0`0000030?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3o
ool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool0100000040?ooo`030000003o
ool0oooo00<00000103oool010000000oooo0000000000020?ooo`030000003oool0000001/0oooo
00060?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`0000000P0000060?ooo`030000
003oool0oooo01@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`02000000@0oooo
00<000000?ooo`3oool00P3oool2000000@0oooo00@000000?ooo`00000000000P3oool00`000000
oooo0?ooo`020?ooo`030000003oool0000000<0oooo00<000000?ooo`3oool00P0000000`3oool0
00000?ooo`040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`020?ooo`<000000P3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?oo
o`0000000P3oool200000080oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`02000000050?ooo`000000oooo0?ooo`000000
0P3oool010000000oooo0?ooo`0000020?ooo`80000000<0oooo0000003oool00`3oool3000000<0
oooo00@000000?ooo`3oool0oooo0P0000040?ooo`040000003oool0000000000080oooo00D00000
0?ooo`3oool0oooo000000030?ooo`<00000103oool3000000<0oooo00<000000?ooo`3oool01000
00030?ooo`040000003oool0oooo0?ooo`@000000`3oool00`000000oooo0?ooo`03000000@0oooo
00@000000?ooo`3oool000006P3oool000H0oooo00@000000?ooo`3oool00000103oool010000000
oooo0?ooo`0000020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool05@3oool00`00
0000oooo0?ooo`020?ooo`<000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool00000
00000080oooo00@000000?ooo`3oool0oooo0P0000040?ooo`030000003oool0oooo0080oooo0P00
00040?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`800000
103oool00`000000oooo000000040?ooo`030000003oool000000080oooo00D000000?ooo`3oool0
oooo000000040?ooo`800000103oool010000000oooo0?ooo`0000030?ooo`030000003oool00000
00<0oooo00D000000?ooo`3oool000000?ooo`0200000080oooo00L000000?ooo`3oool0oooo0000
003oool000000080oooo00@000000?ooo`3oool00000103oool00`000000oooo000000040?ooo`04
0000003oool0000000000080oooo00@000000?ooo`3oool0oooo0P0000040?ooo`030000003oool0
oooo00D000000P3oool00`000000oooo0?ooo`0200000080oooo00@000000?ooo`3oool0oooo0`00
00030?ooo`040000003oool0oooo0?ooo`@000000P3oool010000000oooo0?ooo`3oool4000000<0
oooo00<000000?ooo`3oool00`0000020?ooo`030000003oool0oooo01L0oooo00070?ooo`800000
1P3oool2000000<0oooo0`0000040?ooo`800000603oool010000000oooo0000000000020?ooo`05
0000003oool0oooo0?ooo`0000000P3oool3000000@0oooo00@000000?ooo`00000000000P3oool0
0`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo
0P0000050?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo0?ooo`L00000103oool00`000000oooo00000002
000000D0oooo00@000000?ooo`3oool000000`3oool2000000@0oooo00@000000?ooo`3oool00000
0P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00<000000?oo
o`3oool00P0000020?ooo`040000003oool0oooo000000<0oooo0`0000040?ooo`040000003oool0
000000000080oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00@00000103o
ool010000000oooo0000000000020?ooo`060000003oool0oooo0?ooo`000000oooo0P0000020?oo
o`040000003oool0oooo0?ooo`@000000P3oool00`000000oooo0?ooo`020?ooo`<000000`3oool3
000001T0oooo000K0?ooo`030000003oool0oooo01P0oooo0P0000030?ooo`030000003oool0oooo
00@000000`3oool200000080oooo0`0000040?ooo`030000003oool0oooo00<00000103oool01000
0000oooo0000000000020?ooo`030000003oool0oooo0080oooo0P0000040?ooo`030000003oool0
000000<0oooo00<000000?ooo`000000103oool00`000000oooo000000030?ooo`80000000<0oooo
0000000000001@0000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`0000001@3oool0
1@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00`0000030?ooo`040000003o
ool0oooo00000080oooo00L000000?ooo`000000oooo0000003oool0000000@0oooo0`0000030?oo
o`030000003oool0oooo00<00000103oool3000000<0oooo00<000000?ooo`3oool0100000030?oo
o`040000003oool0oooo0?ooo`<00000103oool00`000000oooo0?ooo`03000000@0oooo00@00000
0?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`060000003oool000000000003oool0
0000103oool2000000030?ooo`000000oooo01L0oooo000K0?ooo`030000003oool0oooo01X0oooo
1P0000030?ooo`P000000P3oool8000000<0oooo00<000000?ooo`3oool00`0000050?ooo`040000
003oool0000000000080oooo00@000000?ooo`3oool0oooo0P0000050?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool00P3oool200000080oooo00D000000?ooo`3oool0oooo00000004
0?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`8000000`3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`0000000P3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo0?ooo`80000000<0oooo0000003oool00`3oool30000
00<0oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool3000000<0oooo00@0
00000?ooo`3oool0oooo100000020?ooo`040000003oool0oooo0?ooo`@000000`3oool00`000000
oooo0?ooo`03000000@0oooo00<000000?ooo`3oool0100000040?ooo`080000003oool000000000
003oool000000?ooo`00000H0?ooo`006`3oool2000001h0oooo1P0000030?ooo`L000000`3oool2
00000080oooo1`0000030?ooo`8000000P3oool3000000@0oooo00@000000?ooo`00000000000P3o
ool00`000000oooo0?ooo`02000000030?ooo`000000oooo0080oooo0P000000103oool000000?oo
o`3oool400000080oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool00`3oool01@000000oooo0000003oool0000000<0oooo00@000000?oo
o`3oool000000P3oool400000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?oo
o`02000000030?ooo`000000oooo00<0oooo00@000000?ooo`00000000000P3oool010000000oooo
0?ooo`3oool2000000@0oooo00@000000?ooo`00000000000P3oool01P000000oooo0?ooo`3oool0
00000?ooo`8000000P3oool010000000oooo0?ooo`3oool400000080oooo00<000000?ooo`3oool0
0P3oool3000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00@00000
103oool00`000000oooo0000000G0?ooo`006`3oool00`000000oooo0?ooo`0O0?ooo`030000003o
ool0oooo00@000000`3oool00`000000oooo0?ooo`08000000<0oooo2`0000030?ooo`040000003o
ool0oooo0?ooo`800000103oool00`000000oooo000000040?ooo`030000003oool0000000<0oooo
00<000000?ooo`0000000`3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo0080
oooo00@000000?ooo`3oool0oooo0P0000040?ooo`060000003oool0oooo0000003oool000000`3o
ool01P000000oooo0?ooo`000000oooo000000<0oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`020?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00`0000040?ooo`030000
003oool0oooo00<00000103oool010000000oooo0000000000020?ooo`030000003oool0oooo0080
oooo00H000000?ooo`00000000000?ooo`0000040?ooo`<000000`3oool010000000oooo0?ooo`3o
ool3000000<0oooo00<000000?ooo`3oool00`0000020?ooo`030000003oool0oooo01@0oooo000K
0?ooo`030000003oool0oooo0200oooo0P0000030?ooo`030000003oool0oooo0080oooo0P000003
0?ooo`8000000P3oool400000080oooo0P0000020?ooo`8000000P3oool01P000000oooo0?ooo`3o
ool000000?ooo`8000000P3oool010000000oooo0?ooo`3oool2000000H0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`020?ooo`80000000<0oooo0000003oool00P3oool00`000000
oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo00D000000?ooo`3oool0oooo00000003
0?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000030?ooo`<00000
0P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo008000000`3oool200000004
0?ooo`000000oooo0?ooo`<00000103oool3000000<0oooo00<000000?ooo`3oool0100000030?oo
o`030000003oool0oooo00<00000103oool00`000000oooo0?ooo`04000000@0oooo00H000000?oo
o`00000000000?ooo`0000040?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0
oooo0`0000030?ooo`<000005P3oool001/0oooo0P00000R0?ooo`030000003oool0oooo0080oooo
00H000000?ooo`00000000000?ooo`0000040?ooo`<000000`3oool00`000000oooo0?ooo`0?0000
00<0oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool2000000040?ooo`00
0000oooo0?ooo`<000001@3oool400000080oooo00<000000?ooo`3oool00`3oool2000000<0oooo
00@000000?ooo`3oool00000103oool200000080oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool01`000000oooo
0?ooo`000000oooo0000003oool00P0000040?ooo`8000000`3oool010000000oooo000000000002
0?ooo`040000003oool0oooo0?ooo`<000000`3oool010000000oooo0?ooo`3oool3000000<0oooo
00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00@00000103oool00`000000oooo
0?ooo`03000000@0oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool20000
00030?ooo`000000oooo01@0oooo000J0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3o
ool00P3oool2000000@0oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool3
000000<0oooo00<000000?ooo`3oool03P0000050?ooo`030000003oool0000000<0oooo00<00000
0?ooo`0000000`3oool00`000000oooo0?ooo`0300000080oooo0P0000020?ooo`030000003oool0
oooo00<00000103oool00`000000oooo000000040?ooo`030000003oool000000080oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`<000000P3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`0000000`3oool20000
00@0oooo00@000000?ooo`00000000000P3oool01P000000oooo0?ooo`3oool000000?ooo`800000
0P3oool010000000oooo0?ooo`3oool3000000<0oooo00<000000?ooo`3oool0100000030?ooo`03
0000003oool0oooo00D000000P3oool010000000oooo0?ooo`3oool3000000@0oooo00@000000?oo
o`00000000000P3oool00`000000oooo0000000D0?ooo`002P3oool2000000<0oooo00<000000?oo
o`0000000P0000060?ooo`030000003oool0oooo02<0oooo00@000000?ooo`00000000000P3oool0
10000000oooo0?ooo`3oool2000000@0oooo00@000000?ooo`00000000000P3oool00`000000oooo
0?ooo`020?ooo`8000000`3oool01@000000oooo0?ooo`3oool000000080oooo1P0000020?ooo`<0
0000103oool2000000@0oooo00<000000?ooo`0000000`3oool010000000oooo0000003oool50000
0080oooo00<000000?ooo`3oool00`3oool2000000@0oooo00<000000?ooo`3oool00P0000030?oo
o`030000003oool0000000<0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000`3oool2000000<0oooo00D000000?ooo`3oool000000?ooo`020000
0080oooo00<000000?ooo`3oool00`0000040?ooo`030000003oool0oooo00<00000103oool01000
0000oooo0000000000020?ooo`040000003oool0oooo0?ooo`<000000`3oool010000000oooo0?oo
o`3oool3000000<0oooo00<000000?ooo`3oool01@0000020?ooo`040000003oool0oooo0?ooo`<0
0000103oool00`000000oooo0000000D0?ooo`002@3oool010000000oooo0?ooo`0000040?ooo`04
0000003oool0oooo000000D0oooo0P00000U0?ooo`030000003oool0oooo0080oooo00H000000?oo
o`00000000000?ooo`0000050?ooo`030000003oool0oooo00<0oooo00H000000?ooo`0000000000
0?ooo`0000040?ooo`030000003oool0oooo00<000000`3oool5000000<0oooo00@000000?ooo`00
000000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`0000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo00L00000
0?ooo`3oool0oooo0000003oool000000080oooo0`0000020?ooo`040000003oool0oooo00000080
oooo00H000000?ooo`3oool000000?ooo`0000040?ooo`030000003oool0oooo0080oooo0`000003
0?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`03000000@0oooo00@00000
0?ooo`00000000000P3oool01P000000oooo0?ooo`3oool000000?ooo`8000000P3oool010000000
oooo0?ooo`3oool3000000<0oooo00<000000?ooo`3oool01@0000020?ooo`040000003oool0oooo
0?ooo`D000004`3oool000T0oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo02D0oooo00@000000?ooo`3oool0oooo0P0000040?ooo`030000003o
ool0oooo0080000000<0oooo0000003oool0103oool01@000000oooo0?ooo`3oool0000000@0oooo
0`0000020?ooo`8000000P3oool:000000D0oooo00D000000?ooo`00000000000?ooo`0200000003
0?ooo`000000000000<000000`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0?oo
o`800000103oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo00@00000
0?ooo`3oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00@000000?ooo`3o
ool000000P3oool01@000000oooo0?ooo`3oool0000000<0oooo0P0000000`3oool000000?ooo`02
00000080oooo00@000000?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo00@000000`3o
ool00`000000oooo0?ooo`03000000@0oooo00<000000?ooo`3oool00`0000040?ooo`040000003o
ool0000000000080oooo00@000000?ooo`3oool0oooo0`0000030?ooo`040000003oool0oooo0?oo
o`@000000P3oool010000000oooo0?ooo`00000B0?ooo`002@3oool010000000oooo0?ooo`000007
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool09@3oool010000000oooo00000000
00020?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`040000003oool0oooo0?oo
o`<00000103oool010000000oooo0000000000020?ooo`040000003oool0oooo0?ooo`<000000`3o
ool00`000000oooo0?ooo`0200000080oooo0P0000020?ooo`<00000103oool2000000<0oooo0`00
00020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool01@000000oooo
0?ooo`3oool0000000<0oooo00L000000?ooo`000000oooo0000003oool0000000<0oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`<000000P3oool01@000000oooo0?ooo`3oool0000000<0
oooo0P0000000`3oool000000?ooo`030?ooo`030000003oool0oooo0080oooo00@000000?ooo`00
000000000P3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool0100000030?oo
o`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`03000000@0oooo00@000000?oo
o`00000000000P3oool01P000000oooo0?ooo`3oool000000?ooo`8000000P3oool010000000oooo
0?ooo`3oool2000000030?ooo`000000oooo0140oooo00090?ooo`040000003oool0oooo000000@0
oooo0`0000060?ooo`8000009`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00`3oool00`000000oooo000000030?ooo`040000003oool0oooo0?oo
o`800000103oool010000000oooo0000000000020?ooo`040000003oool0oooo0?ooo`/000000`3o
ool010000000oooo0000000000020?ooo`060000003oool0oooo0000003oool000000`3oool01@00
0000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?oo
o`020?ooo`040000003oool0000000000080oooo00D000000?ooo`3oool0oooo000000020?ooo`03
0000003oool000000080oooo00<000000?ooo`0000000P3oool010000000oooo0?ooo`0000030?oo
o`040000003oool0oooo000000<0oooo0P0000000`3oool000000?ooo`020?ooo`800000103oool3
000000<0oooo00@000000?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo00@000000`3o
ool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool00`0000040?ooo`030000003o
ool0oooo00<00000103oool010000000oooo0000000000020?ooo`030000003oool000000140oooo
00090?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0X0?ooo`030000003oool0oooo0080oooo00H000000?ooo`00000000000?ooo`0000040?oo
o`800000103oool010000000oooo0000000000020?ooo`040000003oool0oooo0?ooo`800000103o
ool010000000oooo0000000000020?ooo`050000003oool0oooo0?ooo`0000000P3oool7000000@0
oooo00<000000?ooo`0000000P0000001@3oool000000?ooo`3oool0000000@0oooo0P0000040?oo
o`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000020?ooo`070000003oool0
oooo0?ooo`000000oooo000000020?ooo`030000003oool000000080oooo0`0000030?ooo`050000
003oool0oooo0?ooo`0000000P3oool2000000030?ooo`000000oooo0080oooo00H000000?ooo`00
000000000?ooo`0000020?ooo`80000000<0oooo0000003oool00`3oool01P000000oooo00000000
0000oooo000000@0oooo0`0000020?ooo`030000003oool0oooo0080oooo0`0000030?ooo`030000
003oool0oooo00@000000`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool0
0`0000040?ooo`040000003oool0oooo00000100oooo000:0?ooo`8000001P3oool3000000@0oooo
00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`03000000@0oooo00@000000?ooo`000000
00000P3oool010000000oooo0?ooo`3oool2000000@0oooo00@000000?ooo`00000000000P3oool0
10000000oooo0?ooo`3oool2000000@0oooo00<000000?ooo`3oool0100000030?ooo`050000003o
ool0oooo0?ooo`0000000P3oool3000000<0oooo100000000`3oool000000?ooo`03000000D0oooo
0P0000040?ooo`040000003oool0oooo0?ooo`80000000D0oooo0000003oool0oooo000000020?oo
o`060000003oool0oooo0000003oool000000P3oool00`000000oooo000000030?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool000001@3oool010000000oooo0?ooo`3oool30000
00@0oooo00<000000?ooo`3oool00`0000040?ooo`060000003oool000000000003oool00000103o
ool01P000000oooo000000000000oooo000000@0oooo0`0000020?ooo`040000003oool0oooo0?oo
o`@000000P3oool010000000oooo0?ooo`3oool400000080oooo00@000000?ooo`3oool0oooo1@00
00080?ooo`@00000103oool001T0oooo0P00000[0?ooo`8000000`3oool00`000000oooo0?ooo`03
000000@0oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool2000000@0oooo
00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`8000000`3oool200000080
oooo1`0000030?ooo`070000003oool000000000003oool000000?ooo`0300000080oooo00<00000
0?ooo`3oool0103oool01@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`0000000000
0`3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool40000
00<0oooo00P000000?ooo`3oool000000?ooo`000000oooo00000080oooo0`0000000`3oool00000
000000020?ooo`030000003oool0oooo00D000000P3oool00`000000oooo0?ooo`04000000@0oooo
00<000000?ooo`0000000`0000040?ooo`060000003oool000000000003oool000000`3oool40000
0080oooo00@000000?ooo`3oool0oooo100000020?ooo`030000003oool0oooo00D000000P3oool0
10000000oooo0?ooo`0000080?ooo`030000003oool0oooo00@0oooo000I0?ooo`030000003oool0
oooo02/0oooo0P0000020?ooo`<000000`3oool00`000000oooo0?ooo`03000000@0oooo00@00000
0?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00D0
00000?ooo`00000000000?ooo`0200000080oooo100000020?ooo`8000000P3oool200000080oooo
0P0000020?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo
0P0000030?ooo`050000003oool0oooo0?ooo`0000000P3oool01@000000oooo0?ooo`3oool00000
0080oooo00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool000000P3oool01@000000oooo0000003oool0000000<0oooo
00<000000?ooo`3oool00P3oool3000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000
003oool0oooo00@000000`3oool00`000000oooo0?ooo`04000000@0oooo0`0000020?ooo`030000
003oool0oooo0080oooo0`0000020?ooo`040000003oool0oooo0?ooo`<000000`3oool00`000000
oooo0?ooo`0300000080oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`00
6@3oool00`000000oooo0?ooo`0]0?ooo`8000000P3oool200000080oooo0`0000030?ooo`800000
0P3oool2000000D0oooo00H000000?ooo`00000000000?ooo`0000040?ooo`800000103oool30000
00<0oooo00<000000?ooo`3oool0200000020?ooo`@000000`3oool01@000000oooo0?ooo`3oool0
000000<0oooo00H000000?ooo`3oool000000?ooo`0000040?ooo`030000003oool0oooo00800000
0P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00<000000?ooo`000000
0`3oool2000000070?ooo`000000oooo0?ooo`000000oooo000000030?ooo`030000003oool0oooo
0080000000<0oooo0000003oool00P0000020?ooo`040000003oool0oooo0?ooo`<000000`3oool0
0`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0
oooo00<00000103oool00`000000oooo0?ooo`03000000@0oooo00@000000?ooo`00000000000P3o
ool010000000oooo0?ooo`3oool3000000<0oooo00<000000?ooo`000000203oool00`000000oooo
0?ooo`030?ooo`006@3oool2000002l0oooo1`0000020?ooo`8000000P3oool400000080oooo0P00
00020?ooo`<00000103oool010000000oooo0000000000020?ooo`040000003oool0000000000080
oooo00@000000?ooo`3oool0oooo0`0000030?ooo`050000003oool0oooo0?ooo`0000000P3oool5
00000080oooo00D000000?ooo`3oool0oooo000000030?ooo`060000003oool0oooo0000003oool0
00000`3oool010000000oooo0?ooo`0000020?ooo`8000000P3oool01P000000oooo0?ooo`000000
oooo00000080oooo00<000000?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo00000080oooo0P0000000`3oool000000?ooo`030?ooo`030000003oool0oooo0080
oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool3000000<0oooo00<00000
0?ooo`3oool0100000030?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`04
000000<0oooo00<000000?ooo`3oool00`0000040?ooo`040000003oool0000000000080oooo00@0
00000?ooo`3oool0oooo0P0000000`3oool000000?ooo`070?ooo`030000003oool0oooo0080oooo
000H0?ooo`030000003oool0oooo0340oooo0P0000020?ooo`L000000`3oool00`000000oooo0?oo
o`04000000<0oooo00<000000?ooo`3oool00`0000040?ooo`800000103oool010000000oooo0000
000000020?ooo`050000003oool0oooo0?ooo`0000000P3oool4000000<0oooo0P0000020?ooo`05
0000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
0080oooo00@000000?ooo`3oool000000`3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`80000000@0oooo0000003o
ool000000`3oool00`000000oooo000000030?ooo`80000000@0oooo0000003oool0oooo0`000004
0?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo0`0000030?ooo`040000
003oool0oooo0?ooo`<000000`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3o
ool0100000030?ooo`030000003oool0oooo00<00000103oool01@000000oooo000000000000oooo
008000001P3oool010000000oooo0?ooo`0000040?ooo`00603oool00`000000oooo0?ooo`0c0?oo
o`8000000P3oool200000080oooo1`0000030?ooo`030000003oool0oooo00@000000`3oool01000
0000oooo0000000000020?ooo`040000003oool0oooo0?ooo`800000103oool00`000000oooo0?oo
o`04000000<0oooo00<000000?ooo`3oool0100000000`3oool000000?ooo`030?ooo`8000001@3o
ool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000<0oooo0P000000103oool00000
0?ooo`0000020?ooo`030000003oool000000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00P0000000`3oool000000?oo
o`030?ooo`8000000`3oool00`000000oooo0?ooo`03000000@0oooo00@000000?ooo`0000000000
0P3oool01P000000oooo0?ooo`3oool000000?ooo`8000000P3oool010000000oooo0?ooo`3oool3
000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00@000000P3oool0
10000000oooo0?ooo`3oool3000000@0oooo00<000000?ooo`3oool01@3oool2000000D0oooo000H
0?ooo`<00000=03oool010000000oooo0?ooo`3oool3000000<0oooo00<000000?ooo`3oool00P00
00020?ooo`<000000`3oool00`000000oooo0?ooo`03000000@0oooo00@000000?ooo`0000000000
0P3oool010000000oooo0?ooo`3oool3000000<0oooo00<000000?ooo`3oool0100000020?ooo`D0
000000@0oooo00000000000000001@3oool00`000000oooo000000020?ooo`050000003oool0oooo
0?ooo`0000000P3oool010000000oooo0000000000020?ooo`030000003oool000000080oooo00@0
00000?ooo`3oool000000P3oool00`000000oooo000000020?ooo`<000000P3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo0?ooo`80000000<0oooo0000003oool00P3oool30000
00<0oooo00<000000?ooo`3oool00`0000040?ooo`030000003oool0oooo00<00000103oool01000
0000oooo0000000000020?ooo`040000003oool0oooo0?ooo`<000000P3oool010000000oooo0?oo
o`3oool400000080oooo00<000000?ooo`3oool01@0000020?ooo`030000003oool0oooo00<00000
3P3oool001P0oooo00<000000?ooo`3oool0=03oool010000000oooo0000000000020?ooo`050000
003oool0oooo0?ooo`0000000P3oool400000080oooo0P0000020?ooo`<000000`3oool200000080
oooo0P0000040?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo0`000003
0?ooo`050000003oool0oooo0?ooo`0000000P3oool200000080oooo00<000000?ooo`3oool00`3o
ool00`000000oooo000000020?ooo`040000003oool0oooo000000<0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00H000000?ooo`3o
ool000000?ooo`0000020?ooo`80000000D0oooo0000003oool0oooo000000020?ooo`80000000<0
oooo0000003oool00P3oool010000000oooo0000000000020?ooo`030000003oool0oooo00@00000
0`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool00`0000040?ooo`060000
003oool000000000003oool000000`3oool400000080oooo00@000000?ooo`3oool0oooo0`000003
0?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`0;0?ooo`000`3oool20000
00<0oooo00@000000?ooo`3oool000000`3oool3000000H0oooo00<000000?ooo`3oool0=@3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`04
00000080oooo0P0000020?ooo`@000000P3oool200000080oooo0P0000040?ooo`040000003oool0
000000000080oooo00<000000?ooo`3oool01`0000000`3oool000000?ooo`030?ooo`050000003o
ool0oooo0?ooo`0000000`3oool00`000000oooo000000020?ooo`050000003oool0oooo0?ooo`00
00000P3oool300000080oooo00<000000?ooo`0000000P3oool010000000oooo0?ooo`0000020?oo
o`050000003oool000000?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`040000003o
ool0oooo000000@0oooo0P0000040?ooo`<000000`3oool00`000000oooo0?ooo`04000000<0oooo
00<000000?ooo`3oool0100000020?ooo`040000003oool0oooo0?ooo`<00000103oool300000080
oooo00<000000?ooo`3oool00P3oool300000080oooo00@000000?ooo`3oool0oooo0`0000030?oo
o`030000003oool0oooo00<00000303oool00080oooo00@000000?ooo`3oool000001@3oool01@00
0000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool00`3oool2000003L0oooo00<00000
0?ooo`3oool00P3oool2000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0
oooo00@000000`3oool00`000000oooo0?ooo`0400000080oooo0P0000020?ooo`8000001@3oool2
000000<0oooo00@000000?ooo`3oool000000P3oool01@000000oooo0?ooo`3oool0000000<0oooo
00@000000?ooo`3oool0oooo0P0000030?ooo`040000003oool0oooo000000<0oooo00<000000?oo
o`0000000P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000P3o
ool00`000000oooo000000020?ooo`80000000X0oooo0000003oool0oooo0000003oool000000?oo
o`000000oooo0P0000020?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo
0`0000030?ooo`030000003oool0oooo00@000000P3oool00`000000oooo0?ooo`0500000080oooo
00<000000?ooo`3oool00`0000040?ooo`030000003oool0oooo00<00000103oool010000000oooo
0000000000020?ooo`040000003oool0oooo0?ooo`<000003`3oool00080oooo00@000000?ooo`3o
ool000001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool0>03oool01P000000oooo000000000000oooo000000@0oooo0P0000030?ooo`030000003o
ool0oooo00@000000`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool01000
00020?ooo`80000000D0oooo000000000000oooo000000030?ooo`030000003oool0oooo00800000
00<0oooo0000003oool00`3oool00`000000oooo000000050?ooo`040000003oool0oooo000000<0
oooo00@000000?ooo`3oool000000P3oool300000080oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool01P000000oooo0?oo
o`000000oooo000000<0oooo00<000000?ooo`3oool00P3oool2000000@0oooo00@000000?ooo`00
000000000P3oool010000000oooo0?ooo`3oool300000080oooo00<000000?ooo`3oool010000003
0?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`04000000<0oooo00<00000
0?ooo`3oool00`0000040?ooo`040000003oool0000000000180oooo00020?ooo`040000003oool0
oooo000000H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo03T0oooo00<000000?ooo`3oool00P3oool01P000000oooo000000000000oooo000000@0
oooo0P0000030?ooo`8000000P3oool3000000<0oooo00<000000?ooo`3oool0100000030?ooo`03
0000003oool0oooo00<00000103oool00`000000oooo0?ooo`03000000040?ooo`00000000000000
00@0oooo00<000000?ooo`000000103oool200000080oooo00D000000?ooo`3oool0oooo00000002
0?ooo`060000003oool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo0000
0080oooo00D000000?ooo`000000oooo000000020?ooo`030000003oool0oooo0080000000@0oooo
0000003oool000000P3oool010000000oooo0000003oool200000080oooo00<000000?ooo`3oool0
0`0000040?ooo`060000003oool000000000003oool000000`3oool3000000<0oooo00<000000?oo
o`3oool0100000030?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`040000
0080oooo00@000000?ooo`3oool0oooo0`00000D0?ooo`000P3oool010000000oooo0?ooo`000006
0?ooo`030000003oool0oooo00<000001@3oool2000003/0oooo00<000000?ooo`3oool00`000004
0?ooo`060000003oool000000000003oool00000103oool300000080oooo0P0000020?ooo`<00000
0`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool0100000020?ooo`D00000
103oool2000000D0oooo00D000000?ooo`000000oooo000000020?ooo`070000003oool0oooo0?oo
o`000000oooo000000020?ooo`<000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo
00<000000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo
00D000000?ooo`3oool0oooo000000040?ooo`<000000`3oool00`000000oooo0?ooo`03000000@0
oooo0`0000020?ooo`040000003oool0oooo0?ooo`<000000`3oool00`000000oooo0?ooo`040000
00<0oooo00<000000?ooo`3oool0100000020?ooo`030000003oool0oooo00D000005`3oool00080
oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`0000020?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0>`3oool2000000<0oooo00<000000?ooo`3oool00`000004
0?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo0`0000020?ooo`800000
0P3oool3000000<0oooo00@000000?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo00H0
000000D0oooo000000000000oooo000000040?ooo`060000003oool0oooo0000003oool000000P3o
ool01`000000oooo0?ooo`3oool000000?ooo`0000000P3oool01P000000oooo000000000000oooo
00000080oooo00<000000?ooo`0000000P3oool01@000000oooo0000003oool000000080oooo00<0
00000?ooo`3oool00P0000030?ooo`070000003oool0oooo0000003oool000000?ooo`0200000080
oooo00<000000?ooo`3oool0100000020?ooo`030000003oool0oooo00<00000103oool010000000
oooo0000000000020?ooo`040000003oool0oooo0?ooo`<000000`3oool00`000000oooo0?ooo`04
00000080oooo00<000000?ooo`3oool01000000L0?ooo`000`3oool2000000D0oooo100000020?oo
o`<00000103oool00`000000oooo0?ooo`0l0?ooo`8000000P3oool3000000<0oooo00<000000?oo
o`3oool00`0000040?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo0`00
00020?ooo`060000003oool0oooo0?ooo`000000oooo0P0000020?ooo`040000003oool0oooo0?oo
o`<000000`3oool010000000oooo0000000000040?ooo`050000003oool0oooo0?ooo`0000000`3o
ool01@000000oooo0?ooo`3oool000000080oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`060000003oool000000000003oool000000P3oool00`000000oooo000000020?ooo`050000003o
ool000000?ooo`0000000P3oool01P000000oooo000000000000oooo00000080oooo00D000000?oo
o`3oool0oooo000000040?ooo`<000000P3oool00`000000oooo0?ooo`04000000<0oooo00<00000
0?ooo`3oool00`0000040?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo
0`0000020?ooo`030000003oool0oooo00@00000803oool001L0oooo0P00000o0?ooo`8000000P3o
ool200000080oooo0`0000030?ooo`030000003oool0oooo00<00000103oool010000000oooo0000
000000020?ooo`040000003oool0oooo00000080oooo0`0000040?ooo`040000003oool000000000
0080oooo00@000000?ooo`3oool0oooo0`0000050?ooo`040000003oool0oooo000000@0oooo00@0
00000?ooo`3oool000000`3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?oo
o`3oool00`0000020?ooo`070000003oool000000?ooo`000000oooo000000020?ooo`030000003o
ool0oooo008000000P3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`000000
oooo0P000000103oool000000?ooo`3oool4000000<0oooo00<000000?ooo`3oool0100000030?oo
o`030000003oool0oooo00<00000103oool01P000000oooo000000000000oooo000000<0oooo0`00
000T0?ooo`005P3oool00`000000oooo0?ooo`100?ooo`030000003oool0oooo00@000000P3oool2
00000080oooo0`0000030?ooo`030000003oool0oooo00<00000103oool00`000000oooo0?ooo`03
000000<0oooo00<000000?ooo`3oool00`0000040?ooo`050000003oool000000000003oool00`00
00040?ooo`030000003oool0000000D0oooo00@000000?ooo`3oool000000`3oool00`000000oooo
000000020?ooo`030000003oool0000000<0oooo00<000000?ooo`0000000P0000020?ooo`050000
003oool000000?ooo`0000000P3oool01@000000oooo0000003oool000000080oooo0P0000001@3o
ool000000?ooo`3oool0000000<0oooo00<000000?ooo`3oool00P3oool2000000<0oooo00<00000
0?ooo`3oool0100000030?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`03
000000@0oooo0`00000W0?ooo`005P3oool00`000000oooo0?ooo`110?ooo`8000000`3oool00`00
0000oooo0?ooo`0400000080oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo
00@000000P3oool200000080oooo0`0000030?ooo`030000003oool0oooo00<00000103oool20000
00D0oooo0P0000040?ooo`050000003oool000000?ooo`0000000`3oool00`000000oooo00000002
0?ooo`030000003oool000000080oooo00P000000?ooo`3oool000000?ooo`000000oooo00000080
oooo00D000000?ooo`000000oooo000000020?ooo`050000003oool000000?ooo`0000000P3oool0
10000000oooo0?ooo`0000030?ooo`040000003oool000000?ooo`80000000<0oooo0000003oool0
0P3oool3000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00@00000
0P3oool00`000000oooo0?ooo`03000002T0oooo000F0?ooo`800000@`3oool00`000000oooo0?oo
o`04000000<0oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool0oooo00@000000`3o
ool00`000000oooo0?ooo`0400000080oooo0P0000020?ooo`<000000`3oool00`000000oooo0000
0004000000<0oooo0P0000050?ooo`040000003oool00000000000<0oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool3000000040?ooo`00
0000oooo00000080oooo00D000000?ooo`000000oooo000000020?ooo`030000003oool0oooo00<0
00000`3oool01@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`00000000000P3oool0
0`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool0100000020?ooo`030000003oool0
oooo00@00000;03oool001H0oooo00<000000?ooo`3oool0@`3oool2000000<0oooo00<000000?oo
o`3oool0100000020?ooo`8000000P3oool3000000<0oooo00<000000?ooo`3oool0100000030?oo
o`030000003oool0oooo00@000000P3oool00`000000oooo0?ooo`03000000<0oooo0P0000001@3o
ool000000000003oool0000000@0oooo00D000000?ooo`3oool0oooo000000030?ooo`060000003o
ool0oooo0000003oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`000000100000001`3oool000000?ooo`3oool000000?ooo`0000000P3oool02@000000oooo
0000003oool000000?ooo`000000oooo000000030?ooo`8000000P3oool3000000@0oooo0`000003
0?ooo`030000003oool0oooo00@000000P3oool00`000000oooo0?ooo`0400000300oooo001M0?oo
o`030000003oool0oooo0080oooo0P0000030?ooo`030000003oool0oooo00@000000P3oool00`00
0000oooo0?ooo`020?ooo`8000000`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?oo
o`3oool00`0000030?ooo`030000003oool0oooo00<00000103oool01@000000oooo0?ooo`3oool0
000000<0oooo0P0000020?ooo`030000003oool000000080oooo00<000000?ooo`0000000`3oool0
1`000000oooo0000003oool000000?ooo`0000000P3oool00`000000oooo00000002000000070?oo
o`000000oooo0?ooo`000000oooo000000020?ooo`030000003oool000000080oooo00D000000?oo
o`3oool0oooo000000020?ooo`8000000`3oool010000000oooo0000000000020?ooo`040000003o
ool0oooo0?ooo`<000000P3oool00`000000oooo0?ooo`04000003@0oooo001N0?ooo`060000003o
ool000000000003oool00000103oool2000000<0oooo00H000000?ooo`3oool0oooo0000003oool2
000000030?ooo`00000000000080oooo0`0000030?ooo`030000003oool0oooo00@000000P3oool2
00000080oooo0`0000000`3oool00000000000040?ooo`040000003oool0oooo000000<0oooo00<0
00000?ooo`0000000P3oool00`000000oooo000000020?ooo`030000003oool000000080oooo00`0
00000?ooo`3oool000000?ooo`000000oooo0000003oool000000?ooo`0000020?ooo`<0000000T0
oooo0000003oool0oooo0000003oool000000?ooo`0000000P3oool01@000000oooo0000003oool0
00000080oooo00<000000?ooo`0000000P3oool3000000@0oooo00H000000?ooo`00000000000?oo
o`0000030?ooo`<00000>03oool005l0oooo00<000000?ooo`3oool00P3oool01P000000oooo0000
00000000oooo000000<0oooo00<000000?ooo`3oool00`0000040?ooo`<000000P3oool00`000000
oooo0?ooo`04000000<0oooo00<000000?ooo`3oool0100000020?ooo`030000003oool000000080
0000103oool00`000000oooo000000030?ooo`030000003oool0oooo008000000P3oool00`000000
oooo000000020?ooo`060000003oool0oooo0000003oool000000P3oool02@000000oooo0000003o
ool000000?ooo`000000oooo000000020?ooo`<0000000@0oooo0000003oool0oooo0P0000020?oo
o`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`3oool2000000<0oooo00<0
00000?ooo`3oool00`0000040?ooo`<00000>`3oool00600oooo00<000000?ooo`3oool00`000003
0?ooo`030000003oool0oooo00@000000`3oool010000000oooo0000000000020?ooo`040000003o
ool0oooo0?ooo`8000000`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool0
1@0000040?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`060000003oool0oooo0000003o
ool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00/000000?ooo`000000oooo
0000003oool000000?ooo`000000oooo000000020?ooo`D0000000D0oooo0000003oool0oooo0000
00020?ooo`040000003oool0000000000080oooo0P0000000`3oool000000?ooo`020?ooo`<00000
0P3oool00`000000oooo0?ooo`03000003d0oooo001Q0?ooo`8000000`3oool00`000000oooo0?oo
o`03000000<0oooo00<000000?ooo`3oool00`0000040?ooo`060000003oool000000000003oool0
0000103oool2000000<0oooo00<000000?ooo`3oool0100000020?ooo`040000003oool000000000
0080oooo0`0000030?ooo`030000003oool0oooo0080oooo0`0000020?ooo`030000003oool00000
00<0oooo00L000000?ooo`000000oooo0000003oool000000080oooo00T000000?ooo`000000oooo
0000003oool000000?ooo`0000000P3oool010000000oooo0000000000020?ooo`040000003oool0
oooo00000080oooo0P0000000`3oool000000?ooo`020?ooo`040000003oool0000000000080oooo
00<000000?ooo`3oool00`0000100?ooo`00HP3oool00`000000oooo0?ooo`0400000080oooo0P00
00020?ooo`<000000`3oool00`000000oooo0?ooo`03000000@0oooo00H000000?ooo`0000000000
0?ooo`0000030?ooo`<000000`3oool00`000000oooo0?ooo`0600000080oooo00D000000?ooo`3o
ool0oooo000000030?ooo`040000003oool0000000000080oooo00<000000?ooo`0000000`3oool0
3@000000oooo0000003oool000000?ooo`000000oooo0000003oool000000?ooo`0000000P3oool0
20000000oooo0000003oool000000?ooo`000000oooo0`0000020?ooo`040000003oool0oooo0000
0080oooo00<000000?ooo`3oool00P3oool2000000@0oooo0`0000130?ooo`00H`3oool2000000<0
oooo00<000000?ooo`3oool0100000020?ooo`8000000P3oool3000000<0oooo00<000000?ooo`3o
ool00`0000030?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool0100000020?oo
o`8000001@3oool00`000000oooo000000040?ooo`060000003oool0oooo0000003oool000000P3o
ool010000000oooo0?ooo`0000020?ooo`0?0000003oool000000?ooo`000000oooo0000003oool0
00000?ooo`000000oooo0000003oool000000080oooo00@000000?ooo`00000000000P3oool30000
0080oooo00L000000?ooo`3oool000000?ooo`000000oooo008000000P3oool010000000oooo0000
000000160?ooo`00I03oool200000080oooo0`0000030?ooo`030000003oool0oooo00@000000P3o
ool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool00P0000040?ooo`<000000`3o
ool00`000000oooo0?ooo`03000000@0oooo00<000000?ooo`0000000`3oool010000000oooo0?oo
o`3oool300000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`0H0000003oool00000
0?ooo`000000oooo0000003oool000000?ooo`000000oooo0000003oool000000?ooo`000000oooo
0000003oool000000?ooo`000000oooo0P0000030?ooo`040000003oool0oooo000000@0oooo0P00
00180?ooo`00IP3oool200000080oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0
oooo00<000000`3oool00`000000oooo0?ooo`0400000080oooo00@000000?ooo`00000000000P3o
ool010000000oooo0?ooo`3oool300000080oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`0000000`3oool02`000000
oooo0000003oool000000?ooo`000000oooo0000003oool000000080oooo01H000000?ooo`000000
oooo0000003oool000000?ooo`000000oooo0000003oool000000?ooo`000000oooo0000003oool0
00000?ooo`000000oooo0P0000000`3oool000000?ooo`02000004X0oooo001W0?ooo`030000003o
ool0oooo00<000000`3oool00`000000oooo0?ooo`0400000080oooo0P0000020?ooo`<000000`3o
ool00`000000oooo0?ooo`02000000@0oooo00@000000?ooo`00000000000P3oool01@000000oooo
0?ooo`3oool0000000<0oooo0P0000030?ooo`050000003oool0oooo0?ooo`0000000P3oool30000
00<0oooo01d000000?ooo`000000oooo0000003oool000000?ooo`000000oooo0000003oool00000
0?ooo`000000oooo0000003oool000000?ooo`000000oooo0000003oool000000?ooo`000000oooo
000000030?ooo`030000003oool0000000<0oooo0P00001<0?ooo`00J03oool200000080oooo0P00
00020?ooo`<000000`3oool00`000000oooo0?ooo`0400000080oooo00<000000?ooo`3oool01000
00020?ooo`8000000P3oool2000000@0oooo00<000000?ooo`0000000P0000001@3oool000000000
003oool0000000<0oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00@000000?oo
o`3oool000000P3oool05P000000oooo0000003oool000000?ooo`000000oooo0000003oool00000
0?ooo`000000oooo0000003oool000000?ooo`000000oooo0000003oool200000080oooo00H00000
0?ooo`3oool000000?ooo`0000020?ooo`800000CP3oool006T0oooo00<000000?ooo`3oool01000
00020?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`03000000<0oooo00<0
00000?ooo`3oool0100000020?ooo`030000003oool0oooo00<000000`3oool00`000000oooo0?oo
o`020?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool000000P3oool40000000>0?oo
o`000000oooo0?ooo`000000oooo0000003oool000000?ooo`000000oooo0000003oool20000000<
0?ooo`000000oooo0000003oool000000?ooo`000000oooo0000003oool000000P3oool010000000
oooo0000003oool200000500oooo001Z0?ooo`8000000`3oool00`000000oooo0?ooo`03000000<0
oooo00<000000?ooo`3oool0100000020?ooo`030000003oool0oooo00@000000`3oool00`000000
oooo0?ooo`03000000<0oooo00@000000?ooo`0000000000103oool00`000000oooo000000030?oo
o`060000003oool0oooo0000003oool000000`3oool03P000000oooo0000003oool000000?ooo`00
0000oooo0000003oool000000?ooo`000000oooo3P0000020?ooo`060000003oool0oooo0000003o
ool00000D@3oool006/0oooo00<000000?ooo`3oool0100000020?ooo`8000000P3oool3000000<0
oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool0oooo00@000000P3oool00`000000
oooo0?ooo`0300000080oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool00000
0080oooo00@000000?ooo`3oool000000`3oool?000000080?ooo`00000000000?ooo`000000oooo
0000003oool2000000030?ooo`000000oooo008000000P3oool00`000000oooo0000001B0?ooo`00
K03oool2000000<0oooo00<000000?ooo`3oool0100000020?ooo`030000003oool0oooo00@00000
0P3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool00`0000030?ooo`030000
003oool000000080oooo0`0000030?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool000000P3oool030000000oooo0000003oool000000?ooo`000000oooo0000003oool000000?oo
o`80000000<0oooo0000003oool00P0000000`3oool000000?ooo`02000000040?ooo`0000000000
0?ooo`80000000<0oooo0000003oool0DP3oool006d0oooo0P0000020?ooo`<000000`3oool00`00
0000oooo0?ooo`03000000<0oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool0oooo
00@000000P3oool00`000000oooo0?ooo`06000000<0oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo000000030?ooo`0@0000003oool000000?ooo`000000oooo0000003oool000000?oo
o`000000oooo0000003oool000000?ooo`80000000D0oooo0000003oool000000?ooo`0300000004
0?ooo`000000oooo0?ooo`80000000<0oooo0000003oool0D`3oool006l0oooo0P0000020?ooo`03
0000003oool0oooo00@000000P3oool00`000000oooo0?ooo`0400000080oooo0P0000020?ooo`<0
00000`3oool00`000000oooo0?ooo`03000000<0oooo0P0000050?ooo`8000000P3oool010000000
oooo0?ooo`0000030?ooo`0>0000003oool000000?ooo`000000oooo0000003oool000000?ooo`00
0000oooo0000003oool2000000080?ooo`00000000000?ooo`000000oooo0000003oool300000080
oooo00@000000?ooo`0000000000E@3oool00700oooo00<000000?ooo`3oool00`0000030?ooo`03
0000003oool0oooo00<000000`3oool00`000000oooo0?ooo`0400000080oooo00<000000?ooo`3o
ool0100000020?ooo`030000003oool0oooo00@00000103oool200000080oooo00@000000?ooo`3o
ool000000P3oool02`000000oooo0?ooo`000000oooo0000003oool000000?ooo`000000oooo0080
000000<0oooo0000003oool00P0000000`3oool0000000000005000000030?ooo`000000000000<0
0000E`3oool00740oooo0P0000020?ooo`030000003oool0oooo00@000000P3oool00`000000oooo
0?ooo`04000000<0oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool0oooo00<00000
0`3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`0000000P3oool04@000000oooo
0?ooo`000000oooo0000003oool000000?ooo`000000oooo0000003oool000000?ooo`000000oooo
0080000000<0oooo0000000000002P00001J0?ooo`00LP3oool00`000000oooo0?ooo`03000000<0
oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool0oooo00@000000P3oool00`000000
oooo0?ooo`0400000080oooo00<000000?ooo`3oool0100000040?ooo`8000000P3oool040000000
oooo0?ooo`3oool000000?ooo`000000oooo0000003oool000000?ooo`000000oooo0000003oool2
000000030?ooo`000000000006H0oooo001c0?ooo`8000000P3oool00`000000oooo0?ooo`040000
0080oooo0P0000020?ooo`<000000`3oool00`000000oooo0?ooo`03000000<0oooo00<000000?oo
o`3oool00`0000030?ooo`030000003oool0oooo0080oooo0P0000020?ooo`040000003oool0oooo
00000080oooo00H000000?ooo`000000oooo0000003oool2000000030?ooo`000000oooo00800000
J03oool007@0oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool0oooo00@000000P3o
ool00`000000oooo0?ooo`0400000080oooo00<000000?ooo`3oool0100000020?ooo`030000003o
ool0oooo00<0000000<0oooo0000000000000P3oool00`000000oooo000000020?ooo`0<0000003o
ool000000?ooo`000000oooo0000003oool000000?ooo`000000oooo0P00001Z0?ooo`00M@3oool2
00000080oooo0P0000020?ooo`<000000`3oool00`000000oooo0?ooo`03000000<0oooo00<00000
0?ooo`3oool00`0000030?ooo`030000003oool0oooo00<000000`3oool00`000000oooo0?ooo`02
0?ooo`8000000`3oool02P000000oooo0000003oool000000?ooo`000000oooo0000003oool30000
06/0oooo001f0?ooo`030000003oool0oooo00@000000P3oool00`000000oooo0?ooo`0400000080
oooo00<000000?ooo`3oool0100000020?ooo`030000003oool0oooo00@000000P3oool00`000000
oooo0?ooo`0300000080oooo100000002P3oool000000?ooo`3oool000000?ooo`000000oooo0000
003oool4000006`0oooo001g0?ooo`8000000`3oool00`000000oooo0?ooo`03000000<0oooo00<0
00000?ooo`3oool00`0000030?ooo`030000003oool0oooo00<000000`3oool00`000000oooo0?oo
o`03000000<0oooo0P0000030?ooo`<0000000L0oooo0000003oool000000?ooo`000000oooo00<0
0000KP3oool007P0oooo00<000000?ooo`3oool0100000020?ooo`030000003oool0oooo00@00000
0P3oool00`000000oooo0?ooo`0400000080oooo00<000000?ooo`3oool0100000070?ooo`@00000
0P3oool900000700oooo001i0?ooo`8000000`3oool00`000000oooo0?ooo`03000000<0oooo00<0
00000?ooo`3oool00`0000030?ooo`030000003oool0oooo00<000003P3oool3000000030?ooo`00
0000000000<00000L`3oool007X0oooo00<000000?ooo`3oool0100000020?ooo`030000003oool0
oooo00@000000P3oool00`000000oooo0?ooo`04000001<0oooo0P00001h0?ooo`00N`3oool20000
00<0oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool0oooo00<00000T@3oool007`0
oooo00<000000?ooo`3oool0100000020?ooo`030000003oool0oooo00@00000U03oool007d0oooo
0P0000030?ooo`030000003oool0oooo00<00000V03oool007h0oooo00<000000?ooo`3oool01000
002K0?ooo`00O`3oool2000009l0oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo
003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo
003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo
003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo
003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo
003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo
003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo
003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo
003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo
003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo
003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo
003o0?ooob40oooo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {232.562, 0}} -> {-0.083095, -0.000184063, \
0.00366351, 0.00366351}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  SurfaceGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{"Plot3D", "[", 
      RowBox[{\(Evaluate[\((\((mymod /. {myxg \[Rule] 10})\) 
                gc[myx - 10, myp - 1, mysx, mysp])\) /. {mysx \[Rule] 1, 
              mysp \[Rule] 1/5}]\), ",", \({myx, 0, 20}\), 
        ",", \({myp, 0, 2}\), ",", \(PlotPoints \[Rule] 40\), 
        ",", \(PlotRange \[Rule] All\), ",", \(Mesh \[Rule] True\), ",", 
        RowBox[{"AxesLabel", "\[Rule]", 
          RowBox[{"{", 
            RowBox[{"\"\<\!\(\*
StyleBox[\"x\",\nFontSlant->\"Italic\"]\)\!\(\*
StyleBox[\"/\",\nFontSlant->\"Italic\"]\)\!\(\[Sigma]\_x\)\>\"", ",", 
              "\"\<\!\(\*
StyleBox[\"p\",\nFontSlant->\"Italic\"]\)/\!\(\[Sigma]\_p\)\>\"", ",", 
              "\"\<\>\""}], "}"}]}], ",", \(Boxed \[Rule] False\), 
        ",", \(TextStyle \[Rule] m10\), ",", \(Lighting \[Rule] False\), 
        ",", \(ColorFunction \[Rule] \((RGBColor[1, 1, 1] &)\)\)}], 
      "]"}]], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .81114 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-3.40439e-17 1.04977 -0.0679587 1.04977 [
[.02757 .24618 -9 -10.5763 ]
[.02757 .24618 0 .36123 ]
[.17646 .18758 -8.84916 -11 ]
[.17646 .18758 .15084 0 ]
[.3345 .12542 -13.0356 -10.9375 ]
[.3345 .12542 .96436 0 ]
[.50253 .05935 -12.3059 -11 ]
[.50253 .05935 1.69409 0 ]
[.68156 -0.01098 -11.5762 -10.9375 ]
[.68156 -0.01098 2.42381 0 ]
[.29165 .07573 -22.8124 -10.9375 ]
[.29165 .07573 1.68764 0 ]
[.70096 -0.00478 0 -7.61014 ]
[.70096 -0.00478 9 3.32736 ]
[.78313 .12104 0 -7.50271 ]
[.78313 .12104 16.5 3.49729 ]
[.8565 .23339 0 -7.32967 ]
[.8565 .23339 9 3.60783 ]
[.9224 .33431 0 -7.25652 ]
[.9224 .33431 16.5 3.74348 ]
[.98191 .42546 0 -7.11416 ]
[.98191 .42546 9 3.82334 ]
[.91861 .21225 0 -7.95793 ]
[.91861 .21225 24 3.91707 ]
[.0241 .26517 -9 -3.33274 ]
[.0241 .26517 0 7.60476 ]
[.00989 .35426 -9 -3.42439 ]
[.00989 .35426 0 7.51311 ]
[-0.00517 .44866 -9 -3.52207 ]
[-0.00517 .44866 0 7.41543 ]
[ 0 0 0 0 ]
[ 1 .81114 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
gsave
.02757 .24618 -70 -14.5763 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.18558 .19702 m
.19014 .20174 L
s
gsave
.17646 .18758 -69.8492 -15 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.34306 .13535 m
.34735 .14032 L
s
gsave
.3345 .12542 -74.0356 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
1.000 setlinewidth
grestore
.51046 .06981 m
.51442 .07504 L
s
gsave
.50253 .05935 -73.3059 -15 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(15) show
1.000 setlinewidth
grestore
.68874 0 m
.69233 .00549 L
s
gsave
.68156 -0.01098 -72.5762 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.1552 .20892 m
.15797 .21172 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.27893 .16047 m
.28157 .16339 L
s
.3108 .14799 m
.31341 .15094 L
s
.37572 .12257 m
.37826 .12558 L
s
.40878 .10962 m
.41128 .11266 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.54521 .0562 m
.54755 .05937 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
gsave
.29165 .07573 -83.8124 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
%%BeginResource: font Times-Roman-MISO
%%BeginFont: Times-Roman-MISO
/Times-Roman /Times-Roman-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.250 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
68.312 11.812 moveto
(/) show
72.125 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
78.875 13.375 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
83.500 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.68874 0 m
.68263 .00239 L
s
gsave
.70096 -0.00478 -61 -11.6101 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.7708 .12553 m
.76464 .12778 L
s
gsave
.78313 .12104 -61 -11.5027 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.84407 .23761 m
.83786 .23973 L
s
gsave
.8565 .23339 -61 -11.3297 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.9099 .3383 m
.90365 .34029 L
s
gsave
.9224 .33431 -61 -11.2565 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
1.000 setlinewidth
grestore
.96935 .42924 m
.96306 .43113 L
s
gsave
.98191 .42546 -61 -11.1142 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.125 Mabswid
.70593 .0263 m
.70226 .02771 L
s
.72272 .05198 m
.71904 .05338 L
s
.73912 .07706 m
.73543 .07845 L
s
.75514 .10158 m
.75145 .10294 L
s
.78611 .14895 m
.78241 .15028 L
s
.80108 .17185 m
.79737 .17317 L
s
.81573 .19425 m
.81201 .19555 L
s
.83006 .21617 m
.82633 .21745 L
s
.8578 .2586 m
.85407 .25986 L
s
.87123 .27915 m
.8675 .28039 L
s
.88439 .29928 m
.88065 .3005 L
s
.89727 .31899 m
.89353 .3202 L
s
.92227 .35722 m
.91851 .3584 L
s
.93439 .37576 m
.93063 .37693 L
s
.94627 .39394 m
.94251 .3951 L
s
.95792 .41176 m
.95416 .41291 L
s
gsave
.91861 .21225 -61 -11.9579 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
%%BeginResource: font Times-Roman-MISO
%%BeginFont: Times-Roman-MISO
/Times-Roman /Times-Roman-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.750 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(p) show
68.812 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(/) show
71.625 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
78.375 13.375 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(p) show
83.000 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
.03633 .26039 m
.04244 .25801 L
s
gsave
.0241 .26517 -70 -7.33274 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.02218 .34967 m
.02833 .34737 L
s
gsave
.00989 .35426 -70 -7.42439 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.00719 .44426 m
.01337 .44206 L
s
gsave
-0.00517 .44866 -70 -7.52207 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.125 Mabswid
.03356 .27784 m
.03723 .27642 L
s
.03076 .29549 m
.03444 .29408 L
s
.02794 .31334 m
.03162 .31194 L
s
.02507 .3314 m
.02876 .33001 L
s
.01925 .36814 m
.02294 .36678 L
s
.01629 .38684 m
.01999 .38548 L
s
.01329 .40575 m
.01699 .40441 L
s
.01026 .42489 m
.01396 .42356 L
s
.00408 .46386 m
.0078 .46255 L
s
.00094 .4837 m
.00466 .4824 L
s
0 0 m
1 0 L
1 .81114 L
0 .81114 L
closepath
clip
newpath
.5 Mabswid
1 1 1 r
.39729 .59648 .40512 .60377 .41826 .59983 .41047 .5925 Metetra
1 1 1 r
.41047 .5925 .41826 .59983 .43147 .59587 .42371 .5885 Metetra
1 1 1 r
.42371 .5885 .43147 .59587 .44474 .59188 .43703 .58448 Metetra
1 1 1 r
.43703 .58448 .44474 .59188 .45807 .58788 .4504 .58045 Metetra
1 1 1 r
.4504 .58045 .45807 .58788 .47147 .58386 .46385 .57639 Metetra
1 1 1 r
.46385 .57639 .47147 .58386 .48494 .57982 .47736 .57231 Metetra
1 1 1 r
.47736 .57231 .48494 .57982 .49847 .57576 .49093 .56822 Metetra
1 1 1 r
.49093 .56822 .49847 .57576 .51207 .57168 .50458 .5641 Metetra
1 1 1 r
.50458 .5641 .51207 .57168 .52574 .56758 .51829 .55996 Metetra
1 1 1 r
.51829 .55996 .52574 .56758 .53948 .56346 .53207 .5558 Metetra
1 1 1 r
.53207 .5558 .53948 .56346 .55329 .55932 .54593 .55162 Metetra
1 1 1 r
.54593 .55162 .55329 .55932 .56716 .55516 .55985 .54742 Metetra
1 1 1 r
.55985 .54742 .56716 .55516 .58111 .55097 .57384 .5432 Metetra
1 1 1 r
.57384 .5432 .58111 .55097 .59512 .54677 .5879 .53895 Metetra
1 1 1 r
.5879 .53895 .59512 .54677 .60921 .54254 .60204 .53469 Metetra
1 1 1 r
.60204 .53469 .60921 .54254 .62337 .5383 .61624 .5304 Metetra
1 1 1 r
.61624 .5304 .62337 .5383 .6376 .53403 .63052 .52609 Metetra
1 1 1 r
.63052 .52609 .6376 .53403 .6519 .52974 .64487 .52176 Metetra
1 1 1 r
.64487 .52176 .6519 .52974 .66627 .52543 .6593 .51741 Metetra
1 1 1 r
.6593 .51741 .66627 .52543 .68072 .52109 .6738 .51303 Metetra
1 1 1 r
.6738 .51303 .68072 .52109 .69525 .51673 .68837 .50863 Metetra
1 1 1 r
.68837 .50863 .69525 .51673 .70985 .51236 .70302 .50421 Metetra
1 1 1 r
.70302 .50421 .70985 .51236 .72452 .50795 .71775 .49977 Metetra
1 1 1 r
.71775 .49977 .72452 .50795 .73927 .50353 .73255 .4953 Metetra
1 1 1 r
.73255 .4953 .73927 .50353 .75409 .49908 .74743 .49081 Metetra
1 1 1 r
.74743 .49081 .75409 .49908 .769 .49461 .76239 .48629 Metetra
1 1 1 r
.76239 .48629 .769 .49461 .78398 .49012 .77742 .48176 Metetra
1 1 1 r
.77742 .48176 .78398 .49012 .79904 .4856 .79254 .4772 Metetra
1 1 1 r
.79254 .4772 .79904 .4856 .81418 .48106 .80773 .47261 Metetra
1 1 1 r
.80773 .47261 .81418 .48106 .82939 .47649 .82301 .468 Metetra
1 1 1 r
.82301 .468 .82939 .47649 .84469 .4719 .83836 .46337 Metetra
1 1 1 r
.83836 .46337 .84469 .4719 .86007 .46729 .8538 .45871 Metetra
1 1 1 r
.8538 .45871 .86007 .46729 .87553 .46265 .86932 .45402 Metetra
1 1 1 r
.86932 .45402 .87553 .46265 .89107 .45799 .88492 .44932 Metetra
1 1 1 r
.88492 .44932 .89107 .45799 .9067 .4533 .90061 .44458 Metetra
1 1 1 r
.90061 .44458 .9067 .4533 .92241 .44859 .91638 .43982 Metetra
1 1 1 r
.91638 .43982 .92241 .44859 .9382 .44385 .93223 .43504 Metetra
1 1 1 r
.93223 .43504 .9382 .44385 .95408 .43909 .94818 .43023 Metetra
1 1 1 r
.94818 .43023 .95408 .43909 .97004 .4343 .9642 .42539 Metetra
1 1 1 r
.38938 .58912 .39729 .59648 .41047 .5925 .40261 .5851 Metetra
1 1 1 r
.40261 .5851 .41047 .5925 .42371 .5885 .41589 .58107 Metetra
1 1 1 r
.41589 .58107 .42371 .5885 .43703 .58448 .42924 .57702 Metetra
1 1 1 r
.42924 .57702 .43703 .58448 .4504 .58045 .44266 .57294 Metetra
1 1 1 r
.44266 .57294 .4504 .58045 .46385 .57639 .45615 .56885 Metetra
1 1 1 r
.45615 .56885 .46385 .57639 .47736 .57231 .4697 .56473 Metetra
1 1 1 r
.4697 .56473 .47736 .57231 .49093 .56822 .48332 .5606 Metetra
1 1 1 r
.48332 .5606 .49093 .56822 .50458 .5641 .49701 .55644 Metetra
1 1 1 r
.49701 .55644 .50458 .5641 .51829 .55996 .51077 .55226 Metetra
1 1 1 r
.51077 .55226 .51829 .55996 .53207 .5558 .5246 .54807 Metetra
1 1 1 r
.5246 .54807 .53207 .5558 .54593 .55162 .5385 .54385 Metetra
1 1 1 r
.5385 .54385 .54593 .55162 .55985 .54742 .55246 .53961 Metetra
1 1 1 r
.55246 .53961 .55985 .54742 .57384 .5432 .5665 .53534 Metetra
1 1 1 r
.5665 .53534 .57384 .5432 .5879 .53895 .58061 .53106 Metetra
1 1 1 r
.58061 .53106 .5879 .53895 .60204 .53469 .59479 .52676 Metetra
1 1 1 r
.59479 .52676 .60204 .53469 .61624 .5304 .60905 .52243 Metetra
1 1 1 r
.60905 .52243 .61624 .5304 .63052 .52609 .62338 .51808 Metetra
1 1 1 r
.62338 .51808 .63052 .52609 .64487 .52176 .63778 .51371 Metetra
1 1 1 r
.63778 .51371 .64487 .52176 .6593 .51741 .65225 .50932 Metetra
1 1 1 r
.65225 .50932 .6593 .51741 .6738 .51303 .66681 .5049 Metetra
1 1 1 r
.66681 .5049 .6738 .51303 .68837 .50863 .68143 .50046 Metetra
1 1 1 r
.68143 .50046 .68837 .50863 .70302 .50421 .69613 .49599 Metetra
1 1 1 r
.69613 .49599 .70302 .50421 .71775 .49977 .71091 .4915 Metetra
1 1 1 r
.71091 .4915 .71775 .49977 .73255 .4953 .72577 .48699 Metetra
1 1 1 r
.72577 .48699 .73255 .4953 .74743 .49081 .7407 .48246 Metetra
1 1 1 r
.7407 .48246 .74743 .49081 .76239 .48629 .75571 .4779 Metetra
1 1 1 r
.75571 .4779 .76239 .48629 .77742 .48176 .77081 .47332 Metetra
1 1 1 r
.77081 .47332 .77742 .48176 .79254 .4772 .78598 .46871 Metetra
1 1 1 r
.78598 .46871 .79254 .4772 .80773 .47261 .80123 .46408 Metetra
1 1 1 r
.80123 .46408 .80773 .47261 .82301 .468 .81656 .45943 Metetra
1 1 1 r
.81656 .45943 .82301 .468 .83836 .46337 .83198 .45475 Metetra
1 1 1 r
.83198 .45475 .83836 .46337 .8538 .45871 .84747 .45004 Metetra
1 1 1 r
.84747 .45004 .8538 .45871 .86932 .45402 .86305 .44531 Metetra
1 1 1 r
.86305 .44531 .86932 .45402 .88492 .44932 .87871 .44056 Metetra
1 1 1 r
.87871 .44056 .88492 .44932 .90061 .44458 .89446 .43578 Metetra
1 1 1 r
.89446 .43578 .90061 .44458 .91638 .43982 .91029 .43097 Metetra
1 1 1 r
.91029 .43097 .91638 .43982 .93223 .43504 .92621 .42614 Metetra
1 1 1 r
.92621 .42614 .93223 .43504 .94818 .43023 .94222 .42128 Metetra
1 1 1 r
.94222 .42128 .94818 .43023 .9642 .42539 .95831 .41639 Metetra
1 1 1 r
.38141 .58169 .38938 .58912 .40261 .5851 .39467 .57764 Metetra
1 1 1 r
.39467 .57764 .40261 .5851 .41589 .58107 .408 .57357 Metetra
1 1 1 r
.408 .57357 .41589 .58107 .42924 .57702 .42139 .56948 Metetra
1 1 1 r
.42139 .56948 .42924 .57702 .44266 .57294 .43485 .56537 Metetra
1 1 1 r
.43485 .56537 .44266 .57294 .45615 .56885 .44838 .56123 Metetra
1 1 1 r
.44838 .56123 .45615 .56885 .4697 .56473 .46198 .55708 Metetra
1 1 1 r
.46198 .55708 .4697 .56473 .48332 .5606 .47564 .55291 Metetra
1 1 1 r
.47564 .55291 .48332 .5606 .49701 .55644 .48938 .54871 Metetra
1 1 1 r
.48938 .54871 .49701 .55644 .51077 .55226 .50318 .5445 Metetra
1 1 1 r
.50318 .5445 .51077 .55226 .5246 .54807 .51705 .54026 Metetra
1 1 1 r
.51705 .54026 .5246 .54807 .5385 .54385 .531 .536 Metetra
1 1 1 r
.531 .536 .5385 .54385 .55246 .53961 .54501 .53172 Metetra
1 1 1 r
.54501 .53172 .55246 .53961 .5665 .53534 .5591 .52742 Metetra
1 1 1 r
.5591 .52742 .5665 .53534 .58061 .53106 .57325 .52309 Metetra
1 1 1 r
.57325 .52309 .58061 .53106 .59479 .52676 .58748 .51875 Metetra
1 1 1 r
.58748 .51875 .59479 .52676 .60905 .52243 .60179 .51438 Metetra
1 1 1 r
.60179 .51438 .60905 .52243 .62338 .51808 .61617 .51 Metetra
1 1 1 r
.61617 .51 .62338 .51808 .63778 .51371 .63062 .50559 Metetra
1 1 1 r
.63062 .50559 .63778 .51371 .65225 .50932 .64514 .50116 Metetra
1 1 1 r
.64514 .50116 .65225 .50932 .66681 .5049 .65975 .4967 Metetra
1 1 1 r
.65975 .4967 .66681 .5049 .68143 .50046 .67442 .49221 Metetra
1 1 1 r
.67442 .49221 .68143 .50046 .69613 .49599 .68918 .4877 Metetra
1 1 1 r
.68918 .4877 .69613 .49599 .71091 .4915 .70401 .48316 Metetra
1 1 1 r
.70401 .48316 .71091 .4915 .72577 .48699 .71892 .4786 Metetra
1 1 1 r
.71892 .4786 .72577 .48699 .7407 .48246 .73391 .47402 Metetra
1 1 1 r
.73391 .47402 .7407 .48246 .75571 .4779 .74898 .46942 Metetra
1 1 1 r
.74898 .46942 .75571 .4779 .77081 .47332 .76412 .4648 Metetra
1 1 1 r
.76412 .4648 .77081 .47332 .78598 .46871 .77935 .46014 Metetra
1 1 1 r
.77935 .46014 .78598 .46871 .80123 .46408 .79466 .45547 Metetra
1 1 1 r
.79466 .45547 .80123 .46408 .81656 .45943 .81005 .45077 Metetra
1 1 1 r
.81005 .45077 .81656 .45943 .83198 .45475 .82552 .44604 Metetra
1 1 1 r
.82552 .44604 .83198 .45475 .84747 .45004 .84108 .44129 Metetra
1 1 1 r
.84108 .44129 .84747 .45004 .86305 .44531 .85672 .43651 Metetra
1 1 1 r
.85672 .43651 .86305 .44531 .87871 .44056 .87244 .43171 Metetra
1 1 1 r
.87244 .43171 .87871 .44056 .89446 .43578 .88825 .42688 Metetra
1 1 1 r
.88825 .42688 .89446 .43578 .91029 .43097 .90415 .42203 Metetra
1 1 1 r
.90415 .42203 .91029 .43097 .92621 .42614 .92013 .41715 Metetra
1 1 1 r
.92013 .41715 .92621 .42614 .94222 .42128 .9362 .41224 Metetra
1 1 1 r
.9362 .41224 .94222 .42128 .95831 .41639 .95235 .4073 Metetra
1 1 1 r
.37336 .5742 .38141 .58169 .39467 .57764 .38666 .57011 Metetra
1 1 1 r
.38666 .57011 .39467 .57764 .408 .57357 .40003 .566 Metetra
1 1 1 r
.40003 .566 .408 .57357 .42139 .56948 .41347 .56187 Metetra
1 1 1 r
.41347 .56187 .42139 .56948 .43485 .56537 .42697 .55772 Metetra
1 1 1 r
.42697 .55772 .43485 .56537 .44838 .56123 .44054 .55355 Metetra
1 1 1 r
.44054 .55355 .44838 .56123 .46198 .55708 .45418 .54936 Metetra
1 1 1 r
.45418 .54936 .46198 .55708 .47564 .55291 .46789 .54515 Metetra
1 1 1 r
.46789 .54515 .47564 .55291 .48938 .54871 .48167 .54091 Metetra
1 1 1 r
.48167 .54091 .48938 .54871 .50318 .5445 .49552 .53666 Metetra
1 1 1 r
.49552 .53666 .50318 .5445 .51705 .54026 .50944 .53238 Metetra
1 1 1 r
.50944 .53238 .51705 .54026 .531 .536 .52343 .52808 Metetra
1 1 1 r
.52343 .52808 .531 .536 .54501 .53172 .53749 .52376 Metetra
1 1 1 r
.53749 .52376 .54501 .53172 .5591 .52742 .55162 .51942 Metetra
1 1 1 r
.55162 .51942 .5591 .52742 .57325 .52309 .56583 .51505 Metetra
1 1 1 r
.56583 .51505 .57325 .52309 .58748 .51875 .5801 .51067 Metetra
1 1 1 r
.5801 .51067 .58748 .51875 .60179 .51438 .59446 .50627 Metetra
1 1 1 r
.59446 .50627 .60179 .51438 .61617 .51 .60889 .50185 Metetra
1 1 1 r
.60889 .50185 .61617 .51 .63062 .50559 .62339 .49742 Metetra
1 1 1 r
.62339 .49742 .63062 .50559 .64514 .50116 .63797 .49296 Metetra
1 1 1 r
.63797 .49296 .64514 .50116 .65975 .4967 .65262 .48846 Metetra
1 1 1 r
.65262 .48846 .65975 .4967 .67442 .49221 .66735 .48391 Metetra
1 1 1 r
.66735 .48391 .67442 .49221 .68918 .4877 .68216 .47934 Metetra
1 1 1 r
.68216 .47934 .68918 .4877 .70401 .48316 .69704 .47475 Metetra
1 1 1 r
.69704 .47475 .70401 .48316 .71892 .4786 .71201 .47014 Metetra
1 1 1 r
.71201 .47014 .71892 .4786 .73391 .47402 .72705 .46551 Metetra
1 1 1 r
.72705 .46551 .73391 .47402 .74898 .46942 .74217 .46086 Metetra
1 1 1 r
.74217 .46086 .74898 .46942 .76412 .4648 .75738 .45619 Metetra
1 1 1 r
.75738 .45619 .76412 .4648 .77935 .46014 .77266 .45149 Metetra
1 1 1 r
.77266 .45149 .77935 .46014 .79466 .45547 .78803 .44677 Metetra
1 1 1 r
.78803 .44677 .79466 .45547 .81005 .45077 .80348 .44202 Metetra
1 1 1 r
.80348 .44202 .81005 .45077 .82552 .44604 .81901 .43725 Metetra
1 1 1 r
.81901 .43725 .82552 .44604 .84108 .44129 .83462 .43245 Metetra
1 1 1 r
.83462 .43245 .84108 .44129 .85672 .43651 .85032 .42763 Metetra
1 1 1 r
.85032 .42763 .85672 .43651 .87244 .43171 .86611 .42278 Metetra
1 1 1 r
.86611 .42278 .87244 .43171 .88825 .42688 .88198 .4179 Metetra
1 1 1 r
.88198 .4179 .88825 .42688 .90415 .42203 .89794 .41299 Metetra
1 1 1 r
.89794 .41299 .90415 .42203 .92013 .41715 .91398 .40806 Metetra
1 1 1 r
.91398 .40806 .92013 .41715 .9362 .41224 .93011 .40311 Metetra
1 1 1 r
.93011 .40311 .9362 .41224 .95235 .4073 .94634 .39812 Metetra
1 1 1 r
.36524 .56663 .37336 .5742 .38666 .57011 .37858 .56251 Metetra
1 1 1 r
.37858 .56251 .38666 .57011 .40003 .566 .39199 .55836 Metetra
1 1 1 r
.39199 .55836 .40003 .566 .41347 .56187 .40547 .55419 Metetra
1 1 1 r
.40547 .55419 .41347 .56187 .42697 .55772 .41902 .55001 Metetra
1 1 1 r
.41902 .55001 .42697 .55772 .44054 .55355 .43263 .5458 Metetra
1 1 1 r
.43263 .5458 .44054 .55355 .45418 .54936 .44631 .54157 Metetra
1 1 1 r
.44631 .54157 .45418 .54936 .46789 .54515 .46007 .53731 Metetra
1 1 1 r
.46007 .53731 .46789 .54515 .48167 .54091 .47389 .53304 Metetra
1 1 1 r
.47389 .53304 .48167 .54091 .49552 .53666 .48778 .52874 Metetra
1 1 1 r
.48778 .52874 .49552 .53666 .50944 .53238 .50175 .52443 Metetra
1 1 1 r
.50175 .52443 .50944 .53238 .52343 .52808 .51578 .52009 Metetra
1 1 1 r
.51578 .52009 .52343 .52808 .53749 .52376 .52989 .51573 Metetra
1 1 1 r
.52989 .51573 .53749 .52376 .55162 .51942 .54407 .51134 Metetra
1 1 1 r
.54407 .51134 .55162 .51942 .56583 .51505 .55833 .50694 Metetra
1 1 1 r
.55833 .50694 .56583 .51505 .5801 .51067 .57265 .50252 Metetra
1 1 1 r
.57265 .50252 .5801 .51067 .59446 .50627 .58706 .49809 Metetra
1 1 1 r
.58706 .49809 .59446 .50627 .60889 .50185 .60154 .49366 Metetra
1 1 1 r
.60154 .49366 .60889 .50185 .62339 .49742 .61609 .48923 Metetra
1 1 1 r
.61609 .48923 .62339 .49742 .63797 .49296 .63072 .48475 Metetra
1 1 1 r
.63072 .48475 .63797 .49296 .65262 .48846 .64543 .4802 Metetra
1 1 1 r
.64543 .4802 .65262 .48846 .66735 .48391 .66021 .47559 Metetra
1 1 1 r
.66021 .47559 .66735 .48391 .68216 .47934 .67507 .47093 Metetra
1 1 1 r
.67507 .47093 .68216 .47934 .69704 .47475 .69001 .46626 Metetra
1 1 1 r
.69001 .46626 .69704 .47475 .71201 .47014 .70502 .46159 Metetra
1 1 1 r
.70502 .46159 .71201 .47014 .72705 .46551 .72012 .45691 Metetra
1 1 1 r
.72012 .45691 .72705 .46551 .74217 .46086 .7353 .45222 Metetra
1 1 1 r
.7353 .45222 .74217 .46086 .75738 .45619 .75056 .4475 Metetra
1 1 1 r
.75056 .4475 .75738 .45619 .77266 .45149 .7659 .44275 Metetra
1 1 1 r
.7659 .44275 .77266 .45149 .78803 .44677 .78133 .43799 Metetra
1 1 1 r
.78133 .43799 .78803 .44677 .80348 .44202 .79684 .43319 Metetra
1 1 1 r
.79684 .43319 .80348 .44202 .81901 .43725 .81243 .42837 Metetra
1 1 1 r
.81243 .42837 .81901 .43725 .83462 .43245 .8281 .42352 Metetra
1 1 1 r
.8281 .42352 .83462 .43245 .85032 .42763 .84386 .41865 Metetra
1 1 1 r
.84386 .41865 .85032 .42763 .86611 .42278 .85971 .41375 Metetra
1 1 1 r
.85971 .41375 .86611 .42278 .88198 .4179 .87565 .40882 Metetra
1 1 1 r
.87565 .40882 .88198 .4179 .89794 .41299 .89167 .40387 Metetra
1 1 1 r
.89167 .40387 .89794 .41299 .91398 .40806 .90777 .39889 Metetra
1 1 1 r
.90777 .39889 .91398 .40806 .93011 .40311 .92397 .39388 Metetra
1 1 1 r
.92397 .39388 .93011 .40311 .94634 .39812 .94026 .38885 Metetra
1 1 1 r
.35704 .559 .36524 .56663 .37858 .56251 .37042 .55484 Metetra
1 1 1 r
.37042 .55484 .37858 .56251 .39199 .55836 .38388 .55065 Metetra
1 1 1 r
.38388 .55065 .39199 .55836 .40547 .55419 .3974 .54645 Metetra
1 1 1 r
.3974 .54645 .40547 .55419 .41902 .55001 .41099 .54222 Metetra
1 1 1 r
.41099 .54222 .41902 .55001 .43263 .5458 .42464 .53797 Metetra
1 1 1 r
.42464 .53797 .43263 .5458 .44631 .54157 .43837 .5337 Metetra
1 1 1 r
.43837 .5337 .44631 .54157 .46007 .53731 .45217 .52941 Metetra
1 1 1 r
.45217 .52941 .46007 .53731 .47389 .53304 .46604 .52509 Metetra
1 1 1 r
.46604 .52509 .47389 .53304 .48778 .52874 .47998 .52076 Metetra
1 1 1 r
.47998 .52076 .48778 .52874 .50175 .52443 .49399 .5164 Metetra
1 1 1 r
.49399 .5164 .50175 .52443 .51578 .52009 .50807 .51202 Metetra
1 1 1 r
.50807 .51202 .51578 .52009 .52989 .51573 .52222 .50761 Metetra
1 1 1 r
.52222 .50761 .52989 .51573 .54407 .51134 .53645 .50319 Metetra
1 1 1 r
.53645 .50319 .54407 .51134 .55833 .50694 .55076 .49875 Metetra
1 1 1 r
.55076 .49875 .55833 .50694 .57265 .50252 .56513 .4943 Metetra
1 1 1 r
.56513 .4943 .57265 .50252 .58706 .49809 .57959 .48987 Metetra
1 1 1 r
.57959 .48987 .58706 .49809 .60154 .49366 .59412 .48548 Metetra
1 1 1 r
.59412 .48548 .60154 .49366 .61609 .48923 .60873 .48109 Metetra
1 1 1 r
.60873 .48109 .61609 .48923 .63072 .48475 .62341 .47664 Metetra
1 1 1 r
.62341 .47664 .63072 .48475 .64543 .4802 .63817 .47205 Metetra
1 1 1 r
.63817 .47205 .64543 .4802 .66021 .47559 .65301 .46732 Metetra
1 1 1 r
.65301 .46732 .66021 .47559 .67507 .47093 .66792 .46252 Metetra
1 1 1 r
.66792 .46252 .67507 .47093 .69001 .46626 .6829 .45773 Metetra
1 1 1 r
.6829 .45773 .69001 .46626 .70502 .46159 .69797 .45298 Metetra
1 1 1 r
.69797 .45298 .70502 .46159 .72012 .45691 .71313 .44824 Metetra
1 1 1 r
.71313 .44824 .72012 .45691 .7353 .45222 .72836 .44349 Metetra
1 1 1 r
.72836 .44349 .7353 .45222 .75056 .4475 .74368 .43872 Metetra
1 1 1 r
.74368 .43872 .75056 .4475 .7659 .44275 .75908 .43393 Metetra
1 1 1 r
.75908 .43393 .7659 .44275 .78133 .43799 .77456 .42911 Metetra
1 1 1 r
.77456 .42911 .78133 .43799 .79684 .43319 .79013 .42427 Metetra
1 1 1 r
.79013 .42427 .79684 .43319 .81243 .42837 .80578 .4194 Metetra
1 1 1 r
.80578 .4194 .81243 .42837 .8281 .42352 .82152 .41451 Metetra
1 1 1 r
.82152 .41451 .8281 .42352 .84386 .41865 .83734 .40958 Metetra
1 1 1 r
.83734 .40958 .84386 .41865 .85971 .41375 .85325 .40464 Metetra
1 1 1 r
.85325 .40464 .85971 .41375 .87565 .40882 .86925 .39966 Metetra
1 1 1 r
.86925 .39966 .87565 .40882 .89167 .40387 .88533 .39466 Metetra
1 1 1 r
.88533 .39466 .89167 .40387 .90777 .39889 .9015 .38962 Metetra
1 1 1 r
.9015 .38962 .90777 .39889 .92397 .39388 .91777 .38456 Metetra
1 1 1 r
.91777 .38456 .92397 .39388 .94026 .38885 .93412 .37948 Metetra
1 1 1 r
.34876 .5513 .35704 .559 .37042 .55484 .36219 .54709 Metetra
1 1 1 r
.36219 .54709 .37042 .55484 .38388 .55065 .37569 .54287 Metetra
1 1 1 r
.37569 .54287 .38388 .55065 .3974 .54645 .38925 .53862 Metetra
1 1 1 r
.38925 .53862 .3974 .54645 .41099 .54222 .40288 .53436 Metetra
1 1 1 r
.40288 .53436 .41099 .54222 .42464 .53797 .41658 .53007 Metetra
1 1 1 r
.41658 .53007 .42464 .53797 .43837 .5337 .43035 .52576 Metetra
1 1 1 r
.43035 .52576 .43837 .5337 .45217 .52941 .4442 .52143 Metetra
1 1 1 r
.4442 .52143 .45217 .52941 .46604 .52509 .45811 .51707 Metetra
1 1 1 r
.45811 .51707 .46604 .52509 .47998 .52076 .47209 .51269 Metetra
1 1 1 r
.47209 .51269 .47998 .52076 .49399 .5164 .48615 .50829 Metetra
1 1 1 r
.48615 .50829 .49399 .5164 .50807 .51202 .50028 .50387 Metetra
1 1 1 r
.50028 .50387 .50807 .51202 .52222 .50761 .51448 .49942 Metetra
1 1 1 r
.51448 .49942 .52222 .50761 .53645 .50319 .52876 .49496 Metetra
1 1 1 r
.52876 .49496 .53645 .50319 .55076 .49875 .54311 .49049 Metetra
1 1 1 r
.54311 .49049 .55076 .49875 .56513 .4943 .55754 .48603 Metetra
1 1 1 r
.55754 .48603 .56513 .4943 .57959 .48987 .57204 .48165 Metetra
1 1 1 r
.57204 .48165 .57959 .48987 .59412 .48548 .58663 .47738 Metetra
1 1 1 r
.58663 .47738 .59412 .48548 .60873 .48109 .60129 .47316 Metetra
1 1 1 r
.60129 .47316 .60873 .48109 .62341 .47664 .61604 .46882 Metetra
1 1 1 r
.61604 .46882 .62341 .47664 .63817 .47205 .63086 .46419 Metetra
1 1 1 r
.63086 .46419 .63817 .47205 .65301 .46732 .64574 .45926 Metetra
1 1 1 r
.64574 .45926 .65301 .46732 .66792 .46252 .6607 .4542 Metetra
1 1 1 r
.6607 .4542 .66792 .46252 .6829 .45773 .67573 .4492 Metetra
1 1 1 r
.67573 .4492 .6829 .45773 .69797 .45298 .69086 .4443 Metetra
1 1 1 r
.69086 .4443 .69797 .45298 .71313 .44824 .70606 .43948 Metetra
1 1 1 r
.70606 .43948 .71313 .44824 .72836 .44349 .72136 .43467 Metetra
1 1 1 r
.72136 .43467 .72836 .44349 .74368 .43872 .73673 .42986 Metetra
1 1 1 r
.73673 .42986 .74368 .43872 .75908 .43393 .75219 .42502 Metetra
1 1 1 r
.75219 .42502 .75908 .43393 .77456 .42911 .76773 .42015 Metetra
1 1 1 r
.76773 .42015 .77456 .42911 .79013 .42427 .78336 .41526 Metetra
1 1 1 r
.78336 .41526 .79013 .42427 .80578 .4194 .79907 .41034 Metetra
1 1 1 r
.79907 .41034 .80578 .4194 .82152 .41451 .81487 .4054 Metetra
1 1 1 r
.81487 .4054 .82152 .41451 .83734 .40958 .83075 .40043 Metetra
1 1 1 r
.83075 .40043 .83734 .40958 .85325 .40464 .84672 .39543 Metetra
1 1 1 r
.84672 .39543 .85325 .40464 .86925 .39966 .86278 .3904 Metetra
1 1 1 r
.86278 .3904 .86925 .39966 .88533 .39466 .87893 .38534 Metetra
1 1 1 r
.87893 .38534 .88533 .39466 .9015 .38962 .89517 .38026 Metetra
1 1 1 r
.89517 .38026 .9015 .38962 .91777 .38456 .9115 .37515 Metetra
1 1 1 r
.9115 .37515 .91777 .38456 .93412 .37948 .92792 .37001 Metetra
1 1 1 r
.34041 .54352 .34876 .5513 .36219 .54709 .35388 .53928 Metetra
1 1 1 r
.35388 .53928 .36219 .54709 .37569 .54287 .36742 .53502 Metetra
1 1 1 r
.36742 .53502 .37569 .54287 .38925 .53862 .38102 .53073 Metetra
1 1 1 r
.38102 .53073 .38925 .53862 .40288 .53436 .3947 .52642 Metetra
1 1 1 r
.3947 .52642 .40288 .53436 .41658 .53007 .40844 .52209 Metetra
1 1 1 r
.40844 .52209 .41658 .53007 .43035 .52576 .42226 .51774 Metetra
1 1 1 r
.42226 .51774 .43035 .52576 .4442 .52143 .43615 .51337 Metetra
1 1 1 r
.43615 .51337 .4442 .52143 .45811 .51707 .45011 .50897 Metetra
1 1 1 r
.45011 .50897 .45811 .51707 .47209 .51269 .46414 .50455 Metetra
1 1 1 r
.46414 .50455 .47209 .51269 .48615 .50829 .47824 .50011 Metetra
1 1 1 r
.47824 .50011 .48615 .50829 .50028 .50387 .49242 .49564 Metetra
1 1 1 r
.49242 .49564 .50028 .50387 .51448 .49942 .50667 .49116 Metetra
1 1 1 r
.50667 .49116 .51448 .49942 .52876 .49496 .52099 .48665 Metetra
1 1 1 r
.52099 .48665 .52876 .49496 .54311 .49049 .53539 .48216 Metetra
1 1 1 r
.53539 .48216 .54311 .49049 .55754 .48603 .54987 .47773 Metetra
1 1 1 r
.54987 .47773 .55754 .48603 .57204 .48165 .56443 .4735 Metetra
1 1 1 r
.56443 .4735 .57204 .48165 .58663 .47738 .57907 .46953 Metetra
1 1 1 r
.57907 .46953 .58663 .47738 .60129 .47316 .5938 .46572 Metetra
1 1 1 r
.5938 .46572 .60129 .47316 .61604 .46882 .60861 .46167 Metetra
1 1 1 r
.60861 .46167 .61604 .46882 .63086 .46419 .62349 .45699 Metetra
1 1 1 r
.62349 .45699 .63086 .46419 .64574 .45926 .63842 .45168 Metetra
1 1 1 r
.63842 .45168 .64574 .45926 .6607 .4542 .65342 .44613 Metetra
1 1 1 r
.65342 .44613 .6607 .4542 .67573 .4492 .6685 .44073 Metetra
1 1 1 r
.6685 .44073 .67573 .4492 .69086 .4443 .68367 .4356 Metetra
1 1 1 r
.68367 .4356 .69086 .4443 .70606 .43948 .69893 .43065 Metetra
1 1 1 r
.69893 .43065 .70606 .43948 .72136 .43467 .71428 .42577 Metetra
1 1 1 r
.71428 .42577 .72136 .43467 .73673 .42986 .72971 .4209 Metetra
1 1 1 r
.72971 .4209 .73673 .42986 .75219 .42502 .74523 .41602 Metetra
1 1 1 r
.74523 .41602 .75219 .42502 .76773 .42015 .76083 .4111 Metetra
1 1 1 r
.76083 .4111 .76773 .42015 .78336 .41526 .77651 .40616 Metetra
1 1 1 r
.77651 .40616 .78336 .41526 .79907 .41034 .79229 .40119 Metetra
1 1 1 r
.79229 .40119 .79907 .41034 .81487 .4054 .80815 .3962 Metetra
1 1 1 r
.80815 .3962 .81487 .4054 .83075 .40043 .82409 .39117 Metetra
1 1 1 r
.82409 .39117 .83075 .40043 .84672 .39543 .84013 .38612 Metetra
1 1 1 r
.84013 .38612 .84672 .39543 .86278 .3904 .85625 .38105 Metetra
1 1 1 r
.85625 .38105 .86278 .3904 .87893 .38534 .87246 .37594 Metetra
1 1 1 r
.87246 .37594 .87893 .38534 .89517 .38026 .88877 .3708 Metetra
1 1 1 r
.88877 .3708 .89517 .38026 .9115 .37515 .90516 .36564 Metetra
1 1 1 r
.90516 .36564 .9115 .37515 .92792 .37001 .92165 .36045 Metetra
1 1 1 r
.33198 .53567 .34041 .54352 .35388 .53928 .34549 .53139 Metetra
1 1 1 r
.34549 .53139 .35388 .53928 .36742 .53502 .35907 .52709 Metetra
1 1 1 r
.35907 .52709 .36742 .53502 .38102 .53073 .37272 .52276 Metetra
1 1 1 r
.37272 .52276 .38102 .53073 .3947 .52642 .38644 .51841 Metetra
1 1 1 r
.38644 .51841 .3947 .52642 .40844 .52209 .40023 .51404 Metetra
1 1 1 r
.40023 .51404 .40844 .52209 .42226 .51774 .41409 .50965 Metetra
1 1 1 r
.41409 .50965 .42226 .51774 .43615 .51337 .42802 .50523 Metetra
1 1 1 r
.42802 .50523 .43615 .51337 .45011 .50897 .44203 .50079 Metetra
1 1 1 r
.44203 .50079 .45011 .50897 .46414 .50455 .4561 .49633 Metetra
1 1 1 r
.4561 .49633 .46414 .50455 .47824 .50011 .47025 .49185 Metetra
1 1 1 r
.47025 .49185 .47824 .50011 .49242 .49564 .48448 .48734 Metetra
1 1 1 r
.48448 .48734 .49242 .49564 .50667 .49116 .49878 .48281 Metetra
1 1 1 r
.49878 .48281 .50667 .49116 .52099 .48665 .51315 .47827 Metetra
1 1 1 r
.51315 .47827 .52099 .48665 .53539 .48216 .5276 .47377 Metetra
1 1 1 r
.5276 .47377 .53539 .48216 .54987 .47773 .54213 .46945 Metetra
1 1 1 r
.54213 .46945 .54987 .47773 .56443 .4735 .55674 .46554 Metetra
1 1 1 r
.55674 .46554 .56443 .4735 .57907 .46953 .57145 .46222 Metetra
1 1 1 r
.57145 .46222 .57907 .46953 .5938 .46572 .58625 .45923 Metetra
1 1 1 r
.58625 .45923 .5938 .46572 .60861 .46167 .60113 .45578 Metetra
1 1 1 r
.60113 .45578 .60861 .46167 .62349 .45699 .61607 .45106 Metetra
1 1 1 r
.61607 .45106 .62349 .45699 .63842 .45168 .63106 .44506 Metetra
1 1 1 r
.63106 .44506 .63842 .45168 .65342 .44613 .64609 .43859 Metetra
1 1 1 r
.64609 .43859 .65342 .44613 .6685 .44073 .6612 .43245 Metetra
1 1 1 r
.6612 .43245 .6685 .44073 .68367 .4356 .67642 .4269 Metetra
1 1 1 r
.67642 .4269 .68367 .4356 .69893 .43065 .69173 .42176 Metetra
1 1 1 r
.69173 .42176 .69893 .43065 .71428 .42577 .70713 .41679 Metetra
1 1 1 r
.70713 .41679 .71428 .42577 .72971 .4209 .72262 .41186 Metetra
1 1 1 r
.72262 .41186 .72971 .4209 .74523 .41602 .73819 .40692 Metetra
1 1 1 r
.73819 .40692 .74523 .41602 .76083 .4111 .75385 .40196 Metetra
1 1 1 r
.75385 .40196 .76083 .4111 .77651 .40616 .7696 .39697 Metetra
1 1 1 r
.7696 .39697 .77651 .40616 .79229 .40119 .78544 .39195 Metetra
1 1 1 r
.78544 .39195 .79229 .40119 .80815 .3962 .80136 .3869 Metetra
1 1 1 r
.80136 .3869 .80815 .3962 .82409 .39117 .81737 .38183 Metetra
1 1 1 r
.81737 .38183 .82409 .39117 .84013 .38612 .83346 .37673 Metetra
1 1 1 r
.83346 .37673 .84013 .38612 .85625 .38105 .84965 .3716 Metetra
1 1 1 r
.84965 .3716 .85625 .38105 .87246 .37594 .86593 .36644 Metetra
1 1 1 r
.86593 .36644 .87246 .37594 .88877 .3708 .8823 .36125 Metetra
1 1 1 r
.8823 .36125 .88877 .3708 .90516 .36564 .89876 .35603 Metetra
1 1 1 r
.89876 .35603 .90516 .36564 .92165 .36045 .91532 .35078 Metetra
1 1 1 r
.32347 .52775 .33198 .53567 .34549 .53139 .33703 .52343 Metetra
1 1 1 r
.33703 .52343 .34549 .53139 .35907 .52709 .35065 .51908 Metetra
1 1 1 r
.35065 .51908 .35907 .52709 .37272 .52276 .36434 .51472 Metetra
1 1 1 r
.36434 .51472 .37272 .52276 .38644 .51841 .3781 .51033 Metetra
1 1 1 r
.3781 .51033 .38644 .51841 .40023 .51404 .39194 .50591 Metetra
1 1 1 r
.39194 .50591 .40023 .51404 .41409 .50965 .40584 .50148 Metetra
1 1 1 r
.40584 .50148 .41409 .50965 .42802 .50523 .41982 .49702 Metetra
1 1 1 r
.41982 .49702 .42802 .50523 .44203 .50079 .43387 .49254 Metetra
1 1 1 r
.43387 .49254 .44203 .50079 .4561 .49633 .44799 .48803 Metetra
1 1 1 r
.44799 .48803 .4561 .49633 .47025 .49185 .46219 .48351 Metetra
1 1 1 r
.46219 .48351 .47025 .49185 .48448 .48734 .47646 .47895 Metetra
1 1 1 r
.47646 .47895 .48448 .48734 .49878 .48281 .49081 .47438 Metetra
1 1 1 r
.49081 .47438 .49878 .48281 .51315 .47827 .50523 .46982 Metetra
1 1 1 r
.50523 .46982 .51315 .47827 .5276 .47377 .51973 .46535 Metetra
1 1 1 r
.51973 .46535 .5276 .47377 .54213 .46945 .53431 .46125 Metetra
1 1 1 r
.53431 .46125 .54213 .46945 .55674 .46554 .54898 .45796 Metetra
1 1 1 r
.54898 .45796 .55674 .46554 .57145 .46222 .56375 .45584 Metetra
1 1 1 r
.56375 .45584 .57145 .46222 .58625 .45923 .57864 .45439 Metetra
1 1 1 r
.57864 .45439 .58625 .45923 .60113 .45578 .59362 .45207 Metetra
1 1 1 r
.59362 .45207 .60113 .45578 .61607 .45106 .60863 .44731 Metetra
1 1 1 r
.60863 .44731 .61607 .45106 .63106 .44506 .62366 .4401 Metetra
1 1 1 r
.62366 .4401 .63106 .44506 .64609 .43859 .63872 .43199 Metetra
1 1 1 r
.63872 .43199 .64609 .43859 .6612 .43245 .65385 .42456 Metetra
1 1 1 r
.65385 .42456 .6612 .43245 .67642 .4269 .6691 .41828 Metetra
1 1 1 r
.6691 .41828 .67642 .4269 .69173 .42176 .68445 .41282 Metetra
1 1 1 r
.68445 .41282 .69173 .42176 .70713 .41679 .69991 .40773 Metetra
1 1 1 r
.69991 .40773 .70713 .41679 .72262 .41186 .71546 .40273 Metetra
1 1 1 r
.71546 .40273 .72262 .41186 .73819 .40692 .73109 .39774 Metetra
1 1 1 r
.73109 .39774 .73819 .40692 .75385 .40196 .74681 .39272 Metetra
1 1 1 r
.74681 .39272 .75385 .40196 .7696 .39697 .76262 .38768 Metetra
1 1 1 r
.76262 .38768 .7696 .39697 .78544 .39195 .77851 .38261 Metetra
1 1 1 r
.77851 .38261 .78544 .39195 .80136 .3869 .7945 .37751 Metetra
1 1 1 r
.7945 .37751 .80136 .3869 .81737 .38183 .81057 .37239 Metetra
1 1 1 r
.81057 .37239 .81737 .38183 .83346 .37673 .82673 .36723 Metetra
1 1 1 r
.82673 .36723 .83346 .37673 .84965 .3716 .84299 .36205 Metetra
1 1 1 r
.84299 .36205 .84965 .3716 .86593 .36644 .85933 .35683 Metetra
1 1 1 r
.85933 .35683 .86593 .36644 .8823 .36125 .87577 .35159 Metetra
1 1 1 r
.87577 .35159 .8823 .36125 .89876 .35603 .8923 .34632 Metetra
1 1 1 r
.8923 .34632 .89876 .35603 .91532 .35078 .90892 .34102 Metetra
1 1 1 r
.31488 .51975 .32347 .52775 .33703 .52343 .32848 .51539 Metetra
1 1 1 r
.32848 .51539 .33703 .52343 .35065 .51908 .34214 .511 Metetra
1 1 1 r
.34214 .511 .35065 .51908 .36434 .51472 .35588 .50659 Metetra
1 1 1 r
.35588 .50659 .36434 .51472 .3781 .51033 .36969 .50216 Metetra
1 1 1 r
.36969 .50216 .3781 .51033 .39194 .50591 .38356 .49771 Metetra
1 1 1 r
.38356 .49771 .39194 .50591 .40584 .50148 .39751 .49323 Metetra
1 1 1 r
.39751 .49323 .40584 .50148 .41982 .49702 .41154 .48873 Metetra
1 1 1 r
.41154 .48873 .41982 .49702 .43387 .49254 .42563 .4842 Metetra
1 1 1 r
.42563 .4842 .43387 .49254 .44799 .48803 .4398 .47965 Metetra
1 1 1 r
.4398 .47965 .44799 .48803 .46219 .48351 .45405 .47508 Metetra
1 1 1 r
.45405 .47508 .46219 .48351 .47646 .47895 .46837 .47049 Metetra
1 1 1 r
.46837 .47049 .47646 .47895 .49081 .47438 .48277 .46588 Metetra
1 1 1 r
.48277 .46588 .49081 .47438 .50523 .46982 .49724 .46129 Metetra
1 1 1 r
.49724 .46129 .50523 .46982 .51973 .46535 .51179 .45691 Metetra
1 1 1 r
.51179 .45691 .51973 .46535 .53431 .46125 .52641 .4532 Metetra
1 1 1 r
.52641 .4532 .53431 .46125 .54898 .45796 .54114 .451 Metetra
1 1 1 r
.54114 .451 .54898 .45796 .56375 .45584 .55598 .45093 Metetra
1 1 1 r
.55598 .45093 .56375 .45584 .57864 .45439 .57097 .45211 Metetra
1 1 1 r
.57097 .45211 .57864 .45439 .59362 .45207 .58606 .45173 Metetra
1 1 1 r
.58606 .45173 .59362 .45207 .60863 .44731 .60118 .44693 Metetra
1 1 1 r
.60118 .44693 .60863 .44731 .62366 .4401 .61625 .4377 Metetra
1 1 1 r
.61625 .4377 .62366 .4401 .63872 .43199 .63131 .42687 Metetra
1 1 1 r
.63131 .42687 .63872 .43199 .65385 .42456 .64644 .41728 Metetra
1 1 1 r
.64644 .41728 .65385 .42456 .6691 .41828 .66171 .40981 Metetra
1 1 1 r
.66171 .40981 .6691 .41828 .68445 .41282 .67711 .40386 Metetra
1 1 1 r
.67711 .40386 .68445 .41282 .69991 .40773 .69262 .39858 Metetra
1 1 1 r
.69262 .39858 .69991 .40773 .71546 .40273 .70822 .39351 Metetra
1 1 1 r
.70822 .39351 .71546 .40273 .73109 .39774 .72392 .38846 Metetra
1 1 1 r
.72392 .38846 .73109 .39774 .74681 .39272 .7397 .38339 Metetra
1 1 1 r
.7397 .38339 .74681 .39272 .76262 .38768 .75557 .3783 Metetra
1 1 1 r
.75557 .3783 .76262 .38768 .77851 .38261 .77152 .37318 Metetra
1 1 1 r
.77152 .37318 .77851 .38261 .7945 .37751 .78757 .36803 Metetra
1 1 1 r
.78757 .36803 .7945 .37751 .81057 .37239 .80371 .36285 Metetra
1 1 1 r
.80371 .36285 .81057 .37239 .82673 .36723 .81993 .35764 Metetra
1 1 1 r
.81993 .35764 .82673 .36723 .84299 .36205 .83625 .3524 Metetra
1 1 1 r
.83625 .3524 .84299 .36205 .85933 .35683 .85266 .34713 Metetra
1 1 1 r
.85266 .34713 .85933 .35683 .87577 .35159 .86917 .34184 Metetra
1 1 1 r
.86917 .34184 .87577 .35159 .8923 .34632 .88576 .33651 Metetra
1 1 1 r
.88576 .33651 .8923 .34632 .90892 .34102 .90245 .33115 Metetra
1 1 1 r
.30621 .51168 .31488 .51975 .32848 .51539 .31985 .50727 Metetra
1 1 1 r
.31985 .50727 .32848 .51539 .34214 .511 .33356 .50285 Metetra
1 1 1 r
.33356 .50285 .34214 .511 .35588 .50659 .34734 .49839 Metetra
1 1 1 r
.34734 .49839 .35588 .50659 .36969 .50216 .36119 .49392 Metetra
1 1 1 r
.36119 .49392 .36969 .50216 .38356 .49771 .37511 .48942 Metetra
1 1 1 r
.37511 .48942 .38356 .49771 .39751 .49323 .38911 .4849 Metetra
1 1 1 r
.38911 .4849 .39751 .49323 .41154 .48873 .40317 .48036 Metetra
1 1 1 r
.40317 .48036 .41154 .48873 .42563 .4842 .41732 .47579 Metetra
1 1 1 r
.41732 .47579 .42563 .4842 .4398 .47965 .43154 .47119 Metetra
1 1 1 r
.43154 .47119 .4398 .47965 .45405 .47508 .44583 .46658 Metetra
1 1 1 r
.44583 .46658 .45405 .47508 .46837 .47049 .4602 .46194 Metetra
1 1 1 r
.4602 .46194 .46837 .47049 .48277 .46588 .47464 .45729 Metetra
1 1 1 r
.47464 .45729 .48277 .46588 .49724 .46129 .48916 .4527 Metetra
1 1 1 r
.48916 .4527 .49724 .46129 .51179 .45691 .50376 .44848 Metetra
1 1 1 r
.50376 .44848 .51179 .45691 .52641 .4532 .51844 .44541 Metetra
1 1 1 r
.51844 .44541 .52641 .4532 .54114 .451 .53321 .44492 Metetra
1 1 1 r
.53321 .44492 .54114 .451 .55598 .45093 .54814 .44807 Metetra
1 1 1 r
.54814 .44807 .55598 .45093 .57097 .45211 .56324 .4534 Metetra
1 1 1 r
.56324 .4534 .57097 .45211 .58606 .45173 .57847 .45609 Metetra
1 1 1 r
.57847 .45609 .58606 .45173 .60118 .44693 .5937 .45126 Metetra
1 1 1 r
.5937 .45126 .60118 .44693 .61625 .4377 .60882 .43888 Metetra
1 1 1 r
.60882 .43888 .61625 .4377 .63131 .42687 .62387 .4238 Metetra
1 1 1 r
.62387 .4238 .63131 .42687 .64644 .41728 .63899 .41088 Metetra
1 1 1 r
.63899 .41088 .64644 .41728 .66171 .40981 .65426 .40159 Metetra
1 1 1 r
.65426 .40159 .66171 .40981 .67711 .40386 .66969 .39489 Metetra
1 1 1 r
.66969 .39489 .67711 .40386 .69262 .39858 .68525 .38936 Metetra
1 1 1 r
.68525 .38936 .69262 .39858 .70822 .39351 .70091 .38419 Metetra
1 1 1 r
.70091 .38419 .70822 .39351 .72392 .38846 .71667 .37909 Metetra
1 1 1 r
.71667 .37909 .72392 .38846 .7397 .38339 .73251 .37397 Metetra
1 1 1 r
.73251 .37397 .7397 .38339 .75557 .3783 .74844 .36882 Metetra
1 1 1 r
.74844 .36882 .75557 .3783 .77152 .37318 .76446 .36365 Metetra
1 1 1 r
.76446 .36365 .77152 .37318 .78757 .36803 .78057 .35844 Metetra
1 1 1 r
.78057 .35844 .78757 .36803 .80371 .36285 .79677 .35321 Metetra
1 1 1 r
.79677 .35321 .80371 .36285 .81993 .35764 .81306 .34795 Metetra
1 1 1 r
.81306 .34795 .81993 .35764 .83625 .3524 .82945 .34265 Metetra
1 1 1 r
.82945 .34265 .83625 .3524 .85266 .34713 .84592 .33733 Metetra
1 1 1 r
.84592 .33733 .85266 .34713 .86917 .34184 .86249 .33198 Metetra
1 1 1 r
.86249 .33198 .86917 .34184 .88576 .33651 .87916 .32659 Metetra
1 1 1 r
.87916 .32659 .88576 .33651 .90245 .33115 .89592 .32118 Metetra
1 1 1 r
.29746 .50353 .30621 .51168 .31985 .50727 .31114 .49908 Metetra
1 1 1 r
.31114 .49908 .31985 .50727 .33356 .50285 .32489 .49461 Metetra
1 1 1 r
.32489 .49461 .33356 .50285 .34734 .49839 .33871 .49012 Metetra
1 1 1 r
.33871 .49012 .34734 .49839 .36119 .49392 .35261 .4856 Metetra
1 1 1 r
.35261 .4856 .36119 .49392 .37511 .48942 .36657 .48106 Metetra
1 1 1 r
.36657 .48106 .37511 .48942 .38911 .4849 .38062 .47649 Metetra
1 1 1 r
.38062 .47649 .38911 .4849 .40317 .48036 .39473 .4719 Metetra
1 1 1 r
.39473 .4719 .40317 .48036 .41732 .47579 .40892 .46729 Metetra
1 1 1 r
.40892 .46729 .41732 .47579 .43154 .47119 .42319 .46265 Metetra
1 1 1 r
.42319 .46265 .43154 .47119 .44583 .46658 .43753 .45799 Metetra
1 1 1 r
.43753 .45799 .44583 .46658 .4602 .46194 .45194 .45331 Metetra
1 1 1 r
.45194 .45331 .4602 .46194 .47464 .45729 .46644 .44862 Metetra
1 1 1 r
.46644 .44862 .47464 .45729 .48916 .4527 .48101 .44405 Metetra
1 1 1 r
.48101 .44405 .48916 .4527 .50376 .44848 .49565 .44006 Metetra
1 1 1 r
.49565 .44006 .50376 .44848 .51844 .44541 .51037 .43794 Metetra
1 1 1 r
.51037 .43794 .51844 .44541 .53321 .44492 .5252 .43993 Metetra
1 1 1 r
.5252 .43993 .53321 .44492 .54814 .44807 .54019 .44775 Metetra
1 1 1 r
.54019 .44775 .54814 .44807 .56324 .4534 .55542 .45912 Metetra
1 1 1 r
.55542 .45912 .56324 .4534 .57847 .45609 .57082 .46631 Metetra
1 1 1 r
.57082 .46631 .57847 .45609 .5937 .45126 .5862 .46145 Metetra
1 1 1 r
.5862 .46145 .5937 .45126 .60882 .43888 .60138 .4445 Metetra
1 1 1 r
.60138 .4445 .60882 .43888 .62387 .4238 .61641 .42329 Metetra
1 1 1 r
.61641 .42329 .62387 .4238 .63899 .41088 .63148 .40557 Metetra
1 1 1 r
.63148 .40557 .63899 .41088 .65426 .40159 .64674 .39369 Metetra
1 1 1 r
.64674 .39369 .65426 .40159 .66969 .39489 .6622 .38594 Metetra
1 1 1 r
.6622 .38594 .66969 .39489 .68525 .38936 .67781 .38007 Metetra
1 1 1 r
.67781 .38007 .68525 .38936 .70091 .38419 .69353 .37479 Metetra
1 1 1 r
.69353 .37479 .70091 .38419 .71667 .37909 .70934 .36962 Metetra
1 1 1 r
.70934 .36962 .71667 .37909 .73251 .37397 .72525 .36444 Metetra
1 1 1 r
.72525 .36444 .73251 .37397 .74844 .36882 .74124 .35924 Metetra
1 1 1 r
.74124 .35924 .74844 .36882 .76446 .36365 .75732 .35402 Metetra
1 1 1 r
.75732 .35402 .76446 .36365 .78057 .35844 .7735 .34876 Metetra
1 1 1 r
.7735 .34876 .78057 .35844 .79677 .35321 .78976 .34347 Metetra
1 1 1 r
.78976 .34347 .79677 .35321 .81306 .34795 .80612 .33815 Metetra
1 1 1 r
.80612 .33815 .81306 .34795 .82945 .34265 .82257 .3328 Metetra
1 1 1 r
.82257 .3328 .82945 .34265 .84592 .33733 .83911 .32742 Metetra
1 1 1 r
.83911 .32742 .84592 .33733 .86249 .33198 .85575 .32201 Metetra
1 1 1 r
.85575 .32201 .86249 .33198 .87916 .32659 .87249 .31657 Metetra
1 1 1 r
.87249 .31657 .87916 .32659 .89592 .32118 .88932 .3111 Metetra
1 1 1 r
.28862 .4953 .29746 .50353 .31114 .49908 .30234 .49081 Metetra
1 1 1 r
.30234 .49081 .31114 .49908 .32489 .49461 .31614 .48629 Metetra
1 1 1 r
.31614 .48629 .32489 .49461 .33871 .49012 .33 .48176 Metetra
1 1 1 r
.33 .48176 .33871 .49012 .35261 .4856 .34394 .4772 Metetra
1 1 1 r
.34394 .4772 .35261 .4856 .36657 .48106 .35796 .47261 Metetra
1 1 1 r
.35796 .47261 .36657 .48106 .38062 .47649 .37204 .468 Metetra
1 1 1 r
.37204 .468 .38062 .47649 .39473 .4719 .3862 .46337 Metetra
1 1 1 r
.3862 .46337 .39473 .4719 .40892 .46729 .40044 .45871 Metetra
1 1 1 r
.40044 .45871 .40892 .46729 .42319 .46265 .41475 .45402 Metetra
1 1 1 r
.41475 .45402 .42319 .46265 .43753 .45799 .42914 .44932 Metetra
1 1 1 r
.42914 .44932 .43753 .45799 .45194 .45331 .44361 .44459 Metetra
1 1 1 r
.44361 .44459 .45194 .45331 .46644 .44862 .45815 .43987 Metetra
1 1 1 r
.45815 .43987 .46644 .44862 .48101 .44405 .47277 .43534 Metetra
1 1 1 r
.47277 .43534 .48101 .44405 .49565 .44006 .48746 .43168 Metetra
1 1 1 r
.48746 .43168 .49565 .44006 .51037 .43794 .50222 .4308 Metetra
1 1 1 r
.50222 .4308 .51037 .43794 .5252 .43993 .51708 .43608 Metetra
1 1 1 r
.51708 .43608 .5252 .43993 .54019 .44775 .53213 .45011 Metetra
1 1 1 r
.53213 .45011 .54019 .44775 .55542 .45912 .54748 .46957 Metetra
1 1 1 r
.54748 .46957 .55542 .45912 .57082 .46631 .56307 .48284 Metetra
1 1 1 r
.56307 .48284 .57082 .46631 .5862 .46145 .57863 .47797 Metetra
1 1 1 r
.57863 .47797 .5862 .46145 .60138 .4445 .59389 .45488 Metetra
1 1 1 r
.59389 .45488 .60138 .4445 .61641 .42329 .6089 .42548 Metetra
1 1 1 r
.6089 .42548 .61641 .42329 .63148 .40557 .62392 .40142 Metetra
1 1 1 r
.62392 .40142 .63148 .40557 .64674 .39369 .63916 .38612 Metetra
1 1 1 r
.63916 .38612 .64674 .39369 .6622 .38594 .65464 .37701 Metetra
1 1 1 r
.65464 .37701 .6622 .38594 .67781 .38007 .67029 .37071 Metetra
1 1 1 r
.67029 .37071 .67781 .38007 .69353 .37479 .68607 .36529 Metetra
1 1 1 r
.68607 .36529 .69353 .37479 .70934 .36962 .70194 .36005 Metetra
1 1 1 r
.70194 .36005 .70934 .36962 .72525 .36444 .71791 .35482 Metetra
1 1 1 r
.71791 .35482 .72525 .36444 .74124 .35924 .73396 .34957 Metetra
1 1 1 r
.73396 .34957 .74124 .35924 .75732 .35402 .75011 .34428 Metetra
1 1 1 r
.75011 .34428 .75732 .35402 .7735 .34876 .76635 .33897 Metetra
1 1 1 r
.76635 .33897 .7735 .34876 .78976 .34347 .78268 .33363 Metetra
1 1 1 r
.78268 .33363 .78976 .34347 .80612 .33815 .7991 .32825 Metetra
1 1 1 r
.7991 .32825 .80612 .33815 .82257 .3328 .81562 .32285 Metetra
1 1 1 r
.81562 .32285 .82257 .3328 .83911 .32742 .83223 .31741 Metetra
1 1 1 r
.83223 .31741 .83911 .32742 .85575 .32201 .84894 .31194 Metetra
1 1 1 r
.84894 .31194 .85575 .32201 .87249 .31657 .86574 .30644 Metetra
1 1 1 r
.86574 .30644 .87249 .31657 .88932 .3111 .88264 .30091 Metetra
1 1 1 r
.2797 .48699 .28862 .4953 .30234 .49081 .29346 .48246 Metetra
1 1 1 r
.29346 .48246 .30234 .49081 .31614 .48629 .3073 .4779 Metetra
1 1 1 r
.3073 .4779 .31614 .48629 .33 .48176 .32121 .47332 Metetra
1 1 1 r
.32121 .47332 .33 .48176 .34394 .4772 .3352 .46871 Metetra
1 1 1 r
.3352 .46871 .34394 .4772 .35796 .47261 .34925 .46408 Metetra
1 1 1 r
.34925 .46408 .35796 .47261 .37204 .468 .36339 .45943 Metetra
1 1 1 r
.36339 .45943 .37204 .468 .3862 .46337 .37759 .45475 Metetra
1 1 1 r
.37759 .45475 .3862 .46337 .40044 .45871 .39188 .45004 Metetra
1 1 1 r
.39188 .45004 .40044 .45871 .41475 .45402 .40624 .44531 Metetra
1 1 1 r
.40624 .44531 .41475 .45402 .42914 .44932 .42068 .44056 Metetra
1 1 1 r
.42068 .44056 .42914 .44932 .44361 .44459 .43519 .43578 Metetra
1 1 1 r
.43519 .43578 .44361 .44459 .45815 .43987 .44978 .43104 Metetra
1 1 1 r
.44978 .43104 .45815 .43987 .47277 .43534 .46445 .42655 Metetra
1 1 1 r
.46445 .42655 .47277 .43534 .48746 .43168 .47918 .4233 Metetra
1 1 1 r
.47918 .4233 .48746 .43168 .50222 .4308 .49397 .42393 Metetra
1 1 1 r
.49397 .42393 .50222 .4308 .51708 .43608 .50885 .43318 Metetra
1 1 1 r
.50885 .43318 .51708 .43608 .53213 .45011 .52393 .45475 Metetra
1 1 1 r
.52393 .45475 .53213 .45011 .54748 .46957 .53939 .4841 Metetra
1 1 1 r
.53939 .4841 .54748 .46957 .56307 .48284 .55517 .5049 Metetra
1 1 1 r
.55517 .5049 .56307 .48284 .57863 .47797 .57093 .50002 Metetra
1 1 1 r
.57093 .50002 .57863 .47797 .59389 .45488 .5863 .46935 Metetra
1 1 1 r
.5863 .46935 .59389 .45488 .6089 .42548 .60131 .42994 Metetra
1 1 1 r
.60131 .42994 .6089 .42548 .62392 .40142 .61629 .39821 Metetra
1 1 1 r
.61629 .39821 .62392 .40142 .63916 .38612 .6315 .37882 Metetra
1 1 1 r
.6315 .37882 .63916 .38612 .65464 .37701 .647 .36808 Metetra
1 1 1 r
.647 .36808 .65464 .37701 .67029 .37071 .6627 .36127 Metetra
1 1 1 r
.6627 .36127 .67029 .37071 .68607 .36529 .67853 .35569 Metetra
1 1 1 r
.67853 .35569 .68607 .36529 .70194 .36005 .69447 .35039 Metetra
1 1 1 r
.69447 .35039 .70194 .36005 .71791 .35482 .71049 .3451 Metetra
1 1 1 r
.71049 .3451 .71791 .35482 .73396 .34957 .72661 .33979 Metetra
1 1 1 r
.72661 .33979 .73396 .34957 .75011 .34428 .74282 .33445 Metetra
1 1 1 r
.74282 .33445 .75011 .34428 .76635 .33897 .75912 .32908 Metetra
1 1 1 r
.75912 .32908 .76635 .33897 .78268 .33363 .77552 .32368 Metetra
1 1 1 r
.77552 .32368 .78268 .33363 .7991 .32825 .79201 .31825 Metetra
1 1 1 r
.79201 .31825 .7991 .32825 .81562 .32285 .80859 .31279 Metetra
1 1 1 r
.80859 .31279 .81562 .32285 .83223 .31741 .82528 .30729 Metetra
1 1 1 r
.82528 .30729 .83223 .31741 .84894 .31194 .84205 .30177 Metetra
1 1 1 r
.84205 .30177 .84894 .31194 .86574 .30644 .85893 .29621 Metetra
1 1 1 r
.85893 .29621 .86574 .30644 .88264 .30091 .8759 .29062 Metetra
1 1 1 r
.27069 .4786 .2797 .48699 .29346 .48246 .2845 .47402 Metetra
1 1 1 r
.2845 .47402 .29346 .48246 .3073 .4779 .29838 .46942 Metetra
1 1 1 r
.29838 .46942 .3073 .4779 .32121 .47332 .31233 .4648 Metetra
1 1 1 r
.31233 .4648 .32121 .47332 .3352 .46871 .32636 .46014 Metetra
1 1 1 r
.32636 .46014 .3352 .46871 .34925 .46408 .34047 .45547 Metetra
1 1 1 r
.34047 .45547 .34925 .46408 .36339 .45943 .35464 .45077 Metetra
1 1 1 r
.35464 .45077 .36339 .45943 .37759 .45475 .3689 .44604 Metetra
1 1 1 r
.3689 .44604 .37759 .45475 .39188 .45004 .38323 .44129 Metetra
1 1 1 r
.38323 .44129 .39188 .45004 .40624 .44531 .39764 .43651 Metetra
1 1 1 r
.39764 .43651 .40624 .44531 .42068 .44056 .41212 .43171 Metetra
1 1 1 r
.41212 .43171 .42068 .44056 .43519 .43578 .42669 .42689 Metetra
1 1 1 r
.42669 .42689 .43519 .43578 .44978 .43104 .44133 .42211 Metetra
1 1 1 r
.44133 .42211 .44978 .43104 .46445 .42655 .45604 .41769 Metetra
1 1 1 r
.45604 .41769 .46445 .42655 .47918 .4233 .47081 .41487 Metetra
1 1 1 r
.47081 .41487 .47918 .4233 .49397 .42393 .48562 .41713 Metetra
1 1 1 r
.48562 .41713 .49397 .42393 .50885 .43318 .50049 .43069 Metetra
1 1 1 r
.50049 .43069 .50885 .43318 .52393 .45475 .51558 .46049 Metetra
1 1 1 r
.51558 .46049 .52393 .45475 .53939 .4841 .53109 .50077 Metetra
1 1 1 r
.53109 .50077 .53939 .4841 .55517 .5049 .54704 .52998 Metetra
1 1 1 r
.54704 .52998 .55517 .5049 .57093 .50002 .56303 .52509 Metetra
1 1 1 r
.56303 .52509 .57093 .50002 .5863 .46935 .57855 .48597 Metetra
1 1 1 r
.57855 .48597 .5863 .46935 .60131 .42994 .59359 .43552 Metetra
1 1 1 r
.59359 .43552 .60131 .42994 .61629 .39821 .60855 .39542 Metetra
1 1 1 r
.60855 .39542 .61629 .39821 .6315 .37882 .62376 .37159 Metetra
1 1 1 r
.62376 .37159 .6315 .37882 .647 .36808 .63928 .3591 Metetra
1 1 1 r
.63928 .3591 .647 .36808 .6627 .36127 .65503 .35174 Metetra
1 1 1 r
.65503 .35174 .6627 .36127 .67853 .35569 .67092 .346 Metetra
1 1 1 r
.67092 .346 .67853 .35569 .69447 .35039 .68691 .34062 Metetra
1 1 1 r
.68691 .34062 .69447 .35039 .71049 .3451 .703 .33527 Metetra
1 1 1 r
.703 .33527 .71049 .3451 .72661 .33979 .71918 .32991 Metetra
1 1 1 r
.71918 .32991 .72661 .33979 .74282 .33445 .73546 .32451 Metetra
1 1 1 r
.73546 .32451 .74282 .33445 .75912 .32908 .75183 .31909 Metetra
1 1 1 r
.75183 .31909 .75912 .32908 .77552 .32368 .76829 .31363 Metetra
1 1 1 r
.76829 .31363 .77552 .32368 .79201 .31825 .78484 .30814 Metetra
1 1 1 r
.78484 .30814 .79201 .31825 .80859 .31279 .8015 .30262 Metetra
1 1 1 r
.8015 .30262 .80859 .31279 .82528 .30729 .81825 .29707 Metetra
1 1 1 r
.81825 .29707 .82528 .30729 .84205 .30177 .83509 .29148 Metetra
1 1 1 r
.83509 .29148 .84205 .30177 .85893 .29621 .85204 .28586 Metetra
1 1 1 r
.85204 .28586 .85893 .29621 .8759 .29062 .86908 .28021 Metetra
1 1 1 r
.26159 .47013 .27069 .4786 .2845 .47402 .27544 .46551 Metetra
1 1 1 r
.27544 .46551 .2845 .47402 .29838 .46942 .28937 .46086 Metetra
1 1 1 r
.28937 .46086 .29838 .46942 .31233 .4648 .30337 .45619 Metetra
1 1 1 r
.30337 .45619 .31233 .4648 .32636 .46014 .31744 .45149 Metetra
1 1 1 r
.31744 .45149 .32636 .46014 .34047 .45547 .33159 .44677 Metetra
1 1 1 r
.33159 .44677 .34047 .45547 .35464 .45077 .34582 .44202 Metetra
1 1 1 r
.34582 .44202 .35464 .45077 .3689 .44604 .36012 .43725 Metetra
1 1 1 r
.36012 .43725 .3689 .44604 .38323 .44129 .3745 .43245 Metetra
1 1 1 r
.3745 .43245 .38323 .44129 .39764 .43651 .38895 .42763 Metetra
1 1 1 r
.38895 .42763 .39764 .43651 .41212 .43171 .40349 .42278 Metetra
1 1 1 r
.40349 .42278 .41212 .43171 .42669 .42689 .4181 .41791 Metetra
1 1 1 r
.4181 .41791 .42669 .42689 .44133 .42211 .43279 .4131 Metetra
1 1 1 r
.43279 .4131 .44133 .42211 .45604 .41769 .44755 .40873 Metetra
1 1 1 r
.44755 .40873 .45604 .41769 .47081 .41487 .46236 .40632 Metetra
1 1 1 r
.46236 .40632 .47081 .41487 .48562 .41713 .47718 .41013 Metetra
1 1 1 r
.47718 .41013 .48562 .41713 .50049 .43069 .49203 .42778 Metetra
1 1 1 r
.49203 .42778 .50049 .43069 .51558 .46049 .50706 .46548 Metetra
1 1 1 r
.50706 .46548 .51558 .46049 .53109 .50077 .52257 .51638 Metetra
1 1 1 r
.52257 .51638 .53109 .50077 .54704 .52998 .53865 .55384 Metetra
1 1 1 r
.53865 .55384 .54704 .52998 .56303 .52509 .55486 .54895 Metetra
1 1 1 r
.55486 .54895 .56303 .52509 .57855 .48597 .57057 .50152 Metetra
1 1 1 r
.57057 .50152 .57855 .48597 .59359 .43552 .58571 .44034 Metetra
1 1 1 r
.58571 .44034 .59359 .43552 .60855 .39542 .6007 .3922 Metetra
1 1 1 r
.6007 .3922 .60855 .39542 .62376 .37159 .61592 .36413 Metetra
1 1 1 r
.61592 .36413 .62376 .37159 .63928 .3591 .63147 .34998 Metetra
1 1 1 r
.63147 .34998 .63928 .3591 .65503 .35174 .64727 .3421 Metetra
1 1 1 r
.64727 .3421 .65503 .35174 .67092 .346 .66322 .3362 Metetra
1 1 1 r
.66322 .3362 .67092 .346 .68691 .34062 .67928 .33075 Metetra
1 1 1 r
.67928 .33075 .68691 .34062 .703 .33527 .69543 .32535 Metetra
1 1 1 r
.69543 .32535 .703 .33527 .71918 .32991 .71168 .31992 Metetra
1 1 1 r
.71168 .31992 .71918 .32991 .73546 .32451 .72801 .31447 Metetra
1 1 1 r
.72801 .31447 .73546 .32451 .75183 .31909 .74445 .30899 Metetra
1 1 1 r
.74445 .30899 .75183 .31909 .76829 .31363 .76098 .30347 Metetra
1 1 1 r
.76098 .30347 .76829 .31363 .78484 .30814 .7776 .29792 Metetra
1 1 1 r
.7776 .29792 .78484 .30814 .8015 .30262 .79432 .29234 Metetra
1 1 1 r
.79432 .29234 .8015 .30262 .81825 .29707 .81114 .28673 Metetra
1 1 1 r
.81114 .28673 .81825 .29707 .83509 .29148 .82806 .28108 Metetra
1 1 1 r
.82806 .28108 .83509 .29148 .85204 .28586 .84507 .27541 Metetra
1 1 1 r
.84507 .27541 .85204 .28586 .86908 .28021 .86219 .26969 Metetra
1 1 1 r
.2524 .46158 .26159 .47013 .27544 .46551 .2663 .45691 Metetra
1 1 1 r
.2663 .45691 .27544 .46551 .28937 .46086 .28027 .45222 Metetra
1 1 1 r
.28027 .45222 .28937 .46086 .30337 .45619 .29431 .4475 Metetra
1 1 1 r
.29431 .4475 .30337 .45619 .31744 .45149 .30843 .44275 Metetra
1 1 1 r
.30843 .44275 .31744 .45149 .33159 .44677 .32263 .43799 Metetra
1 1 1 r
.32263 .43799 .33159 .44677 .34582 .44202 .3369 .43319 Metetra
1 1 1 r
.3369 .43319 .34582 .44202 .36012 .43725 .35125 .42837 Metetra
1 1 1 r
.35125 .42837 .36012 .43725 .3745 .43245 .36567 .42352 Metetra
1 1 1 r
.36567 .42352 .3745 .43245 .38895 .42763 .38018 .41865 Metetra
1 1 1 r
.38018 .41865 .38895 .42763 .40349 .42278 .39476 .41375 Metetra
1 1 1 r
.39476 .41375 .40349 .42278 .4181 .41791 .40943 .40884 Metetra
1 1 1 r
.40943 .40884 .4181 .41791 .43279 .4131 .42417 .40399 Metetra
1 1 1 r
.42417 .40399 .43279 .4131 .44755 .40873 .43898 .39965 Metetra
1 1 1 r
.43898 .39965 .44755 .40873 .46236 .40632 .45382 .39755 Metetra
1 1 1 r
.45382 .39755 .46236 .40632 .47718 .41013 .46865 .40258 Metetra
1 1 1 r
.46865 .40258 .47718 .41013 .49203 .42778 .48346 .42347 Metetra
1 1 1 r
.48346 .42347 .49203 .42778 .50706 .46548 .49841 .46748 Metetra
1 1 1 r
.49841 .46748 .50706 .46548 .52257 .51638 .51385 .52696 Metetra
1 1 1 r
.51385 .52696 .52257 .51638 .53865 .55384 .52999 .57115 Metetra
1 1 1 r
.52999 .57115 .53865 .55384 .55486 .54895 .54638 .56624 Metetra
1 1 1 r
.54638 .56624 .55486 .54895 .57057 .50152 .56232 .51203 Metetra
1 1 1 r
.56232 .51203 .57057 .50152 .58571 .44034 .57762 .44215 Metetra
1 1 1 r
.57762 .44215 .58571 .44034 .6007 .3922 .5927 .38757 Metetra
1 1 1 r
.5927 .38757 .6007 .3922 .61592 .36413 .60798 .35613 Metetra
1 1 1 r
.60798 .35613 .61592 .36413 .63147 .34998 .62358 .34064 Metetra
1 1 1 r
.62358 .34064 .63147 .34998 .64727 .3421 .63943 .33233 Metetra
1 1 1 r
.63943 .33233 .64727 .3421 .66322 .3362 .65544 .3263 Metetra
1 1 1 r
.65544 .3263 .66322 .3362 .67928 .33075 .67156 .32077 Metetra
1 1 1 r
.67156 .32077 .67928 .33075 .69543 .32535 .68778 .31531 Metetra
1 1 1 r
.68778 .31531 .69543 .32535 .71168 .31992 .70409 .30983 Metetra
1 1 1 r
.70409 .30983 .71168 .31992 .72801 .31447 .72049 .30432 Metetra
1 1 1 r
.72049 .30432 .72801 .31447 .74445 .30899 .73699 .29878 Metetra
1 1 1 r
.73699 .29878 .74445 .30899 .76098 .30347 .75359 .2932 Metetra
1 1 1 r
.75359 .2932 .76098 .30347 .7776 .29792 .77028 .2876 Metetra
1 1 1 r
.77028 .2876 .7776 .29792 .79432 .29234 .78707 .28195 Metetra
1 1 1 r
.78707 .28195 .79432 .29234 .81114 .28673 .80396 .27628 Metetra
1 1 1 r
.80396 .27628 .81114 .28673 .82806 .28108 .82094 .27057 Metetra
1 1 1 r
.82094 .27057 .82806 .28108 .84507 .27541 .83803 .26483 Metetra
1 1 1 r
.83803 .26483 .84507 .27541 .86219 .26969 .85522 .25906 Metetra
1 1 1 r
.24313 .45294 .2524 .46158 .2663 .45691 .25707 .44823 Metetra
1 1 1 r
.25707 .44823 .2663 .45691 .28027 .45222 .27108 .44349 Metetra
1 1 1 r
.27108 .44349 .28027 .45222 .29431 .4475 .28517 .43872 Metetra
1 1 1 r
.28517 .43872 .29431 .4475 .30843 .44275 .29933 .43393 Metetra
1 1 1 r
.29933 .43393 .30843 .44275 .32263 .43799 .31357 .42911 Metetra
1 1 1 r
.31357 .42911 .32263 .43799 .3369 .43319 .32789 .42427 Metetra
1 1 1 r
.32789 .42427 .3369 .43319 .35125 .42837 .34229 .4194 Metetra
1 1 1 r
.34229 .4194 .35125 .42837 .36567 .42352 .35676 .41451 Metetra
1 1 1 r
.35676 .41451 .36567 .42352 .38018 .41865 .37132 .40958 Metetra
1 1 1 r
.37132 .40958 .38018 .41865 .39476 .41375 .38595 .40464 Metetra
1 1 1 r
.38595 .40464 .39476 .41375 .40943 .40884 .40067 .39967 Metetra
1 1 1 r
.40067 .39967 .40943 .40884 .42417 .40399 .41546 .39478 Metetra
1 1 1 r
.41546 .39478 .42417 .40399 .43898 .39965 .43031 .39043 Metetra
1 1 1 r
.43031 .39043 .43898 .39965 .45382 .39755 .4452 .3885 Metetra
1 1 1 r
.4452 .3885 .45382 .39755 .46865 .40258 .46004 .39418 Metetra
1 1 1 r
.46004 .39418 .46865 .40258 .48346 .42347 .47481 .41688 Metetra
1 1 1 r
.47481 .41688 .48346 .42347 .49841 .46748 .48965 .46444 Metetra
1 1 1 r
.48965 .46444 .49841 .46748 .51385 .52696 .50499 .52879 Metetra
1 1 1 r
.50499 .52879 .51385 .52696 .52999 .57115 .52111 .57683 Metetra
1 1 1 r
.52111 .57683 .52999 .57115 .54638 .56624 .53764 .57189 Metetra
1 1 1 r
.53764 .57189 .54638 .56624 .56232 .51203 .55381 .51375 Metetra
1 1 1 r
.55381 .51375 .56232 .51203 .57762 .44215 .56932 .43888 Metetra
1 1 1 r
.56932 .43888 .57762 .44215 .5927 .38757 .58455 .38062 Metetra
1 1 1 r
.58455 .38062 .5927 .38757 .60798 .35613 .59992 .34725 Metetra
1 1 1 r
.59992 .34725 .60798 .35613 .62358 .34064 .61559 .33099 Metetra
1 1 1 r
.61559 .33099 .62358 .34064 .63943 .33233 .63151 .32242 Metetra
1 1 1 r
.63151 .32242 .63943 .33233 .65544 .3263 .64758 .31628 Metetra
1 1 1 r
.64758 .31628 .65544 .3263 .67156 .32077 .66376 .31069 Metetra
1 1 1 r
.66376 .31069 .67156 .32077 .68778 .31531 .68004 .30517 Metetra
1 1 1 r
.68004 .30517 .68778 .31531 .70409 .30983 .69642 .29963 Metetra
1 1 1 r
.69642 .29963 .70409 .30983 .72049 .30432 .71289 .29406 Metetra
1 1 1 r
.71289 .29406 .72049 .30432 .73699 .29878 .72946 .28846 Metetra
1 1 1 r
.72946 .28846 .73699 .29878 .75359 .2932 .74612 .28282 Metetra
1 1 1 r
.74612 .28282 .75359 .2932 .77028 .2876 .76288 .27716 Metetra
1 1 1 r
.76288 .27716 .77028 .2876 .78707 .28195 .77974 .27145 Metetra
1 1 1 r
.77974 .27145 .78707 .28195 .80396 .27628 .7967 .26572 Metetra
1 1 1 r
.7967 .26572 .80396 .27628 .82094 .27057 .81375 .25995 Metetra
1 1 1 r
.81375 .25995 .82094 .27057 .83803 .26483 .83091 .25415 Metetra
1 1 1 r
.83091 .25415 .83803 .26483 .85522 .25906 .84818 .24831 Metetra
1 1 1 r
.23376 .44422 .24313 .45294 .25707 .44823 .24774 .43946 Metetra
1 1 1 r
.24774 .43946 .25707 .44823 .27108 .44349 .2618 .43467 Metetra
1 1 1 r
.2618 .43467 .27108 .44349 .28517 .43872 .27593 .42986 Metetra
1 1 1 r
.27593 .42986 .28517 .43872 .29933 .43393 .29014 .42502 Metetra
1 1 1 r
.29014 .42502 .29933 .43393 .31357 .42911 .30443 .42015 Metetra
1 1 1 r
.30443 .42015 .31357 .42911 .32789 .42427 .3188 .41526 Metetra
1 1 1 r
.3188 .41526 .32789 .42427 .34229 .4194 .33324 .41034 Metetra
1 1 1 r
.33324 .41034 .34229 .4194 .35676 .41451 .34776 .4054 Metetra
1 1 1 r
.34776 .4054 .35676 .41451 .37132 .40958 .36237 .40043 Metetra
1 1 1 r
.36237 .40043 .37132 .40958 .38595 .40464 .37705 .39543 Metetra
1 1 1 r
.37705 .39543 .38595 .40464 .40067 .39967 .39181 .39042 Metetra
1 1 1 r
.39181 .39042 .40067 .39967 .41546 .39478 .40666 .38547 Metetra
1 1 1 r
.40666 .38547 .41546 .39478 .43031 .39043 .42156 .38107 Metetra
1 1 1 r
.42156 .38107 .43031 .39043 .4452 .3885 .43649 .37909 Metetra
1 1 1 r
.43649 .37909 .4452 .3885 .46004 .39418 .45136 .38475 Metetra
1 1 1 r
.45136 .38475 .46004 .39418 .47481 .41688 .4661 .40746 Metetra
1 1 1 r
.4661 .40746 .47481 .41688 .48965 .46444 .48086 .45509 Metetra
1 1 1 r
.48086 .45509 .48965 .46444 .50499 .52879 .49607 .51956 Metetra
1 1 1 r
.49607 .51956 .50499 .52879 .52111 .57683 .5121 .56769 Metetra
1 1 1 r
.5121 .56769 .52111 .57683 .53764 .57189 .5287 .5627 Metetra
1 1 1 r
.5287 .5627 .53764 .57189 .55381 .51375 .54507 .50435 Metetra
1 1 1 r
.54507 .50435 .55381 .51375 .56932 .43888 .56083 .42926 Metetra
1 1 1 r
.56083 .42926 .56932 .43888 .58455 .38062 .57625 .37081 Metetra
1 1 1 r
.57625 .37081 .58455 .38062 .59992 .34725 .59175 .33732 Metetra
1 1 1 r
.59175 .33732 .59992 .34725 .61559 .33099 .60752 .32098 Metetra
1 1 1 r
.60752 .32098 .61559 .33099 .63151 .32242 .6235 .31235 Metetra
1 1 1 r
.6235 .31235 .63151 .32242 .64758 .31628 .63964 .30615 Metetra
1 1 1 r
.63964 .30615 .64758 .31628 .66376 .31069 .65588 .3005 Metetra
1 1 1 r
.65588 .3005 .66376 .31069 .68004 .30517 .67223 .29492 Metetra
1 1 1 r
.67223 .29492 .68004 .30517 .69642 .29963 .68867 .28932 Metetra
1 1 1 r
.68867 .28932 .69642 .29963 .71289 .29406 .70521 .28369 Metetra
1 1 1 r
.70521 .28369 .71289 .29406 .72946 .28846 .72184 .27803 Metetra
1 1 1 r
.72184 .27803 .72946 .28846 .74612 .28282 .73857 .27233 Metetra
1 1 1 r
.73857 .27233 .74612 .28282 .76288 .27716 .7554 .2666 Metetra
1 1 1 r
.7554 .2666 .76288 .27716 .77974 .27145 .77233 .26084 Metetra
1 1 1 r
.77233 .26084 .77974 .27145 .7967 .26572 .78936 .25504 Metetra
1 1 1 r
.78936 .25504 .7967 .26572 .81375 .25995 .80649 .24921 Metetra
1 1 1 r
.80649 .24921 .81375 .25995 .83091 .25415 .82372 .24334 Metetra
1 1 1 r
.82372 .24334 .83091 .25415 .84818 .24831 .84105 .23744 Metetra
1 1 1 r
.22429 .43541 .23376 .44422 .24774 .43946 .23832 .4306 Metetra
1 1 1 r
.23832 .4306 .24774 .43946 .2618 .43467 .25243 .42576 Metetra
1 1 1 r
.25243 .42576 .2618 .43467 .27593 .42986 .26661 .4209 Metetra
1 1 1 r
.26661 .4209 .27593 .42986 .29014 .42502 .28086 .41602 Metetra
1 1 1 r
.28086 .41602 .29014 .42502 .30443 .42015 .2952 .4111 Metetra
1 1 1 r
.2952 .4111 .30443 .42015 .3188 .41526 .30961 .40616 Metetra
1 1 1 r
.30961 .40616 .3188 .41526 .33324 .41034 .3241 .40119 Metetra
1 1 1 r
.3241 .40119 .33324 .41034 .34776 .4054 .33867 .3962 Metetra
1 1 1 r
.33867 .3962 .34776 .4054 .36237 .40043 .35333 .39117 Metetra
1 1 1 r
.35333 .39117 .36237 .40043 .37705 .39543 .36806 .38613 Metetra
1 1 1 r
.36806 .38613 .37705 .39543 .39181 .39042 .38287 .38106 Metetra
1 1 1 r
.38287 .38106 .39181 .39042 .40666 .38547 .39777 .37606 Metetra
1 1 1 r
.39777 .37606 .40666 .38547 .42156 .38107 .41272 .37157 Metetra
1 1 1 r
.41272 .37157 .42156 .38107 .43649 .37909 .4277 .36934 Metetra
1 1 1 r
.4277 .36934 .43649 .37909 .45136 .38475 .44261 .37427 Metetra
1 1 1 r
.44261 .37427 .45136 .38475 .4661 .40746 .45736 .39518 Metetra
1 1 1 r
.45736 .39518 .4661 .40746 .48086 .45509 .47207 .43938 Metetra
1 1 1 r
.47207 .43938 .48086 .45509 .49607 .51956 .48717 .49919 Metetra
1 1 1 r
.48717 .49919 .49607 .51956 .5121 .56769 .5031 .54362 Metetra
1 1 1 r
.5031 .54362 .5121 .56769 .5287 .5627 .51968 .53855 Metetra
1 1 1 r
.51968 .53855 .5287 .5627 .54507 .50435 .5362 .48376 Metetra
1 1 1 r
.5362 .48376 .54507 .50435 .56083 .42926 .55219 .41322 Metetra
1 1 1 r
.55219 .41322 .56083 .42926 .57625 .37081 .56783 .35812 Metetra
1 1 1 r
.56783 .35812 .57625 .37081 .59175 .33732 .58348 .32634 Metetra
1 1 1 r
.58348 .32634 .59175 .33732 .60752 .32098 .59935 .31061 Metetra
1 1 1 r
.59935 .31061 .60752 .32098 .6235 .31235 .61541 .30211 Metetra
1 1 1 r
.61541 .30211 .6235 .31235 .63964 .30615 .63161 .2959 Metetra
1 1 1 r
.63161 .2959 .63964 .30615 .65588 .3005 .64792 .2902 Metetra
1 1 1 r
.64792 .2902 .65588 .3005 .67223 .29492 .66433 .28456 Metetra
1 1 1 r
.66433 .28456 .67223 .29492 .68867 .28932 .68083 .2789 Metetra
1 1 1 r
.68083 .2789 .68867 .28932 .70521 .28369 .69744 .27321 Metetra
1 1 1 r
.69744 .27321 .70521 .28369 .72184 .27803 .71414 .26749 Metetra
1 1 1 r
.71414 .26749 .72184 .27803 .73857 .27233 .73094 .26173 Metetra
1 1 1 r
.73094 .26173 .73857 .27233 .7554 .2666 .74784 .25594 Metetra
1 1 1 r
.74784 .25594 .7554 .2666 .77233 .26084 .76483 .25011 Metetra
1 1 1 r
.76483 .25011 .77233 .26084 .78936 .25504 .78194 .24425 Metetra
1 1 1 r
.78194 .24425 .78936 .25504 .80649 .24921 .79914 .23835 Metetra
1 1 1 r
.79914 .23835 .80649 .24921 .82372 .24334 .81644 .23242 Metetra
1 1 1 r
.81644 .23242 .82372 .24334 .84105 .23744 .83385 .22645 Metetra
1 1 1 r
.21474 .42651 .22429 .43541 .23832 .4306 .22881 .42165 Metetra
1 1 1 r
.22881 .42165 .23832 .4306 .25243 .42576 .24296 .41677 Metetra
1 1 1 r
.24296 .41677 .25243 .42576 .26661 .4209 .25718 .41186 Metetra
1 1 1 r
.25718 .41186 .26661 .4209 .28086 .41602 .27149 .40692 Metetra
1 1 1 r
.27149 .40692 .28086 .41602 .2952 .4111 .28587 .40196 Metetra
1 1 1 r
.28587 .40196 .2952 .4111 .30961 .40616 .30033 .39697 Metetra
1 1 1 r
.30033 .39697 .30961 .40616 .3241 .40119 .31487 .39195 Metetra
1 1 1 r
.31487 .39195 .3241 .40119 .33867 .3962 .32949 .3869 Metetra
1 1 1 r
.32949 .3869 .33867 .3962 .35333 .39117 .34419 .38183 Metetra
1 1 1 r
.34419 .38183 .35333 .39117 .36806 .38613 .35897 .37673 Metetra
1 1 1 r
.35897 .37673 .36806 .38613 .38287 .38106 .37384 .37161 Metetra
1 1 1 r
.37384 .37161 .38287 .38106 .39777 .37606 .38878 .36654 Metetra
1 1 1 r
.38878 .36654 .39777 .37606 .41272 .37157 .4038 .36192 Metetra
1 1 1 r
.4038 .36192 .41272 .37157 .4277 .36934 .41883 .35928 Metetra
1 1 1 r
.41883 .35928 .4277 .36934 .44261 .37427 .43379 .36293 Metetra
1 1 1 r
.43379 .36293 .44261 .37427 .45736 .39518 .44859 .38056 Metetra
1 1 1 r
.44859 .38056 .45736 .39518 .47207 .43938 .46332 .41849 Metetra
1 1 1 r
.46332 .41849 .47207 .43938 .48717 .49919 .47836 .46983 Metetra
1 1 1 r
.47836 .46983 .48717 .49919 .5031 .54362 .49418 .50758 Metetra
1 1 1 r
.49418 .50758 .5031 .54362 .51968 .53855 .5107 .50241 Metetra
1 1 1 r
.5107 .50241 .51968 .53855 .5362 .48376 .52729 .45415 Metetra
1 1 1 r
.52729 .45415 .5362 .48376 .55219 .41322 .54346 .39198 Metetra
1 1 1 r
.54346 .39198 .55219 .41322 .56783 .35812 .5593 .34306 Metetra
1 1 1 r
.5593 .34306 .56783 .35812 .58348 .32634 .57512 .31446 Metetra
1 1 1 r
.57512 .31446 .58348 .32634 .59935 .31061 .59108 .29992 Metetra
1 1 1 r
.59108 .29992 .59935 .31061 .61541 .30211 .60722 .29173 Metetra
1 1 1 r
.60722 .29173 .61541 .30211 .63161 .2959 .62349 .28554 Metetra
1 1 1 r
.62349 .28554 .63161 .2959 .64792 .2902 .63987 .27979 Metetra
1 1 1 r
.63987 .27979 .64792 .2902 .66433 .28456 .65634 .27409 Metetra
1 1 1 r
.65634 .27409 .66433 .28456 .68083 .2789 .67291 .26837 Metetra
1 1 1 r
.67291 .26837 .68083 .2789 .69744 .27321 .68958 .26262 Metetra
1 1 1 r
.68958 .26262 .69744 .27321 .71414 .26749 .70635 .25683 Metetra
1 1 1 r
.70635 .25683 .71414 .26749 .73094 .26173 .72322 .25101 Metetra
1 1 1 r
.72322 .25101 .73094 .26173 .74784 .25594 .74019 .24515 Metetra
1 1 1 r
.74019 .24515 .74784 .25594 .76483 .25011 .75726 .23926 Metetra
1 1 1 r
.75726 .23926 .76483 .25011 .78194 .24425 .77443 .23333 Metetra
1 1 1 r
.77443 .23333 .78194 .24425 .79914 .23835 .79171 .22737 Metetra
1 1 1 r
.79171 .22737 .79914 .23835 .81644 .23242 .80909 .22137 Metetra
1 1 1 r
.80909 .22137 .81644 .23242 .83385 .22645 .82657 .21533 Metetra
1 1 1 r
.20509 .41752 .21474 .42651 .22881 .42165 .2192 .41262 Metetra
1 1 1 r
.2192 .41262 .22881 .42165 .24296 .41677 .2334 .40768 Metetra
1 1 1 r
.2334 .40768 .24296 .41677 .25718 .41186 .24767 .40273 Metetra
1 1 1 r
.24767 .40273 .25718 .41186 .27149 .40692 .26202 .39774 Metetra
1 1 1 r
.26202 .39774 .27149 .40692 .28587 .40196 .27644 .39272 Metetra
1 1 1 r
.27644 .39272 .28587 .40196 .30033 .39697 .29095 .38768 Metetra
1 1 1 r
.29095 .38768 .30033 .39697 .31487 .39195 .30554 .38261 Metetra
1 1 1 r
.30554 .38261 .31487 .39195 .32949 .3869 .32021 .37751 Metetra
1 1 1 r
.32021 .37751 .32949 .3869 .34419 .38183 .33496 .37239 Metetra
1 1 1 r
.33496 .37239 .34419 .38183 .35897 .37673 .3498 .36723 Metetra
1 1 1 r
.3498 .36723 .35897 .37673 .37384 .37161 .36471 .36205 Metetra
1 1 1 r
.36471 .36205 .37384 .37161 .38878 .36654 .37971 .35692 Metetra
1 1 1 r
.37971 .35692 .38878 .36654 .4038 .36192 .39478 .35214 Metetra
1 1 1 r
.39478 .35214 .4038 .36192 .41883 .35928 .40987 .34899 Metetra
1 1 1 r
.40987 .34899 .41883 .35928 .43379 .36293 .42491 .35101 Metetra
1 1 1 r
.42491 .35101 .43379 .36293 .44859 .38056 .4398 .36447 Metetra
1 1 1 r
.4398 .36447 .44859 .38056 .46332 .41849 .4546 .39446 Metetra
1 1 1 r
.4546 .39446 .46332 .41849 .47836 .46983 .46965 .43515 Metetra
1 1 1 r
.46965 .43515 .47836 .46983 .49418 .50758 .48538 .46459 Metetra
1 1 1 r
.48538 .46459 .49418 .50758 .5107 .50241 .5018 .45931 Metetra
1 1 1 r
.5018 .45931 .5107 .50241 .52729 .45415 .51839 .4192 Metetra
1 1 1 r
.51839 .4192 .52729 .45415 .54346 .39198 .53469 .36756 Metetra
1 1 1 r
.53469 .36756 .54346 .39198 .5593 .34306 .5507 .32652 Metetra
1 1 1 r
.5507 .32652 .5593 .34306 .57512 .31446 .56666 .302 Metetra
1 1 1 r
.56666 .302 .57512 .31446 .59108 .29992 .58273 .289 Metetra
1 1 1 r
.58273 .289 .59108 .29992 .60722 .29173 .59895 .28121 Metetra
1 1 1 r
.59895 .28121 .60722 .29173 .62349 .28554 .61529 .27506 Metetra
1 1 1 r
.61529 .27506 .62349 .28554 .63987 .27979 .63173 .26926 Metetra
1 1 1 r
.63173 .26926 .63987 .27979 .65634 .27409 .64827 .26351 Metetra
1 1 1 r
.64827 .26351 .65634 .27409 .67291 .26837 .66491 .25772 Metetra
1 1 1 r
.66491 .25772 .67291 .26837 .68958 .26262 .68165 .2519 Metetra
1 1 1 r
.68165 .2519 .68958 .26262 .70635 .25683 .69848 .24606 Metetra
1 1 1 r
.69848 .24606 .70635 .25683 .72322 .25101 .71542 .24017 Metetra
1 1 1 r
.71542 .24017 .72322 .25101 .74019 .24515 .73246 .23424 Metetra
1 1 1 r
.73246 .23424 .74019 .24515 .75726 .23926 .7496 .22829 Metetra
1 1 1 r
.7496 .22829 .75726 .23926 .77443 .23333 .76685 .2223 Metetra
1 1 1 r
.76685 .2223 .77443 .23333 .79171 .22737 .78419 .21626 Metetra
1 1 1 r
.78419 .21626 .79171 .22737 .80909 .22137 .80165 .2102 Metetra
1 1 1 r
.80165 .2102 .80909 .22137 .82657 .21533 .81921 .2041 Metetra
1 1 1 r
.19534 .40845 .20509 .41752 .2192 .41262 .2095 .40348 Metetra
1 1 1 r
.2095 .40348 .2192 .41262 .2334 .40768 .22374 .39851 Metetra
1 1 1 r
.22374 .39851 .2334 .40768 .24767 .40273 .23805 .3935 Metetra
1 1 1 r
.23805 .3935 .24767 .40273 .26202 .39774 .25245 .38845 Metetra
1 1 1 r
.25245 .38845 .26202 .39774 .27644 .39272 .26692 .38339 Metetra
1 1 1 r
.26692 .38339 .27644 .39272 .29095 .38768 .28148 .37831 Metetra
1 1 1 r
.28148 .37831 .29095 .38768 .30554 .38261 .29612 .37317 Metetra
1 1 1 r
.29612 .37317 .30554 .38261 .32021 .37751 .31084 .36803 Metetra
1 1 1 r
.31084 .36803 .32021 .37751 .33496 .37239 .32564 .36285 Metetra
1 1 1 r
.32564 .36285 .33496 .37239 .3498 .36723 .34052 .35763 Metetra
1 1 1 r
.34052 .35763 .3498 .36723 .36471 .36205 .35549 .35241 Metetra
1 1 1 r
.35549 .35241 .36471 .36205 .37971 .35692 .37054 .34721 Metetra
1 1 1 r
.37054 .34721 .37971 .35692 .39478 .35214 .38566 .34225 Metetra
1 1 1 r
.38566 .34225 .39478 .35214 .40987 .34899 .40083 .33856 Metetra
1 1 1 r
.40083 .33856 .40987 .34899 .42491 .35101 .41595 .33885 Metetra
1 1 1 r
.41595 .33885 .42491 .35101 .4398 .36447 .43096 .34789 Metetra
1 1 1 r
.43096 .34789 .4398 .36447 .4546 .39446 .44589 .36952 Metetra
1 1 1 r
.44589 .36952 .4546 .39446 .46965 .43515 .46101 .39914 Metetra
1 1 1 r
.46101 .39914 .46965 .43515 .48538 .46459 .4767 .42001 Metetra
1 1 1 r
.4767 .42001 .48538 .46459 .5018 .45931 .49301 .41463 Metetra
1 1 1 r
.49301 .41463 .5018 .45931 .51839 .4192 .50954 .38291 Metetra
1 1 1 r
.50954 .38291 .51839 .4192 .53469 .36756 .5259 .34224 Metetra
1 1 1 r
.5259 .34224 .53469 .36756 .5507 .32652 .54204 .30946 Metetra
1 1 1 r
.54204 .30946 .5507 .32652 .56666 .302 .55813 .2893 Metetra
1 1 1 r
.55813 .2893 .56666 .302 .58273 .289 .5743 .27792 Metetra
1 1 1 r
.5743 .27792 .58273 .289 .59895 .28121 .59059 .27056 Metetra
1 1 1 r
.59059 .27056 .59895 .28121 .61529 .27506 .60699 .26447 Metetra
1 1 1 r
.60699 .26447 .61529 .27506 .63173 .26926 .6235 .25862 Metetra
1 1 1 r
.6235 .25862 .63173 .26926 .64827 .26351 .64011 .2528 Metetra
1 1 1 r
.64011 .2528 .64827 .26351 .66491 .25772 .65681 .24696 Metetra
1 1 1 r
.65681 .24696 .66491 .25772 .68165 .2519 .67362 .24107 Metetra
1 1 1 r
.67362 .24107 .68165 .2519 .69848 .24606 .69053 .23515 Metetra
1 1 1 r
.69053 .23515 .69848 .24606 .71542 .24017 .70753 .22921 Metetra
1 1 1 r
.70753 .22921 .71542 .24017 .73246 .23424 .72464 .22322 Metetra
1 1 1 r
.72464 .22322 .73246 .23424 .7496 .22829 .74186 .21719 Metetra
1 1 1 r
.74186 .21719 .7496 .22829 .76685 .2223 .75917 .21114 Metetra
1 1 1 r
.75917 .21114 .76685 .2223 .78419 .21626 .7766 .20504 Metetra
1 1 1 r
.7766 .20504 .78419 .21626 .80165 .2102 .79413 .1989 Metetra
1 1 1 r
.79413 .1989 .80165 .2102 .81921 .2041 .81176 .19274 Metetra
1 1 1 r
.18549 .39927 .19534 .40845 .2095 .40348 .19969 .39428 Metetra
1 1 1 r
.19969 .39428 .2095 .40348 .22374 .39851 .21398 .38924 Metetra
1 1 1 r
.21398 .38924 .22374 .39851 .23805 .3935 .22834 .38416 Metetra
1 1 1 r
.22834 .38416 .23805 .3935 .25245 .38845 .24278 .37909 Metetra
1 1 1 r
.24278 .37909 .25245 .38845 .26692 .38339 .25731 .37398 Metetra
1 1 1 r
.25731 .37398 .26692 .38339 .28148 .37831 .27191 .36881 Metetra
1 1 1 r
.27191 .36881 .28148 .37831 .29612 .37317 .2866 .36364 Metetra
1 1 1 r
.2866 .36364 .29612 .37317 .31084 .36803 .30137 .35846 Metetra
1 1 1 r
.30137 .35846 .31084 .36803 .32564 .36285 .31622 .35321 Metetra
1 1 1 r
.31622 .35321 .32564 .36285 .34052 .35763 .33115 .34793 Metetra
1 1 1 r
.33115 .34793 .34052 .35763 .35549 .35241 .34617 .34267 Metetra
1 1 1 r
.34617 .34267 .35549 .35241 .37054 .34721 .36128 .33739 Metetra
1 1 1 r
.36128 .33739 .37054 .34721 .38566 .34225 .37646 .33226 Metetra
1 1 1 r
.37646 .33226 .38566 .34225 .40083 .33856 .39169 .32808 Metetra
1 1 1 r
.39169 .32808 .40083 .33856 .41595 .33885 .40691 .32674 Metetra
1 1 1 r
.40691 .32674 .41595 .33885 .43096 .34789 .42205 .33164 Metetra
1 1 1 r
.42205 .33164 .43096 .34789 .44589 .36952 .43713 .34558 Metetra
1 1 1 r
.43713 .34558 .44589 .36952 .46101 .39914 .45237 .36509 Metetra
1 1 1 r
.45237 .36509 .46101 .39914 .4767 .42001 .46806 .3782 Metetra
1 1 1 r
.46806 .3782 .4767 .42001 .49301 .41463 .48428 .37272 Metetra
1 1 1 r
.48428 .37272 .49301 .41463 .50954 .38291 .50073 .34858 Metetra
1 1 1 r
.50073 .34858 .50954 .38291 .5259 .34224 .5171 .31791 Metetra
1 1 1 r
.5171 .31791 .5259 .34224 .54204 .30946 .53332 .29276 Metetra
1 1 1 r
.53332 .29276 .54204 .30946 .55813 .2893 .54951 .27663 Metetra
1 1 1 r
.54951 .27663 .55813 .2893 .5743 .27792 .56577 .26678 Metetra
1 1 1 r
.56577 .26678 .5743 .27792 .59059 .27056 .58214 .25979 Metetra
1 1 1 r
.58214 .25979 .59059 .27056 .60699 .26447 .59861 .25376 Metetra
1 1 1 r
.59861 .25376 .60699 .26447 .6235 .25862 .61518 .24788 Metetra
1 1 1 r
.61518 .24788 .6235 .25862 .64011 .2528 .63186 .24197 Metetra
1 1 1 r
.63186 .24197 .64011 .2528 .65681 .24696 .64863 .23607 Metetra
1 1 1 r
.64863 .23607 .65681 .24696 .67362 .24107 .66551 .23014 Metetra
1 1 1 r
.66551 .23014 .67362 .24107 .69053 .23515 .68248 .22414 Metetra
1 1 1 r
.68248 .22414 .69053 .23515 .70753 .22921 .69956 .21812 Metetra
1 1 1 r
.69956 .21812 .70753 .22921 .72464 .22322 .71674 .21208 Metetra
1 1 1 r
.71674 .21208 .72464 .22322 .74186 .21719 .73403 .20598 Metetra
1 1 1 r
.73403 .20598 .74186 .21719 .75917 .21114 .75142 .19984 Metetra
1 1 1 r
.75142 .19984 .75917 .21114 .7766 .20504 .76891 .19369 Metetra
1 1 1 r
.76891 .19369 .7766 .20504 .79413 .1989 .78652 .18749 Metetra
1 1 1 r
.78652 .18749 .79413 .1989 .81176 .19274 .80423 .18123 Metetra
1 1 1 r
.17554 .39003 .18549 .39927 .19969 .39428 .18979 .38495 Metetra
1 1 1 r
.18979 .38495 .19969 .39428 .21398 .38924 .20412 .37985 Metetra
1 1 1 r
.20412 .37985 .21398 .38924 .22834 .38416 .21853 .37476 Metetra
1 1 1 r
.21853 .37476 .22834 .38416 .24278 .37909 .23302 .36963 Metetra
1 1 1 r
.23302 .36963 .24278 .37909 .25731 .37398 .24759 .36443 Metetra
1 1 1 r
.24759 .36443 .25731 .37398 .27191 .36881 .26224 .35923 Metetra
1 1 1 r
.26224 .35923 .27191 .36881 .2866 .36364 .27698 .35404 Metetra
1 1 1 r
.27698 .35404 .2866 .36364 .30137 .35846 .2918 .34876 Metetra
1 1 1 r
.2918 .34876 .30137 .35846 .31622 .35321 .3067 .34344 Metetra
1 1 1 r
.3067 .34344 .31622 .35321 .33115 .34793 .32169 .33815 Metetra
1 1 1 r
.32169 .33815 .33115 .34793 .34617 .34267 .33676 .33283 Metetra
1 1 1 r
.33676 .33283 .34617 .34267 .36128 .33739 .35191 .32744 Metetra
1 1 1 r
.35191 .32744 .36128 .33739 .37646 .33226 .36715 .32219 Metetra
1 1 1 r
.36715 .32219 .37646 .33226 .39169 .32808 .38245 .3176 Metetra
1 1 1 r
.38245 .3176 .39169 .32808 .40691 .32674 .39776 .31485 Metetra
1 1 1 r
.39776 .31485 .40691 .32674 .42205 .33164 .41304 .3163 Metetra
1 1 1 r
.41304 .3163 .42205 .33164 .43713 .34558 .42829 .32384 Metetra
1 1 1 r
.42829 .32384 .43713 .34558 .45237 .36509 .44367 .33502 Metetra
1 1 1 r
.44367 .33502 .45237 .36509 .46806 .3782 .4594 .3418 Metetra
1 1 1 r
.4594 .3418 .46806 .3782 .48428 .37272 .47554 .33623 Metetra
1 1 1 r
.47554 .33623 .48428 .37272 .50073 .34858 .49191 .31826 Metetra
1 1 1 r
.49191 .31826 .50073 .34858 .5171 .31791 .50827 .29581 Metetra
1 1 1 r
.50827 .29581 .5171 .31791 .53332 .29276 .52455 .27695 Metetra
1 1 1 r
.52455 .27695 .53332 .29276 .54951 .27663 .54082 .26419 Metetra
1 1 1 r
.54082 .26419 .54951 .27663 .56577 .26678 .55716 .25564 Metetra
1 1 1 r
.55716 .25564 .56577 .26678 .58214 .25979 .57359 .24894 Metetra
1 1 1 r
.57359 .24894 .58214 .25979 .59861 .25376 .59013 .24291 Metetra
1 1 1 r
.59013 .24291 .59861 .25376 .61518 .24788 .60677 .23702 Metetra
1 1 1 r
.60677 .23702 .61518 .24788 .63186 .24197 .62351 .23105 Metetra
1 1 1 r
.62351 .23105 .63186 .24197 .64863 .23607 .64035 .22504 Metetra
1 1 1 r
.64035 .22504 .64863 .23607 .66551 .23014 .6573 .21906 Metetra
1 1 1 r
.6573 .21906 .66551 .23014 .68248 .22414 .67435 .21303 Metetra
1 1 1 r
.67435 .21303 .68248 .22414 .69956 .21812 .69149 .20691 Metetra
1 1 1 r
.69149 .20691 .69956 .21812 .71674 .21208 .70875 .20078 Metetra
1 1 1 r
.70875 .20078 .71674 .21208 .73403 .20598 .72611 .19465 Metetra
1 1 1 r
.72611 .19465 .73403 .20598 .75142 .19984 .74357 .18845 Metetra
1 1 1 r
.74357 .18845 .75142 .19984 .76891 .19369 .76114 .18219 Metetra
1 1 1 r
.76114 .18219 .76891 .19369 .78652 .18749 .77883 .17593 Metetra
1 1 1 r
.77883 .17593 .78652 .18749 .80423 .18123 .79662 .16963 Metetra
1 1 1 r
.16549 .38064 .17554 .39003 .18979 .38495 .17979 .37553 Metetra
1 1 1 r
.17979 .37553 .18979 .38495 .20412 .37985 .19416 .37043 Metetra
1 1 1 r
.19416 .37043 .20412 .37985 .21853 .37476 .20861 .36525 Metetra
1 1 1 r
.20861 .36525 .21853 .37476 .23302 .36963 .22316 .36002 Metetra
1 1 1 r
.22316 .36002 .23302 .36963 .24759 .36443 .23777 .35481 Metetra
1 1 1 r
.23777 .35481 .24759 .36443 .26224 .35923 .25247 .3496 Metetra
1 1 1 r
.25247 .3496 .26224 .35923 .27698 .35404 .26726 .3443 Metetra
1 1 1 r
.26726 .3443 .27698 .35404 .2918 .34876 .28213 .33894 Metetra
1 1 1 r
.28213 .33894 .2918 .34876 .3067 .34344 .29708 .33361 Metetra
1 1 1 r
.29708 .33361 .3067 .34344 .32169 .33815 .31211 .32829 Metetra
1 1 1 r
.31211 .32829 .32169 .33815 .33676 .33283 .32724 .32286 Metetra
1 1 1 r
.32724 .32286 .33676 .33283 .35191 .32744 .34245 .31738 Metetra
1 1 1 r
.34245 .31738 .35191 .32744 .36715 .32219 .35774 .31207 Metetra
1 1 1 r
.35774 .31207 .36715 .32219 .38245 .3176 .3731 .30713 Metetra
1 1 1 r
.3731 .30713 .38245 .3176 .39776 .31485 .38851 .30327 Metetra
1 1 1 r
.38851 .30327 .39776 .31485 .41304 .3163 .40392 .30208 Metetra
1 1 1 r
.40392 .30208 .41304 .3163 .42829 .32384 .41933 .30478 Metetra
1 1 1 r
.41933 .30478 .42829 .32384 .44367 .33502 .43485 .30967 Metetra
1 1 1 r
.43485 .30967 .44367 .33502 .4594 .3418 .45064 .31169 Metetra
1 1 1 r
.45064 .31169 .4594 .3418 .47554 .33623 .46674 .30603 Metetra
1 1 1 r
.46674 .30603 .47554 .33623 .49191 .31826 .48304 .29268 Metetra
1 1 1 r
.48304 .29268 .49191 .31826 .50827 .29581 .49938 .27639 Metetra
1 1 1 r
.49938 .27639 .50827 .29581 .52455 .27695 .5157 .26227 Metetra
1 1 1 r
.5157 .26227 .52455 .27695 .54082 .26419 .53204 .25204 Metetra
1 1 1 r
.53204 .25204 .54082 .26419 .55716 .25564 .54845 .24449 Metetra
1 1 1 r
.54845 .24449 .55716 .25564 .57359 .24894 .56496 .23802 Metetra
1 1 1 r
.56496 .23802 .57359 .24894 .59013 .24291 .58156 .23193 Metetra
1 1 1 r
.58156 .23193 .59013 .24291 .60677 .23702 .59827 .226 Metetra
1 1 1 r
.59827 .226 .60677 .23702 .62351 .23105 .61508 .22002 Metetra
1 1 1 r
.61508 .22002 .62351 .23105 .64035 .22504 .63199 .21393 Metetra
1 1 1 r
.63199 .21393 .64035 .22504 .6573 .21906 .649 .20782 Metetra
1 1 1 r
.649 .20782 .6573 .21906 .67435 .21303 .66612 .20175 Metetra
1 1 1 r
.66612 .20175 .67435 .21303 .69149 .20691 .68334 .19562 Metetra
1 1 1 r
.68334 .19562 .69149 .20691 .70875 .20078 .70066 .18938 Metetra
1 1 1 r
.70066 .18938 .70875 .20078 .72611 .19465 .7181 .18314 Metetra
1 1 1 r
.7181 .18314 .72611 .19465 .74357 .18845 .73564 .17691 Metetra
1 1 1 r
.73564 .17691 .74357 .18845 .76114 .18219 .75329 .17061 Metetra
1 1 1 r
.75329 .17061 .76114 .18219 .77883 .17593 .77104 .16423 Metetra
1 1 1 r
.77104 .16423 .77883 .17593 .79662 .16963 .78891 .15784 Metetra
1 1 1 r
.15533 .37121 .16549 .38064 .17979 .37553 .16967 .36607 Metetra
1 1 1 r
.16967 .36607 .17979 .37553 .19416 .37043 .1841 .36084 Metetra
1 1 1 r
.1841 .36084 .19416 .37043 .20861 .36525 .1986 .35559 Metetra
1 1 1 r
.1986 .35559 .20861 .36525 .22316 .36002 .21318 .35038 Metetra
1 1 1 r
.21318 .35038 .22316 .36002 .23777 .35481 .22785 .34514 Metetra
1 1 1 r
.22785 .34514 .23777 .35481 .25247 .3496 .2426 .3398 Metetra
1 1 1 r
.2426 .3398 .25247 .3496 .26726 .3443 .25744 .33441 Metetra
1 1 1 r
.25744 .33441 .26726 .3443 .28213 .33894 .27236 .32906 Metetra
1 1 1 r
.27236 .32906 .28213 .33894 .29708 .33361 .28736 .32372 Metetra
1 1 1 r
.28736 .32372 .29708 .33361 .31211 .32829 .30245 .31828 Metetra
1 1 1 r
.30245 .31828 .31211 .32829 .32724 .32286 .31763 .31274 Metetra
1 1 1 r
.31763 .31274 .32724 .32286 .34245 .31738 .33289 .30726 Metetra
1 1 1 r
.33289 .30726 .34245 .31738 .35774 .31207 .34824 .30189 Metetra
1 1 1 r
.34824 .30189 .35774 .31207 .3731 .30713 .36366 .29664 Metetra
1 1 1 r
.36366 .29664 .3731 .30713 .38851 .30327 .37915 .29197 Metetra
1 1 1 r
.37915 .29197 .38851 .30327 .40392 .30208 .39467 .28895 Metetra
1 1 1 r
.39467 .28895 .40392 .30208 .41933 .30478 .41022 .28826 Metetra
1 1 1 r
.41022 .28826 .41933 .30478 .43485 .30967 .42588 .28876 Metetra
1 1 1 r
.42588 .28876 .43485 .30967 .45064 .31169 .44173 .28748 Metetra
1 1 1 r
.44173 .28748 .45064 .31169 .46674 .30603 .45783 .28174 Metetra
1 1 1 r
.45783 .28174 .46674 .30603 .48304 .29268 .47409 .27154 Metetra
1 1 1 r
.47409 .27154 .48304 .29268 .49938 .27639 .49042 .25953 Metetra
1 1 1 r
.49042 .25953 .49938 .27639 .5157 .26227 .50678 .24868 Metetra
1 1 1 r
.50678 .24868 .5157 .26227 .53204 .25204 .52317 .24016 Metetra
1 1 1 r
.52317 .24016 .53204 .25204 .54845 .24449 .53965 .23331 Metetra
1 1 1 r
.53965 .23331 .54845 .24449 .56496 .23802 .55623 .22704 Metetra
1 1 1 r
.55623 .22704 .56496 .23802 .58156 .23193 .5729 .22088 Metetra
1 1 1 r
.5729 .22088 .58156 .23193 .59827 .226 .58967 .21483 Metetra
1 1 1 r
.58967 .21483 .59827 .226 .61508 .22002 .60655 .20883 Metetra
1 1 1 r
.60655 .20883 .61508 .22002 .63199 .21393 .62353 .20273 Metetra
1 1 1 r
.62353 .20273 .63199 .21393 .649 .20782 .64061 .19651 Metetra
1 1 1 r
.64061 .19651 .649 .20782 .66612 .20175 .6578 .19031 Metetra
1 1 1 r
.6578 .19031 .66612 .20175 .68334 .19562 .67509 .18414 Metetra
1 1 1 r
.67509 .18414 .68334 .19562 .70066 .18938 .69249 .1779 Metetra
1 1 1 r
.69249 .1779 .70066 .18938 .7181 .18314 .71 .17156 Metetra
1 1 1 r
.71 .17156 .7181 .18314 .73564 .17691 .72761 .16519 Metetra
1 1 1 r
.72761 .16519 .73564 .17691 .75329 .17061 .74534 .15884 Metetra
1 1 1 r
.74534 .15884 .75329 .17061 .77104 .16423 .76317 .15245 Metetra
1 1 1 r
.76317 .15245 .77104 .16423 .78891 .15784 .78112 .14597 Metetra
1 1 1 r
.14507 .36166 .15533 .37121 .16967 .36607 .15947 .3564 Metetra
1 1 1 r
.15947 .3564 .16967 .36607 .1841 .36084 .17393 .35116 Metetra
1 1 1 r
.17393 .35116 .1841 .36084 .1986 .35559 .18848 .34593 Metetra
1 1 1 r
.18848 .34593 .1986 .35559 .21318 .35038 .20311 .34065 Metetra
1 1 1 r
.20311 .34065 .21318 .35038 .22785 .34514 .21783 .33527 Metetra
1 1 1 r
.21783 .33527 .22785 .34514 .2426 .3398 .23263 .32986 Metetra
1 1 1 r
.23263 .32986 .2426 .3398 .25744 .33441 .24751 .3245 Metetra
1 1 1 r
.24751 .3245 .25744 .33441 .27236 .32906 .26248 .31913 Metetra
1 1 1 r
.26248 .31913 .27236 .32906 .28736 .32372 .27753 .31367 Metetra
1 1 1 r
.27753 .31367 .28736 .32372 .30245 .31828 .29268 .30811 Metetra
1 1 1 r
.29268 .30811 .30245 .31828 .31763 .31274 .30791 .30256 Metetra
1 1 1 r
.30791 .30256 .31763 .31274 .33289 .30726 .32322 .29709 Metetra
1 1 1 r
.32322 .29709 .33289 .30726 .34824 .30189 .33862 .2916 Metetra
1 1 1 r
.33862 .2916 .34824 .30189 .36366 .29664 .35412 .28608 Metetra
1 1 1 r
.35412 .28608 .36366 .29664 .37915 .29197 .36968 .2809 Metetra
1 1 1 r
.36968 .2809 .37915 .29197 .39467 .28895 .3853 .27671 Metetra
1 1 1 r
.3853 .27671 .39467 .28895 .41022 .28826 .40097 .27381 Metetra
1 1 1 r
.40097 .27381 .41022 .28826 .42588 .28876 .41674 .27145 Metetra
1 1 1 r
.41674 .27145 .42588 .28876 .44173 .28748 .43267 .26804 Metetra
1 1 1 r
.43267 .26804 .44173 .28748 .45783 .28174 .44877 .26223 Metetra
1 1 1 r
.44877 .26223 .45783 .28174 .47409 .27154 .46503 .25402 Metetra
1 1 1 r
.46503 .25402 .47409 .27154 .49042 .25953 .48136 .24474 Metetra
1 1 1 r
.48136 .24474 .49042 .25953 .50678 .24868 .49776 .23599 Metetra
1 1 1 r
.49776 .23599 .50678 .24868 .52317 .24016 .51421 .22852 Metetra
1 1 1 r
.51421 .22852 .52317 .24016 .53965 .23331 .53076 .22206 Metetra
1 1 1 r
.53076 .22206 .53965 .23331 .55623 .22704 .5474 .21592 Metetra
1 1 1 r
.5474 .21592 .55623 .22704 .5729 .22088 .56414 .20975 Metetra
1 1 1 r
.56414 .20975 .5729 .22088 .58967 .21483 .58098 .20357 Metetra
1 1 1 r
.58098 .20357 .58967 .21483 .60655 .20883 .59792 .19745 Metetra
1 1 1 r
.59792 .19745 .60655 .20883 .62353 .20273 .61497 .19134 Metetra
1 1 1 r
.61497 .19134 .62353 .20273 .64061 .19651 .63213 .18513 Metetra
1 1 1 r
.63213 .18513 .64061 .19651 .6578 .19031 .64938 .17881 Metetra
1 1 1 r
.64938 .17881 .6578 .19031 .67509 .18414 .66675 .17249 Metetra
1 1 1 r
.66675 .17249 .67509 .18414 .69249 .1779 .68422 .16619 Metetra
1 1 1 r
.68422 .16619 .69249 .1779 .71 .17156 .70181 .15986 Metetra
1 1 1 r
.70181 .15986 .71 .17156 .72761 .16519 .7195 .15343 Metetra
1 1 1 r
.7195 .15343 .72761 .16519 .74534 .15884 .73729 .14694 Metetra
1 1 1 r
.73729 .14694 .74534 .15884 .76317 .15245 .75521 .14044 Metetra
1 1 1 r
.75521 .14044 .76317 .15245 .78112 .14597 .77324 .13394 Metetra
1 1 1 r
.13471 .35197 .14507 .36166 .15947 .3564 .14914 .34674 Metetra
1 1 1 r
.14914 .34674 .15947 .3564 .17393 .35116 .16365 .34146 Metetra
1 1 1 r
.16365 .34146 .17393 .35116 .18848 .34593 .17825 .33611 Metetra
1 1 1 r
.17825 .33611 .18848 .34593 .20311 .34065 .19294 .33071 Metetra
1 1 1 r
.19294 .33071 .20311 .34065 .21783 .33527 .2077 .32531 Metetra
1 1 1 r
.2077 .32531 .21783 .33527 .23263 .32986 .22255 .31993 Metetra
1 1 1 r
.22255 .31993 .23263 .32986 .24751 .3245 .23747 .31452 Metetra
1 1 1 r
.23747 .31452 .24751 .3245 .26248 .31913 .2525 .30902 Metetra
1 1 1 r
.2525 .30902 .26248 .31913 .27753 .31367 .26761 .30344 Metetra
1 1 1 r
.26761 .30344 .27753 .31367 .29268 .30811 .2828 .29786 Metetra
1 1 1 r
.2828 .29786 .29268 .30811 .30791 .30256 .29808 .29234 Metetra
1 1 1 r
.29808 .29234 .30791 .30256 .32322 .29709 .31345 .2868 Metetra
1 1 1 r
.31345 .2868 .32322 .29709 .33862 .2916 .32891 .28116 Metetra
1 1 1 r
.32891 .28116 .33862 .2916 .35412 .28608 .34446 .27547 Metetra
1 1 1 r
.34446 .27547 .35412 .28608 .36968 .2809 .3601 .27 Metetra
1 1 1 r
.3601 .27 .36968 .2809 .3853 .27671 .37579 .2651 Metetra
1 1 1 r
.37579 .2651 .3853 .27671 .40097 .27381 .39156 .26082 Metetra
1 1 1 r
.39156 .26082 .40097 .27381 .41674 .27145 .40743 .25672 Metetra
1 1 1 r
.40743 .25672 .41674 .27145 .43267 .26804 .42343 .25203 Metetra
1 1 1 r
.42343 .25203 .43267 .26804 .44877 .26223 .43958 .24615 Metetra
1 1 1 r
.43958 .24615 .44877 .26223 .46503 .25402 .45584 .23908 Metetra
1 1 1 r
.45584 .23908 .46503 .25402 .48136 .24474 .4722 .23142 Metetra
1 1 1 r
.4722 .23142 .48136 .24474 .49776 .23599 .48864 .22392 Metetra
1 1 1 r
.48864 .22392 .49776 .23599 .51421 .22852 .50516 .21704 Metetra
1 1 1 r
.50516 .21704 .51421 .22852 .53076 .22206 .52176 .21073 Metetra
1 1 1 r
.52176 .21073 .53076 .22206 .5474 .21592 .53847 .20465 Metetra
1 1 1 r
.53847 .20465 .5474 .21592 .56414 .20975 .55528 .1985 Metetra
1 1 1 r
.55528 .1985 .56414 .20975 .58098 .20357 .57219 .19225 Metetra
1 1 1 r
.57219 .19225 .58098 .20357 .59792 .19745 .5892 .18598 Metetra
1 1 1 r
.5892 .18598 .59792 .19745 .61497 .19134 .60632 .17976 Metetra
1 1 1 r
.60632 .17976 .61497 .19134 .63213 .18513 .62354 .17354 Metetra
1 1 1 r
.62354 .17354 .63213 .18513 .64938 .17881 .64087 .16722 Metetra
1 1 1 r
.64087 .16722 .64938 .17881 .66675 .17249 .65831 .16081 Metetra
1 1 1 r
.65831 .16081 .66675 .17249 .68422 .16619 .67586 .15436 Metetra
1 1 1 r
.67586 .15436 .68422 .16619 .70181 .15986 .69351 .14793 Metetra
1 1 1 r
.69351 .14793 .70181 .15986 .7195 .15343 .71128 .14148 Metetra
1 1 1 r
.71128 .14148 .7195 .15343 .73729 .14694 .72916 .13498 Metetra
1 1 1 r
.72916 .13498 .73729 .14694 .75521 .14044 .74715 .12838 Metetra
1 1 1 r
.74715 .12838 .75521 .14044 .77324 .13394 .76526 .12173 Metetra
1 1 1 r
.12423 .34227 .13471 .35197 .14914 .34674 .13871 .33693 Metetra
1 1 1 r
.13871 .33693 .14914 .34674 .16365 .34146 .15328 .33154 Metetra
1 1 1 r
.15328 .33154 .16365 .34146 .17825 .33611 .16792 .32615 Metetra
1 1 1 r
.16792 .32615 .17825 .33611 .19294 .33071 .18265 .32075 Metetra
1 1 1 r
.18265 .32075 .19294 .33071 .2077 .32531 .19746 .31534 Metetra
1 1 1 r
.19746 .31534 .2077 .32531 .22255 .31993 .21235 .30987 Metetra
1 1 1 r
.21235 .30987 .22255 .31993 .23747 .31452 .22734 .30433 Metetra
1 1 1 r
.22734 .30433 .23747 .31452 .2525 .30902 .24241 .29875 Metetra
1 1 1 r
.24241 .29875 .2525 .30902 .26761 .30344 .25757 .29316 Metetra
1 1 1 r
.25757 .29316 .26761 .30344 .2828 .29786 .27282 .28759 Metetra
1 1 1 r
.27282 .28759 .2828 .29786 .29808 .29234 .28815 .282 Metetra
1 1 1 r
.28815 .282 .29808 .29234 .31345 .2868 .30357 .27634 Metetra
1 1 1 r
.30357 .27634 .31345 .2868 .32891 .28116 .31909 .27058 Metetra
1 1 1 r
.31909 .27058 .32891 .28116 .34446 .27547 .3347 .26481 Metetra
1 1 1 r
.3347 .26481 .34446 .27547 .3601 .27 .3504 .25919 Metetra
1 1 1 r
.3504 .25919 .3601 .27 .37579 .2651 .36617 .25385 Metetra
1 1 1 r
.36617 .25385 .37579 .2651 .39156 .26082 .38202 .24875 Metetra
1 1 1 r
.38202 .24875 .39156 .26082 .40743 .25672 .39798 .24366 Metetra
1 1 1 r
.39798 .24366 .40743 .25672 .42343 .25203 .41405 .23825 Metetra
1 1 1 r
.41405 .23825 .42343 .25203 .43958 .24615 .43024 .23231 Metetra
1 1 1 r
.43024 .23231 .43958 .24615 .45584 .23908 .44653 .22582 Metetra
1 1 1 r
.44653 .22582 .45584 .23908 .4722 .23142 .46293 .21901 Metetra
1 1 1 r
.46293 .21901 .4722 .23142 .48864 .22392 .47942 .21221 Metetra
1 1 1 r
.47942 .21221 .48864 .22392 .50516 .21704 .496 .20565 Metetra
1 1 1 r
.496 .20565 .50516 .21704 .52176 .21073 .51267 .19936 Metetra
1 1 1 r
.51267 .19936 .52176 .21073 .53847 .20465 .52944 .19322 Metetra
1 1 1 r
.52944 .19322 .53847 .20465 .55528 .1985 .54631 .18706 Metetra
1 1 1 r
.54631 .18706 .55528 .1985 .57219 .19225 .56329 .18081 Metetra
1 1 1 r
.56329 .18081 .57219 .19225 .5892 .18598 .58038 .17447 Metetra
1 1 1 r
.58038 .17447 .5892 .18598 .60632 .17976 .59756 .16811 Metetra
1 1 1 r
.59756 .16811 .60632 .17976 .62354 .17354 .61486 .16176 Metetra
1 1 1 r
.61486 .16176 .62354 .17354 .64087 .16722 .63226 .1554 Metetra
1 1 1 r
.63226 .1554 .64087 .16722 .65831 .16081 .64978 .14899 Metetra
1 1 1 r
.64978 .14899 .65831 .16081 .67586 .15436 .6674 .14249 Metetra
1 1 1 r
.6674 .14249 .67586 .15436 .69351 .14793 .68513 .13593 Metetra
1 1 1 r
.68513 .13593 .69351 .14793 .71128 .14148 .70297 .12935 Metetra
1 1 1 r
.70297 .12935 .71128 .14148 .72916 .13498 .72093 .12276 Metetra
1 1 1 r
.72093 .12276 .72916 .13498 .74715 .12838 .739 .11614 Metetra
1 1 1 r
.739 .11614 .74715 .12838 .76526 .12173 .75719 .10947 Metetra
1 1 1 r
.11365 .33237 .12423 .34227 .13871 .33693 .12818 .32699 Metetra
1 1 1 r
.12818 .32699 .13871 .33693 .15328 .33154 .14278 .32159 Metetra
1 1 1 r
.14278 .32159 .15328 .33154 .16792 .32615 .15747 .31617 Metetra
1 1 1 r
.15747 .31617 .16792 .32615 .18265 .32075 .17225 .3107 Metetra
1 1 1 r
.17225 .3107 .18265 .32075 .19746 .31534 .18711 .30518 Metetra
1 1 1 r
.18711 .30518 .19746 .31534 .21235 .30987 .20206 .29962 Metetra
1 1 1 r
.20206 .29962 .21235 .30987 .22734 .30433 .2171 .29403 Metetra
1 1 1 r
.2171 .29403 .22734 .30433 .24241 .29875 .23222 .28844 Metetra
1 1 1 r
.23222 .28844 .24241 .29875 .25757 .29316 .24743 .28283 Metetra
1 1 1 r
.24743 .28283 .25757 .29316 .27282 .28759 .26272 .27719 Metetra
1 1 1 r
.26272 .27719 .27282 .28759 .28815 .282 .27811 .27149 Metetra
1 1 1 r
.27811 .27149 .28815 .282 .30357 .27634 .2936 .26573 Metetra
1 1 1 r
.2936 .26573 .30357 .27634 .31909 .27058 .30917 .25991 Metetra
1 1 1 r
.30917 .25991 .31909 .27058 .3347 .26481 .32483 .25411 Metetra
1 1 1 r
.32483 .25411 .3347 .26481 .3504 .25919 .34058 .24838 Metetra
1 1 1 r
.34058 .24838 .3504 .25919 .36617 .25385 .35642 .24275 Metetra
1 1 1 r
.35642 .24275 .36617 .25385 .38202 .24875 .37235 .23717 Metetra
1 1 1 r
.37235 .23717 .38202 .24875 .39798 .24366 .38838 .23155 Metetra
1 1 1 r
.38838 .23155 .39798 .24366 .41405 .23825 .40452 .22577 Metetra
1 1 1 r
.40452 .22577 .41405 .23825 .43024 .23231 .42076 .21975 Metetra
1 1 1 r
.42076 .21975 .43024 .23231 .44653 .22582 .43711 .2135 Metetra
1 1 1 r
.43711 .2135 .44653 .22582 .46293 .21901 .45355 .2071 Metetra
1 1 1 r
.45355 .2071 .46293 .21901 .47942 .21221 .47009 .20064 Metetra
1 1 1 r
.47009 .20064 .47942 .21221 .496 .20565 .48673 .19424 Metetra
1 1 1 r
.48673 .19424 .496 .20565 .51267 .19936 .50347 .18792 Metetra
1 1 1 r
.50347 .18792 .51267 .19936 .52944 .19322 .52031 .18168 Metetra
1 1 1 r
.52031 .18168 .52944 .19322 .54631 .18706 .53725 .17545 Metetra
1 1 1 r
.53725 .17545 .54631 .18706 .56329 .18081 .5543 .16917 Metetra
1 1 1 r
.5543 .16917 .56329 .18081 .58038 .17447 .57145 .16281 Metetra
1 1 1 r
.57145 .16281 .58038 .17447 .59756 .16811 .58871 .15638 Metetra
1 1 1 r
.58871 .15638 .59756 .16811 .61486 .16176 .60608 .14992 Metetra
1 1 1 r
.60608 .14992 .61486 .16176 .63226 .1554 .62356 .14344 Metetra
1 1 1 r
.62356 .14344 .63226 .1554 .64978 .14899 .64114 .13694 Metetra
1 1 1 r
.64114 .13694 .64978 .14899 .6674 .14249 .65884 .13041 Metetra
1 1 1 r
.65884 .13041 .6674 .14249 .68513 .13593 .67665 .12382 Metetra
1 1 1 r
.67665 .12382 .68513 .13593 .70297 .12935 .69457 .11717 Metetra
1 1 1 r
.69457 .11717 .70297 .12935 .72093 .12276 .71261 .11047 Metetra
1 1 1 r
.71261 .11047 .72093 .12276 .739 .11614 .73076 .10373 Metetra
1 1 1 r
.73076 .10373 .739 .11614 .75719 .10947 .74902 .09696 Metetra
1 1 1 r
.10295 .32244 .11365 .33237 .12818 .32699 .11752 .317 Metetra
1 1 1 r
.11752 .317 .12818 .32699 .14278 .32159 .13218 .31153 Metetra
1 1 1 r
.13218 .31153 .14278 .32159 .15747 .31617 .14692 .30602 Metetra
1 1 1 r
.14692 .30602 .15747 .31617 .17225 .3107 .16174 .30048 Metetra
1 1 1 r
.16174 .30048 .17225 .3107 .18711 .30518 .17666 .2949 Metetra
1 1 1 r
.17666 .2949 .18711 .30518 .20206 .29962 .19165 .28931 Metetra
1 1 1 r
.19165 .28931 .20206 .29962 .2171 .29403 .20674 .28369 Metetra
1 1 1 r
.20674 .28369 .2171 .29403 .23222 .28844 .22191 .27804 Metetra
1 1 1 r
.22191 .27804 .23222 .28844 .24743 .28283 .23717 .27236 Metetra
1 1 1 r
.23717 .27236 .24743 .28283 .26272 .27719 .25252 .26662 Metetra
1 1 1 r
.25252 .26662 .26272 .27719 .27811 .27149 .26797 .26084 Metetra
1 1 1 r
.26797 .26084 .27811 .27149 .2936 .26573 .28351 .25502 Metetra
1 1 1 r
.28351 .25502 .2936 .26573 .30917 .25991 .29913 .24917 Metetra
1 1 1 r
.29913 .24917 .30917 .25991 .32483 .25411 .31485 .24333 Metetra
1 1 1 r
.31485 .24333 .32483 .25411 .34058 .24838 .33066 .23749 Metetra
1 1 1 r
.33066 .23749 .34058 .24838 .35642 .24275 .34656 .23166 Metetra
1 1 1 r
.34656 .23166 .35642 .24275 .37235 .23717 .36256 .22582 Metetra
1 1 1 r
.36256 .22582 .37235 .23717 .38838 .23155 .37866 .21992 Metetra
1 1 1 r
.37866 .21992 .38838 .23155 .40452 .22577 .39486 .21394 Metetra
1 1 1 r
.39486 .21394 .40452 .22577 .42076 .21975 .41116 .20786 Metetra
1 1 1 r
.41116 .20786 .42076 .21975 .43711 .2135 .42756 .20167 Metetra
1 1 1 r
.42756 .20167 .43711 .2135 .45355 .2071 .44406 .1954 Metetra
1 1 1 r
.44406 .1954 .45355 .2071 .47009 .20064 .46066 .18908 Metetra
1 1 1 r
.46066 .18908 .47009 .20064 .48673 .19424 .47736 .18274 Metetra
1 1 1 r
.47736 .18274 .48673 .19424 .50347 .18792 .49417 .1764 Metetra
1 1 1 r
.49417 .1764 .50347 .18792 .52031 .18168 .51107 .17007 Metetra
1 1 1 r
.51107 .17007 .52031 .18168 .53725 .17545 .52808 .16373 Metetra
1 1 1 r
.52808 .16373 .53725 .17545 .5543 .16917 .5452 .15737 Metetra
1 1 1 r
.5452 .15737 .5543 .16917 .57145 .16281 .56243 .15096 Metetra
1 1 1 r
.56243 .15096 .57145 .16281 .58871 .15638 .57976 .14449 Metetra
1 1 1 r
.57976 .14449 .58871 .15638 .60608 .14992 .5972 .13797 Metetra
1 1 1 r
.5972 .13797 .60608 .14992 .62356 .14344 .61475 .1314 Metetra
1 1 1 r
.61475 .1314 .62356 .14344 .64114 .13694 .63241 .1248 Metetra
1 1 1 r
.63241 .1248 .64114 .13694 .65884 .13041 .65018 .11816 Metetra
1 1 1 r
.65018 .11816 .65884 .13041 .67665 .12382 .66807 .1115 Metetra
1 1 1 r
.66807 .1115 .67665 .12382 .69457 .11717 .68607 .10479 Metetra
1 1 1 r
.68607 .10479 .69457 .11717 .71261 .11047 .70418 .09804 Metetra
1 1 1 r
.70418 .09804 .71261 .11047 .73076 .10373 .72242 .09123 Metetra
1 1 1 r
.72242 .09123 .73076 .10373 .74902 .09696 .74076 .08438 Metetra
1 1 1 r
.09214 .31237 .10295 .32244 .11752 .317 .10676 .30686 Metetra
1 1 1 r
.10676 .30686 .11752 .317 .13218 .31153 .12146 .30133 Metetra
1 1 1 r
.12146 .30133 .13218 .31153 .14692 .30602 .13625 .29577 Metetra
1 1 1 r
.13625 .29577 .14692 .30602 .16174 .30048 .15112 .29018 Metetra
1 1 1 r
.15112 .29018 .16174 .30048 .17666 .2949 .16608 .28456 Metetra
1 1 1 r
.16608 .28456 .17666 .2949 .19165 .28931 .18113 .27891 Metetra
1 1 1 r
.18113 .27891 .19165 .28931 .20674 .28369 .19627 .27322 Metetra
1 1 1 r
.19627 .27322 .20674 .28369 .22191 .27804 .21149 .2675 Metetra
1 1 1 r
.21149 .2675 .22191 .27804 .23717 .27236 .22681 .26173 Metetra
1 1 1 r
.22681 .26173 .23717 .27236 .25252 .26662 .24221 .25593 Metetra
1 1 1 r
.24221 .25593 .25252 .26662 .26797 .26084 .25771 .25009 Metetra
1 1 1 r
.25771 .25009 .26797 .26084 .28351 .25502 .2733 .24423 Metetra
1 1 1 r
.2733 .24423 .28351 .25502 .29913 .24917 .28898 .23834 Metetra
1 1 1 r
.28898 .23834 .29913 .24917 .31485 .24333 .30476 .23242 Metetra
1 1 1 r
.30476 .23242 .31485 .24333 .33066 .23749 .32063 .22649 Metetra
1 1 1 r
.32063 .22649 .33066 .23749 .34656 .23166 .33659 .22052 Metetra
1 1 1 r
.33659 .22052 .34656 .23166 .36256 .22582 .35266 .21452 Metetra
1 1 1 r
.35266 .21452 .36256 .22582 .37866 .21992 .36882 .20848 Metetra
1 1 1 r
.36882 .20848 .37866 .21992 .39486 .21394 .38508 .20238 Metetra
1 1 1 r
.38508 .20238 .39486 .21394 .41116 .20786 .40144 .19623 Metetra
1 1 1 r
.40144 .19623 .41116 .20786 .42756 .20167 .4179 .19003 Metetra
1 1 1 r
.4179 .19003 .42756 .20167 .44406 .1954 .43446 .18376 Metetra
1 1 1 r
.43446 .18376 .44406 .1954 .46066 .18908 .45112 .17746 Metetra
1 1 1 r
.45112 .17746 .46066 .18908 .47736 .18274 .46789 .17111 Metetra
1 1 1 r
.46789 .17111 .47736 .18274 .49417 .1764 .48476 .16474 Metetra
1 1 1 r
.48476 .16474 .49417 .1764 .51107 .17007 .50173 .15834 Metetra
1 1 1 r
.50173 .15834 .51107 .17007 .52808 .16373 .51881 .15191 Metetra
1 1 1 r
.51881 .15191 .52808 .16373 .5452 .15737 .536 .14545 Metetra
1 1 1 r
.536 .14545 .5452 .15737 .56243 .15096 .55329 .13896 Metetra
1 1 1 r
.55329 .13896 .56243 .15096 .57976 .14449 .5707 .13242 Metetra
1 1 1 r
.5707 .13242 .57976 .14449 .5972 .13797 .58821 .12584 Metetra
1 1 1 r
.58821 .12584 .5972 .13797 .61475 .1314 .60584 .11922 Metetra
1 1 1 r
.60584 .11922 .61475 .1314 .63241 .1248 .62357 .11254 Metetra
1 1 1 r
.62357 .11254 .63241 .1248 .65018 .11816 .64142 .10582 Metetra
1 1 1 r
.64142 .10582 .65018 .11816 .66807 .1115 .65938 .09906 Metetra
1 1 1 r
.65938 .09906 .66807 .1115 .68607 .10479 .67746 .09226 Metetra
1 1 1 r
.67746 .09226 .68607 .10479 .70418 .09804 .69566 .08542 Metetra
1 1 1 r
.69566 .08542 .70418 .09804 .72242 .09123 .71397 .07854 Metetra
1 1 1 r
.71397 .07854 .72242 .09123 .74076 .08438 .7324 .07161 Metetra
1 1 1 r
.08122 .30219 .09214 .31237 .10676 .30686 .09588 .29664 Metetra
1 1 1 r
.09588 .29664 .10676 .30686 .12146 .30133 .11063 .29105 Metetra
1 1 1 r
.11063 .29105 .12146 .30133 .13625 .29577 .12547 .28543 Metetra
1 1 1 r
.12547 .28543 .13625 .29577 .15112 .29018 .14039 .27978 Metetra
1 1 1 r
.14039 .27978 .15112 .29018 .16608 .28456 .1554 .2741 Metetra
1 1 1 r
.1554 .2741 .16608 .28456 .18113 .27891 .1705 .26837 Metetra
1 1 1 r
.1705 .26837 .18113 .27891 .19627 .27322 .18568 .26262 Metetra
1 1 1 r
.18568 .26262 .19627 .27322 .21149 .2675 .20096 .25683 Metetra
1 1 1 r
.20096 .25683 .21149 .2675 .22681 .26173 .21633 .251 Metetra
1 1 1 r
.21633 .251 .22681 .26173 .24221 .25593 .23179 .24514 Metetra
1 1 1 r
.23179 .24514 .24221 .25593 .25771 .25009 .24734 .23925 Metetra
1 1 1 r
.24734 .23925 .25771 .25009 .2733 .24423 .26298 .23333 Metetra
1 1 1 r
.26298 .23333 .2733 .24423 .28898 .23834 .27872 .22737 Metetra
1 1 1 r
.27872 .22737 .28898 .23834 .30476 .23242 .29456 .22138 Metetra
1 1 1 r
.29456 .22138 .30476 .23242 .32063 .22649 .31048 .21536 Metetra
1 1 1 r
.31048 .21536 .32063 .22649 .33659 .22052 .32651 .2093 Metetra
1 1 1 r
.32651 .2093 .33659 .22052 .35266 .21452 .34263 .2032 Metetra
1 1 1 r
.34263 .2032 .35266 .21452 .36882 .20848 .35885 .19706 Metetra
1 1 1 r
.35885 .19706 .36882 .20848 .38508 .20238 .37518 .19088 Metetra
1 1 1 r
.37518 .19088 .38508 .20238 .40144 .19623 .3916 .18466 Metetra
1 1 1 r
.3916 .18466 .40144 .19623 .4179 .19003 .40812 .1784 Metetra
1 1 1 r
.40812 .1784 .4179 .19003 .43446 .18376 .42474 .17209 Metetra
1 1 1 r
.42474 .17209 .43446 .18376 .45112 .17746 .44147 .16574 Metetra
1 1 1 r
.44147 .16574 .45112 .17746 .46789 .17111 .4583 .15936 Metetra
1 1 1 r
.4583 .15936 .46789 .17111 .48476 .16474 .47524 .15293 Metetra
1 1 1 r
.47524 .15293 .48476 .16474 .50173 .15834 .49228 .14646 Metetra
1 1 1 r
.49228 .14646 .50173 .15834 .51881 .15191 .50943 .13996 Metetra
1 1 1 r
.50943 .13996 .51881 .15191 .536 .14545 .52669 .13342 Metetra
1 1 1 r
.52669 .13342 .536 .14545 .55329 .13896 .54406 .12684 Metetra
1 1 1 r
.54406 .12684 .55329 .13896 .5707 .13242 .56153 .12022 Metetra
1 1 1 r
.56153 .12022 .5707 .13242 .58821 .12584 .57912 .11356 Metetra
1 1 1 r
.57912 .11356 .58821 .12584 .60584 .11922 .59682 .10686 Metetra
1 1 1 r
.59682 .10686 .60584 .11922 .62357 .11254 .61463 .10011 Metetra
1 1 1 r
.61463 .10011 .62357 .11254 .64142 .10582 .63256 .09332 Metetra
1 1 1 r
.63256 .09332 .64142 .10582 .65938 .09906 .6506 .08649 Metetra
1 1 1 r
.6506 .08649 .65938 .09906 .67746 .09226 .66876 .07961 Metetra
1 1 1 r
.66876 .07961 .67746 .09226 .69566 .08542 .68703 .07268 Metetra
1 1 1 r
.68703 .07268 .69566 .08542 .71397 .07854 .70543 .06571 Metetra
1 1 1 r
.70543 .06571 .71397 .07854 .7324 .07161 .72394 .0587 Metetra
1 1 1 r
.07018 .29191 .08122 .30219 .09588 .29664 .08489 .2863 Metetra
1 1 1 r
.08489 .2863 .09588 .29664 .11063 .29105 .09968 .28065 Metetra
1 1 1 r
.09968 .28065 .11063 .29105 .12547 .28543 .11457 .27497 Metetra
1 1 1 r
.11457 .27497 .12547 .28543 .14039 .27978 .12954 .26925 Metetra
1 1 1 r
.12954 .26925 .14039 .27978 .1554 .2741 .1446 .2635 Metetra
1 1 1 r
.1446 .2635 .1554 .2741 .1705 .26837 .15975 .25772 Metetra
1 1 1 r
.15975 .25772 .1705 .26837 .18568 .26262 .17499 .2519 Metetra
1 1 1 r
.17499 .2519 .18568 .26262 .20096 .25683 .19031 .24605 Metetra
1 1 1 r
.19031 .24605 .20096 .25683 .21633 .251 .20573 .24016 Metetra
1 1 1 r
.20573 .24016 .21633 .251 .23179 .24514 .22125 .23424 Metetra
1 1 1 r
.22125 .23424 .23179 .24514 .24734 .23925 .23685 .22829 Metetra
1 1 1 r
.23685 .22829 .24734 .23925 .26298 .23333 .25255 .2223 Metetra
1 1 1 r
.25255 .2223 .26298 .23333 .27872 .22737 .26835 .21627 Metetra
1 1 1 r
.26835 .21627 .27872 .22737 .29456 .22138 .28424 .21021 Metetra
1 1 1 r
.28424 .21021 .29456 .22138 .31048 .21536 .30023 .20411 Metetra
1 1 1 r
.30023 .20411 .31048 .21536 .32651 .2093 .31631 .19797 Metetra
1 1 1 r
.31631 .19797 .32651 .2093 .34263 .2032 .33249 .19179 Metetra
1 1 1 r
.33249 .19179 .34263 .2032 .35885 .19706 .34878 .18558 Metetra
1 1 1 r
.34878 .18558 .35885 .19706 .37518 .19088 .36516 .17933 Metetra
1 1 1 r
.36516 .17933 .37518 .19088 .3916 .18466 .38164 .17304 Metetra
1 1 1 r
.38164 .17304 .3916 .18466 .40812 .1784 .39823 .1667 Metetra
1 1 1 r
.39823 .1667 .40812 .1784 .42474 .17209 .41492 .16033 Metetra
1 1 1 r
.41492 .16033 .42474 .17209 .44147 .16574 .43171 .15392 Metetra
1 1 1 r
.43171 .15392 .44147 .16574 .4583 .15936 .44861 .14747 Metetra
1 1 1 r
.44861 .14747 .4583 .15936 .47524 .15293 .46561 .14097 Metetra
1 1 1 r
.46561 .14097 .47524 .15293 .49228 .14646 .48272 .13444 Metetra
1 1 1 r
.48272 .13444 .49228 .14646 .50943 .13996 .49994 .12786 Metetra
1 1 1 r
.49994 .12786 .50943 .13996 .52669 .13342 .51727 .12125 Metetra
1 1 1 r
.51727 .12125 .52669 .13342 .54406 .12684 .53471 .11459 Metetra
1 1 1 r
.53471 .11459 .54406 .12684 .56153 .12022 .55226 .10789 Metetra
1 1 1 r
.55226 .10789 .56153 .12022 .57912 .11356 .56992 .10115 Metetra
1 1 1 r
.56992 .10115 .57912 .11356 .59682 .10686 .58769 .09436 Metetra
1 1 1 r
.58769 .09436 .59682 .10686 .61463 .10011 .60558 .08754 Metetra
1 1 1 r
.60558 .08754 .61463 .10011 .63256 .09332 .62359 .08066 Metetra
1 1 1 r
.62359 .08066 .63256 .09332 .6506 .08649 .64171 .07375 Metetra
1 1 1 r
.64171 .07375 .6506 .08649 .66876 .07961 .65995 .06679 Metetra
1 1 1 r
.65995 .06679 .66876 .07961 .68703 .07268 .6783 .05978 Metetra
1 1 1 r
.6783 .05978 .68703 .07268 .70543 .06571 .69678 .05273 Metetra
1 1 1 r
.69678 .05273 .70543 .06571 .72394 .0587 .71538 .04563 Metetra
1 1 1 r
.05902 .28152 .07018 .29191 .08489 .2863 .07377 .27584 Metetra
1 1 1 r
.07377 .27584 .08489 .2863 .09968 .28065 .08862 .27013 Metetra
1 1 1 r
.08862 .27013 .09968 .28065 .11457 .27497 .10355 .26439 Metetra
1 1 1 r
.10355 .26439 .11457 .27497 .12954 .26925 .11857 .25861 Metetra
1 1 1 r
.11857 .25861 .12954 .26925 .1446 .2635 .13368 .2528 Metetra
1 1 1 r
.13368 .2528 .1446 .2635 .15975 .25772 .14888 .24696 Metetra
1 1 1 r
.14888 .24696 .15975 .25772 .17499 .2519 .16417 .24108 Metetra
1 1 1 r
.16417 .24108 .17499 .2519 .19031 .24605 .17955 .23516 Metetra
1 1 1 r
.17955 .23516 .19031 .24605 .20573 .24016 .19502 .22921 Metetra
1 1 1 r
.19502 .22921 .20573 .24016 .22125 .23424 .21059 .22322 Metetra
1 1 1 r
.21059 .22322 .22125 .23424 .23685 .22829 .22625 .2172 Metetra
1 1 1 r
.22625 .2172 .23685 .22829 .25255 .2223 .24201 .21114 Metetra
1 1 1 r
.24201 .21114 .25255 .2223 .26835 .21627 .25786 .20504 Metetra
1 1 1 r
.25786 .20504 .26835 .21627 .28424 .21021 .27381 .19891 Metetra
1 1 1 r
.27381 .19891 .28424 .21021 .30023 .20411 .28985 .19274 Metetra
1 1 1 r
.28985 .19274 .30023 .20411 .31631 .19797 .306 .18653 Metetra
1 1 1 r
.306 .18653 .31631 .19797 .33249 .19179 .32224 .18028 Metetra
1 1 1 r
.32224 .18028 .33249 .19179 .34878 .18558 .33858 .17399 Metetra
1 1 1 r
.33858 .17399 .34878 .18558 .36516 .17933 .35503 .16767 Metetra
1 1 1 r
.35503 .16767 .36516 .17933 .38164 .17304 .37157 .1613 Metetra
1 1 1 r
.37157 .1613 .38164 .17304 .39823 .1667 .38822 .1549 Metetra
1 1 1 r
.38822 .1549 .39823 .1667 .41492 .16033 .40498 .14846 Metetra
1 1 1 r
.40498 .14846 .41492 .16033 .43171 .15392 .42184 .14197 Metetra
1 1 1 r
.42184 .14197 .43171 .15392 .44861 .14747 .4388 .13545 Metetra
1 1 1 r
.4388 .13545 .44861 .14747 .46561 .14097 .45587 .12888 Metetra
1 1 1 r
.45587 .12888 .46561 .14097 .48272 .13444 .47305 .12227 Metetra
1 1 1 r
.47305 .12227 .48272 .13444 .49994 .12786 .49034 .11562 Metetra
1 1 1 r
.49034 .11562 .49994 .12786 .51727 .12125 .50774 .10893 Metetra
1 1 1 r
.50774 .10893 .51727 .12125 .53471 .11459 .52525 .10219 Metetra
1 1 1 r
.52525 .10219 .53471 .11459 .55226 .10789 .54288 .09541 Metetra
1 1 1 r
.54288 .09541 .55226 .10789 .56992 .10115 .56061 .08859 Metetra
1 1 1 r
.56061 .08859 .56992 .10115 .58769 .09436 .57846 .08173 Metetra
1 1 1 r
.57846 .08173 .58769 .09436 .60558 .08754 .59643 .07482 Metetra
1 1 1 r
.59643 .07482 .60558 .08754 .62359 .08066 .61451 .06786 Metetra
1 1 1 r
.61451 .06786 .62359 .08066 .64171 .07375 .63271 .06086 Metetra
1 1 1 r
.63271 .06086 .64171 .07375 .65995 .06679 .65103 .05381 Metetra
1 1 1 r
.65103 .05381 .65995 .06679 .6783 .05978 .66947 .04672 Metetra
1 1 1 r
.66947 .04672 .6783 .05978 .69678 .05273 .68803 .03958 Metetra
1 1 1 r
.68803 .03958 .69678 .05273 .71538 .04563 .70671 .0324 Metetra
1 1 1 r
.04773 .27101 .05902 .28152 .07377 .27584 .06254 .26528 Metetra
1 1 1 r
.06254 .26528 .07377 .27584 .08862 .27013 .07743 .2595 Metetra
1 1 1 r
.07743 .2595 .08862 .27013 .10355 .26439 .09241 .2537 Metetra
1 1 1 r
.09241 .2537 .10355 .26439 .11857 .25861 .10748 .24786 Metetra
1 1 1 r
.10748 .24786 .11857 .25861 .13368 .2528 .12264 .24198 Metetra
1 1 1 r
.12264 .24198 .13368 .2528 .14888 .24696 .13789 .23607 Metetra
1 1 1 r
.13789 .23607 .14888 .24696 .16417 .24108 .15323 .23013 Metetra
1 1 1 r
.15323 .23013 .16417 .24108 .17955 .23516 .16866 .22414 Metetra
1 1 1 r
.16866 .22414 .17955 .23516 .19502 .22921 .18419 .21813 Metetra
1 1 1 r
.18419 .21813 .19502 .22921 .21059 .22322 .19981 .21207 Metetra
1 1 1 r
.19981 .21207 .21059 .22322 .22625 .2172 .21553 .20598 Metetra
1 1 1 r
.21553 .20598 .22625 .2172 .24201 .21114 .23134 .19985 Metetra
1 1 1 r
.23134 .19985 .24201 .21114 .25786 .20504 .24725 .19369 Metetra
1 1 1 r
.24725 .19369 .25786 .20504 .27381 .19891 .26325 .18748 Metetra
1 1 1 r
.26325 .18748 .27381 .19891 .28985 .19274 .27936 .18124 Metetra
1 1 1 r
.27936 .18124 .28985 .19274 .306 .18653 .29556 .17496 Metetra
1 1 1 r
.29556 .17496 .306 .18653 .32224 .18028 .31187 .16864 Metetra
1 1 1 r
.31187 .16864 .32224 .18028 .33858 .17399 .32827 .16228 Metetra
1 1 1 r
.32827 .16228 .33858 .17399 .35503 .16767 .34478 .15589 Metetra
1 1 1 r
.34478 .15589 .35503 .16767 .37157 .1613 .36139 .14945 Metetra
1 1 1 r
.36139 .14945 .37157 .1613 .38822 .1549 .3781 .14297 Metetra
1 1 1 r
.3781 .14297 .38822 .1549 .40498 .14846 .39492 .13645 Metetra
1 1 1 r
.39492 .13645 .40498 .14846 .42184 .14197 .41185 .12989 Metetra
1 1 1 r
.41185 .12989 .42184 .14197 .4388 .13545 .42888 .12329 Metetra
1 1 1 r
.42888 .12329 .4388 .13545 .45587 .12888 .44602 .11665 Metetra
1 1 1 r
.44602 .11665 .45587 .12888 .47305 .12227 .46327 .10996 Metetra
1 1 1 r
.46327 .10996 .47305 .12227 .49034 .11562 .48063 .10323 Metetra
1 1 1 r
.48063 .10323 .49034 .11562 .50774 .10893 .4981 .09646 Metetra
1 1 1 r
.4981 .09646 .50774 .10893 .52525 .10219 .51568 .08964 Metetra
1 1 1 r
.51568 .08964 .52525 .10219 .54288 .09541 .53338 .08279 Metetra
1 1 1 r
.53338 .08279 .54288 .09541 .56061 .08859 .55119 .07588 Metetra
1 1 1 r
.55119 .07588 .56061 .08859 .57846 .08173 .56912 .06893 Metetra
1 1 1 r
.56912 .06893 .57846 .08173 .59643 .07482 .58716 .06194 Metetra
1 1 1 r
.58716 .06194 .59643 .07482 .61451 .06786 .60532 .0549 Metetra
1 1 1 r
.60532 .0549 .61451 .06786 .63271 .06086 .6236 .04782 Metetra
1 1 1 r
.6236 .04782 .63271 .06086 .65103 .05381 .642 .04069 Metetra
1 1 1 r
.642 .04069 .65103 .05381 .66947 .04672 .66052 .03351 Metetra
1 1 1 r
.66052 .03351 .66947 .04672 .68803 .03958 .67917 .02628 Metetra
1 1 1 r
.67917 .02628 .68803 .03958 .70671 .0324 .69794 .01901 Metetra
1 1 1 r
.03633 .26039 .04773 .27101 .06254 .26528 .05118 .25459 Metetra
1 1 1 r
.05118 .25459 .06254 .26528 .07743 .2595 .06612 .24876 Metetra
1 1 1 r
.06612 .24876 .07743 .2595 .09241 .2537 .08115 .24289 Metetra
1 1 1 r
.08115 .24289 .09241 .2537 .10748 .24786 .09627 .23698 Metetra
1 1 1 r
.09627 .23698 .10748 .24786 .12264 .24198 .11148 .23104 Metetra
1 1 1 r
.11148 .23104 .12264 .24198 .13789 .23607 .12678 .22507 Metetra
1 1 1 r
.12678 .22507 .13789 .23607 .15323 .23013 .14217 .21905 Metetra
1 1 1 r
.14217 .21905 .15323 .23013 .16866 .22414 .15766 .213 Metetra
1 1 1 r
.15766 .213 .16866 .22414 .18419 .21813 .17324 .20692 Metetra
1 1 1 r
.17324 .20692 .18419 .21813 .19981 .21207 .18891 .2008 Metetra
1 1 1 r
.18891 .2008 .19981 .21207 .21553 .20598 .20469 .19464 Metetra
1 1 1 r
.20469 .19464 .21553 .20598 .23134 .19985 .22055 .18844 Metetra
1 1 1 r
.22055 .18844 .23134 .19985 .24725 .19369 .23652 .1822 Metetra
1 1 1 r
.23652 .1822 .24725 .19369 .26325 .18748 .25258 .17593 Metetra
1 1 1 r
.25258 .17593 .26325 .18748 .27936 .18124 .26875 .16962 Metetra
1 1 1 r
.26875 .16962 .27936 .18124 .29556 .17496 .28501 .16326 Metetra
1 1 1 r
.28501 .16326 .29556 .17496 .31187 .16864 .30137 .15687 Metetra
1 1 1 r
.30137 .15687 .31187 .16864 .32827 .16228 .31784 .15044 Metetra
1 1 1 r
.31784 .15044 .32827 .16228 .34478 .15589 .33441 .14397 Metetra
1 1 1 r
.33441 .14397 .34478 .15589 .36139 .14945 .35109 .13746 Metetra
1 1 1 r
.35109 .13746 .36139 .14945 .3781 .14297 .36786 .1309 Metetra
1 1 1 r
.36786 .1309 .3781 .14297 .39492 .13645 .38475 .12431 Metetra
1 1 1 r
.38475 .12431 .39492 .13645 .41185 .12989 .40174 .11767 Metetra
1 1 1 r
.40174 .11767 .41185 .12989 .42888 .12329 .41884 .11099 Metetra
1 1 1 r
.41884 .11099 .42888 .12329 .44602 .11665 .43605 .10427 Metetra
1 1 1 r
.43605 .10427 .44602 .11665 .46327 .10996 .45337 .0975 Metetra
1 1 1 r
.45337 .0975 .46327 .10996 .48063 .10323 .4708 .0907 Metetra
1 1 1 r
.4708 .0907 .48063 .10323 .4981 .09646 .48834 .08384 Metetra
1 1 1 r
.48834 .08384 .4981 .09646 .51568 .08964 .506 .07695 Metetra
1 1 1 r
.506 .07695 .51568 .08964 .53338 .08279 .52377 .07001 Metetra
1 1 1 r
.52377 .07001 .53338 .08279 .55119 .07588 .54166 .06302 Metetra
1 1 1 r
.54166 .06302 .55119 .07588 .56912 .06893 .55966 .05599 Metetra
1 1 1 r
.55966 .05599 .56912 .06893 .58716 .06194 .57778 .04891 Metetra
1 1 1 r
.57778 .04891 .58716 .06194 .60532 .0549 .59602 .04179 Metetra
1 1 1 r
.59602 .04179 .60532 .0549 .6236 .04782 .61438 .03461 Metetra
1 1 1 r
.61438 .03461 .6236 .04782 .642 .04069 .63287 .0274 Metetra
1 1 1 r
.63287 .0274 .642 .04069 .66052 .03351 .65147 .02013 Metetra
1 1 1 r
.65147 .02013 .66052 .03351 .67917 .02628 .6702 .01281 Metetra
1 1 1 r
.6702 .01281 .67917 .02628 .69794 .01901 .68905 .00545 Metetra
0 g
.25 Mabswid
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
gsave
.02757 .24618 -70 -14.5763 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.18558 .19702 m
.19014 .20174 L
s
gsave
.17646 .18758 -69.8492 -15 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.34306 .13535 m
.34735 .14032 L
s
gsave
.3345 .12542 -74.0356 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
1.000 setlinewidth
grestore
.51046 .06981 m
.51442 .07504 L
s
gsave
.50253 .05935 -73.3059 -15 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(15) show
1.000 setlinewidth
grestore
.68874 0 m
.69233 .00549 L
s
gsave
.68156 -0.01098 -72.5762 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.1552 .20892 m
.15797 .21172 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.27893 .16047 m
.28157 .16339 L
s
.3108 .14799 m
.31341 .15094 L
s
.37572 .12257 m
.37826 .12558 L
s
.40878 .10962 m
.41128 .11266 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.54521 .0562 m
.54755 .05937 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
gsave
.29165 .07573 -83.8124 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
%%BeginResource: font Times-Roman-MISO
%%BeginFont: Times-Roman-MISO
/Times-Roman /Times-Roman-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.250 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
68.312 11.812 moveto
(/) show
72.125 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
78.875 13.375 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
83.500 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 233.562},
  ImageMargins->{{62, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000jB000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00^P3oool400000080oooo0P00
001N0?ooo`00^`3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool0F`3o
ool00;`0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`1K0?ooo`00_03oool0
10000000oooo0?ooo`0000020?ooo`030000003oool0oooo05/0oooo002m0?ooo`030000003oool0
00000080oooo00<000000?ooo`3oool0F`3oool00;X0oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`030000003oool0oooo00H0oooo0P00001C0?ooo`00^`3oool2000000<0oooo0P000008
0?ooo`040000003oool0oooo00000580oooo003:0?ooo`040000003oool0oooo00000580oooo003:
0?ooo`040000003oool0oooo00000580oooo003:0?ooo`040000003oool0oooo00000580oooo0033
0?ooo`<00000103oool010000000oooo0?ooo`00001B0?ooo`00`P3oool5000000@0oooo0P00001C
0?ooo`00_`3oool5000000030?ooo`000000000005T0oooo002m0?ooo`D00000103oool2000005P0
oooo002j0?ooo`D0000000<0oooo0000003oool0103oool00`000000oooo0000001G0?ooo`00]`3o
ool6000000@0oooo00<000000?ooo`3oool00P3oool3000005L0oooo002e0?ooo`80000000D0oooo
000000000000oooo000000050?ooo`030000003oool0oooo008000000P3oool2000005H0oooo002b
0?ooo`H00000103oool00`000000oooo0?ooo`020?ooo`<00000103oool3000005D0oooo002`0?oo
o`D0000000<0oooo0000003oool0103oool00`000000oooo0?ooo`0200000080oooo00<000000?oo
o`3oool00`3oool2000005D0oooo002:0?ooo`<0000000@0oooo0000000000000000703oool60000
00@0oooo00<000000?ooo`3oool00P3oool3000000@0oooo00<000000?ooo`3oool00`3oool30000
05@0oooo002;0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool05`3oool20000
00050?ooo`00000000000?ooo`0000001@3oool00`000000oooo0?ooo`0200000080oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`0200000080oooo0P00001C0?ooo`00R`3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo01@0oooo1P0000040?ooo`030000003oool0oooo
0080oooo0`0000050?ooo`040000003oool0oooo0?ooo`@00000103oool2000005<0oooo001E0?oo
o`030000003oool0000003<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0B0?oo
o`D000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo008000000P3oool00`00
0000oooo0?ooo`030?ooo`@000000`3oool00`000000oooo0?ooo`020?ooo`<00000DP3oool004@0
oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooo`<00000103oool00`00
0000oooo0?ooo`0b0?ooo`030000003oool0oooo00<000004P3oool6000000@0oooo00<000000?oo
o`3oool00P3oool3000000D0oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`040?oo
o`030000003oool0oooo008000000P3oool200000540oooo00150?ooo`030000003oool000000080
oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`<00000<P3oool20000
00<0oooo00<000000?ooo`3oool03`3oool2000000030?ooo`00000000000080oooo00<000000?oo
o`3oool00`3oool010000000oooo0000000000020?ooo`030000003oool0oooo00<0oooo0`000004
0?ooo`030000003oool0oooo0080oooo0`0000040?ooo`800000D@3oool004H0oooo00<000000?oo
o`3oool00P3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool0=P3oool0
10000000oooo0?ooo`3oool3000000`0oooo1P0000040?ooo`030000003oool0oooo00<0oooo0P00
00050?ooo`030000003oool0oooo0080000000<0oooo0000003oool0103oool00`000000oooo0?oo
o`0200000080oooo00<000000?ooo`3oool00`3oool200000500oooo00160?ooo`8000000`3oool0
1@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool0AP3oool3000000030?ooo`00
000000000080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0200000080oooo00<0
00000?ooo`3oool00P3oool3000000@0oooo00<000000?ooo`3oool00P3oool3000000@0oooo00<0
00000?ooo`3oool00`3oool200000500oooo00150?ooo`040000003oool0oooo000000<0oooo00@0
00000?ooo`3oool0oooo1@0000140?ooo`80000000@0oooo00000000000000001@3oool010000000
oooo0?ooo`3oool4000000@0oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`040?oo
o`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
008000000P3oool00`000000oooo0?ooo`1=0?ooo`00C@3oool00`000000oooo0?ooo`160?ooo`<0
000000<0oooo0000000000000P3oool00`000000oooo0?ooo`030?ooo`@000000`3oool00`000000
oooo0?ooo`020?ooo`<00000103oool00`000000oooo0?ooo`020?ooo`<000001@3oool010000000
oooo0?ooo`3oool4000000@0oooo0P00001>0?ooo`00C@3oool00`000000oooo0?ooo`140?ooo`80
00000P3oool2000000D0oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`040?ooo`03
0000003oool0oooo0080000000<0oooo0000003oool0103oool00`000000oooo0?ooo`0200000080
oooo00<000000?ooo`3oool00`3oool4000000<0oooo00<000000?ooo`3oool00P3oool2000004h0
oooo002A0?ooo`<000000P3oool200000080oooo00<000000?ooo`3oool00P3oool3000000@0oooo
00<000000?ooo`3oool00P3oool3000000@0oooo00<000000?ooo`3oool00P3oool3000000D0oooo
00<000000?ooo`3oool00P0000000`3oool000000?ooo`040?ooo`030000003oool0oooo00800000
00<0oooo000000000000C@3oool008l0oooo0P0000000`3oool0000000000002000000@0oooo00<0
00000?ooo`3oool00P0000000`3oool000000?ooo`040?ooo`030000003oool0oooo008000000P3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?oo
o`030?ooo`<00000103oool00`000000oooo0?ooo`020?ooo`<00000103oool2000004`0oooo002<
0?ooo`H000000`3oool00`000000oooo0?ooo`020?ooo`<00000103oool00`000000oooo0?ooo`02
0?ooo`<000001@3oool00`000000oooo0?ooo`04000000D0oooo00<000000?ooo`3oool00P000000
0`3oool000000?ooo`040?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`02
0?ooo`800000C03oool008X0oooo100000020?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool00P0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P0000020?oo
o`030000003oool0oooo00<0oooo0`0000030?ooo`030000003oool0oooo00<0oooo0`0000040?oo
o`030000003oool0oooo0080oooo0`0000040?ooo`040000003oool0oooo0?ooo`@00000B`3oool0
08L0oooo1@0000040?ooo`030000003oool0oooo0080oooo0`0000040?ooo`030000003oool0oooo
0080oooo0`0000050?ooo`030000003oool0oooo0080000000<0oooo0000003oool0103oool00`00
0000oooo0?ooo`02000000030?ooo`000000oooo00@0oooo00<000000?ooo`3oool00P0000020?oo
o`030000003oool0oooo0080oooo100000030?ooo`800000BP3oool008@0oooo1@0000020?ooo`03
0000003oool0oooo00<0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`030?oo
o`040000003oool0000000000080oooo00<000000?ooo`3oool00`3oool3000000@0oooo00<00000
0?ooo`3oool00P3oool3000000@0oooo00<000000?ooo`3oool00P3oool3000000@0oooo00<00000
0?ooo`3oool00P0000000`3oool000000?ooo`040?ooo`800000BP3oool00880oooo0P0000000`3o
ool00000000000040?ooo`030000003oool0oooo00<0oooo0P0000050?ooo`040000003oool0oooo
0?ooo`<000001@3oool00`000000oooo0?ooo`02000000030?ooo`000000oooo00@0oooo00<00000
0?ooo`3oool00P0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P000002
0?ooo`030000003oool0oooo0080oooo0`0000040?ooo`030000003oool0oooo0080oooo0`000019
0?ooo`00F`3oool300000080oooo0P00000M0?ooo`<0000000<0oooo0000000000000P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`020?oo
o`@000000`3oool00`000000oooo0?ooo`020?ooo`<00000103oool00`000000oooo0?ooo`020?oo
o`<00000103oool010000000oooo0?ooo`3oool4000000@0oooo00<000000?ooo`3oool00P000000
0`3oool000000?ooo`040?ooo`030000003oool0oooo008000000P3oool2000004P0oooo001L0?oo
o`040000003oool0oooo00000080oooo00<000000?ooo`3oool0603oool2000000040?ooo`000000
0000000000@0oooo00@000000?ooo`3oool0oooo100000040?ooo`030000003oool0oooo00800000
00<0oooo0000003oool0103oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool00P3oool4000000<0oooo
00<000000?ooo`3oool00P3oool3000000@0oooo00<000000?ooo`3oool00P3oool3000000@0oooo
0P0000180?ooo`00G03oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo01D0oooo
0`0000000`3oool00000000000020?ooo`030000003oool0oooo0080oooo100000030?ooo`030000
003oool0oooo0080oooo0`0000040?ooo`030000003oool0oooo0080oooo0`0000040?ooo`040000
003oool0oooo0?ooo`@00000103oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`0200000080oooo00<000000?ooo`3oool00P3oool3000000P0oooo0P0000030?ooo`03
0000003oool0000000800000=@3oool005`0oooo00@000000?ooo`3oool000000P3oool00`000000
oooo0?ooo`0C0?ooo`H000001@3oool010000000oooo0000000000020?ooo`030000003oool0oooo
00<0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo008000000P3oool00`000000oooo0?ooo`020?ooo`@000000`3oool00`000000oooo0?ooo`02
0?ooo`<00000103oool00`000000oooo0?ooo`020?ooo`<000001@3oool00`000000oooo0?ooo`04
000000D0oooo00@000000?ooo`00000000000P3oool2000000H0oooo00@000000?ooo`3oool00000
103oool010000000oooo0?ooo`00000d0?ooo`00G03oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0oooo0100oooo0`0000000`3oool00000000000020?ooo`030000003oool0oooo00<0
oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`030000003oool0oooo0080
oooo0`0000050?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00`3oool01000
0000oooo0000000000020?ooo`030000003oool0oooo00<0oooo00@000000?ooo`00000000000P3o
ool00`000000oooo0?ooo`030?ooo`<000000`3oool00`000000oooo0?ooo`030?ooo`800000103o
ool2000000H0oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`0b0?ooo`00F`3o
ool200000080oooo00@000000?ooo`3oool00000403oool2000000040?ooo`0000000000000000D0
oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`040?ooo`030000003oool0oooo0080
00000P3oool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00<000000?oo
o`3oool00`3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000D0oooo00@000000?oo
o`3oool0oooo0`0000050?ooo`030000003oool0oooo0080000000<0oooo0000003oool0103oool0
0`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool00P3oool2000000D0oooo00@00000
0?ooo`3oool000001`3oool00`000000oooo0?ooo`0b0?ooo`00G03oool010000000oooo0?ooo`3o
ool2000000h0oooo1P0000030?ooo`030000003oool0oooo0080oooo0`0000040?ooo`030000003o
ool0oooo0080oooo0`0000040?ooo`040000003oool0oooo0?ooo`<000001@3oool00`000000oooo
0?ooo`02000000030?ooo`000000oooo00@0oooo00<000000?ooo`3oool00P0000020?ooo`030000
003oool0oooo0080oooo100000030?ooo`030000003oool0oooo0080oooo0`0000040?ooo`030000
003oool0oooo0080oooo0`0000040?ooo`040000003oool0oooo0?ooo`@00000103oool010000000
oooo0?ooo`0000040?ooo`<00000=@3oool006d0oooo1@0000020?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00P0000020?ooo`030000003oool0oooo0080oooo100000030?ooo`030000003oool0oooo0080
oooo0`0000040?ooo`030000003oool0oooo0080oooo0`0000040?ooo`030000003oool0oooo0080
000000<0oooo0000003oool0103oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool00P3oool4000000<0
oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo
03@0oooo001[0?ooo`80000000<0oooo000000000000103oool00`000000oooo0?ooo`020?ooo`<0
00001@3oool00`000000oooo0?ooo`04000000@0oooo00<000000?ooo`3oool00P0000020?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo0080oooo0`0000040?ooo`03
0000003oool0oooo0080oooo0`0000040?ooo`040000003oool0oooo0?ooo`@00000103oool00`00
0000oooo0?ooo`02000000030?ooo`000000oooo00@0oooo0P0000040?ooo`8000001P3oool30000
03@0oooo001X0?ooo`<0000000<0oooo0000000000000P3oool00`000000oooo0?ooo`020?ooo`04
0000003oool0000000000080oooo00<000000?ooo`3oool00`3oool3000000<0oooo00<000000?oo
o`3oool00P3oool3000000@0oooo00<000000?ooo`3oool00P3oool3000000D0oooo00<000000?oo
o`3oool0100000040?ooo`030000003oool0oooo0080000000<0oooo0000003oool0103oool00`00
0000oooo0?ooo`0200000080oooo00<000000?ooo`3oool00P3oool4000000<0oooo00<000000?oo
o`3oool00P3oool3000000@0oooo00<000000?ooo`3oool00P3oool300000480oooo001V0?ooo`H0
0000103oool010000000oooo0?ooo`3oool3000000D0oooo00<000000?ooo`3oool00P0000000`3o
ool000000?ooo`040?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00`3oool0
10000000oooo0000000000020?ooo`030000003oool0oooo00<0oooo0`0000030?ooo`030000003o
ool0oooo0080oooo0`0000040?ooo`030000003oool0oooo0080oooo0`0000040?ooo`030000003o
ool0oooo0080000000<0oooo0000003oool0103oool00`000000oooo0?ooo`0200000080oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool0@03o
ool006<0oooo0`0000001P3oool00000000000000000oooo000000@0oooo100000030?ooo`030000
003oool0oooo0080oooo0`0000040?ooo`030000003oool0oooo0080oooo0P0000050?ooo`040000
003oool0oooo0?ooo`<000001@3oool00`000000oooo0?ooo`02000000030?ooo`000000oooo00@0
oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
008000000P3oool00`000000oooo0?ooo`020?ooo`<00000103oool00`000000oooo0?ooo`020?oo
o`<00000103oool010000000oooo0?ooo`3oool4000000@0oooo0P0000110?ooo`00H@3oool60000
00D0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`030?ooo`040000003oool0
000000000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0200000080oooo00<0
00000?ooo`3oool00P3oool4000000<0oooo00<000000?ooo`3oool00P3oool3000000@0oooo00<0
00000?ooo`3oool00P3oool2000000D0oooo00<000000?ooo`3oool0100000050?ooo`040000003o
ool0000000000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0200000080oooo
00<000000?ooo`3oool00P3oool4000000<0oooo00<000000?ooo`3oool00P3oool300000400oooo
001N0?ooo`D000000`3oool00`000000oooo0?ooo`030?ooo`800000103oool00`000000oooo0?oo
o`030?ooo`8000001@3oool00`000000oooo0?ooo`04000000@0oooo00<000000?ooo`3oool00P00
00020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P0000020?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo0080oooo0`00
00030?ooo`030000003oool0oooo00<0oooo0P0000050?ooo`030000003oool0oooo00@00000103o
ool00`000000oooo0?ooo`02000000030?ooo`000000oooo00@0oooo00<000000?ooo`3oool00P00
00020?ooo`030000003oool0oooo03h0oooo001L0?ooo`D0000000<0oooo0000003oool00`3oool0
0`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02
00000080oooo00<000000?ooo`3oool00P3oool3000000<0oooo00<000000?ooo`3oool00P3oool3
000000@0oooo00<000000?ooo`3oool00P3oool3000000@0oooo00@000000?ooo`3oool0oooo1000
00040?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo008000000P3oool00`000000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?oo
o`020?ooo`<00000103oool00`000000oooo0?ooo`020?ooo`<00000103oool2000003l0oooo001I
0?ooo`D00000103oool00`000000oooo0?ooo`020?ooo`<000001@3oool00`000000oooo0?ooo`04
000000@0oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`040?ooo`040000003oool0
000000000080oooo00<000000?ooo`3oool00`3oool010000000oooo0000000000020?ooo`030000
003oool0oooo0080oooo100000030?ooo`030000003oool0oooo0080oooo0`0000040?ooo`040000
003oool0oooo0?ooo`@00000103oool00`000000oooo0?ooo`02000000030?ooo`000000oooo00@0
oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
008000000P3oool00`000000oooo0?ooo`020?ooo`<00000?P3oool005L0oooo0P0000000`3oool0
0000000000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`00
0000oooo0?ooo`030?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`<00000103oool00`00
0000oooo0?ooo`020?ooo`8000001@3oool010000000oooo0?ooo`3oool3000000D0oooo00@00000
0?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo008000000P3o
ool00`000000oooo0?ooo`020?ooo`@000000`3oool00`000000oooo0?ooo`020?ooo`<00000103o
ool00`000000oooo0?ooo`020?ooo`800000103oool010000000oooo0?ooo`3oool4000000@0oooo
00<000000?ooo`3oool00P0000000`3oool000000000000n0?ooo`00=03oool3000001d0oooo1P00
00040?ooo`040000003oool0oooo0?ooo`<000001@3oool00`000000oooo0?ooo`0200000080oooo
00<000000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo0080oooo100000030?ooo`03
0000003oool0oooo0080oooo0P0000050?ooo`030000003oool0oooo00@00000103oool00`000000
oooo0?ooo`02000000030?ooo`000000oooo00@0oooo00<000000?ooo`3oool00P0000020?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool00P0000020?ooo`040000003oool0oooo0?oo
o`@000000`3oool00`000000oooo0?ooo`020?ooo`<00000103oool2000003d0oooo000d0?ooo`04
0000003oool0oooo000001T0oooo0`0000000`3oool00000000000020?ooo`030000003oool0oooo
0080oooo100000030?ooo`030000003oool0oooo0080oooo0`0000040?ooo`040000003oool0oooo
0?ooo`<000001@3oool00`000000oooo0?ooo`04000000@0oooo00<000000?ooo`3oool00P000002
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0
oooo0080oooo0`0000030?ooo`030000003oool0oooo0080oooo0`0000040?ooo`030000003oool0
oooo0080oooo0`0000040?ooo`040000003oool0oooo0?ooo`@00000103oool010000000oooo0000
000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P0000020?ooo`030000
003oool0oooo0080oooo0P00000m0?ooo`00=`3oool00`000000oooo0?ooo`0D0?ooo`<0000000@0
oooo00000000000000001@3oool010000000oooo0000000000020?ooo`030000003oool0oooo00<0
oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`@000000`3oool00`00
0000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`<000001@3oool00`00
0000oooo0?ooo`04000000@0oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`040?oo
o`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`02
00000080oooo00<000000?ooo`3oool00P3oool4000000<0oooo00<000000?ooo`3oool00P3oool2
000000@0oooo00<000000?ooo`3oool00P3oool3000000@0oooo00@000000?ooo`3oool0oooo1000
000l0?ooo`00=`3oool00`000000oooo0?ooo`0B0?ooo`H000000`3oool00`000000oooo0?ooo`02
0?ooo`8000001@3oool010000000oooo0?ooo`3oool3000000D0oooo00@000000?ooo`0000000000
0P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo008000000P3oool00`000000oooo
0?ooo`020?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00`3oool3000000<0
oooo00<000000?ooo`3oool00P3oool3000000@0oooo00<000000?ooo`3oool00P3oool2000000D0
oooo00<000000?ooo`3oool0100000040?ooo`030000003oool0oooo008000000P3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`020?ooo`04
0000003oool0000000000080oooo00<000000?ooo`3oool00P3oool4000000<0oooo0P00000k0?oo
o`00=03oool3000001<0oooo100000020?ooo`030000003oool0oooo00<0oooo00@000000?ooo`00
000000000P3oool00`000000oooo0?ooo`020?ooo`@000000`3oool00`000000oooo0?ooo`020?oo
o`800000103oool00`000000oooo0?ooo`020?ooo`<00000103oool010000000oooo0?ooo`3oool3
000000D0oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo0080oooo00@00000
0?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo008000000P3o
ool00`000000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`<00000103o
ool010000000oooo0?ooo`3oool4000000@0oooo00@000000?ooo`3oool0oooo0`0000050?ooo`04
0000003oool0000000000080oooo00<000000?ooo`3oool00P3oool2000003/0oooo000e0?ooo`03
0000003oool0oooo00l0oooo1@0000050?ooo`040000003oool0oooo0?ooo`<000001@3oool01000
0000oooo0000000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P000002
0?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?oo
o`020?ooo`@000000`3oool00`000000oooo0?ooo`020?ooo`<00000103oool010000000oooo0?oo
o`3oool3000000D0oooo00<000000?ooo`3oool0100000040?ooo`030000003oool0oooo00800000
0P3oool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00<000000?ooo`3o
ool00P3oool4000000<0oooo00<000000?ooo`3oool00P3oool4000000<0oooo00<000000?ooo`3o
ool00P3oool2000000@0oooo00@000000?ooo`3oool0oooo1000000j0?ooo`00=@3oool3000000d0
oooo0P0000000`3oool00000000000020?ooo`030000003oool0oooo0080oooo100000030?ooo`03
0000003oool0oooo0080oooo0P0000040?ooo`030000003oool0oooo0080oooo0`0000040?ooo`04
0000003oool0oooo0?ooo`<000001@3oool010000000oooo0000000000020?ooo`030000003oool0
oooo00<0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`@000000`3o
ool00`000000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`<00000103o
ool010000000oooo0?ooo`3oool3000000D0oooo00@000000?ooo`00000000000P3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo008000000P3oool010000000oooo0?ooo`3oool4000000<0oooo0P00000i0?oo
o`00@P3oool6000000D0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool00000
00000080oooo00<000000?ooo`3oool00P3oool4000000<0oooo00<000000?ooo`3oool00P3oool2
000000@0oooo00<000000?ooo`3oool00`3oool2000000D0oooo00@000000?ooo`00000000000P3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?oo
o`020?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool4000000<0oooo
00<000000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3oool00P3oool3000000@0oooo
00@000000?ooo`3oool0oooo100000040?ooo`040000003oool0000000000080oooo00<000000?oo
o`3oool00P3oool2000001d0oooo0`00000=0?ooo`030000003oool0oooo00T0oooo00100?ooo`D0
00000`3oool00`000000oooo0?ooo`020?ooo`8000001@3oool00`000000oooo0?ooo`04000000D0
oooo00<000000?ooo`3oool00`0000050?ooo`040000003oool0000000000080oooo00<000000?oo
o`3oool00`3oool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool00P0000020?ooo`030000003oool0oooo0080oooo0P0000040?ooo`030000003oool0
oooo0080oooo0`0000040?ooo`040000003oool0oooo0?ooo`<000001@3oool010000000oooo0000
000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P0000020?ooo`030000
003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`@0
00000`3oool00`000000oooo0?ooo`020?ooo`800000103oool010000000oooo0?ooo`3oool40000
01d0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`090?ooo`00?@3oool500000080
oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`030000003oool0oooo
0080oooo0`0000030?ooo`030000003oool0oooo00<0oooo0`0000030?ooo`030000003oool0oooo
0080oooo0P0000050?ooo`040000003oool0oooo0?ooo`<000001@3oool00`000000oooo0?ooo`04
000000@0oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo0080oooo00@00000
0?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`@000000`3oool00`000000oooo0?oo
o`020?ooo`800000103oool010000000oooo0?ooo`3oool4000000@0oooo00@000000?ooo`3oool0
oooo0`0000040?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo008000000P3oool010000000oooo0?ooo`3oool4000000<0oooo0P00000L0?oo
o`030000003oool0oooo00`0oooo0`0000090?ooo`00>P3oool6000000@0oooo00@000000?ooo`3o
ool0oooo0`0000050?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool00P3oool010000000oooo00000000
00020?ooo`030000003oool0oooo0080oooo100000030?ooo`030000003oool0oooo0080oooo0`00
00030?ooo`030000003oool0oooo0080oooo0`0000040?ooo`040000003oool0oooo0?ooo`<00000
1@3oool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00P0000020?ooo`040000003oool0oooo0?ooo`@000000`3oool00`000000oooo0?ooo`020?oo
o`@000000`3oool010000000oooo0?ooo`3oool3000000@0oooo00@000000?ooo`3oool0oooo1000
00040?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool2000001d0oooo
0P0000030?ooo`040000003oool0oooo0?ooo`<000000P3oool00`000000oooo000000090?ooo`00
>03oool2000000030?ooo`00000000000080oooo00<000000?ooo`3oool00P3oool4000000<0oooo
00<000000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3oool00P3oool3000000@0oooo
00@000000?ooo`3oool0oooo0`0000050?ooo`040000003oool0000000000080oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool00P3oool01000
0000oooo0000000000020?ooo`030000003oool0oooo0080oooo100000030?ooo`030000003oool0
oooo0080oooo0P0000040?ooo`040000003oool0oooo0?ooo`@00000103oool010000000oooo0000
000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P0000020?ooo`030000
003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`@0
00000`3oool00`000000oooo0?ooo`020?ooo`800000103oool010000000oooo0?ooo`3oool40000
01`0oooo00<000000?ooo`0000000P3oool01@000000oooo0?ooo`3oool000000080oooo00<00000
0?ooo`0000000P0000090?ooo`00=@3oool6000000D0oooo00@000000?ooo`00000000000P3oool0
0`000000oooo0?ooo`030?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3o
ool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo100000030?ooo`030000
003oool0oooo0080oooo0P0000040?ooo`030000003oool0oooo0080oooo0`0000040?ooo`040000
003oool0oooo0?ooo`<000001@3oool010000000oooo0000000000020?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool00P0000020?ooo`040000003oool0oooo0?ooo`@000000`3oool0
0`000000oooo0?ooo`020?ooo`800000103oool00`000000oooo0?ooo`020?ooo`<00000103oool0
10000000oooo0?ooo`3oool3000000D0oooo00@000000?ooo`00000000000P3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo008000000P3oool010000000oooo0?ooo`3oool4000000<0
oooo0P00000K0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo0?ooo`0;0?ooo`00<`3oool5000000<0oooo00<000000?ooo`3oool00P3oool20000
00D0oooo00@000000?ooo`3oool0oooo0`0000050?ooo`030000003oool0oooo00<000001@3oool0
10000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P00
00020?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo
0?ooo`020?ooo`@000000`3oool00`000000oooo0?ooo`020?ooo`8000001@3oool00`000000oooo
0?ooo`04000000@0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo008000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool000000000
0080oooo00<000000?ooo`3oool00P3oool4000000<0oooo00<000000?ooo`3oool00P3oool20000
00@0oooo00@000000?ooo`3oool0oooo100000040?ooo`060000003oool000000000003oool00000
1@3oool2000001`0oooo00<000000?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0oooo00/0oooo000`0?ooo`D000000P3oool00`000000oooo0?ooo`020?ooo`040000
003oool0000000000080oooo00<000000?ooo`3oool00P3oool4000000<0oooo00<000000?ooo`3o
ool00P3oool3000000<0oooo00<000000?ooo`3oool00P3oool2000000D0oooo00<000000?ooo`3o
ool0100000040?ooo`040000003oool0oooo0?ooo`<000001@3oool010000000oooo000000000002
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0
oooo0080oooo0`0000030?ooo`030000003oool0oooo0080oooo0P0000050?ooo`030000003oool0
oooo00@00000103oool010000000oooo0?ooo`3oool3000000D0oooo00@000000?ooo`0000000000
0P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo008000000P3oool010000000oooo
0?ooo`3oool4000000<0oooo00<000000?ooo`3oool00P3oool2000000@0oooo00<000000?ooo`3o
ool00P3oool3000001X0oooo0`0000030?ooo`040000003oool0oooo0?ooo`D000002`3oool002d0
oooo0`0000000`3oool00000000000050?ooo`030000003oool0oooo00<000001@3oool010000000
oooo0000000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P0000020?oo
o`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`02
0?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`@000000`3oool00`000000oooo0?ooo`02
0?ooo`800000103oool00`000000oooo0?ooo`020?ooo`<00000103oool00`000000oooo0?ooo`02
00000080oooo00D000000?ooo`3oool0oooo000000020?ooo`8000000P3oool00`000000oooo0?oo
o`020?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`@000000`3oool010000000oooo0?oo
o`3oool3000000@0oooo00@000000?ooo`3oool0oooo100000040?ooo`040000003oool000000000
0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0200000080oooo00D000000?oo
o`3oool0oooo000000020?ooo`8000000P3oool200000200oooo00<000000?ooo`3oool0403oool0
00d0oooo0P00000L0?ooo`H000000P3oool00`000000oooo0?ooo`020?ooo`<000000`3oool00`00
0000oooo0?ooo`020?ooo`8000001@3oool00`000000oooo0?ooo`04000000@0oooo00@000000?oo
o`3oool0oooo0`0000050?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3o
ool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
0P0000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000
oooo0?ooo`020?ooo`<00000103oool00`000000oooo0?ooo`04000000@0oooo00<000000?ooo`3o
ool00P0000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`00
0000oooo0?ooo`020?ooo`@000000`3oool010000000oooo0?ooo`3oool4000000<0oooo00<00000
0?ooo`3oool00P3oool2000000@0oooo00@000000?ooo`3oool0oooo100000040?ooo`030000003o
ool0oooo00@00000103oool2000000P0oooo0`00000E0?ooo`030000003oool0oooo0100oooo000<
0?ooo`040000003oool0oooo000001T0oooo0P000000103oool000000000000000050?ooo`040000
003oool0000000000080oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?oo
o`030000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo0080oooo100000030?oo
o`8000000P3oool3000000D0oooo00<000000?ooo`3oool00`0000050?ooo`030000003oool0oooo
00@00000103oool010000000oooo0?ooo`3oool3000000D0oooo00@000000?ooo`00000000000P3o
ool00`000000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`<00000103o
ool010000000oooo0?ooo`3oool3000000@0oooo00<000000?ooo`3oool00P0000020?ooo`030000
003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo008000000P3oool010000000oooo0?ooo`3oool4000000<0oooo00<000000?oo
o`3oool00P3oool3000000<0oooo00@000000?ooo`3oool0oooo100000080?ooo`030000003oool0
oooo02L0oooo000<0?ooo`040000003oool0oooo000001D0oooo1`0000030?ooo`8000000P3oool3
000000D0oooo00<000000?ooo`3oool00`0000050?ooo`040000003oool0000000000080oooo00<0
00000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`030000003oool0oooo00<0oooo
0`0000030?ooo`030000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo0080oooo
0`0000030?ooo`030000003oool0oooo0080oooo100000030?ooo`030000003oool0oooo0080oooo
0P0000050?ooo`060000003oool000000000003oool000001@3oool010000000oooo000000000002
0?ooo`030000003oool0oooo0080oooo100000030?ooo`040000003oool0oooo0?ooo`<00000103o
ool010000000oooo0?ooo`3oool3000000@0oooo00@000000?ooo`3oool0oooo100000040?ooo`04
0000003oool0000000000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020000
0080oooo00@000000?ooo`3oool0oooo100000030?ooo`8000001`3oool00`000000oooo0?ooo`0W
0?ooo`00303oool010000000oooo0?ooo`00000D0?ooo`@000000P3oool00`000000oooo0?ooo`03
0?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`02
0?ooo`8000001@3oool00`000000oooo0?ooo`03000000D0oooo00<000000?ooo`3oool00P000002
0?ooo`050000003oool0oooo0?ooo`0000000P3oool200000080oooo00<000000?ooo`3oool00P3o
ool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`000000
00000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080000000<0oooo0000003o
ool01@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo0P0000050?ooo`04
0000003oool0000000000080oooo00<000000?ooo`3oool00P3oool010000000oooo000000000002
0?ooo`030000003oool0oooo0080oooo100000030?ooo`040000003oool0oooo0?ooo`@000000`3o
ool00`000000oooo0?ooo`020?ooo`800000103oool010000000oooo0?ooo`3oool4000000@0oooo
00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`8000001`3oool00`000000
oooo0?ooo`0W0?ooo`00303oool010000000oooo0?ooo`00000A0?ooo`D000001@3oool00`000000
oooo0?ooo`0200000080oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?oo
o`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`02
0?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`<00000103oool00`000000oooo0?ooo`04
000000@0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`030000003oool0oooo0080oooo0P00
00040?ooo`030000003oool0oooo0080oooo0`0000040?ooo`040000003oool0oooo0?ooo`<00000
103oool00`000000oooo0?ooo`0200000080oooo00<000000?ooo`3oool00P3oool2000000@0oooo
00@000000?ooo`3oool0oooo0`0000050?ooo`040000003oool0000000000080oooo00<000000?oo
o`3oool00P3oool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool00P0000020?ooo`040000003oool0oooo0?ooo`@000000`3oool00`000000oooo0?oo
o`020?ooo`800000103oool010000000oooo0?ooo`3oool4000000H0oooo00<000000?ooo`3oool0
9`3oool000`0oooo00@000000?ooo`3oool000003P3oool5000000<0oooo00<000000?ooo`3oool0
0P3oool3000000@0oooo00@000000?ooo`3oool0oooo0`0000050?ooo`030000003oool0oooo00<0
00001@3oool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00@000000?oo
o`00000000000P3oool00`000000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`02
0?ooo`@000000`3oool00`000000oooo0?ooo`020?ooo`060000003oool000000000003oool00000
1@3oool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`00
000000000`3oool010000000oooo0?ooo`3oool3000000@0oooo00<000000?ooo`3oool00P000002
0?ooo`040000003oool0oooo0?ooo`@000000`3oool00`000000oooo0?ooo`020?ooo`800000103o
ool010000000oooo0?ooo`3oool3000000D0oooo00<000000?ooo`3oool0100000040?ooo`040000
003oool0000000000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0200000080
oooo00@000000?ooo`3oool0oooo100000030?ooo`800000103oool2000002T0oooo000=0?ooo`80
00003@3oool400000080oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?oo
o`030000003oool0oooo0080oooo100000030?ooo`030000003oool0oooo0080oooo0`0000030?oo
o`8000000P3oool3000000D0oooo00<000000?ooo`3oool00`0000050?ooo`040000003oool00000
00000080oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`030000003o
ool0oooo0080oooo00@000000?ooo`3oool0oooo0`0000040?ooo`030000003oool0oooo0080oooo
0P0000040?ooo`030000003oool0oooo0080oooo0P0000050?ooo`040000003oool0000000000080
oooo00<000000?ooo`3oool00P3oool3000000@0oooo00@000000?ooo`00000000000P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo008000000P3oool010000000oooo0?ooo`3oool4
000000<0oooo00<000000?ooo`3oool00P3oool3000000<0oooo00<000000?ooo`3oool00P3oool2
000000D0oooo00<000000?ooo`3oool0100000040?ooo`040000003oool0000000000080oooo00<0
00000?ooo`3oool00P3oool2000000D0oooo00<000000?ooo`3oool09`3oool001T0oooo1@000005
0?ooo`030000003oool0oooo00<000001@3oool010000000oooo0000000000020?ooo`030000003o
ool0oooo00<0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`<00000
0`3oool00`000000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`800000
1@3oool00`000000oooo0?ooo`03000000D0oooo00<000000?ooo`3oool01@0000030?ooo`050000
003oool0oooo0?ooo`0000000P3oool2000000030?ooo`000000oooo00@0oooo00@000000?ooo`00
000000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00@000000?oo
o`00000000000P3oool00`000000oooo0?ooo`020?ooo`8000001@3oool00`000000oooo0?ooo`04
000000@0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo008000000P3oool01@000000oooo0?ooo`3oool000000080oooo0P0000020?ooo`030000
003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo0080oooo0P0000040?ooo`040000
003oool0oooo0?ooo`@00000;P3oool001L0oooo100000030?ooo`030000003oool0oooo0080oooo
0`0000030?ooo`030000003oool0oooo0080oooo0P0000050?ooo`040000003oool0oooo0?ooo`<0
00001@3oool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00@000000?oo
o`00000000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00<0
00000?ooo`3oool00P3oool3000000<0oooo00<000000?ooo`3oool00P3oool3000000<0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`04000000@0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0?ooo`<000001P3oool00`000000oooo
0?ooo`030?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool3000000<0
oooo00<000000?ooo`3oool00P3oool2000000D0oooo00<000000?ooo`3oool0100000040?ooo`03
0000003oool0oooo00@00000103oool00`000000oooo0?ooo`0200000080oooo00D000000?ooo`3o
ool0oooo000000020?ooo`8000000P3oool010000000oooo0?ooo`3oool4000000<0oooo0P00000]
0?ooo`005@3oool300000080oooo00<000000?ooo`3oool00P3oool010000000oooo000000000002
0?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?oo
o`020?ooo`@000000`3oool00`000000oooo0?ooo`020?ooo`800000103oool010000000oooo0?oo
o`3oool3000000D0oooo00<000000?ooo`3oool00`0000050?ooo`040000003oool0000000000080
oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo0080oooo00@000000?oo
o`3oool0oooo0`0000050?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool0oooo0P00
00000`3oool000000?ooo`030?ooo`800000103oool00`000000oooo0?ooo`0200000080oooo00D0
00000?ooo`3oool0oooo000000020?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`<00000
0`3oool00`000000oooo0?ooo`020?ooo`<000000`3oool010000000oooo0?ooo`3oool4000000@0
oooo00<000000?ooo`3oool0100000040?ooo`040000003oool0000000000080oooo00<000000?oo
o`3oool00P3oool2000002d0oooo000E0?ooo`<000000`3oool00`000000oooo0?ooo`03000000D0
oooo00<000000?ooo`3oool00`0000050?ooo`040000003oool0000000000080oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0200000080oooo00@000000?ooo`3oool0oooo10000003
0?ooo`030000003oool0oooo0080oooo0`0000030?ooo`040000003oool0oooo0?ooo`<000001@3o
ool00`000000oooo0?ooo`03000000D0oooo00<000000?ooo`3oool0100000030?ooo`050000003o
ool0oooo0?ooo`0000001@3oool3000000<0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`020?ooo`040000003oool00000000000<0oooo00<000000?ooo`3oool00P0000020?ooo`04
0000003oool0oooo0?ooo`<00000103oool00`000000oooo0?ooo`04000000@0oooo00<000000?oo
o`3oool00P0000020?ooo`050000003oool0oooo0?ooo`0000000P3oool200000080oooo00@00000
0?ooo`3oool0oooo100000030?ooo`030000003oool0oooo0080oooo0`0000030?ooo`040000003o
ool0oooo0?ooo`<00000103oool010000000oooo0?ooo`3oool4000002`0oooo000E0?ooo`800000
103oool3000000<0oooo00<000000?ooo`3oool00P3oool3000000<0oooo0P0000020?ooo`<00000
1@3oool00`000000oooo0?ooo`04000000@0oooo00@000000?ooo`00000000000P3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo008000000P3oool010000000oooo0?ooo`3oool40000
00<0oooo00<000000?ooo`3oool00P3oool3000000<0oooo00<000000?ooo`3oool00P3oool30000
0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00<000001@3oool010000000oooo0?ooo`3oool3000000D0oooo00<000000?ooo`3oool0103oool2
000000@0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`<000000`3o
ool200000080oooo100000040?ooo`030000003oool0oooo00@00000103oool010000000oooo0000
000000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P0000020?ooo`040000
003oool0oooo0?ooo`@000000`3oool010000000oooo0?ooo`3oool4000000<0oooo0P00000[0?oo
o`00303oool2000000L0oooo00@000000?ooo`000000oooo0P0000020?ooo`030000003oool0oooo
0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`<000000`3oool0
0`000000oooo0?ooo`020?ooo`<000000`3oool200000080oooo0`0000050?ooo`030000003oool0
oooo00@00000103oool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool00P0000020?ooo`050000003oool0oooo0?ooo`0000000P3oool200000080oooo
00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo00@000000`3oool00`000000
oooo0?ooo`030?ooo`<000000`3oool00`000000oooo0?ooo`02000000030?ooo`000000oooo0080
oooo0P0000000`3oool000000?ooo`030?ooo`8000001@3oool010000000oooo0000000000020?oo
o`030000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo0080oooo0`0000030?oo
o`040000003oool0oooo0?ooo`<00000103oool010000000oooo0?ooo`3oool4000000@0oooo00@0
00000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080
oooo00<000000?ooo`3oool00P3oool2000002/0oooo000;0?ooo`040000003oool0oooo000000D0
oooo00D000000?ooo`3oool0oooo000000050?ooo`030000003oool0oooo00<000001@3oool01000
0000oooo0000000000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3o
ool00`000000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`<000000`3o
ool00`000000oooo0?ooo`020?ooo`8000001@3oool00`000000oooo0?ooo`04000000@0oooo00<0
00000?ooo`3oool0100000040?ooo`050000003oool0oooo0?ooo`0000000`3oool400000080oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`000000103oool00`000000oooo000000030?ooo`030000003oool0oooo00800000
0P3oool00`000000oooo0?ooo`020?ooo`800000103oool00`000000oooo0?ooo`0200000080oooo
00D000000?ooo`3oool0oooo000000020?ooo`8000000P3oool010000000oooo0?ooo`3oool40000
00<0oooo00@000000?ooo`3oool0oooo100000030?ooo`030000003oool0oooo0080oooo0P000004
0?ooo`040000003oool0oooo0?ooo`<00000103oool010000000oooo0?ooo`3oool4000002X0oooo
000;0?ooo`040000003oool0oooo000000D0oooo0P0000030?ooo`030000003oool0oooo0080oooo
0`0000030?ooo`8000000P3oool3000000D0oooo00<000000?ooo`3oool00`0000050?ooo`040000
003oool0000000000080oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?oo
o`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`02
0?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`02
0?ooo`P000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool00`0000060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool2
000000@0oooo00<000000?ooo`3oool00P0000020?ooo`040000003oool0oooo0?ooo`<00000103o
ool00`000000oooo0?ooo`04000000@0oooo00@000000?ooo`00000000000P3oool00`000000oooo
0?ooo`020?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`0200000080oooo00@000000?ooo`3oool0oooo100000030?ooo`040000003oool0oooo
0?ooo`@000000`3oool00`000000oooo0?ooo`0X0?ooo`002`3oool010000000oooo0?ooo`000005
0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?oo
o`020?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?oo
o`020?ooo`8000001@3oool00`000000oooo0?ooo`03000000D0oooo00<000000?ooo`3oool00`00
00050?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool010000000oooo
0000000000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool01@00
0000oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003o
ool0000000<0oooo00<000000?ooo`3oool00P3oool2000000D0oooo0P0000040?ooo`030000003o
ool0000000D0oooo0P0000040?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool0
0P3oool3000000<0oooo00<000000?ooo`3oool00P3oool2000000@0oooo00@000000?ooo`3oool0
oooo0`0000040?ooo`040000003oool0oooo0?ooo`@00000103oool010000000oooo000000000002
0?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?oo
o`020?ooo`800000:@3oool000/0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00<0oooo00@000000?ooo`00000000000P3oool00`000000oooo
0?ooo`020?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool010000000
oooo0000000000020?ooo`030000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo
0080oooo0`0000030?ooo`8000000P3oool3000000D0oooo00<000000?ooo`3oool00`0000050?oo
o`030000003oool0oooo00<00000103oool01@000000oooo0?ooo`3oool0000000@0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`03000000@0oooo00D000000?ooo`3oool0oooo0000
00020?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo0?ooo`80000000<0oooo0000003oool00`3oool2000000@0oooo00<000000?oo
o`3oool00P0000020?ooo`050000003oool0oooo0?ooo`0000000P3oool200000080oooo00@00000
0?ooo`3oool0oooo100000030?ooo`040000003oool0oooo0?ooo`@000000`3oool010000000oooo
0?ooo`3oool3000000@0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`030000003oool0oooo
0080000000<0oooo000000000000:03oool000/0oooo00@000000?ooo`3oool000001@3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo0P0000050?ooo`030000003oool0oooo
00<000001@3oool00`000000oooo0?ooo`03000000D0oooo00@000000?ooo`00000000000P3oool0
0`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3o
ool3000000<0oooo00<000000?ooo`3oool00P3oool3000000<0oooo0P0000020?ooo`@000000`3o
ool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo
0000000400000080oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000020?ooo`05
0000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0
000000<0oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo00@00000103oool0
0`000000oooo0?ooo`04000000@0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?oo
o`020?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool400000080oooo
00<000000?ooo`3oool00P3oool400000080oooo00@000000?ooo`3oool0oooo100000040?ooo`03
0000003oool0oooo02H0oooo000<0?ooo`8000001P3oool00`000000oooo0?ooo`060?ooo`040000
003oool0000000000080oooo00<000000?ooo`3oool00P3oool3000000<0oooo00<000000?ooo`3o
ool00P3oool3000000<0oooo0P0000020?ooo`<000001@3oool00`000000oooo0?ooo`03000000D0
oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool00000
00000080oooo00<000000?ooo`3oool00P3oool3000000<0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0<00000080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool00000103oool2000000D0oooo00<0
00000?ooo`3oool00`3oool2000000D0oooo0P0000030?ooo`030000003oool0oooo0080oooo0`00
00030?ooo`8000000P3oool3000000D0oooo00<000000?ooo`3oool00`0000040?ooo`030000003o
ool0oooo008000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo
00@000000?ooo`3oool0oooo100000030?ooo`040000003oool0oooo0?ooo`<000009`3oool001<0
oooo0`0000080?ooo`030000003oool0oooo00<0oooo00@000000?ooo`00000000000P3oool00`00
0000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool3
000000<0oooo00<000000?ooo`3oool00P3oool3000000<0oooo0P0000020?ooo`<000001@3oool0
0`000000oooo0?ooo`03000000@0oooo00<000000?ooo`3oool00P0000020?ooo`050000003oool0
oooo0?ooo`0000000`3oool4000000<0oooo00@000000?ooo`3oool00000103oool01@000000oooo
0?ooo`3oool0000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`80
00001@3oool00`000000oooo0?ooo`030?ooo`030000003oool000000080oooo0P0000000`3oool0
00000?ooo`020?ooo`80000000<0oooo0000003oool00`3oool010000000oooo0000000000020?oo
o`030000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo0080oooo0`0000030?oo
o`030000003oool0oooo00@00000103oool00`000000oooo0?ooo`04000000@0oooo00@000000?oo
o`00000000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo0P00
000V0?ooo`004`3oool00`000000oooo0?ooo`090?ooo`8000000P3oool3000000D0oooo00<00000
0?ooo`3oool00`0000050?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3o
ool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo0`0000030?ooo`030000
003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo00@00000103oool00`000000oooo
0?ooo`05000000<0oooo00D000000?ooo`3oool0oooo000000030?ooo`050000003oool0oooo0?oo
o`0000000`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0?ooo`<000001@3oool0
0`000000oooo0?ooo`030?ooo`800000103oool01P000000oooo0?ooo`000000oooo000000@0oooo
00<000000?ooo`0000000`3oool010000000oooo0?ooo`3oool3000000@0oooo00<000000?ooo`3o
ool00P0000020?ooo`050000003oool0oooo0?ooo`0000000P3oool200000080oooo00@000000?oo
o`3oool0oooo0`0000030?ooo`030000003oool0oooo0080oooo0`0000030?ooo`040000003oool0
oooo0?ooo`<00000103oool010000000oooo0?ooo`3oool3000000@0oooo0P00000V0?ooo`004`3o
ool00`000000oooo0?ooo`0;0?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`<000000`3o
ool200000080oooo0`0000050?ooo`030000003oool0oooo00<000001@3oool010000000oooo0000
000000020?ooo`050000003oool0oooo0?ooo`0000000P3oool200000080oooo00@000000?ooo`3o
ool0oooo0`0000030?ooo`030000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool0100000000`3oool000000?ooo`030?ooo`050000003oool0oooo
0?ooo`000000103oool3000000<0oooo00@000000?ooo`3oool0oooo0P0000050?ooo`030000003o
ool000000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00<0oooo0`0000030?ooo`030000003oool0oooo00@00000103oool00`000000oooo0?oo
o`04000000@0oooo00@000000?ooo`00000000000P3oool01@000000oooo0?ooo`3oool000000080
oooo0P0000020?ooo`040000003oool0oooo0?ooo`@000000`3oool010000000oooo0?ooo`3oool4
000000<0oooo00<000000?ooo`3oool01000000U0?ooo`004`3oool00`000000oooo0?ooo`0<0?oo
o`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`02
0?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`<000000`3oool200000080oooo0`000004
0?ooo`030000003oool0oooo00@00000103oool010000000oooo0000000000020?ooo`030000003o
ool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00@000000`3oool6000000030?ooo`000000oooo0080oooo00@000000?ooo`3oool0
oooo0P0000050?ooo`070000003oool0oooo0?ooo`000000oooo000000030?ooo`060000003oool0
oooo0000003oool00000103oool2000000D0oooo00<000000?ooo`0000000P3oool2000000030?oo
o`000000oooo00<0oooo0`0000030?ooo`030000003oool0oooo0080oooo0`0000030?ooo`040000
003oool0oooo0?ooo`<00000103oool00`000000oooo0?ooo`04000000@0oooo00@000000?ooo`00
000000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00<00000
0?ooo`3oool00P3oool3000000<0oooo0P00000T0?ooo`004`3oool00`000000oooo0?ooo`0=0?oo
o`030000003oool0oooo00<000001@3oool010000000oooo0000000000020?ooo`030000003oool0
oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`<000000`3o
ool010000000oooo0?ooo`3oool3000000<0oooo0P0000020?ooo`<000001@3oool00`000000oooo
0?ooo`03000000D0oooo00<000000?ooo`3oool0100000030?ooo`050000003oool0oooo0?ooo`00
00000`3oool00`000000oooo0000000300000080oooo0`0000000`3oool000000?ooo`040?ooo`04
0000003oool0oooo00000080oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`0000000P3oool200000080oooo00<000000?ooo`0000000`3oool0
0`000000oooo0?ooo`0200000080oooo00D000000?ooo`3oool0oooo000000020?ooo`8000000P3o
ool010000000oooo0?ooo`3oool4000000<0oooo00@000000?ooo`3oool0oooo0`0000030?ooo`04
0000003oool0oooo0?ooo`<00000103oool010000000oooo0?ooo`3oool3000000@0oooo00<00000
0?ooo`3oool00P0000020?ooo`040000003oool0oooo0?ooo`800000903oool001<0oooo0P00000?
0?ooo`8000000`3oool200000080oooo0`0000050?ooo`030000003oool0oooo00<000001@3oool0
10000000oooo0000000000020?ooo`060000003oool0oooo0?ooo`000000oooo0P0000020?ooo`03
0000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo0080oooo0`0000030?ooo`80
00000P3oool4000000<0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool00000
0080oooo00H000000?ooo`3oool0oooo0000003oool3000000@0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo000000040?ooo`030000003oool0000000@0oooo0P0000030?ooo`060000003o
ool0oooo0000003oool000001@3oool00`000000oooo0?ooo`020?ooo`<00000103oool00`000000
oooo0?ooo`04000000@0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?oo
o`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo100000030?ooo`040000003o
ool0oooo0?ooo`@000000`3oool00`000000oooo0?ooo`04000000@0oooo00<000000?ooo`3oool0
1000000S0?ooo`004P3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0080oooo0`00
00030?ooo`030000003oool0oooo0080oooo0`0000030?ooo`8000000P3oool3000000@0oooo00<0
00000?ooo`3oool00`0000050?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool0
0P3oool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo0`0000030?ooo`04
0000003oool0oooo0?ooo`/000000P3oool01@000000oooo0?ooo`3oool000000080oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`800000103oool00`000000oooo00000003
0?ooo`030000003oool0000000<0oooo00D000000?ooo`3oool0oooo000000050?ooo`040000003o
ool000000?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`<000000`3oool010000000oooo
0?ooo`3oool3000000@0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`040000003oool00000
00000080oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`030000003o
ool0oooo0080oooo0`0000030?ooo`030000003oool0oooo0080oooo0`0000030?ooo`8000008P3o
ool00180oooo00<000000?ooo`3oool04@3oool010000000oooo0000000000020?ooo`030000003o
ool0oooo0080oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`<00000
0`3oool010000000oooo0?ooo`3oool3000000<0oooo0P0000020?ooo`<000001@3oool00`000000
oooo0?ooo`03000000D0oooo00@000000?ooo`00000000000P3oool01P000000oooo0?ooo`3oool0
00000?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@000000`3o
ool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`020?ooo`060000003oool0oooo0000003oool000000`3oool00`00
0000oooo000000030?ooo`050000003oool0oooo0?ooo`0000001@3oool010000000oooo00000000
00020?ooo`040000003oool0oooo0?ooo`@000000`3oool010000000oooo0?ooo`3oool4000000<0
oooo00<000000?ooo`3oool00`0000040?ooo`040000003oool0oooo0?ooo`<00000103oool00`00
0000oooo0?ooo`0200000080oooo00D000000?ooo`3oool0oooo000000020?ooo`80000000<0oooo
0000003oool00`3oool200000280oooo000B0?ooo`030000003oool0oooo0180oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`03000000D0oooo00@000000?ooo`00000000000P3oool0
1P000000oooo0?ooo`3oool000000?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`<00000
0`3oool00`000000oooo0?ooo`020?ooo`<000000`3oool010000000oooo0?ooo`3oool3000000@0
oooo00<000000?ooo`3oool00`0000050?ooo`050000003oool0oooo0?ooo`0000000`3oool01000
0000oooo0000000000020?ooo`050000003oool0oooo0?ooo`000000103oool010000000oooo0?oo
o`3oool2000000D0oooo0P0000030?ooo`070000003oool0oooo0?ooo`000000oooo000000030?oo
o`060000003oool0oooo0000003oool000000`3oool00`000000oooo000000040?ooo`800000103o
ool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`000000
00000P3oool00`000000oooo0?ooo`020?ooo`<000000`3oool010000000oooo0?ooo`3oool40000
00<0oooo00<000000?ooo`3oool0100000040?ooo`030000003oool0oooo00@00000103oool01000
0000oooo0000000000020?ooo`030000003oool0oooo00H0oooo0`0000020?ooo`030000003oool0
0000008000003`3oool00180oooo00<000000?ooo`3oool04`3oool200000080oooo100000030?oo
o`8000000P3oool3000000@0oooo00<000000?ooo`3oool00`0000050?ooo`040000003oool00000
00000080oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`040000003o
ool0oooo0?ooo`@000000`3oool010000000oooo0?ooo`3oool3000000<0oooo0P0000020?ooo`P0
000000@0oooo0000003oool0oooo0P0000000`3oool000000?ooo`020?ooo`030000003oool0oooo
0080oooo00H000000?ooo`3oool000000?ooo`0000050?ooo`030000003oool000000080oooo00<0
00000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000@0oooo00D000000?ooo`3oool0
oooo000000020?ooo`030000003oool0oooo008000000P3oool00`000000oooo0?ooo`03000000@0
oooo00@000000?ooo`3oool0oooo0`0000040?ooo`030000003oool0oooo008000000P3oool01P00
0000oooo0?ooo`3oool000000?ooo`8000000P3oool00`000000oooo0?ooo`020?ooo`<000000`3o
ool00`000000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`04000000@0oooo0P00
00080?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool000003P3oool00180oooo0P00
000F0?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?oo
o`04000000<0oooo0P0000020?ooo`<000001@3oool00`000000oooo0?ooo`03000000@0oooo00@0
00000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080
oooo00<000000?ooo`3oool00P3oool3000000<0oooo00@000000?ooo`3oool0oooo100000020?oo
o`@000000P3oool00`000000oooo0?ooo`030?ooo`8000000`3oool01@000000oooo0?ooo`3oool0
00000080oooo00<000000?ooo`0000001@3oool01@000000oooo0?ooo`3oool0000000<0oooo00<0
00000?ooo`0000000P3oool010000000oooo0?ooo`3oool2000000D0oooo0P0000030?ooo`030000
003oool0oooo00D000000`3oool00`000000oooo0?ooo`04000000@0oooo00<000000?ooo`3oool0
0`0000040?ooo`030000003oool0oooo008000000P3oool01@000000oooo0?ooo`3oool000000080
oooo0P0000000`3oool000000?ooo`030?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`80
0000203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00`0oooo000B0?ooo`030000
003oool0oooo01H0oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`04
0000003oool0oooo0?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`<000000`3oool20000
0080oooo100000030?ooo`030000003oool0oooo00<000001@3oool00`000000oooo0?ooo`030000
00D0oooo00@000000?ooo`00000000000P3oool01@000000oooo0?ooo`3oool0000000<0oooo00L0
00000?ooo`3oool0oooo0000003oool000000080oooo00@000000?ooo`3oool00000103oool20000
00@0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0000000@0oooo00D00000
0?ooo`000000oooo000000040?ooo`050000003oool000000?ooo`0000000`3oool00`000000oooo
000000030?ooo`80000000<0oooo0000003oool00P3oool3000000<0oooo00<000000?ooo`3oool0
0P3oool3000000<0oooo00@000000?ooo`3oool0oooo100000030?ooo`030000003oool0oooo00@0
0000103oool00`000000oooo0?ooo`04000000@0oooo00@000000?ooo`00000000000P3oool01@00
0000oooo0?ooo`3oool000000080oooo0P0000000`3oool00000000000070?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool0303oool00180oooo00<000000?ooo`3oool05`3oool00`00
0000oooo0?ooo`03000000@0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`02
0?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool3000000<0oooo00@0
00000?ooo`3oool0oooo0`0000030?ooo`8000000P3oool4000000<0oooo0P0000020?ooo`<00000
103oool00`000000oooo0?ooo`0700000080oooo0`0000020?ooo`<0000000<0oooo0000003oool0
0P0000000`3oool000000?ooo`030?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3o
ool00`3oool01@000000oooo0000003oool0000000<0oooo00D000000?ooo`3oool0oooo00000003
0?ooo`050000003oool0oooo0000003oool00P0000030?ooo`040000003oool0000000000080oooo
00<000000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`040000003oool0oooo0?oo
o`@000000`3oool010000000oooo0?ooo`3oool3000000<0oooo00@000000?ooo`3oool0oooo1000
00030?ooo`030000003oool0oooo00@00000103oool00`000000oooo0?ooo`04000000@0oooo0P00
00060?ooo`030000003oool0oooo00<0oooo0`00000?0?ooo`004@3oool00`000000oooo0?ooo`0I
0?ooo`8000000`3oool200000080oooo0P0000050?ooo`030000003oool0oooo00<000001@3oool0
10000000oooo0000000000020?ooo`060000003oool0oooo0?ooo`000000oooo0P0000020?ooo`03
0000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo0080oooo0`0000030?ooo`03
0000003oool0oooo00@000000`3oool010000000oooo0?ooo`3oool2000000060?ooo`0000000000
0000003oool000000P3oool3000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0000
00050?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000040?ooo`040000
003oool0oooo0?ooo`80000000<0oooo0000003oool00`3oool00`000000oooo0?ooo`030?ooo`80
0000103oool010000000oooo0?ooo`3oool3000000@0oooo00@000000?ooo`00000000000P3oool0
0`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo
100000030?ooo`040000003oool0oooo0?ooo`<000000`3oool010000000oooo0?ooo`3oool40000
00<0oooo00<000000?ooo`3oool0100000050?ooo`8000001P3oool00`000000oooo0?ooo`0>0?oo
o`004@3oool3000001X0oooo00<000000?ooo`3oool00P3oool300000080oooo0P0000020?ooo`@0
00000`3oool200000080oooo0`0000040?ooo`030000003oool0oooo00<000001@3oool010000000
oooo0000000000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool0
10000000oooo0?ooo`3oool3000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?oo
o`3oool3000000050?ooo`000000oooo0?ooo`0000000P3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo0080oooo0P0000050?ooo`030000003oool0oooo0080oooo00D000000?ooo`3o
ool0oooo000000030?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`02
0?ooo`050000003oool000000000003oool00P0000020?ooo`040000003oool0oooo0?ooo`@00000
0`3oool00`000000oooo0?ooo`03000000@0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`04
0000003oool0000000000080oooo00<000000?ooo`3oool00P3oool010000000oooo000000000002
0?ooo`040000003oool0oooo0?ooo`@000000P3oool00`000000oooo0?ooo`020?ooo`<000000`3o
ool2000000D0oooo00<000000?ooo`3oool0103oool3000000h0oooo000A0?ooo`030000003oool0
oooo01/0oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool3000000<0oooo
00<000000?ooo`3oool00P3oool3000000<0oooo00<000000?ooo`3oool0100000030?ooo`800000
0P3oool3000000D0oooo00<000000?ooo`3oool00`0000040?ooo`040000003oool0000000000080
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`07000000060?ooo`00000000000000
003oool000000`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool00`3oool00`000000oooo000000020?ooo`090000003oool0oooo0?ooo`000000oooo
0000003oool0000000@0oooo00<000000?ooo`3oool00P0000020?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`030000003oool0oooo
0080oooo0`0000030?ooo`030000003oool0oooo00D000000`3oool00`000000oooo0?ooo`030000
00@0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`040000003oool0000000000080oooo00<0
00000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`040000003oool0oooo0?ooo`<0
0000703oool00140oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`020?ooo`040000
003oool0000000000080oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?oo
o`030000003oool0oooo0080oooo0P0000030?ooo`030000003oool0oooo0080oooo0`0000030?oo
o`8000000P3oool4000000<0oooo00<000000?ooo`3oool00`0000050?ooo`030000003oool0oooo
00@000000`3oool00`000000oooo0?ooo`07000000<0oooo00<000000?ooo`3oool00P3oool01000
0000oooo0?ooo`3oool2000000D0oooo00<000000?ooo`0000000P3oool02@000000oooo0?ooo`3o
ool000000?ooo`000000oooo000000030?ooo`080000003oool0oooo0000003oool000000?ooo`00
00040?ooo`030000003oool0000000<0oooo0P0000040?ooo`030000003oool0oooo008000000P3o
ool010000000oooo0?ooo`3oool3000000<0oooo00<000000?ooo`3oool00P3oool3000000<0oooo
00<000000?ooo`3oool01@0000020?ooo`040000003oool0oooo0?ooo`<00000103oool00`000000
oooo0?ooo`04000000@0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`0J0?oo
o`00203oool3000000H0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`03000000D0
oooo00<000000?ooo`3oool00`0000050?ooo`060000003oool000000000003oool00000103oool0
10000000oooo0000000000020?ooo`030000003oool0oooo0080oooo0`0000030?ooo`040000003o
ool0oooo0?ooo`<000000`3oool200000080oooo100000030?ooo`050000003oool0oooo0?ooo`00
00000`3oool6000000<0oooo00<000000?ooo`3oool00P3oool01`000000oooo0?ooo`3oool00000
0?ooo`000000103oool01@000000oooo0000003oool0000000@0oooo00@000000?ooo`3oool00000
103oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0?ooo`8000000P3oool01000
0000oooo0000000000020?ooo`030000003oool0oooo00@00000103oool010000000oooo00000000
00020?ooo`050000003oool0oooo0?ooo`0000000P3oool2000000030?ooo`000000oooo00<0oooo
0`0000030?ooo`040000003oool0oooo0?ooo`@000000`3oool00`000000oooo0?ooo`04000000<0
oooo00@000000?ooo`3oool0oooo0`0000040?ooo`8000006`3oool000T0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0N0?ooo`8000000`3oool00`000000oooo0?ooo`020?ooo`<0
00000`3oool200000080oooo0`0000040?ooo`030000003oool0oooo00<000001@3oool010000000
oooo0000000000020?ooo`060000003oool0oooo0?ooo`000000oooo0P0000020?ooo`030000003o
ool0oooo0080oooo0`0000030?ooo`040000003oool0oooo0?ooo`L0000000<0oooo0000003oool0
1@0000020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool01@000000
oooo0?ooo`3oool000000080oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`020000
0080oooo00@000000?ooo`3oool000000`3oool2000000030?ooo`000000oooo00@0oooo00<00000
0?ooo`3oool00P3oool3000000<0oooo00@000000?ooo`3oool0oooo0`0000040?ooo`030000003o
ool0oooo00@00000103oool010000000oooo0000000000020?ooo`060000003oool0oooo0?ooo`00
0000oooo0P0000020?ooo`030000003oool0oooo0080oooo0`0000030?ooo`040000003oool0oooo
0?ooo`@000000P3oool010000000oooo0?ooo`3oool4000001X0oooo00090?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`020?ooo`040000003oool0
000000000080oooo00<000000?ooo`3oool00P3oool3000000<0oooo00<000000?ooo`3oool01000
00030?ooo`8000000P3oool3000000@0oooo00<000000?ooo`3oool00`0000050?ooo`040000003o
ool0000000000080oooo00H000000?ooo`3oool0oooo0000003oool200000080oooo00@000000?oo
o`3oool0oooo100000001@3oool000000000003oool0000000<0oooo00<000000?ooo`3oool00P3o
ool2000000<0oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0oooo0080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@00000
0?ooo`3oool00000103oool2000000030?ooo`000000oooo008000000P3oool010000000oooo0?oo
o`3oool4000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00@00000
103oool00`000000oooo0?ooo`03000000@0oooo00<000000?ooo`3oool00P0000000`3oool00000
0?ooo`030?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo100000020?oo
o`8000006P3oool000T0oooo00<000000?ooo`3oool0103oool300000240oooo00<000000?ooo`3o
ool00`0000050?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo0`000003
0?ooo`030000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo00@000000`3oool2
00000080oooo0`0000040?ooo`030000003oool0oooo00<000001@3oool00`000000oooo0?ooo`03
000000040?ooo`00000000000?ooo`<000000P3oool00`000000oooo0?ooo`020?ooo`800000103o
ool00`000000oooo000000040?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool00000
0P3oool200000080oooo00D000000?ooo`3oool0oooo000000020?ooo`80000000<0oooo00000000
0000103oool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00<000000?oo
o`3oool00P3oool3000000<0oooo00@000000?ooo`3oool0oooo0`0000030?ooo`040000003oool0
oooo0?ooo`@000000`3oool00`000000oooo0?ooo`04000000@0oooo00<000000?ooo`3oool00`00
00040?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool2000001T0oooo
00090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool08P3oool2000000<0oooo0P00
00020?ooo`<00000103oool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo
00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool3000000<0oooo00<000000?oo
o`3oool00P3oool3000000<0oooo00<000000?ooo`3oool0100000030?ooo`8000000P3oool40000
00<0oooo1@0000000`3oool0000000000002000000<0oooo0P0000050?ooo`030000003oool00000
00@0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000030?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooo`800000
00@0oooo0000003oool0oooo0`0000040?ooo`030000003oool0oooo008000000P3oool01P000000
oooo0?ooo`3oool000000?ooo`8000000P3oool010000000oooo0?ooo`3oool4000000<0oooo00@0
00000?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo00D000000`3oool00`000000oooo
0?ooo`03000000@0oooo00<000000?ooo`3oool00`0000000`3oool000000?ooo`0G0?ooo`00203o
ool2000000H0oooo00<000000?ooo`3oool08`3oool200000080oooo100000030?ooo`030000003o
ool0oooo00<000001@3oool00`000000oooo0?ooo`03000000@0oooo00@000000?ooo`0000000000
0P3oool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00@000000?ooo`3o
ool0oooo0`0000030?ooo`030000003oool0oooo0080oooo0`0000030?ooo`060000003oool0oooo
0?ooo`000000oooo0P0000000`3oool00000000000020?ooo`@0000000<0oooo0000003oool0103o
ool00`000000oooo000000030?ooo`030000003oool000000080oooo00D000000?ooo`3oool0oooo
000000030?ooo`<000000`3oool01`000000oooo0?ooo`000000oooo0000003oool00P0000000`3o
ool000000?ooo`030?ooo`8000000`3oool00`000000oooo0?ooo`04000000@0oooo00<000000?oo
o`3oool00`0000040?ooo`040000003oool0000000000080oooo00<000000?ooo`3oool00P3oool0
10000000oooo0000000000020?ooo`040000003oool0oooo0?ooo`<000000`3oool00`000000oooo
0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`04000000<0oooo0P00000H0?ooo`002@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02D0oooo0P0000030?ooo`030000003o
ool0oooo0080oooo0P0000030?ooo`8000000P3oool4000000<0oooo00<000000?ooo`3oool00`00
00050?ooo`030000003oool0oooo00<00000103oool010000000oooo0000000000020?ooo`030000
003oool0oooo0080oooo00@000000?ooo`00000000000P3oool01@000000oooo0?ooo`3oool00000
0080oooo0`0000020?ooo`<000000`3oool01@000000oooo0?ooo`3oool0000000H0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo000000020?ooo`040000003oool0oooo000000@0oooo00<0
00000?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`050000003oool0oooo0?ooo`00
00000`3oool2000000030?ooo`000000oooo0080oooo0`0000030?ooo`040000003oool0oooo0?oo
o`@000000`3oool00`000000oooo0?ooo`03000000@0oooo00@000000?ooo`3oool0oooo0`000004
0?ooo`040000003oool0000000000080oooo00D000000?ooo`3oool0oooo000000020?ooo`800000
00<0oooo0000003oool00`3oool3000000<0oooo00@000000?ooo`3oool0oooo0`00000G0?ooo`00
403oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo0080oooo00H000000?ooo`000000
00000?ooo`0000040?ooo`<000000`3oool010000000oooo0?ooo`3oool3000000<0oooo0P000002
0?ooo`@000000`3oool00`000000oooo0?ooo`03000000D0oooo00<000000?ooo`3oool00`000004
0?ooo`030000003oool0oooo00@000000`3oool600000080oooo00D000000?ooo`3oool0oooo0000
00060?ooo`030000003oool0oooo0080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`05
0000003oool0oooo0?ooo`0000000P3oool2000000070?ooo`000000oooo0?ooo`000000oooo0000
00030?ooo`050000003oool000000?ooo`0000000`3oool010000000oooo0000000000020?ooo`04
0000003oool0oooo0?ooo`@000000`3oool010000000oooo0?ooo`3oool3000000<0oooo00<00000
0?ooo`3oool01@0000020?ooo`040000003oool0oooo0?ooo`<00000103oool00`000000oooo0?oo
o`04000000@0oooo00H000000?ooo`00000000000?ooo`0000040?ooo`040000003oool000000000
0080oooo00<000000?ooo`3oool05@3oool000l0oooo0`00000X0?ooo`030000003oool0oooo00<0
0000103oool010000000oooo0000000000020?ooo`060000003oool0oooo0?ooo`000000oooo0P00
00020?ooo`030000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo00@000000`3o
ool200000080oooo100000030?ooo`030000003oool0oooo00@000000`3oool01P000000oooo0?oo
o`3oool000000?ooo`@000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080
oooo0P0000040?ooo`060000003oool0oooo0000003oool000000P3oool01@000000oooo0?ooo`3o
ool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo000000030?ooo`050000003o
ool0oooo0?ooo`000000103oool2000000@0oooo00@000000?ooo`00000000000P3oool00`000000
oooo0?ooo`020?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo0`000003
0?ooo`030000003oool0oooo00D000000`3oool00`000000oooo0?ooo`04000000<0oooo00<00000
0?ooo`3oool0100000040?ooo`030000003oool0oooo00<00000103oool2000001H0oooo000?0?oo
o`030000003oool0oooo02T0oooo0P0000030?ooo`030000003oool0oooo00<000001@3oool00`00
0000oooo0?ooo`02000000D0oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3o
ool3000000<0oooo00<000000?ooo`3oool00P3oool3000000<0oooo00<000000?ooo`3oool01000
00030?ooo`030000003oool0oooo00/000000`3oool01@000000oooo0?ooo`3oool0000000@0oooo
0P0000030?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo000000030?ooo`03
0000003oool000000080oooo0P000000103oool000000?ooo`0000020?ooo`080000003oool0oooo
0?ooo`000000oooo0000003oool200000080oooo00<000000?ooo`3oool00`0000040?ooo`040000
003oool0oooo0?ooo`<00000103oool010000000oooo0000000000020?ooo`040000003oool0oooo
0?ooo`<000000`3oool00`000000oooo0?ooo`020?ooo`<000000`3oool00`000000oooo0?ooo`04
000000<0oooo00<000000?ooo`3oool01@0000020?ooo`040000003oool0oooo0?ooo`@000005@3o
ool000l0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`04000000<0oooo0P000002
0?ooo`@000000P3oool200000080oooo0`0000040?ooo`040000003oool0000000000080oooo00<0
00000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`040000003oool0oooo0?ooo`<0
00000`3oool010000000oooo0?ooo`3oool3000000<0oooo00@000000?ooo`3oool0oooo1@000002
0?ooo`050000003oool0oooo0?ooo`0000000`3oool010000000oooo0?ooo`0000020?ooo`030000
003oool0oooo0080oooo00@000000?ooo`3oool00000103oool01@000000oooo0000003oool00000
0080oooo0`0000020?ooo`050000003oool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`02
0?ooo`<000000`3oool00`000000oooo0?ooo`0500000080oooo00@000000?ooo`3oool0oooo0`00
00040?ooo`040000003oool0000000000080oooo00D000000?ooo`3oool0oooo000000020?ooo`80
000000<0oooo0000003oool00`3oool3000000<0oooo00@000000?ooo`3oool0oooo0`0000030?oo
o`030000003oool0oooo00D000000P3oool2000001D0oooo000?0?ooo`030000003oool0oooo02/0
oooo0P0000030?ooo`030000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo00@0
00000`3oool00`000000oooo0?ooo`03000000D0oooo00<000000?ooo`3oool00`0000040?ooo`04
0000003oool0000000000080oooo00H000000?ooo`3oool0oooo0000003oool200000080oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`03000000050?ooo`000000oooo0?ooo`000000
0`3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool00000103oool01000
0000oooo0?ooo`0000030?ooo`060000003oool0oooo0000003oool000000P3oool00`000000oooo
0000000300000080oooo00<000000?ooo`3oool00P0000000`3oool000000?ooo`0200000080oooo
00@000000?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo00D000000`3oool00`000000
oooo0?ooo`03000000@0oooo00<000000?ooo`3oool0100000040?ooo`060000003oool000000000
003oool00000103oool010000000oooo0000000000020?ooo`040000003oool0oooo0?ooo`<00000
0`3oool010000000oooo0?ooo`3oool3000001@0oooo000?0?ooo`030000003oool0oooo02`0oooo
00<000000?ooo`3oool00P3oool010000000oooo0000000000020?ooo`040000003oool0oooo0?oo
o`<000000`3oool00`000000oooo0?ooo`020?ooo`8000000`3oool200000080oooo100000030?oo
o`030000003oool0oooo00<00000103oool00`000000oooo0?ooo`03000000D0oooo00<000000?oo
o`3oool0100000020?ooo`@0000000<0oooo0000003oool00P3oool010000000oooo0?ooo`000003
0?ooo`030000003oool0000000@0oooo00D000000?ooo`000000oooo000000030?ooo`0:0000003o
ool0oooo0000003oool000000?ooo`000000oooo00000080oooo00@000000?ooo`00000000000P3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00@000000?ooo`0000000000
0P3oool010000000oooo0?ooo`3oool3000000<0oooo00<000000?ooo`3oool00P3oool3000000<0
oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00@00000103oool00`000000
oooo0?ooo`03000000@0oooo00@000000?ooo`00000000000P3oool01P000000oooo0?ooo`3oool0
00000?ooo`8000000P3oool2000001<0oooo000?0?ooo`800000;P3oool00`000000oooo0?ooo`03
000000@0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`060000003o
ool000000000003oool00000103oool3000000<0oooo00<000000?ooo`3oool0100000030?ooo`03
0000003oool0oooo00@000000`3oool200000080oooo100000030?ooo`030000003oool0oooo00@0
000000<0oooo0000003oool00P3oool010000000oooo0?ooo`0000030?ooo`030000003oool00000
00@0oooo00D000000?ooo`000000oooo000000030?ooo`030000003oool000000080oooo00L00000
0?ooo`000000oooo0000003oool000000080oooo00@000000?ooo`00000000000`3oool200000004
0?ooo`000000oooo0?ooo`<00000103oool010000000oooo0000000000020?ooo`050000003oool0
oooo0?ooo`0000000P3oool2000000030?ooo`000000oooo00<0oooo0`0000030?ooo`030000003o
ool0oooo00@000000`3oool00`000000oooo0?ooo`0500000080oooo00@000000?ooo`3oool0oooo
0`0000040?ooo`030000003oool0oooo00<00000103oool2000001<0oooo000>0?ooo`030000003o
ool0oooo02l0oooo0P0000030?ooo`030000003oool0oooo00<000001@3oool00`000000oooo0?oo
o`03000000@0oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool3000000<0
oooo00<000000?ooo`3oool00P3oool2000000<0oooo0P0000020?ooo`@000000`3oool00`000000
oooo0?ooo`04000000030?ooo`000000oooo00<00000103oool2000000@0oooo00<000000?ooo`00
0000103oool010000000oooo0?ooo`0000040?ooo`050000003oool000000?ooo`0000000P3oool0
1@000000oooo0000003oool000000080oooo00L000000?ooo`000000oooo0000003oool0000000<0
oooo0`0000030?ooo`030000003oool0oooo00<00000103oool00`000000oooo0?ooo`04000000@0
oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool3000000<0oooo00@00000
0?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo00D000000P3oool010000000oooo0?oo
o`3oool4000000<0oooo00<000000?ooo`3oool01000000B0?ooo`003P3oool00`000000oooo0?oo
o`0`0?ooo`8000000P3oool3000000<0oooo0P0000020?ooo`@000000`3oool00`000000oooo0?oo
o`03000000@0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`020?ooo`060000
003oool000000000003oool00000103oool3000000<0oooo00<000000?ooo`3oool0100000030?oo
o`030000003oool000000080000000<0oooo0000000000000`3oool2000000D0oooo0P0000030?oo
o`050000003oool0oooo0?ooo`0000000`3oool030000000oooo0?ooo`000000oooo0000003oool0
00000?ooo`000000oooo00000080oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`02
00000080oooo00@000000?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo00@000000`3o
ool00`000000oooo0?ooo`04000000@0oooo00@000000?ooo`00000000000P3oool01P000000oooo
0?ooo`3oool000000?ooo`8000000P3oool010000000oooo0?ooo`3oool3000000<0oooo00<00000
0?ooo`3oool01@0000020?ooo`040000003oool0oooo0?ooo`@000000`3oool200000140oooo000>
0?ooo`030000003oool0oooo0380oooo0P0000020?ooo`030000003oool0oooo0080oooo0`000003
0?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`03000000D0oooo00<00000
0?ooo`3oool00`0000040?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo
0`0000030?ooo`040000003oool0oooo0?ooo`D0000000@0oooo000000000000oooo0`0000060?oo
o`030000003oool0oooo0080oooo00@000000?ooo`3oool0oooo0P0000020?ooo`0>0000003oool0
oooo0000003oool000000?ooo`000000oooo0000003oool000000?ooo`0000020?ooo`050000003o
ool000000000003oool00P0000040?ooo`040000003oool0000000000080oooo00@000000?ooo`3o
ool0oooo0`0000030?ooo`030000003oool0oooo00@000000`3oool010000000oooo0?ooo`3oool3
000000@0oooo00<000000?ooo`3oool00`0000040?ooo`040000003oool0000000000080oooo00@0
00000?ooo`3oool0oooo0`0000030?ooo`040000003oool0oooo0?ooo`@000000P3oool010000000
oooo0?ooo`3oool3000000L0oooo100000060?ooo`003P3oool00`000000oooo0?ooo`0c0?ooo`06
0000003oool0oooo0?ooo`000000oooo0P0000020?ooo`040000003oool0oooo0?ooo`<000000`3o
ool200000080oooo0`0000030?ooo`8000000P3oool4000000<0oooo00<000000?ooo`3oool00`00
00040?ooo`040000003oool0000000000080oooo00H000000?ooo`3oool0oooo0000003oool20000
0080oooo0`0000020?ooo`8000000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
0080oooo00@000000?ooo`3oool0oooo0P0000020?ooo`030000003oool000000080oooo00P00000
0?ooo`00000000000?ooo`000000oooo00000080oooo00<000000?ooo`0000000P3oool200000004
0?ooo`000000oooo0?ooo`<00000103oool010000000oooo0000000000020?ooo`040000003oool0
oooo0?ooo`<000000`3oool00`000000oooo0?ooo`0500000080oooo00@000000?ooo`3oool0oooo
100000030?ooo`030000003oool0oooo00<00000103oool010000000oooo0000000000020?ooo`06
0000003oool0oooo0?ooo`000000oooo0P0000020?ooo`040000003oool0oooo0?ooo`@000000P3o
ool2000000L0oooo00<000000?ooo`3oool01P3oool000h0oooo0P00000d0?ooo`030000003oool0
oooo00<00000103oool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo0`00
00020?ooo`030000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo00@000000`3o
ool00`000000oooo0?ooo`03000000@0oooo00<000000?ooo`3oool00`0000050?ooo`8000000P3o
ool01@000000oooo0?ooo`3oool0000000H0oooo00<000000?ooo`3oool00P3oool010000000oooo
0?ooo`0000020?ooo`070000003oool000000?ooo`000000oooo000000020?ooo`80000000<0oooo
0000003oool01@0000020?ooo`040000003oool0oooo0?ooo`<000000`3oool00`000000oooo0?oo
o`03000000@0oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool3000000<0
oooo00@000000?ooo`3oool0oooo100000020?ooo`040000003oool0oooo0?ooo`@000000`3oool0
0`000000oooo0?ooo`03000000@0oooo00<000000?ooo`3oool00`0000040?ooo`040000003oool0
000000000080oooo00<000000?ooo`3oool00P3oool2000000L0oooo00<000000?ooo`3oool01@3o
ool000h0oooo00<000000?ooo`3oool0=03oool2000000<0oooo0P0000020?ooo`8000001@3oool0
10000000oooo0000000000020?ooo`060000003oool0oooo0?ooo`000000oooo0P0000020?ooo`04
0000003oool0oooo0?ooo`<000000`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?oo
o`3oool0100000030?ooo`8000000P3oool4000000030?ooo`000000oooo00<0oooo00<000000?oo
o`3oool00P3oool2000000<0oooo00D000000?ooo`3oool0oooo000000020?ooo`8000000P3oool0
1P000000oooo0000003oool000000?ooo`H0000000<0oooo0000003oool00P0000020?ooo`800000
0P3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool00`0000040?ooo`040000
003oool0000000000080oooo00H000000?ooo`3oool0oooo0000003oool200000080oooo00@00000
0?ooo`3oool0oooo100000020?ooo`040000003oool0oooo0?ooo`@000000`3oool00`000000oooo
0?ooo`04000000<0oooo00<000000?ooo`3oool00`0000040?ooo`030000003oool0oooo00@00000
1`3oool00`000000oooo0?ooo`050?ooo`003P3oool00`000000oooo0?ooo`0e0?ooo`8000000P3o
ool400000080oooo0P0000020?ooo`<00000103oool00`000000oooo0?ooo`03000000@0oooo00@0
00000?ooo`00000000000P3oool010000000oooo0?ooo`3oool3000000<0oooo00<000000?ooo`3o
ool00P3oool2000000<0oooo0P0000020?ooo`@000000P3oool2000000030?ooo`000000oooo00<0
oooo00<000000?ooo`3oool00P3oool00`000000oooo000000020?ooo`050000003oool0oooo0?oo
o`0000000`3oool01`000000oooo0?ooo`000000oooo0000003oool01@0000001@3oool000000000
00000000oooo0080000000<0oooo000000000000103oool3000000<0oooo00<000000?ooo`3oool0
100000030?ooo`030000003oool0oooo00<00000103oool00`000000oooo0?ooo`03000000@0oooo
00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool400000080oooo00<000000?oo
o`3oool00P3oool300000080oooo00@000000?ooo`3oool0oooo100000030?ooo`030000003oool0
oooo00@000000`3oool2000000L0oooo00<000000?ooo`3oool0103oool000d0oooo00<000000?oo
o`3oool0>03oool2000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo
00@000000`3oool00`000000oooo0?ooo`03000000@0oooo00@000000?ooo`00000000000P3oool0
0`000000oooo0?ooo`020?ooo`060000003oool000000000003oool00000103oool3000000<0oooo
00<000000?ooo`3oool00P0000020?ooo`050000003oool0oooo0?ooo`000000103oool00`000000
oooo000000020?ooo`050000003oool0oooo0?ooo`0000000`3oool300000080oooo00D000000?oo
o`00000000000?ooo`02000000030?ooo`000000oooo0080000000<0oooo0000000000000P3oool0
10000000oooo0000000000020?ooo`040000003oool0oooo0?ooo`<000000`3oool00`000000oooo
0?ooo`04000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00<00000
103oool010000000oooo0000000000020?ooo`030000003oool0oooo0080oooo00H000000?ooo`00
000000000?ooo`0000030?ooo`@000000P3oool010000000oooo0?ooo`3oool4000000<0oooo00<0
00000?ooo`3oool00`0000040?ooo`040000003oool0oooo000000H0oooo000=0?ooo`030000003o
ool0oooo03T0oooo00@000000?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo00@00000
0`3oool00`000000oooo0?ooo`04000000<0oooo0P0000020?ooo`8000001@3oool00`000000oooo
0?ooo`03000000@0oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool30000
00050?ooo`000000oooo0?ooo`0000000`3oool01@000000oooo0?ooo`3oool000000080oooo00<0
00000?ooo`000000103oool02P000000oooo0?ooo`3oool000000?ooo`000000oooo0000003oool5
000000030?ooo`000000000000@00000103oool2000000@0oooo00@000000?ooo`00000000000P3o
ool010000000oooo0?ooo`3oool3000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000
003oool0oooo00@000000`3oool00`000000oooo0?ooo`03000000@0oooo00<000000?ooo`3oool0
100000040?ooo`<000000P3oool010000000oooo0?ooo`3oool400000080oooo00@000000?ooo`3o
ool0oooo100000080?ooo`8000001`3oool000d0oooo0`00000i0?ooo`040000003oool000000000
0080oooo00<000000?ooo`3oool00P3oool2000000<0oooo0P0000020?ooo`<000000`3oool20000
0080oooo100000020?ooo`8000000P3oool4000000<0oooo00<000000?ooo`3oool00`0000040?oo
o`040000003oool0000000000080oooo00H000000?ooo`00000000000?ooo`0000040?ooo`040000
003oool0oooo00000080oooo00<000000?ooo`0000000`3oool01@000000oooo0?ooo`3oool00000
0080oooo1P0000000`3oool000000000000400000080oooo00<000000?ooo`3oool00P0000000`3o
ool000000?ooo`020?ooo`<00000103oool010000000oooo0000000000020?ooo`040000003oool0
oooo0?ooo`<000000`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool01000
00030?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`03000000@0oooo00@0
00000?ooo`00000000000P3oool010000000oooo0?ooo`3oool4000001D0oooo000=0?ooo`030000
003oool0oooo03X0oooo00<000000?ooo`3oool00`3oool01P000000oooo000000000000oooo0000
00@0oooo0`0000020?ooo`030000003oool0oooo0080oooo0`0000030?ooo`030000003oool0oooo
00@000000`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool00`0000040?oo
o`060000003oool000000000003oool00000103oool00`000000oooo000000040?ooo`8000000`3o
ool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`000000oooo1`0000030?ooo`@0
00000`3oool4000000<0oooo00<000000?ooo`3oool00`0000040?ooo`040000003oool000000000
0080oooo00@000000?ooo`3oool0oooo0`0000030?ooo`040000003oool0oooo0?ooo`<000000`3o
ool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000003o
ool0oooo00<00000103oool010000000oooo00000000000I0?ooo`000`3oool4000000H0oooo00<0
00000?ooo`3oool0>`3oool200000080oooo0`0000040?ooo`040000003oool0000000000080oooo
00H000000?ooo`3oool0oooo0000003oool200000080oooo00@000000?ooo`3oool0oooo0`000003
0?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`04000000<0oooo00<00000
0?ooo`3oool01`0000040?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool00P3oool0
1`000000oooo0?ooo`3oool000000?ooo`0000000P3oool00`000000oooo0000000400000080oooo
0`0000030?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo100000030?oo
o`030000003oool0oooo00<00000103oool010000000oooo0000000000020?ooo`060000003oool0
oooo0?ooo`000000oooo0P0000020?ooo`040000003oool0oooo0?ooo`<000000`3oool00`000000
oooo0?ooo`04000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00<0
00006`3oool000@0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0m0?ooo`800000
0`3oool00`000000oooo0?ooo`03000000@0oooo00<000000?ooo`3oool00`0000040?ooo`040000
003oool0000000000080oooo00@000000?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo
00@000000`3oool00`000000oooo0?ooo`04000000<0oooo100000040?ooo`030000003oool00000
00@0oooo00<000000?ooo`3oool00P3oool030000000oooo0?ooo`3oool000000?ooo`000000oooo
0000003oool000000?ooo`8000000P3oool200000080oooo00<000000?ooo`3oool00`0000040?oo
o`@000000P3oool010000000oooo0?ooo`3oool400000080oooo00@000000?ooo`3oool0oooo0`00
00040?ooo`030000003oool0oooo00<00000103oool01P000000oooo000000000000oooo000000@0
oooo0`0000030?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`04000001h0
oooo00050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0?`3oool00`000000oooo
0?ooo`04000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00<00000
103oool010000000oooo0000000000020?ooo`040000003oool0oooo0?ooo`<000000`3oool01000
0000oooo0?ooo`3oool3000000<0oooo00<000000?ooo`3oool00`0000000`3oool0000000000004
0?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo000000030?ooo`070000003o
ool0oooo0000003oool000000?ooo`06000000<0oooo100000030?ooo`040000003oool000000000
0080oooo00@000000?ooo`3oool0oooo100000020?ooo`030000003oool0oooo00D000000P3oool0
10000000oooo0?ooo`3oool400000080oooo00@000000?ooo`3oool0oooo0`0000040?ooo`060000
003oool000000000003oool00000103oool300000080oooo00<000000?ooo`3oool00P3oool30000
0280oooo00050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0@03oool2000000<0
oooo0P0000020?ooo`<000000`3oool200000080oooo0`0000030?ooo`030000003oool0oooo00<0
0000103oool010000000oooo0000000000020?ooo`060000003oool0oooo0?ooo`000000oooo0P00
00020?ooo`030000003oool0oooo0080oooo0P0000020?ooo`@000000P3oool3000000@0oooo00<0
00000?ooo`0000000P3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`000000
oooo0`0000020?ooo`@000000`3oool00`000000oooo0?ooo`03000000@0oooo00@000000?ooo`00
000000000P3oool010000000oooo0?ooo`3oool3000000<0oooo00<000000?ooo`3oool01@000002
0?ooo`030000003oool0oooo00D000000P3oool00`000000oooo0?ooo`04000000@0oooo00H00000
0?ooo`00000000000?ooo`0000040?ooo`040000003oool00000000002D0oooo00060?ooo`030000
003oool0oooo00<0oooo0P0000120?ooo`030000003oool0oooo0080oooo0`0000020?ooo`800000
0P3oool400000080oooo0P0000020?ooo`<000000`3oool200000080oooo0P0000050?ooo`030000
003oool0oooo008000001@3oool01P000000oooo000000000000oooo000000<0oooo00<000000?oo
o`0000000P0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000P3oool01@00
0000oooo0?ooo`3oool000000080oooo00@000000?ooo`000000oooo1@0000030?ooo`030000003o
ool0oooo00@000000`3oool00`000000oooo0?ooo`03000000@0oooo00@000000?ooo`0000000000
0P3oool010000000oooo0?ooo`3oool3000000<0oooo00<000000?ooo`3oool0100000030?ooo`03
0000003oool0oooo00@000000`3oool00`000000oooo0?ooo`04000000@0oooo00<000000?ooo`00
00000`00000W0?ooo`000`3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo0480
oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool3000000<0oooo00<00000
0?ooo`3oool0100000020?ooo`8000000P3oool400000080oooo0P0000020?ooo`@000000P3oool2
00000080oooo0`0000040?ooo`060000003oool000000000003oool00000103oool00`000000oooo
0?ooo`020?ooo`030000003oool000000080oooo00L000000?ooo`3oool0oooo0000003oool00000
0080oooo100000020?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`040000
00<0oooo00<000000?ooo`3oool00`0000040?ooo`040000003oool0000000000080oooo00@00000
0?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?oo
o`04000000<0oooo00<000000?ooo`3oool01000000[0?ooo`00103oool2000000H0oooo00<00000
0?ooo`3oool0@`3oool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00@0
00000?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo00@000000`3oool00`000000oooo
0?ooo`04000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00<00000
00@0oooo0000003oool000001@3oool010000000oooo0?ooo`0000030?ooo`030000003oool00000
0080oooo00L000000?ooo`3oool000000?ooo`000000oooo00<000000P3oool3000000<0oooo00<0
00000?ooo`3oool0100000030?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?oo
o`03000000@0oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool3000000<0
oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00@00000;`3oool000`0oooo
00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`03000000@0oooo00@000000?ooo`000000
00000P3oool010000000oooo0?ooo`3oool3000000<0oooo00@000000?ooo`3oool0oooo0`000003
0?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`04000000<0oooo00D00000
0?ooo`000000oooo000000040?ooo`040000003oool0oooo000000<0oooo0P0000030?ooo`070000
003oool0oooo0000003oool000000?ooo`02000000030?ooo`00000000000080oooo00@000000?oo
o`3oool0oooo0`0000030?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`04
000000<0oooo00<000000?ooo`3oool00`0000040?ooo`040000003oool0000000000080oooo00@0
00000?ooo`3oool0oooo0`0000030?ooo`040000003oool0oooo0?ooo`<00000<`3oool000/0oooo
00<000000?ooo`3oool0AP3oool2000000<0oooo00<000000?ooo`3oool00`0000040?ooo`040000
003oool0000000000080oooo00H000000?ooo`3oool0oooo0000003oool200000080oooo00@00000
0?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?oo
o`04000000030?ooo`000000oooo00<0oooo00@000000?ooo`3oool00000103oool01@000000oooo
0?ooo`3oool000000080oooo00@000000?ooo`000000oooo0`0000040?ooo`040000003oool00000
00000080oooo00@000000?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo00@000000`3o
ool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool00`0000040?ooo`040000003o
ool0000000000080oooo00H000000?ooo`3oool0oooo0000003oool2000003H0oooo000;0?ooo`<0
0000A`3oool200000080oooo0`0000030?ooo`8000000P3oool2000000@0oooo00<000000?ooo`3o
ool00`0000040?ooo`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo0`000003
0?ooo`030000003oool0oooo00@000000`3oool3000000@0oooo00@000000?ooo`3oool00000103o
ool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`0000000P0000020?ooo`800000
0P3oool2000000@0oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool30000
00<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00@000000`3oool00`00
0000oooo0?ooo`03000000@0oooo00<000000?ooo`3oool00`00000h0?ooo`002`3oool00`000000
oooo0?ooo`190?ooo`8000000P3oool200000080oooo100000020?ooo`8000000P3oool3000000<0
oooo00<000000?ooo`3oool00`0000040?ooo`040000003oool0000000000080oooo00@000000?oo
o`3oool0oooo0`0000030?ooo`030000003oool0oooo00@00000103oool00`000000oooo00000005
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`000000oooo0P0000020?ooo`@00000
0P3oool00`000000oooo0?ooo`03000000@0oooo00@000000?ooo`00000000000P3oool010000000
oooo0?ooo`3oool3000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo
00@000000`3oool00`000000oooo0?ooo`04000003/0oooo000;0?ooo`030000003oool0oooo04X0
oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00@000000P3oool200000080
oooo0`0000030?ooo`8000000P3oool2000000@0oooo00@000000?ooo`00000000000P3oool01000
0000oooo0?ooo`3oool300000080oooo0`0000030?ooo`030000003oool0000000@0oooo00D00000
0?ooo`000000oooo000000020?ooo`040000003oool000000?ooo`@000000`3oool00`000000oooo
0?ooo`03000000<0oooo00<000000?ooo`3oool00`0000040?ooo`040000003oool0000000000080
oooo00@000000?ooo`3oool0oooo0`0000030?ooo`030000003oool0oooo00@000000`3oool00`00
0000oooo0?ooo`04000003l0oooo001I0?ooo`8000000`3oool00`000000oooo0?ooo`04000000<0
oooo00<000000?ooo`3oool0100000020?ooo`8000000P3oool400000080oooo0P0000020?ooo`80
0000103oool010000000oooo0000000000020?ooo`040000003oool0oooo0?ooo`800000103oool2
000000@0oooo00D000000?ooo`000000oooo000000020?ooo`050000003oool000000?ooo`000000
0P3oool00`000000oooo0?ooo`0400000080oooo00<000000?ooo`3oool0100000030?ooo`030000
003oool0oooo00<00000103oool010000000oooo0000000000020?ooo`040000003oool0oooo0?oo
o`<000000`3oool00`000000oooo0?ooo`04000004<0oooo001J0?ooo`030000003oool0oooo0080
oooo0P0000030?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`04000000<0
oooo00<000000?ooo`3oool0100000020?ooo`8000000P3oool2000000@0oooo00<000000?ooo`00
00000`0000040?ooo`030000003oool0oooo00<0oooo00D000000?ooo`000000oooo000000020?oo
o`030000003oool000000080000000<0oooo0000000000000P0000020?ooo`030000003oool0oooo
00@000000`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool00`0000040?oo
o`040000003oool0000000000080oooo00@000000?ooo`3oool0oooo0`0000170?ooo`00F`3oool0
1P000000oooo000000000000oooo000000@0oooo0P0000030?ooo`030000003oool0oooo00@00000
0`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool0100000020?ooo`030000
003oool0oooo00<000000P3oool2000000<0oooo0P0000040?ooo`050000003oool0oooo0?ooo`00
00000`3oool00`000000oooo00000003000000<0oooo00<000000?ooo`3oool00`0000030?ooo`03
0000003oool0oooo00@000000`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3o
ool00`0000040?ooo`040000003oool00000000004X0oooo001L0?ooo`030000003oool0oooo0080
oooo00H000000?ooo`00000000000?ooo`0000040?ooo`8000000`3oool00`000000oooo0?ooo`04
000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00<000000`3oool0
0`000000oooo0?ooo`04000000030?ooo`000000oooo00<0oooo00D000000?ooo`3oool0oooo0000
00020?ooo`030000003oool000000080000000@0oooo0000003oool0oooo100000020?ooo`030000
003oool0oooo00@000000`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool0
100000030?ooo`030000003oool0oooo00<00000C03oool005d0oooo00<000000?ooo`3oool00`00
00040?ooo`060000003oool000000000003oool00000103oool2000000<0oooo00<000000?ooo`3o
ool0100000030?ooo`030000003oool0oooo00@000000P3oool200000080oooo1@0000030?ooo`03
0000003oool0oooo0080oooo00@000000?ooo`3oool0oooo100000001@3oool00000000000000000
oooo00<000000`3oool00`000000oooo0?ooo`03000000<0oooo00<000000?ooo`3oool010000003
0?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`04000004l0oooo001N0?oo
o`8000000`3oool00`000000oooo0?ooo`03000000@0oooo00H000000?ooo`00000000000?ooo`00
00040?ooo`8000000`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?ooo`3oool01000
00020?ooo`<00000103oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo00H00000
0P3oool010000000oooo0?ooo`3oool300000080oooo00<000000?ooo`3oool0100000030?ooo`03
0000003oool0oooo00@000000`3oool00`000000oooo0?ooo`04000005<0oooo001O0?ooo`030000
003oool0oooo00@000000`3oool00`000000oooo0?ooo`03000000@0oooo00H000000?ooo`000000
00000?ooo`0000030?ooo`<000000`3oool00`000000oooo0?ooo`04000000<0oooo00<000000?oo
o`3oool00`0000040?ooo`040000003oool0oooo000000<0oooo00H000000?ooo`3oool0oooo0000
003oool2000000@0oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool20000
00<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00@00000E`3oool00600
oooo0P0000030?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`03000000<0
oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool3000000<0oooo00<00000
0?ooo`3oool0100000020?ooo`8000000`3oool010000000oooo0?ooo`0000030?ooo`050000003o
ool0oooo0000003oool00P000000103oool000000?ooo`3oool3000000@0oooo00H000000?ooo`00
000000000?ooo`0000030?ooo`<000000`3oool00`000000oooo0?ooo`04000005/0oooo001Q0?oo
o`8000000P3oool3000000<0oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo
00800000103oool010000000oooo0000000000020?ooo`040000003oool0oooo0?ooo`<000000`3o
ool00`000000oooo0?ooo`02000000<0oooo00<000000?ooo`000000103oool01@000000oooo0?oo
o`000000oooo00H000000`3oool00`000000oooo0?ooo`03000000<0oooo00@000000?ooo`000000
00000P3oool010000000oooo0?ooo`3oool3000005l0oooo001S0?ooo`8000000P3oool00`000000
oooo0?ooo`04000000<0oooo00<000000?ooo`3oool0100000020?ooo`8000000P3oool2000000@0
oooo00@000000?ooo`00000000000P3oool010000000oooo0?ooo`3oool3000000030?ooo`000000
oooo0080oooo00<000000?ooo`000000103oool01@000000oooo0?ooo`000000oooo008000000`3o
ool00`000000oooo0?ooo`0400000080oooo00<000000?ooo`3oool00`0000040?ooo`040000003o
ool0000000000680oooo001T0?ooo`030000003oool0oooo00<000000`3oool00`000000oooo0?oo
o`04000000<0oooo00<000000?ooo`3oool0100000020?ooo`8000000P3oool2000000@0oooo00@0
00000?ooo`00000000000P3oool00`000000oooo000000040?ooo`8000000`3oool010000000oooo
0?ooo`0000020?ooo`8000000P3oool4000000<0oooo00<000000?ooo`3oool00`0000030?ooo`03
0000003oool0oooo00<00000I03oool006D0oooo0P0000020?ooo`8000000P3oool3000000<0oooo
00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00@000000P3oool00`000000oooo
0?ooo`03000000@0oooo00@000000?ooo`00000000000`3oool00`000000oooo0?ooo`020?ooo`05
0000003oool0oooo0000003oool01@0000030?ooo`030000003oool0oooo00@000000P3oool00`00
0000oooo0?ooo`04000006L0oooo001V0?ooo`030000003oool0oooo00@000000P3oool200000080
oooo0`0000030?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`03000000<0
oooo00<000000?ooo`3oool00`0000000`3oool000000?ooo`03000000@0oooo00D000000?ooo`3o
ool000000?ooo`0200000080oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo
00<00000J`3oool006L0oooo0P0000030?ooo`030000003oool0oooo00@000000P3oool00`000000
oooo0?ooo`04000000<0oooo00<000000?ooo`3oool0100000020?ooo`030000003oool0oooo00@0
00000`3oool300000080oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`000000oooo
0080000000<0oooo0000000000000P0000030?ooo`030000003oool0oooo00@00000KP3oool006P0
oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0oooo00<000000`3oool00`000000
oooo0?ooo`04000000<0oooo00<000000?ooo`3oool00`0000030?ooo`030000003oool0oooo00<0
0000103oool010000000oooo0?ooo`0000020?ooo`030000003oool0000000<000000`3oool00`00
0000oooo0?ooo`0400000780oooo001Y0?ooo`8000000`3oool00`000000oooo0?ooo`0400000080
oooo0P0000020?ooo`<000000`3oool00`000000oooo0?ooo`0400000080oooo0P0000020?ooo`<0
00000P3oool2000000<0oooo00@000000?ooo`3oool000000P3oool01P000000oooo000000000000
oooo00000080oooo1000001f0?ooo`00JP3oool00`000000oooo0?ooo`020?ooo`8000000`3oool0
0`000000oooo0?ooo`0400000080oooo00<000000?ooo`3oool0100000030?ooo`030000003oool0
oooo00@000000P3oool00`000000oooo0?ooo`02000000@0oooo00<000000?ooo`0000000P3oool0
10000000oooo0000000000020?ooo`800000NP3oool006/0oooo00H000000?ooo`00000000000?oo
o`0000020?ooo`@000000`3oool00`000000oooo0?ooo`03000000<0oooo00<000000?ooo`3oool0
100000030?ooo`030000003oool0oooo00<0000000<0oooo0000003oool00`3oool01@000000oooo
0000003oool000000080oooo00@000000?ooo`0000000000O03oool006`0oooo00<000000?ooo`3o
ool00P3oool2000000<0oooo00<000000?ooo`3oool0100000020?ooo`8000000P3oool3000000<0
oooo00<000000?ooo`3oool0100000020?ooo`030000003oool0000000D0oooo00D000000?ooo`3o
ool000000?ooo`03000007h0oooo001]0?ooo`060000003oool000000000003oool00000103oool2
000000<0oooo00<000000?ooo`3oool0100000020?ooo`030000003oool0oooo00@000000`3oool0
0`000000oooo0?ooo`0400000080oooo0`0000020?ooo`030000003oool000000800oooo001^0?oo
o`030000003oool0oooo0080oooo00H000000?ooo`00000000000?ooo`0000020?ooo`@000000`3o
ool00`000000oooo0?ooo`03000000<0oooo00<000000?ooo`3oool0100000020?ooo`@000000`3o
ool400000840oooo001_0?ooo`030000003oool0oooo00<00000103oool2000000<0oooo00<00000
0?ooo`3oool0100000020?ooo`030000003oool0oooo00@000000`3oool00`000000oooo0?ooo`04
00000080oooo0`0000230?ooo`00L03oool2000000<0oooo00H000000?ooo`00000000000?ooo`00
00020?ooo`@000000`3oool00`000000oooo0?ooo`03000000<0oooo00<000000?ooo`3oool01000
00040?ooo`800000QP3oool00740oooo00<000000?ooo`3oool00`0000040?ooo`8000000`3oool0
0`000000oooo0?ooo`0400000080oooo00<000000?ooo`3oool01000002@0?ooo`00LP3oool20000
00<0oooo00D000000?ooo`00000000000?ooo`0200000080oooo0`0000030?ooo`030000003oool0
oooo00<00000U03oool007<0oooo00<000000?ooo`3oool00`0000040?ooo`<000000P3oool00`00
0000oooo0?ooo`04000009L0oooo001d0?ooo`8000000`3oool010000000oooo0000000000020?oo
o`030000003oool0oooo00<00000V`3oool007D0oooo00<000000?ooo`3oool00`0000040?ooo`<0
0000WP3oool007H0oooo0P0000030?ooo`040000003oool0000000000:40oooo001g0?ooo`800000
0P3oool200000:<0oooo001i0?ooo`800000Y@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00001\
\>"],
  ImageRangeCache->{{{0, 287}, {232.562, 0}} -> {-0.0418662, 0.0156238, \
0.00353368, 0.00353368}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  SurfaceGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ContourPlot[modul[x, p, 1], {x, \(-5\), 5}, {p, \(-5\), 5}, 
      PlotPoints \[Rule] 50]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.0961538 0.5 0.0961538 [
[.11538 -0.0125 -6 -9 ]
[.11538 -0.0125 6 0 ]
[.30769 -0.0125 -6 -9 ]
[.30769 -0.0125 6 0 ]
[.5 -0.0125 -3 -9 ]
[.5 -0.0125 3 0 ]
[.69231 -0.0125 -3 -9 ]
[.69231 -0.0125 3 0 ]
[.88462 -0.0125 -3 -9 ]
[.88462 -0.0125 3 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .11538 -12 -4.5 ]
[-0.0125 .11538 0 4.5 ]
[-0.0125 .30769 -12 -4.5 ]
[-0.0125 .30769 0 4.5 ]
[-0.0125 .5 -6 -4.5 ]
[-0.0125 .5 0 4.5 ]
[-0.0125 .69231 -6 -4.5 ]
[-0.0125 .69231 0 4.5 ]
[-0.0125 .88462 -6 -4.5 ]
[-0.0125 .88462 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.11538 0 m
.11538 .00625 L
s
[(-4)] .11538 -0.0125 0 1 Mshowa
.30769 0 m
.30769 .00625 L
s
[(-2)] .30769 -0.0125 0 1 Mshowa
.5 0 m
.5 .00625 L
s
[(0)] .5 -0.0125 0 1 Mshowa
.69231 0 m
.69231 .00625 L
s
[(2)] .69231 -0.0125 0 1 Mshowa
.88462 0 m
.88462 .00625 L
s
[(4)] .88462 -0.0125 0 1 Mshowa
.125 Mabswid
.16346 0 m
.16346 .00375 L
s
.21154 0 m
.21154 .00375 L
s
.25962 0 m
.25962 .00375 L
s
.35577 0 m
.35577 .00375 L
s
.40385 0 m
.40385 .00375 L
s
.45192 0 m
.45192 .00375 L
s
.54808 0 m
.54808 .00375 L
s
.59615 0 m
.59615 .00375 L
s
.64423 0 m
.64423 .00375 L
s
.74038 0 m
.74038 .00375 L
s
.78846 0 m
.78846 .00375 L
s
.83654 0 m
.83654 .00375 L
s
.06731 0 m
.06731 .00375 L
s
.01923 0 m
.01923 .00375 L
s
.93269 0 m
.93269 .00375 L
s
.98077 0 m
.98077 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .11538 m
.00625 .11538 L
s
[(-4)] -0.0125 .11538 1 0 Mshowa
0 .30769 m
.00625 .30769 L
s
[(-2)] -0.0125 .30769 1 0 Mshowa
0 .5 m
.00625 .5 L
s
[(0)] -0.0125 .5 1 0 Mshowa
0 .69231 m
.00625 .69231 L
s
[(2)] -0.0125 .69231 1 0 Mshowa
0 .88462 m
.00625 .88462 L
s
[(4)] -0.0125 .88462 1 0 Mshowa
.125 Mabswid
0 .16346 m
.00375 .16346 L
s
0 .21154 m
.00375 .21154 L
s
0 .25962 m
.00375 .25962 L
s
0 .35577 m
.00375 .35577 L
s
0 .40385 m
.00375 .40385 L
s
0 .45192 m
.00375 .45192 L
s
0 .54808 m
.00375 .54808 L
s
0 .59615 m
.00375 .59615 L
s
0 .64423 m
.00375 .64423 L
s
0 .74038 m
.00375 .74038 L
s
0 .78846 m
.00375 .78846 L
s
0 .83654 m
.00375 .83654 L
s
0 .06731 m
.00375 .06731 L
s
0 .01923 m
.00375 .01923 L
s
0 .93269 m
.00375 .93269 L
s
0 .98077 m
.00375 .98077 L
s
.25 Mabswid
0 0 m
0 1 L
s
.11538 .99375 m
.11538 1 L
s
.30769 .99375 m
.30769 1 L
s
.5 .99375 m
.5 1 L
s
.69231 .99375 m
.69231 1 L
s
.88462 .99375 m
.88462 1 L
s
.125 Mabswid
.16346 .99625 m
.16346 1 L
s
.21154 .99625 m
.21154 1 L
s
.25962 .99625 m
.25962 1 L
s
.35577 .99625 m
.35577 1 L
s
.40385 .99625 m
.40385 1 L
s
.45192 .99625 m
.45192 1 L
s
.54808 .99625 m
.54808 1 L
s
.59615 .99625 m
.59615 1 L
s
.64423 .99625 m
.64423 1 L
s
.74038 .99625 m
.74038 1 L
s
.78846 .99625 m
.78846 1 L
s
.83654 .99625 m
.83654 1 L
s
.06731 .99625 m
.06731 1 L
s
.01923 .99625 m
.01923 1 L
s
.93269 .99625 m
.93269 1 L
s
.98077 .99625 m
.98077 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .11538 m
1 .11538 L
s
.99375 .30769 m
1 .30769 L
s
.99375 .5 m
1 .5 L
s
.99375 .69231 m
1 .69231 L
s
.99375 .88462 m
1 .88462 L
s
.125 Mabswid
.99625 .16346 m
1 .16346 L
s
.99625 .21154 m
1 .21154 L
s
.99625 .25962 m
1 .25962 L
s
.99625 .35577 m
1 .35577 L
s
.99625 .40385 m
1 .40385 L
s
.99625 .45192 m
1 .45192 L
s
.99625 .54808 m
1 .54808 L
s
.99625 .59615 m
1 .59615 L
s
.99625 .64423 m
1 .64423 L
s
.99625 .74038 m
1 .74038 L
s
.99625 .78846 m
1 .78846 L
s
.99625 .83654 m
1 .83654 L
s
.99625 .06731 m
1 .06731 L
s
.99625 .01923 m
1 .01923 L
s
.99625 .93269 m
1 .93269 L
s
.99625 .98077 m
1 .98077 L
s
.25 Mabswid
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.4 g
.01923 .98077 m
.98077 .98077 L
.98077 .01923 L
.01923 .01923 L
F
0 g
.5 Mabswid
.5 g
.01923 .5 m
.03885 .5 L
.05848 .5 L
.0781 .5 L
.09772 .5 L
.11735 .49999 L
.13697 .49998 L
.15659 .49996 L
.17622 .49992 L
.19584 .49995 L
.21546 .49982 L
.23509 .4996 L
.25471 .49924 L
.27433 .49867 L
.29396 .49781 L
.31358 .49659 L
.3332 .49494 L
.35283 .49283 L
.37245 .49028 L
.37305 .49019 L
.39207 .48786 L
.4117 .48482 L
.43132 .48178 L
.45094 .47916 L
.47057 .47725 L
.49019 .47625 L
.50981 .47625 L
.52943 .47725 L
.54906 .47916 L
.56868 .48178 L
.5883 .48482 L
.60793 .48786 L
.62695 .49019 L
.62755 .49028 L
.64717 .49283 L
.6668 .49494 L
.68642 .49659 L
.70604 .49781 L
.72567 .49867 L
.74529 .49924 L
.76491 .4996 L
.78454 .49982 L
.80416 .49995 L
.82378 .49992 L
.84341 .49996 L
.86303 .49998 L
.88265 .49999 L
.90228 .5 L
.9219 .5 L
.94152 .5 L
.96115 .5 L
.98077 .5 L
.98077 .98077 L
.01923 .98077 L
F
0 g
.01923 .5 m
.03885 .5 L
.05848 .5 L
.0781 .5 L
.09772 .5 L
.11735 .49999 L
.13697 .49998 L
.15659 .49996 L
.17622 .49992 L
.19584 .49995 L
.21546 .49982 L
.23509 .4996 L
.25471 .49924 L
.27433 .49867 L
.29396 .49781 L
.31358 .49659 L
.3332 .49494 L
.35283 .49283 L
.37245 .49028 L
.37305 .49019 L
.39207 .48786 L
.4117 .48482 L
.43132 .48178 L
.45094 .47916 L
.47057 .47725 L
.49019 .47625 L
.50981 .47625 L
.52943 .47725 L
.54906 .47916 L
.56868 .48178 L
.5883 .48482 L
.60793 .48786 L
.62695 .49019 L
.62755 .49028 L
.64717 .49283 L
.6668 .49494 L
.68642 .49659 L
.70604 .49781 L
.72567 .49867 L
.74529 .49924 L
.76491 .4996 L
.78454 .49982 L
.80416 .49995 L
.82378 .49992 L
.84341 .49996 L
.86303 .49998 L
.88265 .49999 L
.90228 .5 L
.9219 .5 L
.94152 .5 L
Mistroke
.96115 .5 L
.98077 .5 L
Mfstroke
.6 g
.01923 .5 m
.03885 .5 L
.05848 .5 L
.0781 .5 L
.09772 .5 L
.11735 .50001 L
.13697 .50002 L
.15659 .50004 L
.17622 .50008 L
.19584 .50005 L
.21546 .50018 L
.23509 .5004 L
.25471 .50076 L
.27433 .50133 L
.29396 .50219 L
.31358 .50341 L
.3332 .50506 L
.35283 .50717 L
.37245 .50972 L
.37305 .50981 L
.39207 .51214 L
.4117 .51518 L
.43132 .51822 L
.45094 .52084 L
.47057 .52275 L
.49019 .52375 L
.50981 .52375 L
.52943 .52275 L
.54906 .52084 L
.56868 .51822 L
.5883 .51518 L
.60793 .51214 L
.62695 .50981 L
.62755 .50972 L
.64717 .50717 L
.6668 .50506 L
.68642 .50341 L
.70604 .50219 L
.72567 .50133 L
.74529 .50076 L
.76491 .5004 L
.78454 .50018 L
.80416 .50005 L
.82378 .50008 L
.84341 .50004 L
.86303 .50002 L
.88265 .50001 L
.90228 .5 L
.9219 .5 L
.94152 .5 L
.96115 .5 L
.98077 .5 L
.98077 .98077 L
.01923 .98077 L
F
0 g
.01923 .5 m
.03885 .5 L
.05848 .5 L
.0781 .5 L
.09772 .5 L
.11735 .50001 L
.13697 .50002 L
.15659 .50004 L
.17622 .50008 L
.19584 .50005 L
.21546 .50018 L
.23509 .5004 L
.25471 .50076 L
.27433 .50133 L
.29396 .50219 L
.31358 .50341 L
.3332 .50506 L
.35283 .50717 L
.37245 .50972 L
.37305 .50981 L
.39207 .51214 L
.4117 .51518 L
.43132 .51822 L
.45094 .52084 L
.47057 .52275 L
.49019 .52375 L
.50981 .52375 L
.52943 .52275 L
.54906 .52084 L
.56868 .51822 L
.5883 .51518 L
.60793 .51214 L
.62695 .50981 L
.62755 .50972 L
.64717 .50717 L
.6668 .50506 L
.68642 .50341 L
.70604 .50219 L
.72567 .50133 L
.74529 .50076 L
.76491 .5004 L
.78454 .50018 L
.80416 .50005 L
.82378 .50008 L
.84341 .50004 L
.86303 .50002 L
.88265 .50001 L
.90228 .5 L
.9219 .5 L
.94152 .5 L
Mistroke
.96115 .5 L
.98077 .5 L
Mfstroke
.7 g
.01923 .53301 m
.03885 .53482 L
.05848 .53651 L
.0781 .5382 L
.09772 .53999 L
.11735 .54196 L
.13697 .54421 L
.15659 .54683 L
.17042 .54906 L
.17622 .5503 L
.19584 .55505 L
.21546 .55984 L
.23509 .56473 L
.25016 .56868 L
.25471 .57027 L
.27433 .57747 L
.29396 .5839 L
.31087 .5883 L
.31358 .58899 L
.3332 .59253 L
.35283 .58994 L
.37154 .5883 L
.37245 .58754 L
.38924 .56868 L
.38342 .54906 L
.37245 .53763 L
.36119 .52943 L
.35283 .52198 L
.3332 .51688 L
.31358 .51106 L
.3082 .50981 L
.29396 .50691 L
.27433 .50412 L
.25471 .50232 L
.23509 .5012 L
.21546 .50054 L
.19584 .50016 L
.17622 .50024 L
.15659 .50012 L
.13697 .50006 L
.11735 .50003 L
.09772 .50001 L
.0781 .5 L
.05848 .5 L
.03885 .5 L
.01923 .5 L
F
0 g
.01923 .53301 m
.03885 .53482 L
.05848 .53651 L
.0781 .5382 L
.09772 .53999 L
.11735 .54196 L
.13697 .54421 L
.15659 .54683 L
.17042 .54906 L
.17622 .5503 L
.19584 .55505 L
.21546 .55984 L
.23509 .56473 L
.25016 .56868 L
.25471 .57027 L
.27433 .57747 L
.29396 .5839 L
.31087 .5883 L
.31358 .58899 L
.3332 .59253 L
.35283 .58994 L
.37154 .5883 L
.37245 .58754 L
.38924 .56868 L
.38342 .54906 L
.37245 .53763 L
.36119 .52943 L
.35283 .52198 L
.3332 .51688 L
.31358 .51106 L
.3082 .50981 L
.29396 .50691 L
.27433 .50412 L
.25471 .50232 L
.23509 .5012 L
.21546 .50054 L
.19584 .50016 L
.17622 .50024 L
.15659 .50012 L
.13697 .50006 L
.11735 .50003 L
.09772 .50001 L
.0781 .5 L
.05848 .5 L
.03885 .5 L
.01923 .5 L
s
.3 g
.01923 .5 m
.03885 .5 L
.05848 .5 L
.0781 .5 L
.09772 .49999 L
.11735 .49997 L
.13697 .49994 L
.15659 .49988 L
.17622 .49976 L
.19584 .49984 L
.21546 .49946 L
.23509 .4988 L
.25471 .49768 L
.27433 .49588 L
.29396 .49309 L
.3082 .49019 L
.31358 .48894 L
.3332 .48312 L
.35283 .47802 L
.36119 .47057 L
.37245 .46237 L
.38342 .45094 L
.38924 .43132 L
.37245 .41246 L
.37154 .4117 L
.35283 .41006 L
.3332 .40747 L
.31358 .41101 L
.31087 .4117 L
.29396 .4161 L
.27433 .42253 L
.25471 .42973 L
.25016 .43132 L
.23509 .43527 L
.21546 .44016 L
.19584 .44495 L
.17622 .4497 L
.17042 .45094 L
.15659 .45317 L
.13697 .45579 L
.11735 .45804 L
.09772 .46001 L
.0781 .4618 L
.05848 .46349 L
.03885 .46518 L
.01923 .46699 L
F
0 g
.01923 .5 m
.03885 .5 L
.05848 .5 L
.0781 .5 L
.09772 .49999 L
.11735 .49997 L
.13697 .49994 L
.15659 .49988 L
.17622 .49976 L
.19584 .49984 L
.21546 .49946 L
.23509 .4988 L
.25471 .49768 L
.27433 .49588 L
.29396 .49309 L
.3082 .49019 L
.31358 .48894 L
.3332 .48312 L
.35283 .47802 L
.36119 .47057 L
.37245 .46237 L
.38342 .45094 L
.38924 .43132 L
.37245 .41246 L
.37154 .4117 L
.35283 .41006 L
.3332 .40747 L
.31358 .41101 L
.31087 .4117 L
.29396 .4161 L
.27433 .42253 L
.25471 .42973 L
.25016 .43132 L
.23509 .43527 L
.21546 .44016 L
.19584 .44495 L
.17622 .4497 L
.17042 .45094 L
.15659 .45317 L
.13697 .45579 L
.11735 .45804 L
.09772 .46001 L
.0781 .4618 L
.05848 .46349 L
.03885 .46518 L
.01923 .46699 L
s
.8 g
.01923 .53301 m
.03885 .53482 L
.05848 .53651 L
.0781 .5382 L
.09772 .53998 L
.11735 .54194 L
.13697 .54415 L
.15659 .54671 L
.17184 .54906 L
.17622 .54993 L
.19584 .55431 L
.21546 .55846 L
.23509 .56219 L
.25471 .56274 L
.27433 .5669 L
.29396 .56796 L
.31358 .56363 L
.33266 .54906 L
.32652 .52943 L
.31358 .52069 L
.29396 .51252 L
.28449 .50981 L
.27433 .50727 L
.25471 .50399 L
.23509 .50204 L
.21546 .5009 L
.19584 .50026 L
.17622 .50041 L
.15659 .5002 L
.13697 .5001 L
.11735 .50004 L
.09772 .50002 L
.0781 .50001 L
.05848 .5 L
.03885 .5 L
.01923 .5 L
F
0 g
.01923 .53301 m
.03885 .53482 L
.05848 .53651 L
.0781 .5382 L
.09772 .53998 L
.11735 .54194 L
.13697 .54415 L
.15659 .54671 L
.17184 .54906 L
.17622 .54993 L
.19584 .55431 L
.21546 .55846 L
.23509 .56219 L
.25471 .56274 L
.27433 .5669 L
.29396 .56796 L
.31358 .56363 L
.33266 .54906 L
.32652 .52943 L
.31358 .52069 L
.29396 .51252 L
.28449 .50981 L
.27433 .50727 L
.25471 .50399 L
.23509 .50204 L
.21546 .5009 L
.19584 .50026 L
.17622 .50041 L
.15659 .5002 L
.13697 .5001 L
.11735 .50004 L
.09772 .50002 L
.0781 .50001 L
.05848 .5 L
.03885 .5 L
.01923 .5 L
s
.2 g
.01923 .5 m
.03885 .5 L
.05848 .5 L
.0781 .49999 L
.09772 .49998 L
.11735 .49996 L
.13697 .4999 L
.15659 .4998 L
.17622 .49959 L
.19584 .49974 L
.21546 .4991 L
.23509 .49796 L
.25471 .49601 L
.27433 .49273 L
.28449 .49019 L
.29396 .48748 L
.31358 .47931 L
.32652 .47057 L
.33266 .45094 L
.31358 .43637 L
.29396 .43204 L
.27433 .4331 L
.25471 .43726 L
.23509 .43781 L
.21546 .44154 L
.19584 .44569 L
.17622 .45007 L
.17184 .45094 L
.15659 .45329 L
.13697 .45585 L
.11735 .45806 L
.09772 .46002 L
.0781 .4618 L
.05848 .46349 L
.03885 .46518 L
.01923 .46699 L
F
0 g
.01923 .5 m
.03885 .5 L
.05848 .5 L
.0781 .49999 L
.09772 .49998 L
.11735 .49996 L
.13697 .4999 L
.15659 .4998 L
.17622 .49959 L
.19584 .49974 L
.21546 .4991 L
.23509 .49796 L
.25471 .49601 L
.27433 .49273 L
.28449 .49019 L
.29396 .48748 L
.31358 .47931 L
.32652 .47057 L
.33266 .45094 L
.31358 .43637 L
.29396 .43204 L
.27433 .4331 L
.25471 .43726 L
.23509 .43781 L
.21546 .44154 L
.19584 .44569 L
.17622 .45007 L
.17184 .45094 L
.15659 .45329 L
.13697 .45585 L
.11735 .45806 L
.09772 .46002 L
.0781 .4618 L
.05848 .46349 L
.03885 .46518 L
.01923 .46699 L
s
.1 g
.01923 .5 m
.03885 .5 L
.05848 .5 L
.0781 .49999 L
.09772 .49997 L
.11735 .49994 L
.13697 .49987 L
.15659 .49972 L
.17622 .49943 L
.19584 .49963 L
.21546 .49871 L
.23509 .49707 L
.25471 .49414 L
.27044 .49019 L
.27433 .48905 L
.29396 .4807 L
.30697 .47057 L
.30485 .45094 L
.29396 .43895 L
.27433 .43989 L
.25471 .44264 L
.23509 .44017 L
.21546 .44288 L
.19584 .44641 L
.17622 .45044 L
.17345 .45094 L
.15659 .45342 L
.13697 .4559 L
.11735 .45809 L
.09772 .46003 L
.0781 .46181 L
.05848 .46349 L
.03885 .46519 L
.01923 .46699 L
F
0 g
.01923 .5 m
.03885 .5 L
.05848 .5 L
.0781 .49999 L
.09772 .49997 L
.11735 .49994 L
.13697 .49987 L
.15659 .49972 L
.17622 .49943 L
.19584 .49963 L
.21546 .49871 L
.23509 .49707 L
.25471 .49414 L
.27044 .49019 L
.27433 .48905 L
.29396 .4807 L
.30697 .47057 L
.30485 .45094 L
.29396 .43895 L
.27433 .43989 L
.25471 .44264 L
.23509 .44017 L
.21546 .44288 L
.19584 .44641 L
.17622 .45044 L
.17345 .45094 L
.15659 .45342 L
.13697 .4559 L
.11735 .45809 L
.09772 .46003 L
.0781 .46181 L
.05848 .46349 L
.03885 .46519 L
.01923 .46699 L
s
.9 g
.01923 .53301 m
.03885 .53481 L
.05848 .53651 L
.0781 .53819 L
.09772 .53997 L
.11735 .54191 L
.13697 .5441 L
.15659 .54658 L
.17345 .54906 L
.17622 .54956 L
.19584 .55359 L
.21546 .55712 L
.23509 .55983 L
.25471 .55736 L
.27433 .56011 L
.29396 .56105 L
.30485 .54906 L
.30697 .52943 L
.29396 .5193 L
.27433 .51095 L
.27044 .50981 L
.25471 .50586 L
.23509 .50293 L
.21546 .50129 L
.19584 .50037 L
.17622 .50057 L
.15659 .50028 L
.13697 .50013 L
.11735 .50006 L
.09772 .50003 L
.0781 .50001 L
.05848 .5 L
.03885 .5 L
.01923 .5 L
F
0 g
.01923 .53301 m
.03885 .53481 L
.05848 .53651 L
.0781 .53819 L
.09772 .53997 L
.11735 .54191 L
.13697 .5441 L
.15659 .54658 L
.17345 .54906 L
.17622 .54956 L
.19584 .55359 L
.21546 .55712 L
.23509 .55983 L
.25471 .55736 L
.27433 .56011 L
.29396 .56105 L
.30485 .54906 L
.30697 .52943 L
.29396 .5193 L
.27433 .51095 L
.27044 .50981 L
.25471 .50586 L
.23509 .50293 L
.21546 .50129 L
.19584 .50037 L
.17622 .50057 L
.15659 .50028 L
.13697 .50013 L
.11735 .50006 L
.09772 .50003 L
.0781 .50001 L
.05848 .5 L
.03885 .5 L
.01923 .5 L
s
.01923 .5 m
.03885 .5 L
.05848 .49999 L
.0781 .49999 L
.09772 .49997 L
.11735 .49992 L
.13697 .49983 L
.15659 .49964 L
.17622 .49927 L
.19584 .49951 L
.21546 .49831 L
.23509 .49609 L
.25471 .49199 L
.26017 .49019 L
.27433 .48492 L
.29371 .47057 L
.28544 .45094 L
.27433 .4456 L
.25471 .44604 L
.23509 .44242 L
.21546 .44417 L
.19584 .44712 L
.17622 .4508 L
.17535 .45094 L
.15659 .45354 L
.13697 .45596 L
.11735 .45811 L
.09772 .46004 L
.0781 .46181 L
.05848 .4635 L
.03885 .46519 L
.01923 .46699 L
F
.01923 .5 m
.03885 .5 L
.05848 .49999 L
.0781 .49999 L
.09772 .49997 L
.11735 .49992 L
.13697 .49983 L
.15659 .49964 L
.17622 .49927 L
.19584 .49951 L
.21546 .49831 L
.23509 .49609 L
.25471 .49199 L
.26017 .49019 L
.27433 .48492 L
.29371 .47057 L
.28544 .45094 L
.27433 .4456 L
.25471 .44604 L
.23509 .44242 L
.21546 .44417 L
.19584 .44712 L
.17622 .4508 L
.17535 .45094 L
.15659 .45354 L
.13697 .45596 L
.11735 .45811 L
.09772 .46004 L
.0781 .46181 L
.05848 .4635 L
.03885 .46519 L
.01923 .46699 L
s
1 g
.01923 .53301 m
.03885 .53481 L
.05848 .5365 L
.0781 .53819 L
.09772 .53996 L
.11735 .54189 L
.13697 .54404 L
.15659 .54646 L
.17535 .54906 L
.17622 .5492 L
.19584 .55288 L
.21546 .55583 L
.23509 .55758 L
.25471 .55396 L
.27433 .5544 L
.28544 .54906 L
.29371 .52943 L
.27433 .51508 L
.26017 .50981 L
.25471 .50801 L
.23509 .50391 L
.21546 .50169 L
.19584 .50049 L
.17622 .50073 L
.15659 .50036 L
.13697 .50017 L
.11735 .50008 L
.09772 .50003 L
.0781 .50001 L
.05848 .50001 L
.03885 .5 L
.01923 .5 L
F
0 g
.01923 .53301 m
.03885 .53481 L
.05848 .5365 L
.0781 .53819 L
.09772 .53996 L
.11735 .54189 L
.13697 .54404 L
.15659 .54646 L
.17535 .54906 L
.17622 .5492 L
.19584 .55288 L
.21546 .55583 L
.23509 .55758 L
.25471 .55396 L
.27433 .5544 L
.28544 .54906 L
.29371 .52943 L
.27433 .51508 L
.26017 .50981 L
.25471 .50801 L
.23509 .50391 L
.21546 .50169 L
.19584 .50049 L
.17622 .50073 L
.15659 .50036 L
.13697 .50017 L
.11735 .50008 L
.09772 .50003 L
.0781 .50001 L
.05848 .50001 L
.03885 .5 L
.01923 .5 L
s
.5 g
.01923 .46699 m
.03885 .46518 L
.05848 .46349 L
.0781 .46179 L
.09772 .46 L
.11735 .45801 L
.13697 .45574 L
.15659 .45305 L
.16915 .45094 L
.17622 .44933 L
.19584 .44419 L
.21546 .4387 L
.23509 .43247 L
.2382 .43132 L
.25471 .42029 L
.26171 .4117 L
.25471 .39618 L
.23509 .39218 L
.21546 .39299 L
.19584 .39605 L
.17622 .40084 L
.15659 .40742 L
.14441 .4117 L
.13697 .41324 L
.11735 .41685 L
.09772 .42057 L
.0781 .42491 L
.05848 .43029 L
.0535 .43132 L
.03885 .43357 L
.01923 .43578 L
F
0 g
.01923 .46699 m
.03885 .46518 L
.05848 .46349 L
.0781 .46179 L
.09772 .46 L
.11735 .45801 L
.13697 .45574 L
.15659 .45305 L
.16915 .45094 L
.17622 .44933 L
.19584 .44419 L
.21546 .4387 L
.23509 .43247 L
.2382 .43132 L
.25471 .42029 L
.26171 .4117 L
.25471 .39618 L
.23509 .39218 L
.21546 .39299 L
.19584 .39605 L
.17622 .40084 L
.15659 .40742 L
.14441 .4117 L
.13697 .41324 L
.11735 .41685 L
.09772 .42057 L
.0781 .42491 L
.05848 .43029 L
.0535 .43132 L
.03885 .43357 L
.01923 .43578 L
s
.5 g
.01923 .56422 m
.03885 .56643 L
.0535 .56868 L
.05848 .56971 L
.0781 .57509 L
.09772 .57943 L
.11735 .58315 L
.13697 .58676 L
.14441 .5883 L
.15659 .59258 L
.17622 .59916 L
.19584 .60395 L
.21546 .60701 L
.23509 .60782 L
.25471 .60382 L
.26171 .5883 L
.25471 .57971 L
.2382 .56868 L
.23509 .56753 L
.21546 .5613 L
.19584 .55581 L
.17622 .55067 L
.16915 .54906 L
.15659 .54695 L
.13697 .54426 L
.11735 .54199 L
.09772 .54 L
.0781 .53821 L
.05848 .53651 L
.03885 .53482 L
.01923 .53301 L
F
0 g
.01923 .56422 m
.03885 .56643 L
.0535 .56868 L
.05848 .56971 L
.0781 .57509 L
.09772 .57943 L
.11735 .58315 L
.13697 .58676 L
.14441 .5883 L
.15659 .59258 L
.17622 .59916 L
.19584 .60395 L
.21546 .60701 L
.23509 .60782 L
.25471 .60382 L
.26171 .5883 L
.25471 .57971 L
.2382 .56868 L
.23509 .56753 L
.21546 .5613 L
.19584 .55581 L
.17622 .55067 L
.16915 .54906 L
.15659 .54695 L
.13697 .54426 L
.11735 .54199 L
.09772 .54 L
.0781 .53821 L
.05848 .53651 L
.03885 .53482 L
.01923 .53301 L
s
.4 g
.01923 .56422 m
.03885 .56643 L
.05352 .56868 L
.05848 .5697 L
.0781 .57507 L
.09772 .5794 L
.11735 .58308 L
.13697 .5866 L
.14553 .5883 L
.15659 .59186 L
.17622 .59765 L
.19584 .60118 L
.21546 .60195 L
.23509 .59784 L
.24364 .5883 L
.23509 .57213 L
.2296 .56868 L
.21546 .56284 L
.19584 .55659 L
.17622 .55105 L
.16799 .54906 L
.15659 .54707 L
.13697 .54432 L
.11735 .54201 L
.09772 .54001 L
.0781 .53821 L
.05848 .53651 L
.03885 .53482 L
.01923 .53301 L
F
0 g
.01923 .56422 m
.03885 .56643 L
.05352 .56868 L
.05848 .5697 L
.0781 .57507 L
.09772 .5794 L
.11735 .58308 L
.13697 .5866 L
.14553 .5883 L
.15659 .59186 L
.17622 .59765 L
.19584 .60118 L
.21546 .60195 L
.23509 .59784 L
.24364 .5883 L
.23509 .57213 L
.2296 .56868 L
.21546 .56284 L
.19584 .55659 L
.17622 .55105 L
.16799 .54906 L
.15659 .54707 L
.13697 .54432 L
.11735 .54201 L
.09772 .54001 L
.0781 .53821 L
.05848 .53651 L
.03885 .53482 L
.01923 .53301 L
s
.6 g
.01923 .46699 m
.03885 .46518 L
.05848 .46349 L
.0781 .46179 L
.09772 .45999 L
.11735 .45799 L
.13697 .45568 L
.15659 .45293 L
.16799 .45094 L
.17622 .44895 L
.19584 .44341 L
.21546 .43716 L
.2296 .43132 L
.23509 .42787 L
.24364 .4117 L
.23509 .40216 L
.21546 .39805 L
.19584 .39882 L
.17622 .40235 L
.15659 .40814 L
.14553 .4117 L
.13697 .4134 L
.11735 .41692 L
.09772 .4206 L
.0781 .42493 L
.05848 .4303 L
.05352 .43132 L
.03885 .43357 L
.01923 .43578 L
F
0 g
.01923 .46699 m
.03885 .46518 L
.05848 .46349 L
.0781 .46179 L
.09772 .45999 L
.11735 .45799 L
.13697 .45568 L
.15659 .45293 L
.16799 .45094 L
.17622 .44895 L
.19584 .44341 L
.21546 .43716 L
.2296 .43132 L
.23509 .42787 L
.24364 .4117 L
.23509 .40216 L
.21546 .39805 L
.19584 .39882 L
.17622 .40235 L
.15659 .40814 L
.14553 .4117 L
.13697 .4134 L
.11735 .41692 L
.09772 .4206 L
.0781 .42493 L
.05848 .4303 L
.05352 .43132 L
.03885 .43357 L
.01923 .43578 L
s
.3 g
.01923 .56422 m
.03885 .56643 L
.05354 .56868 L
.05848 .56969 L
.0781 .57506 L
.09772 .57937 L
.11735 .58301 L
.13697 .58645 L
.14677 .5883 L
.15659 .59117 L
.17622 .59623 L
.19584 .5986 L
.21546 .59718 L
.23137 .5883 L
.22298 .56868 L
.21546 .5645 L
.19584 .55739 L
.17622 .55144 L
.16694 .54906 L
.15659 .54719 L
.13697 .54437 L
.11735 .54204 L
.09772 .54002 L
.0781 .53822 L
.05848 .53652 L
.03885 .53482 L
.01923 .53301 L
F
0 g
.01923 .56422 m
.03885 .56643 L
.05354 .56868 L
.05848 .56969 L
.0781 .57506 L
.09772 .57937 L
.11735 .58301 L
.13697 .58645 L
.14677 .5883 L
.15659 .59117 L
.17622 .59623 L
.19584 .5986 L
.21546 .59718 L
.23137 .5883 L
.22298 .56868 L
.21546 .5645 L
.19584 .55739 L
.17622 .55144 L
.16694 .54906 L
.15659 .54719 L
.13697 .54437 L
.11735 .54204 L
.09772 .54002 L
.0781 .53822 L
.05848 .53652 L
.03885 .53482 L
.01923 .53301 L
s
.7 g
.01923 .46699 m
.03885 .46518 L
.05848 .46348 L
.0781 .46178 L
.09772 .45998 L
.11735 .45796 L
.13697 .45563 L
.15659 .45281 L
.16694 .45094 L
.17622 .44856 L
.19584 .44261 L
.21546 .4355 L
.22298 .43132 L
.23137 .4117 L
.21546 .40282 L
.19584 .4014 L
.17622 .40377 L
.15659 .40883 L
.14677 .4117 L
.13697 .41355 L
.11735 .41699 L
.09772 .42063 L
.0781 .42494 L
.05848 .43031 L
.05354 .43132 L
.03885 .43357 L
.01923 .43578 L
F
0 g
.01923 .46699 m
.03885 .46518 L
.05848 .46348 L
.0781 .46178 L
.09772 .45998 L
.11735 .45796 L
.13697 .45563 L
.15659 .45281 L
.16694 .45094 L
.17622 .44856 L
.19584 .44261 L
.21546 .4355 L
.22298 .43132 L
.23137 .4117 L
.21546 .40282 L
.19584 .4014 L
.17622 .40377 L
.15659 .40883 L
.14677 .4117 L
.13697 .41355 L
.11735 .41699 L
.09772 .42063 L
.0781 .42494 L
.05848 .43031 L
.05354 .43132 L
.03885 .43357 L
.01923 .43578 L
s
.3 g
.01923 .43578 m
.03885 .43356 L
.05348 .43132 L
.05848 .43029 L
.0781 .4249 L
.09772 .42054 L
.11735 .41678 L
.13697 .41308 L
.14339 .4117 L
.15659 .40667 L
.17622 .39922 L
.19584 .39293 L
.19855 .39207 L
.21546 .38151 L
.22499 .37245 L
.21546 .35379 L
.19584 .35319 L
.17622 .35591 L
.15659 .36219 L
.13697 .37174 L
.13523 .37245 L
.11735 .37632 L
.09772 .38208 L
.0781 .39058 L
.07378 .39207 L
.05848 .39471 L
.03885 .39775 L
.01923 .40137 L
F
0 g
.01923 .43578 m
.03885 .43356 L
.05348 .43132 L
.05848 .43029 L
.0781 .4249 L
.09772 .42054 L
.11735 .41678 L
.13697 .41308 L
.14339 .4117 L
.15659 .40667 L
.17622 .39922 L
.19584 .39293 L
.19855 .39207 L
.21546 .38151 L
.22499 .37245 L
.21546 .35379 L
.19584 .35319 L
.17622 .35591 L
.15659 .36219 L
.13697 .37174 L
.13523 .37245 L
.11735 .37632 L
.09772 .38208 L
.0781 .39058 L
.07378 .39207 L
.05848 .39471 L
.03885 .39775 L
.01923 .40137 L
s
.7 g
.01923 .59863 m
.03885 .60225 L
.05848 .60529 L
.07378 .60793 L
.0781 .60942 L
.09772 .61792 L
.11735 .62368 L
.13523 .62755 L
.13697 .62826 L
.15659 .63781 L
.17622 .64409 L
.19584 .64681 L
.21546 .64621 L
.22499 .62755 L
.21546 .61849 L
.19855 .60793 L
.19584 .60707 L
.17622 .60078 L
.15659 .59333 L
.14339 .5883 L
.13697 .58692 L
.11735 .58322 L
.09772 .57946 L
.0781 .5751 L
.05848 .56971 L
.05348 .56868 L
.03885 .56644 L
.01923 .56422 L
F
0 g
.01923 .59863 m
.03885 .60225 L
.05848 .60529 L
.07378 .60793 L
.0781 .60942 L
.09772 .61792 L
.11735 .62368 L
.13523 .62755 L
.13697 .62826 L
.15659 .63781 L
.17622 .64409 L
.19584 .64681 L
.21546 .64621 L
.22499 .62755 L
.21546 .61849 L
.19855 .60793 L
.19584 .60707 L
.17622 .60078 L
.15659 .59333 L
.14339 .5883 L
.13697 .58692 L
.11735 .58322 L
.09772 .57946 L
.0781 .5751 L
.05848 .56971 L
.05348 .56868 L
.03885 .56644 L
.01923 .56422 L
s
.2 g
.01923 .56422 m
.03885 .56643 L
.05356 .56868 L
.05848 .56969 L
.0781 .57504 L
.09772 .57933 L
.11735 .58294 L
.13697 .58629 L
.14817 .5883 L
.15659 .59051 L
.17622 .59488 L
.19584 .59614 L
.21546 .59222 L
.22129 .5883 L
.21851 .56868 L
.21546 .56632 L
.19584 .55822 L
.17622 .55184 L
.16596 .54906 L
.15659 .54731 L
.13697 .54443 L
.11735 .54206 L
.09772 .54003 L
.0781 .53822 L
.05848 .53652 L
.03885 .53482 L
.01923 .53301 L
F
0 g
.01923 .56422 m
.03885 .56643 L
.05356 .56868 L
.05848 .56969 L
.0781 .57504 L
.09772 .57933 L
.11735 .58294 L
.13697 .58629 L
.14817 .5883 L
.15659 .59051 L
.17622 .59488 L
.19584 .59614 L
.21546 .59222 L
.22129 .5883 L
.21851 .56868 L
.21546 .56632 L
.19584 .55822 L
.17622 .55184 L
.16596 .54906 L
.15659 .54731 L
.13697 .54443 L
.11735 .54206 L
.09772 .54003 L
.0781 .53822 L
.05848 .53652 L
.03885 .53482 L
.01923 .53301 L
s
.8 g
.01923 .46699 m
.03885 .46518 L
.05848 .46348 L
.0781 .46178 L
.09772 .45997 L
.11735 .45794 L
.13697 .45557 L
.15659 .45269 L
.16596 .45094 L
.17622 .44816 L
.19584 .44178 L
.21546 .43368 L
.21851 .43132 L
.22129 .4117 L
.21546 .40778 L
.19584 .40386 L
.17622 .40512 L
.15659 .40949 L
.14817 .4117 L
.13697 .41371 L
.11735 .41706 L
.09772 .42067 L
.0781 .42496 L
.05848 .43031 L
.05356 .43132 L
.03885 .43357 L
.01923 .43578 L
F
0 g
.01923 .46699 m
.03885 .46518 L
.05848 .46348 L
.0781 .46178 L
.09772 .45997 L
.11735 .45794 L
.13697 .45557 L
.15659 .45269 L
.16596 .45094 L
.17622 .44816 L
.19584 .44178 L
.21546 .43368 L
.21851 .43132 L
.22129 .4117 L
.21546 .40778 L
.19584 .40386 L
.17622 .40512 L
.15659 .40949 L
.14817 .4117 L
.13697 .41371 L
.11735 .41706 L
.09772 .42067 L
.0781 .42496 L
.05848 .43031 L
.05356 .43132 L
.03885 .43357 L
.01923 .43578 L
s
.9 g
.01923 .46699 m
.03885 .46518 L
.05848 .46348 L
.0781 .46177 L
.09772 .45995 L
.11735 .45792 L
.13697 .45552 L
.15659 .45256 L
.16504 .45094 L
.17622 .44776 L
.19584 .44091 L
.21546 .43162 L
.21573 .43132 L
.21546 .41327 L
.21301 .4117 L
.19584 .40625 L
.17622 .40642 L
.15659 .41012 L
.14979 .4117 L
.13697 .41387 L
.11735 .41713 L
.09772 .4207 L
.0781 .42497 L
.05848 .43032 L
.05358 .43132 L
.03885 .43357 L
.01923 .43578 L
F
0 g
.01923 .46699 m
.03885 .46518 L
.05848 .46348 L
.0781 .46177 L
.09772 .45995 L
.11735 .45792 L
.13697 .45552 L
.15659 .45256 L
.16504 .45094 L
.17622 .44776 L
.19584 .44091 L
.21546 .43162 L
.21573 .43132 L
.21546 .41327 L
.21301 .4117 L
.19584 .40625 L
.17622 .40642 L
.15659 .41012 L
.14979 .4117 L
.13697 .41387 L
.11735 .41713 L
.09772 .4207 L
.0781 .42497 L
.05848 .43032 L
.05358 .43132 L
.03885 .43357 L
.01923 .43578 L
s
.1 g
.01923 .56422 m
.03885 .56643 L
.05358 .56868 L
.05848 .56968 L
.0781 .57503 L
.09772 .5793 L
.11735 .58287 L
.13697 .58613 L
.14979 .5883 L
.15659 .58988 L
.17622 .59358 L
.19584 .59375 L
.21301 .5883 L
.21546 .58673 L
.21573 .56868 L
.21546 .56838 L
.19584 .55909 L
.17622 .55224 L
.16504 .54906 L
.15659 .54744 L
.13697 .54448 L
.11735 .54208 L
.09772 .54005 L
.0781 .53823 L
.05848 .53652 L
.03885 .53482 L
.01923 .53301 L
F
0 g
.01923 .56422 m
.03885 .56643 L
.05358 .56868 L
.05848 .56968 L
.0781 .57503 L
.09772 .5793 L
.11735 .58287 L
.13697 .58613 L
.14979 .5883 L
.15659 .58988 L
.17622 .59358 L
.19584 .59375 L
.21301 .5883 L
.21546 .58673 L
.21573 .56868 L
.21546 .56838 L
.19584 .55909 L
.17622 .55224 L
.16504 .54906 L
.15659 .54744 L
.13697 .54448 L
.11735 .54208 L
.09772 .54005 L
.0781 .53823 L
.05848 .53652 L
.03885 .53482 L
.01923 .53301 L
s
1 g
.01923 .46699 m
.03885 .46518 L
.05848 .46348 L
.0781 .46177 L
.09772 .45994 L
.11735 .45789 L
.13697 .45546 L
.15659 .45244 L
.16419 .45094 L
.17622 .44735 L
.19584 .44001 L
.21207 .43132 L
.20543 .4117 L
.19584 .40863 L
.17622 .40767 L
.15659 .41074 L
.15176 .4117 L
.13697 .41402 L
.11735 .4172 L
.09772 .42073 L
.0781 .42499 L
.05848 .43032 L
.0536 .43132 L
.03885 .43357 L
.01923 .43578 L
F
0 g
.01923 .46699 m
.03885 .46518 L
.05848 .46348 L
.0781 .46177 L
.09772 .45994 L
.11735 .45789 L
.13697 .45546 L
.15659 .45244 L
.16419 .45094 L
.17622 .44735 L
.19584 .44001 L
.21207 .43132 L
.20543 .4117 L
.19584 .40863 L
.17622 .40767 L
.15659 .41074 L
.15176 .4117 L
.13697 .41402 L
.11735 .4172 L
.09772 .42073 L
.0781 .42499 L
.05848 .43032 L
.0536 .43132 L
.03885 .43357 L
.01923 .43578 L
s
.01923 .56422 m
.03885 .56643 L
.0536 .56868 L
.05848 .56968 L
.0781 .57501 L
.09772 .57927 L
.11735 .5828 L
.13697 .58598 L
.15176 .5883 L
.15659 .58926 L
.17622 .59233 L
.19584 .59137 L
.20543 .5883 L
.21207 .56868 L
.19584 .55999 L
.17622 .55265 L
.16419 .54906 L
.15659 .54756 L
.13697 .54454 L
.11735 .54211 L
.09772 .54006 L
.0781 .53823 L
.05848 .53652 L
.03885 .53482 L
.01923 .53301 L
F
.01923 .56422 m
.03885 .56643 L
.0536 .56868 L
.05848 .56968 L
.0781 .57501 L
.09772 .57927 L
.11735 .5828 L
.13697 .58598 L
.15176 .5883 L
.15659 .58926 L
.17622 .59233 L
.19584 .59137 L
.20543 .5883 L
.21207 .56868 L
.19584 .55999 L
.17622 .55265 L
.16419 .54906 L
.15659 .54756 L
.13697 .54454 L
.11735 .54211 L
.09772 .54006 L
.0781 .53823 L
.05848 .53652 L
.03885 .53482 L
.01923 .53301 L
s
.8 g
.01923 .59863 m
.03885 .60224 L
.05848 .60528 L
.07393 .60793 L
.0781 .60935 L
.09772 .61772 L
.11735 .62329 L
.13697 .62703 L
.13987 .62755 L
.15659 .63257 L
.17622 .63438 L
.19377 .62755 L
.18909 .60793 L
.17622 .60255 L
.15659 .59412 L
.14245 .5883 L
.13697 .58708 L
.11735 .58329 L
.09772 .5795 L
.0781 .57512 L
.05848 .56972 L
.05346 .56868 L
.03885 .56644 L
.01923 .56422 L
F
0 g
.01923 .59863 m
.03885 .60224 L
.05848 .60528 L
.07393 .60793 L
.0781 .60935 L
.09772 .61772 L
.11735 .62329 L
.13697 .62703 L
.13987 .62755 L
.15659 .63257 L
.17622 .63438 L
.19377 .62755 L
.18909 .60793 L
.17622 .60255 L
.15659 .59412 L
.14245 .5883 L
.13697 .58708 L
.11735 .58329 L
.09772 .5795 L
.0781 .57512 L
.05848 .56972 L
.05346 .56868 L
.03885 .56644 L
.01923 .56422 L
s
.2 g
.01923 .43578 m
.03885 .43356 L
.05346 .43132 L
.05848 .43028 L
.0781 .42488 L
.09772 .4205 L
.11735 .41671 L
.13697 .41292 L
.14245 .4117 L
.15659 .40588 L
.17622 .39745 L
.18909 .39207 L
.19377 .37245 L
.17622 .36562 L
.15659 .36743 L
.13987 .37245 L
.13697 .37297 L
.11735 .37671 L
.09772 .38228 L
.0781 .39065 L
.07393 .39207 L
.05848 .39472 L
.03885 .39776 L
.01923 .40137 L
F
0 g
.01923 .43578 m
.03885 .43356 L
.05346 .43132 L
.05848 .43028 L
.0781 .42488 L
.09772 .4205 L
.11735 .41671 L
.13697 .41292 L
.14245 .4117 L
.15659 .40588 L
.17622 .39745 L
.18909 .39207 L
.19377 .37245 L
.17622 .36562 L
.15659 .36743 L
.13987 .37245 L
.13697 .37297 L
.11735 .37671 L
.09772 .38228 L
.0781 .39065 L
.07393 .39207 L
.05848 .39472 L
.03885 .39776 L
.01923 .40137 L
s
.1 g
.01923 .43578 m
.03885 .43356 L
.05345 .43132 L
.05848 .43027 L
.0781 .42487 L
.09772 .42047 L
.11735 .41664 L
.13697 .41276 L
.14157 .4117 L
.15659 .40505 L
.17622 .39547 L
.18275 .39207 L
.17622 .37349 L
.17171 .37245 L
.15659 .37148 L
.14762 .37245 L
.13697 .37377 L
.11735 .3771 L
.09772 .38247 L
.0781 .39072 L
.07408 .39207 L
.05848 .39473 L
.03885 .39776 L
.01923 .40137 L
F
0 g
.01923 .43578 m
.03885 .43356 L
.05345 .43132 L
.05848 .43027 L
.0781 .42487 L
.09772 .42047 L
.11735 .41664 L
.13697 .41276 L
.14157 .4117 L
.15659 .40505 L
.17622 .39547 L
.18275 .39207 L
.17622 .37349 L
.17171 .37245 L
.15659 .37148 L
.14762 .37245 L
.13697 .37377 L
.11735 .3771 L
.09772 .38247 L
.0781 .39072 L
.07408 .39207 L
.05848 .39473 L
.03885 .39776 L
.01923 .40137 L
s
.9 g
.01923 .59863 m
.03885 .60224 L
.05848 .60527 L
.07408 .60793 L
.0781 .60928 L
.09772 .61753 L
.11735 .6229 L
.13697 .62623 L
.14762 .62755 L
.15659 .62852 L
.17171 .62755 L
.17622 .62651 L
.18275 .60793 L
.17622 .60453 L
.15659 .59495 L
.14157 .5883 L
.13697 .58724 L
.11735 .58336 L
.09772 .57953 L
.0781 .57513 L
.05848 .56973 L
.05345 .56868 L
.03885 .56644 L
.01923 .56422 L
F
0 g
.01923 .59863 m
.03885 .60224 L
.05848 .60527 L
.07408 .60793 L
.0781 .60928 L
.09772 .61753 L
.11735 .6229 L
.13697 .62623 L
.14762 .62755 L
.15659 .62852 L
.17171 .62755 L
.17622 .62651 L
.18275 .60793 L
.17622 .60453 L
.15659 .59495 L
.14157 .5883 L
.13697 .58724 L
.11735 .58336 L
.09772 .57953 L
.0781 .57513 L
.05848 .56973 L
.05345 .56868 L
.03885 .56644 L
.01923 .56422 L
s
.01923 .43578 m
.03885 .43356 L
.05343 .43132 L
.05848 .43027 L
.0781 .42485 L
.09772 .42044 L
.11735 .41657 L
.13697 .4126 L
.14075 .4117 L
.15659 .40416 L
.17622 .39315 L
.17789 .39207 L
.17622 .37864 L
.15659 .37373 L
.13697 .37456 L
.11735 .37748 L
.09772 .38267 L
.0781 .39079 L
.07424 .39207 L
.05848 .39474 L
.03885 .39777 L
.01923 .40138 L
F
.01923 .43578 m
.03885 .43356 L
.05343 .43132 L
.05848 .43027 L
.0781 .42485 L
.09772 .42044 L
.11735 .41657 L
.13697 .4126 L
.14075 .4117 L
.15659 .40416 L
.17622 .39315 L
.17789 .39207 L
.17622 .37864 L
.15659 .37373 L
.13697 .37456 L
.11735 .37748 L
.09772 .38267 L
.0781 .39079 L
.07424 .39207 L
.05848 .39474 L
.03885 .39777 L
.01923 .40138 L
s
1 g
.01923 .59862 m
.03885 .60223 L
.05848 .60526 L
.07424 .60793 L
.0781 .60921 L
.09772 .61733 L
.11735 .62252 L
.13697 .62544 L
.15659 .62627 L
.17622 .62136 L
.17789 .60793 L
.17622 .60685 L
.15659 .59584 L
.14075 .5883 L
.13697 .5874 L
.11735 .58343 L
.09772 .57956 L
.0781 .57515 L
.05848 .56973 L
.05343 .56868 L
.03885 .56644 L
.01923 .56422 L
F
0 g
.01923 .59862 m
.03885 .60223 L
.05848 .60526 L
.07424 .60793 L
.0781 .60921 L
.09772 .61733 L
.11735 .62252 L
.13697 .62544 L
.15659 .62627 L
.17622 .62136 L
.17789 .60793 L
.17622 .60685 L
.15659 .59584 L
.14075 .5883 L
.13697 .5874 L
.11735 .58343 L
.09772 .57956 L
.0781 .57515 L
.05848 .56973 L
.05343 .56868 L
.03885 .56644 L
.01923 .56422 L
s
.5 g
.01923 .40137 m
.03885 .39775 L
.05848 .3947 L
.07364 .39207 L
.0781 .39051 L
.09772 .38188 L
.11735 .37592 L
.13161 .37245 L
.13697 .36955 L
.15659 .35312 L
.15691 .35283 L
.15659 .34438 L
.13697 .33801 L
.11735 .33955 L
.09772 .34696 L
.08545 .35283 L
.0781 .35412 L
.05848 .35793 L
.03885 .36526 L
.02673 .37245 L
.01923 .37343 L
F
0 g
.01923 .40137 m
.03885 .39775 L
.05848 .3947 L
.07364 .39207 L
.0781 .39051 L
.09772 .38188 L
.11735 .37592 L
.13161 .37245 L
.13697 .36955 L
.15659 .35312 L
.15691 .35283 L
.15659 .34438 L
.13697 .33801 L
.11735 .33955 L
.09772 .34696 L
.08545 .35283 L
.0781 .35412 L
.05848 .35793 L
.03885 .36526 L
.02673 .37245 L
.01923 .37343 L
s
.5 g
.01923 .62657 m
.02673 .62755 L
.03885 .63474 L
.05848 .64207 L
.0781 .64588 L
.08545 .64717 L
.09772 .65304 L
.11735 .66045 L
.13697 .66199 L
.15659 .65562 L
.15691 .64717 L
.15659 .64688 L
.13697 .63045 L
.13161 .62755 L
.11735 .62408 L
.09772 .61812 L
.0781 .60949 L
.07364 .60793 L
.05848 .6053 L
.03885 .60225 L
.01923 .59863 L
F
0 g
.01923 .62657 m
.02673 .62755 L
.03885 .63474 L
.05848 .64207 L
.0781 .64588 L
.08545 .64717 L
.09772 .65304 L
.11735 .66045 L
.13697 .66199 L
.15659 .65562 L
.15691 .64717 L
.15659 .64688 L
.13697 .63045 L
.13161 .62755 L
.11735 .62408 L
.09772 .61812 L
.0781 .60949 L
.07364 .60793 L
.05848 .6053 L
.03885 .60225 L
.01923 .59863 L
s
.4 g
.01923 .62656 m
.02676 .62755 L
.03885 .63469 L
.05848 .64198 L
.0781 .6457 L
.08708 .64717 L
.09772 .65134 L
.11735 .65681 L
.13697 .65459 L
.14231 .64717 L
.13697 .63343 L
.12882 .62755 L
.11735 .62449 L
.09772 .61833 L
.0781 .60956 L
.0735 .60793 L
.05848 .60531 L
.03885 .60225 L
.01923 .59863 L
F
0 g
.01923 .62656 m
.02676 .62755 L
.03885 .63469 L
.05848 .64198 L
.0781 .6457 L
.08708 .64717 L
.09772 .65134 L
.11735 .65681 L
.13697 .65459 L
.14231 .64717 L
.13697 .63343 L
.12882 .62755 L
.11735 .62449 L
.09772 .61833 L
.0781 .60956 L
.0735 .60793 L
.05848 .60531 L
.03885 .60225 L
.01923 .59863 L
s
.6 g
.01923 .40137 m
.03885 .39775 L
.05848 .39469 L
.0735 .39207 L
.0781 .39044 L
.09772 .38167 L
.11735 .37551 L
.12882 .37245 L
.13697 .36657 L
.14231 .35283 L
.13697 .34541 L
.11735 .34319 L
.09772 .34866 L
.08708 .35283 L
.0781 .3543 L
.05848 .35802 L
.03885 .36531 L
.02676 .37245 L
.01923 .37344 L
F
0 g
.01923 .40137 m
.03885 .39775 L
.05848 .39469 L
.0735 .39207 L
.0781 .39044 L
.09772 .38167 L
.11735 .37551 L
.12882 .37245 L
.13697 .36657 L
.14231 .35283 L
.13697 .34541 L
.11735 .34319 L
.09772 .34866 L
.08708 .35283 L
.0781 .3543 L
.05848 .35802 L
.03885 .36531 L
.02676 .37245 L
.01923 .37344 L
s
.3 g
.01923 .62656 m
.0268 .62755 L
.03885 .63465 L
.05848 .6419 L
.0781 .64552 L
.08907 .64717 L
.09772 .64985 L
.11735 .6534 L
.13402 .64717 L
.12652 .62755 L
.11735 .6249 L
.09772 .61853 L
.0781 .60963 L
.07336 .60793 L
.05848 .60532 L
.03885 .60226 L
.01923 .59864 L
F
0 g
.01923 .62656 m
.0268 .62755 L
.03885 .63465 L
.05848 .6419 L
.0781 .64552 L
.08907 .64717 L
.09772 .64985 L
.11735 .6534 L
.13402 .64717 L
.12652 .62755 L
.11735 .6249 L
.09772 .61853 L
.0781 .60963 L
.07336 .60793 L
.05848 .60532 L
.03885 .60226 L
.01923 .59864 L
s
.7 g
.01923 .40136 m
.03885 .39774 L
.05848 .39468 L
.07336 .39207 L
.0781 .39037 L
.09772 .38147 L
.11735 .3751 L
.12652 .37245 L
.13402 .35283 L
.11735 .3466 L
.09772 .35015 L
.08907 .35283 L
.0781 .35448 L
.05848 .3581 L
.03885 .36535 L
.0268 .37245 L
.01923 .37344 L
F
0 g
.01923 .40136 m
.03885 .39774 L
.05848 .39468 L
.07336 .39207 L
.0781 .39037 L
.09772 .38147 L
.11735 .3751 L
.12652 .37245 L
.13402 .35283 L
.11735 .3466 L
.09772 .35015 L
.08907 .35283 L
.0781 .35448 L
.05848 .3581 L
.03885 .36535 L
.0268 .37245 L
.01923 .37344 L
s
.7 g
.01923 .6624 m
.03885 .66572 L
.04581 .6668 L
.05848 .67453 L
.0781 .68346 L
.09772 .68627 L
.09912 .68642 L
.11735 .68967 L
.12804 .68642 L
.12506 .6668 L
.11735 .66465 L
.09772 .65504 L
.08405 .64717 L
.0781 .64607 L
.05848 .64216 L
.03885 .63478 L
.02669 .62755 L
.01923 .62657 L
F
0 g
.01923 .6624 m
.03885 .66572 L
.04581 .6668 L
.05848 .67453 L
.0781 .68346 L
.09772 .68627 L
.09912 .68642 L
.11735 .68967 L
.12804 .68642 L
.12506 .6668 L
.11735 .66465 L
.09772 .65504 L
.08405 .64717 L
.0781 .64607 L
.05848 .64216 L
.03885 .63478 L
.02669 .62755 L
.01923 .62657 L
s
.3 g
.01923 .37343 m
.02669 .37245 L
.03885 .36522 L
.05848 .35784 L
.0781 .35393 L
.08405 .35283 L
.09772 .34496 L
.11735 .33535 L
.12506 .3332 L
.12804 .31358 L
.11735 .31033 L
.09912 .31358 L
.09772 .31373 L
.0781 .31654 L
.05848 .32547 L
.04581 .3332 L
.03885 .33428 L
.01923 .3376 L
F
0 g
.01923 .37343 m
.02669 .37245 L
.03885 .36522 L
.05848 .35784 L
.0781 .35393 L
.08405 .35283 L
.09772 .34496 L
.11735 .33535 L
.12506 .3332 L
.12804 .31358 L
.11735 .31033 L
.09912 .31358 L
.09772 .31373 L
.0781 .31654 L
.05848 .32547 L
.04581 .3332 L
.03885 .33428 L
.01923 .3376 L
s
.2 g
.01923 .62656 m
.02683 .62755 L
.03885 .63461 L
.05848 .64181 L
.0781 .64534 L
.09174 .64717 L
.09772 .64852 L
.11735 .65008 L
.12582 .64717 L
.12453 .62755 L
.11735 .62533 L
.09772 .61874 L
.0781 .60971 L
.07322 .60793 L
.05848 .60533 L
.03885 .60226 L
.01923 .59864 L
F
0 g
.01923 .62656 m
.02683 .62755 L
.03885 .63461 L
.05848 .64181 L
.0781 .64534 L
.09174 .64717 L
.09772 .64852 L
.11735 .65008 L
.12582 .64717 L
.12453 .62755 L
.11735 .62533 L
.09772 .61874 L
.0781 .60971 L
.07322 .60793 L
.05848 .60533 L
.03885 .60226 L
.01923 .59864 L
s
.8 g
.01923 .40136 m
.03885 .39774 L
.05848 .39467 L
.07322 .39207 L
.0781 .39029 L
.09772 .38126 L
.11735 .37467 L
.12453 .37245 L
.12582 .35283 L
.11735 .34992 L
.09772 .35148 L
.09174 .35283 L
.0781 .35466 L
.05848 .35819 L
.03885 .36539 L
.02683 .37245 L
.01923 .37344 L
F
0 g
.01923 .40136 m
.03885 .39774 L
.05848 .39467 L
.07322 .39207 L
.0781 .39029 L
.09772 .38126 L
.11735 .37467 L
.12453 .37245 L
.12582 .35283 L
.11735 .34992 L
.09772 .35148 L
.09174 .35283 L
.0781 .35466 L
.05848 .35819 L
.03885 .36539 L
.02683 .37245 L
.01923 .37344 L
s
.9 g
.01923 .40136 m
.03885 .39773 L
.05848 .39466 L
.07308 .39207 L
.0781 .39022 L
.09772 .38105 L
.11735 .37424 L
.12278 .37245 L
.11735 .353 L
.11643 .35283 L
.09772 .3527 L
.09661 .35283 L
.0781 .35484 L
.05848 .35828 L
.03885 .36544 L
.02687 .37245 L
.01923 .37345 L
F
0 g
.01923 .40136 m
.03885 .39773 L
.05848 .39466 L
.07308 .39207 L
.0781 .39022 L
.09772 .38105 L
.11735 .37424 L
.12278 .37245 L
.11735 .353 L
.11643 .35283 L
.09772 .3527 L
.09661 .35283 L
.0781 .35484 L
.05848 .35828 L
.03885 .36544 L
.02687 .37245 L
.01923 .37345 L
s
.1 g
.01923 .62655 m
.02687 .62755 L
.03885 .63456 L
.05848 .64172 L
.0781 .64516 L
.09661 .64717 L
.09772 .6473 L
.11643 .64717 L
.11735 .647 L
.12278 .62755 L
.11735 .62576 L
.09772 .61895 L
.0781 .60978 L
.07308 .60793 L
.05848 .60534 L
.03885 .60227 L
.01923 .59864 L
F
0 g
.01923 .62655 m
.02687 .62755 L
.03885 .63456 L
.05848 .64172 L
.0781 .64516 L
.09661 .64717 L
.09772 .6473 L
.11643 .64717 L
.11735 .647 L
.12278 .62755 L
.11735 .62576 L
.09772 .61895 L
.0781 .60978 L
.07308 .60793 L
.05848 .60534 L
.03885 .60227 L
.01923 .59864 L
s
1 g
.01923 .40136 m
.03885 .39773 L
.05848 .39465 L
.07295 .39207 L
.0781 .39015 L
.09772 .38084 L
.11735 .37379 L
.1212 .37245 L
.11735 .35442 L
.09772 .35322 L
.0781 .35502 L
.05848 .35836 L
.03885 .36548 L
.02691 .37245 L
.01923 .37345 L
F
0 g
.01923 .40136 m
.03885 .39773 L
.05848 .39465 L
.07295 .39207 L
.0781 .39015 L
.09772 .38084 L
.11735 .37379 L
.1212 .37245 L
.11735 .35442 L
.09772 .35322 L
.0781 .35502 L
.05848 .35836 L
.03885 .36548 L
.02691 .37245 L
.01923 .37345 L
s
.01923 .62655 m
.02691 .62755 L
.03885 .63452 L
.05848 .64164 L
.0781 .64498 L
.09772 .64678 L
.11735 .64558 L
.1212 .62755 L
.11735 .62621 L
.09772 .61916 L
.0781 .60985 L
.07295 .60793 L
.05848 .60535 L
.03885 .60227 L
.01923 .59864 L
F
.01923 .62655 m
.02691 .62755 L
.03885 .63452 L
.05848 .64164 L
.0781 .64498 L
.09772 .64678 L
.11735 .64558 L
.1212 .62755 L
.11735 .62621 L
.09772 .61916 L
.0781 .60985 L
.07295 .60793 L
.05848 .60535 L
.03885 .60227 L
.01923 .59864 L
s
.2 g
.01923 .37343 m
.02666 .37245 L
.03885 .36518 L
.05848 .35776 L
.0781 .35375 L
.08281 .35283 L
.09772 .34244 L
.10805 .3332 L
.09772 .31898 L
.0781 .31927 L
.05848 .3269 L
.04668 .3332 L
.03885 .33436 L
.01923 .33764 L
F
0 g
.01923 .37343 m
.02666 .37245 L
.03885 .36518 L
.05848 .35776 L
.0781 .35375 L
.08281 .35283 L
.09772 .34244 L
.10805 .3332 L
.09772 .31898 L
.0781 .31927 L
.05848 .3269 L
.04668 .3332 L
.03885 .33436 L
.01923 .33764 L
s
.8 g
.01923 .66236 m
.03885 .66564 L
.04668 .6668 L
.05848 .6731 L
.0781 .68073 L
.09772 .68102 L
.10805 .6668 L
.09772 .65756 L
.08281 .64717 L
.0781 .64625 L
.05848 .64224 L
.03885 .63482 L
.02666 .62755 L
.01923 .62657 L
F
0 g
.01923 .66236 m
.03885 .66564 L
.04668 .6668 L
.05848 .6731 L
.0781 .68073 L
.09772 .68102 L
.10805 .6668 L
.09772 .65756 L
.08281 .64717 L
.0781 .64625 L
.05848 .64224 L
.03885 .63482 L
.02666 .62755 L
.01923 .62657 L
s
.1 g
.01923 .37342 m
.02662 .37245 L
.03885 .36513 L
.05848 .35767 L
.0781 .35356 L
.08169 .35283 L
.09772 .33873 L
.09957 .3332 L
.09772 .3248 L
.0781 .32184 L
.05848 .32816 L
.04763 .3332 L
.03885 .33445 L
.01923 .33768 L
F
0 g
.01923 .37342 m
.02662 .37245 L
.03885 .36513 L
.05848 .35767 L
.0781 .35356 L
.08169 .35283 L
.09772 .33873 L
.09957 .3332 L
.09772 .3248 L
.0781 .32184 L
.05848 .32816 L
.04763 .3332 L
.03885 .33445 L
.01923 .33768 L
s
.9 g
.01923 .66232 m
.03885 .66555 L
.04763 .6668 L
.05848 .67184 L
.0781 .67816 L
.09772 .6752 L
.09957 .6668 L
.09772 .66127 L
.08169 .64717 L
.0781 .64644 L
.05848 .64233 L
.03885 .63487 L
.02662 .62755 L
.01923 .62658 L
F
0 g
.01923 .66232 m
.03885 .66555 L
.04763 .6668 L
.05848 .67184 L
.0781 .67816 L
.09772 .6752 L
.09957 .6668 L
.09772 .66127 L
.08169 .64717 L
.0781 .64644 L
.05848 .64233 L
.03885 .63487 L
.02662 .62755 L
.01923 .62658 L
s
.01923 .37342 m
.02659 .37245 L
.03885 .36509 L
.05848 .35758 L
.0781 .35337 L
.08066 .35283 L
.09663 .3332 L
.0781 .32435 L
.05848 .3293 L
.0487 .3332 L
.03885 .33454 L
.01923 .33772 L
F
.01923 .37342 m
.02659 .37245 L
.03885 .36509 L
.05848 .35758 L
.0781 .35337 L
.08066 .35283 L
.09663 .3332 L
.0781 .32435 L
.05848 .3293 L
.0487 .3332 L
.03885 .33454 L
.01923 .33772 L
s
1 g
.01923 .66228 m
.03885 .66546 L
.0487 .6668 L
.05848 .6707 L
.0781 .67565 L
.09663 .6668 L
.08066 .64717 L
.0781 .64663 L
.05848 .64242 L
.03885 .63491 L
.02659 .62755 L
.01923 .62658 L
F
0 g
.01923 .66228 m
.03885 .66546 L
.0487 .6668 L
.05848 .6707 L
.0781 .67565 L
.09663 .6668 L
.08066 .64717 L
.0781 .64663 L
.05848 .64242 L
.03885 .63491 L
.02659 .62755 L
.01923 .62658 L
s
.5 g
.01923 .33755 m
.03885 .33419 L
.04502 .3332 L
.05848 .32379 L
.07751 .31358 L
.05848 .29727 L
.03885 .29961 L
.01923 .31204 L
F
0 g
.01923 .33755 m
.03885 .33419 L
.04502 .3332 L
.05848 .32379 L
.07751 .31358 L
.05848 .29727 L
.03885 .29961 L
.01923 .31204 L
s
.5 g
.01923 .68796 m
.03885 .70039 L
.05848 .70273 L
.07751 .68642 L
.05848 .67621 L
.04502 .6668 L
.03885 .66581 L
.01923 .66245 L
F
0 g
.01923 .68796 m
.03885 .70039 L
.05848 .70273 L
.07751 .68642 L
.05848 .67621 L
.04502 .6668 L
.03885 .66581 L
.01923 .66245 L
s
.6 g
.01923 .33751 m
.03885 .3341 L
.04429 .3332 L
.05848 .32169 L
.06562 .31358 L
.05848 .30114 L
.03885 .30183 L
.01923 .31264 L
F
0 g
.01923 .33751 m
.03885 .3341 L
.04429 .3332 L
.05848 .32169 L
.06562 .31358 L
.05848 .30114 L
.03885 .30183 L
.01923 .31264 L
s
.4 g
.01923 .68736 m
.03885 .69817 L
.05848 .69886 L
.06562 .68642 L
.05848 .67831 L
.04429 .6668 L
.03885 .6659 L
.01923 .66249 L
F
0 g
.01923 .68736 m
.03885 .69817 L
.05848 .69886 L
.06562 .68642 L
.05848 .67831 L
.04429 .6668 L
.03885 .6659 L
.01923 .66249 L
s
.7 g
.01923 .33747 m
.03885 .33401 L
.04361 .3332 L
.05848 .3187 L
.06005 .31358 L
.05848 .30565 L
.03885 .30395 L
.01923 .3132 L
F
0 g
.01923 .33747 m
.03885 .33401 L
.04361 .3332 L
.05848 .3187 L
.06005 .31358 L
.05848 .30565 L
.03885 .30395 L
.01923 .3132 L
s
.3 g
.01923 .6868 m
.03885 .69605 L
.05848 .69435 L
.06005 .68642 L
.05848 .6813 L
.04361 .6668 L
.03885 .66599 L
.01923 .66253 L
F
0 g
.01923 .6868 m
.03885 .69605 L
.05848 .69435 L
.06005 .68642 L
.05848 .6813 L
.04361 .6668 L
.03885 .66599 L
.01923 .66253 L
s
.2 g
.01923 .68639 m
.01975 .68642 L
.03885 .694 L
.0573 .68642 L
.04296 .6668 L
.03885 .66608 L
.01923 .66257 L
F
0 g
.01923 .68639 m
.01975 .68642 L
.03885 .694 L
.0573 .68642 L
.04296 .6668 L
.03885 .66608 L
.01923 .66257 L
s
.8 g
.01923 .33743 m
.03885 .33392 L
.04296 .3332 L
.0573 .31358 L
.03885 .306 L
.01975 .31358 L
.01923 .31361 L
F
0 g
.01923 .33743 m
.03885 .33392 L
.04296 .3332 L
.0573 .31358 L
.03885 .306 L
.01975 .31358 L
.01923 .31361 L
s
.3 g
.01923 .31139 m
.03885 .29719 L
.05464 .29396 L
.03885 .27525 L
.01923 .27665 L
F
0 g
.01923 .31139 m
.03885 .29719 L
.05464 .29396 L
.03885 .27525 L
.01923 .27665 L
s
.7 g
.01923 .72335 m
.03885 .72475 L
.05464 .70604 L
.03885 .70281 L
.01923 .68861 L
F
0 g
.01923 .72335 m
.03885 .72475 L
.05464 .70604 L
.03885 .70281 L
.01923 .68861 L
s
.1 g
.01923 .68626 m
.02179 .68642 L
.03885 .69197 L
.05332 .68642 L
.04236 .6668 L
.03885 .66617 L
.01923 .66261 L
F
0 g
.01923 .68626 m
.02179 .68642 L
.03885 .69197 L
.05332 .68642 L
.04236 .6668 L
.03885 .66617 L
.01923 .66261 L
s
.9 g
.01923 .33739 m
.03885 .33383 L
.04236 .3332 L
.05332 .31358 L
.03885 .30803 L
.02179 .31358 L
.01923 .31374 L
F
0 g
.01923 .33739 m
.03885 .33383 L
.04236 .3332 L
.05332 .31358 L
.03885 .30803 L
.02179 .31358 L
.01923 .31374 L
s
.01923 .68614 m
.0243 .68642 L
.03885 .68993 L
.04913 .68642 L
.04178 .6668 L
.03885 .66626 L
.01923 .66266 L
F
.01923 .68614 m
.0243 .68642 L
.03885 .68993 L
.04913 .68642 L
.04178 .6668 L
.03885 .66626 L
.01923 .66266 L
s
1 g
.01923 .33734 m
.03885 .33374 L
.04178 .3332 L
.04913 .31358 L
.03885 .31007 L
.0243 .31358 L
.01923 .31386 L
F
0 g
.01923 .33734 m
.03885 .33374 L
.04178 .3332 L
.04913 .31358 L
.03885 .31007 L
.0243 .31358 L
.01923 .31386 L
s
.8 g
.01923 .71989 m
.03885 .71664 L
.04039 .70604 L
.03885 .70557 L
.01923 .68932 L
F
0 g
.01923 .71989 m
.03885 .71664 L
.04039 .70604 L
.03885 .70557 L
.01923 .68932 L
s
.2 g
.01923 .31068 m
.03885 .29443 L
.04039 .29396 L
.03885 .28336 L
.01923 .28011 L
F
0 g
.01923 .31068 m
.03885 .29443 L
.04039 .29396 L
.03885 .28336 L
.01923 .28011 L
s
.9 g
.01923 .71643 m
.03165 .70604 L
.01923 .69011 L
F
0 g
.01923 .71643 m
.03165 .70604 L
.01923 .69011 L
s
.1 g
.01923 .30989 m
.03165 .29396 L
.01923 .28357 L
F
0 g
.01923 .30989 m
.03165 .29396 L
.01923 .28357 L
s
1 g
.01923 .71254 m
.02494 .70604 L
.01923 .69102 L
F
0 g
.01923 .71254 m
.02494 .70604 L
.01923 .69102 L
s
.01923 .30898 m
.02494 .29396 L
.01923 .28746 L
F
.01923 .30898 m
.02494 .29396 L
.01923 .28746 L
s
.7 g
.98077 .53301 m
.96115 .53482 L
.94152 .53651 L
.9219 .5382 L
.90228 .53999 L
.88265 .54196 L
.86303 .54421 L
.84341 .54683 L
.82958 .54906 L
.82378 .5503 L
.80416 .55505 L
.78454 .55984 L
.76491 .56473 L
.74984 .56868 L
.74529 .57027 L
.72567 .57747 L
.70604 .5839 L
.68913 .5883 L
.68642 .58899 L
.6668 .59253 L
.64717 .58994 L
.62846 .5883 L
.62755 .58754 L
.61076 .56868 L
.61658 .54906 L
.62755 .53763 L
.63881 .52943 L
.64717 .52198 L
.6668 .51688 L
.68642 .51106 L
.6918 .50981 L
.70604 .50691 L
.72567 .50412 L
.74529 .50232 L
.76491 .5012 L
.78454 .50054 L
.80416 .50016 L
.82378 .50024 L
.84341 .50012 L
.86303 .50006 L
.88265 .50003 L
.90228 .50001 L
.9219 .5 L
.94152 .5 L
.96115 .5 L
.98077 .5 L
F
0 g
.98077 .53301 m
.96115 .53482 L
.94152 .53651 L
.9219 .5382 L
.90228 .53999 L
.88265 .54196 L
.86303 .54421 L
.84341 .54683 L
.82958 .54906 L
.82378 .5503 L
.80416 .55505 L
.78454 .55984 L
.76491 .56473 L
.74984 .56868 L
.74529 .57027 L
.72567 .57747 L
.70604 .5839 L
.68913 .5883 L
.68642 .58899 L
.6668 .59253 L
.64717 .58994 L
.62846 .5883 L
.62755 .58754 L
.61076 .56868 L
.61658 .54906 L
.62755 .53763 L
.63881 .52943 L
.64717 .52198 L
.6668 .51688 L
.68642 .51106 L
.6918 .50981 L
.70604 .50691 L
.72567 .50412 L
.74529 .50232 L
.76491 .5012 L
.78454 .50054 L
.80416 .50016 L
.82378 .50024 L
.84341 .50012 L
.86303 .50006 L
.88265 .50003 L
.90228 .50001 L
.9219 .5 L
.94152 .5 L
.96115 .5 L
.98077 .5 L
s
.3 g
.98077 .5 m
.96115 .5 L
.94152 .5 L
.9219 .5 L
.90228 .49999 L
.88265 .49997 L
.86303 .49994 L
.84341 .49988 L
.82378 .49976 L
.80416 .49984 L
.78454 .49946 L
.76491 .4988 L
.74529 .49768 L
.72567 .49588 L
.70604 .49309 L
.6918 .49019 L
.68642 .48894 L
.6668 .48312 L
.64717 .47802 L
.63881 .47057 L
.62755 .46237 L
.61658 .45094 L
.61076 .43132 L
.62755 .41246 L
.62846 .4117 L
.64717 .41006 L
.6668 .40747 L
.68642 .41101 L
.68913 .4117 L
.70604 .4161 L
.72567 .42253 L
.74529 .42973 L
.74984 .43132 L
.76491 .43527 L
.78454 .44016 L
.80416 .44495 L
.82378 .4497 L
.82958 .45094 L
.84341 .45317 L
.86303 .45579 L
.88265 .45804 L
.90228 .46001 L
.9219 .4618 L
.94152 .46349 L
.96115 .46518 L
.98077 .46699 L
F
0 g
.98077 .5 m
.96115 .5 L
.94152 .5 L
.9219 .5 L
.90228 .49999 L
.88265 .49997 L
.86303 .49994 L
.84341 .49988 L
.82378 .49976 L
.80416 .49984 L
.78454 .49946 L
.76491 .4988 L
.74529 .49768 L
.72567 .49588 L
.70604 .49309 L
.6918 .49019 L
.68642 .48894 L
.6668 .48312 L
.64717 .47802 L
.63881 .47057 L
.62755 .46237 L
.61658 .45094 L
.61076 .43132 L
.62755 .41246 L
.62846 .4117 L
.64717 .41006 L
.6668 .40747 L
.68642 .41101 L
.68913 .4117 L
.70604 .4161 L
.72567 .42253 L
.74529 .42973 L
.74984 .43132 L
.76491 .43527 L
.78454 .44016 L
.80416 .44495 L
.82378 .4497 L
.82958 .45094 L
.84341 .45317 L
.86303 .45579 L
.88265 .45804 L
.90228 .46001 L
.9219 .4618 L
.94152 .46349 L
.96115 .46518 L
.98077 .46699 L
s
.8 g
.98077 .53301 m
.96115 .53482 L
.94152 .53651 L
.9219 .5382 L
.90228 .53998 L
.88265 .54194 L
.86303 .54415 L
.84341 .54671 L
.82816 .54906 L
.82378 .54993 L
.80416 .55431 L
.78454 .55846 L
.76491 .56219 L
.74529 .56274 L
.72567 .5669 L
.70604 .56796 L
.68642 .56363 L
.66734 .54906 L
.67348 .52943 L
.68642 .52069 L
.70604 .51252 L
.71551 .50981 L
.72567 .50727 L
.74529 .50399 L
.76491 .50204 L
.78454 .5009 L
.80416 .50026 L
.82378 .50041 L
.84341 .5002 L
.86303 .5001 L
.88265 .50004 L
.90228 .50002 L
.9219 .50001 L
.94152 .5 L
.96115 .5 L
.98077 .5 L
F
0 g
.98077 .53301 m
.96115 .53482 L
.94152 .53651 L
.9219 .5382 L
.90228 .53998 L
.88265 .54194 L
.86303 .54415 L
.84341 .54671 L
.82816 .54906 L
.82378 .54993 L
.80416 .55431 L
.78454 .55846 L
.76491 .56219 L
.74529 .56274 L
.72567 .5669 L
.70604 .56796 L
.68642 .56363 L
.66734 .54906 L
.67348 .52943 L
.68642 .52069 L
.70604 .51252 L
.71551 .50981 L
.72567 .50727 L
.74529 .50399 L
.76491 .50204 L
.78454 .5009 L
.80416 .50026 L
.82378 .50041 L
.84341 .5002 L
.86303 .5001 L
.88265 .50004 L
.90228 .50002 L
.9219 .50001 L
.94152 .5 L
.96115 .5 L
.98077 .5 L
s
.2 g
.98077 .5 m
.96115 .5 L
.94152 .5 L
.9219 .49999 L
.90228 .49998 L
.88265 .49996 L
.86303 .4999 L
.84341 .4998 L
.82378 .49959 L
.80416 .49974 L
.78454 .4991 L
.76491 .49796 L
.74529 .49601 L
.72567 .49273 L
.71551 .49019 L
.70604 .48748 L
.68642 .47931 L
.67348 .47057 L
.66734 .45094 L
.68642 .43637 L
.70604 .43204 L
.72567 .4331 L
.74529 .43726 L
.76491 .43781 L
.78454 .44154 L
.80416 .44569 L
.82378 .45007 L
.82816 .45094 L
.84341 .45329 L
.86303 .45585 L
.88265 .45806 L
.90228 .46002 L
.9219 .4618 L
.94152 .46349 L
.96115 .46518 L
.98077 .46699 L
F
0 g
.98077 .5 m
.96115 .5 L
.94152 .5 L
.9219 .49999 L
.90228 .49998 L
.88265 .49996 L
.86303 .4999 L
.84341 .4998 L
.82378 .49959 L
.80416 .49974 L
.78454 .4991 L
.76491 .49796 L
.74529 .49601 L
.72567 .49273 L
.71551 .49019 L
.70604 .48748 L
.68642 .47931 L
.67348 .47057 L
.66734 .45094 L
.68642 .43637 L
.70604 .43204 L
.72567 .4331 L
.74529 .43726 L
.76491 .43781 L
.78454 .44154 L
.80416 .44569 L
.82378 .45007 L
.82816 .45094 L
.84341 .45329 L
.86303 .45585 L
.88265 .45806 L
.90228 .46002 L
.9219 .4618 L
.94152 .46349 L
.96115 .46518 L
.98077 .46699 L
s
.1 g
.98077 .5 m
.96115 .5 L
.94152 .5 L
.9219 .49999 L
.90228 .49997 L
.88265 .49994 L
.86303 .49987 L
.84341 .49972 L
.82378 .49943 L
.80416 .49963 L
.78454 .49871 L
.76491 .49707 L
.74529 .49414 L
.72956 .49019 L
.72567 .48905 L
.70604 .4807 L
.69303 .47057 L
.69515 .45094 L
.70604 .43895 L
.72567 .43989 L
.74529 .44264 L
.76491 .44017 L
.78454 .44288 L
.80416 .44641 L
.82378 .45044 L
.82655 .45094 L
.84341 .45342 L
.86303 .4559 L
.88265 .45809 L
.90228 .46003 L
.9219 .46181 L
.94152 .46349 L
.96115 .46519 L
.98077 .46699 L
F
0 g
.98077 .5 m
.96115 .5 L
.94152 .5 L
.9219 .49999 L
.90228 .49997 L
.88265 .49994 L
.86303 .49987 L
.84341 .49972 L
.82378 .49943 L
.80416 .49963 L
.78454 .49871 L
.76491 .49707 L
.74529 .49414 L
.72956 .49019 L
.72567 .48905 L
.70604 .4807 L
.69303 .47057 L
.69515 .45094 L
.70604 .43895 L
.72567 .43989 L
.74529 .44264 L
.76491 .44017 L
.78454 .44288 L
.80416 .44641 L
.82378 .45044 L
.82655 .45094 L
.84341 .45342 L
.86303 .4559 L
.88265 .45809 L
.90228 .46003 L
.9219 .46181 L
.94152 .46349 L
.96115 .46519 L
.98077 .46699 L
s
.9 g
.98077 .53301 m
.96115 .53481 L
.94152 .53651 L
.9219 .53819 L
.90228 .53997 L
.88265 .54191 L
.86303 .5441 L
.84341 .54658 L
.82655 .54906 L
.82378 .54956 L
.80416 .55359 L
.78454 .55712 L
.76491 .55983 L
.74529 .55736 L
.72567 .56011 L
.70604 .56105 L
.69515 .54906 L
.69303 .52943 L
.70604 .5193 L
.72567 .51095 L
.72956 .50981 L
.74529 .50586 L
.76491 .50293 L
.78454 .50129 L
.80416 .50037 L
.82378 .50057 L
.84341 .50028 L
.86303 .50013 L
.88265 .50006 L
.90228 .50003 L
.9219 .50001 L
.94152 .5 L
.96115 .5 L
.98077 .5 L
F
0 g
.98077 .53301 m
.96115 .53481 L
.94152 .53651 L
.9219 .53819 L
.90228 .53997 L
.88265 .54191 L
.86303 .5441 L
.84341 .54658 L
.82655 .54906 L
.82378 .54956 L
.80416 .55359 L
.78454 .55712 L
.76491 .55983 L
.74529 .55736 L
.72567 .56011 L
.70604 .56105 L
.69515 .54906 L
.69303 .52943 L
.70604 .5193 L
.72567 .51095 L
.72956 .50981 L
.74529 .50586 L
.76491 .50293 L
.78454 .50129 L
.80416 .50037 L
.82378 .50057 L
.84341 .50028 L
.86303 .50013 L
.88265 .50006 L
.90228 .50003 L
.9219 .50001 L
.94152 .5 L
.96115 .5 L
.98077 .5 L
s
.98077 .5 m
.96115 .5 L
.94152 .49999 L
.9219 .49999 L
.90228 .49997 L
.88265 .49992 L
.86303 .49983 L
.84341 .49964 L
.82378 .49927 L
.80416 .49951 L
.78454 .49831 L
.76491 .49609 L
.74529 .49199 L
.73983 .49019 L
.72567 .48492 L
.70629 .47057 L
.71456 .45094 L
.72567 .4456 L
.74529 .44604 L
.76491 .44242 L
.78454 .44417 L
.80416 .44712 L
.82378 .4508 L
.82465 .45094 L
.84341 .45354 L
.86303 .45596 L
.88265 .45811 L
.90228 .46004 L
.9219 .46181 L
.94152 .4635 L
.96115 .46519 L
.98077 .46699 L
F
.98077 .5 m
.96115 .5 L
.94152 .49999 L
.9219 .49999 L
.90228 .49997 L
.88265 .49992 L
.86303 .49983 L
.84341 .49964 L
.82378 .49927 L
.80416 .49951 L
.78454 .49831 L
.76491 .49609 L
.74529 .49199 L
.73983 .49019 L
.72567 .48492 L
.70629 .47057 L
.71456 .45094 L
.72567 .4456 L
.74529 .44604 L
.76491 .44242 L
.78454 .44417 L
.80416 .44712 L
.82378 .4508 L
.82465 .45094 L
.84341 .45354 L
.86303 .45596 L
.88265 .45811 L
.90228 .46004 L
.9219 .46181 L
.94152 .4635 L
.96115 .46519 L
.98077 .46699 L
s
1 g
.98077 .53301 m
.96115 .53481 L
.94152 .5365 L
.9219 .53819 L
.90228 .53996 L
.88265 .54189 L
.86303 .54404 L
.84341 .54646 L
.82465 .54906 L
.82378 .5492 L
.80416 .55288 L
.78454 .55583 L
.76491 .55758 L
.74529 .55396 L
.72567 .5544 L
.71456 .54906 L
.70629 .52943 L
.72567 .51508 L
.73983 .50981 L
.74529 .50801 L
.76491 .50391 L
.78454 .50169 L
.80416 .50049 L
.82378 .50073 L
.84341 .50036 L
.86303 .50017 L
.88265 .50008 L
.90228 .50003 L
.9219 .50001 L
.94152 .50001 L
.96115 .5 L
.98077 .5 L
F
0 g
.98077 .53301 m
.96115 .53481 L
.94152 .5365 L
.9219 .53819 L
.90228 .53996 L
.88265 .54189 L
.86303 .54404 L
.84341 .54646 L
.82465 .54906 L
.82378 .5492 L
.80416 .55288 L
.78454 .55583 L
.76491 .55758 L
.74529 .55396 L
.72567 .5544 L
.71456 .54906 L
.70629 .52943 L
.72567 .51508 L
.73983 .50981 L
.74529 .50801 L
.76491 .50391 L
.78454 .50169 L
.80416 .50049 L
.82378 .50073 L
.84341 .50036 L
.86303 .50017 L
.88265 .50008 L
.90228 .50003 L
.9219 .50001 L
.94152 .50001 L
.96115 .5 L
.98077 .5 L
s
.5 g
.98077 .46699 m
.96115 .46518 L
.94152 .46349 L
.9219 .46179 L
.90228 .46 L
.88265 .45801 L
.86303 .45574 L
.84341 .45305 L
.83085 .45094 L
.82378 .44933 L
.80416 .44419 L
.78454 .4387 L
.76491 .43247 L
.7618 .43132 L
.74529 .42029 L
.73829 .4117 L
.74529 .39618 L
.76491 .39218 L
.78454 .39299 L
.80416 .39605 L
.82378 .40084 L
.84341 .40742 L
.85559 .4117 L
.86303 .41324 L
.88265 .41685 L
.90228 .42057 L
.9219 .42491 L
.94152 .43029 L
.9465 .43132 L
.96115 .43357 L
.98077 .43578 L
F
0 g
.98077 .46699 m
.96115 .46518 L
.94152 .46349 L
.9219 .46179 L
.90228 .46 L
.88265 .45801 L
.86303 .45574 L
.84341 .45305 L
.83085 .45094 L
.82378 .44933 L
.80416 .44419 L
.78454 .4387 L
.76491 .43247 L
.7618 .43132 L
.74529 .42029 L
.73829 .4117 L
.74529 .39618 L
.76491 .39218 L
.78454 .39299 L
.80416 .39605 L
.82378 .40084 L
.84341 .40742 L
.85559 .4117 L
.86303 .41324 L
.88265 .41685 L
.90228 .42057 L
.9219 .42491 L
.94152 .43029 L
.9465 .43132 L
.96115 .43357 L
.98077 .43578 L
s
.5 g
.98077 .56422 m
.96115 .56643 L
.9465 .56868 L
.94152 .56971 L
.9219 .57509 L
.90228 .57943 L
.88265 .58315 L
.86303 .58676 L
.85559 .5883 L
.84341 .59258 L
.82378 .59916 L
.80416 .60395 L
.78454 .60701 L
.76491 .60782 L
.74529 .60382 L
.73829 .5883 L
.74529 .57971 L
.7618 .56868 L
.76491 .56753 L
.78454 .5613 L
.80416 .55581 L
.82378 .55067 L
.83085 .54906 L
.84341 .54695 L
.86303 .54426 L
.88265 .54199 L
.90228 .54 L
.9219 .53821 L
.94152 .53651 L
.96115 .53482 L
.98077 .53301 L
F
0 g
.98077 .56422 m
.96115 .56643 L
.9465 .56868 L
.94152 .56971 L
.9219 .57509 L
.90228 .57943 L
.88265 .58315 L
.86303 .58676 L
.85559 .5883 L
.84341 .59258 L
.82378 .59916 L
.80416 .60395 L
.78454 .60701 L
.76491 .60782 L
.74529 .60382 L
.73829 .5883 L
.74529 .57971 L
.7618 .56868 L
.76491 .56753 L
.78454 .5613 L
.80416 .55581 L
.82378 .55067 L
.83085 .54906 L
.84341 .54695 L
.86303 .54426 L
.88265 .54199 L
.90228 .54 L
.9219 .53821 L
.94152 .53651 L
.96115 .53482 L
.98077 .53301 L
s
.4 g
.98077 .56422 m
.96115 .56643 L
.94648 .56868 L
.94152 .5697 L
.9219 .57507 L
.90228 .5794 L
.88265 .58308 L
.86303 .5866 L
.85447 .5883 L
.84341 .59186 L
.82378 .59765 L
.80416 .60118 L
.78454 .60195 L
.76491 .59784 L
.75636 .5883 L
.76491 .57213 L
.7704 .56868 L
.78454 .56284 L
.80416 .55659 L
.82378 .55105 L
.83201 .54906 L
.84341 .54707 L
.86303 .54432 L
.88265 .54201 L
.90228 .54001 L
.9219 .53821 L
.94152 .53651 L
.96115 .53482 L
.98077 .53301 L
F
0 g
.98077 .56422 m
.96115 .56643 L
.94648 .56868 L
.94152 .5697 L
.9219 .57507 L
.90228 .5794 L
.88265 .58308 L
.86303 .5866 L
.85447 .5883 L
.84341 .59186 L
.82378 .59765 L
.80416 .60118 L
.78454 .60195 L
.76491 .59784 L
.75636 .5883 L
.76491 .57213 L
.7704 .56868 L
.78454 .56284 L
.80416 .55659 L
.82378 .55105 L
.83201 .54906 L
.84341 .54707 L
.86303 .54432 L
.88265 .54201 L
.90228 .54001 L
.9219 .53821 L
.94152 .53651 L
.96115 .53482 L
.98077 .53301 L
s
.6 g
.98077 .46699 m
.96115 .46518 L
.94152 .46349 L
.9219 .46179 L
.90228 .45999 L
.88265 .45799 L
.86303 .45568 L
.84341 .45293 L
.83201 .45094 L
.82378 .44895 L
.80416 .44341 L
.78454 .43716 L
.7704 .43132 L
.76491 .42787 L
.75636 .4117 L
.76491 .40216 L
.78454 .39805 L
.80416 .39882 L
.82378 .40235 L
.84341 .40814 L
.85447 .4117 L
.86303 .4134 L
.88265 .41692 L
.90228 .4206 L
.9219 .42493 L
.94152 .4303 L
.94648 .43132 L
.96115 .43357 L
.98077 .43578 L
F
0 g
.98077 .46699 m
.96115 .46518 L
.94152 .46349 L
.9219 .46179 L
.90228 .45999 L
.88265 .45799 L
.86303 .45568 L
.84341 .45293 L
.83201 .45094 L
.82378 .44895 L
.80416 .44341 L
.78454 .43716 L
.7704 .43132 L
.76491 .42787 L
.75636 .4117 L
.76491 .40216 L
.78454 .39805 L
.80416 .39882 L
.82378 .40235 L
.84341 .40814 L
.85447 .4117 L
.86303 .4134 L
.88265 .41692 L
.90228 .4206 L
.9219 .42493 L
.94152 .4303 L
.94648 .43132 L
.96115 .43357 L
.98077 .43578 L
s
.3 g
.98077 .56422 m
.96115 .56643 L
.94646 .56868 L
.94152 .56969 L
.9219 .57506 L
.90228 .57937 L
.88265 .58301 L
.86303 .58645 L
.85323 .5883 L
.84341 .59117 L
.82378 .59623 L
.80416 .5986 L
.78454 .59718 L
.76863 .5883 L
.77702 .56868 L
.78454 .5645 L
.80416 .55739 L
.82378 .55144 L
.83306 .54906 L
.84341 .54719 L
.86303 .54437 L
.88265 .54204 L
.90228 .54002 L
.9219 .53822 L
.94152 .53652 L
.96115 .53482 L
.98077 .53301 L
F
0 g
.98077 .56422 m
.96115 .56643 L
.94646 .56868 L
.94152 .56969 L
.9219 .57506 L
.90228 .57937 L
.88265 .58301 L
.86303 .58645 L
.85323 .5883 L
.84341 .59117 L
.82378 .59623 L
.80416 .5986 L
.78454 .59718 L
.76863 .5883 L
.77702 .56868 L
.78454 .5645 L
.80416 .55739 L
.82378 .55144 L
.83306 .54906 L
.84341 .54719 L
.86303 .54437 L
.88265 .54204 L
.90228 .54002 L
.9219 .53822 L
.94152 .53652 L
.96115 .53482 L
.98077 .53301 L
s
.7 g
.98077 .46699 m
.96115 .46518 L
.94152 .46348 L
.9219 .46178 L
.90228 .45998 L
.88265 .45796 L
.86303 .45563 L
.84341 .45281 L
.83306 .45094 L
.82378 .44856 L
.80416 .44261 L
.78454 .4355 L
.77702 .43132 L
.76863 .4117 L
.78454 .40282 L
.80416 .4014 L
.82378 .40377 L
.84341 .40883 L
.85323 .4117 L
.86303 .41355 L
.88265 .41699 L
.90228 .42063 L
.9219 .42494 L
.94152 .43031 L
.94646 .43132 L
.96115 .43357 L
.98077 .43578 L
F
0 g
.98077 .46699 m
.96115 .46518 L
.94152 .46348 L
.9219 .46178 L
.90228 .45998 L
.88265 .45796 L
.86303 .45563 L
.84341 .45281 L
.83306 .45094 L
.82378 .44856 L
.80416 .44261 L
.78454 .4355 L
.77702 .43132 L
.76863 .4117 L
.78454 .40282 L
.80416 .4014 L
.82378 .40377 L
.84341 .40883 L
.85323 .4117 L
.86303 .41355 L
.88265 .41699 L
.90228 .42063 L
.9219 .42494 L
.94152 .43031 L
.94646 .43132 L
.96115 .43357 L
.98077 .43578 L
s
.3 g
.98077 .43578 m
.96115 .43356 L
.94652 .43132 L
.94152 .43029 L
.9219 .4249 L
.90228 .42054 L
.88265 .41678 L
.86303 .41308 L
.85661 .4117 L
.84341 .40667 L
.82378 .39922 L
.80416 .39293 L
.80145 .39207 L
.78454 .38151 L
.77501 .37245 L
.78454 .35379 L
.80416 .35319 L
.82378 .35591 L
.84341 .36219 L
.86303 .37174 L
.86477 .37245 L
.88265 .37632 L
.90228 .38208 L
.9219 .39058 L
.92622 .39207 L
.94152 .39471 L
.96115 .39775 L
.98077 .40137 L
F
0 g
.98077 .43578 m
.96115 .43356 L
.94652 .43132 L
.94152 .43029 L
.9219 .4249 L
.90228 .42054 L
.88265 .41678 L
.86303 .41308 L
.85661 .4117 L
.84341 .40667 L
.82378 .39922 L
.80416 .39293 L
.80145 .39207 L
.78454 .38151 L
.77501 .37245 L
.78454 .35379 L
.80416 .35319 L
.82378 .35591 L
.84341 .36219 L
.86303 .37174 L
.86477 .37245 L
.88265 .37632 L
.90228 .38208 L
.9219 .39058 L
.92622 .39207 L
.94152 .39471 L
.96115 .39775 L
.98077 .40137 L
s
.7 g
.98077 .59863 m
.96115 .60225 L
.94152 .60529 L
.92622 .60793 L
.9219 .60942 L
.90228 .61792 L
.88265 .62368 L
.86477 .62755 L
.86303 .62826 L
.84341 .63781 L
.82378 .64409 L
.80416 .64681 L
.78454 .64621 L
.77501 .62755 L
.78454 .61849 L
.80145 .60793 L
.80416 .60707 L
.82378 .60078 L
.84341 .59333 L
.85661 .5883 L
.86303 .58692 L
.88265 .58322 L
.90228 .57946 L
.9219 .5751 L
.94152 .56971 L
.94652 .56868 L
.96115 .56644 L
.98077 .56422 L
F
0 g
.98077 .59863 m
.96115 .60225 L
.94152 .60529 L
.92622 .60793 L
.9219 .60942 L
.90228 .61792 L
.88265 .62368 L
.86477 .62755 L
.86303 .62826 L
.84341 .63781 L
.82378 .64409 L
.80416 .64681 L
.78454 .64621 L
.77501 .62755 L
.78454 .61849 L
.80145 .60793 L
.80416 .60707 L
.82378 .60078 L
.84341 .59333 L
.85661 .5883 L
.86303 .58692 L
.88265 .58322 L
.90228 .57946 L
.9219 .5751 L
.94152 .56971 L
.94652 .56868 L
.96115 .56644 L
.98077 .56422 L
s
.2 g
.98077 .56422 m
.96115 .56643 L
.94644 .56868 L
.94152 .56969 L
.9219 .57504 L
.90228 .57933 L
.88265 .58294 L
.86303 .58629 L
.85183 .5883 L
.84341 .59051 L
.82378 .59488 L
.80416 .59614 L
.78454 .59222 L
.77871 .5883 L
.78149 .56868 L
.78454 .56632 L
.80416 .55822 L
.82378 .55184 L
.83404 .54906 L
.84341 .54731 L
.86303 .54443 L
.88265 .54206 L
.90228 .54003 L
.9219 .53822 L
.94152 .53652 L
.96115 .53482 L
.98077 .53301 L
F
0 g
.98077 .56422 m
.96115 .56643 L
.94644 .56868 L
.94152 .56969 L
.9219 .57504 L
.90228 .57933 L
.88265 .58294 L
.86303 .58629 L
.85183 .5883 L
.84341 .59051 L
.82378 .59488 L
.80416 .59614 L
.78454 .59222 L
.77871 .5883 L
.78149 .56868 L
.78454 .56632 L
.80416 .55822 L
.82378 .55184 L
.83404 .54906 L
.84341 .54731 L
.86303 .54443 L
.88265 .54206 L
.90228 .54003 L
.9219 .53822 L
.94152 .53652 L
.96115 .53482 L
.98077 .53301 L
s
.8 g
.98077 .46699 m
.96115 .46518 L
.94152 .46348 L
.9219 .46178 L
.90228 .45997 L
.88265 .45794 L
.86303 .45557 L
.84341 .45269 L
.83404 .45094 L
.82378 .44816 L
.80416 .44178 L
.78454 .43368 L
.78149 .43132 L
.77871 .4117 L
.78454 .40778 L
.80416 .40386 L
.82378 .40512 L
.84341 .40949 L
.85183 .4117 L
.86303 .41371 L
.88265 .41706 L
.90228 .42067 L
.9219 .42496 L
.94152 .43031 L
.94644 .43132 L
.96115 .43357 L
.98077 .43578 L
F
0 g
.98077 .46699 m
.96115 .46518 L
.94152 .46348 L
.9219 .46178 L
.90228 .45997 L
.88265 .45794 L
.86303 .45557 L
.84341 .45269 L
.83404 .45094 L
.82378 .44816 L
.80416 .44178 L
.78454 .43368 L
.78149 .43132 L
.77871 .4117 L
.78454 .40778 L
.80416 .40386 L
.82378 .40512 L
.84341 .40949 L
.85183 .4117 L
.86303 .41371 L
.88265 .41706 L
.90228 .42067 L
.9219 .42496 L
.94152 .43031 L
.94644 .43132 L
.96115 .43357 L
.98077 .43578 L
s
.9 g
.98077 .46699 m
.96115 .46518 L
.94152 .46348 L
.9219 .46177 L
.90228 .45995 L
.88265 .45792 L
.86303 .45552 L
.84341 .45256 L
.83496 .45094 L
.82378 .44776 L
.80416 .44091 L
.78454 .43162 L
.78427 .43132 L
.78454 .41327 L
.78699 .4117 L
.80416 .40625 L
.82378 .40642 L
.84341 .41012 L
.85021 .4117 L
.86303 .41387 L
.88265 .41713 L
.90228 .4207 L
.9219 .42497 L
.94152 .43032 L
.94642 .43132 L
.96115 .43357 L
.98077 .43578 L
F
0 g
.98077 .46699 m
.96115 .46518 L
.94152 .46348 L
.9219 .46177 L
.90228 .45995 L
.88265 .45792 L
.86303 .45552 L
.84341 .45256 L
.83496 .45094 L
.82378 .44776 L
.80416 .44091 L
.78454 .43162 L
.78427 .43132 L
.78454 .41327 L
.78699 .4117 L
.80416 .40625 L
.82378 .40642 L
.84341 .41012 L
.85021 .4117 L
.86303 .41387 L
.88265 .41713 L
.90228 .4207 L
.9219 .42497 L
.94152 .43032 L
.94642 .43132 L
.96115 .43357 L
.98077 .43578 L
s
.1 g
.98077 .56422 m
.96115 .56643 L
.94642 .56868 L
.94152 .56968 L
.9219 .57503 L
.90228 .5793 L
.88265 .58287 L
.86303 .58613 L
.85021 .5883 L
.84341 .58988 L
.82378 .59358 L
.80416 .59375 L
.78699 .5883 L
.78454 .58673 L
.78427 .56868 L
.78454 .56838 L
.80416 .55909 L
.82378 .55224 L
.83496 .54906 L
.84341 .54744 L
.86303 .54448 L
.88265 .54208 L
.90228 .54005 L
.9219 .53823 L
.94152 .53652 L
.96115 .53482 L
.98077 .53301 L
F
0 g
.98077 .56422 m
.96115 .56643 L
.94642 .56868 L
.94152 .56968 L
.9219 .57503 L
.90228 .5793 L
.88265 .58287 L
.86303 .58613 L
.85021 .5883 L
.84341 .58988 L
.82378 .59358 L
.80416 .59375 L
.78699 .5883 L
.78454 .58673 L
.78427 .56868 L
.78454 .56838 L
.80416 .55909 L
.82378 .55224 L
.83496 .54906 L
.84341 .54744 L
.86303 .54448 L
.88265 .54208 L
.90228 .54005 L
.9219 .53823 L
.94152 .53652 L
.96115 .53482 L
.98077 .53301 L
s
1 g
.98077 .46699 m
.96115 .46518 L
.94152 .46348 L
.9219 .46177 L
.90228 .45994 L
.88265 .45789 L
.86303 .45546 L
.84341 .45244 L
.83581 .45094 L
.82378 .44735 L
.80416 .44001 L
.78793 .43132 L
.79457 .4117 L
.80416 .40863 L
.82378 .40767 L
.84341 .41074 L
.84824 .4117 L
.86303 .41402 L
.88265 .4172 L
.90228 .42073 L
.9219 .42499 L
.94152 .43032 L
.9464 .43132 L
.96115 .43357 L
.98077 .43578 L
F
0 g
.98077 .46699 m
.96115 .46518 L
.94152 .46348 L
.9219 .46177 L
.90228 .45994 L
.88265 .45789 L
.86303 .45546 L
.84341 .45244 L
.83581 .45094 L
.82378 .44735 L
.80416 .44001 L
.78793 .43132 L
.79457 .4117 L
.80416 .40863 L
.82378 .40767 L
.84341 .41074 L
.84824 .4117 L
.86303 .41402 L
.88265 .4172 L
.90228 .42073 L
.9219 .42499 L
.94152 .43032 L
.9464 .43132 L
.96115 .43357 L
.98077 .43578 L
s
.98077 .56422 m
.96115 .56643 L
.9464 .56868 L
.94152 .56968 L
.9219 .57501 L
.90228 .57927 L
.88265 .5828 L
.86303 .58598 L
.84824 .5883 L
.84341 .58926 L
.82378 .59233 L
.80416 .59137 L
.79457 .5883 L
.78793 .56868 L
.80416 .55999 L
.82378 .55265 L
.83581 .54906 L
.84341 .54756 L
.86303 .54454 L
.88265 .54211 L
.90228 .54006 L
.9219 .53823 L
.94152 .53652 L
.96115 .53482 L
.98077 .53301 L
F
.98077 .56422 m
.96115 .56643 L
.9464 .56868 L
.94152 .56968 L
.9219 .57501 L
.90228 .57927 L
.88265 .5828 L
.86303 .58598 L
.84824 .5883 L
.84341 .58926 L
.82378 .59233 L
.80416 .59137 L
.79457 .5883 L
.78793 .56868 L
.80416 .55999 L
.82378 .55265 L
.83581 .54906 L
.84341 .54756 L
.86303 .54454 L
.88265 .54211 L
.90228 .54006 L
.9219 .53823 L
.94152 .53652 L
.96115 .53482 L
.98077 .53301 L
s
.8 g
.98077 .59863 m
.96115 .60224 L
.94152 .60528 L
.92607 .60793 L
.9219 .60935 L
.90228 .61772 L
.88265 .62329 L
.86303 .62703 L
.86013 .62755 L
.84341 .63257 L
.82378 .63438 L
.80623 .62755 L
.81091 .60793 L
.82378 .60255 L
.84341 .59412 L
.85755 .5883 L
.86303 .58708 L
.88265 .58329 L
.90228 .5795 L
.9219 .57512 L
.94152 .56972 L
.94654 .56868 L
.96115 .56644 L
.98077 .56422 L
F
0 g
.98077 .59863 m
.96115 .60224 L
.94152 .60528 L
.92607 .60793 L
.9219 .60935 L
.90228 .61772 L
.88265 .62329 L
.86303 .62703 L
.86013 .62755 L
.84341 .63257 L
.82378 .63438 L
.80623 .62755 L
.81091 .60793 L
.82378 .60255 L
.84341 .59412 L
.85755 .5883 L
.86303 .58708 L
.88265 .58329 L
.90228 .5795 L
.9219 .57512 L
.94152 .56972 L
.94654 .56868 L
.96115 .56644 L
.98077 .56422 L
s
.2 g
.98077 .43578 m
.96115 .43356 L
.94654 .43132 L
.94152 .43028 L
.9219 .42488 L
.90228 .4205 L
.88265 .41671 L
.86303 .41292 L
.85755 .4117 L
.84341 .40588 L
.82378 .39745 L
.81091 .39207 L
.80623 .37245 L
.82378 .36562 L
.84341 .36743 L
.86013 .37245 L
.86303 .37297 L
.88265 .37671 L
.90228 .38228 L
.9219 .39065 L
.92607 .39207 L
.94152 .39472 L
.96115 .39776 L
.98077 .40137 L
F
0 g
.98077 .43578 m
.96115 .43356 L
.94654 .43132 L
.94152 .43028 L
.9219 .42488 L
.90228 .4205 L
.88265 .41671 L
.86303 .41292 L
.85755 .4117 L
.84341 .40588 L
.82378 .39745 L
.81091 .39207 L
.80623 .37245 L
.82378 .36562 L
.84341 .36743 L
.86013 .37245 L
.86303 .37297 L
.88265 .37671 L
.90228 .38228 L
.9219 .39065 L
.92607 .39207 L
.94152 .39472 L
.96115 .39776 L
.98077 .40137 L
s
.1 g
.98077 .43578 m
.96115 .43356 L
.94655 .43132 L
.94152 .43027 L
.9219 .42487 L
.90228 .42047 L
.88265 .41664 L
.86303 .41276 L
.85843 .4117 L
.84341 .40505 L
.82378 .39547 L
.81725 .39207 L
.82378 .37349 L
.82829 .37245 L
.84341 .37148 L
.85238 .37245 L
.86303 .37377 L
.88265 .3771 L
.90228 .38247 L
.9219 .39072 L
.92592 .39207 L
.94152 .39473 L
.96115 .39776 L
.98077 .40137 L
F
0 g
.98077 .43578 m
.96115 .43356 L
.94655 .43132 L
.94152 .43027 L
.9219 .42487 L
.90228 .42047 L
.88265 .41664 L
.86303 .41276 L
.85843 .4117 L
.84341 .40505 L
.82378 .39547 L
.81725 .39207 L
.82378 .37349 L
.82829 .37245 L
.84341 .37148 L
.85238 .37245 L
.86303 .37377 L
.88265 .3771 L
.90228 .38247 L
.9219 .39072 L
.92592 .39207 L
.94152 .39473 L
.96115 .39776 L
.98077 .40137 L
s
.9 g
.98077 .59863 m
.96115 .60224 L
.94152 .60527 L
.92592 .60793 L
.9219 .60928 L
.90228 .61753 L
.88265 .6229 L
.86303 .62623 L
.85238 .62755 L
.84341 .62852 L
.82829 .62755 L
.82378 .62651 L
.81725 .60793 L
.82378 .60453 L
.84341 .59495 L
.85843 .5883 L
.86303 .58724 L
.88265 .58336 L
.90228 .57953 L
.9219 .57513 L
.94152 .56973 L
.94655 .56868 L
.96115 .56644 L
.98077 .56422 L
F
0 g
.98077 .59863 m
.96115 .60224 L
.94152 .60527 L
.92592 .60793 L
.9219 .60928 L
.90228 .61753 L
.88265 .6229 L
.86303 .62623 L
.85238 .62755 L
.84341 .62852 L
.82829 .62755 L
.82378 .62651 L
.81725 .60793 L
.82378 .60453 L
.84341 .59495 L
.85843 .5883 L
.86303 .58724 L
.88265 .58336 L
.90228 .57953 L
.9219 .57513 L
.94152 .56973 L
.94655 .56868 L
.96115 .56644 L
.98077 .56422 L
s
.98077 .43578 m
.96115 .43356 L
.94657 .43132 L
.94152 .43027 L
.9219 .42485 L
.90228 .42044 L
.88265 .41657 L
.86303 .4126 L
.85925 .4117 L
.84341 .40416 L
.82378 .39315 L
.82211 .39207 L
.82378 .37864 L
.84341 .37373 L
.86303 .37456 L
.88265 .37748 L
.90228 .38267 L
.9219 .39079 L
.92576 .39207 L
.94152 .39474 L
.96115 .39777 L
.98077 .40138 L
F
.98077 .43578 m
.96115 .43356 L
.94657 .43132 L
.94152 .43027 L
.9219 .42485 L
.90228 .42044 L
.88265 .41657 L
.86303 .4126 L
.85925 .4117 L
.84341 .40416 L
.82378 .39315 L
.82211 .39207 L
.82378 .37864 L
.84341 .37373 L
.86303 .37456 L
.88265 .37748 L
.90228 .38267 L
.9219 .39079 L
.92576 .39207 L
.94152 .39474 L
.96115 .39777 L
.98077 .40138 L
s
1 g
.98077 .59862 m
.96115 .60223 L
.94152 .60526 L
.92576 .60793 L
.9219 .60921 L
.90228 .61733 L
.88265 .62252 L
.86303 .62544 L
.84341 .62627 L
.82378 .62136 L
.82211 .60793 L
.82378 .60685 L
.84341 .59584 L
.85925 .5883 L
.86303 .5874 L
.88265 .58343 L
.90228 .57956 L
.9219 .57515 L
.94152 .56973 L
.94657 .56868 L
.96115 .56644 L
.98077 .56422 L
F
0 g
.98077 .59862 m
.96115 .60223 L
.94152 .60526 L
.92576 .60793 L
.9219 .60921 L
.90228 .61733 L
.88265 .62252 L
.86303 .62544 L
.84341 .62627 L
.82378 .62136 L
.82211 .60793 L
.82378 .60685 L
.84341 .59584 L
.85925 .5883 L
.86303 .5874 L
.88265 .58343 L
.90228 .57956 L
.9219 .57515 L
.94152 .56973 L
.94657 .56868 L
.96115 .56644 L
.98077 .56422 L
s
.5 g
.98077 .40137 m
.96115 .39775 L
.94152 .3947 L
.92636 .39207 L
.9219 .39051 L
.90228 .38188 L
.88265 .37592 L
.86839 .37245 L
.86303 .36955 L
.84341 .35312 L
.84309 .35283 L
.84341 .34438 L
.86303 .33801 L
.88265 .33955 L
.90228 .34696 L
.91455 .35283 L
.9219 .35412 L
.94152 .35793 L
.96115 .36526 L
.97327 .37245 L
.98077 .37343 L
F
0 g
.98077 .40137 m
.96115 .39775 L
.94152 .3947 L
.92636 .39207 L
.9219 .39051 L
.90228 .38188 L
.88265 .37592 L
.86839 .37245 L
.86303 .36955 L
.84341 .35312 L
.84309 .35283 L
.84341 .34438 L
.86303 .33801 L
.88265 .33955 L
.90228 .34696 L
.91455 .35283 L
.9219 .35412 L
.94152 .35793 L
.96115 .36526 L
.97327 .37245 L
.98077 .37343 L
s
.5 g
.98077 .62657 m
.97327 .62755 L
.96115 .63474 L
.94152 .64207 L
.9219 .64588 L
.91455 .64717 L
.90228 .65304 L
.88265 .66045 L
.86303 .66199 L
.84341 .65562 L
.84309 .64717 L
.84341 .64688 L
.86303 .63045 L
.86839 .62755 L
.88265 .62408 L
.90228 .61812 L
.9219 .60949 L
.92636 .60793 L
.94152 .6053 L
.96115 .60225 L
.98077 .59863 L
F
0 g
.98077 .62657 m
.97327 .62755 L
.96115 .63474 L
.94152 .64207 L
.9219 .64588 L
.91455 .64717 L
.90228 .65304 L
.88265 .66045 L
.86303 .66199 L
.84341 .65562 L
.84309 .64717 L
.84341 .64688 L
.86303 .63045 L
.86839 .62755 L
.88265 .62408 L
.90228 .61812 L
.9219 .60949 L
.92636 .60793 L
.94152 .6053 L
.96115 .60225 L
.98077 .59863 L
s
.4 g
.98077 .62656 m
.97324 .62755 L
.96115 .63469 L
.94152 .64198 L
.9219 .6457 L
.91292 .64717 L
.90228 .65134 L
.88265 .65681 L
.86303 .65459 L
.85769 .64717 L
.86303 .63343 L
.87118 .62755 L
.88265 .62449 L
.90228 .61833 L
.9219 .60956 L
.9265 .60793 L
.94152 .60531 L
.96115 .60225 L
.98077 .59863 L
F
0 g
.98077 .62656 m
.97324 .62755 L
.96115 .63469 L
.94152 .64198 L
.9219 .6457 L
.91292 .64717 L
.90228 .65134 L
.88265 .65681 L
.86303 .65459 L
.85769 .64717 L
.86303 .63343 L
.87118 .62755 L
.88265 .62449 L
.90228 .61833 L
.9219 .60956 L
.9265 .60793 L
.94152 .60531 L
.96115 .60225 L
.98077 .59863 L
s
.6 g
.98077 .40137 m
.96115 .39775 L
.94152 .39469 L
.9265 .39207 L
.9219 .39044 L
.90228 .38167 L
.88265 .37551 L
.87118 .37245 L
.86303 .36657 L
.85769 .35283 L
.86303 .34541 L
.88265 .34319 L
.90228 .34866 L
.91292 .35283 L
.9219 .3543 L
.94152 .35802 L
.96115 .36531 L
.97324 .37245 L
.98077 .37344 L
F
0 g
.98077 .40137 m
.96115 .39775 L
.94152 .39469 L
.9265 .39207 L
.9219 .39044 L
.90228 .38167 L
.88265 .37551 L
.87118 .37245 L
.86303 .36657 L
.85769 .35283 L
.86303 .34541 L
.88265 .34319 L
.90228 .34866 L
.91292 .35283 L
.9219 .3543 L
.94152 .35802 L
.96115 .36531 L
.97324 .37245 L
.98077 .37344 L
s
.3 g
.98077 .62656 m
.9732 .62755 L
.96115 .63465 L
.94152 .6419 L
.9219 .64552 L
.91093 .64717 L
.90228 .64985 L
.88265 .6534 L
.86598 .64717 L
.87348 .62755 L
.88265 .6249 L
.90228 .61853 L
.9219 .60963 L
.92664 .60793 L
.94152 .60532 L
.96115 .60226 L
.98077 .59864 L
F
0 g
.98077 .62656 m
.9732 .62755 L
.96115 .63465 L
.94152 .6419 L
.9219 .64552 L
.91093 .64717 L
.90228 .64985 L
.88265 .6534 L
.86598 .64717 L
.87348 .62755 L
.88265 .6249 L
.90228 .61853 L
.9219 .60963 L
.92664 .60793 L
.94152 .60532 L
.96115 .60226 L
.98077 .59864 L
s
.7 g
.98077 .40136 m
.96115 .39774 L
.94152 .39468 L
.92664 .39207 L
.9219 .39037 L
.90228 .38147 L
.88265 .3751 L
.87348 .37245 L
.86598 .35283 L
.88265 .3466 L
.90228 .35015 L
.91093 .35283 L
.9219 .35448 L
.94152 .3581 L
.96115 .36535 L
.9732 .37245 L
.98077 .37344 L
F
0 g
.98077 .40136 m
.96115 .39774 L
.94152 .39468 L
.92664 .39207 L
.9219 .39037 L
.90228 .38147 L
.88265 .3751 L
.87348 .37245 L
.86598 .35283 L
.88265 .3466 L
.90228 .35015 L
.91093 .35283 L
.9219 .35448 L
.94152 .3581 L
.96115 .36535 L
.9732 .37245 L
.98077 .37344 L
s
.7 g
.98077 .6624 m
.96115 .66572 L
.95419 .6668 L
.94152 .67453 L
.9219 .68346 L
.90228 .68627 L
.90088 .68642 L
.88265 .68967 L
.87196 .68642 L
.87494 .6668 L
.88265 .66465 L
.90228 .65504 L
.91595 .64717 L
.9219 .64607 L
.94152 .64216 L
.96115 .63478 L
.97331 .62755 L
.98077 .62657 L
F
0 g
.98077 .6624 m
.96115 .66572 L
.95419 .6668 L
.94152 .67453 L
.9219 .68346 L
.90228 .68627 L
.90088 .68642 L
.88265 .68967 L
.87196 .68642 L
.87494 .6668 L
.88265 .66465 L
.90228 .65504 L
.91595 .64717 L
.9219 .64607 L
.94152 .64216 L
.96115 .63478 L
.97331 .62755 L
.98077 .62657 L
s
.3 g
.98077 .37343 m
.97331 .37245 L
.96115 .36522 L
.94152 .35784 L
.9219 .35393 L
.91595 .35283 L
.90228 .34496 L
.88265 .33535 L
.87494 .3332 L
.87196 .31358 L
.88265 .31033 L
.90088 .31358 L
.90228 .31373 L
.9219 .31654 L
.94152 .32547 L
.95419 .3332 L
.96115 .33428 L
.98077 .3376 L
F
0 g
.98077 .37343 m
.97331 .37245 L
.96115 .36522 L
.94152 .35784 L
.9219 .35393 L
.91595 .35283 L
.90228 .34496 L
.88265 .33535 L
.87494 .3332 L
.87196 .31358 L
.88265 .31033 L
.90088 .31358 L
.90228 .31373 L
.9219 .31654 L
.94152 .32547 L
.95419 .3332 L
.96115 .33428 L
.98077 .3376 L
s
.2 g
.98077 .62656 m
.97317 .62755 L
.96115 .63461 L
.94152 .64181 L
.9219 .64534 L
.90826 .64717 L
.90228 .64852 L
.88265 .65008 L
.87418 .64717 L
.87547 .62755 L
.88265 .62533 L
.90228 .61874 L
.9219 .60971 L
.92678 .60793 L
.94152 .60533 L
.96115 .60226 L
.98077 .59864 L
F
0 g
.98077 .62656 m
.97317 .62755 L
.96115 .63461 L
.94152 .64181 L
.9219 .64534 L
.90826 .64717 L
.90228 .64852 L
.88265 .65008 L
.87418 .64717 L
.87547 .62755 L
.88265 .62533 L
.90228 .61874 L
.9219 .60971 L
.92678 .60793 L
.94152 .60533 L
.96115 .60226 L
.98077 .59864 L
s
.8 g
.98077 .40136 m
.96115 .39774 L
.94152 .39467 L
.92678 .39207 L
.9219 .39029 L
.90228 .38126 L
.88265 .37467 L
.87547 .37245 L
.87418 .35283 L
.88265 .34992 L
.90228 .35148 L
.90826 .35283 L
.9219 .35466 L
.94152 .35819 L
.96115 .36539 L
.97317 .37245 L
.98077 .37344 L
F
0 g
.98077 .40136 m
.96115 .39774 L
.94152 .39467 L
.92678 .39207 L
.9219 .39029 L
.90228 .38126 L
.88265 .37467 L
.87547 .37245 L
.87418 .35283 L
.88265 .34992 L
.90228 .35148 L
.90826 .35283 L
.9219 .35466 L
.94152 .35819 L
.96115 .36539 L
.97317 .37245 L
.98077 .37344 L
s
.9 g
.98077 .40136 m
.96115 .39773 L
.94152 .39466 L
.92692 .39207 L
.9219 .39022 L
.90228 .38105 L
.88265 .37424 L
.87722 .37245 L
.88265 .353 L
.88357 .35283 L
.90228 .3527 L
.90339 .35283 L
.9219 .35484 L
.94152 .35828 L
.96115 .36544 L
.97313 .37245 L
.98077 .37345 L
F
0 g
.98077 .40136 m
.96115 .39773 L
.94152 .39466 L
.92692 .39207 L
.9219 .39022 L
.90228 .38105 L
.88265 .37424 L
.87722 .37245 L
.88265 .353 L
.88357 .35283 L
.90228 .3527 L
.90339 .35283 L
.9219 .35484 L
.94152 .35828 L
.96115 .36544 L
.97313 .37245 L
.98077 .37345 L
s
.1 g
.98077 .62655 m
.97313 .62755 L
.96115 .63456 L
.94152 .64172 L
.9219 .64516 L
.90339 .64717 L
.90228 .6473 L
.88357 .64717 L
.88265 .647 L
.87722 .62755 L
.88265 .62576 L
.90228 .61895 L
.9219 .60978 L
.92692 .60793 L
.94152 .60534 L
.96115 .60227 L
.98077 .59864 L
F
0 g
.98077 .62655 m
.97313 .62755 L
.96115 .63456 L
.94152 .64172 L
.9219 .64516 L
.90339 .64717 L
.90228 .6473 L
.88357 .64717 L
.88265 .647 L
.87722 .62755 L
.88265 .62576 L
.90228 .61895 L
.9219 .60978 L
.92692 .60793 L
.94152 .60534 L
.96115 .60227 L
.98077 .59864 L
s
1 g
.98077 .40136 m
.96115 .39773 L
.94152 .39465 L
.92705 .39207 L
.9219 .39015 L
.90228 .38084 L
.88265 .37379 L
.8788 .37245 L
.88265 .35442 L
.90228 .35322 L
.9219 .35502 L
.94152 .35836 L
.96115 .36548 L
.97309 .37245 L
.98077 .37345 L
F
0 g
.98077 .40136 m
.96115 .39773 L
.94152 .39465 L
.92705 .39207 L
.9219 .39015 L
.90228 .38084 L
.88265 .37379 L
.8788 .37245 L
.88265 .35442 L
.90228 .35322 L
.9219 .35502 L
.94152 .35836 L
.96115 .36548 L
.97309 .37245 L
.98077 .37345 L
s
.98077 .62655 m
.97309 .62755 L
.96115 .63452 L
.94152 .64164 L
.9219 .64498 L
.90228 .64678 L
.88265 .64558 L
.8788 .62755 L
.88265 .62621 L
.90228 .61916 L
.9219 .60985 L
.92705 .60793 L
.94152 .60535 L
.96115 .60227 L
.98077 .59864 L
F
.98077 .62655 m
.97309 .62755 L
.96115 .63452 L
.94152 .64164 L
.9219 .64498 L
.90228 .64678 L
.88265 .64558 L
.8788 .62755 L
.88265 .62621 L
.90228 .61916 L
.9219 .60985 L
.92705 .60793 L
.94152 .60535 L
.96115 .60227 L
.98077 .59864 L
s
.2 g
.98077 .37343 m
.97334 .37245 L
.96115 .36518 L
.94152 .35776 L
.9219 .35375 L
.91719 .35283 L
.90228 .34244 L
.89195 .3332 L
.90228 .31898 L
.9219 .31927 L
.94152 .3269 L
.95332 .3332 L
.96115 .33436 L
.98077 .33764 L
F
0 g
.98077 .37343 m
.97334 .37245 L
.96115 .36518 L
.94152 .35776 L
.9219 .35375 L
.91719 .35283 L
.90228 .34244 L
.89195 .3332 L
.90228 .31898 L
.9219 .31927 L
.94152 .3269 L
.95332 .3332 L
.96115 .33436 L
.98077 .33764 L
s
.8 g
.98077 .66236 m
.96115 .66564 L
.95332 .6668 L
.94152 .6731 L
.9219 .68073 L
.90228 .68102 L
.89195 .6668 L
.90228 .65756 L
.91719 .64717 L
.9219 .64625 L
.94152 .64224 L
.96115 .63482 L
.97334 .62755 L
.98077 .62657 L
F
0 g
.98077 .66236 m
.96115 .66564 L
.95332 .6668 L
.94152 .6731 L
.9219 .68073 L
.90228 .68102 L
.89195 .6668 L
.90228 .65756 L
.91719 .64717 L
.9219 .64625 L
.94152 .64224 L
.96115 .63482 L
.97334 .62755 L
.98077 .62657 L
s
.1 g
.98077 .37342 m
.97338 .37245 L
.96115 .36513 L
.94152 .35767 L
.9219 .35356 L
.91831 .35283 L
.90228 .33873 L
.90043 .3332 L
.90228 .3248 L
.9219 .32184 L
.94152 .32816 L
.95237 .3332 L
.96115 .33445 L
.98077 .33768 L
F
0 g
.98077 .37342 m
.97338 .37245 L
.96115 .36513 L
.94152 .35767 L
.9219 .35356 L
.91831 .35283 L
.90228 .33873 L
.90043 .3332 L
.90228 .3248 L
.9219 .32184 L
.94152 .32816 L
.95237 .3332 L
.96115 .33445 L
.98077 .33768 L
s
.9 g
.98077 .66232 m
.96115 .66555 L
.95237 .6668 L
.94152 .67184 L
.9219 .67816 L
.90228 .6752 L
.90043 .6668 L
.90228 .66127 L
.91831 .64717 L
.9219 .64644 L
.94152 .64233 L
.96115 .63487 L
.97338 .62755 L
.98077 .62658 L
F
0 g
.98077 .66232 m
.96115 .66555 L
.95237 .6668 L
.94152 .67184 L
.9219 .67816 L
.90228 .6752 L
.90043 .6668 L
.90228 .66127 L
.91831 .64717 L
.9219 .64644 L
.94152 .64233 L
.96115 .63487 L
.97338 .62755 L
.98077 .62658 L
s
.98077 .37342 m
.97341 .37245 L
.96115 .36509 L
.94152 .35758 L
.9219 .35337 L
.91934 .35283 L
.90337 .3332 L
.9219 .32435 L
.94152 .3293 L
.9513 .3332 L
.96115 .33454 L
.98077 .33772 L
F
.98077 .37342 m
.97341 .37245 L
.96115 .36509 L
.94152 .35758 L
.9219 .35337 L
.91934 .35283 L
.90337 .3332 L
.9219 .32435 L
.94152 .3293 L
.9513 .3332 L
.96115 .33454 L
.98077 .33772 L
s
1 g
.98077 .66228 m
.96115 .66546 L
.9513 .6668 L
.94152 .6707 L
.9219 .67565 L
.90337 .6668 L
.91934 .64717 L
.9219 .64663 L
.94152 .64242 L
.96115 .63491 L
.97341 .62755 L
.98077 .62658 L
F
0 g
.98077 .66228 m
.96115 .66546 L
.9513 .6668 L
.94152 .6707 L
.9219 .67565 L
.90337 .6668 L
.91934 .64717 L
.9219 .64663 L
.94152 .64242 L
.96115 .63491 L
.97341 .62755 L
.98077 .62658 L
s
.5 g
.98077 .33755 m
.96115 .33419 L
.95498 .3332 L
.94152 .32379 L
.92249 .31358 L
.94152 .29727 L
.96115 .29961 L
.98077 .31204 L
F
0 g
.98077 .33755 m
.96115 .33419 L
.95498 .3332 L
.94152 .32379 L
.92249 .31358 L
.94152 .29727 L
.96115 .29961 L
.98077 .31204 L
s
.5 g
.98077 .68796 m
.96115 .70039 L
.94152 .70273 L
.92249 .68642 L
.94152 .67621 L
.95498 .6668 L
.96115 .66581 L
.98077 .66245 L
F
0 g
.98077 .68796 m
.96115 .70039 L
.94152 .70273 L
.92249 .68642 L
.94152 .67621 L
.95498 .6668 L
.96115 .66581 L
.98077 .66245 L
s
.6 g
.98077 .33751 m
.96115 .3341 L
.95571 .3332 L
.94152 .32169 L
.93438 .31358 L
.94152 .30114 L
.96115 .30183 L
.98077 .31264 L
F
0 g
.98077 .33751 m
.96115 .3341 L
.95571 .3332 L
.94152 .32169 L
.93438 .31358 L
.94152 .30114 L
.96115 .30183 L
.98077 .31264 L
s
.4 g
.98077 .68736 m
.96115 .69817 L
.94152 .69886 L
.93438 .68642 L
.94152 .67831 L
.95571 .6668 L
.96115 .6659 L
.98077 .66249 L
F
0 g
.98077 .68736 m
.96115 .69817 L
.94152 .69886 L
.93438 .68642 L
.94152 .67831 L
.95571 .6668 L
.96115 .6659 L
.98077 .66249 L
s
.7 g
.98077 .33747 m
.96115 .33401 L
.95639 .3332 L
.94152 .3187 L
.93995 .31358 L
.94152 .30565 L
.96115 .30395 L
.98077 .3132 L
F
0 g
.98077 .33747 m
.96115 .33401 L
.95639 .3332 L
.94152 .3187 L
.93995 .31358 L
.94152 .30565 L
.96115 .30395 L
.98077 .3132 L
s
.3 g
.98077 .6868 m
.96115 .69605 L
.94152 .69435 L
.93995 .68642 L
.94152 .6813 L
.95639 .6668 L
.96115 .66599 L
.98077 .66253 L
F
0 g
.98077 .6868 m
.96115 .69605 L
.94152 .69435 L
.93995 .68642 L
.94152 .6813 L
.95639 .6668 L
.96115 .66599 L
.98077 .66253 L
s
.2 g
.98077 .68639 m
.98025 .68642 L
.96115 .694 L
.9427 .68642 L
.95704 .6668 L
.96115 .66608 L
.98077 .66257 L
F
0 g
.98077 .68639 m
.98025 .68642 L
.96115 .694 L
.9427 .68642 L
.95704 .6668 L
.96115 .66608 L
.98077 .66257 L
s
.8 g
.98077 .33743 m
.96115 .33392 L
.95704 .3332 L
.9427 .31358 L
.96115 .306 L
.98025 .31358 L
.98077 .31361 L
F
0 g
.98077 .33743 m
.96115 .33392 L
.95704 .3332 L
.9427 .31358 L
.96115 .306 L
.98025 .31358 L
.98077 .31361 L
s
.3 g
.98077 .31139 m
.96115 .29719 L
.94536 .29396 L
.96115 .27525 L
.98077 .27665 L
F
0 g
.98077 .31139 m
.96115 .29719 L
.94536 .29396 L
.96115 .27525 L
.98077 .27665 L
s
.7 g
.98077 .72335 m
.96115 .72475 L
.94536 .70604 L
.96115 .70281 L
.98077 .68861 L
F
0 g
.98077 .72335 m
.96115 .72475 L
.94536 .70604 L
.96115 .70281 L
.98077 .68861 L
s
.1 g
.98077 .68626 m
.97821 .68642 L
.96115 .69197 L
.94668 .68642 L
.95764 .6668 L
.96115 .66617 L
.98077 .66261 L
F
0 g
.98077 .68626 m
.97821 .68642 L
.96115 .69197 L
.94668 .68642 L
.95764 .6668 L
.96115 .66617 L
.98077 .66261 L
s
.9 g
.98077 .33739 m
.96115 .33383 L
.95764 .3332 L
.94668 .31358 L
.96115 .30803 L
.97821 .31358 L
.98077 .31374 L
F
0 g
.98077 .33739 m
.96115 .33383 L
.95764 .3332 L
.94668 .31358 L
.96115 .30803 L
.97821 .31358 L
.98077 .31374 L
s
.98077 .68614 m
.9757 .68642 L
.96115 .68993 L
.95087 .68642 L
.95822 .6668 L
.96115 .66626 L
.98077 .66266 L
F
.98077 .68614 m
.9757 .68642 L
.96115 .68993 L
.95087 .68642 L
.95822 .6668 L
.96115 .66626 L
.98077 .66266 L
s
1 g
.98077 .33734 m
.96115 .33374 L
.95822 .3332 L
.95087 .31358 L
.96115 .31007 L
.9757 .31358 L
.98077 .31386 L
F
0 g
.98077 .33734 m
.96115 .33374 L
.95822 .3332 L
.95087 .31358 L
.96115 .31007 L
.9757 .31358 L
.98077 .31386 L
s
.8 g
.98077 .71989 m
.96115 .71664 L
.95961 .70604 L
.96115 .70557 L
.98077 .68932 L
F
0 g
.98077 .71989 m
.96115 .71664 L
.95961 .70604 L
.96115 .70557 L
.98077 .68932 L
s
.2 g
.98077 .31068 m
.96115 .29443 L
.95961 .29396 L
.96115 .28336 L
.98077 .28011 L
F
0 g
.98077 .31068 m
.96115 .29443 L
.95961 .29396 L
.96115 .28336 L
.98077 .28011 L
s
.9 g
.98077 .71643 m
.96835 .70604 L
.98077 .69011 L
F
0 g
.98077 .71643 m
.96835 .70604 L
.98077 .69011 L
s
.1 g
.98077 .30989 m
.96835 .29396 L
.98077 .28357 L
F
0 g
.98077 .30989 m
.96835 .29396 L
.98077 .28357 L
s
1 g
.98077 .71254 m
.97506 .70604 L
.98077 .69102 L
F
0 g
.98077 .71254 m
.97506 .70604 L
.98077 .69102 L
s
.98077 .30898 m
.97506 .29396 L
.98077 .28746 L
F
.98077 .30898 m
.97506 .29396 L
.98077 .28746 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{735.812, 735.812},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000;O0002gb000`400?l00000o`00003oo`3ooooo
0?ooon40oooo003o0?ooool0ooooh@3oool00?l0ooooo`3ooooQ0?ooo`00JP3oool00`000000oooo
0?ooo`240?ooo`@00000P`3oool2000008L0oooo100000270?ooo`030000003oool0oooo0500oooo
001Z0?ooo`030000003oool0oooo08@0oooo00<000000?ooo`3oool0P`3oool010000000oooo0?oo
o`0000260?ooo`030000003oool0oooo08P0oooo00<000000?ooo`3oool0D03oool006L0oooo1@00
00260?ooo`030000003oool0oooo0880oooo00@000000?ooo`3oool00000Q`3oool00`000000oooo
0?ooo`240?ooo`D00000D@3oool00680oooo100000001@3oool000000?ooo`3oool000000800oooo
100000040?ooo`030000003oool0oooo0840oooo00@000000?ooo`3oool00000R03oool00`000000
oooo0?ooo`230?ooo`040000003oool0oooo00000580oooo001X0?ooo`030000003oool0000008T0
oooo00<000000?ooo`3oool0P03oool010000000oooo0?ooo`0000290?ooo`030000003oool0oooo
08<0oooo00<000000?ooo`000000DP3oool006T0oooo0P0000260?ooo`040000003oool0oooo0000
0880oooo00@000000?ooo`3oool00000QP3oool010000000oooo0?ooo`0000260?ooo`800000DP3o
ool006X0oooo00<000000?ooo`3oool0Q@3oool2000008@0oooo0P0000280?ooo`800000R03oool0
0`000000oooo0?ooo`1@0?ooo`00o`3ooooo0?ooon40oooo003o0?ooool0ooooh@3oool00?l0oooo
o`3ooooQ0?ooo`00o`3ooooo0?ooon40oooo003o0?ooool0ooooh@3oool00?l0ooooo`3ooooQ0?oo
o`00o`3ooooo0?ooon40oooo003o0?ooool0ooooh@3oool00?l0ooooo`3ooooQ0?ooo`00503ooooo
00000?l00000c@00000001@0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0O0?oo
o`030000003oool0oooo0200oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?oo
o`030000003oool0oooo0200oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?oo
o`030000003oool0oooo0200oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?oo
o`030000003oool0oooo0200oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?oo
o`030000003oool0oooo0200oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?oo
o`030000003oool0oooo0200oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?oo
o`030000003oool0oooo01l0oooo00<000000?ooo`3oool02`3oool100000000503oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0803oool00`000000
oooo0?ooo`0O0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0803oool00`000000
oooo0?ooo`0O0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0803oool00`000000
oooo0?ooo`0O0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0803oool00`000000
oooo0?ooo`0O0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0803oool00`000000
oooo0?ooo`0O0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0803oool00`000000
oooo0?ooo`0O0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool07`3oool00`000000
oooo0?ooo`0;0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0
7`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0
7`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0
7`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0
7`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0
7`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0
7`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0
7`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo00/0oooo0@00000001@0oooo00<0
00000?ooo`3oool0D03oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo08H0oooo00<0
00000?ooo`3oool0Q`3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo04l0oooo0@00
000001@0oooo00<000000?ooo`3oool0D03oool00`000000oooo0?ooo`260?ooo`030000003oool0
oooo08H0oooo00<000000?ooo`3oool0Q`3oool00`000000oooo0?ooo`260?ooo`030000003oool0
oooo04l0oooo0@00000001@0oooo00<000000?ooo`3oool0o`3ooooo0?ooolT0oooo0@00000001@0
oooo00<000000?ooo`3oool0o`3ooooo0?ooolT0oooo0@00000001@0oooo00<000000?ooo`3oool0
o`3ooooo0?ooolT0oooo0@00000001@0oooo00<000000?ooo`3oool0o`3ooooo0?ooolT0oooo0@00
000001@0oooo00<000000?ooo`3oool0o`3ooooo0?ooolT0oooo0@00000001@0oooo00<000000?oo
o`3oool0o`3ooooo0?ooolT0oooo0@00000001@0oooo00<000000?ooo`3oool0o`3ooooo0?ooolT0
oooo0@00000001@0oooo00<000000?ooo`3oool0o`3ooooo0?ooolT0oooo0@00000001@0oooo1000
003o0?ooool0ooooaP3oool300000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`
06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?oo
o`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000
503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<0
00000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0
oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?oo
ool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0
IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV
3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00
000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?oo
o`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000
oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool0
2`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1V
IVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`
06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?oo
o`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000
503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<0
00000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0
oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?oo
ool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0
IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV
3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00
000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?oo
o`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000
oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool0
2`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1V
IVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`
06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?oo
o`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000
503oool4000000X0ooooo`1VIVKo06IVI[00IVIV303oool300000000503oool00`000000oooo0?oo
o`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo
06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IV
I[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0
oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000
000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool0
0`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?oo
o`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0
ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIV
o`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01V
IVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool1
00000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0
oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000
003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?oo
o`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo
06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IV
I[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0
oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000
000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool0
0`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?oo
o`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0
ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIV
o`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01V
IVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool1
00000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0
oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000
003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?oo
o`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo
06IVI_l0IVIV/01VIVH>0?ooo`40000000090?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`40000000090?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`40000000060?ooo`D00000
2@3oool6000000P0ooooo`1VIVKo06IVI[00IVIV2P3oool50000000000<0oooo0000000000000P00
00001@3oool000000?ooo`3oool0000000X0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV
/01VIVH>0?ooo`40000000070?ooo`030000003oool0000000X0oooo00<000000?ooo`3oool02`3o
oooo06IVI_l0IVIV/01VIVH>0?ooo`40000000080?ooo`8000002P3oool00`000000oooo0?ooo`0;
0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000000T0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3o
ool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo
o`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1V
IVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>
0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool10000
0000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo
00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003o
ool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;
0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IV
I_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00
IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo
0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D
0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`00
0000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3o
ool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo
o`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1V
IVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>
0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool10000
0000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo
00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003o
ool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;
0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IV
I_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00
IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo
0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D
0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool40000
00X0ooooo`1VIVKo06IVI[00IVIV303oool300000000503oool00`000000oooo0?ooo`0;0?ooool0
IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV
/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3o
ool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@000000
01@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`03
0000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo
0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3o
oooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo
06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IV
IPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`40
0000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503o
ool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<00000
0?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo
00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0
IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV
/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3o
ool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@000000
01@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`03
0000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo
0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3o
oooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo
06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IV
IPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`40
0000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503o
ool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<00000
0?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo
00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0
IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV
/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3o
ool100000000503oool4000000X0ooooo`1VIVKo06IVI[00IVIV303oool300000000503oool00`00
0000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3o
ool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo
o`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1V
IVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>
0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool10000
0000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo
00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003o
ool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;
0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IV
I_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00
IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo
0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D
0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`00
0000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3o
ool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo
o`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1V
IVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>
0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool10000
0000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo
00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003o
ool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;
0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IV
I_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00
IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo
0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D
0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`00
0000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3o
ool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo
o`1VIVKo06IVI[00IVIV3P3oool100000000503oool4000000X0ooooo`1VIVKo06IVI[00IVIV303o
ool300000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@000000
01@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`03
0000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503oool00`000000oooo
0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3o
oooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo
06IVI[00IVIV3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IV
IPh0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`40
0000000D0?ooo`030000003oool0oooo00/0ooooo`1VIVKo06IVI[00IVIV3P3oool100000000503o
ool00`000000oooo0?ooo`0;0?ooool0IVIVo`1VIVJ`06IVIPh0oooo0@00000001@0oooo00<00000
0?ooo`3oool02`3ooooo06IVI_l0IVIV/01VIVH>0?ooo`400000000D0?ooo`030000003oool0oooo
00/0oooo1`1VIVH800000?l0IVIVo`1VIVJC06IVIPL000001`1VIVH>0?ooo`400000000D0?ooo`03
0000003oool0oooo00/0oooo1`00000804a<C0030000001VIVH0IVIV0?l0IVIVo`1VIVJ?06IVIP03
0000001<C4`0C4a<00D0C4a<2000000=0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo
401<C4`00`000000IVIV06IVIP3o06IVI_l0IVIVS@1VIVH00`000000C4a<04a<C00=04a<C0h0oooo
0@00000001@0oooo00<000000?ooo`3oool02`3oool4000000d0C4a<00<0000006IVIP1VIVH0o`1V
IVKo06IVIX/0IVIV00<0000004a<C01<C4`02`1<C4`4000000d0oooo0@00000001@0oooo00<00000
0?ooo`3oool02`3oool403<c<`L000001P1<C4`00`000000IVIV06IVIP3o06IVI_l0IVIVR`1VIVH0
0`000000C4a<04a<C00404a<C0L000000`0c<c<>0?ooo`400000000D0?ooo`030000003oool0oooo
00/0oooo2`0c<c<4000000<0C4a<00<0000006IVIP1VIVH0o`1VIVKo06IVIXT0IVIV00@0000004a<
C01<C4`0C4a<1000000:03<c<`h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3oool00`00
0000<c<c03<c<`0;03<c<`030000001<C4`0C4a<0080C4a<00<0000006IVIP1VIVH0o`1VIVKo06IV
IXL0IVIV00<0000004a<C01<C4`00P1<C4`00`000000<c<c03<c<`0;03<c<`030000003oool0oooo
00/0oooo0@00000001@0oooo00<000000?ooo`3oool02`3oool00`0I6AT0000003<c<`0;03<c<`03
0000001<C4`0C4a<00<0C4a<00<0000006IVIP1VIVH0o`1VIVKo06IVIXD0IVIV00<0000004a<C01<
C4`00`1<C4`00`000000<c<c03<c<`0:03<c<`030000003oool0oooo00`0oooo0@00000001@0oooo
00<000000?ooo`3oool02`3oool0100000006ATI00000000000:03<c<`030000001<C4`0C4a<00@0
C4a<00<0000006IVIP1VIVH0o`1VIVKo06IVIX<0IVIV00<0000004a<C01<C4`0101<C4`00`000000
<c<c03<c<`0903<c<`030000000I6AT0000000d0oooo0@00000001@0oooo00<000000?ooo`3oool0
2`3oool2000000806ATI00<0000003<c<`0c<c<01`0c<c<00`000000C4a<04a<C00504a<C0030000
001VIVH0IVIV0?l0IVIVo`1VIVJ106IVIP030000001<C4`0C4a<00D0C4a<00<0000003<c<`0c<c<0
1`0c<c<20000000301TI6@000000oooo00d0oooo0@00000001@0oooo00<000000?ooo`3oool02`3o
ool3000000806ATI00<0000003<c<`0c<c<01`0c<c<00`000000C4a<04a<C00404a<C0030000001V
IVH0IVIV0?l0IVIVo`1VIVJ106IVIP030000001<C4`0C4a<00@0C4a<00<0000003<c<`0c<c<01`0c
<c<00`0000006ATI01TI6@02000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3oool3
000000<06ATI0P00000703<c<`030000001<C4`0C4a<00D0C4a<00<0000006IVIP1VIVH0o`1VIVKo
06IVIWl0IVIV00<0000004a<C01<C4`01@1<C4`00`000000<c<c03<c<`0603<c<`040000000I6AT0
6ATI01TI6@8000003P3oool100000000503oool00`000000oooo0?ooo`0;0?ooo`@00000100I6AT0
0`000000<c<c03<c<`0403<c<`030000001<C4`0C4a<00H0C4a<00<0000006IVIP1VIVH0o`1VIVKo
06IVIWd0IVIV00<0000004a<C01<C4`01P1<C4`00`000000<c<c03<c<`0503<c<`040000000I6AT0
6ATI01TI6@<000003P3oool100000000503oool00`000000oooo0?ooo`0;0?ooo`D00000100I6AT0
0`000000<c<c03<c<`0203<c<`8000001`1<C4`300000?l0IVIVo`1VIVIm06IVIP<000001`1<C4`2
000000D0<c<c00@0000001TI6@0I6AT06ATI1000000>0?ooo`400000000D0?ooo`030000003oool0
oooo00/0oooo1@00000301TI6@030000000c<c<0<c<c0080<c<c00@0000004a<C01<C4`0C4a<1P00
003o06IVI_l0IVIVP`1VIVH6000000<0C4a<00<0000003<c<`0c<c<00`0c<c<00`0000006ATI01TI
6@04000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3oool4000000<06ATI00<00000
03<c<`0c<c<00P0c<c<00`000000C4a<00000002000000P0IVIV1000003o06IVI_l0IVIVM`1VIVH4
000000P0IVIV0`0000000`1<C4`0000003<c<`0303<c<`040000000I6AT06ATI01TI6@<000003P3o
ool100000000503oool00`000000oooo0?ooo`0;0?ooo`@000000`0I6AT00`000000<c<c03<c<`04
000000@0IVIV1`00000407moO`030000001VIVH0IVIV0?l0IVIVo`1VIVIc06IVIP030000001oOgl0
Ogmo0080Ogmo1`00000406IVIP@000000`0c<c<00`0000006ATI01TI6@03000000h0oooo0@000000
01@0oooo00<000000?ooo`3oool02`3oool4000000806ATI00H0000003<c<`0c<c<0000004a<C000
000206IVIP@00000301oOgl00`000000IVIV06IVIP3o06IVI_l0IVIVL@1VIVH00`000000Ogmo07mo
O`0:07moO`@000000P1VIVH00`000000C4a<0000000303<c<`030000000I6AT00000008000003P3o
ool100000000503oool00`000000oooo0?ooo`0;0?ooo`<000000P0I6AT01`000000<c<c03<c<`00
0000C4a<0000001VIVH00P00000707moO`P000000P1oOgl200000?l0IVIVo`1VIVI`06IVIP030000
001oOgl0Ogmo00L00000201oOgl20000000406IVIP000000C4a<000000<0<c<c00@0000001TI6@00
000000003P3oool100000000503oool00`000000oooo0?ooo`0;0?ooo`<0000000@06ATI0000000c
<c<0<c<c0`0000000`1VIVH0000007moO`08000000P0VIVI00D0000007moO`1oOgl0Ogmo0000003o
06IVI_l0IVIVKP1VIVH010000000Ogmo07moO`00000709VIV@P000000P1oOgl00`000000IVIV0000
000200000080<c<c00@0000001TI6@00000000003P3oool100000000503oool00`000000oooo0?oo
o`0;0?ooo`80000000@06ATI0000000c<c<0<c<c0P0000000`1VIVH000000000000:000000P0VIVI
00<0000007moO`1oOgl00P1oOgl00`000000IVIV06IVIP3o06IVI_l0IVIVJP1VIVH01@000000Ogmo
07moO`1oOgl0000000L0VIVI2P000000101oOgl000000000001VIVH200000080<c<c00<0000001TI
6@0000003P3oool1000000001`3oool4000000T0oooo00<000000?ooo`3oool02`3oool300000080
<c<c200000080;>c/`P0000000<0VIVI0000001oOgl00`1oOgl00`000000IVIV06IVIP3o06IVI_l0
IVIVI`1VIVH2000000<0Ogmo00<0000009VIV@0000001P0000080;>c/`@0000000<0Ogmo0000001V
IVH00P00000203<c<`8000003P3oool1000000001`3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo00/0oooo1@0000000`1VIVH000000000000300000080/k>c0`00000<0;>c/`030000
002IVIT0000000D0Ogmo00<0000006IVIP1VIVH0o`1VIVKo06IVIVD0IVIV00<0000007moO`1oOgl0
0`1oOgl00`000000VIVI0000000<0;>c/`<0000000<0/k>c000000000000100000001@1VIVH00000
0000000c<c<0000000h0oooo0@00000000P0oooo00<000000?ooo`3oool02@3oool6000000P0oooo
2@0000020;>c/`L000002P2c/k<010000000VIVI09VIV@00000507moO`030000001VIVH0IVIV0?l0
IVIVo`1VIVIS06IVIP030000001oOgl0Ogmo00<0Ogmo00@0000009VIV@2IVIT000002P2c/k<B0000
00T0oooo1@00000000030?ooo`000000000000800000103oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00/0oooo1`0000000`2c/k<000000000000;000000L0/k>c00@0000009VIV@2I
VIT000001P1oOgl200000?l0IVIVo`1VIVIR06IVIP030000001oOgl0Ogmo00@0Ogmo00@0000009VI
V@2IVIT000001`2c/k<E000000d0oooo0@00000000X0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`0;0?ooo`d000000`3oool8000000D0/k>c00@0000009VIV@2IVIT000001`1oOgl0
0`000000IVIV06IVIP0H06IVIPD00000o`1VIVKo06IVIR40IVIV1@00000K06IVIP030000001oOgl0
Ogmo00@0Ogmo00@0000009VIV@2IVIT000001@2c/k<8000000<0oooo3@00000=0?ooo`4000000007
0?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`3oool02`3oool9000000T0oooo0P00
0000103Vi^H000000000003<c<`2000000<0/k>c00@0000009VIV@2IVIT00000201oOgl00`000000
IVIV06IVIP0A06IVIPH000001@1<C4`400000?l0IVIVo`1VIVHI06IVIP@000001@1<C4`6000001@0
IVIV00<0000007moO`1oOgl01@1oOgl010000000VIVI09VIV@0000030;>c/`80000000@0c<c<0000
00000000i^KV0P0000090?ooo`T000003@3oool100000000203oool2000000X0oooo00<000000?oo
o`3oool02`3oool6000000h0oooo0P000000103Vi^H000000000003<c<`2000000030;>c/`000000
VIVI0080VIVI00<0000007moO`1oOgl01@1oOgl2000000X0IVIV2000000?04a<C0<00000o`1VIVKo
06IVIQ@0IVIV0P00000?04a<C0P000002`1VIVH00`000000Ogmo07moO`0507moO`060000002IVIT0
VIVI09VIV@000000/k>c0P000000103<c<`000000000003Vi^H2000000l0oooo1@00000=0?ooo`40
0000000D0?ooo`030000003oool0oooo0200oooo00H000000>KViP3Vi^H000000<c<c00000020;>c
/`040000002IVIT0VIVI000000H0Ogmo0P00000506IVIPL000006@1<C4`00`000000IVIV06IVIP3o
06IVI_l0IVIV4P1VIVH00`000000C4a<04a<C00F04a<C0L000001@1VIVH2000000H0Ogmo00@00000
09VIV@2IVIT000000P2c/k<01P000000c<c<0<c<c0000000i^KV00000280oooo0@00000001@0oooo
00<000000?ooo`3oool07`3oool010000000i^KV0>KViP0000020<c<c0060000002c/k<0/k>c0000
002IVIT000001@1oOgl200000080IVIV1@00000P04a<C0030000001VIVH0IVIV0?l0IVIVo`1VIVHB
06IVIP030000001<C4`0C4a<01d0C4a<1@00000206IVIP8000001@1oOgl00`000000VIVI00000003
0;>c/`030000003<c<`000000080i^KV00<000000?ooo`3oool07`3oool100000000503oool00`00
0000oooo0?ooo`0O0?ooo`060000003Vi^H0i^KV0000003<c<`000000P2c/k<010000000VIVI09VI
V@00000307moO`8000000P1VIVH2000002D0C4a<00<0000006IVIP1VIVH0o`1VIVKo06IVIQ80IVIV
00<0000004a<C01<C4`08P1<C4`200000080IVIV0P00000307moO`040000002IVIT0VIVI00000080
/k>c00H000000<c<c03<c<`000000>KViP00000Q0?ooo`400000000D0?ooo`030000003oool0oooo
01l0oooo00D000000>KViP000000c<c<000000030;>c/`030000002IVIT000000080Ogmo0P000002
06IVIP8000000P1<C4`@000001@0C4a<00<0000006IVIP1VIVH0o`1VIVKo06IVIQ@0IVIV00<00000
04a<C01<C4`04@1<C4`@00000080C4a<0P00000206IVIP8000000P1oOgl00`000000VIVI00000003
0;>c/`050000003<c<`000000>KViP0000008@3oool100000000503oool00`000000oooo0?ooo`0N
0?ooo`030000003Vi^H0i^KV008000000`2c/k<010000000VIVI0000001oOgl20000000406IVIP00
0000000000000080C4a<0P00000@03<c<`030000001<C4`0C4a<0140C4a<00<0000006IVIP1VIVH0
o`1VIVKo06IVIQ@0IVIV00<0000004a<C01<C4`0401<C4`00`000000<c<c03<c<`0>03<c<`800000
0P1<C4`30000000706IVIP000000000007moO`000000VIVI000000030;>c/`050000003<c<`00000
0>KViP000000803oool100000000503oool00`000000oooo0?ooo`0N0?ooo`050000003Vi^H00000
0<c<c00000000P2c/k<00`000000VIVI000000020000000306IVIP000000000000<0C4a<0P000002
03<c<`D00000300c<c<00`000000C4a<04a<C00@04a<C0030000001VIVH0IVIV0?l0IVIVo`1VIVHD
06IVIP030000001<C4`0C4a<0100C4a<00<0000003<c<`0c<c<02@0c<c<500000080<c<c0P000003
04a<C080000000H0IVIV000000000000000009VIV@0000030;>c/`80000000<0i^KV0000003oool0
7`3oool100000000503oool00`000000oooo0?ooo`0N0?ooo`040000003Vi^H0000000000080/k>c
00D0000009VIV@000000000006IVIP0200000080C4a<1`00000501TI6@L000001@0c<c<00`000000
C4a<04a<C00@04a<C0030000001VIVH0IVIV0?l0IVIVo`1VIVHD06IVIP030000001<C4`0C4a<00l0
C4a<00<0000003<c<`0c<c<00`0c<c<7000000D06ATI1`00000204a<C080000000<0IVIV00000000
00000P0000020;>c/`040000003<c<`0000000000200oooo0@00000001@0oooo00<000000?ooo`3o
ool07@3oool010000000i^KV0000000000020;>c/`H000000P1<C4`5000000<06ATI1000000901TI
6@@000000P0c<c<00`000000C4a<04a<C00?04a<C0030000001VIVH0IVIV0?l0IVIVo`1VIVHD06IV
IP030000001<C4`0C4a<00h0C4a<00<0000003<c<`0c<c<01000000901TI6@@000000`0I6AT50000
0080C4a<1P0000020;>c/`040000003<c<`00000000001l0oooo0@00000001@0oooo00<000000?oo
o`3oool07@3oool01@000000i^KV000000000000/k>c00D000000P1<C4`40000000301TI6@000000
000000T000002P0I6AT01@000000<c<c03<c<`0c<c<000000100C4a<00<0000006IVIP1VIVH0o`1V
IVKo06IVIQ@0IVIV00<0000004a<C01<C4`03P1<C4`010000000<c<c03<c<`00000:01TI6@X00000
0P0I6AT400000080C4a<1P000000102c/k<0000000000000000O0?ooo`400000000D0?ooo`030000
003oool0oooo01`0oooo00D000000>KViP00000000000;>c/`040000000504a<C000000000000000
000I6AT04@00000801TI6@030000000c<c<0<c<c0080<c<c00<0000004a<C01<C4`03@1<C4`00`00
0000IVIV06IVIP3o06IVI_l0IVIV501VIVH00`000000C4a<04a<C00=04a<C0050000000c<c<0<c<c
03<c<`000000200I6ATA0000000501TI6@00000000000000001<C4`01@000000102c/k<000000000
0000000N0?ooo`400000000D0?ooo`030000003oool0oooo01`0oooo00@000000>KViP000000/k>c
7@00000601TI6@030000000c<c<0<c<c00<0<c<c00<0000004a<C01<C4`02`1<C4`00`000000IVIV
06IVIP3o06IVI_l0IVIV5P1VIVH00`000000C4a<04a<C00;04a<C0030000000c<c<0<c<c0080<c<c
00<0000001TI6@0I6AT0100I6ATN000000030;>c/`000000000001h0oooo0@00000001@0oooo00<0
00000?ooo`3oool0703oool2000000030;>c/`000000000001h000001@0I6AT00`000000<c<c03<c
<`0203<c<`030000001<C4`0C4a<00/0C4a<00<0000006IVIP1VIVH0o`1VIVKo06IVIQH0IVIV00<0
000004a<C01<C4`02P1<C4`00`000000<c<c03<c<`0203<c<`030000000I6AT06ATI00<06ATI8`00
000N0?ooo`400000000D0?ooo`030000003oool0oooo01/0oooo00<000000>KViP0000008`000003
01TI6@030000000c<c<0<c<c00<0<c<c00<0000004a<C01<C4`02P1<C4`00`000000IVIV06IVIP3o
06IVI_l0IVIV5P1VIVH00`000000C4a<04a<C00:04a<C0030000000c<c<0<c<c0080<c<c00@00000
01TI6@0I6AT06ATI9P00000M0?ooo`400000000D0?ooo`030000003oool0oooo01L0oooo;0000000
0`0I6AT0000003<c<`0503<c<`030000001<C4`0C4a<00P0C4a<0P00003o06IVI_l0IVIV601VIVH2
000000X0C4a<00<0000003<c<`0c<c<00`0c<c<00`0000006ATI0000000[000001T0oooo0@000000
01@0oooo00<000000?ooo`3oool04P3oool`000000806ATI00<0000003<c<`0c<c<00`0c<c<00`00
0000C4a<04a<C00604a<C0<00000o`1VIVKo06IVIQ`0IVIV0P00000904a<C0030000000c<c<0<c<c
0080<c<c00<0000001TI6@0I6AT0;`00000E0?ooo`400000000D0?ooo`030000003oool0oooo00h0
oooo<`00000301TI6@030000000c<c<0<c<c0080<c<c00<0000004a<C01<C4`0101<C4`300000?l0
IVIVo`1VIVHQ06IVIP<000001`1<C4`01@000000<c<c03<c<`0c<c<0000000<06ATI<`00000@0?oo
o`400000000D0?ooo`030000003oool0oooo00/0oooo=P00000201TI6@040000000c<c<0<c<c03<c
<`8000001@1<C4`2000000`0IVIV1@00003o06IVI_l0IVIV1@1VIVH5000000`0IVIV0P00000604a<
C0050000000c<c<0<c<c03<c<`0000000`0I6ATe000000d0oooo0@00000001@0oooo00<000000?oo
o`3oool02`3ooole000000<06ATI00@0000003<c<`0c<c<000001@1<C4`2000000L0IVIV1`000005
07moO`<00000o`1VIVKn06IVIP<000001@1oOgl7000000L0IVIV0P00000504a<C0040000000c<c<0
<c<c000000<06ATI=000000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo=0000003
01TI6@040000000c<c<0<c<c000000<0C4a<0`00000406IVIPD000003`1oOgl200000?l0IVIVn@1V
IVH3000000l0Ogmo1@00000406IVIP<000000`1<C4`010000000<c<c03<c<`00000301TI6C<00000
3P3oool100000000503oool00`000000oooo0?ooo`0;0?oooc<000000`0I6AT010000000<c<c03<c
<`00000204a<C0800000101VIVH3000001H0Ogmo0`00003o06IVI_@0IVIV0P00000G07moO`<00000
101VIVH200000080C4a<00@0000003<c<`0c<c<000000`0I6ATb000000h0oooo0@00000001@0oooo
00<000000?ooo`3oool02`3ooolc000000806ATI00D0000003<c<`0c<c<0000004a<C002000000<0
IVIV0`00000307moO`D00000501oOgl300000?l0IVIVkP1VIVH3000001@0Ogmo1@00000307moO`80
0000101VIVH20000000404a<C0000000<c<c03<c<`8000000P0I6ATa000000h0oooo0@00000001@0
oooo00<000000?ooo`3oool02`3ooolb000000806ATI00<0000003<c<`0000000`00000306IVIP80
00000P1oOgl4000000D0VIVI1`00000@07moO`800000o`1VIVKZ06IVIP800000401oOgl7000000D0
VIVI10000000101oOgl0000000000000000306IVIP@000000P0c<c<00`0000006ATI01TI6@0`0000
00h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooola0000000401TI6@000000000003<c
<`<000000P1VIVH30000000407moO`000000000000000100VIVI1000000=07moO`030000001VIVH0
IVIV0?l0IVIVj01VIVH00`000000Ogmo07moO`0;07moO`@00000402IVIT30000000407moO`000000
000000000080IVIV0`00000203<c<`030000000I6AT06ATI02l000003P3oool100000000503oool0
0`000000oooo0?ooo`0;0?oooc00000000<06ATI0000000c<c<00`0000000`1VIVH0000000000005
000000D0VIVI1@00000=09VIV@030000001oOgl0Ogmo00X0Ogmo00<0000006IVIP1VIVH0o`1VIVKX
06IVIP030000001oOgl0Ogmo00X0Ogmo00<0000009VIV@2IVIT02`2IVIT5000000D0VIVI1`000000
1P1VIVH00000000000000000<c<c000000806ATI;P00000>0?ooo`400000000D0?ooo`030000003o
ool0oooo00/0oooo;`0000000`0I6AT0000003<c<`020000000306IVIP000000000000<000000P2I
VIT7000000D0/k>c0`00000;09VIV@030000001oOgl0Ogmo00T0Ogmo00<0000006IVIP1VIVH0o`1V
IVKX06IVIP030000001oOgl0Ogmo00X0Ogmo00<0000009VIV@2IVIT0202IVIT3000000D0/k>c1`00
000209VIV@D0000000<0IVIV0000000000000P0000000`0I6AT000000000000/000000h0oooo0@00
000001@0oooo00<000000?ooo`3oool02`3oool`0000000303<c<`000000000000T000000`2c/k<9
000000<0/k>c0`00000809VIV@030000001oOgl0Ogmo00T0Ogmo00<0000006IVIP1VIVH0o`1VIVKX
06IVIP030000001oOgl0Ogmo00T0Ogmo00<0000009VIV@2IVIT01`2IVIT2000000<0/k>c20000004
0;>c/c/000003P3oool100000000503oool00`000000oooo0?ooo`0;0?ooocl000002@3<c<`30000
00<0/k>c0`00000609VIV@030000001oOgl0Ogmo00P0Ogmo00<0000006IVIP1VIVH0o`1VIVKX06IV
IP030000001oOgl0Ogmo00T0Ogmo00<0000009VIV@2IVIT0102IVIT300000080/k>c0`0000080<c<
c3l000003P3oool100000000503oool00`000000oooo0?ooo`0;0?ooodL00000103<c<`2000000@0
/k>c0P00000509VIV@030000001oOgl0Ogmo00L0Ogmo00<0000006IVIP1VIVH05P1VIVH:00000?l0
IVIVY@1VIVH;000001P0IVIV00<0000007moO`1oOgl0201oOgl00`000000VIVI09VIV@0309VIV@80
00000`2c/k<2000000@0c<c<AP00000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo
=@00000:0?ooo`P000001@3<c<`00`000000/k>c0;>c/`030;>c/`030000002IVIT0VIVI00<0VIVI
00<0000007moO`1oOgl01P1oOgl00`000000IVIV06IVIP0@06IVIPL000002P1<C4`800000?l0IVIV
UP1VIVH7000000/0C4a<1`00000B06IVIP030000001oOgl0Ogmo00L0Ogmo00<0000009VIV@2IVIT0
0`2IVIT00`000000/k>c0;>c/`020;>c/`030000003<c<`0c<c<00<0c<c<1`00000;0?oooc@00000
3P3oool100000000503oool4000000X0oooo;P00000H0?ooo`800000103<c<`00`000000/k>c0;>c
/`020;>c/`030000002IVIT0VIVI00<0VIVI00<0000007moO`1oOgl01P1oOgl00`000000IVIV06IV
IP0<06IVIPD000006@1<C4`00`000000IVIV06IVIP3o06IVIY<0IVIV00<0000004a<C01<C4`05P1<
C4`5000000h0IVIV00<0000007moO`1oOgl01`1oOgl00`000000VIVI09VIV@0309VIV@050000002c
/k<0/k>c0;>c/`0000001@3<c<`00`000000oooo0?ooo`0F0?ooobd00000303oool300000000503o
ool00`000000oooo0?ooo`0;0?ooobL000007`3oool2000000@0c<c<00<000000;>c/`2c/k<00P2c
/k<00`000000VIVI09VIV@0309VIV@030000001oOgl0Ogmo00@0Ogmo0P00000<06IVIP<000007P1<
C4`00`000000IVIV06IVIP3o06IVIY80IVIV00<0000004a<C01<C4`0701<C4`3000000`0IVIV0P00
000707moO`030000002IVIT0VIVI00<0VIVI00D000000;>c/`2c/k<0/k>c000000040<c<c0800000
7`3ooolV000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooolP000002L0oooo00<0
00000<c<c03<c<`00P3<c<`00`000000/k>c0;>c/`020;>c/`030000002IVIT0VIVI0080VIVI00<0
000007moO`1oOgl0101oOgl00`000000IVIV06IVIP0906IVIP<000008P1<C4`00`000000IVIV06IV
IP3o06IVIY40IVIV00<0000004a<C01<C4`07`1<C4`2000000`0IVIV00<0000007moO`1oOgl0101o
Ogl00`000000VIVI09VIV@0309VIV@050000002c/k<0/k>c0;>c/`000000103<c<`2000002H0oooo
7`00000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo6`00000/0?ooo`030000003<
c<`0c<c<0080c<c<00D000000;>c/`2c/k<0/k>c0000000509VIV@030000001oOgl0Ogmo00<0Ogmo
00<0000006IVIP1VIVH0201VIVH2000002D0C4a<00<0000006IVIP1VIVH0o`1VIVJ@06IVIP030000
001<C4`0C4a<0280C4a<0`00000:06IVIP030000001oOgl0Ogmo00<0Ogmo00<0000009VIV@2IVIT0
102IVIT010000000/k>c0;>c/`0000040<c<c0030000003oool0oooo02X0oooo6P00000>0?ooo`40
0000000D0?ooo`030000003oool0oooo00/0oooo6000000_0?ooo`8000000`3<c<`01@000000/k>c
0;>c/`2c/k<0000000D0VIVI00<0000007moO`1oOgl00P1oOgl00`000000IVIV06IVIP0606IVIP<0
0000:01<C4`00`000000IVIV06IVIP3o06IVIXl0IVIV00<0000004a<C01<C4`09@1<C4`3000000P0
IVIV00<0000007moO`1oOgl00`1oOgl00`000000VIVI09VIV@0309VIV@040000002c/k<0/k>c0000
00@0c<c<00<000000?ooo`3oool0;@3ooolG000000h0oooo0@00000001@0oooo00<000000?ooo`3o
ool02`3ooolE00000380oooo0P0000030<c<c0050000002c/k<0/k>c0;>c/`000000102IVIT00`00
0000Ogmo07moO`0207moO`030000001VIVH0IVIV00@0IVIV0`00000[04a<C0030000001VIVH0IVIV
0?l0IVIVSP1VIVH00`000000C4a<04a<C00Y04a<C08000001`1VIVH00`000000Ogmo07moO`0207mo
O`030000002IVIT0VIVI00<0VIVI00@000000;>c/`2c/k<00000103<c<`00`000000oooo0?ooo`0_
0?oooaD000003P3oool100000000503oool00`000000oooo0?ooo`0;0?oooa<00000=@3oool01000
0000c<c<0<c<c00000030;>c/`030000002IVIT0VIVI00<0VIVI00D0000007moO`1oOgl0Ogmo0000
000506IVIP800000;`1<C4`00`000000IVIV06IVIP3o06IVIXd0IVIV00<0000004a<C01<C4`0:`1<
C4`2000000H0IVIV00D0000007moO`1oOgl0Ogmo0000000609VIV@040000002c/k<0/k>c00000080
c<c<0P00000d0?oooa8000003P3oool100000000503oool00`000000oooo0?ooo`0;0?oooa000000
>03oool2000000030<c<c0000000/k>c0080/k>c00<0000009VIV@2IVIT00P2IVIT00`000000Ogmo
07moO`02000000@0IVIV0P00000:04a<C0T000007P1<C4`00`000000IVIV06IVIP3o06IVIX`0IVIV
00<0000004a<C01<C4`0701<C4`8000000X0C4a<0P00000506IVIP8000000P1oOgl00`000000VIVI
09VIV@0309VIV@040000002c/k<0/k>c00000080c<c<0P00000g0?ooo`l000003P3oool100000000
503oool00`000000oooo0?ooo`0;0?ooo`h00000>P3oool2000000050<c<c0000000/k>c0;>c/`00
00001@2IVIT00`000000Ogmo0000000406IVIP800000101<C4`8000000T0<c<c0P00000M04a<C003
0000001VIVH0IVIV0?l0IVIVR`1VIVH00`000000C4a<04a<C00J04a<C0800000200c<c<9000000<0
C4a<0P00000506IVIP030000001oOgl0000000H0VIVI00<000000;>c/`0000000P3<c<`2000003T0
oooo3@00000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo3000000l0?ooo`800000
00D0c<c<0000002c/k<0/k>c0000000309VIV@80000000<0Ogmo0000001VIVH00P1VIVH2000000<0
C4a<0`00000C03<c<`<000006P1<C4`00`000000IVIV06IVIP3o06IVIXX0IVIV00<0000004a<C01<
C4`0601<C4`3000001<0<c<c0`00000204a<C0800000101VIVH010000000Ogmo00000000000409VI
V@030000002c/k<000000080c<c<00<000000?ooo`3oool0>P3oool;000000h0oooo0@00000001@0
oooo00<000000?ooo`3oool02`3oool:000003l0oooo00<000000<c<c00000000P2c/k<01@000000
VIVI09VIV@000000Ogmo008000000P1VIVH200000080C4a<0`00000I03<c<`<00000601<C4`00`00
0000IVIV06IVIP3o06IVIXT0IVIV00<0000004a<C01<C4`05P1<C4`2000001T0<c<c0`0000000`1<
C4`000000000000306IVIP040000001oOgl0Ogmo000000<0VIVI00@000000;>c/`000000c<c<0P00
000n0?ooo`T000003P3oool100000000503oool00`000000oooo0?ooo`0;0?ooo`T00000@03oool3
000000030;>c/`000000VIVI00@000000P1VIVH20000000404a<C00000000000000000@0<c<c2@00
000B03<c<`8000005P1<C4`00`000000IVIV06IVIP3o06IVIXP0IVIV00<0000004a<C01<C4`05@1<
C4`200000140<c<c2@00000403<c<`D000000P1VIVH20000000307moO`00000000000080VIVI0P00
00000`3<c<`00000000000100?ooo`L000003P3oool100000000503oool00`000000oooo0?ooo`0;
0?ooo`L00000@@3ooolG000000T06ATI1`00000=03<c<`8000005@1<C4`00`000000IVIV06IVIP3o
06IVIXL0IVIV00<0000004a<C01<C4`04`1<C4`2000000`0<c<c1`00000901TI6AL00000@P3oool5
000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3oool300000480oooo4`00000301TI
6@X000002P0I6AT2000000`0<c<c00<0000004a<C01<C4`04P1<C4`00`000000IVIV06IVIP3o06IV
IXT0IVIV00<0000004a<C01<C4`04P1<C4`00`000000<c<c03<c<`0903<c<`8000002P0I6AT90000
00@06ATI4`0000120?ooo`<000003@3oool100000000503oool00`000000oooo0?ooo`1=0?ooobL0
00001`0I6AT00`000000<c<c03<c<`0903<c<`030000001<C4`0C4a<0180C4a<00<0000006IVIP1V
IVH0o`1VIVJ;06IVIP030000001<C4`0C4a<0140C4a<00<0000003<c<`0c<c<02@0c<c<00`000000
6ATI01TI6@0401TI6BP00000C`3oool100000000503oool00`000000oooo0?ooo`1:0?ooobl00000
0`0I6AT00`000000<c<c03<c<`0803<c<`030000001<C4`0C4a<0100C4a<0P00003o06IVIXl0IVIV
00<0000004a<C01<C4`04@1<C4`00`000000<c<c03<c<`0703<c<`040000000I6AT06ATI01TI6Bh0
0000C@3oool100000000503oool00`000000oooo0?ooo`180?ooocD000002P0c<c<00`000000C4a<
04a<C00?04a<C0030000001VIVH0IVIV0?l0IVIVT01VIVH00`000000C4a<04a<C00@04a<C0030000
000c<c<0<c<c00L0<c<c=@00001:0?ooo`400000000D0?ooo`030000003oool0oooo04D0oooo=`00
00000`0I6AT0000003<c<`0803<c<`030000001<C4`0C4a<00h0C4a<00<0000006IVIP1VIVH0o`1V
IVJB06IVIP030000001<C4`0C4a<00l0C4a<00<0000003<c<`0c<c<01`0c<c<h000004L0oooo0@00
000001@0oooo00<000000?ooo`3oool0@P3ooolj0000000301TI6@000000<c<c00L0<c<c00<00000
04a<C01<C4`03P1<C4`00`000000IVIV06IVIP3o06IVIY@0IVIV00<0000004a<C01<C4`03P1<C4`0
0`000000<c<c03<c<`0603<c<`030000000I6AT0000003P00000A@3oool100000000503oool00`00
0000oooo0?ooo`100?oooc`0000000<06ATI0000000c<c<01`0c<c<00`000000C4a<04a<C00<04a<
C0800000o`1VIVJH06IVIP8000003P1<C4`00`000000<c<c03<c<`0603<c<`030000000I6AT00000
03X00000@`3oool100000000503oool00`000000oooo0?ooo`0n0?oooch000000P0I6AT00`000000
<c<c03<c<`0503<c<`030000001<C4`0C4a<00/0C4a<00<0000006IVIP1VIVH0o`1VIVJJ06IVIP03
0000001<C4`0C4a<00`0C4a<00<0000003<c<`0c<c<01@0c<c<00`0000006ATI0000000l00000440
oooo0@00000001@0oooo00<000000?ooo`3oool0?03ooom0000000806ATI00<0000003<c<`0c<c<0
100c<c<00`000000C4a<04a<C00:04a<C0800000o`1VIVJN06IVIP800000301<C4`00`000000<c<c
03<c<`0503<c<`030000000I6AT0000003h00000?`3oool100000000503oool00`000000oooo0?oo
o`0j0?oood<0000000<06ATI0000000c<c<01@0c<c<00`000000C4a<04a<C00904a<C0030000001V
IVH0IVIV0?l0IVIVX01VIVH00`000000C4a<04a<C00904a<C0030000000c<c<0<c<c00@0<c<c00<0
000001TI6@000000@@00000m0?ooo`400000000D0?ooo`030000003oool0oooo03P0ooooA@000002
01TI6@030000000c<c<0<c<c00<0<c<c00<0000004a<C01<C4`01`1<C4`200000?l0IVIVY01VIVH2
000000T0C4a<00<0000003<c<`0c<c<0100c<c<00`0000006ATI00000013000003/0oooo0@000000
01@0oooo00<000000?ooo`3oool0=P3ooom7000000806ATI00<0000003<c<`0c<c<00`0c<c<00`00
0000C4a<04a<C00604a<C0030000001VIVH0IVIV0?l0IVIVYP1VIVH00`000000C4a<04a<C00704a<
C0030000000c<c<0<c<c00<0<c<c00<0000001TI6@000000A@00000i0?ooo`400000000D0?ooo`03
0000003oool0oooo03<0ooooBP00000301TI6@050000000c<c<0<c<c03<c<`0000001`1<C4`20000
0?l0IVIVZP1VIVH2000000L0C4a<00<0000003<c<`0c<c<00P0c<c<00`0000006ATI01TI6@190000
03H0oooo0@00000001@0oooo00<000000?ooo`3oool0;`3ooom>000000806ATI0P00000203<c<`80
00001@1<C4`200000180IVIV2P00003o06IVIWH0IVIV2@00000C06IVIP030000001<C4`0C4a<00@0
C4a<0P00000303<c<`030000000I6AT06ATI04h00000<@3oool100000000503oool00`000000oooo
0?ooo`0Z0?oooe80000000<06ATI0000000000000P0c<c<2000000D0C4a<0P00000:06IVIPX00000
2P1oOgl400000?l0IVIVK@1VIVH5000000T0Ogmo2`00000906IVIP<000001@1<C4`200000080<c<c
0P0000000`0I6AT000000000001@000002`0oooo0@00000001@0oooo00<000000?ooo`3oool0903o
oomI00000080<c<c0P00000304a<C0@000001@1VIVH7000001P0Ogmo1@00003o06IVIV@0IVIV1000
000I07moO`L000001@1VIVH4000000<0C4a<0P00000203<c<eT000009P3oool100000000503oool0
0`000000oooo0?ooo`0M0?oooed000000`0c<c<200000080C4a<0`00000306IVIPH00000901oOgl3
00000?l0IVIVGP1VIVH3000002@0Ogmo1P00000306IVIP<000000P1<C4`200000080<c<cGP00000O
0?ooo`400000000D0?ooo`030000003oool0oooo01L0ooooH@00000203<c<`L0000000<0IVIV0000
000000000`00000907moO`X000006@1oOgl00`000000IVIV06IVIP3o06IVIU`0IVIV00<0000007mo
O`1oOgl05`1oOgl9000000X0Ogmo1000000206IVIPL0000000<0<c<c000000000000H000000I0?oo
o`400000000D0?ooo`030000003oool0oooo0180ooooI000000203<c<`D0000000<0IVIV00000000
00000P00000407moO`X000002P2IVIT4000001H0Ogmo00<0000006IVIP1VIVH0o`1VIVIJ06IVIP03
0000001oOgl0Ogmo01<0Ogmo1@00000909VIV@/000000`1oOgl50000000306IVIP000000000000<0
000000<0<c<c000000000000HP00000E0?ooo`400000000D0?ooo`030000003oool0oooo00h0oooo
IP00000203<c<`P0000000<0Ogmo0000000000001@00000H09VIV@D000004@1oOgl00`000000IVIV
06IVIP3o06IVIUX0IVIV00<0000007moO`1oOgl03`1oOgl4000001T0VIVI1`0000000`1oOgl00000
000000060000000303<c<`000000000006D00000403oool100000000503oool00`000000oooo0?oo
o`0;0?ooofL0000000<0<c<c0000000000002P00000309VIV@h000004`2IVIT3000000l0Ogmo00<0
000006IVIP1VIVH0o`1VIVIH06IVIP030000001oOgl0Ogmo00d0Ogmo0`00000B09VIV@h00000102I
VIUd000000d0oooo0@00000001@0oooo1000000:0?ooofD0000000<0<c<c0000000000006@000004
0;>c/`P000003P2IVIT00`000000Ogmo07moO`0<07moO`030000001VIVH0IVIV0?l0IVIVF01VIVH0
0`000000Ogmo07moO`0<07moO`030000002IVIT0VIVI00`0VIVI1`0000050;>c/h000000303oool3
00000000503oool00`000000oooo0?ooo`0;0?ooof<0000000<0<c<c0000000000004@00000:0<c<
c0@00000202c/k<2000000d0VIVI00<0000007moO`1oOgl0301oOgl00`000000IVIV06IVIP3o06IV
IUH0IVIV00<0000007moO`1oOgl0301oOgl00`000000VIVI09VIV@0;09VIV@8000001`2c/k<50000
00T0c<c<M`00000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooP00000050<c<c0D0
00001@2c/k<2000000`0VIVI00<0000007moO`1oOgl02`1oOgl00`000000IVIV06IVIP3o06IVIUH0
IVIV00<0000007moO`1oOgl02`1oOgl00`000000VIVI09VIV@0:09VIV@8000001@2c/k<4000000H0
c<c<O`00000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooM`0000090>KViP<00000
1`3<c<`3000000@0/k>c0P00000:09VIV@030000001oOgl0Ogmo00`0Ogmo00<0000006IVIP1VIVH0
;`1VIVH600000>L0IVIV1P00000a06IVIP030000001oOgl0Ogmo00`0Ogmo00<0000009VIV@2IVIT0
202IVIT2000000@0/k>c0`0000070<c<c0<00000203Vi^Ig000000h0oooo0@00000001@0oooo00<0
00000?ooo`3oool02`3ooom]000000X0oooo2@0000030>KViP<000001`3<c<`00`000000/k>c0;>c
/`030;>c/`8000002@2IVIT00`000000Ogmo07moO`0;07moO`030000001VIVH0IVIV02X0IVIV1@00
000604a<C0L00000f@1VIVH7000000H0C4a<1000000]06IVIP030000001oOgl0Ogmo00/0Ogmo00<0
000009VIV@2IVIT01`2IVIT2000000@0/k>c0P0000070<c<c0<000000`3Vi^H8000000/0ooooK000
000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooIP00000J0?ooo`@000000P3Vi^H3
000000D0c<c<0P0000050;>c/`800000202IVIT00`000000Ogmo07moO`0;07moO`030000001VIVH0
IVIV02D0IVIV1000000B04a<C0X00000a@1VIVH:00000140C4a<1@00000W06IVIP030000001oOgl0
Ogmo00/0Ogmo00<0000009VIV@2IVIT01P2IVIT2000000D0/k>c00<000000<c<c03<c<`0103<c<`3
000000<0i^KV0`00000J0?ooofD000003P3oool100000000503oool00`000000oooo0?ooo`0;0?oo
of4000008`3oool2000000<0i^KV0P0000050<c<c0030000002c/k<0/k>c00@0/k>c0P00000709VI
V@030000001oOgl0Ogmo00X0Ogmo00<0000006IVIP1VIVH07P1VIVH700000200C4a<2000002f06IV
IPL00000801<C4`600000240IVIV00<0000007moO`1oOgl02P1oOgl00`000000VIVI09VIV@0609VI
V@030000002c/k<0/k>c00@0/k>c00<000000<c<c03<c<`00P3<c<`3000000@0i^KV0P00000R0?oo
of0000003P3oool100000000503oool00`000000oooo0?ooo`0;0?oooed00000:03oool00`000000
i^KV0>KViP030>KViP8000000`3<c<`00`000000/k>c0;>c/`050;>c/`030000002IVIT0VIVI00D0
VIVI00<0000007moO`1oOgl02@1oOgl00`000000IVIV06IVIP0K06IVIP@00000;P1<C4`00`000000
IVIV06IVIP2c06IVIP030000001<C4`0C4a<02/0C4a<1000000N06IVIP030000001oOgl0Ogmo00T0
Ogmo00<0000009VIV@2IVIT01P2IVIT00`000000/k>c0;>c/`040;>c/`050000003<c<`0c<c<0<c<
c00000001`3Vi^H00`000000oooo0?ooo`0V0?oooe/000003P3oool100000000503oool00`000000
oooo0?ooo`0;0?oooeL00000;`3oool00`000000i^KV0>KViP030>KViP050000003<c<`0c<c<0<c<
c00000001P2c/k<00`000000VIVI09VIV@0509VIV@030000001oOgl0Ogmo00T0Ogmo00<0000006IV
IP1VIVH0601VIVH4000003<0C4a<00<0000006IVIP1VIVH0/@1VIVH00`000000C4a<04a<C00`04a<
C0@000006`1VIVH00`000000Ogmo07moO`0907moO`030000002IVIT0VIVI00H0VIVI00<000000;>c
/`2c/k<00`2c/k<01@000000c<c<0<c<c03<c<`0000000H0i^KV00<000000?ooo`3oool0;03ooomF
000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooomA000003D0oooo00<000000>KV
iP3Vi^H00`3Vi^H01@000000c<c<0<c<c03<c<`0000000H0/k>c00<0000009VIV@2IVIT01@2IVIT0
0`000000Ogmo07moO`0907moO`030000001VIVH0IVIV01D0IVIV0`00000h04a<C0030000001VIVH0
IVIV0:l0IVIV00<0000004a<C01<C4`0=@1<C4`4000001L0IVIV00<0000007moO`1oOgl02@1oOgl0
0`000000VIVI09VIV@0609VIV@030000002c/k<0/k>c00<0/k>c00D000000<c<c03<c<`0c<c<0000
00060>KViP030000003oool0oooo0380ooooD000000>0?ooo`400000000D0?ooo`030000003oool0
oooo00/0ooooBP00000l0?ooo`030000003Vi^H0i^KV00<0i^KV00@000000<c<c03<c<`000001P2c
/k<00`000000VIVI09VIV@0509VIV@030000001oOgl0Ogmo00T0Ogmo00<0000006IVIP1VIVH04`1V
IVH3000003`0C4a<00<0000006IVIP1VIVH0[@1VIVH00`000000C4a<04a<C00j04a<C0<000005@1V
IVH00`000000Ogmo07moO`0907moO`030000002IVIT0VIVI00H0VIVI00<000000;>c/`2c/k<00`2c
/k<010000000c<c<0<c<c00000060>KViP030000003oool0oooo03T0ooooB@00000>0?ooo`400000
000D0?ooo`030000003oool0oooo00/0oooo@`0000140?ooo`030000003Vi^H0i^KV0080i^KV00@0
00000<c<c03<c<`000001P2c/k<00`000000VIVI09VIV@0509VIV@030000001oOgl0Ogmo00P0Ogmo
00<0000006IVIP1VIVH04@1VIVH300000400C4a<00<0000006IVIP1VIVH0Z`1VIVH00`000000C4a<
04a<C00n04a<C0800000501VIVH00`000000Ogmo07moO`0807moO`030000002IVIT0VIVI00H0VIVI
00<000000;>c/`2c/k<00`2c/k<010000000c<c<0<c<c00000050>KViP030000003oool0oooo0440
oooo@P00000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo?000001;0?ooo`030000
003Vi^H0i^KV0080i^KV00@000000<c<c03<c<`000001@2c/k<00`000000VIVI09VIV@0509VIV@03
0000001oOgl0Ogmo00P0Ogmo00<0000006IVIP1VIVH0401VIVH2000004@0C4a<00<0000006IVIP1V
IVH0Z@1VIVH00`000000C4a<04a<C01104a<C0<000004P1VIVH00`000000Ogmo07moO`0807moO`03
0000002IVIT0VIVI00H0VIVI00<000000;>c/`2c/k<00P2c/k<010000000c<c<0<c<c00000050>KV
iP030000003oool0oooo04P0oooo>`00000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0
oooo=`00001@0?ooo`030000003Vi^H0i^KV0080i^KV00@000000<c<c03<c<`000001@2c/k<00`00
0000VIVI09VIV@0509VIV@030000001oOgl0Ogmo00H0Ogmo0P00000@06IVIP<00000A`1<C4`00`00
0000IVIV06IVIP2W06IVIP030000001<C4`0C4a<04D0C4a<0`00000@06IVIP800000201oOgl00`00
0000VIVI09VIV@0609VIV@030000002c/k<0/k>c0080/k>c00@000000<c<c03<c<`000001@3Vi^H0
0`000000oooo0?ooo`1=0?ooocH000003P3oool100000000503oool00`000000oooo0?ooo`0;0?oo
oc<00000E@3oool01@000000i^KV0>KViP3Vi^H000000080c<c<00<000000;>c/`2c/k<00`2c/k<0
0`000000VIVI09VIV@0409VIV@030000001oOgl0Ogmo00H0Ogmo00<0000006IVIP1VIVH03@1VIVH3
000004X0C4a<00<0000006IVIP1VIVH0Y`1VIVH00`000000C4a<04a<C01804a<C0<000003`1VIVH0
0`000000Ogmo07moO`0607moO`030000002IVIT0VIVI00D0VIVI00<000000;>c/`2c/k<00P2c/k<0
10000000c<c<0<c<c00000040>KViP030000003oool0oooo0580oooo<P00000>0?ooo`400000000D
0?ooo`030000003oool0oooo00/0oooo<000001H0?ooo`050000003Vi^H0i^KV0>KViP0000000P3<
c<`00`000000/k>c0;>c/`020;>c/`030000002IVIT0VIVI00D0VIVI00<0000007moO`1oOgl0101o
Ogl2000000d0IVIV0`00001>04a<C0030000001VIVH0IVIV0:D0IVIV00<0000004a<C01<C4`0C01<
C4`3000000d0IVIV0P00000607moO`030000002IVIT0VIVI00H0VIVI00D000000;>c/`2c/k<0/k>c
000000020<c<c0030000003Vi^H0i^KV0080i^KV00<000000?ooo`3oool0E@3oool_000000h0oooo
0@00000001@0oooo00<000000?ooo`3oool02`3oool/000005d0oooo00@000000>KViP3Vi^H00000
0P3<c<`00`000000/k>c0;>c/`020;>c/`030000002IVIT0VIVI00@0VIVI00<0000007moO`1oOgl0
101oOgl00`000000IVIV06IVIP0:06IVIP<00000DP1<C4`00`000000IVIV06IVIP2S06IVIP030000
001<C4`0C4a<0500C4a<0P00000=06IVIP030000001oOgl0Ogmo00@0Ogmo00<0000009VIV@2IVIT0
1@2IVIT01@000000/k>c0;>c/`2c/k<000000080c<c<00D000000>KViP3Vi^H0i^KV0000001L0?oo
ob/000003P3oool100000000503oool00`000000oooo0?ooo`0;0?ooobP00000H@3oool01P000000
i^KV0>KViP000000c<c<000000@0/k>c00<0000009VIV@2IVIT01@2IVIT00`000000Ogmo07moO`02
07moO`8000002`1VIVH2000005H0C4a<00<0000006IVIP1VIVH0X@1VIVH00`000000C4a<04a<C01C
04a<C0<000002`1VIVH2000000@0Ogmo00<0000009VIV@2IVIT01P2IVIT01`000000/k>c0;>c/`2c
/k<000000<c<c00000000`3Vi^H00`000000oooo0?ooo`1N0?ooobL000003P3oool100000000503o
ool00`000000oooo0?ooo`0;0?ooob<00000IP3oool01P000000i^KV0>KViP000000c<c<000000@0
/k>c00<0000009VIV@2IVIT00`2IVIT2000000@0Ogmo00<0000006IVIP1VIVH0201VIVH3000005T0
C4a<00<0000006IVIP1VIVH0W`1VIVH00`000000C4a<04a<C01G04a<C0<000002P1VIVH00`000000
Ogmo07moO`0207moO`030000002IVIT0VIVI00D0VIVI00L000000;>c/`2c/k<0/k>c0000003<c<`0
000000<0i^KV00<000000?ooo`3oool0HP3ooolS000000h0oooo0@00000001@0oooo00<000000?oo
o`3oool02`3ooolO000006/0oooo00D000000>KViP000000c<c<000000030;>c/`030000002IVIT0
VIVI0080VIVI0P00000407moO`800000201VIVH3000005d0C4a<00<0000006IVIP1VIVH0W@1VIVH0
0`000000C4a<04a<C01K04a<C0<00000201VIVH2000000<0Ogmo0P00000609VIV@060000002c/k<0
/k>c0000003<c<`000000P3Vi^H00`000000oooo0?ooo`1X0?oooah000003P3oool100000000503o
ool00`000000oooo0?ooo`0;0?oooa/00000KP3oool4000000040<c<c0000000/k>c0;>c/`800000
0P2IVIT2000000@0Ogmo0P00000706IVIP<00000H@1<C4`00`000000IVIV06IVIP2K06IVIP030000
001<C4`0C4a<05l0C4a<1000000606IVIP030000001oOgl0Ogmo0080Ogmo0`00000309VIV@060000
002c/k<0/k>c0000003<c<`000000P3Vi^H00`000000oooo0?ooo`1/0?oooaX000003P3oool10000
0000503oool00`000000oooo0?ooo`0;0?oooaL00000L03oool400000080c<c<00@000000;>c/`00
000000000P2IVIT2000000@0Ogmo0P00000506IVIP@00000401<C4`C00000440C4a<00<0000006IV
IP1VIVH0V`1VIVH00`000000C4a<04a<C00o04a<C1<000004@1<C4`3000000@0IVIV0`00000407mo
O`8000000P2IVIT2000000030;>c/`000000c<c<0080000000<0i^KV000000000000L@3ooolE0000
00h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooolA000007@0oooo100000020<c<c0@0
000000@0VIVI00000000000000000P1oOgl4000000<0IVIV1000000?04a<C0D000004`0c<c<40000
03`0C4a<00<0000006IVIP1VIVH0W@1VIVH00`000000C4a<04a<C00i04a<C0D000004`0c<c<40000
0100C4a<1000000306IVIP@000000P1oOgl30000000309VIV@00000000000080000000@0c<c<0000
00000000i^KV0P00001d0?oooa0000003P3oool100000000503oool00`000000oooo0?ooo`0;0?oo
o`L00000O03oool4000000030<c<c0000000000000<0000000<0VIVI0000000000000P1oOgl30000
00<0IVIV1000000?04a<C0@00000700c<c<5000003L0C4a<00<0000006IVIP1VIVH0W@1VIVH00`00
0000C4a<04a<C00e04a<C0@00000700c<c<5000000l0C4a<1000000306IVIP<000000P1oOgl20000
000309VIV@000000000000D0000000<0i^KV000000000000N`3oool8000000d0oooo0@00000001@0
oooo00<000000?ooo`3oool0S03ooolA0000000306IVIP000000000000<000002@1<C4`:000002D0
<c<c0`00000d04a<C0030000001VIVH0IVIV09d0IVIV00<0000004a<C01<C4`0<P1<C4`3000002D0
<c<c2@00000:04a<C0@000000P1VIVH>000000030>KViP000000000008h0oooo0@00000001@0oooo
00<000000?ooo`3oool0RP3oool?0000000306IVIP000000000000800000101<C4`:000001`0<c<c
2000000>03<c<`800000<P1<C4`00`000000IVIV06IVIP2N06IVIP030000001<C4`0C4a<0300C4a<
00<0000003<c<`0c<c<0300c<c<7000001`0<c<c2`00000304a<C0D0000000<0IVIV000000000000
2P0000000`3Vi^H000000000002<0?ooo`400000000D0?ooo`030000003oool0oooo08P0oooo4P00
00000`1<C4`000000000000<000001D0<c<c2P00000801TI6@030000000c<c<0<c<c00d0<c<c00<0
000004a<C01<C4`0;P1<C4`00`000000IVIV06IVIP2O06IVIP030000001<C4`0C4a<02h0C4a<0P00
000>03<c<`030000000I6AT06ATI00D06ATI2`00000E03<c<`h0000000<0C4a<0000000000003@00
00000`3Vi^H000000000002:0?ooo`400000000D0?ooo`030000003oool0oooo08D0oooo7@000007
01TI6@L000001`0c<c<7000001<06ATI00<0000003<c<`0c<c<03@0c<c<00`000000C4a<04a<C00]
04a<C0030000001VIVH0IVIV09l0IVIV00<0000004a<C01<C4`0;@1<C4`00`000000<c<c03<c<`0=
03<c<`030000000I6AT06ATI01406ATI1`00000703<c<`L000001`0I6ATM000008L0oooo0@000000
01@0oooo00<000000?ooo`3oool0PP3ooolI000000<06ATI2P00000801TI6@L000006`0I6AT00`00
0000<c<c03<c<`0=03<c<`800000;@1<C4`00`000000IVIV06IVIP2P06IVIP030000001<C4`0C4a<
02/0C4a<00<0000003<c<`0c<c<03P0c<c<00`0000006ATI01TI6@0H01TI6@L00000200I6AT90000
00@06ATI600000250?ooo`400000000D0?ooo`030000003oool0oooo0800oooo;000000W01TI6@03
0000000c<c<0<c<c00h0<c<c00<0000004a<C01<C4`0:@1<C4`00`000000IVIV06IVIP2Q06IVIP03
0000001<C4`0C4a<02T0C4a<0P00000@03<c<`030000000I6AT06ATI02<06ATI;@0000220?ooo`40
0000000D0?ooo`030000003oool0oooo07d0oooo=000000901TI6@P000004@0I6AT00`000000<c<c
03<c<`0?03<c<`800000:@1<C4`00`000000IVIV06IVIP2R06IVIP030000001<C4`0C4a<02L0C4a<
00<0000003<c<`0c<c<03`0c<c<00`0000006ATI01TI6@0>01TI6@P000002P0I6ATd000007l0oooo
0@00000001@0oooo00<000000?ooo`3oool0NP3ooom:000001006ATI00<0000003<c<`0c<c<0400c
<c<00`000000C4a<04a<C00V04a<C0030000001VIVH0IVIV0:80IVIV00<0000004a<C01<C4`09P1<
C4`00`000000<c<c03<c<`0?03<c<`030000000I6AT06ATI00d06ATIB`00001l0?ooo`400000000D
0?ooo`030000003oool0oooo07L0ooooC`00000?01TI6@030000000c<c<0<c<c0100<c<c00<00000
04a<C01<C4`09@1<C4`00`000000IVIV06IVIP2R06IVIP030000001<C4`0C4a<02@0C4a<0P00000B
03<c<`030000000I6AT06ATI00/06ATID000001i0?ooo`400000000D0?ooo`030000003oool0oooo
07D0ooooD`00000>01TI6@030000000c<c<0<c<c0100<c<c0P00000T04a<C0030000001VIVH0IVIV
0:@0IVIV00<0000004a<C01<C4`08P1<C4`00`000000<c<c03<c<`0A03<c<`030000000I6AT06ATI
00X06ATIE@00001f0?ooo`400000000D0?ooo`030000003oool0oooo0700ooooFP00000=01TI6@03
0000000c<c<0<c<c0140<c<c00<0000004a<C01<C4`08@1<C4`00`000000IVIV06IVIP2T06IVIP03
0000001<C4`0C4a<0240C4a<00<0000003<c<`0c<c<04@0c<c<00`0000006ATI01TI6@0:01TI6EX0
0000LP3oool100000000503oool4000006T0ooooH000000=01TI6@030000000c<c<0<c<c0140<c<c
00<0000004a<C01<C4`0801<C4`00`000000IVIV06IVIP2V06IVIP030000001<C4`0C4a<0200C4a<
00<0000003<c<`0c<c<04@0c<c<00`0000006ATI01TI6@0:01TI6F000000JP3oool300000000503o
ool00`000000oooo0?ooo`1S0?ooofP00000300I6AT00`000000<c<c03<c<`0@03<c<`030000001<
C4`0C4a<0200C4a<00<0000006IVIP1VIVH0Z01VIVH00`000000C4a<04a<C00P04a<C0030000000c
<c<0<c<c0100<c<c00<0000001TI6@0I6AT02@0I6AUX000006D0oooo0@00000001@0oooo00<00000
0?ooo`3oool0G03ooom_000000`06ATI00<0000003<c<`0c<c<0400c<c<00`000000C4a<04a<C00O
04a<C0030000001VIVH0IVIV0:X0IVIV00<0000004a<C01<C4`07`1<C4`00`000000<c<c03<c<`0@
03<c<`030000000I6AT06ATI00T06ATIK`00001N0?ooo`400000000D0?ooo`030000003oool0oooo
05D0ooooM`00000<01TI6@030000000c<c<0<c<c00l0<c<c00<0000004a<C01<C4`07P1<C4`00`00
0000IVIV06IVIP2[06IVIP030000001<C4`0C4a<01l0C4a<00<0000003<c<`0c<c<03`0c<c<00`00
00006ATI01TI6@0:01TI6GH00000E`3oool100000000503oool00`000000oooo0?ooo`1:0?oooh80
0000300I6AT00`000000<c<c03<c<`0>03<c<`030000001<C4`0C4a<01h0C4a<00<0000006IVIP1V
IVH0[@1VIVH00`000000C4a<04a<C00N04a<C0030000000c<c<0<c<c00l0<c<c00<0000001TI6@0I
6AT02@0I6AV1000004d0oooo0@00000001@0oooo00<000000?ooo`3oool0@03ooon=000000/06ATI
00<0000003<c<`0c<c<03P0c<c<00`000000C4a<04a<C00M04a<C0030000001VIVH0IVIV0:l0IVIV
00<0000004a<C01<C4`07P1<C4`00`000000<c<c03<c<`0>03<c<`030000000I6AT06ATI00T06ATI
S00000120?ooo`400000000D0?ooo`030000003oool0oooo03T0ooooU000000;01TI6@030000000c
<c<0<c<c00h0<c<c00<0000004a<C01<C4`0701<C4`00`000000IVIV06IVIP2a06IVIP030000001<
C4`0C4a<01d0C4a<00<0000003<c<`0c<c<03P0c<c<00`0000006ATI01TI6@0901TI6I<00000>`3o
ool100000000503oool00`000000oooo0?ooo`0^0?oooil000002`0I6AT00`000000<c<c03<c<`0=
03<c<`030000001<C4`0C4a<01`0C4a<00<0000006IVIP1VIVH0/`1VIVH00`000000C4a<04a<C00L
04a<C0030000000c<c<0<c<c00h0<c<c00<0000001TI6@0I6AT0200I6AVN00000340oooo0@000000
01@0oooo00<000000?ooo`3oool0803ooon^000000X06ATI00<0000003<c<`0c<c<03@0c<c<00`00
0000C4a<04a<C00J04a<C0800000]`1VIVH00`000000C4a<04a<C00L04a<C0030000000c<c<0<c<c
00d0<c<c00<0000001TI6@0I6AT0200I6AV/000002<0oooo0@00000001@0oooo00<000000?ooo`3o
ool04P3ooonl000000X06ATI00<0000003<c<`0c<c<0300c<c<00`000000C4a<04a<C00J04a<C003
0000001VIVH0IVIV0;P0IVIV0P00000L04a<C0030000000c<c<0<c<c00d0<c<c00<0000001TI6@0I
6AT01`0I6AVk000001D0oooo0@00000001@0oooo00<000000?ooo`3oool02`3oooo4000000X06ATI
00<0000003<c<`0c<c<02`0c<c<00`000000C4a<04a<C00I04a<C0030000001VIVH0IVIV0;/0IVIV
00<0000004a<C01<C4`06@1<C4`00`000000<c<c03<c<`0<03<c<`030000000I6AT06ATI00P06ATI
``00000=0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooa000000:01TI6@030000000c
<c<0<c<c00/0<c<c00<0000004a<C01<C4`05`1<C4`200000;l0IVIV00<0000004a<C01<C4`0601<
C4`00`000000<c<c03<c<`0<03<c<`030000000I6AT06ATI00P06ATI`P00000>0?ooo`400000000D
0?ooo`030000003oool0oooo00/0ooooa@00000901TI6@030000000c<c<0<c<c00X0<c<c00<00000
04a<C01<C4`05`1<C4`00`000000IVIV06IVIP3006IVIP8000006@1<C4`00`000000<c<c03<c<`0;
03<c<`030000000I6AT06ATI00L06ATI``00000>0?ooo`400000000D0?ooo`030000003oool0oooo
00/0ooooa@00000901TI6@030000000c<c<0<c<c00X0<c<c00<0000004a<C01<C4`05P1<C4`00`00
0000IVIV06IVIP3306IVIP030000001<C4`0C4a<01H0C4a<00<0000003<c<`0c<c<02`0c<c<00`00
00006ATI01TI6@0701TI6L<000003P3oool100000000503oool00`000000oooo0?ooo`0;0?oool@0
0000200I6AT2000000/0<c<c0P00000H04a<C0030000001VIVH0IVIV0<D0IVIV00<0000004a<C01<
C4`05P1<C4`2000000`0<c<c00<0000001TI6@0I6AT01`0I6AW2000000h0oooo0@00000001@0oooo
00<000000?ooo`3oool02`3oooo2000000T06ATI00<0000003<c<`0c<c<02P0c<c<00`000000C4a<
04a<C00F04a<C0800000b@1VIVH00`000000C4a<04a<C00G04a<C0030000000c<c<0<c<c00X0<c<c
0P00000801TI6L4000003P3oool100000000503oool00`000000oooo0?ooo`0;0?oool400000200I
6AT2000000/0<c<c0P00000H04a<C0030000001VIVH0IVIV0<X0IVIV0P00000H04a<C0800000300c
<c<00`0000006ATI01TI6@0701TI6Kl000003P3oool100000000503oool00`000000oooo0?ooo`0;
0?oool000000200I6AT00`000000<c<c03<c<`0:03<c<`030000001<C4`0C4a<01L0C4a<00<00000
06IVIP1VIVH0E`1VIVHL000005X0IVIV00<0000004a<C01<C4`05`1<C4`00`000000<c<c03<c<`0:
03<c<`030000000I6AT06ATI00L06ATI_P00000>0?ooo`400000000D0?ooo`030000003oool0oooo
00/0oooo_P00000901TI6@030000000c<c<0<c<c00T0<c<c0P00000H04a<C0800000C01VIVH>0000
01`0Ogmo3P00001=06IVIP800000601<C4`2000000/0<c<c0P00000801TI6Kd000003P3oool10000
0000503oool00`000000oooo0?ooo`0;0?oookd00000200I6AT2000000X0<c<c0P00000F04a<C0@0
0000A01VIVH:000003P0Ogmo2`00001406IVIP@000005P1<C4`2000000/0<c<c00<0000001TI6@0I
6AT01`0I6AVk000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooonk000000P06ATI
0P00000:03<c<`8000005@1<C4`300000440IVIV1`00001=07moO`L00000@@1VIVH3000001D0C4a<
0P00000:03<c<`800000200I6AVj000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3o
oonj000000L06ATI0P00000:03<c<`8000004`1<C4`4000003d0IVIV1`00001K07moO`L00000?@1V
IVH4000001<0C4a<0P00000:03<c<`8000001`0I6AVi000000h0oooo0@00000001@0oooo00<00000
0?ooo`3oool02`3oooni000000H06ATI0P00000903<c<`<000004P1<C4`3000003X0IVIV1`00001Y
07moO`L00000>P1VIVH300000180C4a<0`00000903<c<`8000001`0I6AVg000000h0oooo0@000000
01@0oooo00<000000?ooo`3oool02`3ooong000000D06ATI0`00000903<c<`8000004@1<C4`40000
03H0IVIV1`00001g07moO`L00000=P1VIVH400000140C4a<0P00000903<c<`<000001@0I6AVf0000
00h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooone000000D06ATI0P00000:03<c<`80
0000401<C4`3000003<0IVIV1`00002507moO`L00000<`1VIVH300000100C4a<0P00000:03<c<`80
00001@0I6AVd000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooonc000000D06ATI
0P00000903<c<`<000003P1<C4`4000002l0IVIV1`00002C07moO`L00000;`1VIVH4000000h0C4a<
0`00000903<c<`8000001@0I6AVb000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3o
oon`000000D06ATI0`00000703<c<`@000003@1<C4`4000002d0IVIV1P00002Q07moO`L00000;01V
IVH3000000h0C4a<1000000703<c<`<000001@0I6AV_000000h0oooo0@00000001@0oooo00<00000
0?ooo`3oool02`3ooon^000000@06ATI0`00000703<c<`<000003@1<C4`4000002T0IVIV2000002^
07moO`L00000:01VIVH5000000d0C4a<0`00000703<c<`<00000100I6AV]000000h0oooo0@000000
01@0oooo00<000000?ooo`3oool02`3ooonZ000000@06ATI1000000603<c<`@000002`1<C4`50000
02H0IVIV1`00002m07moO`L000009P1VIVH5000000/0C4a<1000000603<c<`@000000`0I6AVZ0000
00h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooonV000000@06ATI1000000503<c<`D0
00002@1<C4`600000200IVIV2`00003;07moO`X000008@1VIVH6000000T0C4a<1@00000503<c<`@0
0000100I6AVU000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooonQ000000@06ATI
1@00000203<c<`L000001`1<C4`7000001`0IVIV2P00003P07moO`/00000701VIVH7000000L0C4a<
1`00000203<c<`D000000`0I6AVQ000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3o
oonM0000000301TI6@000000000000`000000`1<C4`;000001`0IVIV1`00003e07moO`L00000701V
IVH:000000@0C4a<3P0000000`0I6AT000000000002J000000h0oooo0@00000000P0oooo0P00000:
0?ooo`030000003oool0oooo00/0oooo[`00000>06IVIQT00000o`1oOgl407moOaP000003P1VIVJ_
000000h0oooo0@00000000L0oooo00@000000?ooo`3oool000002@3oool00`000000oooo0?ooo`0;
0?oooj4000003P1VIVH>00000?l0Ogmo=@1oOgl>000000h0IVIVX@00000>0?ooo`40000000070?oo
o`040000003oool0oooo000000T0oooo1P0000080?ooojl00000o`1oOgmA07moOk0000002@3oool5
000000001`3oool010000000oooo0?ooo`0000090?ooo`030000003oool0oooo07@0oooo3P00000>
0?ooocP00000o`1oOgle07moOcP000003P3oool>000007L0oooo0@00000000L0oooo00@000000?oo
o`3oool000002@3oool00`000000oooo0?ooo`2K0?oooal000003P2IVITI00000?l0Ogmo101oOglH
000000h0VIVI8000002M0?ooo`40000000070?ooo`040000003oool0oooo000000T0oooo00<00000
0?ooo`3oool0XP3oool6000000030>KViP000000000000`000000`2c/k<;000001`0VIVI1`00003e
07moO`L00000702IVIT:000000@0/k>c3P0000000`3Vi^H000000000000400000:@0oooo0@000000
00P0oooo0P00000:0?ooo`030000003oool0oooo0:P0oooo100000040>KViPD000000P3<c<`70000
00L0/k>c1`00000L09VIV@X00000h01oOgl;000001`0VIVI1`0000070;>c/`L000000P3<c<`50000
00<0i^KV1@00002Z0?ooo`400000000D0?ooo`030000003oool0oooo0:`0oooo1@0000040>KViP@0
00001@3<c<`5000000T0/k>c1P00000P09VIV@/00000b`1oOgl:00000240VIVI1P0000090;>c/`D0
00001@3<c<`4000000@0i^KV1000002_0?ooo`400000000D0?ooo`030000003oool0oooo0;40oooo
100000040>KViP@000001P3<c<`4000000/0/k>c1@00000V09VIV@L00000_@1oOgl7000002H0VIVI
1@00000;0;>c/`@000001P3<c<`4000000<0i^KV1@00002c0?ooo`400000000D0?ooo`030000003o
ool0oooo0;D0oooo100000040>KViP<000001`3<c<`3000000d0/k>c1000000Y09VIV@P00000[P1o
Ogl7000002P0VIVI1@00000=0;>c/`<000001`3<c<`3000000@0i^KV0`00002h0?ooo`400000000D
0?ooo`030000003oool0oooo0;T0oooo0P0000050>KViP<000001`3<c<`4000000d0/k>c1000000]
09VIV@H00000X@1oOgl7000002`0VIVI0`00000>0;>c/`@000001`3<c<`3000000D0i^KV0P00002k
0?ooo`400000000D0?ooo`030000003oool0oooo0;/0oooo0`0000050>KViP8000002@3<c<`30000
00h0/k>c1000000_09VIV@L00000T`1oOgl7000002l0VIVI1000000>0;>c/`<000002@3<c<`20000
00D0i^KV0`00002m0?ooo`400000000D0?ooo`030000003oool0oooo0;h0oooo0P0000050>KViP80
00002P3<c<`200000100/k>c0`00000c09VIV@L00000Q@1oOgl7000003<0VIVI0`00000@0;>c/`80
00002P3<c<`2000000D0i^KV0P0000300?ooo`400000000D0?ooo`030000003oool0oooo0<00oooo
0P0000050>KViP<000002@3<c<`200000140/k>c1000000f09VIV@L00000M`1oOgl7000003H0VIVI
1000000A0;>c/`8000002@3<c<`3000000D0i^KV0P0000320?ooo`400000000D0?ooo`030000003o
ool0oooo0<80oooo0P0000060>KViP8000002@3<c<`300000180/k>c0`00000j09VIV@L00000J@1o
Ogl7000003X0VIVI0`00000B0;>c/`<000002@3<c<`2000000L0i^KV00<000000?ooo`3oool0`P3o
ool100000000503oool00`000000oooo0?ooo`340?ooo`030000003Vi^H0i^KV00D0i^KV0P00000:
0<c<c08000004`2c/k<4000003d0VIVI1`00001K07moO`L00000?@2IVIT4000001<0/k>c0P00000:
0<c<c08000001`3Vi^H200000<D0oooo0@00000001@0oooo00<000000?ooo`3oool0a@3oool00`00
0000i^KV0>KViP060>KViP8000002P3<c<`2000001D0/k>c0`00001109VIV@L00000C@1oOgl70000
0440VIVI0`00000E0;>c/`8000002P3<c<`2000000P0i^KV00<000000?ooo`3oool0a@3oool10000
0000503oool00`000000oooo0?ooo`360?ooo`800000203Vi^H2000000X0c<c<0P00000F0;>c/`@0
0000A02IVIT:000003P0Ogmo2`00001409VIV@@000005P2c/k<2000000/0c<c<00<000000>KViP3V
i^H01`3Vi^H00`000000oooo0?ooo`360?ooo`400000000D0?ooo`030000003oool0oooo0<P0oooo
00<000000>KViP3Vi^H01`3Vi^H00`000000c<c<0<c<c0090<c<c0800000602c/k<2000004`0VIVI
3P00000L07moO`h00000C@2IVIT2000001P0/k>c0P00000;0<c<c0800000203Vi^H200000<T0oooo
0@00000001@0oooo00<000000?ooo`3oool0b@3oool2000000P0i^KV00<000000<c<c03<c<`02P3<
c<`00`000000/k>c0;>c/`0G0;>c/`030000002IVIT0VIVI05L0VIVI7000001J09VIV@030000002c
/k<0/k>c01L0/k>c00<000000<c<c03<c<`02P3<c<`00`000000i^KV0>KViP070>KViP030000003o
ool0oooo0<T0oooo0@00000001@0oooo00<000000?ooo`3oool0b`3oool00`000000i^KV0>KViP06
0>KViP8000002`3<c<`2000001P0/k>c00<0000009VIV@2IVIT0bP2IVIT2000001P0/k>c0P00000<
0<c<c0030000003Vi^H0i^KV00L0i^KV00<000000?ooo`3oool0bP3oool100000000503oool00`00
0000oooo0?ooo`3<0?ooo`030000003Vi^H0i^KV00L0i^KV00<000000<c<c03<c<`02P3<c<`00`00
0000/k>c0;>c/`0F0;>c/`800000b@2IVIT00`000000/k>c0;>c/`0G0;>c/`030000003<c<`0c<c<
00X0c<c<0P0000080>KViP800000c@3oool100000000503oool00`000000oooo0?ooo`3=0?ooo`80
0000203Vi^H2000000/0c<c<0P00000H0;>c/`030000002IVIT0VIVI0<D0VIVI00<000000;>c/`2c
/k<05P2c/k<2000000`0c<c<00<000000>KViP3Vi^H01`3Vi^H00`000000oooo0?ooo`3=0?ooo`40
0000000D0?ooo`030000003oool0oooo0<l0oooo00<000000>KViP3Vi^H01`3Vi^H00`000000c<c<
0<c<c00:0<c<c0030000002c/k<0/k>c01H0/k>c00<0000009VIV@2IVIT0``2IVIT00`000000/k>c
0;>c/`0F0;>c/`030000003<c<`0c<c<00/0c<c<00<000000>KViP3Vi^H01`3Vi^H00`000000oooo
0?ooo`3>0?ooo`400000000D0?ooo`030000003oool0oooo0<l0oooo00<000000>KViP3Vi^H01`3V
i^H00`000000c<c<0<c<c00:0<c<c0030000002c/k<0/k>c01L0/k>c00<0000009VIV@2IVIT0`02I
VIT2000001T0/k>c00<000000<c<c03<c<`02`3<c<`00`000000i^KV0>KViP070>KViP030000003o
ool0oooo0<h0oooo0@00000001@0oooo00<000000?ooo`3oool0cP3oool00`000000i^KV0>KViP08
0>KViP030000003<c<`0c<c<00/0c<c<00<000000;>c/`2c/k<05`2c/k<200000;l0VIVI00<00000
0;>c/`2c/k<0602c/k<00`000000c<c<0<c<c00<0<c<c0030000003Vi^H0i^KV00P0i^KV00<00000
0?ooo`3oool0c@3oool100000000503oool00`000000oooo0?ooo`0;0?ooo`L00000_03oool00`00
0000i^KV0>KViP080>KViP030000003<c<`0c<c<00/0c<c<00<000000;>c/`2c/k<06@2c/k<00`00
0000VIVI09VIV@2k09VIV@030000002c/k<0/k>c01T0/k>c00<000000<c<c03<c<`0303<c<`00`00
0000i^KV0>KViP080>KViP030000003oool0oooo0;P0oooo2000000=0?ooo`400000000D0?ooo`03
0000003oool0oooo00/0oooo5@00002]0?ooo`030000003Vi^H0i^KV00P0i^KV00<000000<c<c03<
c<`0303<c<`00`000000/k>c0;>c/`0J0;>c/`030000002IVIT0VIVI0;P0VIVI0P00000L0;>c/`03
0000003<c<`0c<c<00d0c<c<00<000000>KViP3Vi^H01`3Vi^H00`000000oooo0?ooo`2Z0?oooaD0
00003P3oool100000000503oool00`000000oooo0?ooo`0;0?ooob<00000W`3oool00`000000i^KV
0>KViP080>KViP030000003<c<`0c<c<00d0c<c<00<000000;>c/`2c/k<06P2c/k<200000;L0VIVI
00<000000;>c/`2c/k<0702c/k<00`000000c<c<0<c<c00=0<c<c0030000003Vi^H0i^KV00P0i^KV
00<000000?ooo`3oool0V`3ooolS000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3o
ool^000009<0oooo00<000000>KViP3Vi^H02@3Vi^H00`000000c<c<0<c<c00=0<c<c0030000002c
/k<0/k>c01`0/k>c00<0000009VIV@2IVIT0/`2IVIT00`000000/k>c0;>c/`0L0;>c/`030000003<
c<`0c<c<00h0c<c<00<000000>KViP3Vi^H0203Vi^H00`000000oooo0?ooo`2A0?ooobd000003P3o
ool100000000503oool00`000000oooo0?ooo`0;0?ooocD00000S03oool00`000000i^KV0>KViP09
0>KViP030000003<c<`0c<c<00d0c<c<00<000000;>c/`2c/k<07@2c/k<00`000000VIVI09VIV@2a
09VIV@030000002c/k<0/k>c01d0/k>c00<000000<c<c03<c<`03P3<c<`00`000000i^KV0>KViP08
0>KViP030000003oool0oooo08X0oooo=000000>0?ooo`400000000D0?ooo`030000003oool0oooo
00/0oooo?`0000220?ooo`030000003Vi^H0i^KV00T0i^KV00<000000<c<c03<c<`03P3<c<`00`00
0000/k>c0;>c/`0M0;>c/`030000002IVIT0VIVI0:l0VIVI00<000000;>c/`2c/k<07P2c/k<00`00
0000c<c<0<c<c00>0<c<c0030000003Vi^H0i^KV00T0i^KV00<000000?ooo`3oool0OP3ooolo0000
00h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooom=000007<0oooo00<000000>KViP3V
i^H02P3Vi^H00`000000c<c<0<c<c00>0<c<c0030000002c/k<0/k>c01h0/k>c00<0000009VIV@2I
VIT0[@2IVIT00`000000/k>c0;>c/`0N0;>c/`030000003<c<`0c<c<00l0c<c<00<000000>KViP3V
i^H02@3Vi^H00`000000oooo0?ooo`1`0?ooodd000003P3oool100000000503oool00`000000oooo
0?ooo`0;0?oooeP00000J03oool00`000000i^KV0>KViP0:0>KViP030000003<c<`0c<c<00l0c<c<
00<000000;>c/`2c/k<07P2c/k<00`000000VIVI09VIV@2/09VIV@030000002c/k<0/k>c01h0/k>c
00<000000<c<c03<c<`03`3<c<`00`000000i^KV0>KViP0:0>KViP030000003oool0oooo06D0oooo
E`00000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooG`00001P0?ooo`030000003V
i^H0i^KV00X0i^KV00<000000<c<c03<c<`0403<c<`00`000000/k>c0;>c/`0O0;>c/`030000002I
VIT0VIVI0:X0VIVI00<000000;>c/`2c/k<07`2c/k<00`000000c<c<0<c<c00@0<c<c0030000003V
i^H0i^KV00T0i^KV00<000000?ooo`3oool0GP3ooomN000000h0oooo0@00000001@0oooo00<00000
0?ooo`3oool02`3ooomV000005T0oooo00<000000>KViP3Vi^H02P3Vi^H00`000000c<c<0<c<c00@
0<c<c0030000002c/k<0/k>c0200/k>c00<0000009VIV@2IVIT0Z02IVIT00`000000/k>c0;>c/`0P
0;>c/`030000003<c<`0c<c<0100c<c<00<000000>KViP3Vi^H02@3Vi^H00`000000oooo0?ooo`1G
0?ooofD000003P3oool100000000503oool4000000X0ooooK@00001A0?ooo`030000003Vi^H0i^KV
00/0i^KV00<000000<c<c03<c<`04@3<c<`00`000000/k>c0;>c/`0P0;>c/`030000002IVIT0VIVI
0:H0VIVI00<000000;>c/`2c/k<0802c/k<00`000000c<c<0<c<c00A0<c<c0030000003Vi^H0i^KV
00X0i^KV00<000000?ooo`3oool0D03ooom[000000`0oooo0`00000001@0oooo00<000000?ooo`3o
ool02`3ooomc000004X0oooo0P00000=0>KViP030000003<c<`0c<c<0140c<c<00<000000;>c/`2c
/k<08@2c/k<00`000000VIVI09VIV@2T09VIV@030000002c/k<0/k>c0240/k>c00<000000<c<c03<
c<`04@3<c<`00`000000i^KV0>KViP0:0>KViP030000003oool0oooo04T0ooooLP00000>0?ooo`40
0000000D0?ooo`030000003oool0oooo00/0ooooM`0000140?ooo`8000003P3Vi^H00`000000c<c<
0<c<c00@0<c<c0800000902c/k<00`000000VIVI09VIV@2T09VIV@030000002c/k<0/k>c0280/k>c
00<000000<c<c03<c<`04@3<c<`00`000000i^KV0>KViP0:0>KViP800000A03ooomg000000h0oooo
0@00000001@0oooo00<000000?ooo`3oool02`3oooml000003d0oooo0P00000?0>KViP030000003<
c<`0c<c<0100c<c<00<000000;>c/`2c/k<09@2c/k<00`000000VIVI09VIV@2R09VIV@030000002c
/k<0/k>c02@0/k>c0P00000B0<c<c0030000003Vi^H0i^KV00/0i^KV0P00000n0?ooog/000003P3o
ool100000000503oool00`000000oooo0?ooo`0;0?oooh800000=@3oool200000100i^KV00<00000
0<c<c03<c<`0403<c<`00`000000/k>c0;>c/`0V0;>c/`030000002IVIT0VIVI0:80VIVI00<00000
0;>c/`2c/k<09P2c/k<00`000000c<c<0<c<c00?0<c<c0030000003Vi^H0i^KV00d0i^KV0P00000f
0?oooh4000003P3oool100000000503oool00`000000oooo0?ooo`0;0?ooohT00000703ooolB0000
0140i^KV00<000000<c<c03<c<`03`3<c<`2000002T0/k>c00<0000009VIV@2IVIT0XP2IVIT00`00
0000/k>c0;>c/`0W0;>c/`030000003<c<`0c<c<00l0c<c<00<000000>KViP3Vi^H03P3Vi^HC0000
01`0ooooR000000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooT`00000;0?ooo`L0
00008`3Vi^H00`000000c<c<0<c<c00>0<c<c0030000002c/k<0/k>c02T0/k>c00<0000009VIV@2I
VIT0X@2IVIT00`000000/k>c0;>c/`0Y0;>c/`800000403<c<`00`000000i^KV0>KViP0P0>KViPL0
00002P3ooonC000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooon@000000<0i^KV
2`0000070>KViPL000006`3Vi^H00`000000c<c<0<c<c00=0<c<c0800000;@2c/k<00`000000VIVI
09VIV@2P09VIV@030000002c/k<0/k>c02/0/k>c00<000000<c<c03<c<`03P3<c<`00`000000i^KV
0>KViP0H0>KViPL000001`3Vi^H:000000@0i^KVS`00000>0?ooo`400000000D0?ooo`030000003o
ool0oooo00/0ooooU`0000070>KViPL000001`3<c<`7000001<0i^KV00<000000<c<c03<c<`03@3<
c<`00`000000/k>c0;>c/`0]0;>c/`030000002IVIT0VIVI0:00VIVI00<000000;>c/`2c/k<0;02c
/k<00`000000c<c<0<c<c00=0<c<c0030000003Vi^H0i^KV0140i^KV1`0000070<c<c0L000001`3V
i^JF000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooon?000000030;>c/`000000
000000`000005@3<c<`:000000P0i^KV00<000000<c<c03<c<`03@3<c<`00`000000/k>c0;>c/`0^
0;>c/`030000002IVIT0VIVI09l0VIVI00<000000;>c/`2c/k<0;P2c/k<2000000h0c<c<00<00000
0>KViP3Vi^H01@3Vi^H;000001D0c<c<3P0000000`2c/k<000000000000=0000000301TI6@000000
000007`000003P3oool100000000503oool00`000000oooo0?ooo`0;0?ooohh0000000<0VIVI0000
000000000P0000040;>c/`X00000703<c<`8000000h0c<c<0P00000b0;>c/`030000002IVIT0VIVI
09h0VIVI00<000000;>c/`2c/k<0<02c/k<00`000000c<c<0<c<c00<0<c<c0L00000703<c<`;0000
00<0/k>c1@0000000`2IVIT000000000000:0000000301TI6@000000000007h000003P3oool10000
0000503oool00`000000oooo0?ooo`0;0?oooi80000000<0VIVI0000000000000`0000090;>c/`X0
00009P3<c<`2000003@0/k>c00<0000009VIV@2IVIT0W@2IVIT00`000000/k>c0;>c/`0b0;>c/`80
00009P3<c<`9000000X0/k>c1000000209VIV@h0000000<06ATI000000000000P000000>0?ooo`40
0000000D0?ooo`030000003oool0oooo00/0ooooQ`0000000`0c<c<00000000000030000000306IV
IP00000000000080Ogmo0`00000309VIV@@000003`2c/k<4000001h0c<c<1000000f0;>c/`030000
002IVIT0VIVI09d0VIVI00<000000;>c/`2c/k<0=02c/k<4000001d0c<c<1@00000?0;>c/`@00000
0`2IVIT300000080Ogmo0P0000000`1VIVH00000000000050000000301TI6@000000000008<00000
3@3oool100000000503oool00`000000oooo0?ooo`0B0?oooh8000000P0c<c<40000000406IVIP00
0000000000000080Ogmo1000000309VIV@@000003`2c/k<5000001H0c<c<0`00000j0;>c/`030000
002IVIT0VIVI09d0VIVI00<000000;>c/`2c/k<0>02c/k<3000001H0c<c<1000000@0;>c/`@00000
0`2IVIT400000080Ogmo0`0000000`1VIVH00000000000020000000403<c<`000000000001TI6Gl0
00005@3oool100000000503oool00`000000oooo0?ooo`0L0?ooogX000000P0c<c<010000000C4a<
00000000000206IVIP800000101oOgl2000000D0VIVI1000000@0;>c/`T000002@3<c<`4000003h0
/k>c00<0000009VIV@2IVIT0V`2IVIT00`000000/k>c0;>c/`0l0;>c/`@00000203<c<`:00000140
/k>c0`00000409VIV@<00000101oOgl200000080IVIV0P0000000`1<C4`0000003<c<`0200000003
01TI6@000000000007H000007P3oool100000000503oool00`000000oooo0?ooo`0R0?ooogH00000
00@0<c<c0000001<C4`0C4a<0P00000206IVIP800000101oOgl2000000L0VIVI0`00000F0;>c/`T0
0000@P2c/k<00`000000VIVI09VIV@2K09VIV@030000002c/k<0/k>c0400/k>c2000000G0;>c/`@0
00001P2IVIT00`000000Ogmo07moO`0307moO`8000000`1VIVH01P000000C4a<04a<C0000000<c<c
000000806ATIM000000S0?ooo`400000000D0?ooo`030000003oool0oooo02H0ooooL0000000100I
6AT0000003<c<`00000304a<C0030000001VIVH0IVIV0080IVIV00<0000007moO`1oOgl00`1oOgl2
000000P0VIVI0`00001M0;>c/`030000002IVIT0VIVI09d0VIVI00<000000;>c/`2c/k<0F`2c/k<3
000000P0VIVI0P00000407moO`8000001@1VIVH01P000000C4a<04a<C0000000<c<c000000806ATI
K`00000X0?ooo`400000000D0?ooo`030000003oool0oooo02T0ooooK000000201TI6@030000000c
<c<0000000@0C4a<00<0000006IVIP1VIVH00P1VIVH2000000D0Ogmo00<0000009VIV@2IVIT0202I
VIT3000005T0/k>c00<0000009VIV@2IVIT0W`2IVIT00`000000/k>c0;>c/`1G0;>c/`<000002P2I
VIT00`000000Ogmo07moO`0307moO`030000001VIVH0IVIV00@0IVIV00L0000004a<C01<C4`0C4a<
0000000c<c<0000000<06ATIJ`00000[0?ooo`400000000D0?ooo`030000003oool0oooo02d0oooo
J000000201TI6@030000000c<c<0000000@0C4a<00<0000006IVIP1VIVH0101VIVH00`000000Ogmo
07moO`0307moO`8000002`2IVIT2000005H0/k>c00<0000009VIV@2IVIT0X@2IVIT00`000000/k>c
0;>c/`1C0;>c/`<000002`2IVIT2000000D0Ogmo00<0000006IVIP1VIVH01@1VIVH01`000000C4a<
04a<C01<C4`0000003<c<`0000000`0I6AUW000002l0oooo0@00000001@0oooo00<000000?ooo`3o
ool0<03ooomU000000806ATI00@0000003<c<`0c<c<00000101<C4`00`000000IVIV06IVIP0406IV
IP030000001oOgl0Ogmo00@0Ogmo00<0000009VIV@2IVIT02P2IVIT3000005<0/k>c00<0000009VI
V@2IVIT0X@2IVIT00`000000/k>c0;>c/`1A0;>c/`8000003@2IVIT00`000000Ogmo07moO`0407mo
O`030000001VIVH0IVIV00D0IVIV00D0000004a<C01<C4`0C4a<0000000203<c<`040000000I6AT0
6ATI01TI6F@00000<P3oool100000000503oool00`000000oooo0?ooo`0d0?ooof0000000`0I6AT0
10000000<c<c03<c<`00000404a<C0030000001VIVH0IVIV00@0IVIV00<0000007moO`1oOgl01@1o
Ogl2000000d0VIVI0`00001?0;>c/`030000002IVIT0VIVI0:<0VIVI00<000000;>c/`2c/k<0C@2c
/k<3000000d0VIVI0P00000707moO`030000001VIVH0IVIV00D0IVIV00D0000004a<C01<C4`0C4a<
0000000203<c<`030000000I6AT06ATI00806ATIG`00000f0?ooo`400000000D0?ooo`030000003o
ool0oooo03P0ooooG000000301TI6@040000000c<c<0<c<c000000D0C4a<00<0000006IVIP1VIVH0
101VIVH00`000000Ogmo07moO`0607moO`030000002IVIT0VIVI00d0VIVI0`00001;0;>c/`030000
002IVIT0VIVI0:D0VIVI00<000000;>c/`2c/k<0B@2c/k<3000000l0VIVI00<0000007moO`1oOgl0
1P1oOgl00`000000IVIV06IVIP0506IVIP030000001<C4`0C4a<0080C4a<00@0000003<c<`0c<c<0
0000100I6AUK000003X0oooo0@00000001@0oooo00<000000?ooo`3oool0?03ooomH000000<06ATI
00@0000003<c<`0c<c<000001@1<C4`00`000000IVIV06IVIP0406IVIP030000001oOgl0Ogmo00L0
Ogmo0P00000@09VIV@<00000A`2c/k<00`000000VIVI09VIV@2W09VIV@030000002c/k<0/k>c04D0
/k>c0`00000@09VIV@8000002@1oOgl00`000000IVIV06IVIP0506IVIP030000001<C4`0C4a<0080
C4a<00@0000003<c<`0c<c<00000100I6AUF000003l0oooo0@00000001@0oooo00<000000?ooo`3o
ool0@@3ooomB000000@06ATI00@0000003<c<`0c<c<000001@1<C4`00`000000IVIV06IVIP0506IV
IP030000001oOgl0Ogmo00P0Ogmo00<0000009VIV@2IVIT0402IVIT2000004@0/k>c00<0000009VI
V@2IVIT0Z@2IVIT00`000000/k>c0;>c/`110;>c/`<000004P2IVIT00`000000Ogmo07moO`0807mo
O`030000001VIVH0IVIV00H0IVIV00<0000004a<C01<C4`00P1<C4`010000000<c<c03<c<`000005
01TI6E400000@`3oool100000000503oool00`000000oooo0?ooo`160?ooodd00000100I6AT01000
0000<c<c03<c<`00000604a<C0030000001VIVH0IVIV00@0IVIV00<0000007moO`1oOgl02@1oOgl0
0`000000VIVI09VIV@0A09VIV@<00000@02c/k<00`000000VIVI09VIV@2[09VIV@030000002c/k<0
/k>c03h0/k>c0P00000D09VIV@030000001oOgl0Ogmo00T0Ogmo00<0000006IVIP1VIVH01@1VIVH0
0`000000C4a<04a<C00304a<C0040000000c<c<0<c<c000000D06ATIC00000180?ooo`400000000D
0?ooo`030000003oool0oooo04X0ooooB000000501TI6@040000000c<c<0<c<c000000H0C4a<00<0
000006IVIP1VIVH01@1VIVH00`000000Ogmo07moO`0907moO`030000002IVIT0VIVI01<0VIVI0`00
000l0;>c/`030000002IVIT0VIVI0:d0VIVI00<000000;>c/`2c/k<0>P2c/k<3000001D0VIVI00<0
000007moO`1oOgl02@1oOgl00`000000IVIV06IVIP0606IVIP030000001<C4`0C4a<00<0C4a<00@0
000003<c<`0c<c<000001P0I6AU6000004d0oooo0@00000001@0oooo00<000000?ooo`3oool0C`3o
oom3000000D06ATI00D0000003<c<`0c<c<0<c<c0000000604a<C0030000001VIVH0IVIV00@0IVIV
00<0000007moO`1oOgl02@1oOgl00`000000VIVI09VIV@0F09VIV@<00000>@2c/k<00`000000VIVI
09VIV@2]09VIV@030000002c/k<0/k>c03H0/k>c1000000H09VIV@030000001oOgl0Ogmo00T0Ogmo
00<0000006IVIP1VIVH01@1VIVH00`000000C4a<04a<C00304a<C0050000000c<c<0<c<c03<c<`00
00001P0I6AU200000540oooo0@00000001@0oooo00<000000?ooo`3oool0E@3ooolm000000D06ATI
00D0000003<c<`0c<c<0<c<c0000000604a<C0030000001VIVH0IVIV00D0IVIV00<0000007moO`1o
Ogl02@1oOgl00`000000VIVI09VIV@0H09VIV@@00000=02c/k<00`000000VIVI09VIV@2_09VIV@03
0000002c/k<0/k>c0340/k>c1000000K09VIV@030000001oOgl0Ogmo00T0Ogmo00<0000006IVIP1V
IVH01P1VIVH00`000000C4a<04a<C00304a<C0050000000c<c<0<c<c03<c<`0000001P0I6ATl0000
05L0oooo0@00000001@0oooo00<000000?ooo`3oool0G03ooole000000D06ATI0P00000303<c<`03
0000001<C4`0C4a<00D0C4a<00<0000006IVIP1VIVH0101VIVH00`000000Ogmo07moO`0:07moO`03
0000002IVIT0VIVI01/0VIVI1000000_0;>c/`030000002IVIT0VIVI0;40VIVI00<000000;>c/`2c
/k<0;02c/k<4000001h0VIVI00<0000007moO`1oOgl02P1oOgl00`000000IVIV06IVIP0506IVIP03
0000001<C4`0C4a<00@0C4a<00D0000003<c<`0c<c<0<c<c0000000701TI6C@00000GP3oool10000
0000503oool00`000000oooo0?ooo`1Q0?oooc0000000`0I6AT2000000D0<c<c00<0000004a<C01<
C4`0101<C4`2000000L0IVIV00<0000007moO`1oOgl02P1oOgl00`000000VIVI09VIV@0N09VIV@<0
0000902c/k<800000;D0VIVI2000000S0;>c/`<000008@2IVIT00`000000Ogmo07moO`0:07moO`03
0000001VIVH0IVIV00H0IVIV00<0000004a<C01<C4`0101<C4`00`000000<c<c03<c<`0203<c<`<0
0000100I6AT_000006<0oooo0@00000001@0oooo00<000000?ooo`3oool0I03oool[000000806ATI
0`00000503<c<`8000001@1<C4`2000000P0IVIV00<0000007moO`1oOgl02`1oOgl00`000000VIVI
09VIV@0Q09VIV@D000005@2c/k<:00000<D0VIVI2P00000E0;>c/`@00000902IVIT00`000000Ogmo
07moO`0;07moO`030000001VIVH0IVIV00H0IVIV0P00000504a<C0030000000c<c<0<c<c00@0<c<c
0`00000301TI6B/00000I@3oool100000000503oool00`000000oooo0?ooo`1V0?ooobD000000`0I
6AT3000000L0<c<c00<0000004a<C01<C4`00`1<C4`2000000T0IVIV00<0000007moO`1oOgl02`1o
Ogl00`000000VIVI09VIV@0W09VIV@L000001`2c/k<700000=T0VIVI1`0000070;>c/`L00000:@2I
VIT00`000000Ogmo07moO`0;07moO`030000001VIVH0IVIV00L0IVIV0P00000404a<C08000001`0c
<c<3000000<06ATI9P00001W0?ooo`400000000D0?ooo`030000003oool0oooo06P0oooo6P000009
01TI6@<000001`0c<c<3000000@0C4a<0P00000:06IVIP030000001oOgl0Ogmo00`0Ogmo00<00000
09VIV@2IVIT0;P2IVIT700000>L0VIVI1`00000`09VIV@030000001oOgl0Ogmo00`0Ogmo00<00000
06IVIP1VIVH0201VIVH2000000@0C4a<0`00000703<c<`<00000200I6ATK000006X0oooo0@000000
01@0oooo00<000000?ooo`3oool0JP3ooolQ000000D0<c<c1@00000504a<C0800000301VIVH00`00
0000Ogmo07moO`0;07moO`030000002IVIT0VIVI0?l0VIVIEP2IVIT00`000000Ogmo07moO`0;07mo
O`030000001VIVH0IVIV00X0IVIV0P00000504a<C0@000001P0c<c<Q000006`0oooo0@00000001@0
oooo00<000000?ooo`3oool0K03oool2000000030<c<c00000000000014000002P0c<c<4000000P0
C4a<0P00000=06IVIP030000001oOgl0Ogmo00`0Ogmo00<0000009VIV@2IVIT0o`2IVIUF09VIV@03
0000001oOgl0Ogmo00`0Ogmo00<0000006IVIP1VIVH02`1VIVH2000000L0C4a<1@00000903<c<aL0
0000KP3oool100000000503oool4000006d0oooo0P0000000`3<c<`000000000000I000000@0C4a<
2000000>06IVIP030000001oOgl0Ogmo00`0Ogmo00<0000009VIV@2IVIT0o`2IVIUH09VIV@030000
001oOgl0Ogmo00`0Ogmo00<0000006IVIP1VIVH0301VIVH7000000D0C4a<7P00001^0?ooo`<00000
000D0?ooo`030000003oool0oooo00/0oooo0`00001R0?ooo`80000000<0c<c<0000000000002P00
000306IVIPh000004`1VIVH3000000l0Ogmo00<0000009VIV@2IVIT0o`2IVIUH09VIV@030000001o
Ogl0Ogmo00d0Ogmo0`00000B06IVIPh00000101VIVH?00000680oooo0`00000=0?ooo`400000000D
0?ooo`030000003oool0oooo00/0oooo1`00001P0?ooo`8000000P3<c<`80000000307moO`000000
000000D00000601VIVH500000140Ogmo00<0000009VIV@2IVIT0o`2IVIUJ09VIV@030000001oOgl0
Ogmo00l0Ogmo1000000I06IVIPL0000000<0Ogmo0000000000001P000000103<c<`0000000000000
001O0?ooo`L000003P3oool100000000503oool00`000000oooo0?ooo`0;0?ooo``00000G@3oool2
00000080c<c<1@0000000`2IVIT0000000000002000000@0Ogmo2P00000:06IVIP@000005P1oOgl0
0`000000VIVI09VIV@3o09VIVEX0VIVI00<0000007moO`1oOgl04`1oOgl5000000T0IVIV2`000003
07moO`D0000000<0VIVI0000000000000`000000103<c<`0000000000000001M0?ooo`/000003P3o
ool100000000503oool00`000000oooo0?ooo`0;0?oooa800000F03oool300000080c<c<1`000000
0`2IVIT0000000000003000000T0Ogmo2P00000I07moO`030000002IVIT0VIVI0?l0VIVIG02IVIT0
0`000000Ogmo07moO`0G07moO`T000002P1oOgl400000080VIVI1`0000000`3<c<`0000000000002
000005P0oooo4@00000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo6@00001C0?oo
o`<000000`3<c<`200000080/k>c0`00000309VIV@H00000901oOgl300000?l0VIVIGP2IVIT30000
02@0Ogmo1P00000309VIV@<000000P2c/k<200000080c<c<1000001C0?oooaP000003P3oool10000
0000503oool00`000000oooo0?ooo`0;0?oooal00000C`3oool400000080c<c<0P0000030;>c/`@0
00001@2IVIT7000001P0Ogmo1@00003o09VIVF@0VIVI1000000I07moO`L000001@2IVIT4000000<0
/k>c0P0000020<c<c0@00000C`3ooolN000000h0oooo0@00000001@0oooo00<000000?ooo`3oool0
2`3ooolU000004/0oooo00@000000>KViP00000000000P3<c<`2000000D0/k>c0P00000:09VIV@X0
00002P1oOgl400000?l0VIVIK@2IVIT5000000T0Ogmo2`00000909VIV@<000001@2c/k<200000080
c<c<0P0000000`3Vi^H000000?ooo`1:0?ooob@000003P3oool100000000503oool00`000000oooo
0?ooo`0;0?ooobT00000B03oool00`000000i^KV0>KViP0200000080c<c<0P0000050;>c/`800000
4P2IVIT:00000?l0VIVIMP2IVIT9000001<0VIVI00<000000;>c/`2c/k<0102c/k<2000000<0c<c<
00@000000>KViP3Vi^H00000B03ooolX000000h0oooo0@00000001@0oooo00<000000?ooo`3oool0
2`3oool/000004D0oooo00D000000>KViP3Vi^H0i^KV000000030<c<c0030000002c/k<0/k>c00D0
/k>c0P00003o09VIVJX0VIVI0P0000070;>c/`030000003<c<`0c<c<0080c<c<00@000000>KViP3V
i^H00000A@3oool[000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3oool^000004<0
oooo00@000000>KViP3Vi^H000001@3<c<`00`000000/k>c0;>c/`060;>c/`030000002IVIT0VIVI
0?l0VIVIYP2IVIT00`000000/k>c0;>c/`070;>c/`030000003<c<`0c<c<00<0c<c<00<000000>KV
iP000000@`3oool]000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3oool`00000440
oooo00@000000>KViP3Vi^H000001@3<c<`00`000000/k>c0;>c/`070;>c/`800000o`2IVIVT09VI
V@8000002@2c/k<00`000000c<c<0<c<c0040<c<c0030000003Vi^H000000440oooo;`00000>0?oo
o`400000000D0?ooo`030000003oool0oooo00/0oooo<`00000n0?ooo`030000003Vi^H0000000H0
c<c<00<000000;>c/`2c/k<02@2c/k<00`000000VIVI09VIV@3o09VIVJ00VIVI00<000000;>c/`2c
/k<02@2c/k<00`000000c<c<0<c<c0040<c<c0030000003Vi^H0000003h0oooo<P00000>0?ooo`40
0000000D0?ooo`030000003oool0oooo00/0oooo=@00000l0?ooo`030000003Vi^H0000000H0c<c<
00<000000;>c/`2c/k<02P2c/k<200000?l0VIVIWP2IVIT2000000`0/k>c00<000000<c<c03<c<`0
1@3<c<`2000003`0oooo=000000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo=`00
000i0?ooo`040000003Vi^H0i^KV000000L0c<c<00<000000;>c/`2c/k<02`2c/k<00`000000VIVI
09VIV@3o09VIVIX0VIVI00<000000;>c/`2c/k<0302c/k<00`000000c<c<0<c<c0050<c<c0030000
003Vi^H0000003T0oooo=P00000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo>P00
000f0?ooo`030000003Vi^H0000000P0c<c<00<000000;>c/`2c/k<0302c/k<200000?l0VIVIV02I
VIT2000000l0/k>c00<000000<c<c03<c<`01@3<c<`00`000000i^KV0000000f0?ooocT000003P3o
ool100000000503oool00`000000oooo0?ooo`0;0?oooch00000<P3oool00`000000i^KV00000008
0<c<c0030000002c/k<0/k>c00h0/k>c00<0000009VIV@2IVIT0o`2IVIVD09VIV@030000002c/k<0
/k>c00h0/k>c00<000000<c<c03<c<`01P3<c<`00`000000i^KV0000000b0?ooocd000003P3oool1
00000000503oool00`000000oooo0?ooo`0;0?oood400000;`3oool00`000000i^KV000000090<c<
c0030000002c/k<0/k>c00h0/k>c00<0000009VIV@2IVIT0o`2IVIVB09VIV@030000002c/k<0/k>c
00l0/k>c00<000000<c<c03<c<`01`3<c<`2000002l0oooo@000000>0?ooo`400000000D0?ooo`03
0000003oool0oooo00/0ooooA@00000Y0?ooo`@000002P3<c<`00`000000/k>c0;>c/`0?0;>c/`03
0000002IVIT0VIVI0?l0VIVIT02IVIT00`000000/k>c0;>c/`0@0;>c/`030000003<c<`0c<c<00L0
c<c<1000000Y0?oood@000003P3oool100000000503oool00`000000oooo0?ooo`0;0?ooodX00000
7`3oool5000000<0i^KV00<000000<c<c03<c<`0203<c<`00`000000/k>c0;>c/`0@0;>c/`800000
o`2IVIV?09VIV@030000002c/k<0/k>c0140/k>c00<000000<c<c03<c<`01`3<c<`010000000i^KV
0>KViP3Vi^H400000200ooooB@00000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo
D@00000D0?ooo`@000001`3Vi^H00`000000c<c<0<c<c0090<c<c0030000002c/k<0/k>c0180/k>c
00<0000009VIV@2IVIT0o`2IVIV;09VIV@030000002c/k<0/k>c0140/k>c00<000000<c<c03<c<`0
2@3<c<`00`000000i^KV0>KViP040>KViPD00000503ooom@000000h0oooo0@00000001@0oooo00<0
00000?ooo`3oool02`3ooomU000000X0i^KV0P00000<0<c<c0030000002c/k<0/k>c0180/k>c00<0
000009VIV@2IVIT0o`2IVIV909VIV@030000002c/k<0/k>c0180/k>c00<000000<c<c03<c<`02@3<
c<`2000000X0i^KVI@00000=0?ooo`400000000D0?ooo`030000003oool0oooo00h0ooooG0000009
0>KViPL000003@3<c<`2000001D0/k>c00<0000009VIV@2IVIT0o`2IVIV709VIV@030000002c/k<0
/k>c01<0/k>c0P00000<0<c<c0L000002@3Vi^IL00000100oooo0@00000001@0oooo00<000000?oo
o`3oool04@3ooom60000000304a<C0000000IVIV00@0000000<0VIVI0000000000000P2c/k<30000
00@0c<c<2@00000B0<c<c08000005P2c/k<00`000000VIVI09VIV@3o09VIVHP0VIVI00<000000;>c
/`2c/k<05@2c/k<200000140c<c<2@0000040<c<c0<000000P2c/k<40000000307moO`0000000000
0080IVIV0P0000000`0c<c<0000000000012000001<0oooo0@00000001@0oooo00<000000?ooo`3o
ool04`3ooom20000000503<c<`000000C4a<04a<C00000000P1VIVH01@000000Ogmo000000000000
VIVI008000000`2c/k<3000001T0c<c<0`00000H0;>c/`030000002IVIT0VIVI0?l0VIVIR@2IVIT0
0`000000/k>c0;>c/`0F0;>c/`8000006@3<c<`3000000<0/k>c0P0000001@2IVIT0000007moO`1o
Ogl0000000<0IVIV00@0000004a<C0000000<c<c@P00000E0?ooo`400000000D0?ooo`030000003o
ool0oooo01D0oooo@00000001@0c<c<0000004a<C01<C4`0000000<0IVIV0P000000101oOgl00000
09VIV@2IVIT2000000@0/k>c0`00000C0<c<c0<000006P2c/k<00`000000VIVI09VIV@3o09VIVHX0
VIVI00<000000;>c/`2c/k<0602c/k<3000001<0c<c<0`0000040;>c/`8000000P2IVIT010000000
Ogmo00000000000406IVIP030000001<C4`000000080<c<c?`00000G0?ooo`400000000D0?ooo`03
0000003oool0oooo01L0oooo?P0000001@0c<c<0000004a<C01<C4`0000000D0IVIV00<0000007mo
O`0000000`2IVIT3000000@0/k>c200000090<c<c08000007@2c/k<00`000000VIVI09VIV@3o09VI
VH/0VIVI00<000000;>c/`2c/k<06P2c/k<2000000P0c<c<2@0000040;>c/`<000000`2IVIT00`00
0000Ogmo0000000606IVIP030000001<C4`000000080<c<c?@00000I0?ooo`400000000D0?ooo`03
0000003oool0oooo01T0oooo?00000000`0c<c<0000004a<C00204a<C0030000001VIVH0IVIV0080
IVIV00<0000007moO`1oOgl00P00000409VIV@8000002P2c/k<9000001h0/k>c00<0000009VIV@2I
VIT0o`2IVIV<09VIV@030000002c/k<0/k>c01`0/k>c2000000;0;>c/`800000102IVIT200000080
Ogmo00<0000006IVIP1VIVH00`1VIVH010000000C4a<04a<C000000203<c<c/000006`3oool10000
0000503oool00`000000oooo0?ooo`0K0?ooocT000000P0c<c<01@000000C4a<04a<C01<C4`00000
00D0IVIV00D0000007moO`1oOgl0Ogmo0000000509VIV@800000;`2c/k<00`000000VIVI09VIV@3o
09VIVHd0VIVI00<000000;>c/`2c/k<0;02c/k<2000000D0VIVI00D0000007moO`1oOgl0Ogmo0000
000606IVIP040000001<C4`0C4a<00000080<c<c>@00000M0?ooo`400000000D0?ooo`030000003o
ool0oooo01d0oooo=`00000203<c<`050000001<C4`0C4a<04a<C00000001@1VIVH00`000000Ogmo
07moO`0207moO`030000002IVIT0VIVI00@0VIVI0`00000[0;>c/`030000002IVIT0VIVI0?l0VIVI
SP2IVIT00`000000/k>c0;>c/`0Y0;>c/`<000001P2IVIT00`000000Ogmo07moO`0207moO`030000
001VIVH0IVIV00@0IVIV00@0000004a<C01<C4`000000P0c<c<g000001l0oooo0@00000001@0oooo
00<000000?ooo`3oool07`3ooole000000<0<c<c00D0000004a<C01<C4`0C4a<0000000506IVIP03
0000001oOgl0Ogmo0080Ogmo00<0000009VIV@2IVIT01P2IVIT3000002P0/k>c00<0000009VIV@2I
VIT0o`2IVIV?09VIV@030000002c/k<0/k>c02D0/k>c0`00000809VIV@030000001oOgl0Ogmo00<0
Ogmo00<0000006IVIP1VIVH00`1VIVH010000000C4a<04a<C000000403<c<c@000008@3oool10000
0000503oool00`000000oooo0?ooo`0R0?oooc400000100c<c<01@000000C4a<04a<C01<C4`00000
00D0IVIV00<0000007moO`1oOgl00`1oOgl00`000000VIVI09VIV@0809VIV@8000009@2c/k<00`00
0000VIVI09VIV@3o09VIVI00VIVI00<000000;>c/`2c/k<08P2c/k<3000000X0VIVI00<0000007mo
O`1oOgl0101oOgl00`000000IVIV06IVIP0306IVIP040000001<C4`0C4a<000000@0<c<c<@00000T
0?ooo`400000000D0?ooo`030000003oool0oooo02@0oooo;`00000403<c<`030000001<C4`0C4a<
0080C4a<00<0000006IVIP1VIVH00P1VIVH00`000000Ogmo07moO`0407moO`030000002IVIT0VIVI
00T0VIVI0`00000R0;>c/`030000002IVIT0VIVI0?l0VIVIT@2IVIT00`000000/k>c0;>c/`0O0;>c
/`800000302IVIT00`000000Ogmo07moO`0407moO`030000001VIVH0IVIV00<0IVIV00D0000004a<
C01<C4`0C4a<0000000403<c<bl000009P3oool100000000503oool00`000000oooo0?ooo`0V0?oo
obd00000100c<c<00`000000C4a<04a<C00204a<C0030000001VIVH0IVIV00<0IVIV00<0000007mo
O`1oOgl0101oOgl2000000`0VIVI0`00000N0;>c/`030000002IVIT0VIVI0?l0VIVITP2IVIT00`00
0000/k>c0;>c/`0L0;>c/`<00000302IVIT2000000L0Ogmo00<0000006IVIP1VIVH00`1VIVH01@00
0000C4a<04a<C01<C4`0000000@0<c<c;@00000X0?ooo`400000000D0?ooo`@00000:@3ooolY0000
00@0<c<c00<0000004a<C01<C4`00P1<C4`00`000000IVIV06IVIP0306IVIP030000001oOgl0Ogmo
00H0Ogmo00<0000009VIV@2IVIT0302IVIT5000001T0/k>c00<0000009VIV@2IVIT0o`2IVIVC09VI
V@030000002c/k<0/k>c01H0/k>c1@00000>09VIV@030000001oOgl0Ogmo00L0Ogmo00<0000006IV
IP1VIVH00`1VIVH01@000000C4a<04a<C01<C4`0000000D0<c<c:000000Z0?ooo`<00000000D0?oo
o`030000003oool0oooo02h0oooo9000000503<c<`030000001<C4`0C4a<00<0C4a<00<0000006IV
IP1VIVH00`1VIVH00`000000Ogmo07moO`0607moO`030000002IVIT0VIVI0100VIVI1`00000:0;>c
/`P00000o`2IVIVF09VIV@L000002`2c/k<700000180VIVI00<0000007moO`1oOgl01`1oOgl00`00
0000IVIV06IVIP0306IVIP030000001<C4`0C4a<0080C4a<00<0000003<c<`0c<c<00`0c<c<S0000
0340oooo0@00000001@0oooo00<000000?ooo`3oool0<`3ooolO000000@0<c<c0P00000404a<C080
00001@1VIVH00`000000Ogmo07moO`0707moO`030000002IVIT0VIVI01H0VIVI2P00003o09VIVJD0
VIVI2`00000H09VIV@030000001oOgl0Ogmo00P0Ogmo00<0000006IVIP1VIVH00`1VIVH2000000<0
C4a<0P00000403<c<al00000=@3oool100000000503oool00`000000oooo0?ooo`0h0?oooa800000
2@0c<c<3000000@0C4a<0P00000606IVIP030000001oOgl0Ogmo00P0Ogmo00<0000009VIV@2IVIT0
o`2IVIWX09VIV@030000001oOgl0Ogmo00T0Ogmo00<0000006IVIP1VIVH0101VIVH2000000<0C4a<
0`00000803<c<a@00000>@3oool100000000503oool00`000000oooo0?ooo`0i0?ooo`d00000101<
C4`9000000@0C4a<0`00000706IVIP030000001oOgl0Ogmo00T0Ogmo00<0000009VIV@2IVIT0o`2I
VIWX09VIV@030000001oOgl0Ogmo00T0Ogmo00<0000006IVIP1VIVH01P1VIVH2000000@0C4a<2000
000504a<C0h00000>P3oool100000000503oool00`000000oooo0?ooo`0i0?ooo`040000003Vi^H0
00000<c<c080000000<0VIVI0000000000000`0000000`1VIVH0000000000002000000/0C4a<0P00
000:06IVIP030000001oOgl0Ogmo00T0Ogmo00<0000009VIV@2IVIT0o`2IVIWX09VIV@030000001o
Ogl0Ogmo00X0Ogmo00<0000006IVIP1VIVH01`1VIVH2000000X0C4a<1@0000000`1VIVH000000000
00030000000309VIV@000000/k>c0080000000<0i^KV0000003oool0>P3oool100000000503oool0
0`000000oooo0?ooo`0j0?ooo`040000003Vi^H000000<c<c0<0000000<0VIVI0000000000001@00
00000`1VIVH0000000000003000000@0C4a<0P00000;06IVIP030000001oOgl0Ogmo00X0Ogmo00<0
000009VIV@2IVIT0o`2IVIWX09VIV@030000001oOgl0Ogmo00X0Ogmo00<0000006IVIP1VIVH02@1V
IVH2000000@0C4a<1000000206IVIPL0000000<0VIVI0000000000000`0000020>KViP030000003o
ool0oooo03T0oooo0@00000001@0oooo00<000000?ooo`3oool0>`3oool00`000000i^KV00000002
000000030;>c/`00000000000080VIVI0P00000207moO`<000000`1VIVH4000000T0IVIV1000000=
07moO`030000002IVIT0VIVI0?l0VIVIj02IVIT00`000000Ogmo07moO`0;07moO`@000002@1VIVH4
000000<0IVIV0`00000207moO`8000000P2IVIT2000000040;>c/`000000c<c<00000080i^KV00<0
00000?ooo`3oool0>P3oool100000000503oool00`000000oooo0?ooo`0l0?ooo`030000003Vi^H0
i^KV00<0000000<0/k>c0000002IVIT00P2IVIT2000000<0Ogmo1000000506IVIPL00000401oOgl2
00000?l0VIVIjP2IVIT200000100Ogmo1`00000506IVIP@000000`1oOgl200000080VIVI0P000002
0;>c/`030000003<c<`000000080i^KV00<000000?ooo`3oool0>`3oool100000000503oool00`00
0000oooo0?ooo`0l0?ooo`080000003Vi^H0i^KV0>KViP000000c<c<0000002c/k<2000000<0VIVI
0`00000407moO`D00000501oOgl300000?l0VIVIkP2IVIT3000001@0Ogmo1@00000407moO`<00000
0P2IVIT200000080/k>c100000020>KViP030000003oool0oooo03`0oooo0@00000001@0oooo00<0
00000?ooo`3oool0?@3oool01`000000i^KV0>KViP3Vi^H000000<c<c00000000P2c/k<2000000@0
VIVI0P00000H07moO`<00000o`2IVIWd09VIV@8000006@1oOgl2000000<0VIVI0P0000030;>c/`03
0000003<c<`0000000<0i^KV00<000000?ooo`3oool0?@3oool100000000503oool00`000000oooo
0?ooo`0n0?ooo`070000003Vi^H0i^KV0>KViP000000c<c<000000030;>c/`800000102IVIT20000
01@0Ogmo0P00003o09VIVOT0VIVI0`00000D07moO`8000000`2IVIT2000000@0/k>c00<000000<c<
c00000000`3Vi^H00`000000oooo0?ooo`0n0?ooo`400000000D0?ooo`030000003oool0oooo03l0
oooo00H000000>KViP3Vi^H0i^KV0000003<c<`2000000<0/k>c0P00000409VIV@P000002@1oOgl3
00000?l0VIVIoP2IVIT3000000P0Ogmo2@00000309VIV@8000001@2c/k<00`000000c<c<00000003
0>KViP030000003oool0oooo03l0oooo0@00000001@0oooo00<000000?ooo`3oool02`3oool40000
0340oooo00@000000>KViP3Vi^H000000`3<c<`00`000000/k>c0;>c/`020;>c/`8000002P2IVIT9
00000?l0VIVIo`2IVIT509VIV@P000002P2IVIT2000000D0/k>c0P0000020<c<c0050000003Vi^H0
i^KV0>KViP000000<03oool4000000d0oooo0@00000001@0oooo00<000000?ooo`3oool02`3oool;
000002X0oooo00@000000>KViP3Vi^H00000103<c<`00`000000/k>c0;>c/`030;>c/`800000o`2I
VIWo09VIVBH0VIVI0P0000060;>c/`030000003<c<`0c<c<0080c<c<00@000000>KViP3Vi^H00000
:P3oool:000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooolB000002@0oooo00@0
00000>KViP3Vi^H00000103<c<`2000000D0/k>c1000003o09VIVOl0VIVI7`2IVIT3000000L0/k>c
00<000000<c<c03<c<`00P3<c<`010000000i^KV0>KViP00000T0?oooa4000003P3oool100000000
503oool00`000000oooo0?ooo`0;0?oooaL000007`3oool2000000030>KViP000000c<c<00D0c<c<
00<000000;>c/`2c/k<01P2c/k<400000?l0VIVIo`2IVITH09VIV@<000002@2c/k<00`000000c<c<
0<c<c0030<c<c0040000003Vi^H00000000001l0oooo5P00000>0?ooo`400000000D0?ooo`030000
003oool0oooo00/0oooo6@00000K0?ooo`8000000`3Vi^H00`000000c<c<0<c<c0030<c<c0030000
002c/k<0/k>c00X0/k>c00<0000009VIV@2IVIT0o`2IVIWo09VIVAH0VIVI00<000000;>c/`2c/k<0
2P2c/k<00`000000c<c<0<c<c0020<c<c0040000003Vi^H0i^KV0>KViP8000006`3ooolH000000h0
oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooolC0000000304a<C0000000000000D00000
5`3oool2000000D0i^KV00<000000<c<c03<c<`00P3<c<`00`000000/k>c0;>c/`0;0;>c/`030000
002IVIT0VIVI0?l0VIVIo`2IVITF09VIV@030000002c/k<0/k>c00X0/k>c00<000000<c<c03<c<`0
0P3<c<`00`000000i^KV0>KViP030>KViP8000005`3ooolJ000000h0oooo0@00000001@0oooo00<0
00000?ooo`3oool02`3ooolD0000000304a<C0000000000000P000004@3oool2000000L0i^KV00<0
00000<c<c03<c<`00P3<c<`00`000000/k>c0;>c/`0;0;>c/`030000002IVIT0VIVI0?l0VIVIo`2I
VITF09VIV@030000002c/k<0/k>c00/0/k>c00D000000<c<c03<c<`0c<c<000000070>KViP800000
4@3oool;0000000304a<C00000000000010000003P3oool100000000503oool00`000000oooo0?oo
o`0;0?oooa80000000@06ATI000000000000C4a<200000000`3Vi^H0000000000002000000/0oooo
0P0000080>KViP030000003<c<`0c<c<0080c<c<00<000000;>c/`2c/k<03@2c/k<00`000000VIVI
09VIV@3o09VIVOl0VIVI502IVIT00`000000/k>c0;>c/`0=0;>c/`050000003<c<`0c<c<0<c<c000
0000203Vi^H2000000X0oooo1@0000000`3Vi^H00000000000070000000304a<C000000000000140
00003P3oool100000000503oool00`000000oooo0?ooo`0;0?oooa@0000000<0<c<c0000001<C4`0
2`0000000`3Vi^H0000000000003000000@0oooo0P00000:0>KViP050000003<c<`0c<c<0<c<c000
0000402c/k<00`000000VIVI09VIV@3o09VIVOl0VIVI502IVIT00`000000/k>c0;>c/`0=0;>c/`05
0000003<c<`0c<c<0<c<c00000002P3Vi^H2000000@0oooo100000020>KViP`0000000<0C4a<0000
000000004P00000>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo4`0000000`0I6AT0
00000000000204a<C0T0000000@0c<c<00000000000000000`3Vi^H4000000T0i^KV100000020<c<
c0030000002c/k<0/k>c00l0/k>c00<0000009VIV@2IVIT0o`2IVIWo09VIVA@0VIVI00<000000;>c
/`2c/k<03P2c/k<00`000000c<c<0<c<c004000000T0i^KV100000030>KViP<0000000<0c<c<0000
000000001`00000204a<C0030000000c<c<00000018000003P3oool100000000503oool00`000000
oooo0?ooo`0;0?oooa<0000000@06ATI0000000c<c<000000P1<C4`01@000000IVIV000000000000
VIVI0080000000<0/k>c0000000000000P3<c<`4000000D0i^KV1`0000050<c<c0030000002c/k<0
/k>c0100/k>c00<0000009VIV@2IVIT0o`2IVIWo09VIVA@0VIVI00<000000;>c/`2c/k<03`2c/k<0
0`000000c<c<0<c<c0030<c<c0L000001@3Vi^H4000000050<c<c000000000000000002c/k<00P00
00000`2IVIT0000000000002000000<0C4a<0P0000000`0I6AT000000000000@000000h0oooo0@00
000001@0oooo00<000000?ooo`3oool02`3ooolD0000000401TI6@000000<c<c00000080C4a<00<0
000006IVIP0000000P000000102IVIT000000000002c/k<3000000<0c<c<1@00000<0<c<c0030000
002c/k<0/k>c0100/k>c00<0000009VIV@2IVIT0o`2IVIWo09VIVA@0VIVI00<000000;>c/`2c/k<0
402c/k<00`000000c<c<0<c<c0090<c<c0D000000`3<c<`200000080/k>c0P0000001P2IVIT00000
000000000000IVIV000000<0C4a<0P0000000`0I6AT000000000000A000000h0oooo0@00000001@0
oooo00<000000?ooo`3oool02`3ooolD0000000401TI6@000000<c<c000000<0C4a<00@0000006IV
IP000000Ogmo0P0000001@2IVIT00000000000000000/k>c00<00000403<c<`00`000000/k>c0;>c
/`0A0;>c/`030000002IVIT0VIVI0?l0VIVIo`2IVITD09VIV@030000002c/k<0/k>c0100/k>c00<0
00000<c<c03<c<`03P3<c<`3000000050;>c/`00000000000000002IVIT00P000000101oOgl00000
06IVIP00000304a<C0040000000c<c<0000001TI6A<000003P3oool100000000503oool00`000000
oooo0?ooo`0;0?oooaD0000000@06ATI0000000c<c<000000`1<C4`00`000000IVIV0000000207mo
O`8000000P2IVIT200000080/k>c4000000D0;>c/`030000002IVIT0VIVI0?l0VIVIo`2IVITD09VI
V@030000002c/k<0/k>c0140/k>c400000020;>c/`8000000P2IVIT200000080Ogmo00<0000006IV
IP0000000`1<C4`010000000<c<c0000000I6ATD000000h0oooo0@00000001@0oooo00<000000?oo
o`3oool02`3ooolE0000000501TI6@000000<c<c03<c<`0000000P1<C4`00`000000IVIV00000004
07moO`8000000P2IVIT2000002D0/k>c00<0000009VIV@2IVIT0o`2IVIWo09VIVA80VIVI00<00000
0;>c/`2c/k<08P2c/k<200000080VIVI0P00000407moO`030000001VIVH000000080C4a<00D00000
03<c<`0c<c<0000001TI6@0D000000h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooolE
000000806ATI00H0000003<c<`0c<c<0000004a<C000000206IVIP030000001oOgl0Ogmo00<0Ogmo
0P00000209VIV@D00000802c/k<00`000000VIVI09VIV@3o09VIVOl0VIVI4P2IVIT00`000000/k>c
0;>c/`0M0;>c/`D000000P2IVIT2000000D0Ogmo00@0000006IVIP1VIVH000000P1<C4`00`000000
<c<c0000000201TI6A@000003P3oool100000000503oool00`000000oooo0?ooo`0;0?oooaH00000
00D06ATI0000000c<c<0<c<c0000000204a<C0040000001VIVH0IVIV000000H0Ogmo0P00000509VI
V@L000006@2c/k<00`000000VIVI09VIV@3o09VIVOl0VIVI4P2IVIT00`000000/k>c0;>c/`0F0;>c
/`L000001@2IVIT2000000H0Ogmo00@0000006IVIP1VIVH000000P1<C4`01@000000<c<c03<c<`00
00006ATI01D000003P3oool100000000503oool00`000000oooo0?ooo`0;0?oooaH0000000@06ATI
000000000000<c<c0P0000000`1<C4`0000006IVIP0206IVIP030000001oOgl0Ogmo00D0Ogmo0P00
000:09VIV@P000003`2c/k<300000?l0VIVIo`2IVITD09VIV@8000003`2c/k<8000000/0VIVI00<0
000007moO`1oOgl01@1oOgl01P000000IVIV06IVIP1VIVH0000004a<C080000000@0<c<c00000000
00006ATI5P00000=0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo50000000100I6AT0
00000000000c<c<2000000<0C4a<00@0000006IVIP1VIVH00000201oOgl00`000000VIVI09VIV@0A
09VIV@H000001@2c/k<400000?l0VIVIo`2IVITI09VIV@@000001@2c/k<6000001@0VIVI00<00000
07moO`1oOgl01@1oOgl010000000IVIV06IVIP00000304a<C080000000@0<c<c0000000000006ATI
5000000=0?ooo`40000000070?ooo`@000002@3oool00`000000oooo0?ooo`0;0?oooaD0000000<0
<c<c0000000000001@1<C4`010000000IVIV06IVIP00000707moO`030000002IVIT0VIVI01P0VIVI
1@00003o09VIVOl0VIVI8@2IVIT5000001/0VIVI00<0000007moO`1oOgl0101oOgl010000000IVIV
06IVIP00000504a<C080000000<0<c<c0000000000004`00000=0?ooo`40000000070?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool02`3oool90000000303<c<`000000000000H00000
0P0c<c<2000000L0C4a<00<0000006IVIP0000001P1oOgl200000?l0VIVIo`2IVIUR09VIV@030000
001oOgl0Ogmo00@0Ogmo00<0000006IVIP0000001`1<C4`200000080<c<c200000000`0c<c<00000
00000007000000d0oooo0@00000000P0oooo00<000000?ooo`3oool02@3oool6000000P0oooo2`00
000203<c<`<000000P0c<c<2000000P0C4a<00@0000006IVIP1VIVH000001@1oOgl00`000000VIVI
09VIV@3o09VIVOl0VIVIH`2IVIT00`000000Ogmo07moO`0307moO`040000001VIVH0IVIV000000P0
C4a<0P00000203<c<`<000000P0c<c<;000000T0oooo1@00000000T0oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`0<0?ooo`@0000000<0VIVI0000000000001@00000303<c<`800000
2P1<C4`00`000000IVIV0000000507moO`030000002IVIT0VIVI0?l0VIVIo`2IVIUU09VIV@030000
001oOgl0Ogmo00<0Ogmo00<0000006IVIP0000002P1<C4`2000000<0<c<c1`0000001@2IVIT00000
0000003<c<`0000000h0oooo0@00000000X0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`0<0?ooo`8000000P3<c<`;000000D0C4a<200000000`1VIVH0000007moO`0307moO`030000
002IVIT0VIVI0?l0VIVIo`2IVIUW09VIV@8000000`1oOgl00`000000IVIV00000006000000H0C4a<
1P0000000`1oOgl0000009VIV@0200000080c<c<0P00000>0?ooo`40000000070?ooo`040000003o
ool0oooo000000T0oooo00<000000?ooo`3oool0303oool00`000000i^KV000000020<c<c0800000
00<0VIVI0000000000002P00000806IVIP030000001oOgl0Ogmo0080Ogmo00<0000009VIV@2IVIT0
o`2IVIWo09VIVFX0VIVI00D0000007moO`1oOgl0Ogmo0000000706IVIPX0000000@0Ogmo00000000
0000VIVI0P0000020<c<c0030000003Vi^H0000000h0oooo0@00000000P0oooo0P00000:0?ooo`03
0000003oool0oooo00d0oooo00<000000>KViP0000000P3<c<`30000000309VIV@000000Ogmo00P0
0000201VIVH01@000000Ogmo07moO`1oOgl000000?l0VIVIo`2IVIU^09VIV@040000001oOgl0Ogmo
000000L0IVIV2000000207moO`030000002IVIT00000008000000P3<c<`00`000000i^KV0000000?
0?ooo`400000000D0?ooo`030000003oool0oooo00d0oooo00@000000>KViP3Vi^H000000P3<c<`0
10000000/k>c0000002IVIT2000000L0Ogmo2000000207moO`800000o`2IVIWo09VIVG00VIVI00<0
000007moO`1oOgl01`00000807moO`80000000@0VIVI0000002c/k<000000`3<c<`00`000000i^KV
0000000?0?ooo`400000000D0?ooo`030000003oool0oooo00h0oooo00@000000>KViP3Vi^H00000
0P3<c<`00`000000/k>c0000000209VIV@@00000301oOgl00`000000VIVI09VIV@3o09VIVOl0VIVI
L@2IVIT00`000000Ogmo07moO`0:07moO`@000000P2IVIT00`000000/k>c000000030<c<c0030000
003Vi^H000000100oooo0@00000001@0oooo00<000000?ooo`3oool03P3oool01@000000i^KV0>KV
iP3Vi^H000000080c<c<1000000409VIV@L00000101oOgl00`000000VIVI09VIV@3o09VIVOl0VIVI
L`2IVIT00`000000Ogmo07moO`0207moO`L00000102IVIT4000000<0c<c<00@000000>KViP3Vi^H0
0000403oool100000000503oool00`000000oooo0?ooo`0>0?ooo`050000003Vi^H0i^KV0>KViP00
0000103<c<`00`000000/k>c00000002000000P0VIVI1000003o09VIVOl0VIVIM`2IVIT4000000P0
VIVI0`0000000`2c/k<000000<c<c0030<c<c0050000003Vi^H0i^KV0>KViP000000403oool10000
0000503oool00`000000oooo0?ooo`0?0?ooo`050000003Vi^H0i^KV0>KViP000000103<c<`01000
0000/k>c0;>c/`2c/k<600000?l0VIVIo`2IVIV309VIV@H000000`2c/k<00`000000c<c<0<c<c003
0<c<c0040000003Vi^H0i^KV00000140oooo0@00000001@0oooo00<000000?ooo`3oool03`3oool0
0`000000i^KV0>KViP020>KViP030000003<c<`0c<c<0080c<c<0P0000070;>c/`<00000o`2IVIWo
09VIVGd0VIVI0`0000070;>c/`8000001@3<c<`01@000000i^KV0>KViP3Vi^H000000140oooo0@00
000001@0oooo00<000000?ooo`3oool03P3oool00`000000i^KV0>KViP020>KViP030000003<c<`0
c<c<00@0c<c<00<000000;>c/`2c/k<01P2c/k<00`000000VIVI09VIV@3o09VIVOl0VIVIO@2IVIT0
0`000000/k>c0;>c/`060;>c/`030000003<c<`0c<c<00D0c<c<00D000000>KViP3Vi^H0i^KV0000
000@0?ooo`400000000D0?ooo`030000003oool0oooo00d0oooo00<000000>KViP3Vi^H00P3Vi^H0
0`000000c<c<0<c<c0050<c<c0030000002c/k<0/k>c00D0/k>c00<0000009VIV@2IVIT0o`2IVIWo
09VIVGl0VIVI00<000000;>c/`2c/k<01@2c/k<00`000000c<c<0<c<c0060<c<c0050000003Vi^H0
i^KV0>KViP0000003`3oool100000000503oool00`000000oooo0?ooo`0=0?ooo`050000003Vi^H0
i^KV0>KViP000000203<c<`00`000000/k>c0;>c/`040;>c/`030000002IVIT0VIVI0?l0VIVIo`2I
VIV109VIV@030000002c/k<0/k>c00@0/k>c00<000000<c<c03<c<`01`3<c<`010000000i^KV0>KV
iP00000?0?ooo`400000000D0?ooo`030000003oool0oooo00`0oooo00<000000>KViP3Vi^H00P00
00090<c<c0030000002c/k<0/k>c00@0/k>c00<0000009VIV@2IVIT0o`2IVIWo09VIVH40VIVI00<0
00000;>c/`2c/k<0102c/k<00`000000c<c<0<c<c0080<c<c0040000003Vi^H0i^KV000000h0oooo
0@00000001@0oooo00<000000?ooo`3oool02`3oool010000000i^KV0>KViP00000:0<c<c0030000
002c/k<0/k>c00@0/k>c00<0000009VIV@2IVIT0o`2IVIWo09VIVH<0VIVI00<000000;>c/`2c/k<0
102c/k<00`000000c<c<0<c<c0080<c<c0040000003Vi^H0i^KV000000d0oooo0@00000001@0oooo
00<000000?ooo`3oool02`3oool20>KViP030000003<c<`0c<c<00T0c<c<00<000000;>c/`2c/k<0
0`2c/k<00`000000VIVI09VIV@3o09VIVOl0VIVIQ@2IVIT00`000000/k>c0;>c/`030;>c/`030000
003<c<`0c<c<00T0c<c<00<000000>KViP3oool03@3oool100000000503oool00`000000oooo0?oo
o`0;0?ooo`030>KViP000000c<c<00/0c<c<00<000000;>c/`2c/k<00P2c/k<00`000000VIVI09VI
V@3o09VIVOl0VIVIQ`2IVIT00`000000/k>c0;>c/`020;>c/`030000003<c<`0c<c<00X0c<c<00<0
00000?ooo`3oool0303oool100000000503oool00`000000oooo0?ooo`0;0?ooo`030000003<c<`0
c<c<00P0c<c<100000030;>c/`030000002IVIT0VIVI0?l0VIVIo`2IVIV909VIV@040000002c/k<0
/k>c0;>c/`@000002P3<c<`00`000000oooo0?ooo`0;0?ooo`400000000D0?ooo`030000003oool0
oooo00/0oooo103<c<`7000000H0/k>c00<0000009VIV@2IVIT0o`2IVIWo09VIVH/0VIVI00<00000
0;>c/`2c/k<0102c/k<7000000<0c<c<3P3oool100000000503oool00`000000oooo0?ooo`0;0?oo
o`@000003@2c/k<00`000000VIVI09VIV@3o09VIVOl0VIVIR`2IVIT00`000000/k>c0;>c/`0;0;>c
/`@000003@3oool100000000503oool00`000000oooo0?ooo`0;0?oooa00/k>c00<0000009VIV@2I
VIT0o`2IVIWo09VIVHd0VIVI00<000000;>c/`2c/k<03@2c/k<>0?ooo`400000000D0?ooo`030000
003oool0oooo00/0oooo1`0000080;>c/`030000002IVIT0VIVI0?l0VIVIo`2IVIV?09VIV@030000
002c/k<0/k>c00D0/k>c2000000=0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo1`2I
VIT800000?l0VIVIo`2IVIVC09VIV@L000001`2IVIT>0?ooo`400000000D0?ooo`030000003oool0
oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?oo
ool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0
VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI
3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00
000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?oo
o`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000
oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool0
2`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2I
VIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`
09VIV@h0oooo0@00000001@0oooo1000000:0?ooool0VIVIo`2IVIV`09VIV@`0oooo0`00000001@0
oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000
003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?oo
o`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo
09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VI
VK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0
oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000
000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool0
0`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?oo
o`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0
ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVI
o`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02I
VIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool1
00000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0
oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000
003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?oo
o`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo
09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VI
VK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0
oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000
000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool0
0`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?oo
o`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0
ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVI
o`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02I
VIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool1
00000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0
oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000
003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?oo
o`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo1000000:0?ooool0VIVIo`2IVIV`
09VIV@`0oooo0`00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?oo
o`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000
503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<0
00000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0
oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?oo
ool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0
VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI
3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00
000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?oo
o`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000
oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool0
2`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2I
VIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`
09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?oo
o`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000
503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<0
00000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0
oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?oo
ool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0
VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI
3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00
000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?oo
o`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000
oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool0
2`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2I
VIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`
09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?oo
o`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000
503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo1000
000:0?ooool0VIVIo`2IVIV`09VIV@`0oooo0`00000001@0oooo00<000000?ooo`3oool02`3ooooo
09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VI
VK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0
oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000
000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool0
0`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?oo
o`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0
ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVI
o`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02I
VIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool1
00000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0
oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000
003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?oo
o`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo
09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VI
VK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0
oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000
000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool0
0`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?oo
o`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0
ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVI
o`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02I
VIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool1
00000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0
oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000
003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?oo
o`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo
09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VI
VK00VIVI3P3oool1000000002@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00/0
ooooo`2IVIWo09VIVK00VIVI3P3oool1000000002@3oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool1000000001P3oool5000000T0oooo1P00
00080?ooool0VIVIo`2IVIV`09VIV@X0oooo1@00000000H0oooo00@000000?ooo`3oool000002P3o
ool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000000L0oooo00<00000
0?ooo`0000002P3oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@000000
00P0oooo0P00000:0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool10000
00002@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00
VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo
0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D
0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`00
0000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3o
ool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo
o`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2I
VIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>
0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool10000
0000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo
00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003o
ool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;
0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VI
VOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00
VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo
0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D
0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`00
0000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3o
ool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo
o`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2I
VIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>
0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool10000
0000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo
00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003o
ool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;
0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VI
VOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`@000002P3ooooo09VIVOl0VIVI/02IVIT<0?ooo`<0
0000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503o
ool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<00000
0?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo
00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0
VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI
/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3o
ool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@000000
01@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`03
0000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo
0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3o
oooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo
09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VI
V@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`40
0000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503o
ool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<00000
0?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo
00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0
VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI
/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3o
ool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@000000
01@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`03
0000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503oool00`000000oooo
0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3o
oooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo
09VIVK00VIVI3P3oool100000000503oool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VI
V@h0oooo0@00000001@0oooo00<000000?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`40
0000000D0?ooo`030000003oool0oooo00/0ooooo`2IVIWo09VIVK00VIVI3P3oool100000000503o
ool00`000000oooo0?ooo`0;0?ooool0VIVIo`2IVIV`09VIV@h0oooo0@00000001@0oooo00<00000
0?ooo`3oool02`3ooooo09VIVOl0VIVI/02IVIT>0?ooo`400000000D0?ooo`@000002P3ooooo09VI
VOl0VIVI/02IVIT<0?ooo`<00000000D0?ooo`030000003oool0oooo0?l0ooooo`3oooo90?ooo`40
0000000D0?ooo`030000003oool0oooo0?l0ooooo`3oooo90?ooo`400000000D0?ooo`030000003o
ool0oooo0?l0ooooo`3oooo90?ooo`400000000D0?ooo`030000003oool0oooo0?l0ooooo`3oooo9
0?ooo`400000000D0?ooo`030000003oool0oooo0?l0ooooo`3oooo90?ooo`400000000D0?ooo`03
0000003oool0oooo0?l0ooooo`3oooo90?ooo`400000000D0?ooo`030000003oool0oooo0?l0oooo
o`3oooo90?ooo`400000000D0?ooo`030000003oool0oooo0?l0ooooo`3oooo90?ooo`400000000D
0?ooo`030000003oool0oooo0500oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`26
0?ooo`030000003oool0oooo08L0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`1?
0?ooo`400000000D0?ooo`030000003oool0oooo0500oooo00<000000?ooo`3oool0QP3oool00`00
0000oooo0?ooo`260?ooo`030000003oool0oooo08L0oooo00<000000?ooo`3oool0QP3oool00`00
0000oooo0?ooo`1?0?ooo`400000000D0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3o
ool07`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3o
ool07`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3o
ool07`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3o
ool07`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3o
ool07`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3o
ool07`3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3o
ool07`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo00/0oooo0@00000001@0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0200oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0200oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0200oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0200oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0200oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0200oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo01l0oooo
00<000000?ooo`3oool02`3oool100000000503oool00`000000oooo0?ooo`0;0?ooo`030000003o
ool0oooo01l0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0O0?ooo`030000003o
ool0oooo01l0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0O0?ooo`030000003o
ool0oooo01l0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0O0?ooo`030000003o
ool0oooo01l0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0O0?ooo`030000003o
ool0oooo01l0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0O0?ooo`030000003o
ool0oooo01l0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0O0?ooo`030000003o
ool0oooo01l0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0;0?ooo`400000000D
0?ooool00000o`00003=00000000o`3ooooo0?ooon40oooo0000\
\>"],
  ImageRangeCache->{{{0, 734.812}, {734.812, 0}} -> {-5.5049, -5.48396, \
0.0145708, 0.0145708}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  ContourGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Plot[modul[1, p, 1], {p, \(-5\), 5}, PlotPoints \[Rule] 50]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.0952381 0.309016 0.274503 [
[.11905 .29652 -6 -9 ]
[.11905 .29652 6 0 ]
[.30952 .29652 -6 -9 ]
[.30952 .29652 6 0 ]
[.69048 .29652 -3 -9 ]
[.69048 .29652 3 0 ]
[.88095 .29652 -3 -9 ]
[.88095 .29652 3 0 ]
[.4875 .03451 -12 -4.5 ]
[.4875 .03451 0 4.5 ]
[.4875 .17176 -24 -4.5 ]
[.4875 .17176 0 4.5 ]
[.4875 .44627 -18 -4.5 ]
[.4875 .44627 0 4.5 ]
[.4875 .58352 -6 -4.5 ]
[.4875 .58352 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.11905 .30902 m
.11905 .31527 L
s
[(-4)] .11905 .29652 0 1 Mshowa
.30952 .30902 m
.30952 .31527 L
s
[(-2)] .30952 .29652 0 1 Mshowa
.69048 .30902 m
.69048 .31527 L
s
[(2)] .69048 .29652 0 1 Mshowa
.88095 .30902 m
.88095 .31527 L
s
[(4)] .88095 .29652 0 1 Mshowa
.125 Mabswid
.16667 .30902 m
.16667 .31277 L
s
.21429 .30902 m
.21429 .31277 L
s
.2619 .30902 m
.2619 .31277 L
s
.35714 .30902 m
.35714 .31277 L
s
.40476 .30902 m
.40476 .31277 L
s
.45238 .30902 m
.45238 .31277 L
s
.54762 .30902 m
.54762 .31277 L
s
.59524 .30902 m
.59524 .31277 L
s
.64286 .30902 m
.64286 .31277 L
s
.7381 .30902 m
.7381 .31277 L
s
.78571 .30902 m
.78571 .31277 L
s
.83333 .30902 m
.83333 .31277 L
s
.07143 .30902 m
.07143 .31277 L
s
.02381 .30902 m
.02381 .31277 L
s
.92857 .30902 m
.92857 .31277 L
s
.97619 .30902 m
.97619 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
.5 .03451 m
.50625 .03451 L
s
[(-1)] .4875 .03451 1 0 Mshowa
.5 .17176 m
.50625 .17176 L
s
[(-0.5)] .4875 .17176 1 0 Mshowa
.5 .44627 m
.50625 .44627 L
s
[(0.5)] .4875 .44627 1 0 Mshowa
.5 .58352 m
.50625 .58352 L
s
[(1)] .4875 .58352 1 0 Mshowa
.125 Mabswid
.5 .06196 m
.50375 .06196 L
s
.5 .08941 m
.50375 .08941 L
s
.5 .11686 m
.50375 .11686 L
s
.5 .14431 m
.50375 .14431 L
s
.5 .19921 m
.50375 .19921 L
s
.5 .22667 m
.50375 .22667 L
s
.5 .25412 m
.50375 .25412 L
s
.5 .28157 m
.50375 .28157 L
s
.5 .33647 m
.50375 .33647 L
s
.5 .36392 m
.50375 .36392 L
s
.5 .39137 m
.50375 .39137 L
s
.5 .41882 m
.50375 .41882 L
s
.5 .47372 m
.50375 .47372 L
s
.5 .50117 m
.50375 .50117 L
s
.5 .52862 m
.50375 .52862 L
s
.5 .55607 m
.50375 .55607 L
s
.5 .00706 m
.50375 .00706 L
s
.5 .61097 m
.50375 .61097 L
s
.25 Mabswid
.5 0 m
.5 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .03451 m
.04273 .03451 L
.06337 .03451 L
.08275 .03451 L
.09251 .03451 L
.09677 .03451 L
.10139 .03451 L
.10264 .03451 L
.10395 .03451 L
.10508 .03451 L
.10572 .03451 L
.10632 .03451 L
.10692 .03451 L
.10749 .03451 L
.10856 .03451 L
.11098 .03451 L
.11588 .03451 L
.12123 .03451 L
.12384 .03451 L
.12629 .03451 L
.12849 .03451 L
.12909 .03451 L
.12973 .03451 L
.13027 .03451 L
.13087 .03451 L
.1315 .03451 L
.13186 .03451 L
.13219 .03451 L
.13278 .03451 L
.13343 .03451 L
.13413 .03451 L
.13487 .03451 L
.13618 .03451 L
.13741 .03451 L
.13874 .03451 L
.13999 .03451 L
.14114 .03451 L
.14236 .03451 L
.14346 .03451 L
.14474 .03451 L
.14594 .03451 L
.14809 .03451 L
.1493 .03451 L
.15041 .03451 L
.15276 .03451 L
.15409 .03451 L
.15534 .03451 L
.15785 .03451 L
.15926 .03451 L
.16055 .03451 L
Mistroke
.16289 .03451 L
.1642 .03451 L
.16538 .03451 L
.16649 .03451 L
.16769 .03451 L
.16987 .03451 L
.1711 .03451 L
.17244 .03451 L
.17375 .03451 L
.17516 .03451 L
.17648 .03451 L
.17768 .03451 L
.18002 .03451 L
.18115 .03451 L
.18239 .03451 L
.18359 .03451 L
.18489 .03451 L
.18721 .03451 L
.18939 .03451 L
.19198 .03451 L
.19328 .03451 L
.1947 .03451 L
.19722 .03451 L
.19957 .03451 L
.20205 .03451 L
.20473 .03451 L
.20727 .03451 L
.20961 .03451 L
.21172 .03451 L
.21403 .03451 L
.21645 .03451 L
.21872 .03451 L
.22116 .03451 L
.22383 .03451 L
.22634 .03451 L
.22867 .03451 L
.23076 .03451 L
.23307 .03451 L
.23549 .03451 L
.23776 .03451 L
.24256 .03451 L
.24498 .03451 L
.24763 .03451 L
.25232 .03451 L
.25669 .03451 L
.26585 .03451 L
.27068 .03451 L
.27186 .03451 L
.27312 .03451 L
.27384 .03451 L
Mistroke
.27418 .03451 L
.2745 .03451 L
.27482 .03451 L
.27517 .03451 L
.2758 .03451 L
.27614 .03451 L
.27651 .03451 L
.27686 .03451 L
.27718 .03451 L
.27779 .03451 L
.27843 .03451 L
.27912 .03451 L
.27976 .03451 L
.28052 .03451 L
.28123 .03451 L
.2825 .03451 L
.28365 .03451 L
.28489 .03451 L
.28624 .03451 L
.28742 .03451 L
.28873 .03451 L
.29 .03451 L
.29137 .03451 L
.29381 .03451 L
.29611 .03451 L
.29854 .03451 L
.3008 .03451 L
.30328 .03451 L
.30593 .0345 L
.30872 .0345 L
.31135 .0345 L
.31371 .03449 L
.31627 .03448 L
.31867 .03447 L
.32091 .03446 L
.32357 .03445 L
.32601 .03443 L
.33098 .03438 L
.33372 .03434 L
.33632 .03429 L
.34103 .03418 L
.34366 .0341 L
.34605 .03401 L
.35069 .03379 L
.35506 .03351 L
.35986 .0331 L
.36492 .03252 L
.36924 .0319 L
.37398 .03104 L
.38356 .02868 L
Mistroke
.39381 .02518 L
.40354 .02116 L
.40867 .01899 L
.41411 .01692 L
.41644 .01617 L
.41894 .0155 L
.42038 .0152 L
.42169 .01498 L
.42233 .01489 L
.42302 .01482 L
.42333 .01479 L
.42367 .01477 L
.42427 .01473 L
.42491 .01472 L
.42549 .01472 L
.42613 .01473 L
.42645 .01475 L
.42681 .01478 L
.4274 .01483 L
.42804 .01491 L
.42919 .01512 L
.43039 .01541 L
.43153 .01578 L
.43366 .01669 L
.4359 .01803 L
.43838 .01998 L
.44097 .02262 L
.44341 .02571 L
.44775 .03282 L
.45243 .04306 L
.45711 .05624 L
.46224 .07423 L
.47257 .12222 L
.49243 .2521 L
.51155 .39491 L
.5213 .46027 L
.53187 .51834 L
.53681 .54005 L
.54205 .55912 L
.54696 .57342 L
.55145 .58364 L
.55606 .59157 L
.55861 .59493 L
.56103 .59751 L
.56311 .59929 L
.56532 .60078 L
.56659 .60146 L
.56775 .60198 L
.56891 .60241 L
.57 .60273 L
Mistroke
.57114 .60298 L
.57174 .60309 L
.57239 .60318 L
.57272 .60321 L
.57307 .60325 L
.57371 .60329 L
.57434 .60331 L
.57492 .60332 L
.57545 .60331 L
.57596 .60329 L
.57651 .60325 L
.57711 .6032 L
.57833 .60305 L
.57944 .60287 L
.58181 .60235 L
.58441 .6016 L
.58964 .59972 L
.60006 .59534 L
.60953 .5916 L
.61938 .58853 L
.62867 .58649 L
.63344 .58573 L
.63849 .5851 L
.6428 .58469 L
.64753 .58435 L
.65252 .58408 L
.65707 .58391 L
.65959 .58384 L
.66233 .58377 L
.66489 .58372 L
.66731 .58368 L
.6719 .58362 L
.67434 .5836 L
.67698 .58358 L
.67959 .58357 L
.68234 .58355 L
.68469 .58355 L
.68726 .58354 L
.68984 .58353 L
.69228 .58353 L
.69447 .58353 L
.69685 .58352 L
.69944 .58352 L
.70218 .58352 L
.70453 .58352 L
.70576 .58352 L
.70711 .58352 L
.70843 .58352 L
.70965 .58352 L
.71092 .58352 L
Mistroke
.71207 .58352 L
.71427 .58352 L
.71548 .58352 L
.71662 .58352 L
.71786 .58352 L
.71917 .58352 L
.7203 .58352 L
.72093 .58352 L
.72153 .58352 L
.72186 .58352 L
.72222 .58352 L
.72253 .58352 L
.72287 .58352 L
.72351 .58352 L
.72409 .58352 L
.72442 .58352 L
.72477 .58352 L
.7254 .58352 L
.72577 .58352 L
.72615 .58352 L
.72684 .58352 L
.7281 .58352 L
.72929 .58352 L
.73152 .58352 L
.73651 .58352 L
.7408 .58352 L
.74551 .58352 L
.75028 .58352 L
.75288 .58352 L
.75532 .58352 L
.75968 .58352 L
.76212 .58352 L
.76436 .58352 L
.7667 .58352 L
.76919 .58352 L
.77155 .58352 L
.77368 .58352 L
.77619 .58352 L
.77891 .58352 L
.78148 .58352 L
.78383 .58352 L
.78614 .58352 L
.78862 .58352 L
.79095 .58352 L
.79308 .58352 L
.79557 .58352 L
.79828 .58352 L
.80084 .58352 L
.8032 .58352 L
.80548 .58352 L
Mistroke
.80793 .58352 L
.81025 .58352 L
.81237 .58352 L
.81484 .58352 L
.81624 .58352 L
.81754 .58352 L
.81993 .58352 L
.82126 .58352 L
.82247 .58352 L
.82485 .58352 L
.82605 .58352 L
.82737 .58352 L
.8285 .58352 L
.8297 .58352 L
.83188 .58352 L
.8332 .58352 L
.83462 .58352 L
.83588 .58352 L
.83722 .58352 L
.83842 .58352 L
.83974 .58352 L
.84208 .58352 L
.84323 .58352 L
.84448 .58352 L
.84571 .58352 L
.84702 .58352 L
.84825 .58352 L
.84936 .58352 L
.85155 .58352 L
.85286 .58352 L
.85407 .58352 L
.85539 .58352 L
.8568 .58352 L
.85802 .58352 L
.85916 .58352 L
.86041 .58352 L
.86176 .58352 L
.863 .58352 L
.8637 .58352 L
.86433 .58352 L
.86493 .58352 L
.86557 .58352 L
.86612 .58352 L
.86671 .58352 L
.86736 .58352 L
.86805 .58352 L
.86844 .58352 L
.8688 .58352 L
.8695 .58352 L
.87014 .58352 L
Mistroke
.87085 .58352 L
.87212 .58352 L
.88196 .58352 L
.89147 .58352 L
.90195 .58352 L
.9212 .58352 L
.9409 .58352 L
.95986 .58352 L
.97619 .58352 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/B000`400?l00000o`00003oS`3oool0
0`000000oooo0?ooo`2>0?ooo`00S`3oool00`000000oooo0?ooo`2>0?ooo`00S`3oool2000008l0
oooo002?0?ooo`030000003oool0oooo08h0oooo001f0?ooo`L000004P3oool00`000000oooo0?oo
o`2>0?ooo`00M03oool2000000L0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`2>
0?ooo`00LP3oool2000000X0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`2>0?oo
o`00L03oool2000000d0oooo00<000000?ooo`3oool0103oool4000000D0oooo00<000000?ooo`3o
ool0SP3oool006/0oooo1@00000?0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`2>0?ooo`001`3ooomT000001D0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`040?ooo`<00000SP3oool00800oooo100000040?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0SP3oool00840oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo08h0oooo00210?ooo`030000003oool0oooo0080
oooo0`0000060?ooo`030000003oool0oooo08h0oooo00210?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2>0?ooo`00PP3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo08h0oooo00220?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool0SP3oool008<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2>0?oo
o`00P`3oool00`000000oooo0?ooo`090?ooo`800000S`3oool008<0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`2>0?ooo`00Q03oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo08h0oooo00240?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0SP3oool0
08@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`2>0?ooo`00Q03oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo08h0oooo00240?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool0SP3oool008D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`2>0?ooo`00Q@3oool00`000000oooo0?ooo`070?ooo`800000S`3oool008D0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`2>0?ooo`00Q@3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo08h0oooo00250?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
SP3oool008H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`2>0?ooo`00QP3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo08h0oooo00260?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool0SP3oool008H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`2>0?ooo`00Q`3oool00`000000oooo0?ooo`050?ooo`800000S`3oool008L0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`2>0?ooo`00Q`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo08h0oooo00270?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0SP3oool008L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`2>0?ooo`00
Q`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo08h0oooo00280?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0SP3oool008P0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`2>0?ooo`00R03oool00`000000oooo0?ooo`040?ooo`800000S`3oool008P0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2>0?ooo`00R03oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo08h0oooo00280?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0SP3oool008T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`2>
0?ooo`00R@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo08h0oooo001k0?ooo`80
0000103oool00`000000oooo0?ooo`020?ooo`@000001@3oool00`000000oooo0?ooo`2>0?ooo`00
NP3oool010000000oooo0?ooo`00000;0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0SP3oool007X0oooo00@000000?ooo`3oool000002`3oool00`000000oooo0?ooo`030?ooo`<0
0000SP3oool007@0oooo100000020?ooo`040000003oool0oooo000000P0oooo100000050?ooo`03
0000003oool0oooo08h0oooo001j0?ooo`040000003oool0oooo000000P0oooo00D000000?ooo`3o
ool0oooo000000040?ooo`030000003oool0oooo08h0oooo001j0?ooo`040000003oool0oooo0000
00P0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo08h0oooo001k0?oo
o`8000002@3oool5000000@0oooo00<000000?ooo`3oool0SP3oool008X0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`2>0?ooo`00RP3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo08h0oooo002:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0SP3o
ool008/0oooo00@000000?ooo`3oool0oooo0P00002?0?ooo`00R`3oool01@000000oooo0?ooo`3o
ool000000900oooo002;0?ooo`050000003oool0oooo0?ooo`000000T03oool008/0oooo00D00000
0?ooo`3oool0oooo0000002@0?ooo`00R`3oool01@000000oooo0?ooo`3oool000000900oooo002;
0?ooo`050000003oool0oooo0?ooo`000000T03oool008`0oooo00@000000?ooo`3oool00000T03o
ool008`0oooo00<000000?ooo`3oool00P00002?0?ooo`00S03oool010000000oooo0?ooo`00002@
0?ooo`00S03oool010000000oooo0?ooo`00002@0?ooo`00S03oool010000000oooo0?ooo`00002@
0?ooo`00S03oool010000000oooo0?ooo`00002@0?ooo`00S@3oool00`000000oooo0000002@0?oo
o`00S@3oool00`000000oooo0000002@0?ooo`00S@3oool00`000000oooo0000002@0?ooo`00S@3o
ool010000000oooo00000000002?0?ooo`00S@3oool00`000000oooo0000002@0?ooo`00S@3oool0
0`000000oooo0000002@0?ooo`00S@3oool00`000000oooo0000002@0?ooo`00S@3oool00`000000
oooo0000002@0?ooo`009@3oool00`000000oooo0?ooo`0a0?ooo`@00000<@3oool2000003@0oooo
1000000d0?ooo`030000003oool0oooo0240oooo000U0?ooo`030000003oool0oooo0340oooo00<0
00000?ooo`3oool0<P3oool2000003@0oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?oo
o`0Q0?ooo`008P3oool5000003<0oooo00<000000?ooo`3oool0<@3oool2000003D0oooo00<00000
0?ooo`3oool0<@3oool500000280oooo000M0?ooo`@0000000D0oooo0000003oool0oooo0000000]
0?ooo`@00000103oool00`000000oooo0?ooo`0`0?ooo`<00000=@3oool00`000000oooo0?ooo`0`
0?ooo`040000003oool0oooo000002<0oooo000S0?ooo`030000003oool0000003H0oooo00<00000
0?ooo`3oool0;`3oool2000003L0oooo00<000000?ooo`3oool0<03oool00`000000oooo0000000S
0?ooo`00903oool2000003<0oooo00@000000?ooo`3oool00000<@3oool2000003@0oooo00@00000
0?ooo`3oool00000<`3oool2000002<0oooo000U0?ooo`030000003oool0oooo0380oooo0P00000b
0?ooo`800000=@3oool2000003D0oooo00<000000?ooo`3oool08@3oool008h0oooo0P00002@0?oo
o`00S`3oool00`000000oooo0?ooo`2>0?ooo`00S`3oool00`000000oooo0?ooo`2>0?ooo`00S`3o
ool00`000000oooo0?ooo`2>0?ooo`00o`00000P00000040oooo00070?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`060?ooo`008P3oool00`000000
oooo0?ooo`0c0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0=03oool00`000000
oooo0?ooo`0c0?ooo`030000003oool0oooo0240oooo002?0?ooo`030000003oool0oooo08h0oooo
002?0?ooo`030000003oool0oooo08h0oooo002?0?ooo`800000S`3oool008l0oooo0P00002?0?oo
o`00S`3oool2000008l0oooo002?0?ooo`800000S`3oool008l0oooo0P00002?0?ooo`00S`3oool2
000008l0oooo002?0?ooo`800000S`3oool008l0oooo0P00002?0?ooo`00S`3oool00`000000oooo
0000002>0?ooo`00S`3oool00`000000oooo0000002>0?ooo`00S`3oool00`000000oooo0000002>
0?ooo`00S`3oool3000008h0oooo002?0?ooo`030000003oool0000008h0oooo002?0?ooo`030000
003oool0000008h0oooo002?0?ooo`030000003oool0000008h0oooo002?0?ooo`030000003oool0
000008h0oooo002?0?ooo`040000003oool0oooo000008d0oooo002?0?ooo`040000003oool0oooo
000008d0oooo002?0?ooo`040000003oool0oooo000008d0oooo002?0?ooo`80000000<0oooo0000
003oool0S03oool008l0oooo00@000000?ooo`3oool00000S@3oool008l0oooo00@000000?ooo`3o
ool00000S@3oool008l0oooo00@000000?ooo`3oool00000S@3oool008l0oooo00@000000?ooo`3o
ool00000S@3oool008l0oooo00D000000?ooo`3oool0oooo0000002<0?ooo`00S`3oool01@000000
oooo0?ooo`3oool0000008`0oooo002?0?ooo`8000000P3oool00`000000oooo0?ooo`2:0?ooo`00
S`3oool01@000000oooo0?ooo`3oool0000008`0oooo002?0?ooo`050000003oool0oooo0?ooo`00
0000S03oool008l0oooo00D000000?ooo`3oool0oooo0000002<0?ooo`00S`3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo08T0oooo002?0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool0R@3oool007/0oooo0P0000040?ooo`030000003oool0oooo0080oooo0`000006
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0R@3oool007X0oooo00@000000?oo
o`3oool000002`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool0R@3oool007X0oooo00@000000?ooo`3oool000002`3oool00`000000oooo0?ooo`03
0?ooo`<000000P3oool00`000000oooo0?ooo`290?ooo`00NP3oool010000000oooo0?ooo`000008
0?ooo`<000001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo08T0oooo001j0?oo
o`040000003oool0oooo000000P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo08P0oooo001j0?ooo`040000003oool0oooo000000P0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo08P0oooo001k0?oo
o`8000002@3oool4000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`280?oo
o`00S`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo08P0oooo002?0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0R03oool008l0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`270?ooo`00S`3oool2000000D0oooo00<000000?ooo`3oool0Q`3oool0
08l0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`270?ooo`00S`3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo08L0oooo002?0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0Q`3oool008l0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`270?ooo`00S`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo08H0oooo002?0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0QP3oool008l0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`260?ooo`00S`3oool2000000H0oooo00<000000?ooo`3oool0
QP3oool008l0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`260?ooo`00S`3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo08H0oooo002?0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool0Q@3oool008l0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`250?ooo`00S`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo08D0oooo
002?0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0Q@3oool008l0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`240?ooo`00S`3oool2000000P0oooo00<000000?oo
o`3oool0Q03oool008l0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`240?ooo`00
S`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo08<0oooo002?0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool0P`3oool008l0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`230?ooo`00S`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
08<0oooo002?0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0P`3oool008l0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`220?ooo`00S`3oool2000000X0oooo00<0
00000?ooo`3oool0PP3oool008l0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`22
0?ooo`00S`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0880oooo002?0?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool0PP3oool008l0oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`210?ooo`00S`3oool00`000000oooo0?ooo`0:0?ooo`030000003o
ool0oooo0840oooo00260?ooo`@000001@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0
oooo0800oooo00280?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`200?ooo`00R03oool00`000000oooo0?ooo`040?ooo`<00000303oool00`000000
oooo0?ooo`0B0?ooofD00000203oool008P0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0<0?ooo`030000003oool0oooo00l0oooo0`00001]0?ooo`00R03oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool02`3oool300000700oooo0026
0?ooo`<000001P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00P0oooo0P00001c
0?ooo`00R03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00h0oooo0P0000060?oo
o`<00000M@3oool008l0oooo00<000000?ooo`3oool0403oool6000007P0oooo002?0?ooo`030000
003oool0oooo08h0oooo002?0?ooo`800000S`3oool008l0oooo00<000000?ooo`3oool0SP3oool0
08l0oooo00<000000?ooo`3oool0SP3oool00001\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-5.26302, -1.12574, \
0.0366761, 0.0127247}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(gc[x_, p_, sx_, 
        sp_] := \((2\ Pi\ sx\ sp)\)\^\(-1\)\ Exp[\(-x\^2\)/\((2\ sx\^2)\) - 
            p\^2/\((2\ sp\^2)\)]\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Plot[{modul[x - 2, 1, 1] gc[x - 2, 1, 1, 2], 
        gc[x - 2, 1, 1, 2]}, {x, \(-5\), 5}]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.0952381 0.0253447 8.23024 [
[.11905 .01284 -6 -9 ]
[.11905 .01284 6 0 ]
[.30952 .01284 -6 -9 ]
[.30952 .01284 6 0 ]
[.69048 .01284 -3 -9 ]
[.69048 .01284 3 0 ]
[.88095 .01284 -3 -9 ]
[.88095 .01284 3 0 ]
[.4875 .10765 -24 -4.5 ]
[.4875 .10765 0 4.5 ]
[.4875 .18995 -24 -4.5 ]
[.4875 .18995 0 4.5 ]
[.4875 .27225 -24 -4.5 ]
[.4875 .27225 0 4.5 ]
[.4875 .35455 -24 -4.5 ]
[.4875 .35455 0 4.5 ]
[.4875 .43686 -24 -4.5 ]
[.4875 .43686 0 4.5 ]
[.4875 .51916 -24 -4.5 ]
[.4875 .51916 0 4.5 ]
[.4875 .60146 -24 -4.5 ]
[.4875 .60146 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.11905 .02534 m
.11905 .03159 L
s
[(-4)] .11905 .01284 0 1 Mshowa
.30952 .02534 m
.30952 .03159 L
s
[(-2)] .30952 .01284 0 1 Mshowa
.69048 .02534 m
.69048 .03159 L
s
[(2)] .69048 .01284 0 1 Mshowa
.88095 .02534 m
.88095 .03159 L
s
[(4)] .88095 .01284 0 1 Mshowa
.125 Mabswid
.16667 .02534 m
.16667 .02909 L
s
.21429 .02534 m
.21429 .02909 L
s
.2619 .02534 m
.2619 .02909 L
s
.35714 .02534 m
.35714 .02909 L
s
.40476 .02534 m
.40476 .02909 L
s
.45238 .02534 m
.45238 .02909 L
s
.54762 .02534 m
.54762 .02909 L
s
.59524 .02534 m
.59524 .02909 L
s
.64286 .02534 m
.64286 .02909 L
s
.7381 .02534 m
.7381 .02909 L
s
.78571 .02534 m
.78571 .02909 L
s
.83333 .02534 m
.83333 .02909 L
s
.07143 .02534 m
.07143 .02909 L
s
.02381 .02534 m
.02381 .02909 L
s
.92857 .02534 m
.92857 .02909 L
s
.97619 .02534 m
.97619 .02909 L
s
.25 Mabswid
0 .02534 m
1 .02534 L
s
.5 .10765 m
.50625 .10765 L
s
[(0.01)] .4875 .10765 1 0 Mshowa
.5 .18995 m
.50625 .18995 L
s
[(0.02)] .4875 .18995 1 0 Mshowa
.5 .27225 m
.50625 .27225 L
s
[(0.03)] .4875 .27225 1 0 Mshowa
.5 .35455 m
.50625 .35455 L
s
[(0.04)] .4875 .35455 1 0 Mshowa
.5 .43686 m
.50625 .43686 L
s
[(0.05)] .4875 .43686 1 0 Mshowa
.5 .51916 m
.50625 .51916 L
s
[(0.06)] .4875 .51916 1 0 Mshowa
.5 .60146 m
.50625 .60146 L
s
[(0.07)] .4875 .60146 1 0 Mshowa
.125 Mabswid
.5 .04181 m
.50375 .04181 L
s
.5 .05827 m
.50375 .05827 L
s
.5 .07473 m
.50375 .07473 L
s
.5 .09119 m
.50375 .09119 L
s
.5 .12411 m
.50375 .12411 L
s
.5 .14057 m
.50375 .14057 L
s
.5 .15703 m
.50375 .15703 L
s
.5 .17349 m
.50375 .17349 L
s
.5 .20641 m
.50375 .20641 L
s
.5 .22287 m
.50375 .22287 L
s
.5 .23933 m
.50375 .23933 L
s
.5 .25579 m
.50375 .25579 L
s
.5 .28871 m
.50375 .28871 L
s
.5 .30517 m
.50375 .30517 L
s
.5 .32163 m
.50375 .32163 L
s
.5 .33809 m
.50375 .33809 L
s
.5 .37101 m
.50375 .37101 L
s
.5 .38748 m
.50375 .38748 L
s
.5 .40394 m
.50375 .40394 L
s
.5 .4204 m
.50375 .4204 L
s
.5 .45332 m
.50375 .45332 L
s
.5 .46978 m
.50375 .46978 L
s
.5 .48624 m
.50375 .48624 L
s
.5 .5027 m
.50375 .5027 L
s
.5 .53562 m
.50375 .53562 L
s
.5 .55208 m
.50375 .55208 L
s
.5 .56854 m
.50375 .56854 L
s
.5 .585 m
.50375 .585 L
s
.5 .00888 m
.50375 .00888 L
s
.5 .61792 m
.50375 .61792 L
s
.25 Mabswid
.5 0 m
.5 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .03328 m
.03279 .03254 L
.04262 .03139 L
.06244 .0282 L
.0828 .02418 L
.10458 .01985 L
.11548 .01797 L
.12579 .01651 L
.13504 .01553 L
.13758 .01533 L
.14027 .01514 L
.14257 .015 L
.14509 .01489 L
.1464 .01484 L
.14761 .0148 L
.14886 .01477 L
.15 .01474 L
.15112 .01473 L
.15218 .01472 L
.15329 .01472 L
.1545 .01472 L
.15572 .01473 L
.15642 .01474 L
.15706 .01475 L
.15837 .01478 L
.15977 .01482 L
.16231 .01491 L
.16462 .01503 L
.16912 .01534 L
.17402 .01579 L
.18292 .0169 L
.19232 .01847 L
.2027 .0206 L
.22371 .02581 L
.24468 .03137 L
.25386 .03362 L
.26391 .03578 L
.27367 .03748 L
.27834 .03812 L
.28275 .03861 L
.28517 .03883 L
.28778 .03902 L
.29016 .03917 L
.29235 .03927 L
.29357 .03931 L
.29472 .03934 L
.29598 .03936 L
.29668 .03937 L
.29733 .03937 L
.29862 .03938 L
Mistroke
.29935 .03937 L
.30003 .03936 L
.30127 .03934 L
.30197 .03933 L
.3026 .03931 L
.30493 .03922 L
.30625 .03915 L
.30749 .03908 L
.31265 .03866 L
.31711 .03815 L
.32188 .03747 L
.33279 .03538 L
.34271 .03295 L
.36345 .02685 L
.37257 .02409 L
.38261 .0213 L
.38724 .02018 L
.39222 .01913 L
.39653 .01839 L
.39881 .01807 L
.40124 .01778 L
.4026 .01765 L
.40384 .01754 L
.4051 .01746 L
.40626 .0174 L
.40757 .01735 L
.40826 .01733 L
.40898 .01732 L
.41021 .01731 L
.4109 .01732 L
.41155 .01733 L
.41277 .01737 L
.41393 .01743 L
.41497 .0175 L
.41611 .0176 L
.41864 .01788 L
.42099 .01824 L
.42562 .01922 L
.43061 .02072 L
.43531 .02259 L
.43964 .02472 L
.44966 .03129 L
.46023 .04088 L
.46976 .05206 L
.47995 .06679 L
.4983 .10076 L
.51963 .15179 L
.53977 .2099 L
.5782 .33665 L
.59767 .40153 L
Mistroke
.61909 .46694 L
.63966 .51884 L
.64865 .53706 L
.65846 .55332 L
.66363 .56027 L
.66842 .56568 L
.6733 .57012 L
.67788 .57331 L
.68043 .57466 L
.68177 .57525 L
.68319 .57578 L
.68438 .57616 L
.68569 .57649 L
.68688 .57673 L
.688 .57689 L
.68867 .57695 L
.68939 .577 L
.69008 .57703 L
.69072 .57703 L
.69192 .57698 L
.6932 .57686 L
.69385 .57676 L
.69456 .57664 L
.69585 .57635 L
.69737 .57591 L
.69877 .57541 L
.70351 .57304 L
.70617 .57126 L
.70858 .56936 L
.71771 .5598 L
.72836 .54406 L
.73841 .52501 L
.7769 .42193 L
.81784 .28557 L
.85726 .16282 L
.87707 .11294 L
.89517 .07656 L
.91463 .04774 L
.92535 .03632 L
.93553 .02822 L
.94515 .02281 L
.95052 .02066 L
.95539 .01921 L
.95995 .01824 L
.96252 .01785 L
.96374 .01771 L
.96487 .01759 L
.96596 .0175 L
.96694 .01744 L
.96804 .01738 L
Mistroke
.96921 .01734 L
.97034 .01732 L
.97157 .01731 L
.97272 .01733 L
.97379 .01736 L
.97493 .01741 L
.97619 .01748 L
Mfstroke
.02381 .02534 m
.02846 .02534 L
.03279 .02534 L
.03754 .02534 L
.04262 .02534 L
.04518 .02534 L
.04795 .02534 L
.053 .02534 L
.05791 .02534 L
.06244 .02534 L
.06747 .02534 L
.07218 .02534 L
.07734 .02534 L
.08024 .02534 L
.0829 .02534 L
.08821 .02534 L
.09122 .02534 L
.09401 .02534 L
.09913 .02534 L
.10458 .02534 L
.10994 .02534 L
.11487 .02534 L
.12028 .02534 L
.12599 .02534 L
.13096 .02534 L
.13561 .02534 L
.1407 .02534 L
.14616 .02534 L
.15145 .02534 L
.15634 .02534 L
.1617 .02534 L
.1674 .02534 L
.17233 .02534 L
.17697 .02534 L
.18205 .02535 L
.18752 .02535 L
.19248 .02535 L
.19709 .02535 L
.20216 .02535 L
.20756 .02535 L
.21325 .02535 L
.21862 .02535 L
.22344 .02535 L
.22866 .02535 L
.23355 .02535 L
.23813 .02535 L
.24315 .02535 L
.24854 .02536 L
.25418 .02536 L
.25953 .02537 L
Mistroke
.26434 .02537 L
.26958 .02538 L
.27491 .02539 L
.27993 .0254 L
.28929 .02543 L
.29455 .02545 L
.29938 .02547 L
.30464 .0255 L
.31028 .02554 L
.31539 .02559 L
.32004 .02564 L
.32914 .02578 L
.33423 .02587 L
.33977 .026 L
.34982 .02631 L
.35924 .02671 L
.36963 .02733 L
.38048 .02824 L
.39065 .02942 L
.40051 .03096 L
.41088 .03311 L
.41973 .03551 L
.42939 .03884 L
.43969 .04339 L
.44904 .04859 L
.45996 .05623 L
.47001 .06499 L
.48923 .08733 L
.51004 .12139 L
.52884 .16226 L
.5495 .21858 L
.58989 .35624 L
.62876 .49388 L
.63892 .52455 L
.64998 .55337 L
.66042 .57526 L
.66507 .58313 L
.67009 .59024 L
.6751 .59585 L
.6773 .59782 L
.6797 .59964 L
.68183 .60095 L
.6841 .60204 L
.68536 .60249 L
.6865 .60283 L
.68765 .60307 L
.68873 .60323 L
.68992 .60332 L
.69123 .60331 L
.69189 .60327 L
Mistroke
.69259 .60319 L
.69387 .60296 L
.69514 .60264 L
.69635 .60223 L
.69861 .60122 L
.70127 .59963 L
.70374 .59775 L
.70933 .59212 L
.71441 .58536 L
.7199 .57638 L
.72986 .55595 L
.74848 .5055 L
.7895 .36198 L
.82901 .22601 L
.84888 .17028 L
.867 .12908 L
.88652 .09481 L
.89739 .07991 L
.90744 .06849 L
.92654 .05212 L
.93661 .04583 L
.94731 .04058 L
.95448 .03774 L
.96221 .03521 L
.97619 .03177 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/B000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00:03oool00`000000oooo0?ooo`0`0?ooo`@00000H`3oool4000003<0
oooo00<000000?ooo`3oool0903oool002P0oooo00<000000?ooo`3oool0<03oool00`000000oooo
0?ooo`1T0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0903oool002D0oooo1@00
000b0?ooo`030000003oool0oooo06@0oooo00<000000?ooo`3oool0<03oool5000002D0oooo000P
0?ooo`@0000000D0oooo0000003oool0oooo0000000/0?ooo`@00000103oool00`000000oooo0?oo
o`0_0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool0;`3oool010000000oooo0?oo
o`00000V0?ooo`009P3oool00`000000oooo0000000e0?ooo`030000003oool0oooo02h0oooo00<0
00000?ooo`3oool0<`3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0000002H0oooo000W
0?ooo`800000<P3oool010000000oooo0?ooo`00000`0?ooo`800000<@3oool010000000oooo0?oo
o`00000b0?ooo`8000009P3oool002P0oooo00<000000?ooo`3oool0<@3oool200000340oooo00<0
00000?ooo`3oool0<@3oool2000003@0oooo00<000000?ooo`3oool0903oool002T0oooo3@00001I
0?ooo`030000003oool0oooo08h0oooo000S0?ooo`H000003@3oool6000003D0oooo2P00000D0?oo
o`030000003oool0oooo07/0oooo1`00000<0?ooo`007P3oool5000001T0oooo1000000]0?ooo`@0
00002P3oool300000140oooo00<000000?ooo`3oool0N@3oool2000001<0oooo00040?ooool00000
600000050?ooo`002`3oool00`000000oooo0?ooo`050?ooo`H00000303oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo00X0oooo00@000000?ooo`3oool0oooo0`0000060?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool0203oool300000080oooo200000030?ooo`030000
003oool0oooo00L0oooo0P0000000`3oool000000?ooo`0;0?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0000000X0oooo
00<000000?ooo`3oool02P3oool000/0oooo2000000B0?ooo`030000003oool0oooo01l0oooo1@00
000>0?ooo`030000003oool0oooo00D0oooo0`00000=0?ooo`H000002@3oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool0<P3oool00`000000oooo0?oo
o`0:0?ooo`8000002@3oool3000000`0oooo001<0?ooo`D00000303oool5000001H0oooo0P000008
0?ooo`8000002`3oool00`000000oooo0?ooo`1c0?ooo`030000003oool0oooo00@0oooo1@00000?
0?ooo`00D@3oool<000001d0oooo0`0000070?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0LP3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0180oooo001m0?ooo`<0
00001@3oool00`000000oooo0?ooo`070?ooo`800000LP3oool00`000000oooo0?ooo`030?ooo`80
00005@3oool00800oooo0P0000040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
L03oool00`000000oooo0?ooo`020?ooo`8000005`3oool00880oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo06l0oooo00@000000?ooo`3oool0oooo
0P00000I0?ooo`00P`3oool01@000000oooo0?ooo`3oool0000000L0oooo00<000000?ooo`3oool0
K`3oool010000000oooo0?ooo`00000K0?ooo`00Q03oool01@000000oooo0?ooo`3oool0000000H0
oooo0P00001_0?ooo`040000003oool0oooo000001`0oooo00250?ooo`80000000<0oooo0000003o
ool01@3oool00`000000oooo0?ooo`1^0?ooo`030000003oool0000001d0oooo00270?ooo`030000
003oool0000000D0oooo00<000000?ooo`3oool0K@3oool00`000000oooo0000000N0?ooo`00R03o
ool2000000D0oooo00<000000?ooo`3oool0K03oool00`000000oooo0000000O0?ooo`00R@3oool2
000000@0oooo00<000000?ooo`3oool0K03oool200000200oooo00290?ooo`800000103oool20000
06`0oooo0P00000Q0?ooo`00RP3oool2000000<0oooo00<000000?ooo`3oool0J`3oool00`000000
oooo0?ooo`0P0?ooo`00R`3oool200000080oooo00<000000?ooo`3oool0JP3oool00`000000oooo
0?ooo`0Q0?ooo`00S03oool010000000oooo0?ooo`00001/0?ooo`030000003oool0oooo0240oooo
002=0?ooo`040000003oool00000000006X0oooo00<000000?ooo`3oool08P3oool008d0oooo0`00
001Z0?ooo`800000903oool008h0oooo0P00001Z0?ooo`030000003oool0oooo02<0oooo001f0?oo
o`800000103oool00`000000oooo0?ooo`030?ooo`8000000`3oool4000000<0oooo0P00001Y0?oo
o`8000009@3oool007D0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`000004
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0I`3oool00`000000oooo0?ooo`0T
0?ooo`00M@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo000000@0oooo00<0
00000?ooo`3oool00`3oool3000006H0oooo0P00000V0?ooo`00M@3oool010000000oooo0?ooo`00
00080?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00`3oool2000006L0oooo
00<000000?ooo`3oool09@3oool007D0oooo00@000000?ooo`3oool00000203oool010000000oooo
0?ooo`0000040?ooo`030000003oool0oooo00<0oooo0`00001U0?ooo`8000009`3oool007D0oooo
00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`<000001@3oool00`00
0000oooo0000001U0?ooo`030000003oool0oooo02H0oooo001f0?ooo`8000002P3oool2000000D0
oooo00<000000?ooo`3oool00`3oool4000006<0oooo0P00000X0?ooo`00S`3oool010000000oooo
00000000001S0?ooo`030000003oool0oooo02L0oooo002?0?ooo`030000003oool0oooo00800000
H@3oool2000002T0oooo002?0?ooo`030000003oool0oooo00800000H@3oool00`000000oooo0?oo
o`0X0?ooo`00S`3oool010000000oooo0?ooo`3oool2000005l0oooo0P00000Z0?ooo`00S`3oool2
00000080oooo0P00001O0?ooo`800000:P3oool008l0oooo00L000000?ooo`3oool0oooo0000003o
ool0000005d0oooo0P00000[0?ooo`00S`3oool00`000000oooo0?ooo`020?ooo`800000G@3oool2
000002/0oooo002?0?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000F`3oool20000
02`0oooo002?0?ooo`030000003oool0oooo0080oooo00<000000?ooo`000000F`3oool2000002`0
oooo002?0?ooo`800000103oool00`000000oooo0000001I0?ooo`800000;@3oool008l0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0000001I0?ooo`800000;@3oool008l0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0000001H0?ooo`030000003oool0000002d0oooo002?0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`000000E`3oool2000002h0oooo002?0?ooo`80
00001@3oool00`000000oooo0000001G0?ooo`800000;P3oool008l0oooo00<000000?ooo`3oool0
1@3oool2000005H0oooo00<000000?ooo`000000;P3oool008l0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0000001E0?ooo`800000;`3oool007H0oooo0P0000040?ooo`030000003oool0
oooo00<0oooo0P0000030?ooo`@00000103oool00`000000oooo0?ooo`050?ooo`030000003oool0
000005D0oooo0P00000_0?ooo`00M@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0
oooo00000080oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0000005<0oooo00<000000?ooo`000000;`3oool007D0oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00@0oooo0`0000060?ooo`030000
003oool0000005<0oooo0P00000`0?ooo`00M@3oool010000000oooo0?ooo`0000080?ooo`040000
003oool0oooo000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`060?ooo`03
0000003oool000000580oooo00<000000?ooo`000000<03oool007D0oooo00@000000?ooo`3oool0
0000203oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool01`3oool00`000000oooo0000001A0?ooo`030000003oool000000300oooo001e0?ooo`04
0000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`000000D@3oool200000340oooo001f
0?ooo`8000002P3oool2000000@0oooo0P0000050?ooo`8000002@3oool200000500oooo00<00000
0?ooo`000000<@3oool008l0oooo00<000000?ooo`3oool0203oool00`000000oooo0000001?0?oo
o`030000003oool000000340oooo002?0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`00
0000C`3oool200000380oooo002?0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`000000
C@3oool00`000000oooo0000000b0?ooo`00S`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0000004d0oooo00<000000?ooo`000000<P3oool008l0oooo0P00000:0?ooo`030000003oool0
000004`0oooo00@000000?ooo`3oool00000<P3oool008l0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0000001;0?ooo`030000003oool0000003<0oooo002?0?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`000000B`3oool00`000000oooo0000000c0?ooo`00S`3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0000004X0oooo00@000000?ooo`3oool00000<`3oool008l0
oooo0P00000<0?ooo`800000BP3oool00`000000oooo0000000d0?ooo`00S`3oool00`000000oooo
0?ooo`0;0?ooo`030000003oool0000004T0oooo00<000000?ooo`000000=03oool008l0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo000000190?ooo`030000003oool0000003@0oooo002?
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`000000B03oool00`000000oooo0000000e
0?ooo`00S`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0000004L0oooo00<000000?oo
o`000000=@3oool008l0oooo0P00000=0?ooo`030000003oool0000004L0oooo00<000000?ooo`00
0000=@3oool008l0oooo00<000000?ooo`3oool0303oool00`000000oooo000000160?ooo`030000
003oool0000003H0oooo002?0?ooo`030000003oool0oooo00d0oooo0P0000160?ooo`030000003o
ool0000003H0oooo001f0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`800000103oool2
000000D0oooo00<000000?ooo`3oool03@3oool00`000000oooo000000150?ooo`030000003oool0
000003H0oooo001e0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo00d0oooo00<000000?ooo`000000
A03oool00`000000oooo0000000g0?ooo`00M@3oool010000000oooo0?ooo`0000080?ooo`040000
003oool0oooo000000D0oooo00<000000?ooo`3oool00P3oool3000000h0oooo0P0000140?ooo`03
0000003oool0000003L0oooo001e0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3o
ool000000`3oool2000000D0oooo00<000000?ooo`3oool03P3oool00`000000oooo000000130?oo
o`030000003oool0000003L0oooo001e0?ooo`040000003oool0oooo000000P0oooo00@000000?oo
o`3oool000001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`000000@`3oool2000003P0oooo001e0?ooo`040000003oool0oooo000000P0oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo00l0oooo
0P0000120?ooo`030000003oool0000003P0oooo001f0?ooo`8000002P3oool2000000@0oooo0P00
00050?ooo`800000403oool200000480oooo00<000000?ooo`000000>03oool008l0oooo00<00000
0?ooo`3oool03`3oool00`000000oooo000000110?ooo`800000>@3oool008l0oooo00<000000?oo
o`3oool0403oool200000400oooo00<000000?ooo`000000>@3oool008l0oooo00<000000?ooo`3o
ool0403oool200000400oooo00<000000?ooo`000000>@3oool008l0oooo00<000000?ooo`3oool0
403oool00`000000oooo0000000o0?ooo`030000003oool0000003T0oooo002?0?ooo`8000004@3o
ool00`000000oooo0000000n0?ooo`030000003oool0000003X0oooo002?0?ooo`030000003oool0
oooo0140oooo0P00000n0?ooo`030000003oool0000003X0oooo002?0?ooo`030000003oool0oooo
0140oooo00<000000?ooo`000000?@3oool00`000000oooo0000000j0?ooo`00S`3oool00`000000
oooo0?ooo`0A0?ooo`030000003oool0000003d0oooo0P00000k0?ooo`00S`3oool2000001<0oooo
0P00000l0?ooo`030000003oool0000003/0oooo002?0?ooo`030000003oool0oooo0180oooo0P00
000l0?ooo`030000003oool0000003/0oooo002?0?ooo`030000003oool0oooo0180oooo00<00000
0?ooo`000000>`3oool00`000000oooo0000000k0?ooo`00S`3oool00`000000oooo0?ooo`0C0?oo
o`800000>P3oool00`000000oooo0000000l0?ooo`00S`3oool00`000000oooo0?ooo`0C0?ooo`80
0000>P3oool00`000000oooo0000000l0?ooo`00S`3oool2000001@0oooo00<000000?ooo`000000
>@3oool00`000000oooo0000000l0?ooo`00S`3oool00`000000oooo0?ooo`0D0?ooo`800000>03o
ool00`000000oooo0000000m0?ooo`00MP3oool2000000@0oooo00<000000?ooo`3oool00`3oool2
000000D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0D0?ooo`800000>03oool0
0`000000oooo0000000m0?ooo`00M@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0
oooo000000@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0D0?ooo`800000>03o
ool00`000000oooo0000000m0?ooo`00M@3oool010000000oooo0?ooo`0000080?ooo`050000003o
ool0oooo0000003oool01@0000040?ooo`<00000503oool00`000000oooo0000000g0?ooo`030000
003oool0000003d0oooo001e0?ooo`040000003oool0oooo000000P0oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool05@3oool20000
03H0oooo00<000000?ooo`000000?P3oool007D0oooo00@000000?ooo`3oool00000203oool01000
0000oooo0?ooo`0000020?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool05@3oool2
000003H0oooo00<000000?ooo`000000?P3oool007D0oooo00@000000?ooo`3oool00000203oool0
10000000oooo0?ooo`0000030?ooo`8000001@3oool00`000000oooo0?ooo`0E0?ooo`030000003o
ool0000003D0oooo00<000000?ooo`000000?P3oool007H0oooo0P00000:0?ooo`8000001@3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo01D0oooo00<000000?ooo`000000=03oool0
0`000000oooo0000000o0?ooo`00S`3oool2000001L0oooo0P00000d0?ooo`030000003oool00000
03l0oooo002?0?ooo`030000003oool0oooo01H0oooo0P00000d0?ooo`030000003oool0000003l0
oooo002?0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`000000<`3oool200000400oooo
002?0?ooo`030000003oool0oooo01L0oooo0P00000b0?ooo`030000003oool000000400oooo002?
0?ooo`030000003oool0oooo01L0oooo0P00000b0?ooo`030000003oool000000400oooo002?0?oo
o`800000603oool00`000000oooo0000000a0?ooo`030000003oool000000400oooo002?0?ooo`03
0000003oool0oooo01L0oooo00<000000?ooo`000000<@3oool200000440oooo002?0?ooo`030000
003oool0oooo01P0oooo0P00000`0?ooo`030000003oool000000440oooo002?0?ooo`030000003o
ool0oooo01P0oooo0P00000`0?ooo`030000003oool000000440oooo002?0?ooo`8000006@3oool0
0`000000oooo0000000_0?ooo`800000@P3oool008l0oooo00<000000?ooo`3oool06@3oool20000
02h0oooo00<000000?ooo`000000@P3oool008l0oooo00<000000?ooo`3oool06@3oool2000002h0
oooo00<000000?ooo`000000@P3oool008l0oooo00<000000?ooo`3oool06@3oool00`000000oooo
0000000]0?ooo`030000003oool000000480oooo002?0?ooo`030000003oool0oooo01X0oooo0P00
000]0?ooo`800000@`3oool008l0oooo0P00000K0?ooo`800000;03oool00`000000oooo00000013
0?ooo`00S`3oool00`000000oooo0?ooo`0J0?ooo`800000;03oool00`000000oooo000000130?oo
o`00MP3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000<0oooo0`0000050?ooo`03
0000003oool0oooo01/0oooo0P00000[0?ooo`800000A03oool007D0oooo00@000000?ooo`3oool0
0000203oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool06`3oool2000002/0oooo0P0000140?ooo`00M@3oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo000000D0oooo00<000000?ooo`3oool00P3oool3000001/0oooo0P00000Z
0?ooo`800000A@3oool007D0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`00
00020?ooo`<000001@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0000002T0oooo0P00
00150?ooo`00M@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0L0?ooo`800000:@3oool2000004D0oooo
001e0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo01`0oooo0P00000X0?ooo`800000AP3oool007H0oooo
0P00000:0?ooo`8000000`3oool4000000@0oooo00<000000?ooo`3oool0703oool00`000000oooo
0000000W0?ooo`800000AP3oool008l0oooo0P00000N0?ooo`8000009`3oool2000004H0oooo002?
0?ooo`030000003oool0oooo01d0oooo0P00000W0?ooo`030000003oool0oooo04D0oooo002?0?oo
o`030000003oool0oooo01d0oooo0P00000V0?ooo`800000A`3oool008l0oooo00<000000?ooo`3o
ool07P3oool2000002D0oooo00<000000?ooo`3oool0AP3oool008l0oooo0P00000O0?ooo`800000
9@3oool00`000000oooo0?ooo`160?ooo`00S`3oool00`000000oooo0?ooo`0N0?ooo`800000903o
ool2000004P0oooo002?0?ooo`030000003oool0oooo01l0oooo0P00000S0?ooo`030000003oool0
oooo04L0oooo002?0?ooo`030000003oool0oooo01l0oooo0P00000S0?ooo`030000003oool0oooo
04L0oooo002?0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool08@3oool00`000000
oooo0?ooo`170?ooo`00S`3oool200000240oooo00<000000?ooo`3oool0803oool00`000000oooo
0?ooo`180?ooo`00S`3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo01l0oooo00<0
00000?ooo`3oool0B03oool008l0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0N
0?ooo`800000BP3oool008l0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`0N0?oo
o`800000BP3oool008l0oooo0P00000S0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3o
ool0B@3oool008l0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0L0?ooo`800000
B`3oool008l0oooo00<000000?ooo`3oool08P3oool2000001d0oooo0P00001;0?ooo`00MP3oool2
000000@0oooo00<000000?ooo`3oool00`3oool2000000@0oooo0P0000050?ooo`030000003oool0
oooo02<0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`1:0?ooo`00M@3oool01000
0000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
103oool00`000000oooo0?ooo`0S0?ooo`8000006`3oool2000004`0oooo001e0?ooo`040000003o
ool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000040?oo
o`<000008`3oool2000001/0oooo0P00001<0?ooo`00M@3oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo00000080oooo0`0000050?ooo`030000003oool0oooo02@0oooo00<00000
0?ooo`3oool0603oool2000004d0oooo001e0?ooo`040000003oool0oooo000000P0oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo02@0oooo0P00
000I0?ooo`800000C@3oool007D0oooo00@000000?ooo`3oool00000203oool010000000oooo0?oo
o`0000020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0903oool2000001P0oooo
00<000000?ooo`000000C@3oool007H0oooo0P00000:0?ooo`800000103oool3000000@0oooo00<0
00000?ooo`3oool09@3oool2000001L0oooo0P00001>0?ooo`00S`3oool2000002H0oooo0P00000F
0?ooo`030000003oool0000004h0oooo002?0?ooo`030000003oool0oooo02D0oooo00<000000?oo
o`0000005@3oool2000004l0oooo002?0?ooo`030000003oool0oooo02H0oooo0P00000D0?ooo`03
0000003oool0000004l0oooo002?0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`000000
4P3oool010000000oooo0?ooo`00001?0?ooo`00S`3oool2000002P0oooo0P00000B0?ooo`030000
003oool000000500oooo002?0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`000000403o
ool010000000oooo0?ooo`00001@0?ooo`00S`3oool00`000000oooo0?ooo`0W0?ooo`040000003o
ool0oooo000000h0oooo00D000000?ooo`3oool0oooo0000001@0?ooo`00S`3oool00`000000oooo
0?ooo`0X0?ooo`040000003oool0oooo000000`0oooo00D000000?ooo`3oool0oooo0000001A0?oo
o`00S`3oool00`000000oooo0?ooo`0X0?ooo`050000003oool0oooo0?ooo`0000002`3oool01@00
0000oooo0?ooo`3oool000000540oooo002?0?ooo`800000:P3oool01@000000oooo0?ooo`3oool0
000000T0oooo00D000000?ooo`3oool0oooo0000001B0?ooo`00S`3oool00`000000oooo0?ooo`0Y
0?ooo`030000003oool0oooo0080oooo0P0000050?ooo`800000103oool00`000000oooo0?ooo`1@
0?ooo`00S`3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo0080oooo1P0000050?oo
o`030000003oool0oooo0540oooo002?0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3o
ool0303oool00`000000oooo0?ooo`1B0?ooo`00S`3oool2000002`0oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`1C0?ooo`00S`3oool00`000000oooo0?ooo`0[0?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool0D`3oool008l0oooo00<000000?ooo`3oool0;03oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo05@0oooo001f0?ooo`800000103oool00`00
0000oooo0?ooo`030?ooo`800000103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
02d0oooo0P0000080?ooo`030000003oool0oooo05@0oooo001e0?ooo`040000003oool0oooo0000
00P0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo02h0oooo0P0000050?ooo`800000E`3oool007D0oooo00@000000?ooo`3oool00000203oool0
10000000oooo0?ooo`0000040?ooo`030000003oool0oooo00<0oooo0`00000_0?ooo`H00000F@3o
ool007D0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000040?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0SP3oool007D0oooo00@000000?ooo`3oool00000
203oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0SP3oool007D0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?oo
o`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0SP3oool007H0oooo0P00000:0?oo
o`8000000`3oool4000000@0oooo0P00002?0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-5.42987, -0.00546047, \
0.0378388, 0.000437861}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Table[
        Plot[{modul[x, p, 1] gc[x, p - 6, 1, 2], gc[x, p - 6, 1, 2]}, {p, 0, 
            8}, PlotLabel \[Rule] x, 
          PlotStyle \[Rule] {{RGBColor[1, 0, 0]}, {RGBColor[0, 1, 0]}}, 
          DisplayFunction \[Rule] Identity], {x, \(-5\), 6}] // 
      Short\)], "Input"],

Cell[BoxData[
    TagBox[
      RowBox[{"{", 
        RowBox[{
          TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
            False,
            Editable->False], ",", 
          TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
            False,
            Editable->False], ",", 
          TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
            False,
            Editable->False], ",", 
          TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
            False,
            Editable->False], ",", 
          TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
            False,
            Editable->False], ",", 
          TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
            False,
            Editable->False], ",", 
          TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
            False,
            Editable->False], ",", 
          TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
            False,
            Editable->False], ",", 
          TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
            False,
            Editable->False], ",", 
          TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
            False,
            Editable->False], ",", 
          TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
            False,
            Editable->False], ",", 
          TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
            False,
            Editable->False]}], "}"}],
      Short]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Show[GraphicsArray[Partition[%, 3]]]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .83048 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.31746 0.0197734 0.31746 [
[ 0 0 0 0 ]
[ 1 .83048 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .83048 L
0 .83048 L
closepath
clip
newpath
% Start of sub-graphic
p
0.0238095 0.0197734 0.321429 0.203712 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.235439 5122.94 [
[.2619 .22294 -3 -9 ]
[.2619 .22294 3 0 ]
[.5 .22294 -3 -9 ]
[.5 .22294 3 0 ]
[.7381 .22294 -3 -9 ]
[.7381 .22294 3 0 ]
[.97619 .22294 -3 -9 ]
[.97619 .22294 3 0 ]
[.01131 .03052 -48 -4.5 ]
[.01131 .03052 0 4.5 ]
[.01131 .13298 -48 -4.5 ]
[.01131 .13298 0 4.5 ]
[.01131 .3379 -42 -4.5 ]
[.01131 .3379 0 4.5 ]
[.01131 .44036 -42 -4.5 ]
[.01131 .44036 0 4.5 ]
[.01131 .54282 -42 -4.5 ]
[.01131 .54282 0 4.5 ]
[.5 .63053 -3 0 ]
[.5 .63053 3 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2619 .23544 m
.2619 .24169 L
s
[(2)] .2619 .22294 0 1 Mshowa
.5 .23544 m
.5 .24169 L
s
[(4)] .5 .22294 0 1 Mshowa
.7381 .23544 m
.7381 .24169 L
s
[(6)] .7381 .22294 0 1 Mshowa
.97619 .23544 m
.97619 .24169 L
s
[(8)] .97619 .22294 0 1 Mshowa
.125 Mabswid
.08333 .23544 m
.08333 .23919 L
s
.14286 .23544 m
.14286 .23919 L
s
.20238 .23544 m
.20238 .23919 L
s
.32143 .23544 m
.32143 .23919 L
s
.38095 .23544 m
.38095 .23919 L
s
.44048 .23544 m
.44048 .23919 L
s
.55952 .23544 m
.55952 .23919 L
s
.61905 .23544 m
.61905 .23919 L
s
.67857 .23544 m
.67857 .23919 L
s
.79762 .23544 m
.79762 .23919 L
s
.85714 .23544 m
.85714 .23919 L
s
.91667 .23544 m
.91667 .23919 L
s
.25 Mabswid
0 .23544 m
1 .23544 L
s
.02381 .03052 m
.03006 .03052 L
s
[(-0.00004)] .01131 .03052 1 0 Mshowa
.02381 .13298 m
.03006 .13298 L
s
[(-0.00002)] .01131 .13298 1 0 Mshowa
.02381 .3379 m
.03006 .3379 L
s
[(0.00002)] .01131 .3379 1 0 Mshowa
.02381 .44036 m
.03006 .44036 L
s
[(0.00004)] .01131 .44036 1 0 Mshowa
.02381 .54282 m
.03006 .54282 L
s
[(0.00006)] .01131 .54282 1 0 Mshowa
.125 Mabswid
.02381 .05614 m
.02756 .05614 L
s
.02381 .08175 m
.02756 .08175 L
s
.02381 .10737 m
.02756 .10737 L
s
.02381 .15859 m
.02756 .15859 L
s
.02381 .18421 m
.02756 .18421 L
s
.02381 .20982 m
.02756 .20982 L
s
.02381 .26105 m
.02756 .26105 L
s
.02381 .28667 m
.02756 .28667 L
s
.02381 .31228 m
.02756 .31228 L
s
.02381 .36351 m
.02756 .36351 L
s
.02381 .38913 m
.02756 .38913 L
s
.02381 .41474 m
.02756 .41474 L
s
.02381 .46597 m
.02756 .46597 L
s
.02381 .49159 m
.02756 .49159 L
s
.02381 .5172 m
.02756 .5172 L
s
.02381 .00491 m
.02756 .00491 L
s
.02381 .56843 m
.02756 .56843 L
s
.02381 .59405 m
.02756 .59405 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
[(4)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .23544 m
0 0 rlineto s
.02381 .23544 m
.02982 .61803 L
s
.06891 .61803 m
.07229 .38259 L
s
.07229 .38259 m
.07739 0 L
s
.11861 0 m
.12381 .23567 L
.12907 .43742 L
.13173 .51594 L
.13325 .55327 L
.13465 .58227 L
.13584 .60316 L
s
.13584 .60316 m
.13687 .61803 L
s
.14908 .61803 m
.14993 .60921 L
.15289 .56875 L
.15564 .52432 L
.16599 .34307 L
.17099 .2689 L
.17572 .21557 L
.17834 .19392 L
.17972 .18475 L
.18118 .17666 L
.18241 .17113 L
.18376 .16632 L
.18499 .16304 L
.18614 .16088 L
.18733 .15952 L
.18859 .15896 L
.18978 .1592 L
.19086 .16002 L
.19213 .16164 L
.1935 .1641 L
.196 .17016 L
.2014 .18778 L
.20637 .20601 L
.21537 .2349 L
.2199 .24526 L
.22248 .24973 L
.22488 .25303 L
.22748 .25571 L
.22988 .25746 L
.23113 .25812 L
.23252 .25869 L
.23321 .25891 L
.23396 .2591 L
.23467 .25924 L
.23532 .25934 L
.23651 .25945 L
.23762 .25948 L
.23883 .25944 L
.24014 .25932 L
.24079 .25924 L
.2415 .25914 L
.24279 .25891 L
.24521 .2584 L
.24983 .25729 L
.25237 .2567 L
.25479 .2562 L
.25703 .25581 L
.25821 .25563 L
.25948 .25548 L
.26064 .25536 L
Mistroke
.2617 .25527 L
.26276 .2552 L
.26376 .25515 L
.26491 .25512 L
.26613 .25511 L
.26716 .25512 L
.2683 .25515 L
.26953 .2552 L
.27084 .25529 L
.27321 .2555 L
.276 .25582 L
.27865 .25621 L
.28361 .25705 L
.30465 .26141 L
.343 .26996 L
.3838 .28064 L
.42308 .29244 L
.46085 .30487 L
.50108 .31876 L
.53979 .33211 L
.58095 .34543 L
.62059 .35652 L
.65872 .3648 L
.67834 .36796 L
.68925 .36935 L
.6993 .37039 L
.70955 .37122 L
.71495 .37155 L
.72066 .37183 L
.72305 .37192 L
.72562 .37201 L
.72784 .37207 L
.73026 .37212 L
.73173 .37215 L
.73309 .37217 L
.73439 .37218 L
.73512 .37219 L
.73578 .37219 L
.73703 .3722 L
.73773 .3722 L
.73837 .3722 L
.73956 .37219 L
.74082 .37219 L
.74204 .37218 L
.74338 .37216 L
.7458 .37213 L
.74815 .37208 L
.75033 .37202 L
.75527 .37184 L
.76051 .37159 L
Mistroke
.76924 .37103 L
.77886 .37021 L
.79826 .3679 L
.81914 .3645 L
.86035 .35531 L
.90004 .34395 L
.93822 .3315 L
.97619 .31839 L
Mfstroke
0 1 0 r
.02381 .23696 m
.04262 .23736 L
.06244 .23788 L
.08426 .23859 L
.10458 .23941 L
.14264 .24143 L
.18163 .24435 L
.22307 .24862 L
.263 .25412 L
.30142 .26088 L
.34228 .26978 L
.38164 .28003 L
.41947 .2913 L
.45976 .3045 L
.49853 .31788 L
.53975 .3321 L
.57946 .34498 L
.61766 .35577 L
.63897 .36085 L
.6583 .36473 L
.67845 .36797 L
.69743 .37022 L
.70719 .37105 L
.71253 .37141 L
.71751 .37169 L
.72176 .37188 L
.72632 .37203 L
.72891 .3721 L
.73137 .37214 L
.73244 .37216 L
.73358 .37217 L
.73483 .37218 L
.73598 .37219 L
.73712 .3722 L
.73836 .3722 L
.73966 .37219 L
.74087 .37219 L
.74201 .37218 L
.74304 .37217 L
.74535 .37213 L
.74785 .37208 L
.75055 .37201 L
.75545 .37183 L
.76007 .37162 L
.76496 .37133 L
.77373 .37067 L
.78317 .36977 L
.79331 .36857 L
.81162 .36583 L
.8529 .35719 L
Mistroke
.89266 .34622 L
.9309 .33397 L
.9716 .31999 L
.97619 .31839 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.35119 0.0197734 0.64881 0.203712 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.257462 10601.3 [
[.2619 .24496 -3 -9 ]
[.2619 .24496 3 0 ]
[.5 .24496 -3 -9 ]
[.5 .24496 3 0 ]
[.7381 .24496 -3 -9 ]
[.7381 .24496 3 0 ]
[.97619 .24496 -3 -9 ]
[.97619 .24496 3 0 ]
[.01131 .04544 -48 -4.5 ]
[.01131 .04544 0 4.5 ]
[.01131 .15145 -48 -4.5 ]
[.01131 .15145 0 4.5 ]
[.01131 .36347 -42 -4.5 ]
[.01131 .36347 0 4.5 ]
[.01131 .46949 -42 -4.5 ]
[.01131 .46949 0 4.5 ]
[.01131 .5755 -42 -4.5 ]
[.01131 .5755 0 4.5 ]
[.5 .63053 -3 0 ]
[.5 .63053 3 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2619 .25746 m
.2619 .26371 L
s
[(2)] .2619 .24496 0 1 Mshowa
.5 .25746 m
.5 .26371 L
s
[(4)] .5 .24496 0 1 Mshowa
.7381 .25746 m
.7381 .26371 L
s
[(6)] .7381 .24496 0 1 Mshowa
.97619 .25746 m
.97619 .26371 L
s
[(8)] .97619 .24496 0 1 Mshowa
.125 Mabswid
.08333 .25746 m
.08333 .26121 L
s
.14286 .25746 m
.14286 .26121 L
s
.20238 .25746 m
.20238 .26121 L
s
.32143 .25746 m
.32143 .26121 L
s
.38095 .25746 m
.38095 .26121 L
s
.44048 .25746 m
.44048 .26121 L
s
.55952 .25746 m
.55952 .26121 L
s
.61905 .25746 m
.61905 .26121 L
s
.67857 .25746 m
.67857 .26121 L
s
.79762 .25746 m
.79762 .26121 L
s
.85714 .25746 m
.85714 .26121 L
s
.91667 .25746 m
.91667 .26121 L
s
.25 Mabswid
0 .25746 m
1 .25746 L
s
.02381 .04544 m
.03006 .04544 L
s
[(-0.00002)] .01131 .04544 1 0 Mshowa
.02381 .15145 m
.03006 .15145 L
s
[(-0.00001)] .01131 .15145 1 0 Mshowa
.02381 .36347 m
.03006 .36347 L
s
[(0.00001)] .01131 .36347 1 0 Mshowa
.02381 .46949 m
.03006 .46949 L
s
[(0.00002)] .01131 .46949 1 0 Mshowa
.02381 .5755 m
.03006 .5755 L
s
[(0.00003)] .01131 .5755 1 0 Mshowa
.125 Mabswid
.02381 .06664 m
.02756 .06664 L
s
.02381 .08784 m
.02756 .08784 L
s
.02381 .10904 m
.02756 .10904 L
s
.02381 .13025 m
.02756 .13025 L
s
.02381 .17265 m
.02756 .17265 L
s
.02381 .19385 m
.02756 .19385 L
s
.02381 .21506 m
.02756 .21506 L
s
.02381 .23626 m
.02756 .23626 L
s
.02381 .27866 m
.02756 .27866 L
s
.02381 .29987 m
.02756 .29987 L
s
.02381 .32107 m
.02756 .32107 L
s
.02381 .34227 m
.02756 .34227 L
s
.02381 .38468 m
.02756 .38468 L
s
.02381 .40588 m
.02756 .40588 L
s
.02381 .42708 m
.02756 .42708 L
s
.02381 .44828 m
.02756 .44828 L
s
.02381 .49069 m
.02756 .49069 L
s
.02381 .51189 m
.02756 .51189 L
s
.02381 .53309 m
.02756 .53309 L
s
.02381 .5543 m
.02756 .5543 L
s
.02381 .02423 m
.02756 .02423 L
s
.02381 .00303 m
.02756 .00303 L
s
.02381 .5967 m
.02756 .5967 L
s
.02381 .6179 m
.02756 .6179 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
[(5)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .25747 m
0 0 rlineto s
.02381 .25747 m
.02659 .61803 L
s
.06062 .61803 m
.06244 .3342 L
s
.06244 .3342 m
.06457 0 L
s
.09998 0 m
.10458 .58713 L
s
.10458 .58713 m
.10486 .61803 L
s
.13573 .61803 m
.13844 .41728 L
.14269 .14032 L
.14495 .01841 L
s
.14495 .01841 m
.14537 0 L
s
.16949 0 m
.17155 .05777 L
.17674 .19607 L
.17958 .25966 L
.18223 .30848 L
.18453 .34177 L
.187 .36792 L
.1884 .37849 L
.1891 .38259 L
.18974 .38576 L
.19093 .39013 L
.19224 .3927 L
.19333 .39323 L
.19436 .39247 L
.19549 .39038 L
.1967 .38678 L
.19791 .382 L
.19918 .37585 L
.20145 .3626 L
.21151 .29275 L
.2144 .27533 L
.21714 .26154 L
.2196 .25164 L
.22097 .24713 L
.22226 .24357 L
.2235 .24075 L
.22463 .23865 L
.22589 .23683 L
.22659 .23604 L
.22724 .23544 L
.22853 .23462 L
.22922 .23437 L
.22995 .23423 L
.23064 .23421 L
.23129 .23429 L
.23252 .23468 L
.23367 .23529 L
.23489 .23616 L
.23706 .23816 L
.24198 .24387 L
.24691 .24978 L
.25158 .25447 L
.25578 .25751 L
.25815 .25873 L
.25928 .25919 L
.26034 .25955 L
.26148 .25988 L
.26253 .26011 L
.26369 .26031 L
.26494 .26046 L
Mistroke
.26608 .26055 L
.26732 .26059 L
.26862 .26058 L
.26983 .26054 L
.27046 .2605 L
.27115 .26045 L
.2724 .26034 L
.27474 .26008 L
.27999 .25938 L
.28463 .2588 L
.28716 .25853 L
.28954 .25832 L
.29172 .25817 L
.29372 .25806 L
.29595 .25797 L
.29717 .25793 L
.29833 .2579 L
.29958 .25788 L
.30029 .25787 L
.30093 .25787 L
.30212 .25786 L
.30338 .25786 L
.30451 .25786 L
.30556 .25787 L
.30672 .25787 L
.30795 .25789 L
.31331 .25796 L
.31819 .25803 L
.32273 .2581 L
.32765 .25815 L
.3366 .25823 L
.34147 .25826 L
.34603 .25828 L
.35642 .25834 L
.37745 .25846 L
.41621 .25872 L
.45742 .25903 L
.49712 .25935 L
.5353 .25965 L
.57593 .25996 L
.61505 .26021 L
.63501 .26032 L
.65662 .26043 L
.67748 .26051 L
.6874 .26054 L
.69667 .26056 L
.70575 .26058 L
.71549 .26059 L
.72104 .2606 L
.72377 .2606 L
Mistroke
.72629 .2606 L
.72854 .2606 L
.73101 .2606 L
.7323 .26061 L
.7335 .26061 L
.73477 .26061 L
.73549 .26061 L
.73615 .26061 L
.73742 .26061 L
.73863 .26061 L
.73971 .26061 L
.74088 .26061 L
.74216 .26061 L
.74352 .26061 L
.74594 .2606 L
.74819 .2606 L
.75029 .2606 L
.75506 .2606 L
.76027 .26059 L
.76504 .26059 L
.77576 .26057 L
.78562 .26054 L
.79477 .26052 L
.81551 .26044 L
.85468 .26025 L
.8963 .25998 L
.93641 .25968 L
.975 .25938 L
.97619 .25937 L
Mfstroke
0 1 0 r
.02381 .2575 m
.04262 .25751 L
.06244 .25752 L
.08426 .25753 L
.10458 .25755 L
.14264 .2576 L
.18163 .25767 L
.22307 .25777 L
.263 .25789 L
.30142 .25805 L
.34228 .25825 L
.38164 .25849 L
.41947 .25875 L
.45976 .25905 L
.49853 .25936 L
.53975 .25968 L
.57946 .25998 L
.61766 .26023 L
.63897 .26035 L
.6583 .26043 L
.67845 .26051 L
.69743 .26056 L
.70719 .26058 L
.71253 .26059 L
.71751 .26059 L
.72176 .2606 L
.72632 .2606 L
.72891 .2606 L
.73137 .2606 L
.73244 .26061 L
.73358 .26061 L
.73483 .26061 L
.73598 .26061 L
.73712 .26061 L
.73836 .26061 L
.73966 .26061 L
.74087 .26061 L
.74201 .26061 L
.74304 .26061 L
.74535 .2606 L
.74785 .2606 L
.75055 .2606 L
.75545 .2606 L
.76007 .26059 L
.76496 .26059 L
.77373 .26057 L
.78317 .26055 L
.79331 .26052 L
.81162 .26046 L
.8529 .26026 L
Mistroke
.89266 .26001 L
.9309 .25973 L
.9716 .25941 L
.97619 .25937 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.678571 0.0197734 0.97619 0.203712 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.257512 51471.5 [
[.2619 .24501 -3 -9 ]
[.2619 .24501 3 0 ]
[.5 .24501 -3 -9 ]
[.5 .24501 3 0 ]
[.7381 .24501 -3 -9 ]
[.7381 .24501 3 0 ]
[.97619 .24501 -3 -9 ]
[.97619 .24501 3 0 ]
[.01131 .05163 -39 -6.25 ]
[.01131 .05163 0 6.25 ]
[.01131 .15457 -39 -6.25 ]
[.01131 .15457 0 6.25 ]
[.01131 .36046 -33 -6.25 ]
[.01131 .36046 0 6.25 ]
[.01131 .4634 -33 -6.25 ]
[.01131 .4634 0 6.25 ]
[.01131 .56634 -33 -6.25 ]
[.01131 .56634 0 6.25 ]
[.5 .63053 -3 0 ]
[.5 .63053 3 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2619 .25751 m
.2619 .26376 L
s
[(2)] .2619 .24501 0 1 Mshowa
.5 .25751 m
.5 .26376 L
s
[(4)] .5 .24501 0 1 Mshowa
.7381 .25751 m
.7381 .26376 L
s
[(6)] .7381 .24501 0 1 Mshowa
.97619 .25751 m
.97619 .26376 L
s
[(8)] .97619 .24501 0 1 Mshowa
.125 Mabswid
.08333 .25751 m
.08333 .26126 L
s
.14286 .25751 m
.14286 .26126 L
s
.20238 .25751 m
.20238 .26126 L
s
.32143 .25751 m
.32143 .26126 L
s
.38095 .25751 m
.38095 .26126 L
s
.44048 .25751 m
.44048 .26126 L
s
.55952 .25751 m
.55952 .26126 L
s
.61905 .25751 m
.61905 .26126 L
s
.67857 .25751 m
.67857 .26126 L
s
.79762 .25751 m
.79762 .26126 L
s
.85714 .25751 m
.85714 .26126 L
s
.91667 .25751 m
.91667 .26126 L
s
.25 Mabswid
0 .25751 m
1 .25751 L
s
.02381 .05163 m
.03006 .05163 L
s
gsave
.01131 .05163 -39 -4.25 Mabsadd m
1 1 Mabs scale
/Courier findfont 10 scalefont setfont
(-4) show
/Math1Mono findfont 10 scalefont setfont
(\\264) show
/Courier findfont 10 scalefont setfont
(10) show
0 5.25 rmoveto
/Courier findfont 7.5 scalefont setfont
(-6) show
grestore
.02381 .15457 m
.03006 .15457 L
s
gsave
.01131 .15457 -39 -4.25 Mabsadd m
1 1 Mabs scale
/Courier findfont 10 scalefont setfont
(-2) show
/Math1Mono findfont 10 scalefont setfont
(\\264) show
/Courier findfont 10 scalefont setfont
(10) show
0 5.25 rmoveto
/Courier findfont 7.5 scalefont setfont
(-6) show
grestore
.02381 .36046 m
.03006 .36046 L
s
gsave
.01131 .36046 -33 -4.25 Mabsadd m
1 1 Mabs scale
/Courier findfont 10 scalefont setfont
(2) show
/Math1Mono findfont 10 scalefont setfont
(\\264) show
/Courier findfont 10 scalefont setfont
(10) show
0 5.25 rmoveto
/Courier findfont 7.5 scalefont setfont
(-6) show
grestore
.02381 .4634 m
.03006 .4634 L
s
gsave
.01131 .4634 -33 -4.25 Mabsadd m
1 1 Mabs scale
/Courier findfont 10 scalefont setfont
(4) show
/Math1Mono findfont 10 scalefont setfont
(\\264) show
/Courier findfont 10 scalefont setfont
(10) show
0 5.25 rmoveto
/Courier findfont 7.5 scalefont setfont
(-6) show
grestore
.02381 .56634 m
.03006 .56634 L
s
gsave
.01131 .56634 -33 -4.25 Mabsadd m
1 1 Mabs scale
/Courier findfont 10 scalefont setfont
(6) show
/Math1Mono findfont 10 scalefont setfont
(\\264) show
/Courier findfont 10 scalefont setfont
(10) show
0 5.25 rmoveto
/Courier findfont 7.5 scalefont setfont
(-6) show
grestore
.125 Mabswid
.02381 .07736 m
.02756 .07736 L
s
.02381 .1031 m
.02756 .1031 L
s
.02381 .12883 m
.02756 .12883 L
s
.02381 .1803 m
.02756 .1803 L
s
.02381 .20604 m
.02756 .20604 L
s
.02381 .23178 m
.02756 .23178 L
s
.02381 .28325 m
.02756 .28325 L
s
.02381 .30898 m
.02756 .30898 L
s
.02381 .33472 m
.02756 .33472 L
s
.02381 .38619 m
.02756 .38619 L
s
.02381 .41193 m
.02756 .41193 L
s
.02381 .43766 m
.02756 .43766 L
s
.02381 .48913 m
.02756 .48913 L
s
.02381 .51487 m
.02756 .51487 L
s
.02381 .54061 m
.02756 .54061 L
s
.02381 .02589 m
.02756 .02589 L
s
.02381 .00015 m
.02756 .00015 L
s
.02381 .59208 m
.02756 .59208 L
s
.02381 .61781 m
.02756 .61781 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
[(6)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .25754 m
0 0 rlineto s
.02381 .25754 m
.02439 .61803 L
s
.05541 .61803 m
.05622 0 L
s
.08767 0 m
.08852 .61803 L
s
.11937 .61803 m
.12014 .2237 L
s
.12014 .2237 m
.12061 0 L
s
.15115 0 m
.15326 .53846 L
s
.15326 .53846 m
.15365 .61803 L
s
.18044 .61803 m
.18214 .43347 L
.18458 .20786 L
.18716 .01366 L
s
.18716 .01366 m
.18739 0 L
s
.20753 0 m
.21154 .13575 L
.21625 .26571 L
.21753 .29333 L
.21891 .31856 L
.22011 .33703 L
.22138 .35293 L
.22269 .36561 L
.2239 .37401 L
.2252 .3798 L
.22594 .38169 L
.22663 .38259 L
.22787 .38229 L
.22901 .38005 L
.23032 .37544 L
.23157 .36939 L
.23599 .33908 L
.2408 .30105 L
.24606 .26593 L
.24872 .2531 L
.25023 .24744 L
.25165 .24319 L
.25288 .24032 L
.25417 .23805 L
.25528 .23668 L
.25648 .23574 L
.25779 .23531 L
.25851 .23531 L
.25918 .23544 L
.26047 .23602 L
.26169 .23691 L
.27052 .24807 L
.27286 .2511 L
.2754 .254 L
.27763 .25611 L
.28002 .25787 L
.2815 .25871 L
.28284 .25932 L
.28419 .25978 L
.28546 .2601 L
.28671 .26031 L
.28785 .26042 L
.28911 .26046 L
.28974 .26046 L
.29043 .26043 L
.29171 .26034 L
.29287 .26022 L
.29547 .25984 L
.30017 .259 L
.30507 .25819 L
Mistroke
.30784 .25783 L
.31039 .25759 L
.31263 .25743 L
.3139 .25737 L
.31509 .25732 L
.31634 .25728 L
.31748 .25726 L
.31881 .25724 L
.32006 .25724 L
.32074 .25724 L
.32139 .25724 L
.32259 .25725 L
.32388 .25726 L
.32528 .25728 L
.33012 .25737 L
.33287 .25741 L
.3358 .25746 L
.33853 .25749 L
.34111 .25752 L
.34349 .25753 L
.34483 .25754 L
.34608 .25754 L
.34712 .25755 L
.34827 .25755 L
.34948 .25755 L
.35061 .25755 L
.35188 .25755 L
.35253 .25755 L
.35323 .25755 L
.35447 .25755 L
.35563 .25755 L
.36104 .25754 L
.36355 .25754 L
.36628 .25754 L
.36885 .25753 L
.37122 .25753 L
.37254 .25753 L
.37399 .25753 L
.37472 .25753 L
.3755 .25753 L
.37624 .25753 L
.37692 .25753 L
.37819 .25753 L
.37891 .25753 L
.37958 .25753 L
.3808 .25753 L
.3821 .25753 L
.38335 .25753 L
.38471 .25753 L
.38747 .25753 L
Mistroke
.39241 .25753 L
.40354 .25754 L
.42372 .25754 L
.46419 .25754 L
.50314 .25755 L
.54454 .25756 L
.58442 .25756 L
.62279 .25757 L
.64221 .25757 L
.66361 .25757 L
.6839 .25757 L
.69299 .25757 L
.70292 .25757 L
.71277 .25757 L
.71814 .25757 L
.72313 .25757 L
.72555 .25757 L
.72783 .25757 L
.7299 .25757 L
.73209 .25757 L
.73323 .25757 L
.73448 .25757 L
.73561 .25757 L
.73668 .25757 L
.73793 .25757 L
.73907 .25757 L
.74039 .25757 L
.74165 .25757 L
.74278 .25757 L
.74401 .25757 L
.74622 .25757 L
.74886 .25757 L
.75128 .25757 L
.75627 .25757 L
.76152 .25757 L
.77031 .25757 L
.77993 .25757 L
.79951 .25757 L
.82045 .25757 L
.8619 .25757 L
.90184 .25756 L
.94026 .25756 L
.97619 .25755 L
Mfstroke
0 1 0 r
.02381 .25751 m
.04262 .25751 L
.06244 .25751 L
.08426 .25751 L
.10458 .25751 L
.14264 .25751 L
.18163 .25752 L
.22307 .25752 L
.263 .25752 L
.30142 .25752 L
.34228 .25753 L
.38164 .25753 L
.41947 .25754 L
.45976 .25754 L
.49853 .25755 L
.53975 .25756 L
.57946 .25756 L
.61766 .25757 L
.63897 .25757 L
.6583 .25757 L
.67845 .25757 L
.69743 .25757 L
.70719 .25757 L
.71253 .25757 L
.71751 .25757 L
.72176 .25757 L
.72632 .25757 L
.72891 .25757 L
.73137 .25757 L
.73244 .25757 L
.73358 .25757 L
.73483 .25757 L
.73598 .25757 L
.73712 .25757 L
.73836 .25757 L
.73966 .25757 L
.74087 .25757 L
.74201 .25757 L
.74304 .25757 L
.74535 .25757 L
.74785 .25757 L
.75055 .25757 L
.75545 .25757 L
.76007 .25757 L
.76496 .25757 L
.77373 .25757 L
.78317 .25757 L
.79331 .25757 L
.81162 .25757 L
.8529 .25757 L
Mistroke
.89266 .25756 L
.9309 .25756 L
.9716 .25755 L
.97619 .25755 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.0238095 0.222106 0.321429 0.406045 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.0147151 12.195 [
[.2619 .00222 -3 -9 ]
[.2619 .00222 3 0 ]
[.5 .00222 -3 -9 ]
[.5 .00222 3 0 ]
[.7381 .00222 -3 -9 ]
[.7381 .00222 3 0 ]
[.97619 .00222 -3 -9 ]
[.97619 .00222 3 0 ]
[.01131 .13666 -24 -4.5 ]
[.01131 .13666 0 4.5 ]
[.01131 .25861 -24 -4.5 ]
[.01131 .25861 0 4.5 ]
[.01131 .38056 -24 -4.5 ]
[.01131 .38056 0 4.5 ]
[.01131 .50251 -24 -4.5 ]
[.01131 .50251 0 4.5 ]
[.5 .63053 -3 0 ]
[.5 .63053 3 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2619 .01472 m
.2619 .02097 L
s
[(2)] .2619 .00222 0 1 Mshowa
.5 .01472 m
.5 .02097 L
s
[(4)] .5 .00222 0 1 Mshowa
.7381 .01472 m
.7381 .02097 L
s
[(6)] .7381 .00222 0 1 Mshowa
.97619 .01472 m
.97619 .02097 L
s
[(8)] .97619 .00222 0 1 Mshowa
.125 Mabswid
.08333 .01472 m
.08333 .01847 L
s
.14286 .01472 m
.14286 .01847 L
s
.20238 .01472 m
.20238 .01847 L
s
.32143 .01472 m
.32143 .01847 L
s
.38095 .01472 m
.38095 .01847 L
s
.44048 .01472 m
.44048 .01847 L
s
.55952 .01472 m
.55952 .01847 L
s
.61905 .01472 m
.61905 .01847 L
s
.67857 .01472 m
.67857 .01847 L
s
.79762 .01472 m
.79762 .01847 L
s
.85714 .01472 m
.85714 .01847 L
s
.91667 .01472 m
.91667 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .13666 m
.03006 .13666 L
s
[(0.01)] .01131 .13666 1 0 Mshowa
.02381 .25861 m
.03006 .25861 L
s
[(0.02)] .01131 .25861 1 0 Mshowa
.02381 .38056 m
.03006 .38056 L
s
[(0.03)] .01131 .38056 1 0 Mshowa
.02381 .50251 m
.03006 .50251 L
s
[(0.04)] .01131 .50251 1 0 Mshowa
.125 Mabswid
.02381 .03911 m
.02756 .03911 L
s
.02381 .06349 m
.02756 .06349 L
s
.02381 .08788 m
.02756 .08788 L
s
.02381 .11227 m
.02756 .11227 L
s
.02381 .16105 m
.02756 .16105 L
s
.02381 .18544 m
.02756 .18544 L
s
.02381 .20983 m
.02756 .20983 L
s
.02381 .23422 m
.02756 .23422 L
s
.02381 .283 m
.02756 .283 L
s
.02381 .30739 m
.02756 .30739 L
s
.02381 .33178 m
.02756 .33178 L
s
.02381 .35617 m
.02756 .35617 L
s
.02381 .40495 m
.02756 .40495 L
s
.02381 .42934 m
.02756 .42934 L
s
.02381 .45373 m
.02756 .45373 L
s
.02381 .47812 m
.02756 .47812 L
s
.02381 .5269 m
.02756 .5269 L
s
.02381 .55129 m
.02756 .55129 L
s
.02381 .57568 m
.02756 .57568 L
s
.02381 .60007 m
.02756 .60007 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
[(1)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .01472 m
.06244 .02254 L
.10458 .03284 L
.14415 .04221 L
.18221 .05375 L
.20178 .06148 L
.22272 .07133 L
.26416 .0959 L
.30409 .12648 L
.34251 .16276 L
.38337 .20873 L
.42272 .25953 L
.46056 .3131 L
.50085 .37299 L
.53962 .43056 L
.58084 .48798 L
.62055 .53579 L
.65874 .57152 L
.67842 .58512 L
.68934 .59111 L
.69939 .59559 L
.70967 .59914 L
.71509 .60058 L
.7208 .60177 L
.7232 .60217 L
.72577 .60253 L
.728 .60279 L
.73042 .60301 L
.73189 .60312 L
.73325 .6032 L
.73455 .60325 L
.73521 .60328 L
.73594 .60329 L
.73719 .60331 L
.73789 .60332 L
.73853 .60332 L
.73972 .60331 L
.74097 .60328 L
.74221 .60323 L
.74354 .60317 L
.74597 .603 L
.74834 .60277 L
.75052 .60252 L
.75547 .60175 L
.76071 .60067 L
.76946 .59823 L
.77908 .59466 L
.79853 .58466 L
.81942 .56997 L
.8607 .53024 L
Mistroke
.90046 .48121 L
.9387 .42745 L
.97619 .37172 L
Mfstroke
0 1 0 r
.02381 .02125 m
.04262 .02298 L
.06244 .02522 L
.08426 .02828 L
.10458 .0318 L
.14264 .04052 L
.18163 .05306 L
.22307 .07144 L
.263 .09511 L
.30142 .12421 L
.34228 .16253 L
.38164 .20663 L
.41947 .25512 L
.45976 .31193 L
.49853 .36952 L
.53975 .43076 L
.57946 .48616 L
.61766 .53263 L
.63897 .55446 L
.6583 .57118 L
.67845 .58514 L
.69743 .5948 L
.70719 .59838 L
.71253 .59994 L
.71751 .60112 L
.72176 .60194 L
.72632 .6026 L
.72891 .60288 L
.73137 .60308 L
.73244 .60315 L
.73358 .60321 L
.73483 .60326 L
.73598 .6033 L
.73712 .60331 L
.73836 .60332 L
.73966 .60331 L
.74087 .60328 L
.74201 .60324 L
.74304 .60319 L
.74535 .60305 L
.74785 .60283 L
.75055 .60251 L
.75545 .60176 L
.76007 .60082 L
.76496 .59958 L
.77373 .59676 L
.78317 .59287 L
.79331 .5877 L
.81162 .57591 L
.8529 .53873 L
Mistroke
.89266 .49149 L
.9309 .43877 L
.9716 .3786 L
.97619 .37172 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.35119 0.222106 0.64881 0.406045 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.0147151 54.654 [
[.2619 .00222 -3 -9 ]
[.2619 .00222 3 0 ]
[.5 .00222 -3 -9 ]
[.5 .00222 3 0 ]
[.7381 .00222 -3 -9 ]
[.7381 .00222 3 0 ]
[.97619 .00222 -3 -9 ]
[.97619 .00222 3 0 ]
[.01131 .12402 -30 -4.5 ]
[.01131 .12402 0 4.5 ]
[.01131 .23333 -30 -4.5 ]
[.01131 .23333 0 4.5 ]
[.01131 .34264 -30 -4.5 ]
[.01131 .34264 0 4.5 ]
[.01131 .45195 -30 -4.5 ]
[.01131 .45195 0 4.5 ]
[.01131 .56126 -24 -4.5 ]
[.01131 .56126 0 4.5 ]
[.5 .63053 -3 0 ]
[.5 .63053 3 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2619 .01472 m
.2619 .02097 L
s
[(2)] .2619 .00222 0 1 Mshowa
.5 .01472 m
.5 .02097 L
s
[(4)] .5 .00222 0 1 Mshowa
.7381 .01472 m
.7381 .02097 L
s
[(6)] .7381 .00222 0 1 Mshowa
.97619 .01472 m
.97619 .02097 L
s
[(8)] .97619 .00222 0 1 Mshowa
.125 Mabswid
.08333 .01472 m
.08333 .01847 L
s
.14286 .01472 m
.14286 .01847 L
s
.20238 .01472 m
.20238 .01847 L
s
.32143 .01472 m
.32143 .01847 L
s
.38095 .01472 m
.38095 .01847 L
s
.44048 .01472 m
.44048 .01847 L
s
.55952 .01472 m
.55952 .01847 L
s
.61905 .01472 m
.61905 .01847 L
s
.67857 .01472 m
.67857 .01847 L
s
.79762 .01472 m
.79762 .01847 L
s
.85714 .01472 m
.85714 .01847 L
s
.91667 .01472 m
.91667 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .12402 m
.03006 .12402 L
s
[(0.002)] .01131 .12402 1 0 Mshowa
.02381 .23333 m
.03006 .23333 L
s
[(0.004)] .01131 .23333 1 0 Mshowa
.02381 .34264 m
.03006 .34264 L
s
[(0.006)] .01131 .34264 1 0 Mshowa
.02381 .45195 m
.03006 .45195 L
s
[(0.008)] .01131 .45195 1 0 Mshowa
.02381 .56126 m
.03006 .56126 L
s
[(0.01)] .01131 .56126 1 0 Mshowa
.125 Mabswid
.02381 .04204 m
.02756 .04204 L
s
.02381 .06937 m
.02756 .06937 L
s
.02381 .0967 m
.02756 .0967 L
s
.02381 .15135 m
.02756 .15135 L
s
.02381 .17868 m
.02756 .17868 L
s
.02381 .206 m
.02756 .206 L
s
.02381 .26066 m
.02756 .26066 L
s
.02381 .28799 m
.02756 .28799 L
s
.02381 .31531 m
.02756 .31531 L
s
.02381 .36997 m
.02756 .36997 L
s
.02381 .39729 m
.02756 .39729 L
s
.02381 .42462 m
.02756 .42462 L
s
.02381 .47927 m
.02756 .47927 L
s
.02381 .5066 m
.02756 .5066 L
s
.02381 .53393 m
.02756 .53393 L
s
.02381 .58858 m
.02756 .58858 L
s
.02381 .61591 m
.02756 .61591 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
[(2)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .01472 m
.04262 .02888 L
.0522 .03633 L
.06244 .04307 L
.0679 .04583 L
.07286 .04773 L
.07525 .04843 L
.07784 .04903 L
.07903 .04925 L
.08029 .04944 L
.08145 .04959 L
.08255 .0497 L
.0832 .04975 L
.08392 .0498 L
.08516 .04985 L
.08586 .04987 L
.08662 .04987 L
.08732 .04986 L
.08797 .04985 L
.08922 .0498 L
.08993 .04975 L
.09058 .0497 L
.09304 .04946 L
.09571 .04907 L
.09865 .04854 L
.10458 .04719 L
.1146 .04455 L
.12409 .04235 L
.12933 .04147 L
.13077 .04129 L
.13229 .04112 L
.13361 .041 L
.13503 .0409 L
.13631 .04083 L
.13747 .04079 L
.13859 .04077 L
.13977 .04076 L
.14107 .04078 L
.14227 .04082 L
.14359 .04088 L
.145 .04098 L
.14759 .04123 L
.15033 .04159 L
.15525 .04248 L
.16053 .04375 L
.16635 .04549 L
.1865 .05337 L
.22684 .07328 L
.26567 .09694 L
.30694 .12894 L
Mistroke
.3467 .16713 L
.38495 .21065 L
.42565 .26353 L
.46483 .31935 L
.50646 .38141 L
.54658 .44064 L
.58518 .49363 L
.62624 .54182 L
.6467 .56151 L
.66578 .57679 L
.68414 .5884 L
.69436 .59347 L
.7038 .59725 L
.714 .60031 L
.71938 .6015 L
.72213 .602 L
.72508 .60244 L
.72766 .60275 L
.73003 .60298 L
.73228 .60314 L
.73342 .60321 L
.73466 .60326 L
.73537 .60328 L
.73605 .6033 L
.73731 .60332 L
.73801 .60332 L
.73866 .60332 L
.73938 .60331 L
.74013 .6033 L
.74138 .60326 L
.74255 .60322 L
.74384 .60315 L
.74522 .60306 L
.74777 .60283 L
.75049 .60252 L
.75537 .60177 L
.76063 .60069 L
.76643 .59917 L
.7768 .59559 L
.78654 .59126 L
.8067 .57938 L
.8252 .56522 L
.86479 .52562 L
.90287 .47798 L
.9434 .42057 L
.97619 .37172 L
Mfstroke
0 1 0 r
.02381 .02125 m
.04262 .02298 L
.06244 .02522 L
.08426 .02828 L
.10458 .0318 L
.14264 .04052 L
.18163 .05306 L
.22307 .07144 L
.263 .09511 L
.30142 .12421 L
.34228 .16253 L
.38164 .20663 L
.41947 .25512 L
.45976 .31193 L
.49853 .36952 L
.53975 .43076 L
.57946 .48616 L
.61766 .53263 L
.63897 .55446 L
.6583 .57118 L
.67845 .58514 L
.69743 .5948 L
.70719 .59838 L
.71253 .59994 L
.71751 .60112 L
.72176 .60194 L
.72632 .6026 L
.72891 .60288 L
.73137 .60308 L
.73244 .60315 L
.73358 .60321 L
.73483 .60326 L
.73598 .6033 L
.73712 .60331 L
.73836 .60332 L
.73966 .60331 L
.74087 .60328 L
.74201 .60324 L
.74304 .60319 L
.74535 .60305 L
.74785 .60283 L
.75055 .60251 L
.75545 .60176 L
.76007 .60082 L
.76496 .59958 L
.77373 .59676 L
.78317 .59287 L
.79331 .5877 L
.81162 .57591 L
.8529 .53873 L
Mistroke
.89266 .49149 L
.9309 .43877 L
.9716 .3786 L
.97619 .37172 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.678571 0.222106 0.97619 0.406045 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.0909599 579.575 [
[.2619 .07846 -3 -9 ]
[.2619 .07846 3 0 ]
[.5 .07846 -3 -9 ]
[.5 .07846 3 0 ]
[.7381 .07846 -3 -9 ]
[.7381 .07846 3 0 ]
[.97619 .07846 -3 -9 ]
[.97619 .07846 3 0 ]
[.01131 .20687 -36 -4.5 ]
[.01131 .20687 0 4.5 ]
[.01131 .32279 -36 -4.5 ]
[.01131 .32279 0 4.5 ]
[.01131 .4387 -36 -4.5 ]
[.01131 .4387 0 4.5 ]
[.01131 .55462 -36 -4.5 ]
[.01131 .55462 0 4.5 ]
[.5 .63053 -3 0 ]
[.5 .63053 3 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2619 .09096 m
.2619 .09721 L
s
[(2)] .2619 .07846 0 1 Mshowa
.5 .09096 m
.5 .09721 L
s
[(4)] .5 .07846 0 1 Mshowa
.7381 .09096 m
.7381 .09721 L
s
[(6)] .7381 .07846 0 1 Mshowa
.97619 .09096 m
.97619 .09721 L
s
[(8)] .97619 .07846 0 1 Mshowa
.125 Mabswid
.08333 .09096 m
.08333 .09471 L
s
.14286 .09096 m
.14286 .09471 L
s
.20238 .09096 m
.20238 .09471 L
s
.32143 .09096 m
.32143 .09471 L
s
.38095 .09096 m
.38095 .09471 L
s
.44048 .09096 m
.44048 .09471 L
s
.55952 .09096 m
.55952 .09471 L
s
.61905 .09096 m
.61905 .09471 L
s
.67857 .09096 m
.67857 .09471 L
s
.79762 .09096 m
.79762 .09471 L
s
.85714 .09096 m
.85714 .09471 L
s
.91667 .09096 m
.91667 .09471 L
s
.25 Mabswid
0 .09096 m
1 .09096 L
s
.02381 .20687 m
.03006 .20687 L
s
[(0.0002)] .01131 .20687 1 0 Mshowa
.02381 .32279 m
.03006 .32279 L
s
[(0.0004)] .01131 .32279 1 0 Mshowa
.02381 .4387 m
.03006 .4387 L
s
[(0.0006)] .01131 .4387 1 0 Mshowa
.02381 .55462 m
.03006 .55462 L
s
[(0.0008)] .01131 .55462 1 0 Mshowa
.125 Mabswid
.02381 .11994 m
.02756 .11994 L
s
.02381 .14892 m
.02756 .14892 L
s
.02381 .1779 m
.02756 .1779 L
s
.02381 .23585 m
.02756 .23585 L
s
.02381 .26483 m
.02756 .26483 L
s
.02381 .29381 m
.02756 .29381 L
s
.02381 .35177 m
.02756 .35177 L
s
.02381 .38075 m
.02756 .38075 L
s
.02381 .40973 m
.02756 .40973 L
s
.02381 .46768 m
.02756 .46768 L
s
.02381 .49666 m
.02756 .49666 L
s
.02381 .52564 m
.02756 .52564 L
s
.02381 .06198 m
.02756 .06198 L
s
.02381 .033 m
.02756 .033 L
s
.02381 .00402 m
.02756 .00402 L
s
.02381 .5836 m
.02756 .5836 L
s
.02381 .61258 m
.02756 .61258 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
[(3)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .09096 m
.03279 .15737 L
.04262 .2288 L
.04758 .25787 L
.0503 .27061 L
.05288 .28017 L
.05528 .2867 L
.05664 .28932 L
.05789 .29104 L
.05894 .29196 L
.0601 .29241 L
.06131 .29225 L
.06244 .29152 L
.0631 .29084 L
.06379 .28992 L
.06504 .28774 L
.06653 .28428 L
.06788 .28036 L
.07054 .27055 L
.07305 .25897 L
.08274 .19792 L
.09336 .11946 L
.09916 .08072 L
.10458 .05122 L
.1092 .03258 L
.11179 .02501 L
.11415 .01993 L
.11549 .01782 L
.11674 .01635 L
.11738 .01577 L
.1181 .01527 L
.11885 .01491 L
.11955 .01472 L
.12083 .01472 L
.12201 .0151 L
.1233 .01594 L
.12395 .01651 L
.12466 .01726 L
.12708 .02065 L
.12928 .02475 L
.13423 .03682 L
.14313 .06427 L
.15245 .09329 L
.15755 .10687 L
.16232 .11738 L
.16747 .12618 L
.1702 .12978 L
.17314 .13288 L
.17581 .13508 L
.17835 .13667 L
Mistroke
.18063 .13774 L
.18311 .13856 L
.18445 .13888 L
.18567 .1391 L
.18702 .13928 L
.1877 .13935 L
.18844 .13941 L
.1897 .13947 L
.1904 .13949 L
.19104 .13949 L
.19228 .13949 L
.19346 .13946 L
.19459 .13941 L
.19579 .13935 L
.19795 .13923 L
.20049 .13907 L
.20282 .13896 L
.20403 .13892 L
.20531 .13889 L
.20658 .13888 L
.2073 .13888 L
.20798 .1389 L
.2092 .13893 L
.21031 .13898 L
.2116 .13907 L
.21281 .13917 L
.21556 .13951 L
.21809 .13994 L
.22087 .14054 L
.22381 .14131 L
.23327 .14471 L
.24342 .14951 L
.26175 .15988 L
.30308 .18751 L
.34289 .22017 L
.38119 .25755 L
.42194 .30314 L
.46117 .35147 L
.49889 .40027 L
.53906 .45223 L
.57772 .49933 L
.61882 .5429 L
.63933 .56108 L
.65842 .57542 L
.67799 .58725 L
.69649 .59556 L
.70629 .59877 L
.71146 .60012 L
.71693 .6013 L
.72152 .60208 L
Mistroke
.72397 .60242 L
.72659 .60272 L
.72899 .60294 L
.73119 .6031 L
.73225 .60316 L
.7334 .60322 L
.73449 .60326 L
.73551 .60329 L
.73679 .60331 L
.73744 .60332 L
.73815 .60332 L
.73941 .60331 L
.74059 .60329 L
.7413 .60327 L
.74198 .60325 L
.74324 .6032 L
.7446 .60313 L
.74608 .60303 L
.74859 .60282 L
.75126 .60254 L
.75604 .60187 L
.76061 .60103 L
.76489 .60008 L
.77466 .59731 L
.7845 .59368 L
.79485 .58897 L
.81336 .57835 L
.85149 .54838 L
.89207 .50664 L
.93114 .45979 L
.97265 .40634 L
.97619 .40172 L
Mfstroke
0 1 0 r
.02381 .09665 m
.04262 .09815 L
.06244 .1001 L
.08426 .10276 L
.10458 .10583 L
.14264 .11342 L
.18163 .12434 L
.22307 .14034 L
.263 .16094 L
.30142 .18627 L
.34228 .21963 L
.38164 .25802 L
.41947 .30023 L
.45976 .34968 L
.49853 .3998 L
.53975 .45311 L
.57946 .50134 L
.61766 .54179 L
.63897 .56079 L
.6583 .57534 L
.67845 .58749 L
.69743 .5959 L
.70719 .59902 L
.71253 .60037 L
.71751 .60141 L
.72176 .60211 L
.72632 .60269 L
.72891 .60294 L
.73137 .60311 L
.73244 .60317 L
.73358 .60323 L
.73483 .60327 L
.73598 .6033 L
.73712 .60331 L
.73836 .60332 L
.73966 .60331 L
.74087 .60328 L
.74201 .60325 L
.74304 .60321 L
.74535 .60308 L
.74785 .60289 L
.75055 .60262 L
.75545 .60196 L
.76007 .60114 L
.76496 .60007 L
.77373 .59761 L
.78317 .59422 L
.79331 .58973 L
.81162 .57946 L
.8529 .54709 L
Mistroke
.89266 .50598 L
.9309 .46009 L
.9716 .40771 L
.97619 .40172 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.0238095 0.424439 0.321429 0.608377 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.0147151 54.654 [
[.2619 .00222 -3 -9 ]
[.2619 .00222 3 0 ]
[.5 .00222 -3 -9 ]
[.5 .00222 3 0 ]
[.7381 .00222 -3 -9 ]
[.7381 .00222 3 0 ]
[.97619 .00222 -3 -9 ]
[.97619 .00222 3 0 ]
[.01131 .12402 -30 -4.5 ]
[.01131 .12402 0 4.5 ]
[.01131 .23333 -30 -4.5 ]
[.01131 .23333 0 4.5 ]
[.01131 .34264 -30 -4.5 ]
[.01131 .34264 0 4.5 ]
[.01131 .45195 -30 -4.5 ]
[.01131 .45195 0 4.5 ]
[.01131 .56126 -24 -4.5 ]
[.01131 .56126 0 4.5 ]
[.5 .63053 -6 0 ]
[.5 .63053 6 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2619 .01472 m
.2619 .02097 L
s
[(2)] .2619 .00222 0 1 Mshowa
.5 .01472 m
.5 .02097 L
s
[(4)] .5 .00222 0 1 Mshowa
.7381 .01472 m
.7381 .02097 L
s
[(6)] .7381 .00222 0 1 Mshowa
.97619 .01472 m
.97619 .02097 L
s
[(8)] .97619 .00222 0 1 Mshowa
.125 Mabswid
.08333 .01472 m
.08333 .01847 L
s
.14286 .01472 m
.14286 .01847 L
s
.20238 .01472 m
.20238 .01847 L
s
.32143 .01472 m
.32143 .01847 L
s
.38095 .01472 m
.38095 .01847 L
s
.44048 .01472 m
.44048 .01847 L
s
.55952 .01472 m
.55952 .01847 L
s
.61905 .01472 m
.61905 .01847 L
s
.67857 .01472 m
.67857 .01847 L
s
.79762 .01472 m
.79762 .01847 L
s
.85714 .01472 m
.85714 .01847 L
s
.91667 .01472 m
.91667 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .12402 m
.03006 .12402 L
s
[(0.002)] .01131 .12402 1 0 Mshowa
.02381 .23333 m
.03006 .23333 L
s
[(0.004)] .01131 .23333 1 0 Mshowa
.02381 .34264 m
.03006 .34264 L
s
[(0.006)] .01131 .34264 1 0 Mshowa
.02381 .45195 m
.03006 .45195 L
s
[(0.008)] .01131 .45195 1 0 Mshowa
.02381 .56126 m
.03006 .56126 L
s
[(0.01)] .01131 .56126 1 0 Mshowa
.125 Mabswid
.02381 .04204 m
.02756 .04204 L
s
.02381 .06937 m
.02756 .06937 L
s
.02381 .0967 m
.02756 .0967 L
s
.02381 .15135 m
.02756 .15135 L
s
.02381 .17868 m
.02756 .17868 L
s
.02381 .206 m
.02756 .206 L
s
.02381 .26066 m
.02756 .26066 L
s
.02381 .28799 m
.02756 .28799 L
s
.02381 .31531 m
.02756 .31531 L
s
.02381 .36997 m
.02756 .36997 L
s
.02381 .39729 m
.02756 .39729 L
s
.02381 .42462 m
.02756 .42462 L
s
.02381 .47927 m
.02756 .47927 L
s
.02381 .5066 m
.02756 .5066 L
s
.02381 .53393 m
.02756 .53393 L
s
.02381 .58858 m
.02756 .58858 L
s
.02381 .61591 m
.02756 .61591 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
[(-2)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .01472 m
.04262 .02888 L
.0522 .03633 L
.06244 .04307 L
.0679 .04583 L
.07286 .04773 L
.07525 .04843 L
.07784 .04903 L
.07903 .04925 L
.08029 .04944 L
.08145 .04959 L
.08255 .0497 L
.0832 .04975 L
.08392 .0498 L
.08516 .04985 L
.08586 .04987 L
.08662 .04987 L
.08732 .04986 L
.08797 .04985 L
.08922 .0498 L
.08993 .04975 L
.09058 .0497 L
.09304 .04946 L
.09571 .04907 L
.09865 .04854 L
.10458 .04719 L
.1146 .04455 L
.12409 .04235 L
.12933 .04147 L
.13077 .04129 L
.13229 .04112 L
.13361 .041 L
.13503 .0409 L
.13631 .04083 L
.13747 .04079 L
.13859 .04077 L
.13977 .04076 L
.14107 .04078 L
.14227 .04082 L
.14359 .04088 L
.145 .04098 L
.14759 .04123 L
.15033 .04159 L
.15525 .04248 L
.16053 .04375 L
.16635 .04549 L
.1865 .05337 L
.22684 .07328 L
.26567 .09694 L
.30694 .12894 L
Mistroke
.3467 .16713 L
.38495 .21065 L
.42565 .26353 L
.46483 .31935 L
.50646 .38141 L
.54658 .44064 L
.58518 .49363 L
.62624 .54182 L
.6467 .56151 L
.66578 .57679 L
.68414 .5884 L
.69436 .59347 L
.7038 .59725 L
.714 .60031 L
.71938 .6015 L
.72213 .602 L
.72508 .60244 L
.72766 .60275 L
.73003 .60298 L
.73228 .60314 L
.73342 .60321 L
.73466 .60326 L
.73537 .60328 L
.73605 .6033 L
.73731 .60332 L
.73801 .60332 L
.73866 .60332 L
.73938 .60331 L
.74013 .6033 L
.74138 .60326 L
.74255 .60322 L
.74384 .60315 L
.74522 .60306 L
.74777 .60283 L
.75049 .60252 L
.75537 .60177 L
.76063 .60069 L
.76643 .59917 L
.7768 .59559 L
.78654 .59126 L
.8067 .57938 L
.8252 .56522 L
.86479 .52562 L
.90287 .47798 L
.9434 .42057 L
.97619 .37172 L
Mfstroke
0 1 0 r
.02381 .02125 m
.04262 .02298 L
.06244 .02522 L
.08426 .02828 L
.10458 .0318 L
.14264 .04052 L
.18163 .05306 L
.22307 .07144 L
.263 .09511 L
.30142 .12421 L
.34228 .16253 L
.38164 .20663 L
.41947 .25512 L
.45976 .31193 L
.49853 .36952 L
.53975 .43076 L
.57946 .48616 L
.61766 .53263 L
.63897 .55446 L
.6583 .57118 L
.67845 .58514 L
.69743 .5948 L
.70719 .59838 L
.71253 .59994 L
.71751 .60112 L
.72176 .60194 L
.72632 .6026 L
.72891 .60288 L
.73137 .60308 L
.73244 .60315 L
.73358 .60321 L
.73483 .60326 L
.73598 .6033 L
.73712 .60331 L
.73836 .60332 L
.73966 .60331 L
.74087 .60328 L
.74201 .60324 L
.74304 .60319 L
.74535 .60305 L
.74785 .60283 L
.75055 .60251 L
.75545 .60176 L
.76007 .60082 L
.76496 .59958 L
.77373 .59676 L
.78317 .59287 L
.79331 .5877 L
.81162 .57591 L
.8529 .53873 L
Mistroke
.89266 .49149 L
.9309 .43877 L
.9716 .3786 L
.97619 .37172 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.35119 0.424439 0.64881 0.608377 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.0147151 12.195 [
[.2619 .00222 -3 -9 ]
[.2619 .00222 3 0 ]
[.5 .00222 -3 -9 ]
[.5 .00222 3 0 ]
[.7381 .00222 -3 -9 ]
[.7381 .00222 3 0 ]
[.97619 .00222 -3 -9 ]
[.97619 .00222 3 0 ]
[.01131 .13666 -24 -4.5 ]
[.01131 .13666 0 4.5 ]
[.01131 .25861 -24 -4.5 ]
[.01131 .25861 0 4.5 ]
[.01131 .38056 -24 -4.5 ]
[.01131 .38056 0 4.5 ]
[.01131 .50251 -24 -4.5 ]
[.01131 .50251 0 4.5 ]
[.5 .63053 -6 0 ]
[.5 .63053 6 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2619 .01472 m
.2619 .02097 L
s
[(2)] .2619 .00222 0 1 Mshowa
.5 .01472 m
.5 .02097 L
s
[(4)] .5 .00222 0 1 Mshowa
.7381 .01472 m
.7381 .02097 L
s
[(6)] .7381 .00222 0 1 Mshowa
.97619 .01472 m
.97619 .02097 L
s
[(8)] .97619 .00222 0 1 Mshowa
.125 Mabswid
.08333 .01472 m
.08333 .01847 L
s
.14286 .01472 m
.14286 .01847 L
s
.20238 .01472 m
.20238 .01847 L
s
.32143 .01472 m
.32143 .01847 L
s
.38095 .01472 m
.38095 .01847 L
s
.44048 .01472 m
.44048 .01847 L
s
.55952 .01472 m
.55952 .01847 L
s
.61905 .01472 m
.61905 .01847 L
s
.67857 .01472 m
.67857 .01847 L
s
.79762 .01472 m
.79762 .01847 L
s
.85714 .01472 m
.85714 .01847 L
s
.91667 .01472 m
.91667 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .13666 m
.03006 .13666 L
s
[(0.01)] .01131 .13666 1 0 Mshowa
.02381 .25861 m
.03006 .25861 L
s
[(0.02)] .01131 .25861 1 0 Mshowa
.02381 .38056 m
.03006 .38056 L
s
[(0.03)] .01131 .38056 1 0 Mshowa
.02381 .50251 m
.03006 .50251 L
s
[(0.04)] .01131 .50251 1 0 Mshowa
.125 Mabswid
.02381 .03911 m
.02756 .03911 L
s
.02381 .06349 m
.02756 .06349 L
s
.02381 .08788 m
.02756 .08788 L
s
.02381 .11227 m
.02756 .11227 L
s
.02381 .16105 m
.02756 .16105 L
s
.02381 .18544 m
.02756 .18544 L
s
.02381 .20983 m
.02756 .20983 L
s
.02381 .23422 m
.02756 .23422 L
s
.02381 .283 m
.02756 .283 L
s
.02381 .30739 m
.02756 .30739 L
s
.02381 .33178 m
.02756 .33178 L
s
.02381 .35617 m
.02756 .35617 L
s
.02381 .40495 m
.02756 .40495 L
s
.02381 .42934 m
.02756 .42934 L
s
.02381 .45373 m
.02756 .45373 L
s
.02381 .47812 m
.02756 .47812 L
s
.02381 .5269 m
.02756 .5269 L
s
.02381 .55129 m
.02756 .55129 L
s
.02381 .57568 m
.02756 .57568 L
s
.02381 .60007 m
.02756 .60007 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
[(-1)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .01472 m
.06244 .02254 L
.10458 .03284 L
.14415 .04221 L
.18221 .05375 L
.20178 .06148 L
.22272 .07133 L
.26416 .0959 L
.30409 .12648 L
.34251 .16276 L
.38337 .20873 L
.42272 .25953 L
.46056 .3131 L
.50085 .37299 L
.53962 .43056 L
.58084 .48798 L
.62055 .53579 L
.65874 .57152 L
.67842 .58512 L
.68934 .59111 L
.69939 .59559 L
.70967 .59914 L
.71509 .60058 L
.7208 .60177 L
.7232 .60217 L
.72577 .60253 L
.728 .60279 L
.73042 .60301 L
.73189 .60312 L
.73325 .6032 L
.73455 .60325 L
.73521 .60328 L
.73594 .60329 L
.73719 .60331 L
.73789 .60332 L
.73853 .60332 L
.73972 .60331 L
.74097 .60328 L
.74221 .60323 L
.74354 .60317 L
.74597 .603 L
.74834 .60277 L
.75052 .60252 L
.75547 .60175 L
.76071 .60067 L
.76946 .59823 L
.77908 .59466 L
.79853 .58466 L
.81942 .56997 L
.8607 .53024 L
Mistroke
.90046 .48121 L
.9387 .42745 L
.97619 .37172 L
Mfstroke
0 1 0 r
.02381 .02125 m
.04262 .02298 L
.06244 .02522 L
.08426 .02828 L
.10458 .0318 L
.14264 .04052 L
.18163 .05306 L
.22307 .07144 L
.263 .09511 L
.30142 .12421 L
.34228 .16253 L
.38164 .20663 L
.41947 .25512 L
.45976 .31193 L
.49853 .36952 L
.53975 .43076 L
.57946 .48616 L
.61766 .53263 L
.63897 .55446 L
.6583 .57118 L
.67845 .58514 L
.69743 .5948 L
.70719 .59838 L
.71253 .59994 L
.71751 .60112 L
.72176 .60194 L
.72632 .6026 L
.72891 .60288 L
.73137 .60308 L
.73244 .60315 L
.73358 .60321 L
.73483 .60326 L
.73598 .6033 L
.73712 .60331 L
.73836 .60332 L
.73966 .60331 L
.74087 .60328 L
.74201 .60324 L
.74304 .60319 L
.74535 .60305 L
.74785 .60283 L
.75055 .60251 L
.75545 .60176 L
.76007 .60082 L
.76496 .59958 L
.77373 .59676 L
.78317 .59287 L
.79331 .5877 L
.81162 .57591 L
.8529 .53873 L
Mistroke
.89266 .49149 L
.9309 .43877 L
.9716 .3786 L
.97619 .37172 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.678571 0.424439 0.97619 0.608377 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.0147151 7.39662 [
[.2619 .00222 -3 -9 ]
[.2619 .00222 3 0 ]
[.5 .00222 -3 -9 ]
[.5 .00222 3 0 ]
[.7381 .00222 -3 -9 ]
[.7381 .00222 3 0 ]
[.97619 .00222 -3 -9 ]
[.97619 .00222 3 0 ]
[.01131 .16265 -24 -4.5 ]
[.01131 .16265 0 4.5 ]
[.01131 .31058 -24 -4.5 ]
[.01131 .31058 0 4.5 ]
[.01131 .45851 -24 -4.5 ]
[.01131 .45851 0 4.5 ]
[.01131 .60644 -24 -4.5 ]
[.01131 .60644 0 4.5 ]
[.5 .63053 -3 0 ]
[.5 .63053 3 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2619 .01472 m
.2619 .02097 L
s
[(2)] .2619 .00222 0 1 Mshowa
.5 .01472 m
.5 .02097 L
s
[(4)] .5 .00222 0 1 Mshowa
.7381 .01472 m
.7381 .02097 L
s
[(6)] .7381 .00222 0 1 Mshowa
.97619 .01472 m
.97619 .02097 L
s
[(8)] .97619 .00222 0 1 Mshowa
.125 Mabswid
.08333 .01472 m
.08333 .01847 L
s
.14286 .01472 m
.14286 .01847 L
s
.20238 .01472 m
.20238 .01847 L
s
.32143 .01472 m
.32143 .01847 L
s
.38095 .01472 m
.38095 .01847 L
s
.44048 .01472 m
.44048 .01847 L
s
.55952 .01472 m
.55952 .01847 L
s
.61905 .01472 m
.61905 .01847 L
s
.67857 .01472 m
.67857 .01847 L
s
.79762 .01472 m
.79762 .01847 L
s
.85714 .01472 m
.85714 .01847 L
s
.91667 .01472 m
.91667 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .16265 m
.03006 .16265 L
s
[(0.02)] .01131 .16265 1 0 Mshowa
.02381 .31058 m
.03006 .31058 L
s
[(0.04)] .01131 .31058 1 0 Mshowa
.02381 .45851 m
.03006 .45851 L
s
[(0.06)] .01131 .45851 1 0 Mshowa
.02381 .60644 m
.03006 .60644 L
s
[(0.08)] .01131 .60644 1 0 Mshowa
.125 Mabswid
.02381 .0517 m
.02756 .0517 L
s
.02381 .08868 m
.02756 .08868 L
s
.02381 .12566 m
.02756 .12566 L
s
.02381 .19963 m
.02756 .19963 L
s
.02381 .23661 m
.02756 .23661 L
s
.02381 .2736 m
.02756 .2736 L
s
.02381 .34756 m
.02756 .34756 L
s
.02381 .38455 m
.02756 .38455 L
s
.02381 .42153 m
.02756 .42153 L
s
.02381 .4955 m
.02756 .4955 L
s
.02381 .53248 m
.02756 .53248 L
s
.02381 .56946 m
.02756 .56946 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
[(0)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .01472 m
.04262 .01676 L
.06244 .01979 L
.10458 .02881 L
.14264 .03933 L
.18314 .05334 L
.22214 .07091 L
.26358 .0955 L
.30351 .12599 L
.34193 .16216 L
.38279 .20803 L
.42214 .25875 L
.45998 .31225 L
.50027 .37212 L
.53904 .42971 L
.58026 .48722 L
.61997 .53516 L
.65817 .57107 L
.67784 .58477 L
.68876 .59082 L
.69881 .59536 L
.7091 .59897 L
.71451 .60044 L
.72022 .60166 L
.72262 .60208 L
.72519 .60246 L
.72742 .60273 L
.72984 .60297 L
.73131 .60308 L
.73267 .60317 L
.73398 .60323 L
.73464 .60326 L
.73536 .60328 L
.73659 .60331 L
.73775 .60332 L
.73842 .60332 L
.73913 .60331 L
.74039 .60329 L
.74163 .60325 L
.74232 .60323 L
.74297 .6032 L
.74539 .60304 L
.7476 .60285 L
.74994 .60259 L
.75479 .60187 L
.76013 .6008 L
.76962 .59818 L
.7785 .5949 L
.79879 .5845 L
.81733 .57162 L
Mistroke
.85709 .53422 L
.89533 .488 L
.93603 .43135 L
.97521 .37319 L
.97619 .37172 L
Mfstroke
0 1 0 r
.02381 .02125 m
.04262 .02298 L
.06244 .02522 L
.08426 .02828 L
.10458 .0318 L
.14264 .04052 L
.18163 .05306 L
.22307 .07144 L
.263 .09511 L
.30142 .12421 L
.34228 .16253 L
.38164 .20663 L
.41947 .25512 L
.45976 .31193 L
.49853 .36952 L
.53975 .43076 L
.57946 .48616 L
.61766 .53263 L
.63897 .55446 L
.6583 .57118 L
.67845 .58514 L
.69743 .5948 L
.70719 .59838 L
.71253 .59994 L
.71751 .60112 L
.72176 .60194 L
.72632 .6026 L
.72891 .60288 L
.73137 .60308 L
.73244 .60315 L
.73358 .60321 L
.73483 .60326 L
.73598 .6033 L
.73712 .60331 L
.73836 .60332 L
.73966 .60331 L
.74087 .60328 L
.74201 .60324 L
.74304 .60319 L
.74535 .60305 L
.74785 .60283 L
.75055 .60251 L
.75545 .60176 L
.76007 .60082 L
.76496 .59958 L
.77373 .59676 L
.78317 .59287 L
.79331 .5877 L
.81162 .57591 L
.8529 .53873 L
Mistroke
.89266 .49149 L
.9309 .43877 L
.9716 .3786 L
.97619 .37172 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.0238095 0.626771 0.321429 0.81071 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.257462 10601.3 [
[.2619 .24496 -3 -9 ]
[.2619 .24496 3 0 ]
[.5 .24496 -3 -9 ]
[.5 .24496 3 0 ]
[.7381 .24496 -3 -9 ]
[.7381 .24496 3 0 ]
[.97619 .24496 -3 -9 ]
[.97619 .24496 3 0 ]
[.01131 .04544 -48 -4.5 ]
[.01131 .04544 0 4.5 ]
[.01131 .15145 -48 -4.5 ]
[.01131 .15145 0 4.5 ]
[.01131 .36347 -42 -4.5 ]
[.01131 .36347 0 4.5 ]
[.01131 .46949 -42 -4.5 ]
[.01131 .46949 0 4.5 ]
[.01131 .5755 -42 -4.5 ]
[.01131 .5755 0 4.5 ]
[.5 .63053 -6 0 ]
[.5 .63053 6 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2619 .25746 m
.2619 .26371 L
s
[(2)] .2619 .24496 0 1 Mshowa
.5 .25746 m
.5 .26371 L
s
[(4)] .5 .24496 0 1 Mshowa
.7381 .25746 m
.7381 .26371 L
s
[(6)] .7381 .24496 0 1 Mshowa
.97619 .25746 m
.97619 .26371 L
s
[(8)] .97619 .24496 0 1 Mshowa
.125 Mabswid
.08333 .25746 m
.08333 .26121 L
s
.14286 .25746 m
.14286 .26121 L
s
.20238 .25746 m
.20238 .26121 L
s
.32143 .25746 m
.32143 .26121 L
s
.38095 .25746 m
.38095 .26121 L
s
.44048 .25746 m
.44048 .26121 L
s
.55952 .25746 m
.55952 .26121 L
s
.61905 .25746 m
.61905 .26121 L
s
.67857 .25746 m
.67857 .26121 L
s
.79762 .25746 m
.79762 .26121 L
s
.85714 .25746 m
.85714 .26121 L
s
.91667 .25746 m
.91667 .26121 L
s
.25 Mabswid
0 .25746 m
1 .25746 L
s
.02381 .04544 m
.03006 .04544 L
s
[(-0.00002)] .01131 .04544 1 0 Mshowa
.02381 .15145 m
.03006 .15145 L
s
[(-0.00001)] .01131 .15145 1 0 Mshowa
.02381 .36347 m
.03006 .36347 L
s
[(0.00001)] .01131 .36347 1 0 Mshowa
.02381 .46949 m
.03006 .46949 L
s
[(0.00002)] .01131 .46949 1 0 Mshowa
.02381 .5755 m
.03006 .5755 L
s
[(0.00003)] .01131 .5755 1 0 Mshowa
.125 Mabswid
.02381 .06664 m
.02756 .06664 L
s
.02381 .08784 m
.02756 .08784 L
s
.02381 .10904 m
.02756 .10904 L
s
.02381 .13025 m
.02756 .13025 L
s
.02381 .17265 m
.02756 .17265 L
s
.02381 .19385 m
.02756 .19385 L
s
.02381 .21506 m
.02756 .21506 L
s
.02381 .23626 m
.02756 .23626 L
s
.02381 .27866 m
.02756 .27866 L
s
.02381 .29987 m
.02756 .29987 L
s
.02381 .32107 m
.02756 .32107 L
s
.02381 .34227 m
.02756 .34227 L
s
.02381 .38468 m
.02756 .38468 L
s
.02381 .40588 m
.02756 .40588 L
s
.02381 .42708 m
.02756 .42708 L
s
.02381 .44828 m
.02756 .44828 L
s
.02381 .49069 m
.02756 .49069 L
s
.02381 .51189 m
.02756 .51189 L
s
.02381 .53309 m
.02756 .53309 L
s
.02381 .5543 m
.02756 .5543 L
s
.02381 .02423 m
.02756 .02423 L
s
.02381 .00303 m
.02756 .00303 L
s
.02381 .5967 m
.02756 .5967 L
s
.02381 .6179 m
.02756 .6179 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
[(-5)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .25747 m
0 0 rlineto s
.02381 .25747 m
.02659 .61803 L
s
.06062 .61803 m
.06244 .3342 L
s
.06244 .3342 m
.06457 0 L
s
.09998 0 m
.10458 .58713 L
s
.10458 .58713 m
.10486 .61803 L
s
.13573 .61803 m
.13844 .41728 L
.14269 .14032 L
.14495 .01841 L
s
.14495 .01841 m
.14537 0 L
s
.16949 0 m
.17155 .05777 L
.17674 .19607 L
.17958 .25966 L
.18223 .30848 L
.18453 .34177 L
.187 .36792 L
.1884 .37849 L
.1891 .38259 L
.18974 .38576 L
.19093 .39013 L
.19224 .3927 L
.19333 .39323 L
.19436 .39247 L
.19549 .39038 L
.1967 .38678 L
.19791 .382 L
.19918 .37585 L
.20145 .3626 L
.21151 .29275 L
.2144 .27533 L
.21714 .26154 L
.2196 .25164 L
.22097 .24713 L
.22226 .24357 L
.2235 .24075 L
.22463 .23865 L
.22589 .23683 L
.22659 .23604 L
.22724 .23544 L
.22853 .23462 L
.22922 .23437 L
.22995 .23423 L
.23064 .23421 L
.23129 .23429 L
.23252 .23468 L
.23367 .23529 L
.23489 .23616 L
.23706 .23816 L
.24198 .24387 L
.24691 .24978 L
.25158 .25447 L
.25578 .25751 L
.25815 .25873 L
.25928 .25919 L
.26034 .25955 L
.26148 .25988 L
.26253 .26011 L
.26369 .26031 L
.26494 .26046 L
Mistroke
.26608 .26055 L
.26732 .26059 L
.26862 .26058 L
.26983 .26054 L
.27046 .2605 L
.27115 .26045 L
.2724 .26034 L
.27474 .26008 L
.27999 .25938 L
.28463 .2588 L
.28716 .25853 L
.28954 .25832 L
.29172 .25817 L
.29372 .25806 L
.29595 .25797 L
.29717 .25793 L
.29833 .2579 L
.29958 .25788 L
.30029 .25787 L
.30093 .25787 L
.30212 .25786 L
.30338 .25786 L
.30451 .25786 L
.30556 .25787 L
.30672 .25787 L
.30795 .25789 L
.31331 .25796 L
.31819 .25803 L
.32273 .2581 L
.32765 .25815 L
.3366 .25823 L
.34147 .25826 L
.34603 .25828 L
.35642 .25834 L
.37745 .25846 L
.41621 .25872 L
.45742 .25903 L
.49712 .25935 L
.5353 .25965 L
.57593 .25996 L
.61505 .26021 L
.63501 .26032 L
.65662 .26043 L
.67748 .26051 L
.6874 .26054 L
.69667 .26056 L
.70575 .26058 L
.71549 .26059 L
.72104 .2606 L
.72377 .2606 L
Mistroke
.72629 .2606 L
.72854 .2606 L
.73101 .2606 L
.7323 .26061 L
.7335 .26061 L
.73477 .26061 L
.73549 .26061 L
.73615 .26061 L
.73742 .26061 L
.73863 .26061 L
.73971 .26061 L
.74088 .26061 L
.74216 .26061 L
.74352 .26061 L
.74594 .2606 L
.74819 .2606 L
.75029 .2606 L
.75506 .2606 L
.76027 .26059 L
.76504 .26059 L
.77576 .26057 L
.78562 .26054 L
.79477 .26052 L
.81551 .26044 L
.85468 .26025 L
.8963 .25998 L
.93641 .25968 L
.975 .25938 L
.97619 .25937 L
Mfstroke
0 1 0 r
.02381 .2575 m
.04262 .25751 L
.06244 .25752 L
.08426 .25753 L
.10458 .25755 L
.14264 .2576 L
.18163 .25767 L
.22307 .25777 L
.263 .25789 L
.30142 .25805 L
.34228 .25825 L
.38164 .25849 L
.41947 .25875 L
.45976 .25905 L
.49853 .25936 L
.53975 .25968 L
.57946 .25998 L
.61766 .26023 L
.63897 .26035 L
.6583 .26043 L
.67845 .26051 L
.69743 .26056 L
.70719 .26058 L
.71253 .26059 L
.71751 .26059 L
.72176 .2606 L
.72632 .2606 L
.72891 .2606 L
.73137 .2606 L
.73244 .26061 L
.73358 .26061 L
.73483 .26061 L
.73598 .26061 L
.73712 .26061 L
.73836 .26061 L
.73966 .26061 L
.74087 .26061 L
.74201 .26061 L
.74304 .26061 L
.74535 .2606 L
.74785 .2606 L
.75055 .2606 L
.75545 .2606 L
.76007 .26059 L
.76496 .26059 L
.77373 .26057 L
.78317 .26055 L
.79331 .26052 L
.81162 .26046 L
.8529 .26026 L
Mistroke
.89266 .26001 L
.9309 .25973 L
.9716 .25941 L
.97619 .25937 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.35119 0.626771 0.64881 0.81071 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.235439 5122.94 [
[.2619 .22294 -3 -9 ]
[.2619 .22294 3 0 ]
[.5 .22294 -3 -9 ]
[.5 .22294 3 0 ]
[.7381 .22294 -3 -9 ]
[.7381 .22294 3 0 ]
[.97619 .22294 -3 -9 ]
[.97619 .22294 3 0 ]
[.01131 .03052 -48 -4.5 ]
[.01131 .03052 0 4.5 ]
[.01131 .13298 -48 -4.5 ]
[.01131 .13298 0 4.5 ]
[.01131 .3379 -42 -4.5 ]
[.01131 .3379 0 4.5 ]
[.01131 .44036 -42 -4.5 ]
[.01131 .44036 0 4.5 ]
[.01131 .54282 -42 -4.5 ]
[.01131 .54282 0 4.5 ]
[.5 .63053 -6 0 ]
[.5 .63053 6 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2619 .23544 m
.2619 .24169 L
s
[(2)] .2619 .22294 0 1 Mshowa
.5 .23544 m
.5 .24169 L
s
[(4)] .5 .22294 0 1 Mshowa
.7381 .23544 m
.7381 .24169 L
s
[(6)] .7381 .22294 0 1 Mshowa
.97619 .23544 m
.97619 .24169 L
s
[(8)] .97619 .22294 0 1 Mshowa
.125 Mabswid
.08333 .23544 m
.08333 .23919 L
s
.14286 .23544 m
.14286 .23919 L
s
.20238 .23544 m
.20238 .23919 L
s
.32143 .23544 m
.32143 .23919 L
s
.38095 .23544 m
.38095 .23919 L
s
.44048 .23544 m
.44048 .23919 L
s
.55952 .23544 m
.55952 .23919 L
s
.61905 .23544 m
.61905 .23919 L
s
.67857 .23544 m
.67857 .23919 L
s
.79762 .23544 m
.79762 .23919 L
s
.85714 .23544 m
.85714 .23919 L
s
.91667 .23544 m
.91667 .23919 L
s
.25 Mabswid
0 .23544 m
1 .23544 L
s
.02381 .03052 m
.03006 .03052 L
s
[(-0.00004)] .01131 .03052 1 0 Mshowa
.02381 .13298 m
.03006 .13298 L
s
[(-0.00002)] .01131 .13298 1 0 Mshowa
.02381 .3379 m
.03006 .3379 L
s
[(0.00002)] .01131 .3379 1 0 Mshowa
.02381 .44036 m
.03006 .44036 L
s
[(0.00004)] .01131 .44036 1 0 Mshowa
.02381 .54282 m
.03006 .54282 L
s
[(0.00006)] .01131 .54282 1 0 Mshowa
.125 Mabswid
.02381 .05614 m
.02756 .05614 L
s
.02381 .08175 m
.02756 .08175 L
s
.02381 .10737 m
.02756 .10737 L
s
.02381 .15859 m
.02756 .15859 L
s
.02381 .18421 m
.02756 .18421 L
s
.02381 .20982 m
.02756 .20982 L
s
.02381 .26105 m
.02756 .26105 L
s
.02381 .28667 m
.02756 .28667 L
s
.02381 .31228 m
.02756 .31228 L
s
.02381 .36351 m
.02756 .36351 L
s
.02381 .38913 m
.02756 .38913 L
s
.02381 .41474 m
.02756 .41474 L
s
.02381 .46597 m
.02756 .46597 L
s
.02381 .49159 m
.02756 .49159 L
s
.02381 .5172 m
.02756 .5172 L
s
.02381 .00491 m
.02756 .00491 L
s
.02381 .56843 m
.02756 .56843 L
s
.02381 .59405 m
.02756 .59405 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
[(-4)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .23544 m
0 0 rlineto s
.02381 .23544 m
.02982 .61803 L
s
.06891 .61803 m
.07229 .38259 L
s
.07229 .38259 m
.07739 0 L
s
.11861 0 m
.12381 .23567 L
.12907 .43742 L
.13173 .51594 L
.13325 .55327 L
.13465 .58227 L
.13584 .60316 L
s
.13584 .60316 m
.13687 .61803 L
s
.14908 .61803 m
.14993 .60921 L
.15289 .56875 L
.15564 .52432 L
.16599 .34307 L
.17099 .2689 L
.17572 .21557 L
.17834 .19392 L
.17972 .18475 L
.18118 .17666 L
.18241 .17113 L
.18376 .16632 L
.18499 .16304 L
.18614 .16088 L
.18733 .15952 L
.18859 .15896 L
.18978 .1592 L
.19086 .16002 L
.19213 .16164 L
.1935 .1641 L
.196 .17016 L
.2014 .18778 L
.20637 .20601 L
.21537 .2349 L
.2199 .24526 L
.22248 .24973 L
.22488 .25303 L
.22748 .25571 L
.22988 .25746 L
.23113 .25812 L
.23252 .25869 L
.23321 .25891 L
.23396 .2591 L
.23467 .25924 L
.23532 .25934 L
.23651 .25945 L
.23762 .25948 L
.23883 .25944 L
.24014 .25932 L
.24079 .25924 L
.2415 .25914 L
.24279 .25891 L
.24521 .2584 L
.24983 .25729 L
.25237 .2567 L
.25479 .2562 L
.25703 .25581 L
.25821 .25563 L
.25948 .25548 L
.26064 .25536 L
Mistroke
.2617 .25527 L
.26276 .2552 L
.26376 .25515 L
.26491 .25512 L
.26613 .25511 L
.26716 .25512 L
.2683 .25515 L
.26953 .2552 L
.27084 .25529 L
.27321 .2555 L
.276 .25582 L
.27865 .25621 L
.28361 .25705 L
.30465 .26141 L
.343 .26996 L
.3838 .28064 L
.42308 .29244 L
.46085 .30487 L
.50108 .31876 L
.53979 .33211 L
.58095 .34543 L
.62059 .35652 L
.65872 .3648 L
.67834 .36796 L
.68925 .36935 L
.6993 .37039 L
.70955 .37122 L
.71495 .37155 L
.72066 .37183 L
.72305 .37192 L
.72562 .37201 L
.72784 .37207 L
.73026 .37212 L
.73173 .37215 L
.73309 .37217 L
.73439 .37218 L
.73512 .37219 L
.73578 .37219 L
.73703 .3722 L
.73773 .3722 L
.73837 .3722 L
.73956 .37219 L
.74082 .37219 L
.74204 .37218 L
.74338 .37216 L
.7458 .37213 L
.74815 .37208 L
.75033 .37202 L
.75527 .37184 L
.76051 .37159 L
Mistroke
.76924 .37103 L
.77886 .37021 L
.79826 .3679 L
.81914 .3645 L
.86035 .35531 L
.90004 .34395 L
.93822 .3315 L
.97619 .31839 L
Mfstroke
0 1 0 r
.02381 .23696 m
.04262 .23736 L
.06244 .23788 L
.08426 .23859 L
.10458 .23941 L
.14264 .24143 L
.18163 .24435 L
.22307 .24862 L
.263 .25412 L
.30142 .26088 L
.34228 .26978 L
.38164 .28003 L
.41947 .2913 L
.45976 .3045 L
.49853 .31788 L
.53975 .3321 L
.57946 .34498 L
.61766 .35577 L
.63897 .36085 L
.6583 .36473 L
.67845 .36797 L
.69743 .37022 L
.70719 .37105 L
.71253 .37141 L
.71751 .37169 L
.72176 .37188 L
.72632 .37203 L
.72891 .3721 L
.73137 .37214 L
.73244 .37216 L
.73358 .37217 L
.73483 .37218 L
.73598 .37219 L
.73712 .3722 L
.73836 .3722 L
.73966 .37219 L
.74087 .37219 L
.74201 .37218 L
.74304 .37217 L
.74535 .37213 L
.74785 .37208 L
.75055 .37201 L
.75545 .37183 L
.76007 .37162 L
.76496 .37133 L
.77373 .37067 L
.78317 .36977 L
.79331 .36857 L
.81162 .36583 L
.8529 .35719 L
Mistroke
.89266 .34622 L
.9309 .33397 L
.9716 .31999 L
.97619 .31839 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.678571 0.626771 0.97619 0.81071 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.0909599 579.575 [
[.2619 .07846 -3 -9 ]
[.2619 .07846 3 0 ]
[.5 .07846 -3 -9 ]
[.5 .07846 3 0 ]
[.7381 .07846 -3 -9 ]
[.7381 .07846 3 0 ]
[.97619 .07846 -3 -9 ]
[.97619 .07846 3 0 ]
[.01131 .20687 -36 -4.5 ]
[.01131 .20687 0 4.5 ]
[.01131 .32279 -36 -4.5 ]
[.01131 .32279 0 4.5 ]
[.01131 .4387 -36 -4.5 ]
[.01131 .4387 0 4.5 ]
[.01131 .55462 -36 -4.5 ]
[.01131 .55462 0 4.5 ]
[.5 .63053 -6 0 ]
[.5 .63053 6 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2619 .09096 m
.2619 .09721 L
s
[(2)] .2619 .07846 0 1 Mshowa
.5 .09096 m
.5 .09721 L
s
[(4)] .5 .07846 0 1 Mshowa
.7381 .09096 m
.7381 .09721 L
s
[(6)] .7381 .07846 0 1 Mshowa
.97619 .09096 m
.97619 .09721 L
s
[(8)] .97619 .07846 0 1 Mshowa
.125 Mabswid
.08333 .09096 m
.08333 .09471 L
s
.14286 .09096 m
.14286 .09471 L
s
.20238 .09096 m
.20238 .09471 L
s
.32143 .09096 m
.32143 .09471 L
s
.38095 .09096 m
.38095 .09471 L
s
.44048 .09096 m
.44048 .09471 L
s
.55952 .09096 m
.55952 .09471 L
s
.61905 .09096 m
.61905 .09471 L
s
.67857 .09096 m
.67857 .09471 L
s
.79762 .09096 m
.79762 .09471 L
s
.85714 .09096 m
.85714 .09471 L
s
.91667 .09096 m
.91667 .09471 L
s
.25 Mabswid
0 .09096 m
1 .09096 L
s
.02381 .20687 m
.03006 .20687 L
s
[(0.0002)] .01131 .20687 1 0 Mshowa
.02381 .32279 m
.03006 .32279 L
s
[(0.0004)] .01131 .32279 1 0 Mshowa
.02381 .4387 m
.03006 .4387 L
s
[(0.0006)] .01131 .4387 1 0 Mshowa
.02381 .55462 m
.03006 .55462 L
s
[(0.0008)] .01131 .55462 1 0 Mshowa
.125 Mabswid
.02381 .11994 m
.02756 .11994 L
s
.02381 .14892 m
.02756 .14892 L
s
.02381 .1779 m
.02756 .1779 L
s
.02381 .23585 m
.02756 .23585 L
s
.02381 .26483 m
.02756 .26483 L
s
.02381 .29381 m
.02756 .29381 L
s
.02381 .35177 m
.02756 .35177 L
s
.02381 .38075 m
.02756 .38075 L
s
.02381 .40973 m
.02756 .40973 L
s
.02381 .46768 m
.02756 .46768 L
s
.02381 .49666 m
.02756 .49666 L
s
.02381 .52564 m
.02756 .52564 L
s
.02381 .06198 m
.02756 .06198 L
s
.02381 .033 m
.02756 .033 L
s
.02381 .00402 m
.02756 .00402 L
s
.02381 .5836 m
.02756 .5836 L
s
.02381 .61258 m
.02756 .61258 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
[(-3)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .09096 m
.03279 .15737 L
.04262 .2288 L
.04758 .25787 L
.0503 .27061 L
.05288 .28017 L
.05528 .2867 L
.05664 .28932 L
.05789 .29104 L
.05894 .29196 L
.0601 .29241 L
.06131 .29225 L
.06244 .29152 L
.0631 .29084 L
.06379 .28992 L
.06504 .28774 L
.06653 .28428 L
.06788 .28036 L
.07054 .27055 L
.07305 .25897 L
.08274 .19792 L
.09336 .11946 L
.09916 .08072 L
.10458 .05122 L
.1092 .03258 L
.11179 .02501 L
.11415 .01993 L
.11549 .01782 L
.11674 .01635 L
.11738 .01577 L
.1181 .01527 L
.11885 .01491 L
.11955 .01472 L
.12083 .01472 L
.12201 .0151 L
.1233 .01594 L
.12395 .01651 L
.12466 .01726 L
.12708 .02065 L
.12928 .02475 L
.13423 .03682 L
.14313 .06427 L
.15245 .09329 L
.15755 .10687 L
.16232 .11738 L
.16747 .12618 L
.1702 .12978 L
.17314 .13288 L
.17581 .13508 L
.17835 .13667 L
Mistroke
.18063 .13774 L
.18311 .13856 L
.18445 .13888 L
.18567 .1391 L
.18702 .13928 L
.1877 .13935 L
.18844 .13941 L
.1897 .13947 L
.1904 .13949 L
.19104 .13949 L
.19228 .13949 L
.19346 .13946 L
.19459 .13941 L
.19579 .13935 L
.19795 .13923 L
.20049 .13907 L
.20282 .13896 L
.20403 .13892 L
.20531 .13889 L
.20658 .13888 L
.2073 .13888 L
.20798 .1389 L
.2092 .13893 L
.21031 .13898 L
.2116 .13907 L
.21281 .13917 L
.21556 .13951 L
.21809 .13994 L
.22087 .14054 L
.22381 .14131 L
.23327 .14471 L
.24342 .14951 L
.26175 .15988 L
.30308 .18751 L
.34289 .22017 L
.38119 .25755 L
.42194 .30314 L
.46117 .35147 L
.49889 .40027 L
.53906 .45223 L
.57772 .49933 L
.61882 .5429 L
.63933 .56108 L
.65842 .57542 L
.67799 .58725 L
.69649 .59556 L
.70629 .59877 L
.71146 .60012 L
.71693 .6013 L
.72152 .60208 L
Mistroke
.72397 .60242 L
.72659 .60272 L
.72899 .60294 L
.73119 .6031 L
.73225 .60316 L
.7334 .60322 L
.73449 .60326 L
.73551 .60329 L
.73679 .60331 L
.73744 .60332 L
.73815 .60332 L
.73941 .60331 L
.74059 .60329 L
.7413 .60327 L
.74198 .60325 L
.74324 .6032 L
.7446 .60313 L
.74608 .60303 L
.74859 .60282 L
.75126 .60254 L
.75604 .60187 L
.76061 .60103 L
.76489 .60008 L
.77466 .59731 L
.7845 .59368 L
.79485 .58897 L
.81336 .57835 L
.85149 .54838 L
.89207 .50664 L
.93114 .45979 L
.97265 .40634 L
.97619 .40172 L
Mfstroke
0 1 0 r
.02381 .09665 m
.04262 .09815 L
.06244 .1001 L
.08426 .10276 L
.10458 .10583 L
.14264 .11342 L
.18163 .12434 L
.22307 .14034 L
.263 .16094 L
.30142 .18627 L
.34228 .21963 L
.38164 .25802 L
.41947 .30023 L
.45976 .34968 L
.49853 .3998 L
.53975 .45311 L
.57946 .50134 L
.61766 .54179 L
.63897 .56079 L
.6583 .57534 L
.67845 .58749 L
.69743 .5959 L
.70719 .59902 L
.71253 .60037 L
.71751 .60141 L
.72176 .60211 L
.72632 .60269 L
.72891 .60294 L
.73137 .60311 L
.73244 .60317 L
.73358 .60323 L
.73483 .60327 L
.73598 .6033 L
.73712 .60331 L
.73836 .60332 L
.73966 .60331 L
.74087 .60328 L
.74201 .60325 L
.74304 .60321 L
.74535 .60308 L
.74785 .60289 L
.75055 .60262 L
.75545 .60196 L
.76007 .60114 L
.76496 .60007 L
.77373 .59761 L
.78317 .59422 L
.79331 .58973 L
.81162 .57946 L
.8529 .54709 L
Mistroke
.89266 .50598 L
.9309 .46009 L
.9716 .40771 L
.97619 .40172 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{572, 474.875},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40008l0001fR000`400?l00000o`00003oo`3ooooo
0?oooch0oooo003o0?ooool0oooo?P3oool00?l0ooooo`3oooln0?ooo`00o`3ooooo0?oooch0oooo
003o0?ooool0oooo?P3oool00?l0ooooo`3oooln0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0
oooo?P3oool00?l0ooooo`3oooln0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3oool0
0?l0ooooo`3oooln0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3oool00?l0ooooo`3o
ooln0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3oool00?l0oooo[@3oool01@000000
oooo0?ooo`3oool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`030?l0003oool0
oooo0080oooo00@0o`000?ooo`3oool0o`00M`3oool00?l0oooo[@3oool01@000000oooo0?ooo`3o
ool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`030?l0003oool0oooo0080oooo
00@0o`000?ooo`3oool0o`00M`3oool00?l0oooo[@3oool01@000000oooo0?ooo`3oool0o`0000<0
oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`030?l0003oool0oooo0080oooo00@0o`000?oo
o`3oool0o`00M`3oool003l0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?oo
o`030?l0003oool0oooo0:d0oooo00<000000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0
o`0000D0oooo00@0o`000?ooo`3oool0o`00W`3oool01@000000oooo0?ooo`3oool0o`0000<0oooo
00D0o`000?ooo`3oool0oooo0?l000030?ooo`030?l0003oool0oooo0080oooo00@0o`000?ooo`3o
ool0o`00M`3oool003l0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0:d0oooo00<000000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`00
00D0oooo00@0o`000?ooo`3oool0o`00O`3oool01@000000oooo0?ooo`3oool0000000<0oooo00<0
00000?ooo`3oool0103oool4000000<0oooo0P0000080?ooo`050000003oool0oooo0?ooo`3o0000
0`3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00<0o`000?ooo`3oool00P3oool0103o0000
oooo0?ooo`3o001g0?ooo`005@3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000@0
oooo0P0000040?ooo`800000103oool2000000D0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0[@3oool00`000000
oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o00001@3oool0103o0000oooo0?ooo`3o001o
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000002@3oool01@000000oooo0?ooo`3o
ool000000080oooo00<000000?ooo`3oool01@3oool01@000000oooo0?ooo`3oool0o`0000<0oooo
00D0o`000?ooo`3oool0oooo0?l000030?ooo`030?l0003oool0oooo0080oooo00@0o`000?ooo`3o
ool0o`00M`3oool001@0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo
0?ooo`0000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`3o0000
oooo0?ooo`020?ooo`030?l0003oool0oooo0:d0oooo00<000000?ooo`3oool00P3oool01@3o0000
oooo0?ooo`3oool0o`0000D0oooo00@0o`000?ooo`3oool0o`00O03oool5000000@0oooo00<00000
0?ooo`3oool0203oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool01@3o
ool01@000000oooo0?ooo`3oool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`03
0?l0003oool0oooo0080oooo00@0o`000?ooo`3oool0o`00M`3oool001@0oooo00@000000?ooo`3o
ool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@0
00000?ooo`3oool000000P3oool01@000000oooo0?ooo`000000oooo00D000000`3oool2000000@0
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`230?ooo`800000103oool00`000000
oooo0?ooo`030?ooo`800000103oool2000000@0oooo0P0000040?ooo`8000000`3oool4000000<0
oooo00<000000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00@0o`000?oo
o`3oool0o`00M`3oool4000000050?ooo`000000oooo0?ooo`000000103oool00`000000oooo0000
00090?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?ooo`050?ooo`050000
003oool0oooo0?ooo`3o00000`3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00<0o`000?oo
o`3oool00P3oool0103o0000oooo0?ooo`3o001g0?ooo`003P3oool400000080oooo00@000000?oo
o`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool0PP3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
00000080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`050?l0003oool0
oooo0?ooo`3o00001@3oool0103o0000oooo0?ooo`3o001m0?ooo`030000003oool0000000<0oooo
00D000000?ooo`3oool0oooo000000080?ooo`050000003oool0oooo0?ooo`0000000P3oool00`00
0000oooo0?ooo`050?ooo`050000003oool0oooo0?ooo`3o00000`3oool01@3o0000oooo0?ooo`3o
ool0o`0000<0oooo00<0o`000?ooo`3oool00P3oool0103o0000oooo0?ooo`3o001g0?ooo`00503o
ool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00<0
00000?ooo`000000103oool00`000000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool0PP3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0
oooo000000<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`050?l0003o
ool0oooo0?ooo`3o00001@3oool0103o0000oooo0?ooo`3o001n0?ooo`8000003P3oool3000000<0
oooo00@000000?ooo`3oool000001`3oool200000080oooo00D0o`000?ooo`3oool0oooo0?l00003
0?ooo`050?l0003oool0oooo0?ooo`3o0000103oool0103o0000oooo0?ooo`3o001g0?ooo`00503o
ool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo0P00
00040?ooo`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?oo
o`1l0?ooo`@000000P3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0
oooo000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`050?l0003o
ool0oooo0?ooo`3o00001@3oool0103o0000oooo0?ooo`3o001o0?ooo`030000003oool0oooo00h0
oooo00<000000?ooo`3oool00P3oool2000000P0oooo00D000000?ooo`000000oooo0?l000030?oo
o`050?l0003oool0oooo0?ooo`3o00000`3oool00`3o0000oooo0?ooo`020?ooo`040?l0003oool0
oooo0?l007L0oooo000E0?ooo`8000002P3oool2000000@0oooo0P0000040?ooo`800000103oool2
000000D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030?l0003oool0
oooo0080oooo00<0o`000?ooo`3oool0PP3oool010000000oooo0?ooo`0000080?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?oo
o`040000003oool0oooo000000D0oooo00D000000?ooo`3oool0oooo000000040?ooo`050?l0003o
ool0oooo0?ooo`3o00001@3oool0103o0000oooo0?ooo`3o002J0?ooo`<000000P3oool300000003
0?ooo`3o0000oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`030?l0003oool0oooo
0080oooo00@0o`000?ooo`3oool0o`00M`3oool003l0oooo00<000000?ooo`3oool00`3oool00`3o
0000oooo0?ooo`020?ooo`030?l0003oool0oooo0880oooo00@000000?ooo`3oool00000203oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo00<00000
0?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00@0o`000?ooo`3oool0o`00
W`3oool01@000000oooo0?ooo`3oool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l000030?oo
o`030?l0003oool0oooo0080oooo00@0o`000?ooo`3oool0o`00M`3oool003l0oooo00<000000?oo
o`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo08<0oooo0P00000:0?oo
o`800000103oool2000000@0oooo0P0000040?ooo`800000103oool2000000@0oooo00<000000?oo
o`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00D0o`000?ooo`3oool0oooo0?l0
002O0?ooo`050000003oool0oooo0?ooo`3o00000`3oool01@3o0000oooo0?ooo`3oool0o`0000<0
oooo00<0o`000?ooo`3oool00P3oool0103o0000oooo0?ooo`3o001g0?ooo`00?`3oool00`000000
oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0[@3oool00`000000
oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o0000103oool01@3o0000oooo0?ooo`3oool0
o`0009l0oooo0`0000000`3oool0o`000?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o00000`3o
ool00`3o0000oooo0?ooo`020?ooo`040?l0003oool0oooo0?l007L0oooo000o0?ooo`030000003o
ool0oooo00<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2]0?ooo`030000003o
ool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`050?l0003oool0oooo0?ooo`3o
0000W`3oool01@000000oooo0?ooo`3oool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l00003
0?ooo`030?l0003oool0oooo0080oooo00@0o`000?ooo`3oool0o`00M`3oool003l0oooo00<00000
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:d0oooo00<00000
0?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00D0o`000?ooo`3oool0oooo
0?l0002O0?ooo`050000003oool0oooo0?ooo`3o00000`3oool01@3o0000oooo0?ooo`3oool0o`00
00<0oooo00<0o`000?ooo`3oool00P3oool0103o0000oooo0?ooo`3o001g0?ooo`00?`3oool00`00
0000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0[@3oool00`00
0000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o0000103oool01@3o0000oooo0?ooo`3o
ool0o`0007d0oooo100000020?ooo`050000003oool0oooo0?ooo`0000001P3oool4000000<0oooo
0P0000080?ooo`050000003oool0oooo0?ooo`3o00000`3oool01@3o0000oooo0?ooo`3oool0o`00
00<0oooo00<0o`000?ooo`3oool00P3oool0103o0000oooo0?ooo`3o001g0?ooo`005@3oool20000
00@0oooo00<000000?ooo`3oool00`3oool2000000@0oooo0P0000040?ooo`800000103oool20000
00<0oooo100000030?ooo`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o
0000oooo0?ooo`2/0?ooo`030000003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l00004
0?ooo`050?l0003oool0oooo0?ooo`3o0000O@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0000000T0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00D0oooo
00D000000?ooo`3oool0oooo0?l000030?ooo`050?l0003oool0oooo0?ooo`3o00000`3oool00`3o
0000oooo0?ooo`020?ooo`040?l0003oool0oooo0?l007L0oooo000D0?ooo`040000003oool0oooo
000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`2/0?oo
o`030000003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`050?l0003oool0
oooo0?ooo`3o0000OP3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00D0
00000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00D0oooo00D000000?ooo`3oool0
oooo0?l000030?ooo`050?l0003oool0oooo0?ooo`3o00000`3oool00`3o0000oooo0?ooo`020?oo
o`040?l0003oool0oooo0?l007L0oooo000D0?ooo`040000003oool0oooo000000P0oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`030?ooo`800000103oool00`3o
0000oooo0?ooo`030?ooo`030?l0003oool0oooo0880oooo0P0000040?ooo`030000003oool0oooo
00<0oooo0P0000040?ooo`800000103oool2000000@0oooo0P0000030?ooo`@000000`3oool00`00
0000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o0000103oool01@3o0000oooo0?ooo`3o
ool0o`0007L0oooo100000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000002@3o
ool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool01@3oool01@000000oooo
0?ooo`3oool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`030?l0003oool0oooo
0080oooo00@0o`000?ooo`3oool0o`00M`3oool000h0oooo100000020?ooo`040000003oool0oooo
000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo00000080oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`210?oo
o`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000103oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l00004
0?ooo`050?l0003oool0oooo0?ooo`3o0000P03oool010000000oooo0?ooo`0000030?ooo`030000
003oool0oooo00H0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00D0
oooo00D000000?ooo`3oool0oooo0?l000030?ooo`050?l0003oool0oooo0?ooo`3o00000`3oool0
0`3o0000oooo0?ooo`020?ooo`040?l0003oool0oooo0?l007L0oooo000D0?ooo`040000003oool0
oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000001@3oool01@000000oooo0?ooo`3o
ool0000000D0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`210?ooo`040000003o
ool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000103oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`050?l0
003oool0oooo0?ooo`3o0000O@3oool010000000oooo0?ooo`00000=0?ooo`<000000`3oool01000
0000oooo0?ooo`0000070?ooo`050000003oool0oooo0?ooo`3o00000`3oool01@3o0000oooo0?oo
o`3oool0o`0000<0oooo00<0o`000?ooo`3oool00P3oool0103o0000oooo0?ooo`3o001g0?ooo`00
503oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?oo
o`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0
oooo00<0o`000?ooo`3oool01@3oool20?l007@0oooo100000020?ooo`040000003oool0oooo0000
00P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`050?l0003oool0oooo
0?ooo`3o0000OP3oool200000100oooo00<000000?ooo`3oool00P3oool2000000P0oooo0P000002
0?ooo`050?l0003oool0oooo0?ooo`3o00000`3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo
00@0o`000?ooo`3oool0o`00M`3oool001D0oooo0P00000:0?ooo`800000103oool2000000@0oooo
0P0000040?ooo`800000103oool2000000@0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo
0?ooo`030?ooo`030?l0003oool0oooo00@0oooo0`3o00050?ooo`@000006`3oool00`000000oooo
0?ooo`0J0?ooo`8000006`3oool2000001X0oooo00@000000?ooo`3oool00000203oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0
oooo0?l000040?ooo`030?l0003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l0002O0?oo
o`050000003oool000000?ooo`3o00000`3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00<0
o`000?ooo`3oool00P3oool0103o0000oooo0?ooo`3o001g0?ooo`00?`3oool00`000000oooo0?oo
o`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?l0
00050?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool06@3oool010000000oooo0?oo
o`00000I0?ooo`040000003oool0oooo000001T0oooo00@000000?ooo`3oool00000203oool01000
0000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
0P3oool010000000oooo0?ooo`0000020?ooo`<00000103oool01@000000oooo0?ooo`3oool0o`00
00@0oooo00<0o`000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0009X0oooo0`000002
0?ooo`<0000000<0oooo0?l0003oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00<0
o`000?ooo`3oool00P3oool0103o0000oooo0?ooo`3o001g0?ooo`00?`3oool00`000000oooo0?oo
o`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool0103o0000oooo0?oo
o`3o00050?ooo`030000003oool0oooo01P0oooo1@00000J0?ooo`040000003oool0oooo000001T0
oooo00@000000?ooo`3oool000006P3oool2000000X0oooo0P0000040?ooo`800000103oool20000
00@0oooo0P0000050?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo0?l00004
0?ooo`030?l0003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000080?ooo`@000006`3o
ool00`000000oooo0?ooo`0J0?ooo`8000006`3oool2000003`0oooo00D000000?ooo`3oool0oooo
0?l000030?ooo`050?l0003oool0oooo0?ooo`3o00000`3oool00`3o0000oooo0?ooo`020?ooo`04
0?l0003oool0oooo0?l000@0oooo1000000N0?ooo`030000003oool0oooo01/0oooo0P00000N0?oo
o`8000004@3oool003l0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`03
0?l0003oool0oooo00@0oooo00@0o`000?ooo`3oool0o`001P3oool00`000000oooo0?ooo`0G0?oo
o`040000003oool0oooo000001/0oooo0`00000K0?ooo`800000A@3oool01@000000oooo0?ooo`3o
ool0o`0000@0oooo00<0o`000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000P0oooo
00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0I0?ooo`040000003oool0oooo000001T0
oooo00@000000?ooo`3oool00000>`3oool01@000000oooo0?ooo`3oool0o`0000<0oooo00D0o`00
0?ooo`3oool0oooo0?l000030?ooo`030?l0003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo
0?l000030?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool06P3oool010000000oooo
0?ooo`00000L0?ooo`040000003oool0oooo00000100oooo000o0?ooo`030000003oool0oooo00<0
oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`040?l0003oool0oooo0?l0
00L0oooo00<000000?ooo`3oool05`3oool00`000000oooo0000000K0?ooo`030000003oool0oooo
01X0oooo00@000000?ooo`3oool00000A03oool01@000000oooo0?ooo`3oool0o`0000@0oooo00<0
o`000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000T0oooo00<000000?ooo`3oool0
603oool5000001X0oooo00@000000?ooo`3oool000006@3oool010000000oooo0?ooo`00000k0?oo
o`<0000000<0oooo0?l0003oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00<0o`00
0?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00<000000?ooo`3oool06`3o
ool5000001/0oooo00@000000?ooo`3oool00000703oool010000000oooo0?ooo`00000@0?ooo`00
?`3oool00`000000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0
0`3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00@000000?ooo`3oool000006P3oool20000
01/0oooo00<000000?ooo`3oool06P3oool010000000oooo0?ooo`0000140?ooo`050000003oool0
oooo0?ooo`3o0000103oool00`3o0000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o0000
2P3oool00`000000oooo0?ooo`0G0?ooo`040000003oool0oooo000001/0oooo0`00000K0?ooo`80
0000?03oool01@000000oooo0?ooo`3oool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l00003
0?ooo`030?l0003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`030000003o
ool0oooo01X0oooo00@000000?ooo`3oool00000703oool3000001h0oooo0P00000A0?ooo`00?`3o
ool00`000000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3o
ool01@3o0000oooo0?ooo`3oool0o`0000D0oooo0P00000L0?ooo`030000003oool0oooo01X0oooo
0`00000J0?ooo`800000A@3oool01@000000oooo0?ooo`3oool0o`0000@0oooo00<0o`000?ooo`3o
ool00P3oool01@3o0000oooo0?ooo`3oool0o`0000/0oooo00<000000?ooo`3oool05`3oool00`00
0000oooo0000000K0?ooo`030000003oool0oooo01X0oooo00@000000?ooo`3oool00000>`3oool0
1@000000oooo0?ooo`3oool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`030?l0
003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000060?ooo`030000003oool0oooo01X0
oooo00<000000?ooo`000000703oool00`000000oooo0?ooo`0M0?ooo`040000003oool0oooo0000
0100oooo000o0?ooo`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000
oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0X@3oool01@000000
oooo0?ooo`3oool0o`0000@0oooo00<0o`000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0
o`0000P0oooo00@000000?ooo`3oool000006P3oool2000001/0oooo00<000000?ooo`3oool06P3o
ool010000000oooo0?ooo`00000k0?ooo`050000003oool0oooo0?ooo`3o00000`3oool01@3o0000
oooo0?ooo`3oool0o`0000<0oooo00<0o`000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0
o`0000<0oooo00@000000?l0003o000000007@3oool2000001`0oooo00<000000?ooo`3oool07@3o
ool010000000oooo0?ooo`00000@0?ooo`00?03oool3000000030?l000000000000000<0000000<0
o`000000000000000`0000000`3o0000000000000003000000030?l00000000000000080000000<0
o`00000000000000G`0000120?ooo`050000003oool0oooo0?ooo`3o0000103oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool30?l000030?oo
o`000000000001`0oooo00<000000?ooo`3oool06P3oool3000001X0oooo0P00000l0?ooo`050000
003oool0oooo0?ooo`3o00000`3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00<0o`000?oo
o`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo0P3o000O0?ooo`030000003oool0
oooo01/0oooo0`00000M0?ooo`8000004@3oool003l0oooo4@00o`000`3oool0o`000?ooo`020?oo
o`030000003o0000oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0@`3oool01@000000oooo0?ooo`3oool0
o`0000@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0
oooo0080oooo00<0o`000?ooo`3o0000U`3oool01@000000oooo0?ooo`3oool0o`0000<0oooo00D0
o`000?ooo`3oool0oooo0?l000030?ooo`030?l0003oool0oooo0080oooo00D0o`000?ooo`3oool0
oooo0?l000030?ooo`040?l0003oool0oooo0?l006l0oooo000o0?ooo`030?l0003oool0oooo00<0
oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`X00?l0X03oool01@000000
oooo0?ooo`3oool0o`0000@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?oo
o`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3o002A0?ooo`@00000O`00o`030000
00h0oooo000o0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000
oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo0P3o0005003o00030?l0003oool0oooo09D0
oooo0`00001f003o00<00000>@3oool01@3o0000oooo0?ooo`3oool0o`000080oooo00<000000?l0
003oool00P3oool01@3o0000oooo0?ooo`000000o`0000@0oooo00D0o`000?ooo`000000oooo0?l0
00030?ooo`030?l0003oool000000080oooo0P3o00030?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`0?0?ooo`00?`3oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0;
0?ooo`D00?l0UP3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00<0o`000?ooo`3oool00P3o
ool00`3o0000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o00001@3oool00`000000oooo
0?ooo`0J0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool06P3oool00`000000oooo
0?ooo`0j0?ooo`050?l0003oool0oooo0?ooo`3o00000`3oool01@3o0000oooo0?ooo`3oool0o`00
00@0oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`050?l0003oool0oooo0?ooo`3o0000LP3o
ool003l0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo00<0oooo00<0o`000?ooo`3oool0403oool5003o0940oooo00D0o`000?ooo`3oool0oooo0?l0
00040?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool01@3o0000oooo0?oo
o`3oool0o`0009X0oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`050?l0003oool0oooo0?oo
o`3o0000103oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l0
001b0?ooo`00?`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`00
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`0E0?ooo`D00?l0S03oool01@3o0000oooo0?ooo`3o
ool0o`0000@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`050?l0003o
ool0oooo0?ooo`3o0000VP3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00D0o`000?ooo`3o
ool0oooo0?l000040?ooo`050?l0003oool0oooo0?ooo`3o00000`3oool0103o0000oooo0?ooo`3o
001c0?ooo`00?`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`00
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`0J0?ooo`<00?l000<0o`000?ooo`3oool0QP3oool0
1@3o0000oooo0?ooo`3oool0o`0000@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?oo
o`020?ooo`050?l0003oool0oooo0?ooo`3o0000VP3oool01@3o0000oooo0?ooo`3oool0o`0000<0
oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`050?l0003oool0oooo0?ooo`3o00000`3oool0
103o0000oooo0?ooo`3o001c0?ooo`00?`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0M0?ooo`800?l000<0o`00
0?ooo`3oool0Q03oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00D0o`000?ooo`3oool0oooo
0?l000040?ooo`050?l0003oool0oooo0?ooo`3o0000VP3oool01@3o0000oooo0?ooo`3oool0o`00
00<0oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`050?l0003oool0oooo0?ooo`3o00000`3o
ool0103o0000oooo0?ooo`3o001c0?ooo`00?`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003o
ool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0O0?ooo`<00?l000<0
o`000?ooo`3oool0P@3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00D0o`000?ooo`3oool0
oooo0?l000040?ooo`050?l0003oool0oooo0?ooo`3o0000VP3oool01@3o0000oooo0?ooo`3oool0
o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`050?l0003oool0oooo0?ooo`3o0000
0`3oool0103o0000oooo0?ooo`3o001c0?ooo`00?`3oool00`3o0000oooo0?ooo`030?ooo`030?l0
003oool0oooo00<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0S0?ooo`800?l0
00<0o`000?ooo`3oool0O`3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00D0o`000?ooo`3o
ool0oooo0?l000040?ooo`040?l0003oool0oooo0?l009/0oooo00D0o`000?ooo`3oool0oooo0?l0
00030?ooo`050?l0003oool0oooo0?ooo`3o0000103oool01@3o0000oooo0?ooo`3oool0o`0000<0
oooo00@0o`000?ooo`3oool0o`00L`3oool001D0oooo0P0000040?ooo`030000003oool0oooo00<0
oooo0P0000040?ooo`800000103oool2000000@0oooo0P0000030?ooo`@000000`3oool00`3o0000
oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000
oooo0?ooo`0U0?ooo`@00?l0=P3oool3003o04D0oooo00D0o`000?ooo`3oool0oooo0?l000050?oo
o`050?l0003oool0oooo0?ooo`3o0000103oool0103o0000oooo0?ooo`3o002K0?ooo`050?l0003o
ool0oooo0?ooo`3o00000`3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00D0o`000?ooo`3o
ool0oooo0?l000030?ooo`040?l0003oool0oooo0?l007<0oooo000D0?ooo`040000003oool0oooo
000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?oo
o`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?oo
o`030?l0003oool0oooo02T0oooo1000o`0^0?ooo`80o`000P00o`180?ooo`050?l0003oool0oooo
0?ooo`3o00001@3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00@0o`000?ooo`3oool0o`00
V`3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l000040?oo
o`040?l0003oool0oooo0?l000D0oooo00<0o`000?ooo`3o0000L`3oool001@0oooo00@000000?oo
o`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo
00<0oooo00<0o`000000003oool00`3oool00`3o0000oooo0?ooo`040?ooo`050?l0003oool0oooo
0?ooo`3o0000;`3oool2003o02X0oooo1000o`1:0?ooo`050?l0003oool0oooo0?ooo`3o00001@3o
ool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00@0o`000?ooo`3oool0o`00N@3oool400000080
oooo00D000000?ooo`3oool0oooo000000060?ooo`@000000`3oool2000000P0oooo00D0o`000?oo
o`3oool0oooo0?l000030?ooo`050?l0003oool0oooo0?ooo`3o0000103oool0103o0000oooo0?oo
o`3o00050?ooo`030?l0003oool0o`0007<0oooo000D0?ooo`040000003oool0oooo000000P0oooo
00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`030?l0003o
ool0oooo00<0oooo00<0o`000?ooo`3oool0103oool01@3o0000oooo0?ooo`3oool0o`000340oooo
1000o`0R0?ooo`@00?l0903oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000@0oooo
0P0000040?ooo`800000103oool2000000<0oooo100000030?ooo`050?l0003oool0oooo0?ooo`3o
00001@3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00<0o`000?ooo`3o0000NP3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0000000T0oooo00D000000?ooo`3oool0oooo00000002
0?ooo`030000003oool0oooo00D0oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`050?l0003o
ool0oooo0?ooo`3o0000103oool0103o0000oooo0?ooo`3o00050?ooo`030?l0003oool0o`0007<0
oooo000D0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
1@3oool01@000000oooo0?ooo`3oool0o`0000D0oooo00<0o`000?ooo`3oool0103oool01@3o0000
oooo0?ooo`3oool0o`0003D0oooo1000o`000`3o0000oooo0?ooo`0G0?ooo`@00?l000<0o`000?oo
o`3oool0903oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@0
00000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0000
00@0oooo00<000000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00D0o`00
0?ooo`3oool0oooo0?l000050?ooo`80o`00N`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00P0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo00D0oooo
00D0o`000?ooo`3oool0oooo0?l000030?ooo`050?l0003oool0oooo0?ooo`3o0000103oool0103o
0000oooo0?ooo`3o00050?ooo`030?l0003oool0o`0007<0oooo000D0?ooo`040000003oool0oooo
000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`000003
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool01@3o0000oooo0?ooo`3o
ool0o`0003T0oooo1000o`0B0?ooo`80o`000P00o`0[0?ooo`040000003oool0oooo000000P0oooo
00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`050?l0003o
ool0oooo0?ooo`3o00001@3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo0P3o001l0?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`0000002@3oool01@000000oooo0?ooo`3oool00000
0080oooo00<000000?ooo`3oool01@3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00D0o`00
0?ooo`3oool0oooo0?l000040?ooo`040?l0003oool0oooo0?l000D0oooo0P3o001d0?ooo`005@3o
ool2000000X0oooo0P0000040?ooo`800000103oool2000000@0oooo0P0000040?ooo`800000103o
ool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00D0o`000?ooo`3oool0oooo
0?l0000m0?oooa@00?l0;@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo0000
0080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003o
ool0oooo000000@0oooo00<000000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000D0
oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`80o`00O@3oool010000000oooo0?ooo`000003
0?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003o
ool0oooo00D0oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`050?l0003oool0oooo0?ooo`3o
0000103oool0103o0000oooo0?ooo`3o00050?ooo`80o`00M03oool003l0oooo00<0o`000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`040?ooo`050?l0003oool0oooo0?ooo`3o0000OP3oool01000
0000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
0P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000@0oooo00<000000?oo
o`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00D0o`000?ooo`3oool0oooo0?l0
00050?ooo`80o`00NP3oool010000000oooo0?ooo`00000=0?ooo`<000000`3oool010000000oooo
0?ooo`0000070?ooo`050?l000000000oooo0?ooo`3o00000`3oool01@3o0000oooo0?ooo`3oool0
o`0000@0oooo00@0o`000?ooo`3oool0o`001@3oool20?l007@0oooo000o0?ooo`030?l0003oool0
oooo00<0oooo00<0o`000?ooo`3oool0103oool01@3o0000oooo0?ooo`3oool0o`0007h0oooo00@0
00000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0000
0080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`<00000103o
ool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`80
o`00N`3oool200000100oooo00<000000?ooo`3oool00P3oool2000000P0oooo00D0o`000?ooo`00
0000oooo0?l000030?ooo`050?l0003oool0oooo0?ooo`3o0000103oool0103o0000oooo0?ooo`3o
00050?ooo`80o`00M03oool003l0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`04
0?ooo`050?l0003oool0oooo0?ooo`3o0000O`3oool2000000X0oooo0P0000040?ooo`800000103o
ool2000000@0oooo0P0000050?ooo`030000003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo
0?l000050?ooo`050?l0003oool0oooo0?ooo`3o00001@3oool00`3o0000oooo0?ooo`2F0?ooo`<0
00000P3oool01@3o000000000000003oool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l00004
0?ooo`040?l0003oool0oooo0?l007/0oooo000o0?ooo`030?l0003oool0oooo00<0oooo00<0o`00
0?ooo`3oool0103oool01@3o0000oooo0?ooo`3oool0o`000:T0oooo00D0o`000?ooo`3oool0oooo
0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000X`3oool01@3o0000oooo0?ooo`3oool0o`00
00<0oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`040?l0003oool0oooo0?l007/0oooo000o
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool01@3o0000oooo0?ooo`3o
ool0o`000:T0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`050?l0003oool0oooo0?ooo`3o
0000X`3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l00004
0?ooo`040?l0003oool0oooo0?l007/0oooo000o0?ooo`030?l0003oool0oooo00<0oooo00<0o`00
0?ooo`3oool0103oool01@3o0000oooo0?ooo`3oool0o`000:T0oooo00D0o`000?ooo`3oool0oooo
0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000X`3oool01@3o000000000000003oool0o`00
00<0oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`040?l0003oool0oooo0?l007/0oooo000E
0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`800000103oool2000000@0oooo0P000004
0?ooo`8000001@3oool00`000000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00<0o`00
0?ooo`3oool0103oool01@3o0000oooo0?ooo`3oool0o`000:T0oooo00D0o`000?ooo`3oool0oooo
0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000X`3oool01@3o0000oooo0?ooo`3oool0o`00
00<0oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`040?l0003oool0oooo0?l007/0oooo000D
0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000103oool0
0`000000oooo0?ooo`020?ooo`030000003o0000oooo00<0oooo00<0o`000?ooo`3oool0103oool0
1@3o0000oooo0?ooo`3oool0o`000:T0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`050?l0
003oool0oooo0?ooo`3o0000X`3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00D0o`000?oo
o`3oool0oooo0?l000040?ooo`040?l0003oool0oooo0?l007/0oooo000D0?ooo`040000003oool0
oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo00000080oooo00D000000?ooo`3oool000000?ooo`05000000<0oooo00<00000
0?l0003oool00`3oool00`3o0000oooo0?ooo`040?ooo`040?l0003oool0oooo0?l00:X0oooo00D0
o`000?ooo`3oool0oooo0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000P`3oool01@000000
oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool0103oool4000000<0oooo0P0000080?oo
o`050?l0003oool0oooo0?ooo`3o00000`3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00@0
o`000?ooo`3oool0o`00N`3oool001@0oooo00@000000?ooo`3oool00000203oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool0
1P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool00P3oool00`000000o`00
0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00@0o`000?ooo`3oool0o`00P03oool2000000@0
oooo00<000000?ooo`3oool00`3oool2000000@0oooo0P0000040?ooo`800000103oool2000000<0
oooo100000030?ooo`050?l0003oool0oooo0?ooo`3o00001@3oool01@3o0000oooo0?ooo`3oool0
o`0008<0oooo00<000000?ooo`3oool00P3oool00`000000oooo000000090?ooo`050000003oool0
oooo0?ooo`0000000P3oool00`000000oooo0?ooo`050?ooo`050?l0003oool0oooo0?ooo`3o0000
0`3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00@0o`000?ooo`3oool0o`00N`3oool001@0
oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0000000@0oooo00<000000?l0003oool00`3oool00`3o0000oooo0?ooo`040?ooo`04
0?l0003oool0oooo0?l007l0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000020?ooo`030000003oool0oooo00@0oooo00D0o`000?ooo`3oool0oooo0?l00005
0?ooo`050?l0003oool0oooo0?ooo`3o0000P03oool5000000@0oooo00<000000?ooo`3oool0203o
ool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool01@3oool01@3o0000oooo
0?ooo`3oool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`040?l0003oool0oooo
0?l007/0oooo000D0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool000000`3oool2000000@0oooo00<000000?l0003oool00`3oool00`3o0000oooo0?ooo`040?oo
o`040?l0003oool0oooo0?l007l0oooo00@000000?ooo`3oool00000203oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`0000030?ooo`030000003oool0oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l0
00050?ooo`050?l0003oool0oooo0?ooo`3o0000P03oool010000000oooo0?ooo`0000040?ooo`03
0000003oool0000000T0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo
00D0oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`050?l0003oool0oooo0?ooo`3o0000103o
ool0103o0000oooo0?ooo`3o001k0?ooo`005@3oool2000000X0oooo0P0000040?ooo`800000103o
ool2000000@0oooo0P0000050?ooo`030000003oool0oooo0080oooo00<000000?l0003oool00`3o
ool00`3o0000oooo0?ooo`040?ooo`040?l0003oool0oooo0?l007l0oooo00@000000?ooo`3oool0
0000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo0080oooo
00D0o`000?ooo`3oool0oooo0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000P@3oool00`00
0000oooo000000030?ooo`050000003oool0oooo0?ooo`000000203oool01@000000oooo0?ooo`3o
ool000000080oooo00<000000?ooo`3oool01@3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo
00D0o`000?ooo`3oool0oooo0?l000040?ooo`040?l0003oool0oooo0?l007/0oooo000o0?ooo`03
0000003o0000oooo00<0oooo00<0o`000?ooo`3oool0103oool0103o0000oooo0?ooo`3o001o0?oo
o`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000001@3oool01@00
0000oooo0?ooo`3oool0o`0000<0oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3o
ool0o`000880oooo0P00000>0?ooo`<000000`3oool010000000oooo0?ooo`0000070?ooo`050?l0
003oool0oooo0?ooo`3o00000`3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00@0o`000?oo
o`3oool0o`00N`3oool003l0oooo00<000000?l0003oool00`3oool00`3o0000oooo0?ooo`040?oo
o`040?l0003oool0oooo0?l007l0oooo00@000000?ooo`3oool00000203oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo00D0o`000?ooo`3oool0oooo
0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000P`3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo0080oooo0P0000080?ooo`050?l000000000oooo0?ooo`3o00000`3oool01@3o
0000oooo0?ooo`3oool0o`0000@0oooo00@0o`000?ooo`3oool0o`00N`3oool003l0oooo00<00000
0?l0003oool00`3oool00`3o0000oooo0?ooo`040?ooo`040?l0003oool0oooo0?l00800oooo0P00
000:0?ooo`800000103oool2000000@0oooo0P0000040?ooo`800000103oool2000000@0oooo00D0
o`000?ooo`3oool0oooo0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000X`3oool01@3o0000
oooo0000003oool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`040?l0003oool0
oooo0?l007/0oooo000o0?ooo`030000003o0000oooo0080oooo00<0o`000?ooo`3oool01@3oool0
103o0000oooo0?ooo`3o002Z0?ooo`050?l0003oool0oooo0?ooo`3o00001@3oool01@3o0000oooo
0?ooo`3oool0o`0009h0oooo0`0000020?ooo`050?l00000000000000?ooo`3o00000`3oool01@3o
0000oooo0?ooo`3oool0o`0000@0oooo00@0o`000?ooo`3oool0o`00N`3oool003l0oooo00<00000
0?l0003oool00P3oool00`3o0000oooo0?ooo`050?ooo`040?l0003oool0oooo0?l00:X0oooo00D0
o`000?ooo`3oool0oooo0?l000050?ooo`040?l0003oool0oooo0?l00:@0oooo00D0o`000?ooo`3o
ool0oooo0?l000030?ooo`050?l0003oool0oooo0?ooo`3o0000103oool0103o0000oooo0?ooo`3o
001k0?ooo`005@3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000@0oooo0P000004
0?ooo`800000103oool2000000@0oooo0P0000040?ooo`030000003o0000oooo0080oooo00<0o`00
0?ooo`3oool01@3oool0103o0000oooo0?ooo`3o002Z0?ooo`050?l0003oool0oooo0?ooo`3o0000
1@3oool0103o0000oooo0?ooo`3o002T0?ooo`050?l0003oool0oooo0?ooo`3o00000`3oool01@3o
0000oooo0?ooo`3oool0o`0000@0oooo00@0o`000?ooo`3oool0o`00N`3oool001@0oooo00@00000
0?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0
oooo000000<0oooo00<000000?l0003oool00P3oool00`3o0000oooo0?ooo`050?ooo`040?l0003o
ool0oooo0?l00:X0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`040?l0003oool0oooo0?l0
0:@0oooo00D0o`00000000000000oooo0?l000030?ooo`050?l0003oool0oooo0?ooo`3o0000103o
ool0103o0000oooo0?ooo`3o001k0?ooo`00503oool010000000oooo0?ooo`0000080?ooo`040000
003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000`3oool00`000000o`00
0?ooo`020?ooo`030?l0003oool0oooo00D0oooo00@0o`000?ooo`3oool0o`00ZP3oool01@3o0000
oooo0?ooo`3oool0o`0000D0oooo00@0o`000?ooo`3oool0o`00Y03oool01@3o0000oooo0?ooo`3o
ool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`040?l0003oool0oooo0?l007/0
oooo000D0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
0P3oool3000000@0oooo00<000000?l0003oool00P3oool00`3o0000oooo0?ooo`050?ooo`040?l0
003oool0oooo0?l00:X0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`040?l0003oool0oooo
0?l00:@0oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`050?l0003oool0oooo0?ooo`3o0000
103oool0103o0000oooo0?ooo`3o001k0?ooo`00503oool010000000oooo0?ooo`0000080?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0103oool00`000000o`00
0?ooo`020?ooo`030?l0003oool0oooo00D0oooo00@0o`000?ooo`3oool0o`00P03oool2000000@0
oooo00<000000?ooo`3oool00`3oool2000000@0oooo0P0000040?ooo`800000103oool2000000@0
oooo0P0000040?ooo`050?l0003oool0oooo0?ooo`3o00001@3oool0103o0000oooo0?ooo`3o0023
0?ooo`8000000`3oool01@000000oooo0?ooo`3oool0000000H0oooo100000030?ooo`800000203o
ool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`04
0?l0003oool0oooo0?l007/0oooo000D0?ooo`040000003oool0oooo000000P0oooo00@000000?oo
o`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`030000003o0000oooo0080
oooo00<0o`000?ooo`3oool01@3oool0103o0000oooo0?ooo`3o001o0?ooo`040000003oool0oooo
000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`000003
0?ooo`050?l0003oool0oooo0?ooo`3o00001@3oool0103o0000oooo0?ooo`3o00220?ooo`040000
003oool0oooo000000<0oooo00<000000?ooo`0000002@3oool01@000000oooo0?ooo`3oool00000
0080oooo00<000000?ooo`3oool01@3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00D0o`00
0?ooo`3oool0oooo0?l000040?ooo`040?l0003oool0oooo0?l007/0oooo000E0?ooo`8000002P3o
ool2000000@0oooo0P0000040?ooo`800000103oool2000000@0oooo0`0000030?ooo`030000003o
0000oooo0080oooo00<0o`000?ooo`3oool01@3oool0103o0000oooo0?ooo`3o001o0?ooo`040000
003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000001@3oool01@000000oooo
0?ooo`3oool0o`0000<0oooo00<0o`000?ooo`3oool00`3oool0103o0000oooo0?ooo`3o00220?oo
o`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0203oool01@000000oooo0?ooo`3o
ool000000080oooo00<000000?ooo`3oool01@3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo
00D0o`000?ooo`3oool0oooo0?l000040?ooo`040?l0003oool0oooo0?l007/0oooo000o0?ooo`03
0000003o0000oooo0080oooo00<0o`000?ooo`3oool01@3oool0103o0000oooo0?ooo`3o001o0?oo
o`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000`3oool20000
00@0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`040?l0003oool0oooo0?l00880oooo0`00
00040?ooo`030000003oool0000000T0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000
003oool0oooo00D0oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`050?l0003oool0oooo0?oo
o`3o0000103oool0103o0000oooo0?ooo`3o001k0?ooo`00?`3oool00`000000o`000?ooo`020?oo
o`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3o0000P03oool010000000oooo0?ooo`000008
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo000000D0oooo00D000000?ooo`3oool0oooo0?l00003
0?ooo`030?l0003oool0oooo00<0oooo00@0o`000?ooo`3oool0o`00PP3oool00`000000oooo0?oo
o`030?ooo`050000003oool0oooo0?ooo`000000203oool01@000000oooo0?ooo`3oool000000080
oooo00<000000?ooo`3oool01@3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00D0o`000?oo
o`3oool0oooo0?l000040?ooo`040?l0003oool0oooo0?l007/0oooo000o0?ooo`030000003o0000
oooo0080oooo00<0o`000?ooo`3oool01P3oool20?l00800oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo00D0
o`000?ooo`3oool0oooo0?l000050?ooo`040?l0003oool0oooo0?l00880oooo00<000000?ooo`3o
ool03P3oool3000000<0oooo00@000000?ooo`3oool000001`3oool01@3o000000000?ooo`3oool0
o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`040?l0003oool0oooo0?l007/0oooo
000o0?ooo`030000003o0000oooo0080oooo00<0o`000?ooo`3oool01P3oool20?l00840oooo0P00
000:0?ooo`800000103oool2000000@0oooo0P0000040?ooo`800000103oool2000000@0oooo00D0
o`000?ooo`3oool0oooo0?l000050?ooo`040?l0003oool0oooo0?l008<0oooo0`00000?0?ooo`03
0000003oool0oooo0080oooo0P0000080?ooo`050?l0003oool000000?ooo`3o00000`3oool01@3o
0000oooo0?ooo`3oool0o`0000@0oooo00@0o`000?ooo`3oool0o`00N`3oool003l0oooo00<00000
0?l0003oool00P3oool00`3o0000oooo0?ooo`060?ooo`80o`00Z`3oool01@3o0000oooo0?ooo`3o
ool0o`0000D0oooo00@0o`000?ooo`3oool0o`00W`3oool300000080oooo00D0o`00000000000000
oooo0?l000030?ooo`050?l0003oool0oooo0?ooo`3o0000103oool0103o0000oooo0?ooo`3o001k
0?ooo`00?`3oool00`000000o`000?ooo`020?ooo`030?l0003oool0oooo00H0oooo0P3o003o0?oo
oeh0oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`050?l0003oool0oooo0?ooo`3o0000103o
ool0103o0000oooo0?ooo`3o001k0?ooo`00o`3ooon]0?ooo`050?l0003oool0oooo0?ooo`3o0000
0`3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00@0o`000?ooo`3oool0o`00N`3oool00?l0
oooo[@3oool01@3o000000000000003oool0o`0000<0oooo00D0o`000?ooo`3oool0oooo0?l00004
0?ooo`040?l0003oool0oooo0?l007/0oooo003o0?ooool0oooo?P3oool007T0oooo00<000000?oo
o`3oool0]P3oool300000?l0oooo203oool007T0oooo00<000000?ooo`3oool0^@3oool00`000000
oooo0?ooo`3o0?ooo`D0oooo001f0?ooo`D00000^P3oool00`000000oooo0?ooo`3o0?ooo`D0oooo
001f0?ooo`040000003oool0oooo00000;P0oooo0`00002e0?ooo`800000D03oool007L0oooo00<0
00000?ooo`000000^03oool00`000000oooo0?ooo`2d0?ooo`040000003oool0oooo000004l0oooo
001h0?ooo`800000^03oool00`000000oooo0?ooo`2d0?ooo`040000003oool0oooo000004l0oooo
001i0?ooo`030000003oool0oooo0;H0oooo1000002c0?ooo`<00000D03oool00?l0oooojP3oool0
0`000000oooo0?ooo`1@0?ooo`00o`3ooooZ0?ooo`030000003oool0oooo0500oooo003o0?ooon/0
oooo0`00001?0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3oool00?l0ooooo`3oooln
0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3oool00?l0ooooo`3oooln0?ooo`00o`3o
oooo0?oooch0oooo003o0?ooool0oooo?P3oool00?l0ooooo`3oooln0?ooo`00o`3ooooo0?oooch0
oooo003o0?ooool0oooo?P3oool00?l0ooooo`3oooln0?ooo`00o`3ooooo0?oooch0oooo003o0?oo
ool0oooo?P3oool00?l0ooooo`3oooln0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3o
ool004X0oooo1000000O0?ooo`030000003oool0oooo01d0oooo0P00000O0?ooo`800000F03oool4
000001l0oooo00<000000?ooo`3oool07@3oool2000001l0oooo0P00003>0?ooo`00BP3oool00`00
0000oooo0?ooo`0P0?ooo`030000003oool0oooo01`0oooo00@000000?ooo`3oool000007@3oool0
10000000oooo0?ooo`00001G0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0703o
ool010000000oooo0?ooo`00000M0?ooo`040000003oool0oooo00000<d0oooo001;0?ooo`030000
003oool0oooo01`0oooo1@00000M0?ooo`040000003oool0oooo000001d0oooo00@000000?ooo`3o
ool00000F03oool00`000000oooo0?ooo`0L0?ooo`D000007@3oool010000000oooo0?ooo`00000M
0?ooo`040000003oool0oooo00000<d0oooo001<0?ooo`030000003oool0oooo01/0oooo00@00000
0?ooo`3oool000007P3oool3000001l0oooo0P00001J0?ooo`030000003oool0oooo01/0oooo00@0
00000?ooo`3oool000007P3oool3000001l0oooo0P00003>0?ooo`00C@3oool00`000000oooo0?oo
o`0K0?ooo`030000003oool0000001h0oooo00<000000?ooo`3oool07P3oool010000000oooo0?oo
o`00001J0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`0000007P3oool00`000000oooo
0?ooo`0N0?ooo`040000003oool0oooo000003X0oooo00<000000?ooo`3oool0T03oool004X0oooo
00@000000?ooo`3oool000007P3oool2000001h0oooo00<000000?ooo`3oool07P3oool010000000
oooo0?ooo`00001G0?ooo`040000003oool0oooo000001h0oooo0P00000N0?ooo`030000003oool0
oooo01h0oooo00@000000?ooo`3oool00000>P3oool00`000000oooo0?ooo`2@0?ooo`00B`3oool2
00000200oooo00<000000?ooo`3oool07@3oool3000001h0oooo0P00001I0?ooo`800000803oool0
0`000000oooo0?ooo`0M0?ooo`<000007P3oool2000003/0oooo00<000000?ooo`3oool02@3oool3
0?l008@0oooo000[0?ooo`030000003oool0oooo0;/0oooo00<000000?ooo`3oool0_@3oool00`00
0000oooo0?ooo`080?ooo`040?l0003oool0oooo0?l000l0oooo1000000N0?ooo`030000003oool0
oooo01`0oooo0P00000N0?ooo`8000004P3oool002/0oooo00<000000?ooo`3oool0^`3oool00`00
0000oooo0?ooo`2m0?ooo`030000003oool0oooo00P0oooo00@0o`000?ooo`3oool0o`003`3oool0
0`000000oooo0?ooo`0O0?ooo`030000003oool0oooo01/0oooo00@000000?ooo`3oool00000703o
ool010000000oooo0?ooo`00000A0?ooo`00:03oool3000000<0o`00QP00000b0?ooo`<0000000<0
o`00000000000000Q@00000h0?ooo`030000003oool0oooo00P0oooo00D0o`000?ooo`3oool0oooo
0?l0000?0?ooo`030000003oool0oooo01/0oooo1@00000L0?ooo`040000003oool0oooo000001`0
oooo00@000000?ooo`3oool000004@3oool002/0oooo1@00o`030?l000030?ooo`000000oooo00H0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo03L0
oooo1@00o`030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0203oool01@3o0000
oooo0?ooo`3oool0o`000100oooo00<000000?ooo`3oool06P3oool010000000oooo0?ooo`00000M
0?ooo`<000007P3oool200000180oooo000[0?ooo`030000003oool0oooo0080oooo2@00o`2`0?oo
o`050000003oool0oooo0?l0003oool02000o`2c0?ooo`030000003oool0oooo00P0oooo00<0o`00
0?ooo`3oool00P3oool00`3o0000oooo0?ooo`0>0?ooo`030000003oool0oooo01X0oooo00<00000
0?ooo`0000007@3oool00`000000oooo0?ooo`0M0?ooo`040000003oool0oooo00000140oooo000[
0?ooo`8000002@3oool30?l000800?l0[P3oool01@000000oooo0?ooo`3oool0o`0000P0oooo0`00
o`2`0?ooo`030000003oool0oooo00P0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?oo
o`0;0?ooo`040000003oool0oooo000001d0oooo0P00000M0?ooo`030000003oool0oooo01d0oooo
00@000000?ooo`3oool000004@3oool002/0oooo00<000000?ooo`3oool0303oool00`3o00000?l0
003o0002003o0:X0oooo0P0000030?ooo`80o`001@3oool40?l000@00?l00P3o002Z0?ooo`030000
003oool0oooo00P0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0<0?ooo`800000
7`3oool00`000000oooo0?ooo`0L0?ooo`<000007@3oool200000180oooo000[0?ooo`030000003o
ool0oooo0100oooo00@0o`00003o0000o`000?l0Y`3oool00`000000oooo0?ooo`040?ooo`D0o`00
203oool3003o00030?l0003oool0oooo0:H0oooo00<000000?ooo`3oool01`3oool00`3o0000oooo
0?ooo`030?ooo`030?l0003oool0oooo0800oooo000[0?ooo`030000003oool0oooo0180oooo0P3o
0002003o0:D0oooo00<000000?ooo`3oool0503oool2003o00030?l0003oool0oooo0:@0oooo00<0
00000?ooo`3oool01`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo07l0oooo000[
0?ooo`8000005P3oool00`3o00000?l0003o002S0?ooo`030000003oool0oooo01H0oooo0P00o`00
0`3o0000oooo0?ooo`2N0?ooo`@0000000<0o`000000000000001`0000000`3o0000000000000004
000000030?l0000000000000074000003P3oool002/0oooo00<000000?ooo`3oool0603oool2003o
0:40oooo0P00000I0?ooo`800?l0X`3oool7003o00040?ooo`000000oooo0?l000D0oooo00<00000
0?l0003oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0100oooo000[0?oo
o`030000003oool0oooo01X0oooo0P00o`2O0?ooo`030000003oool0oooo01X0oooo0P00o`2Q0?oo
o`030?l0003oool0oooo00@0oooo1`00o`040?ooo`030?l0003oool0oooo07h0oooo000[0?ooo`80
00007@3oool2003o09d0oooo00<000000?ooo`3oool0703oool2003o09l0oooo00<0o`000?ooo`3o
ool01P3oool00`3o0000oooo0?ooo`020?ooo`@00?l000<0o`000?ooo`3oool0OP3oool002/0oooo
00<000000?ooo`3oool07P3oool2003o09/0oooo0P00000O0?ooo`03003o003o0000oooo09`0oooo
00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`060?ooo`800?l0O`3oool002/0oooo00<0
00000?ooo`3oool0803oool00`00o`00oooo0?ooo`2H0?ooo`030000003oool0oooo01l0oooo0P00
o`2L0?ooo`030000003o0000oooo00H0oooo00<0o`000?ooo`3oool01`3oool0103o00000?l0003o
0000o`1l0?ooo`00:`3oool00`000000oooo0?ooo`0Q0?ooo`800?l0N`3oool2000000@0oooo00<0
00000?ooo`3oool00`3oool2000000@0oooo0P0000030?ooo`@000000P3oool00`000000oooo0?oo
o`0Q0?ooo`03003o003oool0oooo09T0oooo00<000000?l0003oool01P3oool00`3o0000oooo0?oo
o`080?ooo`80o`0000@0oooo003o0000o`000?l0N@3oool002/0oooo0P00000S0?ooo`030?l00000
o`00oooo07P0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo00000080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0R0?oo
o`800?l0V@3oool00`000000o`000?ooo`060?ooo`030?l0003oool0oooo00T0oooo1@3o0003003o
07H0oooo000D0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`8000000`3oool400000080
oooo00<000000?ooo`3oool08`3oool00`3o00000?l00?ooo`1g0?ooo`040000003oool0oooo0000
00P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000030?ooo`030000003o
ool0oooo0080oooo0P00000T0?ooo`030?l00000o`00oooo09L0oooo00<000000?l0003oool01P3o
ool00`3o0000oooo0?ooo`0A0?ooo`800?l0M03oool001<0oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000040?ooo`050000003oool0oooo0?ooo`0000009P3oool00`3o0000
0?l00?ooo`1f0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000040?ooo`050000003oool0oooo0?ooo`0000009P3oool00`3o00000?l0
0?ooo`2F0?ooo`030000003o0000oooo00H0oooo00<0o`000?ooo`3oool04`3oool2003o0780oooo
000C0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool00000103oool010000000
oooo0?ooo`3oool2000002H0oooo00<0o`00003o003oool0M@3oool010000000oooo0?ooo`000008
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000001@3oool010000000oooo
0?ooo`00000W0?ooo`030?l00000o`00oooo09D0oooo00<000000?l0003oool01@3oool00`3o0000
oooo0?ooo`0F0?ooo`03003o003oool0oooo06l0oooo000C0?ooo`040000003oool0oooo000000P0
oooo00@000000?ooo`3oool00000103oool01@000000oooo0?ooo`3oool0000002P0oooo00<0o`00
003o003oool0M03oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo
02H0oooo00<00?l00?ooo`3oool0U03oool00`000000o`000?ooo`050?ooo`030?l0003oool0oooo
01L0oooo0P00o`1_0?ooo`004`3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo
000000@0oooo00D000000?ooo`3oool0oooo0000000Y0?ooo`030?l00000o`00oooo07@0oooo0P00
000:0?ooo`800000103oool2000000@0oooo0P0000030?ooo`800000:03oool00`00o`00o`000?oo
o`2C0?ooo`030000003o0000oooo00D0oooo00<0o`000?ooo`3oool06@3oool00`00o`00oooo0?oo
o`1/0?ooo`004`3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo
0`0000030?ooo`800000:P3oool00`00o`00oooo0?ooo`2?0?ooo`030000003oool0oooo02P0oooo
00<00?l00?l0003oool0TP3oool00`000000o`000?ooo`050?ooo`030?l0003oool0oooo01X0oooo
00<00?l00?ooo`3oool0J`3oool001@0oooo0P00000:0?ooo`8000001@3oool01@000000oooo0?oo
o`3oool0000002`0oooo00<00?l00?ooo`3oool0SP3oool00`000000oooo0?ooo`0Y0?ooo`03003o
003o0000oooo06d0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`800000
103oool2000000<0oooo100000030?ooo`030000003o0000oooo00D0oooo00<0o`000?ooo`3oool0
6`3oool2003o06/0oooo000[0?ooo`030000003oool0oooo02/0oooo00<00?l00?ooo`3oool0S@3o
ool00`000000oooo0?ooo`0Z0?ooo`03003o003o0000oooo06/0oooo00@000000?ooo`3oool00000
203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0o`0000D0oooo00<0o`00
0?ooo`3oool0703oool00`3o00000?l00?ooo`1Y0?ooo`00:`3oool00`000000oooo0?ooo`0/0?oo
o`03003o003oool0oooo08`0oooo0P00000/0?ooo`03003o003o0000oooo06X0oooo00@000000?oo
o`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`030?ooo`030000003oool0o`0000D0
oooo00<0o`000?ooo`3oool07@3oool00`3o00000?l0003o001X0?ooo`00:`3oool2000002d0oooo
00<00?l00?ooo`3oool0S03oool00`000000oooo0?ooo`0/0?ooo`03003o003oool0oooo06T0oooo
00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`030000003o
ool0o`0000@0oooo00<0o`000?ooo`3oool0803oool00`3o00000?l00?ooo`1V0?ooo`00:`3oool0
0`000000oooo0?ooo`0]0?ooo`03003o003oool0oooo08/0oooo00<000000?ooo`3oool0;@3oool0
0`00o`00oooo0?ooo`1X0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool00000
0P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000D0oooo00L000000?oo
o`3oool0oooo0000003oool0o`0000@0oooo00<0o`000?ooo`3oool08@3oool00`3o00000?l00?oo
o`1U0?ooo`00:`3oool00`000000oooo0?ooo`0^0?ooo`03003o003oool0oooo08X0oooo00<00000
0?ooo`3oool0;P3oool00`00o`00oooo0?ooo`1W0?ooo`040000003oool0oooo000000P0oooo00@0
00000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0000
0080oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?l000040?ooo`030?l0003oool0
oooo0280oooo00<0o`00003o003oool0I03oool002/0oooo0P00000`0?ooo`03003o003oool0oooo
08T0oooo0P00000`0?ooo`03003o003oool0oooo06L0oooo0P00000:0?ooo`800000103oool20000
00@0oooo0P0000040?ooo`800000103oool00`000000oooo0?l000040?ooo`030?l0003oool0oooo
02<0oooo00<00?l00?ooo`3oool0H`3oool002/0oooo00<000000?ooo`3oool0<03oool00`00o`00
oooo0?ooo`1[0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`800000103oool2000000D0
oooo00D000000?ooo`3oool0oooo0000000b0?ooo`03003o003oool0oooo08X0oooo00<000000?oo
o`3o00000`3oool00`3o0000oooo0?ooo`0U0?ooo`03003o003oool0oooo0680oooo000[0?ooo`03
0000003oool0oooo0340oooo00<00?l00?ooo`3oool0J@3oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000103oool01@000000oooo0?oo
o`3oool000000380oooo00<0o`00003o003oool0RP3oool010000000oooo0?ooo`3o00020?ooo`03
0?l0003oool0oooo02H0oooo00<00?l00?ooo`3oool0H@3oool002/0oooo0P00000b0?ooo`03003o
003o0000oooo06T0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?oo
o`050000003oool0oooo0000003oool01@0000020?ooo`800000<P3oool00`00o`00oooo0?ooo`29
0?ooo`040000003oool0oooo0?l00080oooo00<0o`000?ooo`3oool09`3oool00`00o`00oooo0?oo
o`1P0?ooo`00:`3oool00`000000oooo0?ooo`0b0?ooo`03003o003oool0oooo06P0oooo00@00000
0?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`060000003oool0oooo0000003o
ool000000P3oool01@000000oooo0?ooo`3oool0000003@0oooo00<00?l00?ooo`3oool0R03oool0
10000000oooo0?ooo`3o00020?ooo`030?l0003oool0oooo02P0oooo00<00?l00?ooo`3oool0G`3o
ool001@0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`@000000P3oool0
0`000000oooo0?ooo`0c0?ooo`03003o003oool0oooo06L0oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`00
00000`3oool00`000000oooo0?ooo`0c0?ooo`03003o003oool0oooo08L0oooo00@000000?ooo`3o
ool0o`000P3oool00`3o0000oooo0?ooo`0Y0?ooo`03003o003oool0oooo05h0oooo000C0?ooo`04
0000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo03@0oooo00<00?l00?ooo`3oool0IP3oool010000000oooo0?ooo`00
00080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000`3oool2000000<0
oooo00<000000?ooo`3oool0<`3oool00`3o00000?l00?ooo`270?ooo`040000003oool0oooo0?oo
o`<0o`00:`3oool00`3o00000?l00?ooo`1N0?ooo`004`3oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo000000<0oooo00<000000?ooo`3oool00P3oool2000003H0oooo00<00?l0
0?ooo`3oool0IP3oool2000000X0oooo0P0000040?ooo`8000001@3oool010000000oooo0?ooo`3o
ool2000003D0oooo00<0o`00003o003oool0QP3oool010000000oooo0?ooo`3oool20?l002d0oooo
00<0o`00003o003oool0G@3oool001<0oooo00@000000?ooo`3oool00000203oool010000000oooo
0?ooo`0000040?ooo`050000003oool0oooo0?ooo`000000=`3oool00`00o`00o`000?ooo`230?oo
o`030000003oool0oooo03D0oooo00<00?l00?ooo`3oool0Q@3oool00`000000oooo0?ooo`0a0?oo
o`030?l00000o`00oooo05`0oooo000C0?ooo`040000003oool0oooo000000P0oooo00@000000?oo
o`3oool000001@3oool010000000oooo0?ooo`00000h0?ooo`03003o003oool0oooo0880oooo00<0
00000?ooo`3oool0=P3oool00`00o`00oooo0?ooo`1P0?ooo`800000103oool00`000000oooo0?oo
o`030?ooo`800000103oool2000000@0oooo0P0000050?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool0<P3oool00`3o00000?l00?ooo`1K0?ooo`004`3oool010000000oooo0?ooo`00
00080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool2000003P0
oooo00<00?l00?ooo`3oool0P@3oool00`000000oooo0?ooo`0f0?ooo`030?l00000o`00oooo05l0
oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo03<0oooo00<0o`00003o003oool0FP3oool001@0oooo0P00000:0?ooo`800000103o
ool2000000<0oooo00<000000?ooo`3oool0>03oool00`00o`00oooo0?ooo`200?ooo`800000>03o
ool00`3o00000?l00?ooo`1N0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`0000020?ooo`050000003oool0oooo0000003oool01@000003
0?ooo`030000003oool0oooo03@0oooo00<0o`00003o003oool0F@3oool002/0oooo00<000000?oo
o`3oool0>03oool00`00o`00o`000?ooo`200?ooo`030000003oool0oooo03P0oooo00<00?l00?oo
o`3oool0G@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@0
00000?ooo`3oool000000P3oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0e0?ooo`03003o003oool0oooo05P0oooo000[0?ooo`03
0000003oool0oooo03T0oooo00<00?l00?ooo`3oool0O`3oool00`000000oooo0?ooo`0i0?ooo`03
003o003oool0oooo05`0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo
000000040?ooo`030000003oool0oooo03H0oooo00<00?l00?ooo`3oool0E`3oool002/0oooo0P00
000k0?ooo`03003o003oool0oooo07h0oooo00<000000?ooo`3oool0>@3oool00`3o00000?l00?oo
o`1L0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo0P0000040?ooo`030000003oool0
oooo03L0oooo00<00?l00?ooo`3oool0EP3oool002/0oooo00<000000?ooo`3oool0>`3oool00`00
o`00oooo0?ooo`1m0?ooo`800000>`3oool00`3o00000?l00?ooo`1L0?ooo`8000002P3oool20000
00@0oooo0P0000040?ooo`8000001@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
03P0oooo00<00?l00?ooo`3oool0E@3oool002/0oooo00<000000?ooo`3oool0>`3oool00`00o`00
oooo0?ooo`1m0?ooo`030000003oool0oooo03/0oooo00<00?l00?ooo`3oool0O`3oool00`000000
oooo0?ooo`0i0?ooo`03003o003oool0oooo05@0oooo000[0?ooo`800000?@3oool00`00o`00oooo
0?ooo`1O0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`800000103oool2000000@0oooo
0P0000030?ooo`030000003oool0oooo03/0oooo00<0o`00003o003oool0O`3oool00`000000oooo
0?ooo`0i0?ooo`03003o003oool0oooo05@0oooo000[0?ooo`030000003oool0oooo03`0oooo00<0
0?l00?ooo`3oool0GP3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0
oooo03`0oooo00<00?l00?ooo`3oool0OP3oool00`000000oooo0?ooo`0j0?ooo`03003o003oool0
oooo05<0oooo000[0?ooo`030000003oool0oooo03d0oooo00<00?l00?ooo`3oool0G@3oool01000
0000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
0P3oool010000000oooo0?ooo`0000020?ooo`800000?P3oool00`00o`00oooo0?ooo`1m0?ooo`03
0000003oool0oooo03/0oooo00<00?l00?ooo`3oool0DP3oool002/0oooo0P00000n0?ooo`030?l0
0000o`00oooo05d0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?oo
o`040000003oool0oooo00000080oooo0`0000030?ooo`030000003oool0oooo03d0oooo00<0o`00
003o003oool0O@3oool00`000000oooo0?ooo`0l0?ooo`03003o003oool0oooo0540oooo000[0?oo
o`030000003oool0oooo03h0oooo00<00?l00?ooo`3oool0G03oool010000000oooo0?ooo`000008
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo03h0oooo00<00?l00?ooo`3oool0O03oool00`000000oooo
0?ooo`0l0?ooo`03003o003oool0oooo0540oooo000D0?ooo`800000103oool00`000000oooo0?oo
o`030?ooo`800000103oool2000000<0oooo00<000000?ooo`3oool0?P3oool00`3o00000?l00?oo
o`1L0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000020?ooo`030000003oool0oooo00<0oooo0P0000100?ooo`03003o003oool0oooo
07/0oooo00<000000?ooo`3oool0?@3oool00`00o`00oooo0?ooo`0m0?ooo`03003o003oool0oooo
0100oooo000C0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000020?ooo`030000003oool0oooo03l0oooo00<0o`00003o003oool0?`3o
ool00`00o`00oooo0?ooo`0J0?ooo`8000002P3oool2000000@0oooo0P0000040?ooo`<000000P3o
ool00`000000oooo0?ooo`0o0?ooo`030?l00000o`00oooo03h0oooo0P00o`0k0?ooo`030000003o
ool0oooo03h0oooo00<00?l00?ooo`3oool0?03oool00`00o`00oooo0?ooo`0@0?ooo`004`3oool0
10000000oooo0?ooo`0000080?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0
0P0000110?ooo`03003o003oool0oooo03d0oooo00<00?l00?ooo`3oool0>03oool00`000000oooo
0?ooo`100?ooo`03003o003oool0oooo03`0oooo00<00?l00?l0003oool0>`3oool00`000000oooo
0?ooo`0n0?ooo`03003o003oool0oooo03/0oooo00<00?l00?ooo`3oool04@3oool001<0oooo00@0
00000?ooo`3oool00000203oool010000000oooo0?ooo`0000030?ooo`8000000`3oool00`000000
oooo0?ooo`100?ooo`030?l00000o`00oooo03d0oooo00<00?l00?ooo`3oool0>03oool00`000000
oooo0?ooo`110?ooo`03003o003oool0oooo03/0oooo00<00?l00?l0003oool05`3oool2000000@0
oooo00<000000?ooo`3oool00`3oool2000000@0oooo0P0000040?ooo`800000103oool2000000@0
oooo00<000000?ooo`3oool0?`3oool00`00o`00oooo0?ooo`0i0?ooo`03003o003oool0oooo0180
oooo000C0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000001@3oool01000
0000oooo0?ooo`0000130?ooo`030?l00000o`00oooo03/0oooo00<00?l00?ooo`3oool0>@3oool2
00000480oooo00<0o`00003o003oool0>P3oool00`00o`00o`000?ooo`0G0?ooo`040000003oool0
oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`10
0?ooo`03003o003oool0oooo03L0oooo00<00?l00?ooo`3oool04`3oool001<0oooo00@000000?oo
o`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo
0P0000130?ooo`03003o003oool0oooo03T0oooo00<00?l00?ooo`3oool0>P3oool00`000000oooo
0?ooo`120?ooo`03003o003oool0oooo03T0oooo00<00?l00?ooo`3oool05`3oool010000000oooo
0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0
@@3oool00`00o`00oooo0?ooo`0f0?ooo`03003o003oool0oooo01<0oooo000D0?ooo`8000002P3o
ool2000000@0oooo0P0000030?ooo`030000003oool0oooo04<0oooo00<00?l00?ooo`3oool0=`3o
ool00`3o00000?l00?ooo`0k0?ooo`030000003oool0oooo04<0oooo00<00?l00?ooo`3oool0=`3o
ool00`00o`00o`000?ooo`0H0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo0`000004
0?ooo`030000003oool0oooo0440oooo00<00?l00?ooo`3oool0=@3oool00`00o`00oooo0?ooo`0D
0?ooo`00:`3oool00`000000oooo0?ooo`130?ooo`030?l00000o`00oooo03L0oooo00<00?l00?oo
o`3oool0>`3oool00`000000oooo0?ooo`140?ooo`03003o003oool0oooo03H0oooo00<00?l00?oo
o`3oool0603oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@0
00000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0@P3oool00`00o`00oooo0?ooo`0c0?ooo`03003o003oool0oooo01D0
oooo000[0?ooo`030000003oool0oooo04@0oooo00<00?l00?ooo`3oool0=@3oool00`00o`00oooo
0?ooo`0l0?ooo`800000A@3oool00`00o`00oooo0?ooo`0e0?ooo`03003o003oool0oooo01T0oooo
00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo04<0oooo00<00?l00?ooo`3oool0<@3oool00`00o`00oooo0?ooo`0F0?ooo`00:`3oool2
000004H0oooo00<00?l00?ooo`3oool0<`3oool00`3o00000?l00?ooo`0m0?ooo`030000003oool0
oooo04D0oooo00<00?l00?ooo`3oool0=03oool00`00o`00oooo0?ooo`0J0?ooo`8000002P3oool2
000000@0oooo0P0000040?ooo`800000103oool3000000<0oooo00<000000?ooo`3oool0A03oool0
0`00o`00oooo0?ooo`0_0?ooo`03003o003oool0oooo01L0oooo000[0?ooo`030000003oool0oooo
04H0oooo00<00?l00?ooo`3oool0<P3oool00`00o`00oooo0?ooo`0P0?ooo`800000103oool00`00
0000oooo0?ooo`030?ooo`800000103oool2000000@0oooo0P0000030?ooo`030000003oool0oooo
04H0oooo00<00?l00?ooo`3oool0<P3oool00`00o`00oooo0?ooo`0o0?ooo`030000003oool0oooo
04D0oooo00<00?l00?ooo`3oool0;@3oool00`00o`00oooo0?ooo`0H0?ooo`00:`3oool00`000000
oooo0?ooo`160?ooo`03003o003oool0oooo0340oooo00<00?l00?ooo`3oool0803oool010000000
oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo04H0oooo00<00?l00?l0003oool0
<@3oool00`00o`00oooo0?ooo`100?ooo`030000003oool0oooo04D0oooo00<00?l00?l0003oool0
;@3oool00`00o`00oooo0?ooo`0H0?ooo`00:`3oool2000004P0oooo00<00?l00?ooo`3oool0<03o
ool00`00o`00oooo0?ooo`0P0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo0P000018
0?ooo`03003o003oool0oooo02l0oooo00<0o`00003o003oool0@@3oool00`000000oooo0?ooo`16
0?ooo`03003o003o0000oooo02/0oooo00<00?l00?ooo`3oool06@3oool002/0oooo00<000000?oo
o`3oool0B03oool00`00o`00oooo0?ooo`0^0?ooo`03003o003oool0oooo0240oooo00@000000?oo
o`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo
0P0000030?ooo`030000003oool0oooo04P0oooo00<00?l00?ooo`3oool0;P3oool00`00o`00oooo
0?ooo`110?ooo`030000003oool0oooo04L0oooo00<00?l00?l0003oool0:@3oool00`00o`00oooo
0?ooo`0J0?ooo`00:`3oool00`000000oooo0?ooo`190?ooo`03003o003oool0oooo02`0oooo00<0
0?l00?ooo`3oool08P3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0
oooo04T0oooo00<00?l00?ooo`3oool0;03oool00`00o`00oooo0?ooo`120?ooo`030000003oool0
oooo04P0oooo00<00?l00?l0003oool09`3oool00`00o`00oooo0?ooo`0K0?ooo`00:`3oool20000
04X0oooo00<00?l00?ooo`3oool0:`3oool00`00o`00o`000?ooo`0S0?ooo`040000003oool0oooo
000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo00000080oooo0P00001:0?ooo`03003o003o0000oooo02/0oooo00<00?l00?ooo`3o
ool0@`3oool00`000000oooo0?ooo`190?ooo`03003o003o0000oooo02D0oooo00<00?l00?ooo`3o
ool0703oool002/0oooo00<000000?ooo`3oool0BP3oool00`00o`00oooo0?ooo`0Z0?ooo`03003o
003oool0oooo02@0oooo0P00000:0?ooo`800000103oool2000000@0oooo0P0000030?ooo`030000
003oool0oooo04X0oooo00<00?l00?ooo`3oool0:@3oool00`3o00000?l00?ooo`140?ooo`030000
003oool0oooo04X0oooo00<00?l00?ooo`3oool08`3oool00`00o`00oooo0?ooo`0M0?ooo`00503o
ool2000000@0oooo00<000000?ooo`3oool00`3oool2000000D0oooo00D000000?ooo`3oool0oooo
0000001=0?ooo`03003o003oool0oooo02P0oooo00<00?l00?ooo`3oool0@P3oool00`000000oooo
0?ooo`1;0?ooo`03003o003oool0oooo02P0oooo00<00?l00?ooo`3oool0A03oool00`000000oooo
0?ooo`1;0?ooo`03003o003oool0oooo0280oooo00<00?l00?ooo`3oool07@3oool001<0oooo00@0
00000?ooo`3oool00000203oool010000000oooo0?ooo`0000040?ooo`050000003oool0oooo0?oo
o`000000CP3oool00`00o`00oooo0?ooo`0V0?ooo`03003o003oool0oooo04<0oooo00<000000?oo
o`3oool0B`3oool00`00o`00o`000?ooo`0W0?ooo`03003o003oool0oooo04D0oooo00<000000?oo
o`3oool0C03oool00`00o`00oooo0?ooo`0P0?ooo`03003o003oool0oooo01h0oooo000C0?ooo`04
0000003oool0oooo000000P0oooo00D000000?ooo`3oool000000?ooo`0500000080oooo0P00001>
0?ooo`03003o003oool0oooo02@0oooo00<00?l00?ooo`3oool0A03oool2000004d0oooo00<00?l0
0?l0003oool09@3oool00`00o`00oooo0?ooo`0R0?ooo`800000103oool00`000000oooo0?ooo`03
0?ooo`800000103oool2000000@0oooo0P0000040?ooo`800000103oool00`000000oooo0?ooo`1=
0?ooo`03003o003oool0oooo01h0oooo00<00?l00?ooo`3oool07`3oool001<0oooo00@000000?oo
o`3oool00000203oool01P000000oooo0?ooo`000000oooo00000080oooo00D000000?ooo`3oool0
oooo0000001?0?ooo`03003o003oool0oooo02<0oooo00<00?l00?ooo`3oool0A@3oool00`000000
oooo0?ooo`1=0?ooo`03003o003o0000oooo02<0oooo00<00?l00?ooo`3oool08P3oool010000000
oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3o
ool0CP3oool00`00o`00oooo0?ooo`0L0?ooo`03003o003oool0oooo0200oooo000C0?ooo`040000
003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool00`000000oooo000000030?oo
o`030000003oool0oooo04h0oooo00<00?l00?ooo`3oool08@3oool00`3o00000?l00?ooo`160?oo
o`030000003oool0oooo04h0oooo00<00?l00?ooo`3oool08P3oool00`00o`00oooo0?ooo`0R0?oo
o`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000`3oool00`00
0000oooo0?ooo`1?0?ooo`03003o003oool0oooo01T0oooo0P00o`0S0?ooo`004`3oool010000000
oooo0?ooo`0000080?ooo`040000003oool0oooo000000<0oooo0P0000030?ooo`800000D03oool0
0`00o`00oooo0?ooo`0O0?ooo`030?l00000o`00oooo04L0oooo00<000000?ooo`3oool0CP3oool0
0`00o`00o`000?ooo`0Q0?ooo`03003o003oool0oooo02<0oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool000000`3oool2000000@0oooo00<000000?ooo`3oool0D03oool00`00o`00oooo0?ooo`0G0?oo
o`03003o003oool0oooo02<0oooo000D0?ooo`8000002P3oool2000000D0oooo00D000000?ooo`3o
ool0oooo0000001B0?ooo`03003o003oool0oooo01d0oooo00<0o`00003o003oool0B03oool20000
0500oooo00<00?l00?l0003oool07`3oool00`00o`00oooo0?ooo`0T0?ooo`040000003oool0oooo
000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo00000080oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`1A0?oo
o`03003o003oool0oooo01@0oooo0P00o`0V0?ooo`00:`3oool00`000000oooo0?ooo`1A0?ooo`03
003o003oool0oooo01/0oooo00<0o`00003o003oool0B@3oool00`000000oooo0?ooo`1@0?ooo`03
003o003o0000oooo01`0oooo00<0o`00003o003oool09P3oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0DP3oool2003o0180
oooo00<0o`00003o003oool09`3oool002/0oooo0P00001C0?ooo`03003o003oool0oooo01X0oooo
00<00?l00?ooo`3oool0<P3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000<0oooo
100000020?ooo`030000003oool0oooo0540oooo00<00?l00?l0003oool06P3oool00`3o00000?l0
0?ooo`0X0?ooo`8000002P3oool2000000@0oooo0P0000040?ooo`800000103oool2000000@0oooo
00<000000?ooo`3oool0E03oool3003o00h0oooo00<0o`00003o003oool0:03oool002/0oooo00<0
00000?ooo`3oool0D`3oool00`00o`00oooo0?ooo`0H0?ooo`03003o003oool0oooo0380oooo00@0
00000?ooo`3oool00000203oool010000000oooo0?ooo`0000040?ooo`050000003oool0oooo0?oo
o`000000E03oool00`00o`00o`000?ooo`0H0?ooo`800?l0CP3oool00`000000oooo0?ooo`1G0?oo
o`800?l02P3oool3003o02X0oooo000[0?ooo`030000003oool0oooo05@0oooo00<00?l00?ooo`3o
ool05P3oool00`00o`00oooo0?ooo`0c0?ooo`040000003oool0oooo000000P0oooo00@000000?oo
o`3oool00000103oool010000000oooo0?ooo`3oool2000005@0oooo0P00o`0G0?ooo`03003o003o
ool0oooo04h0oooo00<000000?ooo`3oool0F@3oool:003o02d0oooo000[0?ooo`030000003oool0
oooo05D0oooo00<00?l00?ooo`3oool0503oool00`00o`00oooo0?ooo`0d0?ooo`040000003oool0
oooo000000P0oooo00@000000?ooo`3oool00000103oool01@000000oooo0?ooo`3oool0000005L0
oooo00<00?l00?ooo`3oool04`3oool00`00o`00oooo0?ooo`1?0?ooo`030000003oool0oooo0900
oooo000[0?ooo`800000E`3oool2003o0180oooo0P00o`0g0?ooo`040000003oool0oooo000000P0
oooo00@000000?ooo`3oool00000103oool01@000000oooo0?ooo`3oool0000005P0oooo0P00o`0A
0?ooo`800?l0DP3oool00`000000oooo0?ooo`2@0?ooo`00:`3oool00`000000oooo0?ooo`1H0?oo
o`800?l03P3oool2003o03T0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`00
00020?ooo`<000000`3oool00`000000oooo0?ooo`1G0?ooo`030?l00000o`000?l000d0oooo0P00
o`000`3o0000oooo0?ooo`3T0?ooo`00:`3oool00`000000oooo0?ooo`1I0?ooo`030?l00000o`00
0?l000X0oooo0P00o`0l0?ooo`8000002P3oool2000000D0oooo00@000000?ooo`3oool0oooo0P00
001J0?ooo`030?l00000o`000?l000X0oooo00<00?l00?l0003oool0i`3oool002/0oooo0P00001L
0?ooo`050?l00000o`000?l0003o003o00000P3oool4003o05D0oooo00<000000?ooo`3oool0F`3o
ool0103o00000?l0003o0000o`030?ooo`@00?l000<0o`000?ooo`3oool0i`3oool002/0oooo00<0
00000?ooo`3oool0G`3oool4003o05P0oooo00<000000?ooo`3oool0G`3oool4003o0>d0oooo000[
0?ooo`030000003oool0oooo0;/0oooo0P00003m0?ooo`800000DP3oool002/0oooo00<000000?oo
o`3oool0^`3oool00`000000oooo0?ooo`3k0?ooo`040000003oool0oooo00000540oooo003o0?oo
on/0oooo00<000000?ooo`3oool0C`3oool00?l0ooooj@3oool200000580oooo003o0?ooon/0oooo
00<000000?ooo`3oool0C`3oool006/0oooo1000002j0?ooo`@00000^P3oool010000000oooo0?oo
o`00001A0?ooo`00K@3oool00`000000oooo0?ooo`2i0?ooo`030000003oool0oooo0;`0oooo0P00
001B0?ooo`00K@3oool00`000000oooo0?ooo`2j0?ooo`030000003oool0oooo0?l0oooo403oool0
06d0oooo00<000000?ooo`3oool0^`3oool00`000000oooo0?ooo`3o0?ooo`l0oooo001]0?ooo`03
0000003oool0oooo0;`0oooo00<000000?ooo`3oool0o`3oool>0?ooo`00J`3oool300000;/0oooo
00@000000?ooo`3oool00000o`3oool@0?ooo`00K@3oool00`000000oooo0?ooo`2j0?ooo`800000
o`3ooolA0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3oool00?l0ooooo`3oooln0?oo
o`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3oool00?l0ooooo`3oooln0?ooo`00o`3ooooo
0?oooch0oooo003o0?ooool0oooo?P3oool00?l0ooooo`3oooln0?ooo`00o`3ooooo0?oooch0oooo
003o0?ooool0oooo?P3oool00?l0ooooo`3oooln0?ooo`00C@3oool4000001l0oooo00<000000?oo
o`3oool07@3oool2000001l0oooo0P00001B0?ooo`@000007`3oool00`000000oooo0?ooo`0M0?oo
o`8000007`3oool2000005D0oooo1000000O0?ooo`030000003oool0oooo01d0oooo0P00000O0?oo
o`8000005P3oool004d0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0L0?ooo`04
0000003oool0oooo000001d0oooo00@000000?ooo`3oool00000D@3oool00`000000oooo0?ooo`0P
0?ooo`030000003oool0oooo01`0oooo00@000000?ooo`3oool000007@3oool010000000oooo0?oo
o`00001D0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0703oool010000000oooo
0?ooo`00000M0?ooo`040000003oool0oooo000001D0oooo001>0?ooo`030000003oool0oooo01`0
oooo1@00000M0?ooo`040000003oool0oooo000001d0oooo00@000000?ooo`3oool00000DP3oool0
0`000000oooo0?ooo`0L0?ooo`D000007@3oool010000000oooo0?ooo`00000M0?ooo`040000003o
ool0oooo000005D0oooo00<000000?ooo`3oool0703oool5000001d0oooo00@000000?ooo`3oool0
00007@3oool010000000oooo0?ooo`00000E0?ooo`00C`3oool00`000000oooo0?ooo`0K0?ooo`04
0000003oool0oooo000001h0oooo0`00000O0?ooo`800000E03oool00`000000oooo0?ooo`0K0?oo
o`040000003oool0oooo000001h0oooo0`00000O0?ooo`800000E`3oool00`000000oooo0?ooo`0K
0?ooo`040000003oool0oooo000001h0oooo0`00000O0?ooo`8000005P3oool00500oooo00<00000
0?ooo`3oool06`3oool00`000000oooo0000000N0?ooo`030000003oool0oooo01h0oooo00@00000
0?ooo`3oool00000E03oool00`000000oooo0?ooo`0K0?ooo`030000003oool0000001h0oooo00<0
00000?ooo`3oool07P3oool010000000oooo0?ooo`00001G0?ooo`030000003oool0oooo01/0oooo
00<000000?ooo`0000007P3oool00`000000oooo0?ooo`0N0?ooo`040000003oool0oooo000001D0
oooo001=0?ooo`040000003oool0oooo000001h0oooo0P00000N0?ooo`030000003oool0oooo01h0
oooo00@000000?ooo`3oool00000D@3oool010000000oooo0?ooo`00000N0?ooo`8000007P3oool0
0`000000oooo0?ooo`0N0?ooo`040000003oool0oooo000005@0oooo00@000000?ooo`3oool00000
7P3oool2000001h0oooo00<000000?ooo`3oool07P3oool010000000oooo0?ooo`00000E0?ooo`00
CP3oool200000200oooo00<000000?ooo`3oool07@3oool3000001h0oooo0P00001C0?ooo`800000
803oool00`000000oooo0?ooo`0M0?ooo`<000007P3oool2000005H0oooo0P00000P0?ooo`030000
003oool0oooo01d0oooo0`00000N0?ooo`8000005P3oool002h0oooo00<000000?ooo`3oool0]@3o
ool00`000000oooo0?ooo`2h0?ooo`030000003oool0oooo09P0oooo000^0?ooo`030000003oool0
oooo0;D0oooo00<000000?ooo`3oool0^03oool00`000000oooo0?ooo`2H0?ooo`00:`3oool30000
00800?l0Q`00000/0?ooo`<000000P00o`000`3o000000000000002300000300oooo0`000002003o
00H0o`00P000000C0?ooo`00;P3oool00`000000o`00003o0008003o0:d0oooo00<000000?ooo`00
o`001`00o`2a0?ooo`030000003oool00?l000L00?l00`3o002>0?ooo`00;P3oool010000000oooo
0?ooo`3o00070?ooo`@00?l0Z@3oool00`000000oooo0?ooo`060?ooo`030?l00000o`000?l00080
0?l0[@3oool00`000000oooo0?ooo`070?ooo`@00?l00P3o002;0?ooo`00;P3oool200000080oooo
0`3o00070?ooo`030?l00000o`000?l000800?l000<0o`000?ooo`3oool0XP3oool2000000`0oooo
1@00o`2X0?ooo`030000003oool0oooo00/0oooo1@00o`280?ooo`00;P3oool00`000000oooo0?oo
o`040?ooo`L0o`001@3oool2003o00030?l0003oool0oooo0:00oooo00<000000?ooo`3oool0403o
ool2003o0:H0oooo00<000000?ooo`3oool0403oool2003o08H0oooo000^0?ooo`030000003oool0
oooo0180oooo0`00o`2P0?ooo`030000003oool0oooo0180oooo0`00o`2S0?ooo`8000004`3oool3
003o08<0oooo000^0?ooo`030000003oool0oooo01D0oooo0`00o`2M0?ooo`8000005P3oool3003o
0:00oooo00<000000?ooo`3oool05@3oool3003o0800oooo000^0?ooo`800000603oool00`3o0000
0?l0003o002K0?ooo`030000003oool0oooo01P0oooo0P00o`2N0?ooo`030000003oool0oooo01P0
oooo0P00o`1n0?ooo`00;P3oool00`000000oooo0?ooo`0I0?ooo`030?l00000o`000?l009T0oooo
00<000000?ooo`3oool06P3oool00`00o`00o`000?ooo`2K0?ooo`030000003oool0oooo01X0oooo
00<00?l00?ooo`3oool0N`3oool002h0oooo00<000000?ooo`3oool06`3oool00`3o00000?l00?oo
o`2G0?ooo`030000003oool0oooo01/0oooo0P00o`2K0?ooo`030000003oool0oooo01/0oooo0P00
o`1k0?ooo`00;P3oool00`000000oooo0?ooo`0M0?ooo`800?l0UP3oool2000001h0oooo00<00?l0
0?l0003oool0V03oool2000001h0oooo00<00?l00?ooo`3oool0N03oool002h0oooo0P00000P0?oo
o`03003o003oool0oooo09<0oooo00<000000?ooo`3oool07P3oool00`00o`00o`000?ooo`2G0?oo
o`030000003oool0oooo01h0oooo00<00?l00?ooo`3oool0M`3oool002h0oooo00<000000?ooo`3o
ool0803oool00`00o`00o`000?ooo`2B0?ooo`030000003oool0oooo01l0oooo0P00o`2G0?ooo`03
0000003oool0oooo01l0oooo0P00o`1g0?ooo`004@3oool2000000@0oooo00<000000?ooo`3oool0
0`3oool2000000@0oooo0P0000030?ooo`@000000P3oool00`000000oooo0?ooo`0Q0?ooo`800?l0
TP3oool200000280oooo00<00?l00?l0003oool0U03oool00`000000oooo0?ooo`0Q0?ooo`03003o
003oool0oooo07@0oooo000@0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool08`3oool00`00o`00o`000?ooo`1h0?ooo`800000103oool00`000000oooo0?ooo`030?oo
o`8000000`3oool400000080oooo00<000000?ooo`3oool08P3oool2003o09@0oooo00<000000?oo
o`3oool08P3oool2003o07@0oooo000@0?ooo`040000003oool0oooo000000P0oooo00@000000?oo
o`3oool000000P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo0080oooo0P00
000U0?ooo`03003o003o0000oooo07H0oooo00@000000?ooo`3oool00000203oool010000000oooo
0?ooo`0000040?ooo`050000003oool0oooo0?ooo`0000009P3oool00`00o`00oooo0?ooo`2A0?oo
o`8000009@3oool00`00o`00oooo0?ooo`1a0?ooo`00403oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000103oool01@000000oooo0?oo
o`3oool0000002L0oooo00<00?l00?l0003oool0M@3oool010000000oooo0?ooo`0000080?ooo`04
0000003oool0oooo000000@0oooo00@000000?ooo`3oool0oooo0P00000V0?ooo`03003o003oool0
oooo0900oooo00<000000?ooo`3oool09@3oool00`00o`00oooo0?ooo`1`0?ooo`00403oool01000
0000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
1@3oool010000000oooo0?ooo`00000X0?ooo`03003o003o0000oooo07@0oooo00@000000?ooo`3o
ool00000203oool010000000oooo0?ooo`0000040?ooo`050000003oool0oooo0?ooo`000000:03o
ool00`00o`00oooo0?ooo`2?0?ooo`030000003oool0oooo02H0oooo00<00?l00?ooo`3oool0K`3o
ool00100oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool2000002P0oooo0P00o`1d0?oo
o`040000003oool0oooo000000P0oooo00@000000?ooo`3oool00000103oool01@000000oooo0?oo
o`3oool0000002T0oooo00<00?l00?ooo`3oool0MP3oool2000000@0oooo00<000000?ooo`3oool0
0`3oool2000000<0oooo100000030?ooo`030000003oool0oooo02L0oooo00<00?l00?ooo`3oool0
KP3oool00140oooo0P00000:0?ooo`800000103oool2000000@0oooo0P0000030?ooo`030000003o
ool0oooo02P0oooo00<0o`00003o003oool0LP3oool010000000oooo0?ooo`0000080?ooo`040000
003oool0oooo00000080oooo0`0000030?ooo`030000003oool0oooo02P0oooo00<00?l00?ooo`3o
ool0M03oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`0X0?ooo`03003o003oool0oooo06d0oooo000^0?oo
o`030000003oool0oooo02T0oooo00<0o`00003o003oool0LP3oool2000000X0oooo0P0000050?oo
o`040000003oool0oooo0?ooo`800000:P3oool00`00o`00oooo0?ooo`1c0?ooo`040000003oool0
oooo000000P0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`030?ooo`800000
:P3oool00`00o`00oooo0?ooo`1/0?ooo`00;P3oool00`000000oooo0?ooo`0Z0?ooo`030?l00000
o`00oooo08P0oooo00<000000?ooo`3oool0:P3oool00`00o`00oooo0?ooo`1b0?ooo`040000003o
ool0oooo000000P0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo02X0oooo00<00?l00?ooo`3oool0J`3oool002h0oooo0P00000/0?ooo`030?l0
0000o`00oooo08L0oooo00<000000?ooo`3oool0:`3oool00`00o`00oooo0?ooo`1a0?ooo`040000
003oool0oooo000000P0oooo00@000000?ooo`3oool000001@3oool01@000000oooo0?ooo`3oool0
000002d0oooo00<00?l00?ooo`3oool0JP3oool002h0oooo00<000000?ooo`3oool0;03oool00`00
o`00oooo0?ooo`260?ooo`800000;@3oool00`00o`00oooo0?ooo`1`0?ooo`040000003oool0oooo
000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000030?ooo`030000
003oool0oooo02`0oooo00<00?l00?ooo`3oool0J@3oool002h0oooo00<000000?ooo`3oool0;03o
ool00`3o00000?l00?ooo`260?ooo`030000003oool0oooo02d0oooo00<00?l00?ooo`3oool0L03o
ool2000000X0oooo0P0000040?ooo`800000103oool00`000000oooo0?ooo`0]0?ooo`03003o003o
ool0oooo06P0oooo000^0?ooo`030000003oool0oooo02d0oooo00<0o`00003o003oool0Q@3oool0
0`000000oooo0?ooo`0^0?ooo`03003o003oool0oooo08L0oooo0P00000_0?ooo`03003o003oool0
oooo06L0oooo000^0?ooo`800000;`3oool00`3o00000?l00?ooo`240?ooo`030000003oool0oooo
02l0oooo00<00?l00?ooo`3oool0QP3oool00`000000oooo0?ooo`0_0?ooo`03003o003oool0oooo
06H0oooo000^0?ooo`030000003oool0oooo02l0oooo00<0o`00003o003oool0P`3oool200000340
oooo00<00?l00?ooo`3oool0Q@3oool00`000000oooo0?ooo`0`0?ooo`03003o003oool0oooo06D0
oooo000A0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`800000103oool2000000D0oooo
00D000000?ooo`3oool0oooo0000000b0?ooo`03003o003oool0oooo0880oooo00<000000?ooo`3o
ool0<03oool00`00o`00oooo0?ooo`250?ooo`030000003oool0oooo0300oooo00<00?l00?ooo`3o
ool0I@3oool00100oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?oo
o`040000003oool0oooo000000@0oooo00D000000?ooo`3oool0oooo0000000c0?ooo`03003o003o
ool0oooo0840oooo00<000000?ooo`3oool0<@3oool00`00o`00oooo0?ooo`240?ooo`030000003o
ool0oooo0340oooo00<00?l00?ooo`3oool0I03oool00100oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000020?ooo`050000003oool0oooo0000003oool01@0000020?ooo`80
0000<`3oool00`00o`00oooo0?ooo`200?ooo`800000<`3oool00`00o`00oooo0?ooo`230?ooo`80
0000<`3oool00`00o`00oooo0?ooo`1S0?ooo`00403oool010000000oooo0?ooo`0000080?ooo`04
0000003oool0oooo00000080oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`050000003o
ool0oooo0?ooo`000000=03oool00`3o00000?l00?ooo`1Y0?ooo`800000103oool00`000000oooo
0?ooo`030?ooo`8000000`3oool400000080oooo00<000000?ooo`3oool0<`3oool00`00o`00oooo
0?ooo`220?ooo`030000003oool0oooo03<0oooo00<00?l00?ooo`3oool0HP3oool00100oooo00@0
00000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0000
0080oooo00<000000?ooo`0000000`3oool00`000000oooo0?ooo`0c0?ooo`03003o003oool0oooo
06L0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool0<`3oool00`00o`00oooo0?ooo`220?ooo`030000003o
ool0oooo03<0oooo00<00?l00?ooo`3oool0HP3oool00100oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo0P0000030?ooo`03
0000003oool0oooo03@0oooo00<00?l00?ooo`3oool0IP3oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo000000<0oooo00<000000?ooo`3oool00P3oool2000003D0oooo00<00?l0
0?ooo`3oool0P@3oool00`000000oooo0?ooo`0d0?ooo`03003o003oool0oooo0640oooo000A0?oo
o`8000002P3oool2000000@0oooo0P0000050?ooo`040000003oool0oooo0?ooo`800000=P3oool0
0`00o`00oooo0?ooo`1U0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool00000
103oool01@000000oooo0?ooo`3oool0000003L0oooo00<00?l00?ooo`3oool0P03oool00`000000
oooo0?ooo`0e0?ooo`03003o003oool0oooo0600oooo000^0?ooo`030000003oool0oooo03D0oooo
00<00?l00?l0003oool0I@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo0000
00D0oooo00@000000?ooo`3oool00000=`3oool00`00o`00oooo0?ooo`200?ooo`800000=P3oool0
0`00o`00oooo0?ooo`1P0?ooo`00;P3oool00`000000oooo0?ooo`0f0?ooo`03003o003oool0oooo
06@0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003o
ool0oooo00000080oooo00<000000?ooo`3oool0=P3oool00`00o`00oooo0?ooo`1o0?ooo`030000
003oool0oooo03H0oooo00<00?l00?ooo`3oool0G`3oool002h0oooo0P00000h0?ooo`03003o003o
ool0oooo06@0oooo0P00000:0?ooo`800000103oool2000000<0oooo0P00000h0?ooo`03003o003o
ool0oooo07h0oooo00<000000?ooo`3oool0=P3oool00`00o`00oooo0?ooo`1O0?ooo`00;P3oool0
0`000000oooo0?ooo`0h0?ooo`03003o003oool0oooo07X0oooo00<000000?ooo`3oool0>03oool0
0`00o`00oooo0?ooo`1m0?ooo`030000003oool0oooo03L0oooo00<00?l00?ooo`3oool0GP3oool0
02h0oooo00<000000?ooo`3oool0>03oool00`00o`00o`000?ooo`1j0?ooo`030000003oool0oooo
03P0oooo00<00?l00?ooo`3oool0I@3oool2000000@0oooo00<000000?ooo`3oool00`3oool20000
00D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0h0?ooo`03003o003oool0oooo
05d0oooo000^0?ooo`030000003oool0oooo03T0oooo00<00?l00?ooo`3oool0N@3oool2000003X0
oooo00<00?l00?ooo`3oool0H`3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo
000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0h0?ooo`03003o003oool0
oooo05d0oooo000^0?ooo`800000>`3oool00`00o`00oooo0?ooo`1h0?ooo`030000003oool0oooo
03X0oooo00<00?l00?ooo`3oool0HP3oool010000000oooo0?ooo`0000080?ooo`050000003oool0
oooo0000003oool01@0000030?ooo`800000>P3oool00`00o`00oooo0?ooo`1L0?ooo`00;P3oool0
0`000000oooo0?ooo`0k0?ooo`03003o003oool0oooo07L0oooo00<000000?ooo`3oool0>`3oool0
0`00o`00oooo0?ooo`1Q0?ooo`040000003oool0oooo000000P0oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0>P3oool00`00o`00
oooo0?ooo`1K0?ooo`004@3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000@0oooo
0P0000040?ooo`8000000`3oool00`000000oooo0?ooo`0k0?ooo`03003o003o0000oooo07L0oooo
0P00000l0?ooo`03003o003oool0oooo0640oooo00@000000?ooo`3oool00000203oool010000000
oooo0?ooo`0000020?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool0>P3oool00`00
o`00oooo0?ooo`1K0?ooo`00403oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`030000
003oool0oooo03`0oooo00<00?l00?ooo`3oool0MP3oool00`000000oooo0?ooo`0l0?ooo`03003o
003oool0oooo0600oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000030?oo
o`800000103oool00`000000oooo0?ooo`0k0?ooo`03003o003oool0oooo05X0oooo000@0?ooo`04
0000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo00000080oooo0P00000m0?ooo`03003o003o0000oooo07H0oooo
00<000000?ooo`3oool0?03oool00`00o`00oooo0?ooo`1Q0?ooo`8000002P3oool2000000D0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0l0?ooo`03003o003oool0oooo05T0oooo
000@0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000020?ooo`<000000`3oool00`000000oooo0?ooo`0m0?ooo`03003o003oool0oooo
07D0oooo00<000000?ooo`3oool0?@3oool00`00o`00oooo0?ooo`1h0?ooo`800000?P3oool00`00
o`00oooo0?ooo`1H0?ooo`00403oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo03h0oooo00<00?l00?ooo`3oool0M03oool2000003l0oooo00<00?l00?ooo`3oool0M`3o
ool00`000000oooo0?ooo`0m0?ooo`03003o003oool0oooo05P0oooo000@0?ooo`040000003oool0
oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool0?P3oool00`00o`00o`000?ooo`1M0?ooo`80
0000103oool00`000000oooo0?ooo`030?ooo`800000103oool2000000<0oooo00<000000?ooo`3o
ool0?P3oool00`00o`00oooo0?ooo`1g0?ooo`030000003oool0oooo03h0oooo00<00?l00?ooo`3o
ool0E`3oool00140oooo0P00000:0?ooo`800000103oool2000000@0oooo0`0000020?ooo`800000
@03oool00`00o`00oooo0?ooo`0o0?ooo`03003o003oool0oooo01T0oooo00@000000?ooo`3oool0
0000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00<00000
0?ooo`3oool0?`3oool00`00o`00oooo0?ooo`0o0?ooo`03003o003oool0oooo03@0oooo00<00000
0?ooo`3oool0?`3oool00`00o`00oooo0?ooo`0o0?ooo`03003o003oool0oooo01@0oooo000^0?oo
o`030000003oool0oooo0400oooo00<00?l00?ooo`3oool0?@3oool00`3o00000?l00?ooo`0J0?oo
o`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?oo
o`0200000440oooo00<00?l00?ooo`3oool0?@3oool00`00o`00oooo0?ooo`0e0?ooo`030000003o
ool0oooo0400oooo00<00?l00?ooo`3oool0?@3oool00`00o`00oooo0?ooo`0E0?ooo`00;P3oool0
0`000000oooo0?ooo`100?ooo`03003o003o0000oooo03d0oooo00<00?l00?ooo`3oool06P3oool0
10000000oooo0?ooo`0000080?ooo`040000003oool0oooo000000<0oooo0P0000030?ooo`030000
003oool0oooo0400oooo00<00?l00?ooo`3oool0?03oool00`00o`00o`000?ooo`0f0?ooo`800000
@@3oool00`00o`00oooo0?ooo`0l0?ooo`03003o003o0000oooo01H0oooo000^0?ooo`030000003o
ool0oooo0440oooo00<00?l00?ooo`3oool0>`3oool00`3o00000?l00?ooo`0K0?ooo`040000003o
ool0oooo000000P0oooo00@000000?ooo`3oool000001@3oool010000000oooo0?ooo`0000130?oo
o`03003o003oool0oooo03/0oooo00<00?l00?ooo`3oool0=P3oool00`000000oooo0?ooo`110?oo
o`03003o003oool0oooo03/0oooo00<00?l00?ooo`3oool05P3oool002h0oooo0P0000130?ooo`03
003o003oool0oooo03X0oooo00<00?l00?ooo`3oool06`3oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?oo
o`120?ooo`03003o003oool0oooo03T0oooo00<00?l00?l0003oool0=`3oool00`000000oooo0?oo
o`110?ooo`030?l00000o`00oooo03X0oooo00<00?l00?ooo`3oool05`3oool002h0oooo00<00000
0?ooo`3oool0@`3oool00`00o`00oooo0?ooo`0h0?ooo`03003o003oool0oooo01d0oooo0P00000:
0?ooo`800000103oool2000000<0oooo0P0000140?ooo`03003o003oool0oooo03P0oooo00<00?l0
0?ooo`3oool0=`3oool00`000000oooo0?ooo`120?ooo`030?l00000o`00oooo03P0oooo00<0o`00
003o003oool0603oool002h0oooo00<000000?ooo`3oool0@`3oool00`00o`00oooo0?ooo`0g0?oo
o`03003o003o0000oooo03D0oooo00<000000?ooo`3oool0@`3oool00`00o`00oooo0?ooo`0g0?oo
o`03003o003oool0oooo03P0oooo00<000000?ooo`3oool0@`3oool00`00o`00oooo0?ooo`0g0?oo
o`03003o003oool0oooo01P0oooo000^0?ooo`800000A@3oool00`00o`00oooo0?ooo`0f0?ooo`03
003o003oool0oooo03D0oooo00<000000?ooo`3oool0A03oool00`00o`00oooo0?ooo`0e0?ooo`03
003o003o0000oooo03T0oooo0P0000140?ooo`030?l00000o`00oooo03H0oooo00<00?l00?ooo`3o
ool06@3oool002h0oooo00<000000?ooo`3oool0A@3oool00`00o`00oooo0?ooo`0d0?ooo`03003o
003oool0oooo03H0oooo0P0000160?ooo`03003o003oool0oooo03@0oooo00<00?l00?ooo`3oool0
>@3oool00`000000oooo0?ooo`140?ooo`030?l00000o`00oooo03@0oooo00<0o`00003o003oool0
6P3oool00140oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`800000103o
ool2000000<0oooo00<000000?ooo`3oool0A@3oool00`3o00000?l00?ooo`0c0?ooo`03003o003o
0000oooo03L0oooo00<000000?ooo`3oool0AP3oool00`00o`00oooo0?ooo`0b0?ooo`03003o003o
ool0oooo03X0oooo00<000000?ooo`3oool0A@3oool00`3o00000?l00?ooo`0b0?ooo`030?l00000
o`00oooo01/0oooo000@0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool00000
0P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00<000000?oo
o`3oool0AP3oool00`00o`00oooo0?ooo`0a0?ooo`03003o003o0000oooo03P0oooo00<000000?oo
o`3oool0AP3oool00`00o`00oooo0?ooo`0a0?ooo`03003o003o0000oooo02<0oooo0P0000040?oo
o`030000003oool0oooo00<0oooo0P0000040?ooo`800000103oool00`000000oooo0?ooo`150?oo
o`030?l00000o`00oooo0380oooo00<00?l00?ooo`3oool06`3oool00100oooo00@000000?ooo`3o
ool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@0
00000?ooo`3oool000000P3oool2000004P0oooo00<00?l00?ooo`3oool0<03oool00`00o`00oooo
0?ooo`0h0?ooo`800000B03oool00`00o`00oooo0?ooo`0`0?ooo`03003o003oool0oooo0280oooo
00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
000000<0oooo00<000000?ooo`3oool0AP3oool00`3o00000?l00?ooo`0`0?ooo`030?l00000o`00
oooo01`0oooo000@0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000030?ooo`8000000`3oool00`000000oooo0?ooo`170?ooo`03003o
003oool0oooo02l0oooo00<00?l00?ooo`3oool0>@3oool00`000000oooo0?ooo`170?ooo`03003o
003oool0oooo02l0oooo00<00?l00?ooo`3oool08`3oool010000000oooo0?ooo`0000080?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000000`3oool2000004P0oooo00<00?l0
0?ooo`3oool0;`3oool00`00o`00oooo0?ooo`0L0?ooo`00403oool010000000oooo0?ooo`000008
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo
0?ooo`0000020?ooo`030000003oool0oooo04P0oooo00<00?l00?ooo`3oool0;P3oool00`00o`00
oooo0?ooo`0i0?ooo`030000003oool0oooo04P0oooo00<00?l00?ooo`3oool0;@3oool00`3o0000
0?l00?ooo`0T0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool3
000000@0oooo00<000000?ooo`3oool0B03oool00`00o`00oooo0?ooo`0]0?ooo`03003o003oool0
oooo01d0oooo000@0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3o
ool0B@3oool00`00o`00oooo0?ooo`0/0?ooo`03003o003oool0oooo03X0oooo00<000000?ooo`3o
ool0B@3oool00`00o`00oooo0?ooo`0/0?ooo`03003o003oool0oooo02@0oooo00@000000?ooo`3o
ool00000203oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0B03oool00`3o00000?l00?ooo`0/0?ooo`03003o003oool0oooo01h0oooo000A0?oo
o`8000002P3oool2000000@0oooo0P0000040?ooo`8000000`3oool2000004X0oooo00<00?l00?l0
003oool0:`3oool00`00o`00oooo0?ooo`0k0?ooo`800000BP3oool00`00o`00oooo0?ooo`0[0?oo
o`03003o003oool0oooo02D0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`00
00020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0B@3oool00`00o`00oooo0?oo
o`0[0?ooo`03003o003oool0oooo01h0oooo000^0?ooo`030000003oool0oooo04X0oooo00<00?l0
0?ooo`3oool0:@3oool00`3o00000?l00?ooo`0U0?ooo`800000103oool00`000000oooo0?ooo`03
0?ooo`8000001@3oool01@000000oooo0?ooo`3oool0000004`0oooo00<00?l00?ooo`3oool0:@3o
ool00`3o00000?l00?ooo`0W0?ooo`8000002P3oool2000000@0oooo0`0000030?ooo`030000003o
ool0oooo04X0oooo00<00?l00?ooo`3oool0:@3oool00`00o`00oooo0?ooo`0O0?ooo`00;P3oool0
0`000000oooo0?ooo`1;0?ooo`03003o003oool0oooo02L0oooo00<0o`00003o003oool09@3oool0
10000000oooo0?ooo`0000080?ooo`040000003oool0oooo000000@0oooo00D000000?ooo`3oool0
oooo0000001=0?ooo`03003o003oool0oooo02L0oooo00<0o`00003o003oool0@03oool2000004`0
oooo00<00?l00?ooo`3oool09`3oool00`00o`00oooo0?ooo`0P0?ooo`00;P3oool00`000000oooo
0?ooo`1<0?ooo`03003o003oool0oooo02H0oooo00<00?l00?ooo`3oool09@3oool010000000oooo
0?ooo`0000080?ooo`050000003oool0oooo0000003oool01@0000020?ooo`800000C@3oool00`00
o`00oooo0?ooo`0U0?ooo`030?l00000o`00oooo0440oooo00<000000?ooo`3oool0C03oool00`00
o`00oooo0?ooo`0U0?ooo`03003o003oool0oooo0240oooo000^0?ooo`800000CP3oool00`00o`00
oooo0?ooo`0T0?ooo`03003o003oool0oooo02H0oooo00@000000?ooo`3oool00000203oool01P00
0000oooo0?ooo`000000oooo00000080oooo00D000000?ooo`3oool0oooo0000001>0?ooo`03003o
003o0000oooo02D0oooo00<00?l00?ooo`3oool0@@3oool00`000000oooo0?ooo`1<0?ooo`03003o
003o0000oooo02@0oooo00<00?l00?ooo`3oool08P3oool002h0oooo00<000000?ooo`3oool0CP3o
ool00`00o`00oooo0?ooo`0R0?ooo`03003o003oool0oooo02L0oooo00@000000?ooo`3oool00000
203oool010000000oooo0?ooo`0000020?ooo`030000003oool0000000<0oooo00<000000?ooo`3o
ool0C@3oool00`00o`00oooo0?ooo`0S0?ooo`03003o003oool0oooo0480oooo00<000000?ooo`3o
ool0C@3oool00`00o`00oooo0?ooo`0R0?ooo`030?l00000o`00oooo02<0oooo000^0?ooo`030000
003oool0oooo04h0oooo00<0o`00003o003oool08@3oool00`00o`00oooo0?ooo`0X0?ooo`040000
003oool0oooo000000P0oooo00@000000?ooo`3oool000000`3oool2000000<0oooo0P00001?0?oo
o`03003o003oool0oooo0240oooo00<00?l00?ooo`3oool0@`3oool00`000000oooo0?ooo`1>0?oo
o`03003o003oool0oooo0200oooo00<0o`00003o003oool0903oool002h0oooo0P00001@0?ooo`03
0?l00000o`00oooo01l0oooo00<00?l00?ooo`3oool0:P3oool2000000X0oooo0P0000050?ooo`05
0000003oool0oooo0?ooo`000000D@3oool00`00o`00oooo0?ooo`0O0?ooo`03003o003oool0oooo
04@0oooo0P00001@0?ooo`03003o003oool0oooo01h0oooo00<0o`00003o003oool09@3oool002h0
oooo00<000000?ooo`3oool0D03oool00`3o00000?l00?ooo`0M0?ooo`03003o003oool0oooo0480
oooo00<000000?ooo`3oool0D03oool00`00o`00oooo0?ooo`0M0?ooo`03003o003oool0oooo04D0
oooo00<000000?ooo`3oool0D03oool00`00o`00oooo0?ooo`0L0?ooo`030?l00000o`00oooo02H0
oooo000G0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`8000000`3oool400000080oooo
00<000000?ooo`3oool0D@3oool00`3o00000?l00?ooo`0K0?ooo`03003o003oool0oooo04<0oooo
00<000000?ooo`3oool0D@3oool00`00o`00oooo0?ooo`0J0?ooo`030?l00000o`00oooo04L0oooo
00<000000?ooo`3oool0D@3oool00`00o`00oooo0?ooo`0J0?ooo`030?l00000o`00oooo02L0oooo
000F0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool00000103oool01@000000
oooo0?ooo`3oool0000005@0oooo00<0o`00003o003oool06@3oool00`00o`00oooo0?ooo`140?oo
o`800000D`3oool00`00o`00oooo0?ooo`0H0?ooo`800?l0B@3oool00`000000oooo0?ooo`1B0?oo
o`03003o003oool0oooo01P0oooo0P00o`0Y0?ooo`005P3oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo000000@0oooo00@000000?ooo`3oool0oooo0P00001E0?ooo`03003o003o
ool0oooo01H0oooo00<00?l00?ooo`3oool0A@3oool00`000000oooo0?ooo`1C0?ooo`03003o003o
ool0oooo01H0oooo00<00?l00?ooo`3oool0B@3oool00`000000oooo0?ooo`1C0?ooo`03003o003o
ool0oooo01H0oooo00<00?l00?l0003oool0:@3oool001H0oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000040?ooo`050000003oool0oooo0?ooo`000000EP3oool00`00o`00
o`000?ooo`0E0?ooo`03003o003oool0oooo04H0oooo00<000000?ooo`3oool0E03oool00`00o`00
oooo0?ooo`0D0?ooo`03003o003oool0oooo04X0oooo0P00001E0?ooo`03003o003oool0oooo01@0
oooo00<00?l00?l0003oool0:P3oool001H0oooo00@000000?ooo`3oool00000203oool010000000
oooo0?ooo`0000040?ooo`050000003oool0oooo0?ooo`000000E`3oool00`00o`00o`000?ooo`0C
0?ooo`03003o003oool0oooo04L0oooo0P00001F0?ooo`03003o003oool0oooo0180oooo00<00?l0
0?ooo`3oool0B`3oool00`000000oooo0?ooo`1E0?ooo`03003o003o0000oooo0180oooo00<00?l0
0?l0003oool0:`3oool001H0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`00
00020?ooo`<000000`3oool00`000000oooo0?ooo`1F0?ooo`800?l000<0o`000?ooo`3oool03P3o
ool2003o04X0oooo00<000000?ooo`3oool0EP3oool2003o0140oooo00<00?l00?ooo`3oool0C03o
ool00`000000oooo0?ooo`1F0?ooo`800?l000<0o`000?ooo`3oool03@3oool00`3o00000?l00?oo
o`0]0?ooo`005`3oool2000000X0oooo0P0000050?ooo`040000003oool0oooo0?ooo`800000F@3o
ool2003o00d0oooo00<0o`00003o003oool0B`3oool00`000000oooo0?ooo`1H0?ooo`800?l03@3o
ool2003o03L0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`800000103o
ool00`000000oooo0?ooo`1H0?ooo`03003o003o0000oooo00`0oooo0P00o`0_0?ooo`00;P3oool0
0`000000oooo0?ooo`1J0?ooo`<00?l01`3oool0103o00000?l0003o0000o`1=0?ooo`030000003o
ool0oooo05X0oooo0`00o`070?ooo`030?l00000o`000?l003P0oooo00@000000?ooo`3oool00000
203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo00<000000?oo
o`3oool0F@3oool4003o00L0oooo00<0o`00003o0000o`00<@3oool002h0oooo00<000000?ooo`3o
ool0G@3oool8003o0500oooo0P00001N0?ooo`P00?l0>P3oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000`3oool2000005d0oooo2@00
o`0c0?ooo`00;P3oool00`000000oooo0?ooo`2e0?ooo`030000003oool0oooo09l0oooo00@00000
0?ooo`3oool00000203oool010000000oooo0?ooo`0000030?ooo`800000103oool00`000000oooo
0?ooo`2H0?ooo`00;P3oool200000;H0oooo00<000000?ooo`3oool0W`3oool010000000oooo0?oo
o`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000`3oool00`00
0000oooo0?ooo`2H0?ooo`00o`3ooon90?ooo`040000003oool0oooo000000P0oooo00@000000?oo
o`3oool000000P3oool010000000oooo0?ooo`00002N0?ooo`00o`3ooon:0?ooo`8000002P3oool2
000000@0oooo0P00002O0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3oool00740oooo
1000002d0?ooo`@00000]@3oool2000005P0oooo001a0?ooo`030000003oool0oooo0;L0oooo00<0
00000?ooo`3oool0/`3oool010000000oooo0?ooo`00001G0?ooo`00LP3oool00`000000oooo0?oo
o`2f0?ooo`030000003oool0oooo0;<0oooo00@000000?ooo`3oool00000E`3oool006/0oooo1000
00040?ooo`030000003oool0oooo0:d0oooo100000040?ooo`030000003oool0oooo0;<0oooo00@0
00000?ooo`3oool00000E`3oool007@0oooo00<000000?ooo`3oool0]03oool00`000000oooo0?oo
o`2c0?ooo`040000003oool0oooo000005L0oooo001a0?ooo`040000003oool0oooo00000;@0oooo
0`00002e0?ooo`040000003oool0oooo000005L0oooo001b0?ooo`800000]`3oool00`000000oooo
0?ooo`2d0?ooo`800000F03oool00?l0ooooo`3oooln0?ooo`00o`3ooooo0?oooch0oooo003o0?oo
ool0oooo?P3oool00?l0ooooo`3oooln0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3o
ool00?l0ooooo`3oooln0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3oool00?l0oooo
o`3oooln0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3oool00?l0ooooo`3oooln0?oo
o`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3oool00?l0ooooZP3oool00`000000oooo0?oo
o`2@0?ooo`00o`3ooonZ0?ooo`030000003oool0oooo0900oooo003o0?ooojX0oooo00<000000?oo
o`3oool02@3oool30?l008@0oooo000o0?ooo`030000003oool0oooo0080oooo00D0o`000?ooo`3o
ool0oooo0?l000050?ooo`040?l0003oool0oooo0?l00?l0ooooF03oool00`000000oooo0?ooo`08
0?ooo`040?l0003oool0oooo0?l000l0oooo1000000N0?ooo`030000003oool0oooo01`0oooo0P00
000N0?ooo`8000004P3oool003l0oooo00<000000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3o
ool0o`0000D0oooo00@0o`000?ooo`3oool0o`00Z03oool00`000000oooo0?ooo`030?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool0X@3oool00`000000oooo0?ooo`080?ooo`040?l0
003oool0oooo0?l000l0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0K0?ooo`04
0000003oool0oooo000001`0oooo00@000000?ooo`3oool000004@3oool003l0oooo00<000000?oo
o`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00@0o`000?ooo`3oool0o`00Z03o
ool00`000000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0X@3o
ool00`000000oooo0?ooo`080?ooo`050?l0003oool0oooo0?ooo`3o00003`3oool00`000000oooo
0?ooo`0K0?ooo`D00000703oool010000000oooo0?ooo`00000L0?ooo`040000003oool0oooo0000
0140oooo000o0?ooo`030000003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000050?oo
o`040?l0003oool0oooo0?l007h0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P000004
0?ooo`800000103oool2000000@0oooo0P0000050?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:40oooo00<00000
0?ooo`3oool0203oool01@3o0000oooo0?ooo`3oool0o`000100oooo00<000000?ooo`3oool06P3o
ool010000000oooo0?ooo`00000M0?ooo`<000007P3oool200000180oooo000E0?ooo`800000103o
ool00`000000oooo0?ooo`030?ooo`800000103oool2000000@0oooo0P0000040?ooo`8000000`3o
ool4000000<0oooo00<000000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo
00@0o`000?ooo`3oool0o`00O@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0X@3oool00`000000oooo0?ooo`080?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool03P3oool00`000000oooo0?ooo`0J0?ooo`03
0000003oool0000001d0oooo00<000000?ooo`3oool07@3oool010000000oooo0?ooo`00000A0?oo
o`00503oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`050?l0003oool0oooo0?oo
o`3o00001@3oool0103o0000oooo0?ooo`3o001m0?ooo`040000003oool0oooo000000P0oooo00@0
00000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0000
0080oooo00D000000?ooo`3oool000000?ooo`05000000<0oooo00<000000?ooo`3oool00`3oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:40oooo00<000000?ooo`3oool0203oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00/0oooo00@000000?ooo`3oool000007@3o
ool2000001d0oooo00<000000?ooo`3oool07@3oool010000000oooo0?ooo`00000A0?ooo`00503o
ool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo00<0
00000?ooo`3oool00`3oool2000000<0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`040?l0
003oool0oooo0?l007L0oooo100000020?ooo`040000003oool0oooo000000P0oooo00@000000?oo
o`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:40oooo00<000000?oo
o`3oool0203oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00`0oooo0P00000O0?oo
o`030000003oool0oooo01`0oooo0`00000M0?ooo`8000004P3oool000h0oooo100000020?ooo`04
0000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000103oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000050?oo
o`040?l0003oool0oooo0?l007d0oooo00@000000?ooo`3oool00000203oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`0000020?ooo`030000003oool0000000@0oooo00<000000?ooo`3oool00`3oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:40oooo00<000000?ooo`3oool01`3oool0
0`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0800oooo000D0?ooo`040000003oool0oooo
000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo00000080oooo00@000000?ooo`3oool000001@3oool01@000000oooo0?ooo`3oool0
000000@0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`040?l0003oool0oooo0?l007d0oooo
00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000030?ooo`800000
103oool00`000000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
X@3oool00`000000oooo0?ooo`070?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0
O`3oool001@0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool00P3oool01@3o0000oooo
0?ooo`3oool0o`0000D0oooo00@0o`000?ooo`3oool0o`00OP3oool2000000X0oooo0P0000040?oo
o`800000103oool2000000@0oooo0P0000050?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo09d0oooo100000000`3o
0000000000000007000000030?l000000000000000@0000000<0o`00000000000000L@00000>0?oo
o`005@3oool2000000X0oooo0P0000040?ooo`800000103oool2000000@0oooo0P0000040?ooo`80
0000103oool00`000000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o00001@3oool0103o
0000oooo0?ooo`3o002X0?ooo`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`2Q0?ooo`L00?l00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0
oooo00`0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0
oooo01d0oooo00<000000?ooo`3oool0403oool003l0oooo00<000000?ooo`3oool00P3oool01@3o
0000oooo0?ooo`3oool0o`0000@0oooo00D0o`000?ooo`3oool0oooo0?l0002X0?ooo`030000003o
ool0oooo00<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2Q0?ooo`030?l0003o
ool0oooo00@0oooo1`00o`040?ooo`030?l0003oool0oooo07h0oooo000o0?ooo`030000003oool0
oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`050?l0003oool0oooo0?ooo`3o0000
Z03oool00`000000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
X@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo0080oooo1@00o`200?ooo`00?`3o
ool00`000000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o0000103oool01@3o0000oooo
0?ooo`3oool0o`000:P0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0:40oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`060?ooo`04
0?l00000o`000?l0003o07d0oooo000o0?ooo`030000003oool0oooo0080oooo00D0o`000?ooo`3o
ool0oooo0?l000040?ooo`050?l0003oool0oooo0?ooo`3o0000Z03oool00`000000oooo0?ooo`03
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0X@3oool00`000000o`000?ooo`06
0?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool00P00o`1k0?ooo`00?`3oool00`00
0000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o0000103oool01@3o0000oooo0?ooo`3o
ool0o`0007h0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`800000103o
ool2000000@0oooo0P0000030?ooo`@000000`3oool00`000000oooo0?ooo`030?ooo`030?l0003o
ool0oooo0080oooo00<0o`000?ooo`3oool0X@3oool00`000000o`000?ooo`060?ooo`030?l0003o
ool0oooo00P0oooo103o0002003o00030?l0003oool0oooo07H0oooo000o0?ooo`030000003oool0
oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`050?l0003oool0oooo0?ooo`3o0000
O@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?oo
o`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo
00<0o`000?ooo`3oool0X03oool00`000000o`000?ooo`060?ooo`030?l0003oool0oooo00h0oooo
0`00o`1f0?ooo`005@3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000@0oooo0P00
00040?ooo`800000103oool2000000<0oooo100000030?ooo`030000003oool0oooo0080oooo00D0
o`000?ooo`3oool0oooo0?l000040?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
NP3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?oo
o`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo
00<0o`000?ooo`3oool0X03oool00`000000o`000?ooo`060?ooo`030?l0003oool0oooo0140oooo
0P00o`1d0?ooo`00503oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0
oooo000000@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`050?l0003o
ool0oooo0?ooo`3o0000103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo07@0oooo
100000020?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool0
0`3oool00`3o0000oooo0?ooo`2P0?ooo`030000003o0000oooo00H0oooo00<0o`000?ooo`3oool0
4`3oool2003o0780oooo000D0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@00000
0?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`8000000`3oool01@3o0000oooo0?oo
o`3oool0o`0000@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`1j0?ooo`040000
003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000001@3oool01@000000oooo
0?ooo`3oool0000000D0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`2P0?ooo`03
0000003o0000oooo00D0oooo00<0o`000?ooo`3oool05P3oool00`00o`00oooo0?ooo`1_0?ooo`00
3P3oool400000080oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`0000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool01@3o0000oooo
0?ooo`3oool0o`0000@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`1j0?ooo`04
0000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000030?ooo`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o
0000oooo0?ooo`050?ooo`030?l0003oool0oooo09P0oooo00<000000?l0003oool01@3oool00`3o
0000oooo0?ooo`0G0?ooo`800?l0K`3oool001@0oooo00@000000?ooo`3oool00000203oool01000
0000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
0P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool00P3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00<0o`000?ooo`3oool00P3oool00`3o
0000oooo0?ooo`1k0?ooo`8000002P3oool2000000@0oooo0P0000040?ooo`800000103oool20000
00@0oooo0P0000040?ooo`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o
0000oooo0?ooo`040?ooo`80o`001P3oool4000001/0oooo00<000000?ooo`3oool06P3oool20000
01/0oooo0P00000i0?ooo`030000003o0000oooo00D0oooo00<0o`000?ooo`3oool06@3oool00`00
o`00oooo0?ooo`1/0?ooo`00503oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo00000080oooo0`0000040?ooo`030000003oool0oooo0080oooo00D0o`000?ooo`3o
ool0oooo0?l000040?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0Y@3oool00`00
0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o
0000oooo0?l000050?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool06@3oool01000
0000oooo0?ooo`00000I0?ooo`040000003oool0oooo000003P0oooo00<000000?l0003oool01@3o
ool00`3o0000oooo0?ooo`0J0?ooo`03003o003oool0oooo06/0oooo000E0?ooo`8000002P3oool2
000000@0oooo0P0000040?ooo`800000103oool2000000D0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o0000103oool00`3o0000oooo0?oo
o`020?ooo`030?l0003oool0oooo0:D0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?oo
o`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3o00001P3oool00`000000oooo0?oo
o`0H0?ooo`D000006P3oool010000000oooo0?ooo`00000I0?ooo`040000003oool0oooo000001@0
oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`800000103oool2000000<0
oooo100000030?ooo`030000003o0000oooo00D0oooo00<0o`000?ooo`3oool06`3oool2003o06/0
oooo000o0?ooo`030000003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool01@3oool4000001/0oooo00<000000?ooo`3o
ool06P3oool2000001/0oooo0P0000150?ooo`030000003oool0oooo00<0oooo00<0o`000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0o`0000L0oooo00<000000?ooo`3o
ool05`3oool010000000oooo0?ooo`00000K0?ooo`<000006`3oool2000001@0oooo00@000000?oo
o`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0o`0000D0
oooo00<0o`000?ooo`3oool07@3oool00`00o`00oooo0?ooo`1X0?ooo`00?`3oool00`000000oooo
0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o0000103oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo00D0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`0I0?ooo`04
0000003oool0oooo000001T0oooo00@000000?ooo`3oool00000A03oool00`000000oooo0?ooo`03
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?l00008
0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`0000006`3oool00`000000oooo0?ooo`0J
0?ooo`040000003oool0oooo000001<0oooo00@000000?ooo`3oool00000203oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0o`0000D0oooo00<0o`000?ooo`3oool07P3oool2
003o06P0oooo000o0?ooo`030000003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l00004
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool01P3oool00`000000oooo0?ooo`0H
0?ooo`D000006P3oool010000000oooo0?ooo`00000I0?ooo`040000003oool0oooo000004@0oooo
00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo
00@0o`000?ooo`3oool0o`00103oool010000000oooo0?ooo`00000J0?ooo`8000006`3oool00`00
0000oooo0?ooo`0J0?ooo`040000003oool0oooo000001<0oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool00000103oool00`000000oooo0?ooo`020?ooo`030000003oool0o`0000@0oooo00<0o`000?oo
o`3oool08@3oool00`00o`00oooo0?ooo`1U0?ooo`00?`3oool00`000000oooo0?ooo`020?ooo`05
0?l0003oool0oooo0?ooo`3o0000103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo
00L0oooo00<000000?ooo`3oool05`3oool010000000oooo0?ooo`00000K0?ooo`<000006`3oool2
000004D0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`800000703oool00`000000oooo0?oo
o`0J0?ooo`<000006P3oool2000001@0oooo00@000000?ooo`3oool00000203oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000001@3oool0
1`000000oooo0?ooo`3oool000000?ooo`3o0000103oool00`3o0000oooo0?ooo`0R0?ooo`03003o
003oool0oooo06@0oooo000o0?ooo`030000003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo
0?l000040?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0203oool00`000000oooo
0?ooo`0G0?ooo`030000003oool0000001/0oooo00<000000?ooo`3oool06P3oool010000000oooo
0?ooo`0000140?ooo`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000
oooo0?ooo`030?ooo`050?l0003oool0oooo0?ooo`3o0000L`3oool010000000oooo0?ooo`000008
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3o0000103oool00`3o
0000oooo0?ooo`0S0?ooo`03003o003oool0oooo06<0oooo000o0?ooo`030000003oool0oooo0080
oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`030?l0003oool0oooo0080oooo00<0o`000?oo
o`3oool00`3oool20?l000040000003oool0oooo000001X0oooo0P00000K0?ooo`030000003oool0
oooo01X0oooo00@000000?ooo`3oool00000A03oool00`000000oooo0?ooo`030?ooo`030?l0003o
ool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003o
ool0oooo0740oooo0P00000:0?ooo`800000103oool2000000@0oooo0P0000040?ooo`800000103o
ool00`000000oooo0?l000040?ooo`030?l0003oool0oooo02<0oooo00<00?l00?l0003oool0H`3o
ool003l0oooo00<000000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00<0
o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`@0o`000P00000L0?ooo`030000003o
ool0oooo01X0oooo0`00000J0?ooo`800000@P3oool3000000`00?l000<0o`000000000000000`00
00000`3o0000000000000002000000030?l000000000000005l00000=P3oool00`000000oooo0?l0
00030?ooo`030?l0003oool0oooo02D0oooo00<00?l00?l0003oool0HP3oool003l0oooo00<00000
0?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00<0o`000?ooo`3oool00P3o
ool00`3o0000oooo0?ooo`020?ooo`040?l0003oool0oooo0?l009l0oooo00<0o`000?ooo`3oool0
0`3oool00`3o0000oooo0?ooo`030?ooo`l00?l00P3oool00`000000oooo0?ooo`0J0?ooo`030000
003oool0oooo01/0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0g0?ooo`040000
003oool0oooo0?l00080oooo00<0o`000?ooo`3oool09P3oool00`00o`00o`000?ooo`1Q0?ooo`00
?03oool3000004L00?l08P00000=003o00<00000@P3oool00`3o0000oooo0?ooo`030?ooo`030?l0
003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`80o`00
00<0oooo003o0000o`000`00o`000`3o0000oooo0?ooo`2<0?ooo`040000003oool0oooo0?l00080
oooo00<0o`000?ooo`3oool09`3oool00`00o`00o`000?ooo`1P0?ooo`00?`3oool00`3o0000oooo
0?ooo`020?ooo`050?l0003oool000000?ooo`3o0000103oool00`3o0000oooo0?ooo`020?ooo`06
0?l0003oool0oooo0000003oool0o`00103oool20?l000D0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`020?ooob800?l01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo04<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo00<0oooo00<0o`000?ooo`3oool0103oool30?l000@0oooo1@00o`2:0?ooo`040000003oool0
oooo0?l00080oooo00<0o`000?ooo`3oool0:03oool00`00o`00oooo0?ooo`1O0?ooo`00?`3oool0
0`3o0000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o0000103oool00`3o0000oooo0?oo
o`020?ooo`050?l0003oool0oooo0?ooo`3o0000X`3oool00`3o0000oooo0?ooo`030?ooo`030?l0
003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0@0?ooo`D00?l0
Q@3oool010000000oooo0?ooo`3o00020?ooo`030?l0003oool0oooo02T0oooo00<00?l00?ooo`3o
ool0GP3oool003l0oooo00<0o`000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000@0
oooo00<0o`000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`000:<0oooo00<0o`000?oo
o`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?oo
o`3oool05@3oool3003o00030?l0003oool0oooo07l0oooo00@000000?ooo`3oool0oooo0`3o000/
0?ooo`03003o003oool0oooo05d0oooo000o0?ooo`030?l0003oool0oooo0080oooo00D0o`000?oo
o`3oool0oooo0?l000040?ooo`030?l0003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l0
002S0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?oo
o`030?ooo`030?l0003oool0oooo01P0oooo0P00o`000`3o0000oooo0?ooo`1m0?ooo`040000003o
ool0oooo0?ooo`80o`00;P3oool00`00o`00oooo0?ooo`1L0?ooo`00?`3oool00`3o0000oooo0?oo
o`020?ooo`030?l0003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`050?l0
003oool0oooo0?ooo`3o0000X`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0
oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`0J0?ooo`@00?l0O03oool00`000000
oooo0?ooo`0a0?ooo`030?l00000o`00oooo05`0oooo000o0?ooo`030?l0003oool0oooo0080oooo
00<0o`000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00D0o`000?ooo`3o
ool0oooo0?l0002S0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o
0000oooo0?ooo`030?ooo`030?l0003oool0oooo01h0oooo1000o`1D0?ooo`800000103oool00`00
0000oooo0?ooo`030?ooo`800000103oool2000000@0oooo0P0000050?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool0<P3oool00`3o00000?l00?ooo`1K0?ooo`00?`3oool00`3o0000
oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000040?oo
o`050?l0003oool0oooo0?ooo`3o0000X`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo00<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0S0?ooo`800?l0D@3oool0
10000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool0<`3oool00`3o00000?l00?ooo`1J0?ooo`00?`3oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`050?l0003oool0oooo
0?ooo`3o0000N@3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000@0oooo0P000004
0?ooo`800000103oool2000000<0oooo100000030?ooo`030?l0003oool0oooo00<0oooo00<0o`00
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo02D0oooo0`00o`0g
0?ooo`<00?l0503oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000000P3oool01@000000oooo0?ooo`000000oooo00D000000`3oool00`00
0000oooo0?ooo`0d0?ooo`030?l00000o`00oooo05T0oooo000o0?ooo`030?l0003oool0oooo0080
oooo00<0o`000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00@0o`000?oo
o`3oool0o`00N03oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
00000080oooo00<000000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo00<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`0X0?ooo`800?l0<`3oool2
003o00030?l0003oool0oooo01@0oooo00@000000?ooo`3oool00000203oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo00000080oooo00H000000?ooo`3oool000000?ooo`000002
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0=@3oool00`00o`00oooo0?ooo`1H
0?ooo`00?`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00D0o`000?oo
o`3oool0oooo0?l000050?ooo`030?l0003oool0o`0007T0oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool000000P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00<0oooo00<0o`00
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool0:P3oool4003o02/0oooo1000o`000`3o0000oooo0?ooo`0F0?ooo`040000003oool0
oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo00000080oooo00<000000?ooo`000000103oool00`000000oooo0?ooo`0f0?oo
o`03003o003oool0oooo05L0oooo000E0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`80
0000103oool2000000@0oooo0P0000040?ooo`8000000`3oool4000000<0oooo00<0o`000?ooo`3o
ool00P3oool00`3o0000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o00001@3oool00`3o
0000oooo0?l0001i0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool00000103oool00`000000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00<0o`000?oo
o`3oool0103oool01@3o0000oooo0?ooo`3oool0o`000300oooo1000o`0T0?ooo`<00?l000<0o`00
0?ooo`3oool06P3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000030?ooo`800000103oool00`00
0000oooo0?ooo`0g0?ooo`03003o003oool0oooo05H0oooo000D0?ooo`040000003oool0oooo0000
00P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`00
00D0oooo00<0o`000?ooo`3o0000N@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo000000D0oooo00D000000?ooo`3oool0oooo0?l000050?ooo`030?l0003oool0
oooo00@0oooo00D0o`000?ooo`3oool0oooo0?l0000d0?ooo`800?l0803oool2003o0240oooo0P00
000:0?ooo`800000103oool2000000@0oooo0P0000050?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool0>03oool00`00o`00oooo0?ooo`1E0?ooo`00503oool010000000oooo0?ooo`00
00080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P3oool0
0`3o000000000?ooo`020?ooo`030?l0003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l0
00050?ooo`030?l0003oool0o`0007T0oooo00@000000?ooo`3oool00000203oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo00<0o`000?ooo`3oool0
0`3oool00`3o0000oooo0?ooo`040?ooo`050?l0003oool0oooo0?ooo`3o0000=P3oool5003o01L0
oooo1000o`170?ooo`030000003oool0oooo03T0oooo00<00?l00?ooo`3oool0E03oool001@0oooo
00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000040?ooo`030000
003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`050?l0
003oool0oooo0?ooo`3o00001@3oool00`3o0000oooo0?l0001j0?ooo`8000002P3oool2000000@0
oooo0P0000040?ooo`800000103oool2000000@0oooo0P0000040?ooo`030?l0003oool0oooo00<0
oooo00<0o`000?ooo`3oool0103oool01@3o0000oooo0?ooo`3oool0o`0003X0oooo00<0o`00003o
0000o`001@00o`080?ooo`P00?l000<0o`000?ooo`3oool0B03oool00`000000oooo0?ooo`0i0?oo
o`03003o003oool0oooo05@0oooo000D0?ooo`040000003oool0oooo000000P0oooo00@000000?oo
o`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`020?ooo`030?l0003oool0oooo0080
oooo00<0o`000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo0P3o002U0?oo
o`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool01@3o0000oooo0?ooo`3oool0
o`000480oooo2000o`1C0?ooo`030000003oool0oooo03X0oooo00<00?l00?ooo`3oool0D`3oool0
01@0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?oo
o`<00000103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00D0o`000?oo
o`3oool0oooo0?l000050?ooo`80o`00Y@3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo00@0oooo00D0o`000?ooo`3oool0oooo0?l0002M0?ooo`030000003oool0oooo03/0oooo00<0
0?l00?ooo`3oool0DP3oool001D0oooo0P00000:0?ooo`800000103oool2000000@0oooo0P000004
0?ooo`8000001@3oool00`000000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000H0oooo00<0o`000?ooo`3oool0X`3o
ool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00D0o`000?ooo`3oool0oooo
0?l0002M0?ooo`030000003oool0oooo03`0oooo00<00?l00?ooo`3oool0D@3oool003l0oooo00<0
o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o0000
[03oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00D0o`000?ooo`3oool0
oooo0?l0002M0?ooo`030000003oool0oooo03`0oooo00<00?l00?ooo`3oool0D@3oool003l0oooo
00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o
0000[03oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00D0o`000?ooo`3o
ool0oooo0?l0002M0?ooo`030000003oool0oooo03d0oooo00<00?l00?ooo`3oool0?@3oool00`00
o`00oooo0?ooo`0@0?ooo`00?`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080
oooo00D0o`000?ooo`3oool0oooo0?l0002/0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?oo
o`3oool0103oool01@3o0000oooo0?ooo`3oool0o`0009d0oooo00<000000?ooo`3oool0?P3oool0
0`00o`00oooo0?ooo`0l0?ooo`03003o003oool0oooo0100oooo000o0?ooo`030?l0003oool0oooo
0080oooo00<0o`000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`000880oooo0P000004
0?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`800000103oool2000000@0oooo0P000005
0?ooo`030000003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`04
0?ooo`050?l0003oool0oooo0?ooo`3o0000W@3oool00`000000oooo0?ooo`0n0?ooo`03003o003o
ool0oooo03/0oooo00<00?l00?ooo`3oool04@3oool003l0oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o0000P@3oool010000000oooo0?oo
o`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`0000020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P3o
ool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00D0o`000?ooo`3oool0oooo
0?l0001i0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`800000103oool2000000@0oooo
0P0000040?ooo`800000103oool00`000000oooo0?ooo`0o0?ooo`03003o003oool0oooo03T0oooo
00<00?l00?ooo`3oool04P3oool003l0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?oo
o`020?ooo`050?l0003oool0oooo0?ooo`3o0000P@3oool010000000oooo0?ooo`0000080?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00020?ooo`050000003oool0oooo0000003oool01@0000030?ooo`030?l0003oool0oooo00<0oooo
00<0o`000?ooo`3oool0103oool0103o0000oooo0?ooo`3o001i0?ooo`040000003oool0oooo0000
00P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`100?ooo`03
003o003oool0oooo03L0oooo00<00?l00?ooo`3oool04`3oool001D0oooo0P0000040?ooo`030000
003oool0oooo00<0oooo0P0000040?ooo`800000103oool2000000@0oooo0P0000030?ooo`@00000
0`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00D0o`000?ooo`3oool0
oooo0?l000210?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`030000003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool00`3o
0000oooo0?ooo`040?ooo`040?l0003oool0oooo0?l007T0oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool000000P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo0440oooo00<00?l0
0?ooo`3oool0=P3oool00`00o`00oooo0?ooo`0C0?ooo`00503oool010000000oooo0?ooo`000008
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0103oool00`3o
0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l00021
0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo000000040?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool0
103o0000oooo0?ooo`3o001i0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo0`000004
0?ooo`030000003oool0oooo0440oooo00<00?l00?ooo`3oool0=@3oool00`00o`00oooo0?ooo`0D
0?ooo`00503oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@0
00000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0000
00<0oooo00<000000?ooo`3oool00`3oool00`3o000000000?ooo`020?ooo`030?l0003oool0oooo
0080oooo00D0o`000?ooo`3oool0oooo0?l000210?ooo`040000003oool0oooo000000P0oooo00@0
00000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0000
0080oooo00@000000?ooo`3oool000000`3oool2000000@0oooo00<0o`000?ooo`3oool00`3oool0
0`3o0000oooo0?ooo`040?ooo`040?l0003oool0oooo0?l007T0oooo00@000000?ooo`3oool00000
203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0480oooo00<00?l0
0?ooo`3oool0<`3oool00`00o`00oooo0?ooo`0E0?ooo`00503oool010000000oooo0?ooo`000008
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P3oool00`3o
0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l00022
0?ooo`8000002P3oool2000000@0oooo0P0000040?ooo`800000103oool2000000D0oooo00<00000
0?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00@0o`00
0?ooo`3oool0o`00N@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0@`3oool00`00o`00oooo0?ooo`0a0?ooo`03003o003oool0
oooo01H0oooo000D0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool000001@3oool01@000000oooo0?ooo`3oool0o`0000<0oooo00<0o`000?ooo`3oool00`3oool0
1@3o0000oooo0?ooo`3oool0o`000:`0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?oo
o`040?ooo`040?l0003oool0oooo0?l007X0oooo0P00000:0?ooo`800000103oool2000000@0oooo
0P0000040?ooo`<000000`3oool00`000000oooo0?ooo`140?ooo`03003o003oool0oooo02l0oooo
00<00?l00?ooo`3oool05`3oool001@0oooo00@000000?ooo`3oool00000203oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo00D0o`000?ooo`3oool0
oooo0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000[03oool00`3o0000oooo0?ooo`030?oo
o`030?l0003oool0oooo00@0oooo00@0o`000?ooo`3oool0o`00WP3oool00`000000oooo0?ooo`15
0?ooo`03003o003oool0oooo02d0oooo00<00?l00?ooo`3oool0603oool001D0oooo0P00000:0?oo
o`800000103oool2000000@0oooo0P0000040?ooo`800000103oool2000000@0oooo00D0o`000?oo
o`3oool0oooo0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000[03oool00`3o0000oooo0?oo
o`030?ooo`030?l0003oool0oooo00@0oooo00@0o`000?ooo`3oool0o`00WP3oool00`000000oooo
0?ooo`160?ooo`03003o003oool0oooo02`0oooo00<00?l00?ooo`3oool0603oool003l0oooo00D0
o`000?ooo`3oool0oooo0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000[03oool00`3o0000
oooo0?ooo`020?ooo`030?l0003oool0oooo00D0oooo00@0o`000?ooo`3oool0o`00WP3oool00`00
0000oooo0?ooo`170?ooo`03003o003oool0oooo02X0oooo00<00?l00?ooo`3oool06@3oool003l0
oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000[03oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00D0oooo00@0o`000?ooo`3oool0o`00WP3o
ool00`000000oooo0?ooo`180?ooo`03003o003oool0oooo02P0oooo00<00?l00?ooo`3oool06P3o
ool003l0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000
[03oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00D0oooo00@0o`000?ooo`3oool0
o`00WP3oool00`000000oooo0?ooo`190?ooo`03003o003oool0oooo02H0oooo00<00?l00?ooo`3o
ool06`3oool003l0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`050?l0003oool0oooo0?oo
o`3o0000PP3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000@0oooo0P0000040?oo
o`800000103oool2000000@0oooo0P0000040?ooo`030?l0003oool0oooo0080oooo00<0o`000?oo
o`3oool01@3oool0103o0000oooo0?ooo`3o002N0?ooo`030000003oool0oooo04X0oooo00<00?l0
0?ooo`3oool0903oool00`00o`00oooo0?ooo`0L0?ooo`00?`3oool01@3o0000oooo0?ooo`3oool0
o`0000D0oooo00D0o`000?ooo`3oool0oooo0?l000210?ooo`040000003oool0oooo000000P0oooo
00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000030?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool01@3oool0103o0000oooo0?ooo`3o002N0?ooo`03
0000003oool0oooo04X0oooo00<00?l00?ooo`3oool08`3oool00`00o`00oooo0?ooo`0M0?ooo`00
?`3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00D0o`000?ooo`3oool0oooo0?l000210?oo
o`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`0000030?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool01@3oool0
103o0000oooo0?ooo`3o002N0?ooo`030000003oool0oooo04/0oooo00<00?l00?ooo`3oool08P3o
ool00`00o`00oooo0?ooo`0M0?ooo`005@3oool2000000@0oooo00<000000?ooo`3oool00`3oool2
000000@0oooo0P0000040?ooo`800000103oool2000000@0oooo0P0000040?ooo`050?l0003oool0
oooo0?ooo`3o00001@3oool01@3o0000oooo0?ooo`3oool0o`000840oooo00@000000?ooo`3oool0
0000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`<00000103oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3o0000W`3oool00`000000oooo
0?ooo`1<0?ooo`03003o003oool0oooo0200oooo00<00?l00?ooo`3oool07P3oool001@0oooo00@0
00000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0000
0080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003o
ool0oooo000000<0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`050?l0003oool0oooo0?oo
o`3o0000P@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@0
00000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0000
0080oooo00<000000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo
00D0oooo00<0o`000?ooo`3o0000N`3oool2000000@0oooo00<000000?ooo`3oool00`3oool20000
00@0oooo0P0000040?ooo`800000103oool2000000@0oooo00<000000?ooo`3oool0C@3oool00`00
o`00oooo0?ooo`0N0?ooo`03003o003oool0oooo01l0oooo000D0?ooo`040000003oool0oooo0000
00P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool000001@3oool01P000000oooo0?ooo`3oool0o`00
00000080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`000840oooo00@0
00000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0000
0080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`030000003o
ool0oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`050?ooo`030?l0003o
ool0o`0007X0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00030?ooo`030000003oool0oooo04h0oooo00<00?l00?ooo`3oool0703oool00`00o`00oooo0?oo
o`0P0?ooo`00503oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
000000<0oooo0P0000040?ooo`050?l0003oool0oooo0?ooo`3o00001@3oool01@3o0000oooo0?oo
o`3oool0o`000880oooo0P00000:0?ooo`800000103oool2000000@0oooo0P0000040?ooo`800000
103oool3000000<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`050?ooo`030?l0
003oool0o`0007X0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`0000030?ooo`030000003oool0oooo04l0oooo00<00?l00?ooo`3oool06@3oool2003o02<0oooo
000D0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000001@3o
ool01@000000oooo0?ooo`3oool0o`0000<0oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo
0?ooo`3oool0o`000:`0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`050?ooo`03
0?l0003oool0o`0007X0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000`3oool2000000@0oooo
00<000000?ooo`3oool0D03oool00`00o`00oooo0?ooo`0G0?ooo`03003o003oool0oooo02<0oooo
000D0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000030?ooo`050?l0003oool0oooo0?ooo`3o00001@3oool01@3o0000
oooo0?ooo`3oool0o`000:`0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`050?oo
o`030?l0003oool0o`0007X0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000030?ooo`030000003oool0oooo0540oooo0P00o`0E0?ooo`800?l09P3oool001D0
oooo0P00000:0?ooo`800000103oool2000000@0oooo0P0000040?ooo`800000103oool2000000@0
oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000[03oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3o0000NP3oool0
10000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo00<00000
0?ooo`3oool0D`3oool2003o0140oooo0P00o`0X0?ooo`00?`3oool01@3o0000oooo0?ooo`3oool0
o`0000D0oooo00D0o`000?ooo`3oool0oooo0?l0002/0?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool01@3oool00`3o0000oooo0?l0001k0?ooo`8000002P3oool2000000@0oooo0P00
00040?ooo`800000103oool2000000@0oooo00<000000?ooo`3oool0E@3oool2003o00d0oooo0P00
o`0Z0?ooo`00?`3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00D0o`000?ooo`3oool0oooo
0?l0002/0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool01P3oool20?l009l0oooo
00<000000?ooo`3oool0E`3oool2003o00T0oooo0P00o`000`3o0000oooo0?ooo`0Y0?ooo`00o`3o
oonZ0?ooo`030000003oool0oooo05T0oooo2@00o`0^0?ooo`00o`3ooonZ0?ooo`030000003oool0
oooo0900oooo003o0?ooojX0oooo00<000000?ooo`3oool0T03oool007X0oooo0`00002j0?ooo`03
0000003oool0oooo0?l0oooo0`3oool007d0oooo00<000000?ooo`3oool0]`3oool00`000000oooo
0?ooo`3o0?ooo`<0oooo001m0?ooo`030000003oool0oooo0;@0oooo1@00003o0?ooo`@0oooo001d
0?ooo`@000000P3oool300000;80oooo100000001@3oool000000?ooo`3oool000000?l0oooo1@3o
ool007X0oooo00<000000?ooo`3oool0^03oool00`000000oooo0000002c0?ooo`800000C`3oool0
07X0oooo00<000000?ooo`3oool0^@3oool200000;80oooo00@000000?ooo`3oool00000CP3oool0
07X0oooo1000002i0?ooo`030000003oool0oooo0;<0oooo00<000000?ooo`3oool0C03oool00?l0
ooooi@3oool4000000<0oooo0P00001?0?ooo`00o`3oooo^0?ooo`030000003oool0oooo04`0oooo
003o0?ooon/0oooo00@000000?ooo`3oool00000CP3oool00?l0ooook03oool2000004l0oooo003o
0?ooool0oooo?P3oool00?l0ooooo`3oooln0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0oooo
?P3oool00?l0ooooo`3oooln0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3oool00?l0
ooooo`3oooln0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3oool00?l0ooooo`3oooln
0?ooo`00o`3ooooo0?oooch0oooo003o0?ooool0oooo?P3oool00?l0ooooo`3oooln0?ooo`00o`3o
oooo0?oooch0oooo003o0?ooool0oooo?P3oool00001\
\>"],
  ImageRangeCache->{{{0, 571}, {473.875, 0}} -> {-0.0761095, -0.0622994, \
0.00552053, 0.00552053}, {{13.75, 183.562}, {462.562, 357.625}} -> {-4.31744, \
-7.89812*^-5, 0.0682171, 1.58524*^-6}, {{200.562, 370.375}, {462.562, \
357.625}} -> {-17.0613, -3.99599*^-5, 0.0682171, 7.66049*^-7}, {{387.375, \
557.188}, {462.562, 357.625}} -> {-27.1748, -7.5829*^-6, 0.0634882, \
1.46841*^-7}, {{13.75, 183.562}, {347.125, 242.125}} -> {-2.66545, \
-0.0814177, 0.0606648, 0.000592212}, {{200.562, 370.375}, {347.125, 242.125}} -> \
{-14.1804, -0.0181668, 0.0606648, 0.000132141}, {{387.375, 557.188}, \
{347.125, 242.125}} -> {-26.3817, -0.00184078, 0.0620648, 1.27485*^-5}, \
{{13.75, 183.562}, {231.688, 126.688}} -> {-2.84745, -0.0334208, 0.0606648, \
0.000132141}, {{200.562, 370.375}, {231.688, 126.688}} -> {-13.9984, \
-0.149781, 0.0606648, 0.000592212}, {{387.375, 557.188}, {231.688, 126.688}} -> \
{-25.3313, -0.246948, 0.0606648, 0.000976395}, {{13.75, 183.562}, {116.188, \
11.25}} -> {-4.31744, -0.0003053, 0.0682171, 7.66049*^-7}, {{200.562, \
370.375}, {116.188, 11.25}} -> {-17.0613, -0.00062807, 0.0682171, \
1.58524*^-6}, {{387.375, 557.188}, {116.188, 11.25}} -> {-26.3817, \
-0.00478448, 0.0620648, 1.27485*^-5}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  GraphicsArray  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Show[% /. \((Ticks \[Rule] Automatic)\) \[Rule] \((Ticks \[Rule] 
              None)\)]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .83048 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.31746 0.0197734 0.31746 [
[ 0 0 0 0 ]
[ 1 .83048 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .83048 L
0 .83048 L
closepath
clip
newpath
% Start of sub-graphic
p
0.0238095 0.0197734 0.321429 0.203712 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.235439 5122.94 [
[.5 .63053 -3 0 ]
[.5 .63053 3 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 .23544 m
1 .23544 L
s
.02381 0 m
.02381 .61803 L
s
[(4)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .23544 m
0 0 rlineto s
.02381 .23544 m
.02982 .61803 L
s
.06891 .61803 m
.07229 .38259 L
s
.07229 .38259 m
.07739 0 L
s
.11861 0 m
.12381 .23567 L
.12907 .43742 L
.13173 .51594 L
.13325 .55327 L
.13465 .58227 L
.13584 .60316 L
s
.13584 .60316 m
.13687 .61803 L
s
.14908 .61803 m
.14993 .60921 L
.15289 .56875 L
.15564 .52432 L
.16599 .34307 L
.17099 .2689 L
.17572 .21557 L
.17834 .19392 L
.17972 .18475 L
.18118 .17666 L
.18241 .17113 L
.18376 .16632 L
.18499 .16304 L
.18614 .16088 L
.18733 .15952 L
.18859 .15896 L
.18978 .1592 L
.19086 .16002 L
.19213 .16164 L
.1935 .1641 L
.196 .17016 L
.2014 .18778 L
.20637 .20601 L
.21537 .2349 L
.2199 .24526 L
.22248 .24973 L
.22488 .25303 L
.22748 .25571 L
.22988 .25746 L
.23113 .25812 L
.23252 .25869 L
.23321 .25891 L
.23396 .2591 L
.23467 .25924 L
.23532 .25934 L
.23651 .25945 L
.23762 .25948 L
.23883 .25944 L
.24014 .25932 L
.24079 .25924 L
.2415 .25914 L
.24279 .25891 L
.24521 .2584 L
.24983 .25729 L
.25237 .2567 L
.25479 .2562 L
.25703 .25581 L
.25821 .25563 L
.25948 .25548 L
.26064 .25536 L
Mistroke
.2617 .25527 L
.26276 .2552 L
.26376 .25515 L
.26491 .25512 L
.26613 .25511 L
.26716 .25512 L
.2683 .25515 L
.26953 .2552 L
.27084 .25529 L
.27321 .2555 L
.276 .25582 L
.27865 .25621 L
.28361 .25705 L
.30465 .26141 L
.343 .26996 L
.3838 .28064 L
.42308 .29244 L
.46085 .30487 L
.50108 .31876 L
.53979 .33211 L
.58095 .34543 L
.62059 .35652 L
.65872 .3648 L
.67834 .36796 L
.68925 .36935 L
.6993 .37039 L
.70955 .37122 L
.71495 .37155 L
.72066 .37183 L
.72305 .37192 L
.72562 .37201 L
.72784 .37207 L
.73026 .37212 L
.73173 .37215 L
.73309 .37217 L
.73439 .37218 L
.73512 .37219 L
.73578 .37219 L
.73703 .3722 L
.73773 .3722 L
.73837 .3722 L
.73956 .37219 L
.74082 .37219 L
.74204 .37218 L
.74338 .37216 L
.7458 .37213 L
.74815 .37208 L
.75033 .37202 L
.75527 .37184 L
.76051 .37159 L
Mistroke
.76924 .37103 L
.77886 .37021 L
.79826 .3679 L
.81914 .3645 L
.86035 .35531 L
.90004 .34395 L
.93822 .3315 L
.97619 .31839 L
Mfstroke
0 1 0 r
.02381 .23696 m
.04262 .23736 L
.06244 .23788 L
.08426 .23859 L
.10458 .23941 L
.14264 .24143 L
.18163 .24435 L
.22307 .24862 L
.263 .25412 L
.30142 .26088 L
.34228 .26978 L
.38164 .28003 L
.41947 .2913 L
.45976 .3045 L
.49853 .31788 L
.53975 .3321 L
.57946 .34498 L
.61766 .35577 L
.63897 .36085 L
.6583 .36473 L
.67845 .36797 L
.69743 .37022 L
.70719 .37105 L
.71253 .37141 L
.71751 .37169 L
.72176 .37188 L
.72632 .37203 L
.72891 .3721 L
.73137 .37214 L
.73244 .37216 L
.73358 .37217 L
.73483 .37218 L
.73598 .37219 L
.73712 .3722 L
.73836 .3722 L
.73966 .37219 L
.74087 .37219 L
.74201 .37218 L
.74304 .37217 L
.74535 .37213 L
.74785 .37208 L
.75055 .37201 L
.75545 .37183 L
.76007 .37162 L
.76496 .37133 L
.77373 .37067 L
.78317 .36977 L
.79331 .36857 L
.81162 .36583 L
.8529 .35719 L
Mistroke
.89266 .34622 L
.9309 .33397 L
.9716 .31999 L
.97619 .31839 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.35119 0.0197734 0.64881 0.203712 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.257462 10601.3 [
[.5 .63053 -3 0 ]
[.5 .63053 3 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 .25746 m
1 .25746 L
s
.02381 0 m
.02381 .61803 L
s
[(5)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .25747 m
0 0 rlineto s
.02381 .25747 m
.02659 .61803 L
s
.06062 .61803 m
.06244 .3342 L
s
.06244 .3342 m
.06457 0 L
s
.09998 0 m
.10458 .58713 L
s
.10458 .58713 m
.10486 .61803 L
s
.13573 .61803 m
.13844 .41728 L
.14269 .14032 L
.14495 .01841 L
s
.14495 .01841 m
.14537 0 L
s
.16949 0 m
.17155 .05777 L
.17674 .19607 L
.17958 .25966 L
.18223 .30848 L
.18453 .34177 L
.187 .36792 L
.1884 .37849 L
.1891 .38259 L
.18974 .38576 L
.19093 .39013 L
.19224 .3927 L
.19333 .39323 L
.19436 .39247 L
.19549 .39038 L
.1967 .38678 L
.19791 .382 L
.19918 .37585 L
.20145 .3626 L
.21151 .29275 L
.2144 .27533 L
.21714 .26154 L
.2196 .25164 L
.22097 .24713 L
.22226 .24357 L
.2235 .24075 L
.22463 .23865 L
.22589 .23683 L
.22659 .23604 L
.22724 .23544 L
.22853 .23462 L
.22922 .23437 L
.22995 .23423 L
.23064 .23421 L
.23129 .23429 L
.23252 .23468 L
.23367 .23529 L
.23489 .23616 L
.23706 .23816 L
.24198 .24387 L
.24691 .24978 L
.25158 .25447 L
.25578 .25751 L
.25815 .25873 L
.25928 .25919 L
.26034 .25955 L
.26148 .25988 L
.26253 .26011 L
.26369 .26031 L
.26494 .26046 L
Mistroke
.26608 .26055 L
.26732 .26059 L
.26862 .26058 L
.26983 .26054 L
.27046 .2605 L
.27115 .26045 L
.2724 .26034 L
.27474 .26008 L
.27999 .25938 L
.28463 .2588 L
.28716 .25853 L
.28954 .25832 L
.29172 .25817 L
.29372 .25806 L
.29595 .25797 L
.29717 .25793 L
.29833 .2579 L
.29958 .25788 L
.30029 .25787 L
.30093 .25787 L
.30212 .25786 L
.30338 .25786 L
.30451 .25786 L
.30556 .25787 L
.30672 .25787 L
.30795 .25789 L
.31331 .25796 L
.31819 .25803 L
.32273 .2581 L
.32765 .25815 L
.3366 .25823 L
.34147 .25826 L
.34603 .25828 L
.35642 .25834 L
.37745 .25846 L
.41621 .25872 L
.45742 .25903 L
.49712 .25935 L
.5353 .25965 L
.57593 .25996 L
.61505 .26021 L
.63501 .26032 L
.65662 .26043 L
.67748 .26051 L
.6874 .26054 L
.69667 .26056 L
.70575 .26058 L
.71549 .26059 L
.72104 .2606 L
.72377 .2606 L
Mistroke
.72629 .2606 L
.72854 .2606 L
.73101 .2606 L
.7323 .26061 L
.7335 .26061 L
.73477 .26061 L
.73549 .26061 L
.73615 .26061 L
.73742 .26061 L
.73863 .26061 L
.73971 .26061 L
.74088 .26061 L
.74216 .26061 L
.74352 .26061 L
.74594 .2606 L
.74819 .2606 L
.75029 .2606 L
.75506 .2606 L
.76027 .26059 L
.76504 .26059 L
.77576 .26057 L
.78562 .26054 L
.79477 .26052 L
.81551 .26044 L
.85468 .26025 L
.8963 .25998 L
.93641 .25968 L
.975 .25938 L
.97619 .25937 L
Mfstroke
0 1 0 r
.02381 .2575 m
.04262 .25751 L
.06244 .25752 L
.08426 .25753 L
.10458 .25755 L
.14264 .2576 L
.18163 .25767 L
.22307 .25777 L
.263 .25789 L
.30142 .25805 L
.34228 .25825 L
.38164 .25849 L
.41947 .25875 L
.45976 .25905 L
.49853 .25936 L
.53975 .25968 L
.57946 .25998 L
.61766 .26023 L
.63897 .26035 L
.6583 .26043 L
.67845 .26051 L
.69743 .26056 L
.70719 .26058 L
.71253 .26059 L
.71751 .26059 L
.72176 .2606 L
.72632 .2606 L
.72891 .2606 L
.73137 .2606 L
.73244 .26061 L
.73358 .26061 L
.73483 .26061 L
.73598 .26061 L
.73712 .26061 L
.73836 .26061 L
.73966 .26061 L
.74087 .26061 L
.74201 .26061 L
.74304 .26061 L
.74535 .2606 L
.74785 .2606 L
.75055 .2606 L
.75545 .2606 L
.76007 .26059 L
.76496 .26059 L
.77373 .26057 L
.78317 .26055 L
.79331 .26052 L
.81162 .26046 L
.8529 .26026 L
Mistroke
.89266 .26001 L
.9309 .25973 L
.9716 .25941 L
.97619 .25937 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.678571 0.0197734 0.97619 0.203712 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.257512 51471.5 [
[.5 .63053 -3 0 ]
[.5 .63053 3 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 .25751 m
1 .25751 L
s
.02381 0 m
.02381 .61803 L
s
[(6)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .25754 m
0 0 rlineto s
.02381 .25754 m
.02439 .61803 L
s
.05541 .61803 m
.05622 0 L
s
.08767 0 m
.08852 .61803 L
s
.11937 .61803 m
.12014 .2237 L
s
.12014 .2237 m
.12061 0 L
s
.15115 0 m
.15326 .53846 L
s
.15326 .53846 m
.15365 .61803 L
s
.18044 .61803 m
.18214 .43347 L
.18458 .20786 L
.18716 .01366 L
s
.18716 .01366 m
.18739 0 L
s
.20753 0 m
.21154 .13575 L
.21625 .26571 L
.21753 .29333 L
.21891 .31856 L
.22011 .33703 L
.22138 .35293 L
.22269 .36561 L
.2239 .37401 L
.2252 .3798 L
.22594 .38169 L
.22663 .38259 L
.22787 .38229 L
.22901 .38005 L
.23032 .37544 L
.23157 .36939 L
.23599 .33908 L
.2408 .30105 L
.24606 .26593 L
.24872 .2531 L
.25023 .24744 L
.25165 .24319 L
.25288 .24032 L
.25417 .23805 L
.25528 .23668 L
.25648 .23574 L
.25779 .23531 L
.25851 .23531 L
.25918 .23544 L
.26047 .23602 L
.26169 .23691 L
.27052 .24807 L
.27286 .2511 L
.2754 .254 L
.27763 .25611 L
.28002 .25787 L
.2815 .25871 L
.28284 .25932 L
.28419 .25978 L
.28546 .2601 L
.28671 .26031 L
.28785 .26042 L
.28911 .26046 L
.28974 .26046 L
.29043 .26043 L
.29171 .26034 L
.29287 .26022 L
.29547 .25984 L
.30017 .259 L
.30507 .25819 L
Mistroke
.30784 .25783 L
.31039 .25759 L
.31263 .25743 L
.3139 .25737 L
.31509 .25732 L
.31634 .25728 L
.31748 .25726 L
.31881 .25724 L
.32006 .25724 L
.32074 .25724 L
.32139 .25724 L
.32259 .25725 L
.32388 .25726 L
.32528 .25728 L
.33012 .25737 L
.33287 .25741 L
.3358 .25746 L
.33853 .25749 L
.34111 .25752 L
.34349 .25753 L
.34483 .25754 L
.34608 .25754 L
.34712 .25755 L
.34827 .25755 L
.34948 .25755 L
.35061 .25755 L
.35188 .25755 L
.35253 .25755 L
.35323 .25755 L
.35447 .25755 L
.35563 .25755 L
.36104 .25754 L
.36355 .25754 L
.36628 .25754 L
.36885 .25753 L
.37122 .25753 L
.37254 .25753 L
.37399 .25753 L
.37472 .25753 L
.3755 .25753 L
.37624 .25753 L
.37692 .25753 L
.37819 .25753 L
.37891 .25753 L
.37958 .25753 L
.3808 .25753 L
.3821 .25753 L
.38335 .25753 L
.38471 .25753 L
.38747 .25753 L
Mistroke
.39241 .25753 L
.40354 .25754 L
.42372 .25754 L
.46419 .25754 L
.50314 .25755 L
.54454 .25756 L
.58442 .25756 L
.62279 .25757 L
.64221 .25757 L
.66361 .25757 L
.6839 .25757 L
.69299 .25757 L
.70292 .25757 L
.71277 .25757 L
.71814 .25757 L
.72313 .25757 L
.72555 .25757 L
.72783 .25757 L
.7299 .25757 L
.73209 .25757 L
.73323 .25757 L
.73448 .25757 L
.73561 .25757 L
.73668 .25757 L
.73793 .25757 L
.73907 .25757 L
.74039 .25757 L
.74165 .25757 L
.74278 .25757 L
.74401 .25757 L
.74622 .25757 L
.74886 .25757 L
.75128 .25757 L
.75627 .25757 L
.76152 .25757 L
.77031 .25757 L
.77993 .25757 L
.79951 .25757 L
.82045 .25757 L
.8619 .25757 L
.90184 .25756 L
.94026 .25756 L
.97619 .25755 L
Mfstroke
0 1 0 r
.02381 .25751 m
.04262 .25751 L
.06244 .25751 L
.08426 .25751 L
.10458 .25751 L
.14264 .25751 L
.18163 .25752 L
.22307 .25752 L
.263 .25752 L
.30142 .25752 L
.34228 .25753 L
.38164 .25753 L
.41947 .25754 L
.45976 .25754 L
.49853 .25755 L
.53975 .25756 L
.57946 .25756 L
.61766 .25757 L
.63897 .25757 L
.6583 .25757 L
.67845 .25757 L
.69743 .25757 L
.70719 .25757 L
.71253 .25757 L
.71751 .25757 L
.72176 .25757 L
.72632 .25757 L
.72891 .25757 L
.73137 .25757 L
.73244 .25757 L
.73358 .25757 L
.73483 .25757 L
.73598 .25757 L
.73712 .25757 L
.73836 .25757 L
.73966 .25757 L
.74087 .25757 L
.74201 .25757 L
.74304 .25757 L
.74535 .25757 L
.74785 .25757 L
.75055 .25757 L
.75545 .25757 L
.76007 .25757 L
.76496 .25757 L
.77373 .25757 L
.78317 .25757 L
.79331 .25757 L
.81162 .25757 L
.8529 .25757 L
Mistroke
.89266 .25756 L
.9309 .25756 L
.9716 .25755 L
.97619 .25755 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.0238095 0.222106 0.321429 0.406045 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.0147151 12.195 [
[.5 .63053 -3 0 ]
[.5 .63053 3 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 .01472 m
1 .01472 L
s
.02381 0 m
.02381 .61803 L
s
[(1)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .01472 m
.06244 .02254 L
.10458 .03284 L
.14415 .04221 L
.18221 .05375 L
.20178 .06148 L
.22272 .07133 L
.26416 .0959 L
.30409 .12648 L
.34251 .16276 L
.38337 .20873 L
.42272 .25953 L
.46056 .3131 L
.50085 .37299 L
.53962 .43056 L
.58084 .48798 L
.62055 .53579 L
.65874 .57152 L
.67842 .58512 L
.68934 .59111 L
.69939 .59559 L
.70967 .59914 L
.71509 .60058 L
.7208 .60177 L
.7232 .60217 L
.72577 .60253 L
.728 .60279 L
.73042 .60301 L
.73189 .60312 L
.73325 .6032 L
.73455 .60325 L
.73521 .60328 L
.73594 .60329 L
.73719 .60331 L
.73789 .60332 L
.73853 .60332 L
.73972 .60331 L
.74097 .60328 L
.74221 .60323 L
.74354 .60317 L
.74597 .603 L
.74834 .60277 L
.75052 .60252 L
.75547 .60175 L
.76071 .60067 L
.76946 .59823 L
.77908 .59466 L
.79853 .58466 L
.81942 .56997 L
.8607 .53024 L
Mistroke
.90046 .48121 L
.9387 .42745 L
.97619 .37172 L
Mfstroke
0 1 0 r
.02381 .02125 m
.04262 .02298 L
.06244 .02522 L
.08426 .02828 L
.10458 .0318 L
.14264 .04052 L
.18163 .05306 L
.22307 .07144 L
.263 .09511 L
.30142 .12421 L
.34228 .16253 L
.38164 .20663 L
.41947 .25512 L
.45976 .31193 L
.49853 .36952 L
.53975 .43076 L
.57946 .48616 L
.61766 .53263 L
.63897 .55446 L
.6583 .57118 L
.67845 .58514 L
.69743 .5948 L
.70719 .59838 L
.71253 .59994 L
.71751 .60112 L
.72176 .60194 L
.72632 .6026 L
.72891 .60288 L
.73137 .60308 L
.73244 .60315 L
.73358 .60321 L
.73483 .60326 L
.73598 .6033 L
.73712 .60331 L
.73836 .60332 L
.73966 .60331 L
.74087 .60328 L
.74201 .60324 L
.74304 .60319 L
.74535 .60305 L
.74785 .60283 L
.75055 .60251 L
.75545 .60176 L
.76007 .60082 L
.76496 .59958 L
.77373 .59676 L
.78317 .59287 L
.79331 .5877 L
.81162 .57591 L
.8529 .53873 L
Mistroke
.89266 .49149 L
.9309 .43877 L
.9716 .3786 L
.97619 .37172 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.35119 0.222106 0.64881 0.406045 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.0147151 54.654 [
[.5 .63053 -3 0 ]
[.5 .63053 3 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 .01472 m
1 .01472 L
s
.02381 0 m
.02381 .61803 L
s
[(2)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .01472 m
.04262 .02888 L
.0522 .03633 L
.06244 .04307 L
.0679 .04583 L
.07286 .04773 L
.07525 .04843 L
.07784 .04903 L
.07903 .04925 L
.08029 .04944 L
.08145 .04959 L
.08255 .0497 L
.0832 .04975 L
.08392 .0498 L
.08516 .04985 L
.08586 .04987 L
.08662 .04987 L
.08732 .04986 L
.08797 .04985 L
.08922 .0498 L
.08993 .04975 L
.09058 .0497 L
.09304 .04946 L
.09571 .04907 L
.09865 .04854 L
.10458 .04719 L
.1146 .04455 L
.12409 .04235 L
.12933 .04147 L
.13077 .04129 L
.13229 .04112 L
.13361 .041 L
.13503 .0409 L
.13631 .04083 L
.13747 .04079 L
.13859 .04077 L
.13977 .04076 L
.14107 .04078 L
.14227 .04082 L
.14359 .04088 L
.145 .04098 L
.14759 .04123 L
.15033 .04159 L
.15525 .04248 L
.16053 .04375 L
.16635 .04549 L
.1865 .05337 L
.22684 .07328 L
.26567 .09694 L
.30694 .12894 L
Mistroke
.3467 .16713 L
.38495 .21065 L
.42565 .26353 L
.46483 .31935 L
.50646 .38141 L
.54658 .44064 L
.58518 .49363 L
.62624 .54182 L
.6467 .56151 L
.66578 .57679 L
.68414 .5884 L
.69436 .59347 L
.7038 .59725 L
.714 .60031 L
.71938 .6015 L
.72213 .602 L
.72508 .60244 L
.72766 .60275 L
.73003 .60298 L
.73228 .60314 L
.73342 .60321 L
.73466 .60326 L
.73537 .60328 L
.73605 .6033 L
.73731 .60332 L
.73801 .60332 L
.73866 .60332 L
.73938 .60331 L
.74013 .6033 L
.74138 .60326 L
.74255 .60322 L
.74384 .60315 L
.74522 .60306 L
.74777 .60283 L
.75049 .60252 L
.75537 .60177 L
.76063 .60069 L
.76643 .59917 L
.7768 .59559 L
.78654 .59126 L
.8067 .57938 L
.8252 .56522 L
.86479 .52562 L
.90287 .47798 L
.9434 .42057 L
.97619 .37172 L
Mfstroke
0 1 0 r
.02381 .02125 m
.04262 .02298 L
.06244 .02522 L
.08426 .02828 L
.10458 .0318 L
.14264 .04052 L
.18163 .05306 L
.22307 .07144 L
.263 .09511 L
.30142 .12421 L
.34228 .16253 L
.38164 .20663 L
.41947 .25512 L
.45976 .31193 L
.49853 .36952 L
.53975 .43076 L
.57946 .48616 L
.61766 .53263 L
.63897 .55446 L
.6583 .57118 L
.67845 .58514 L
.69743 .5948 L
.70719 .59838 L
.71253 .59994 L
.71751 .60112 L
.72176 .60194 L
.72632 .6026 L
.72891 .60288 L
.73137 .60308 L
.73244 .60315 L
.73358 .60321 L
.73483 .60326 L
.73598 .6033 L
.73712 .60331 L
.73836 .60332 L
.73966 .60331 L
.74087 .60328 L
.74201 .60324 L
.74304 .60319 L
.74535 .60305 L
.74785 .60283 L
.75055 .60251 L
.75545 .60176 L
.76007 .60082 L
.76496 .59958 L
.77373 .59676 L
.78317 .59287 L
.79331 .5877 L
.81162 .57591 L
.8529 .53873 L
Mistroke
.89266 .49149 L
.9309 .43877 L
.9716 .3786 L
.97619 .37172 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.678571 0.222106 0.97619 0.406045 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.0909599 579.575 [
[.5 .63053 -3 0 ]
[.5 .63053 3 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 .09096 m
1 .09096 L
s
.02381 0 m
.02381 .61803 L
s
[(3)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .09096 m
.03279 .15737 L
.04262 .2288 L
.04758 .25787 L
.0503 .27061 L
.05288 .28017 L
.05528 .2867 L
.05664 .28932 L
.05789 .29104 L
.05894 .29196 L
.0601 .29241 L
.06131 .29225 L
.06244 .29152 L
.0631 .29084 L
.06379 .28992 L
.06504 .28774 L
.06653 .28428 L
.06788 .28036 L
.07054 .27055 L
.07305 .25897 L
.08274 .19792 L
.09336 .11946 L
.09916 .08072 L
.10458 .05122 L
.1092 .03258 L
.11179 .02501 L
.11415 .01993 L
.11549 .01782 L
.11674 .01635 L
.11738 .01577 L
.1181 .01527 L
.11885 .01491 L
.11955 .01472 L
.12083 .01472 L
.12201 .0151 L
.1233 .01594 L
.12395 .01651 L
.12466 .01726 L
.12708 .02065 L
.12928 .02475 L
.13423 .03682 L
.14313 .06427 L
.15245 .09329 L
.15755 .10687 L
.16232 .11738 L
.16747 .12618 L
.1702 .12978 L
.17314 .13288 L
.17581 .13508 L
.17835 .13667 L
Mistroke
.18063 .13774 L
.18311 .13856 L
.18445 .13888 L
.18567 .1391 L
.18702 .13928 L
.1877 .13935 L
.18844 .13941 L
.1897 .13947 L
.1904 .13949 L
.19104 .13949 L
.19228 .13949 L
.19346 .13946 L
.19459 .13941 L
.19579 .13935 L
.19795 .13923 L
.20049 .13907 L
.20282 .13896 L
.20403 .13892 L
.20531 .13889 L
.20658 .13888 L
.2073 .13888 L
.20798 .1389 L
.2092 .13893 L
.21031 .13898 L
.2116 .13907 L
.21281 .13917 L
.21556 .13951 L
.21809 .13994 L
.22087 .14054 L
.22381 .14131 L
.23327 .14471 L
.24342 .14951 L
.26175 .15988 L
.30308 .18751 L
.34289 .22017 L
.38119 .25755 L
.42194 .30314 L
.46117 .35147 L
.49889 .40027 L
.53906 .45223 L
.57772 .49933 L
.61882 .5429 L
.63933 .56108 L
.65842 .57542 L
.67799 .58725 L
.69649 .59556 L
.70629 .59877 L
.71146 .60012 L
.71693 .6013 L
.72152 .60208 L
Mistroke
.72397 .60242 L
.72659 .60272 L
.72899 .60294 L
.73119 .6031 L
.73225 .60316 L
.7334 .60322 L
.73449 .60326 L
.73551 .60329 L
.73679 .60331 L
.73744 .60332 L
.73815 .60332 L
.73941 .60331 L
.74059 .60329 L
.7413 .60327 L
.74198 .60325 L
.74324 .6032 L
.7446 .60313 L
.74608 .60303 L
.74859 .60282 L
.75126 .60254 L
.75604 .60187 L
.76061 .60103 L
.76489 .60008 L
.77466 .59731 L
.7845 .59368 L
.79485 .58897 L
.81336 .57835 L
.85149 .54838 L
.89207 .50664 L
.93114 .45979 L
.97265 .40634 L
.97619 .40172 L
Mfstroke
0 1 0 r
.02381 .09665 m
.04262 .09815 L
.06244 .1001 L
.08426 .10276 L
.10458 .10583 L
.14264 .11342 L
.18163 .12434 L
.22307 .14034 L
.263 .16094 L
.30142 .18627 L
.34228 .21963 L
.38164 .25802 L
.41947 .30023 L
.45976 .34968 L
.49853 .3998 L
.53975 .45311 L
.57946 .50134 L
.61766 .54179 L
.63897 .56079 L
.6583 .57534 L
.67845 .58749 L
.69743 .5959 L
.70719 .59902 L
.71253 .60037 L
.71751 .60141 L
.72176 .60211 L
.72632 .60269 L
.72891 .60294 L
.73137 .60311 L
.73244 .60317 L
.73358 .60323 L
.73483 .60327 L
.73598 .6033 L
.73712 .60331 L
.73836 .60332 L
.73966 .60331 L
.74087 .60328 L
.74201 .60325 L
.74304 .60321 L
.74535 .60308 L
.74785 .60289 L
.75055 .60262 L
.75545 .60196 L
.76007 .60114 L
.76496 .60007 L
.77373 .59761 L
.78317 .59422 L
.79331 .58973 L
.81162 .57946 L
.8529 .54709 L
Mistroke
.89266 .50598 L
.9309 .46009 L
.9716 .40771 L
.97619 .40172 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.0238095 0.424439 0.321429 0.608377 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.0147151 54.654 [
[.5 .63053 -6 0 ]
[.5 .63053 6 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 .01472 m
1 .01472 L
s
.02381 0 m
.02381 .61803 L
s
[(-2)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .01472 m
.04262 .02888 L
.0522 .03633 L
.06244 .04307 L
.0679 .04583 L
.07286 .04773 L
.07525 .04843 L
.07784 .04903 L
.07903 .04925 L
.08029 .04944 L
.08145 .04959 L
.08255 .0497 L
.0832 .04975 L
.08392 .0498 L
.08516 .04985 L
.08586 .04987 L
.08662 .04987 L
.08732 .04986 L
.08797 .04985 L
.08922 .0498 L
.08993 .04975 L
.09058 .0497 L
.09304 .04946 L
.09571 .04907 L
.09865 .04854 L
.10458 .04719 L
.1146 .04455 L
.12409 .04235 L
.12933 .04147 L
.13077 .04129 L
.13229 .04112 L
.13361 .041 L
.13503 .0409 L
.13631 .04083 L
.13747 .04079 L
.13859 .04077 L
.13977 .04076 L
.14107 .04078 L
.14227 .04082 L
.14359 .04088 L
.145 .04098 L
.14759 .04123 L
.15033 .04159 L
.15525 .04248 L
.16053 .04375 L
.16635 .04549 L
.1865 .05337 L
.22684 .07328 L
.26567 .09694 L
.30694 .12894 L
Mistroke
.3467 .16713 L
.38495 .21065 L
.42565 .26353 L
.46483 .31935 L
.50646 .38141 L
.54658 .44064 L
.58518 .49363 L
.62624 .54182 L
.6467 .56151 L
.66578 .57679 L
.68414 .5884 L
.69436 .59347 L
.7038 .59725 L
.714 .60031 L
.71938 .6015 L
.72213 .602 L
.72508 .60244 L
.72766 .60275 L
.73003 .60298 L
.73228 .60314 L
.73342 .60321 L
.73466 .60326 L
.73537 .60328 L
.73605 .6033 L
.73731 .60332 L
.73801 .60332 L
.73866 .60332 L
.73938 .60331 L
.74013 .6033 L
.74138 .60326 L
.74255 .60322 L
.74384 .60315 L
.74522 .60306 L
.74777 .60283 L
.75049 .60252 L
.75537 .60177 L
.76063 .60069 L
.76643 .59917 L
.7768 .59559 L
.78654 .59126 L
.8067 .57938 L
.8252 .56522 L
.86479 .52562 L
.90287 .47798 L
.9434 .42057 L
.97619 .37172 L
Mfstroke
0 1 0 r
.02381 .02125 m
.04262 .02298 L
.06244 .02522 L
.08426 .02828 L
.10458 .0318 L
.14264 .04052 L
.18163 .05306 L
.22307 .07144 L
.263 .09511 L
.30142 .12421 L
.34228 .16253 L
.38164 .20663 L
.41947 .25512 L
.45976 .31193 L
.49853 .36952 L
.53975 .43076 L
.57946 .48616 L
.61766 .53263 L
.63897 .55446 L
.6583 .57118 L
.67845 .58514 L
.69743 .5948 L
.70719 .59838 L
.71253 .59994 L
.71751 .60112 L
.72176 .60194 L
.72632 .6026 L
.72891 .60288 L
.73137 .60308 L
.73244 .60315 L
.73358 .60321 L
.73483 .60326 L
.73598 .6033 L
.73712 .60331 L
.73836 .60332 L
.73966 .60331 L
.74087 .60328 L
.74201 .60324 L
.74304 .60319 L
.74535 .60305 L
.74785 .60283 L
.75055 .60251 L
.75545 .60176 L
.76007 .60082 L
.76496 .59958 L
.77373 .59676 L
.78317 .59287 L
.79331 .5877 L
.81162 .57591 L
.8529 .53873 L
Mistroke
.89266 .49149 L
.9309 .43877 L
.9716 .3786 L
.97619 .37172 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.35119 0.424439 0.64881 0.608377 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.0147151 12.195 [
[.5 .63053 -6 0 ]
[.5 .63053 6 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 .01472 m
1 .01472 L
s
.02381 0 m
.02381 .61803 L
s
[(-1)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .01472 m
.06244 .02254 L
.10458 .03284 L
.14415 .04221 L
.18221 .05375 L
.20178 .06148 L
.22272 .07133 L
.26416 .0959 L
.30409 .12648 L
.34251 .16276 L
.38337 .20873 L
.42272 .25953 L
.46056 .3131 L
.50085 .37299 L
.53962 .43056 L
.58084 .48798 L
.62055 .53579 L
.65874 .57152 L
.67842 .58512 L
.68934 .59111 L
.69939 .59559 L
.70967 .59914 L
.71509 .60058 L
.7208 .60177 L
.7232 .60217 L
.72577 .60253 L
.728 .60279 L
.73042 .60301 L
.73189 .60312 L
.73325 .6032 L
.73455 .60325 L
.73521 .60328 L
.73594 .60329 L
.73719 .60331 L
.73789 .60332 L
.73853 .60332 L
.73972 .60331 L
.74097 .60328 L
.74221 .60323 L
.74354 .60317 L
.74597 .603 L
.74834 .60277 L
.75052 .60252 L
.75547 .60175 L
.76071 .60067 L
.76946 .59823 L
.77908 .59466 L
.79853 .58466 L
.81942 .56997 L
.8607 .53024 L
Mistroke
.90046 .48121 L
.9387 .42745 L
.97619 .37172 L
Mfstroke
0 1 0 r
.02381 .02125 m
.04262 .02298 L
.06244 .02522 L
.08426 .02828 L
.10458 .0318 L
.14264 .04052 L
.18163 .05306 L
.22307 .07144 L
.263 .09511 L
.30142 .12421 L
.34228 .16253 L
.38164 .20663 L
.41947 .25512 L
.45976 .31193 L
.49853 .36952 L
.53975 .43076 L
.57946 .48616 L
.61766 .53263 L
.63897 .55446 L
.6583 .57118 L
.67845 .58514 L
.69743 .5948 L
.70719 .59838 L
.71253 .59994 L
.71751 .60112 L
.72176 .60194 L
.72632 .6026 L
.72891 .60288 L
.73137 .60308 L
.73244 .60315 L
.73358 .60321 L
.73483 .60326 L
.73598 .6033 L
.73712 .60331 L
.73836 .60332 L
.73966 .60331 L
.74087 .60328 L
.74201 .60324 L
.74304 .60319 L
.74535 .60305 L
.74785 .60283 L
.75055 .60251 L
.75545 .60176 L
.76007 .60082 L
.76496 .59958 L
.77373 .59676 L
.78317 .59287 L
.79331 .5877 L
.81162 .57591 L
.8529 .53873 L
Mistroke
.89266 .49149 L
.9309 .43877 L
.9716 .3786 L
.97619 .37172 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.678571 0.424439 0.97619 0.608377 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.0147151 7.39662 [
[.5 .63053 -3 0 ]
[.5 .63053 3 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 .01472 m
1 .01472 L
s
.02381 0 m
.02381 .61803 L
s
[(0)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .01472 m
.04262 .01676 L
.06244 .01979 L
.10458 .02881 L
.14264 .03933 L
.18314 .05334 L
.22214 .07091 L
.26358 .0955 L
.30351 .12599 L
.34193 .16216 L
.38279 .20803 L
.42214 .25875 L
.45998 .31225 L
.50027 .37212 L
.53904 .42971 L
.58026 .48722 L
.61997 .53516 L
.65817 .57107 L
.67784 .58477 L
.68876 .59082 L
.69881 .59536 L
.7091 .59897 L
.71451 .60044 L
.72022 .60166 L
.72262 .60208 L
.72519 .60246 L
.72742 .60273 L
.72984 .60297 L
.73131 .60308 L
.73267 .60317 L
.73398 .60323 L
.73464 .60326 L
.73536 .60328 L
.73659 .60331 L
.73775 .60332 L
.73842 .60332 L
.73913 .60331 L
.74039 .60329 L
.74163 .60325 L
.74232 .60323 L
.74297 .6032 L
.74539 .60304 L
.7476 .60285 L
.74994 .60259 L
.75479 .60187 L
.76013 .6008 L
.76962 .59818 L
.7785 .5949 L
.79879 .5845 L
.81733 .57162 L
Mistroke
.85709 .53422 L
.89533 .488 L
.93603 .43135 L
.97521 .37319 L
.97619 .37172 L
Mfstroke
0 1 0 r
.02381 .02125 m
.04262 .02298 L
.06244 .02522 L
.08426 .02828 L
.10458 .0318 L
.14264 .04052 L
.18163 .05306 L
.22307 .07144 L
.263 .09511 L
.30142 .12421 L
.34228 .16253 L
.38164 .20663 L
.41947 .25512 L
.45976 .31193 L
.49853 .36952 L
.53975 .43076 L
.57946 .48616 L
.61766 .53263 L
.63897 .55446 L
.6583 .57118 L
.67845 .58514 L
.69743 .5948 L
.70719 .59838 L
.71253 .59994 L
.71751 .60112 L
.72176 .60194 L
.72632 .6026 L
.72891 .60288 L
.73137 .60308 L
.73244 .60315 L
.73358 .60321 L
.73483 .60326 L
.73598 .6033 L
.73712 .60331 L
.73836 .60332 L
.73966 .60331 L
.74087 .60328 L
.74201 .60324 L
.74304 .60319 L
.74535 .60305 L
.74785 .60283 L
.75055 .60251 L
.75545 .60176 L
.76007 .60082 L
.76496 .59958 L
.77373 .59676 L
.78317 .59287 L
.79331 .5877 L
.81162 .57591 L
.8529 .53873 L
Mistroke
.89266 .49149 L
.9309 .43877 L
.9716 .3786 L
.97619 .37172 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.0238095 0.626771 0.321429 0.81071 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.257462 10601.3 [
[.5 .63053 -6 0 ]
[.5 .63053 6 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 .25746 m
1 .25746 L
s
.02381 0 m
.02381 .61803 L
s
[(-5)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .25747 m
0 0 rlineto s
.02381 .25747 m
.02659 .61803 L
s
.06062 .61803 m
.06244 .3342 L
s
.06244 .3342 m
.06457 0 L
s
.09998 0 m
.10458 .58713 L
s
.10458 .58713 m
.10486 .61803 L
s
.13573 .61803 m
.13844 .41728 L
.14269 .14032 L
.14495 .01841 L
s
.14495 .01841 m
.14537 0 L
s
.16949 0 m
.17155 .05777 L
.17674 .19607 L
.17958 .25966 L
.18223 .30848 L
.18453 .34177 L
.187 .36792 L
.1884 .37849 L
.1891 .38259 L
.18974 .38576 L
.19093 .39013 L
.19224 .3927 L
.19333 .39323 L
.19436 .39247 L
.19549 .39038 L
.1967 .38678 L
.19791 .382 L
.19918 .37585 L
.20145 .3626 L
.21151 .29275 L
.2144 .27533 L
.21714 .26154 L
.2196 .25164 L
.22097 .24713 L
.22226 .24357 L
.2235 .24075 L
.22463 .23865 L
.22589 .23683 L
.22659 .23604 L
.22724 .23544 L
.22853 .23462 L
.22922 .23437 L
.22995 .23423 L
.23064 .23421 L
.23129 .23429 L
.23252 .23468 L
.23367 .23529 L
.23489 .23616 L
.23706 .23816 L
.24198 .24387 L
.24691 .24978 L
.25158 .25447 L
.25578 .25751 L
.25815 .25873 L
.25928 .25919 L
.26034 .25955 L
.26148 .25988 L
.26253 .26011 L
.26369 .26031 L
.26494 .26046 L
Mistroke
.26608 .26055 L
.26732 .26059 L
.26862 .26058 L
.26983 .26054 L
.27046 .2605 L
.27115 .26045 L
.2724 .26034 L
.27474 .26008 L
.27999 .25938 L
.28463 .2588 L
.28716 .25853 L
.28954 .25832 L
.29172 .25817 L
.29372 .25806 L
.29595 .25797 L
.29717 .25793 L
.29833 .2579 L
.29958 .25788 L
.30029 .25787 L
.30093 .25787 L
.30212 .25786 L
.30338 .25786 L
.30451 .25786 L
.30556 .25787 L
.30672 .25787 L
.30795 .25789 L
.31331 .25796 L
.31819 .25803 L
.32273 .2581 L
.32765 .25815 L
.3366 .25823 L
.34147 .25826 L
.34603 .25828 L
.35642 .25834 L
.37745 .25846 L
.41621 .25872 L
.45742 .25903 L
.49712 .25935 L
.5353 .25965 L
.57593 .25996 L
.61505 .26021 L
.63501 .26032 L
.65662 .26043 L
.67748 .26051 L
.6874 .26054 L
.69667 .26056 L
.70575 .26058 L
.71549 .26059 L
.72104 .2606 L
.72377 .2606 L
Mistroke
.72629 .2606 L
.72854 .2606 L
.73101 .2606 L
.7323 .26061 L
.7335 .26061 L
.73477 .26061 L
.73549 .26061 L
.73615 .26061 L
.73742 .26061 L
.73863 .26061 L
.73971 .26061 L
.74088 .26061 L
.74216 .26061 L
.74352 .26061 L
.74594 .2606 L
.74819 .2606 L
.75029 .2606 L
.75506 .2606 L
.76027 .26059 L
.76504 .26059 L
.77576 .26057 L
.78562 .26054 L
.79477 .26052 L
.81551 .26044 L
.85468 .26025 L
.8963 .25998 L
.93641 .25968 L
.975 .25938 L
.97619 .25937 L
Mfstroke
0 1 0 r
.02381 .2575 m
.04262 .25751 L
.06244 .25752 L
.08426 .25753 L
.10458 .25755 L
.14264 .2576 L
.18163 .25767 L
.22307 .25777 L
.263 .25789 L
.30142 .25805 L
.34228 .25825 L
.38164 .25849 L
.41947 .25875 L
.45976 .25905 L
.49853 .25936 L
.53975 .25968 L
.57946 .25998 L
.61766 .26023 L
.63897 .26035 L
.6583 .26043 L
.67845 .26051 L
.69743 .26056 L
.70719 .26058 L
.71253 .26059 L
.71751 .26059 L
.72176 .2606 L
.72632 .2606 L
.72891 .2606 L
.73137 .2606 L
.73244 .26061 L
.73358 .26061 L
.73483 .26061 L
.73598 .26061 L
.73712 .26061 L
.73836 .26061 L
.73966 .26061 L
.74087 .26061 L
.74201 .26061 L
.74304 .26061 L
.74535 .2606 L
.74785 .2606 L
.75055 .2606 L
.75545 .2606 L
.76007 .26059 L
.76496 .26059 L
.77373 .26057 L
.78317 .26055 L
.79331 .26052 L
.81162 .26046 L
.8529 .26026 L
Mistroke
.89266 .26001 L
.9309 .25973 L
.9716 .25941 L
.97619 .25937 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.35119 0.626771 0.64881 0.81071 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.235439 5122.94 [
[.5 .63053 -6 0 ]
[.5 .63053 6 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 .23544 m
1 .23544 L
s
.02381 0 m
.02381 .61803 L
s
[(-4)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .23544 m
0 0 rlineto s
.02381 .23544 m
.02982 .61803 L
s
.06891 .61803 m
.07229 .38259 L
s
.07229 .38259 m
.07739 0 L
s
.11861 0 m
.12381 .23567 L
.12907 .43742 L
.13173 .51594 L
.13325 .55327 L
.13465 .58227 L
.13584 .60316 L
s
.13584 .60316 m
.13687 .61803 L
s
.14908 .61803 m
.14993 .60921 L
.15289 .56875 L
.15564 .52432 L
.16599 .34307 L
.17099 .2689 L
.17572 .21557 L
.17834 .19392 L
.17972 .18475 L
.18118 .17666 L
.18241 .17113 L
.18376 .16632 L
.18499 .16304 L
.18614 .16088 L
.18733 .15952 L
.18859 .15896 L
.18978 .1592 L
.19086 .16002 L
.19213 .16164 L
.1935 .1641 L
.196 .17016 L
.2014 .18778 L
.20637 .20601 L
.21537 .2349 L
.2199 .24526 L
.22248 .24973 L
.22488 .25303 L
.22748 .25571 L
.22988 .25746 L
.23113 .25812 L
.23252 .25869 L
.23321 .25891 L
.23396 .2591 L
.23467 .25924 L
.23532 .25934 L
.23651 .25945 L
.23762 .25948 L
.23883 .25944 L
.24014 .25932 L
.24079 .25924 L
.2415 .25914 L
.24279 .25891 L
.24521 .2584 L
.24983 .25729 L
.25237 .2567 L
.25479 .2562 L
.25703 .25581 L
.25821 .25563 L
.25948 .25548 L
.26064 .25536 L
Mistroke
.2617 .25527 L
.26276 .2552 L
.26376 .25515 L
.26491 .25512 L
.26613 .25511 L
.26716 .25512 L
.2683 .25515 L
.26953 .2552 L
.27084 .25529 L
.27321 .2555 L
.276 .25582 L
.27865 .25621 L
.28361 .25705 L
.30465 .26141 L
.343 .26996 L
.3838 .28064 L
.42308 .29244 L
.46085 .30487 L
.50108 .31876 L
.53979 .33211 L
.58095 .34543 L
.62059 .35652 L
.65872 .3648 L
.67834 .36796 L
.68925 .36935 L
.6993 .37039 L
.70955 .37122 L
.71495 .37155 L
.72066 .37183 L
.72305 .37192 L
.72562 .37201 L
.72784 .37207 L
.73026 .37212 L
.73173 .37215 L
.73309 .37217 L
.73439 .37218 L
.73512 .37219 L
.73578 .37219 L
.73703 .3722 L
.73773 .3722 L
.73837 .3722 L
.73956 .37219 L
.74082 .37219 L
.74204 .37218 L
.74338 .37216 L
.7458 .37213 L
.74815 .37208 L
.75033 .37202 L
.75527 .37184 L
.76051 .37159 L
Mistroke
.76924 .37103 L
.77886 .37021 L
.79826 .3679 L
.81914 .3645 L
.86035 .35531 L
.90004 .34395 L
.93822 .3315 L
.97619 .31839 L
Mfstroke
0 1 0 r
.02381 .23696 m
.04262 .23736 L
.06244 .23788 L
.08426 .23859 L
.10458 .23941 L
.14264 .24143 L
.18163 .24435 L
.22307 .24862 L
.263 .25412 L
.30142 .26088 L
.34228 .26978 L
.38164 .28003 L
.41947 .2913 L
.45976 .3045 L
.49853 .31788 L
.53975 .3321 L
.57946 .34498 L
.61766 .35577 L
.63897 .36085 L
.6583 .36473 L
.67845 .36797 L
.69743 .37022 L
.70719 .37105 L
.71253 .37141 L
.71751 .37169 L
.72176 .37188 L
.72632 .37203 L
.72891 .3721 L
.73137 .37214 L
.73244 .37216 L
.73358 .37217 L
.73483 .37218 L
.73598 .37219 L
.73712 .3722 L
.73836 .3722 L
.73966 .37219 L
.74087 .37219 L
.74201 .37218 L
.74304 .37217 L
.74535 .37213 L
.74785 .37208 L
.75055 .37201 L
.75545 .37183 L
.76007 .37162 L
.76496 .37133 L
.77373 .37067 L
.78317 .36977 L
.79331 .36857 L
.81162 .36583 L
.8529 .35719 L
Mistroke
.89266 .34622 L
.9309 .33397 L
.9716 .31999 L
.97619 .31839 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% Start of sub-graphic
p
0.678571 0.626771 0.97619 0.81071 MathSubStart
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.119048 0.0909599 579.575 [
[.5 .63053 -6 0 ]
[.5 .63053 6 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
0 .09096 m
1 .09096 L
s
.02381 0 m
.02381 .61803 L
s
[(-3)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
.5 Mabswid
.02381 .09096 m
.03279 .15737 L
.04262 .2288 L
.04758 .25787 L
.0503 .27061 L
.05288 .28017 L
.05528 .2867 L
.05664 .28932 L
.05789 .29104 L
.05894 .29196 L
.0601 .29241 L
.06131 .29225 L
.06244 .29152 L
.0631 .29084 L
.06379 .28992 L
.06504 .28774 L
.06653 .28428 L
.06788 .28036 L
.07054 .27055 L
.07305 .25897 L
.08274 .19792 L
.09336 .11946 L
.09916 .08072 L
.10458 .05122 L
.1092 .03258 L
.11179 .02501 L
.11415 .01993 L
.11549 .01782 L
.11674 .01635 L
.11738 .01577 L
.1181 .01527 L
.11885 .01491 L
.11955 .01472 L
.12083 .01472 L
.12201 .0151 L
.1233 .01594 L
.12395 .01651 L
.12466 .01726 L
.12708 .02065 L
.12928 .02475 L
.13423 .03682 L
.14313 .06427 L
.15245 .09329 L
.15755 .10687 L
.16232 .11738 L
.16747 .12618 L
.1702 .12978 L
.17314 .13288 L
.17581 .13508 L
.17835 .13667 L
Mistroke
.18063 .13774 L
.18311 .13856 L
.18445 .13888 L
.18567 .1391 L
.18702 .13928 L
.1877 .13935 L
.18844 .13941 L
.1897 .13947 L
.1904 .13949 L
.19104 .13949 L
.19228 .13949 L
.19346 .13946 L
.19459 .13941 L
.19579 .13935 L
.19795 .13923 L
.20049 .13907 L
.20282 .13896 L
.20403 .13892 L
.20531 .13889 L
.20658 .13888 L
.2073 .13888 L
.20798 .1389 L
.2092 .13893 L
.21031 .13898 L
.2116 .13907 L
.21281 .13917 L
.21556 .13951 L
.21809 .13994 L
.22087 .14054 L
.22381 .14131 L
.23327 .14471 L
.24342 .14951 L
.26175 .15988 L
.30308 .18751 L
.34289 .22017 L
.38119 .25755 L
.42194 .30314 L
.46117 .35147 L
.49889 .40027 L
.53906 .45223 L
.57772 .49933 L
.61882 .5429 L
.63933 .56108 L
.65842 .57542 L
.67799 .58725 L
.69649 .59556 L
.70629 .59877 L
.71146 .60012 L
.71693 .6013 L
.72152 .60208 L
Mistroke
.72397 .60242 L
.72659 .60272 L
.72899 .60294 L
.73119 .6031 L
.73225 .60316 L
.7334 .60322 L
.73449 .60326 L
.73551 .60329 L
.73679 .60331 L
.73744 .60332 L
.73815 .60332 L
.73941 .60331 L
.74059 .60329 L
.7413 .60327 L
.74198 .60325 L
.74324 .6032 L
.7446 .60313 L
.74608 .60303 L
.74859 .60282 L
.75126 .60254 L
.75604 .60187 L
.76061 .60103 L
.76489 .60008 L
.77466 .59731 L
.7845 .59368 L
.79485 .58897 L
.81336 .57835 L
.85149 .54838 L
.89207 .50664 L
.93114 .45979 L
.97265 .40634 L
.97619 .40172 L
Mfstroke
0 1 0 r
.02381 .09665 m
.04262 .09815 L
.06244 .1001 L
.08426 .10276 L
.10458 .10583 L
.14264 .11342 L
.18163 .12434 L
.22307 .14034 L
.263 .16094 L
.30142 .18627 L
.34228 .21963 L
.38164 .25802 L
.41947 .30023 L
.45976 .34968 L
.49853 .3998 L
.53975 .45311 L
.57946 .50134 L
.61766 .54179 L
.63897 .56079 L
.6583 .57534 L
.67845 .58749 L
.69743 .5959 L
.70719 .59902 L
.71253 .60037 L
.71751 .60141 L
.72176 .60211 L
.72632 .60269 L
.72891 .60294 L
.73137 .60311 L
.73244 .60317 L
.73358 .60323 L
.73483 .60327 L
.73598 .6033 L
.73712 .60331 L
.73836 .60332 L
.73966 .60331 L
.74087 .60328 L
.74201 .60325 L
.74304 .60321 L
.74535 .60308 L
.74785 .60289 L
.75055 .60262 L
.75545 .60196 L
.76007 .60114 L
.76496 .60007 L
.77373 .59761 L
.78317 .59422 L
.79331 .58973 L
.81162 .57946 L
.8529 .54709 L
Mistroke
.89266 .50598 L
.9309 .46009 L
.9716 .40771 L
.97619 .40172 L
Mfstroke
MathSubEnd
P
% End of sub-graphic
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{602, 499.812},
  ImageMargins->{{43, 0}, {0, 2}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40009J0001lb000`400?l00000o`00003oo`3ooooo
0?oooe`0oooo003o0?ooool0ooooG03oool00?l0ooooo`3ooomL0?ooo`00o`3ooooo0?oooe`0oooo
003o0?ooool0ooooG03oool00?l0ooooo`3ooomL0?ooo`00o`3ooooo0?oooe`0oooo003o0?ooool0
ooooG03oool00?l0ooooo`3ooomL0?ooo`00o`3ooooo0?oooe`0oooo003o0?ooool0ooooG03oool0
0?l0ooooo`3ooomL0?ooo`006`3oool00`000000oooo0?ooo`050?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool0/P3oool00`000000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0
oooo00<0o`000?ooo`3oool0103oool01@3o0000oooo0?ooo`3oool0o`000:`0oooo00<000000?oo
o`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00D0o`000?oo
o`3oool0oooo0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000U`3oool001/0oooo00<00000
0?ooo`3oool01@3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0;80oooo00<00000
0?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00D0o`00
0?ooo`3oool0oooo0?l0002/0?ooo`030000003oool0oooo0080oooo00<0o`000?ooo`3oool00P3o
ool00`3o0000oooo0?ooo`030?ooo`050?l0003oool0oooo0?ooo`3o00001@3oool01@3o0000oooo
0?ooo`3oool0o`0009L0oooo000K0?ooo`030000003oool0oooo00D0oooo00<0o`000?ooo`3oool0
103oool00`3o0000oooo0?ooo`2b0?ooo`030000003oool0oooo00@0oooo00<0o`000?ooo`3oool0
0`3oool00`3o0000oooo0?ooo`040?ooo`050?l0003oool0oooo0?ooo`3o0000[03oool00`000000
oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000
oooo0?ooo`3oool0o`0000D0oooo00D0o`000?ooo`3oool0oooo0?l0002G0?ooo`006`3oool00`00
0000oooo0?ooo`050?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0/P3oool00`00
0000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool01@3o
0000oooo0?ooo`3oool0o`000:`0oooo00<000000?ooo`3oool00P3oool00`3o0000oooo0?ooo`02
0?ooo`030?l0003oool0oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`050?l0003o
ool0oooo0?ooo`3o0000U`3oool001/0oooo00<000000?ooo`3oool01@3oool00`3o0000oooo0?oo
o`040?ooo`030?l0003oool0oooo0;80oooo00<000000?ooo`3oool0103oool00`3o0000oooo0?oo
o`030?ooo`030?l0003oool0oooo00@0oooo00D0o`000?ooo`3oool0oooo0?l0002/0?ooo`030000
003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`050?l0
003oool0oooo0?ooo`3o00001@3oool01@3o0000oooo0?ooo`3oool0o`0009L0oooo000K0?ooo`03
0000003oool0oooo00D0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`2b0?ooo`03
0000003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`05
0?l0003oool0oooo0?ooo`3o0000[03oool00`000000oooo0?ooo`020?ooo`030?l0003oool0oooo
0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00D0o`00
0?ooo`3oool0oooo0?l0002G0?ooo`006`3oool00`000000oooo0?ooo`050?ooo`030?l0003oool0
oooo00@0oooo00<0o`000?ooo`3oool0/P3oool00`000000oooo0?ooo`040?ooo`030?l0003oool0
oooo00<0oooo00<0o`000?ooo`3oool0103oool01@3o0000oooo0?ooo`3oool0o`000:`0oooo00<0
00000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00D0
o`000?ooo`3oool0oooo0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000U`3oool001/0oooo
00<000000?ooo`3oool01@3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0;80oooo
00<000000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo
00D0o`000?ooo`3oool0oooo0?l0002/0?ooo`030000003oool0oooo0080oooo00<0o`000?ooo`3o
ool00P3oool00`3o0000oooo0?ooo`030?ooo`050?l0003oool0oooo0?ooo`3o00001@3oool01@3o
0000oooo0?ooo`3oool0o`0009L0oooo000K0?ooo`030000003oool0oooo00D0oooo00<0o`000?oo
o`3oool0103oool00`3o0000oooo0?ooo`2b0?ooo`030000003oool0oooo00@0oooo00<0o`000?oo
o`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`050?l0003oool0oooo0?ooo`3o0000[03oool0
0`000000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool0
1@3o0000oooo0?ooo`3oool0o`0000D0oooo00D0o`000?ooo`3oool0oooo0?l0002G0?ooo`006`3o
ool00`000000oooo0?ooo`050?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0/P3o
ool00`000000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103o
ool01@3o0000oooo0?ooo`3oool0o`000:`0oooo00<000000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`05
0?l0003oool0oooo0?ooo`3o0000U`3oool001/0oooo00<000000?ooo`3oool01@3oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo0;80oooo00<000000?ooo`3oool0103oool00`3o0000
oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00D0o`000?ooo`3oool0oooo0?l0002/0?oo
o`030000003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?oo
o`050?l0003oool0oooo0?ooo`3o00001@3oool01@3o0000oooo0?ooo`3oool0o`0009L0oooo000K
0?ooo`030000003oool0oooo00D0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`2b
0?ooo`030000003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`04
0?ooo`050?l0003oool0oooo0?ooo`3o0000[03oool00`000000oooo0?ooo`020?ooo`030?l0003o
ool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo
00D0o`000?ooo`3oool0oooo0?l0002G0?ooo`006`3oool00`000000oooo0?ooo`050?ooo`030?l0
003oool0oooo00@0oooo00<0o`000?ooo`3oool0/P3oool00`000000oooo0?ooo`040?ooo`030?l0
003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool01@3o0000oooo0?ooo`3oool0o`000:`0
oooo00<000000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0
oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`050?l0003oool0oooo0?ooo`3o0000U`3oool0
01/0oooo00<000000?ooo`3oool01@3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo
0;80oooo00<000000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo
00<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2Z0?ooo`030000003oool0oooo
0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`050?l0003oool0oooo
0?ooo`3o00001@3oool01@3o0000oooo0?ooo`3oool0o`0009L0oooo000K0?ooo`030000003oool0
oooo00D0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`2b0?ooo`030000003oool0
oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo0080oooo00<0o`000?ooo`3oool0ZP3oool00`000000oooo0?ooo`020?ooo`030?l0003oool0
oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00D0
o`000?ooo`3oool0oooo0?l0002G0?ooo`006`3oool00`000000oooo0?ooo`050?ooo`030?l0003o
ool0oooo00@0oooo00<0o`000?ooo`3oool0/P3oool00`000000oooo0?ooo`040?ooo`030?l0003o
ool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003o
ool0oooo0:X0oooo00<000000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003o
ool0oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`050?l0003oool0oooo0?ooo`3o
0000U`3oool001/0oooo00<000000?ooo`3oool01@3oool00`3o0000oooo0?ooo`040?ooo`030?l0
003oool0oooo0;80oooo00<000000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0
003oool0oooo00<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2Z0?ooo`030000
003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`050?l0
003oool0oooo0?ooo`3o00001@3oool01@3o0000oooo0?ooo`3oool0o`0009L0oooo000K0?ooo`03
0000003oool0oooo00D0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`2b0?ooo`03
0000003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0ZP3oool00`000000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`00
00D0oooo00D0o`000?ooo`3oool0oooo0?l0002G0?ooo`006`3oool00`000000oooo0?ooo`050?oo
o`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0/P3oool00`000000oooo0?ooo`040?oo
o`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?oo
o`030?l0003oool0oooo0:X0oooo00<000000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?oo
o`030?l0003oool0oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l000050?ooo`050?l0003oool0
oooo0?ooo`3o0000U`3oool001/0oooo00<000000?ooo`3oool01@3oool00`3o0000oooo0?ooo`05
0?ooo`030?l0003oool0oooo0;40oooo00<000000?ooo`3oool0103oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2Z
0?ooo`030000003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`02
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3o
ool0o`0009L0oooo000K0?ooo`030000003oool0oooo00D0oooo00<0o`000?ooo`3oool01@3oool0
0`3o0000oooo0?ooo`2a0?ooo`030000003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool0
0`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0ZP3oool0
0`000000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l0
002G0?ooo`006`3oool00`000000oooo0?ooo`050?ooo`030?l0003oool0oooo00D0oooo00<0o`00
0?ooo`3oool0/@3oool00`000000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0oooo00<0o`00
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0:T0oooo00<00000
0?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`050?l0003oool0oooo0?ooo`3o0000U`3o
ool001/0oooo00<000000?ooo`3oool01@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0
oooo0;40oooo00<000000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`2Y0?ooo`030000003oool0
oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0
oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0009L0oooo000K
0?ooo`030000003oool0oooo00D0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`2a
0?ooo`030000003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0Z@3oool00`000000oooo0?ooo`02
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`02
0?ooo`030?l0003oool0oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l0002G0?ooo`006`3oool0
0`000000oooo0?ooo`050?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0/@3oool0
0`000000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool0
0`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0:T0oooo00<000000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`030?ooo`050?l0003oool0oooo0?ooo`3o0000U`3oool001/0oooo00<00000
0?ooo`3oool01@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00L0oooo0P3o002X
0?ooo`030000003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0Z@3oool00`000000oooo0?ooo`02
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`02
0?ooo`030?l0003oool0oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l0002G0?ooo`006`3oool0
0`000000oooo0?ooo`050?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool01P3oool3
0?l00:P0oooo00<000000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`2Y0?ooo`030000003oool0
oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0
oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0009L0oooo000K
0?ooo`030000003oool0oooo00D0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`06
0?ooo`030?l0003oool0o`000:P0oooo00<000000?ooo`3oool0103oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`2Y
0?ooo`030000003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`02
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3o
ool0o`0009L0oooo000K0?ooo`030000003oool0oooo00D0oooo00<0o`000?ooo`3oool01@3oool0
0`3o0000oooo0?ooo`060?ooo`030?l0003oool0o`000:P0oooo00<000000?ooo`3oool0103oool0
0`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool0
0`3o0000oooo0?ooo`2Y0?ooo`030000003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool0
1@3o0000oooo0?ooo`3oool0o`0009L0oooo000K0?ooo`030000003oool0oooo00D0oooo00<0o`00
0?ooo`3oool01@3oool00`3o0000oooo0?ooo`060?ooo`040?l0003oool0oooo0?l00:L0oooo00<0
00000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0
o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`2Y0?ooo`030000003oool0oooo0080oooo00<0
o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0009L0oooo000K0?ooo`030000003o
ool0oooo00D0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`060?ooo`040?l0003o
ool0oooo0?l00:L0oooo00<000000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0
003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`2Y0?ooo`030000
003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0009L0
oooo000K0?ooo`030000003oool0oooo00@0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo
0?ooo`060?ooo`040?l0003oool0oooo0?l00:L0oooo00<000000?ooo`3oool0103oool00`3o0000
oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000
oooo0?ooo`2Y0?ooo`030000003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000
oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000
oooo0?ooo`3oool0o`0009L0oooo000K0?ooo`030000003oool0oooo00@0oooo00<0o`000?ooo`3o
ool01P3oool00`3o0000oooo0?ooo`060?ooo`050?l0003oool0oooo0?ooo`3o0000YP3oool00`00
0000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o
0000oooo0?ooo`030?ooo`030?l0003oool0oooo0:T0oooo00<000000?ooo`3oool00P3oool00`3o
0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o
0000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0U03oool001/0
oooo00<000000?ooo`3oool0103oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00D0
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2T0?ooo`030000003oool0oooo00@0
oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0
oooo00<0o`000?ooo`3oool0Z@3oool00`000000oooo0?ooo`020?ooo`030?l0003oool0oooo0080
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2D0?ooo`006`3oool00`000000oooo
0?ooo`040?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0:@0oooo00<000000?ooo`3oool0103oool00`3o0000oooo
0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo
0?ooo`2Y0?ooo`030000003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo09@0oooo000K0?ooo`030000003oool0oooo00@0oooo00<0
o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool0Y03oool00`000000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0oooo00<0
o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0:T0oooo00<0
00000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool0U03oool001/0oooo00<000000?ooo`3oool0103oool00`3o0000oooo0?ooo`06
0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`2S
0?ooo`030000003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0Z@3oool00`000000oooo0?ooo`02
0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`02
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2D
0?ooo`005`3oool4000000030?l000000000000000@0000000<0o`000000000000001P0000000`3o
0000000000000005000000030?l000000000000000<0000000<0o`00000000000000O@00000V0?oo
o`030000003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?oo
o`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool01@3oool20?l00:80oooo00<000000?oo
o`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?oo
o`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?oo
o`3oool0103oool00`3o0000oooo0?ooo`2=0?ooo`006`3ooolF003o0080oooo00<0o`000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`2S0?ooo`030000003oool0oooo00@0oooo00<0o`000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3o
ool0103oool40?l00:40oooo00<000000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool20?l008l0oooo000K0?ooo`030?l0
003oool0oooo00@0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`030?ooo`L00?l0
0P3oool00`3o0000oooo0?ooo`2R0?ooo`030000003oool0oooo00@0oooo00<0o`000?ooo`3oool0
0`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0
103oool0103o0000oooo0?ooo`3o002Q0?ooo`030000003oool0oooo0080oooo00<0o`000?ooo`3o
ool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo0P3o00000`3oool0
o`000?l0002=0?ooo`006`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00H0oooo
00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`/00?l0W03oool00`000000oooo
0?ooo`040?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo
0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00D0o`000?ooo`3oool0oooo0?l0002P0?ooo`03
0000003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l0002=0?ooo`006`3oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0103oool00`3o0000
oooo0?ooo`060?ooo`P0o`000`00o`2E0?ooo`@00000K000o`0@000001l00?l00`00000S0?ooo`@0
0000VP00o`04000001P0oooo000K0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0
1P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0140oooo1@00o`2D0?ooo`030?l0
003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0
003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`050?ooo`80o`00
@P3oool00`3o00000?l0003o000>003o04T0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`2?0?ooo`006`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00H0oooo00<0
o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0F0?ooo`D00?l0S`3oool00`3o0000oooo0?oo
o`040?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?oo
o`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0X`3oool00`3o0000oooo0?oo
o`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?oo
o`020?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?oo
o`020?ooo`030?l0003oool0oooo08l0oooo000K0?ooo`030?l0003oool0oooo00@0oooo00<0o`00
0?ooo`3oool01P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo01/0oooo0`00o`00
0`3o0000oooo0?ooo`290?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool0
0`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool0
0`3o0000oooo0?ooo`2S0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0S`3oool0
01/0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo
00@0oooo00<0o`000?ooo`3oool07P3oool4003o08P0oooo00<0o`000?ooo`3oool0103oool00`3o
0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o
0000oooo0?ooo`030?ooo`030?l0003oool0oooo0:<0oooo00<0o`000?ooo`3oool00P3oool00`3o
0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool00`3o
0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o
0000oooo0?ooo`2?0?ooo`006`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00H0
oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0R0?ooo`D00?l0P`3oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0X`3oool00`3o0000
oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000
oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool01@3o0000
oooo0?ooo`3oool0o`000980oooo000K0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3o
ool01P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo02D0oooo0P3o0002003o0840
oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0
oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:<0
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080
oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080
oooo00D0o`000?ooo`3oool0oooo0?l0002B0?ooo`006`3oool00`3o0000oooo0?ooo`040?ooo`03
0?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0X0?ooo`03
0?l00000o`000?l007l0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`03
0?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0:<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l0002B0?ooo`006`3oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0103oool00`3o0000
oooo0?ooo`0[0?ooo`<00?l0O03oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0
oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0080
oooo00<0o`000?ooo`3oool0X`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0080
oooo00<0o`000?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`000980oooo000K0?ooo`03
0?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`040?ooo`03
0?l0003oool0oooo02h0oooo0`00o`1i0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00D0o`000?ooo`3o
ool0oooo0?l0002V0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o
0000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00P3oool00`3o
0000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o0000TP3oool001/0oooo00<0o`000?oo
o`3oool0103oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00@0oooo00<0o`000?oo
o`3oool0<@3oool3003o04T0oooo0`00o`0Z0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?oo
o`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00D0o`000?oo
o`3oool0oooo0?l0002V0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o0000TP3oool001/0oooo00<0o`00
0?ooo`3oool0103oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00@0oooo00<0o`00
0?ooo`3oool0=03oool4003o0480oooo0`00o`000`3o0000oooo0?ooo`0Z0?ooo`030?l0003oool0
oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo00@0oooo00D0o`000?ooo`3oool0oooo0?l0002V0?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00D0
o`000?ooo`3oool0oooo0?l000050?ooo`040?l0003oool0oooo0?l009<0oooo000K0?ooo`030?l0
003oool0oooo00@0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`040?ooo`030?l0
003oool0oooo03P0oooo0`00o`0l0?ooo`<00?l000<0o`000?ooo`3oool0;@3oool00`3o0000oooo
0?ooo`040?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo
0?ooo`040?ooo`050?l0003oool0oooo0?ooo`3o0000YP3oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`05
0?l0003oool0oooo0?ooo`3o00001P3oool00`3o0000oooo0?l0002C0?ooo`006`3oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool00`3oool00`3o0000
oooo0?ooo`0k0?ooo`<00?l0=P3oool3003o00030?l0003oool0oooo0300oooo00<0o`000?ooo`3o
ool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3o
ool0103oool01@3o0000oooo0?ooo`3oool0o`000:H0oooo00<0o`000?ooo`3oool00P3oool00`3o
0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o
0000oooo0?ooo`3oool0o`0000H0oooo00<0o`000?ooo`3o0000T`3oool001/0oooo00<0o`000?oo
o`3oool0103oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00<0oooo00<0o`000?oo
o`3oool0?P3oool3003o0300oooo0`00o`000`3o0000oooo0?ooo`0c0?ooo`030?l0003oool0oooo
00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo
00@0oooo00D0o`000?ooo`3oool0oooo0?l0002V0?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00D0o`00
0?ooo`3oool0oooo0?l000060?ooo`030?l0003oool0o`0009<0oooo000K0?ooo`030?l0003oool0
oooo00@0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo0440oooo0`00o`000`3o0000oooo0?ooo`0V0?ooo`@00?l000<0o`000?ooo`3oool0=P3oool0
0`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool0
0`3o0000oooo0?ooo`040?ooo`040?l0003oool0oooo0?l00:L0oooo00<0o`000?ooo`3oool00P3o
ool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3o
ool01@3o0000oooo0?ooo`3oool0o`0000H0oooo00<0o`000?ooo`3o0000T`3oool001/0oooo00<0
o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00<0oooo00<0
o`000?ooo`3oool0A03oool3003o0080o`007`3oool5003o00030?l0003oool0oooo03X0oooo00<0
o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0
o`000?ooo`3oool0103oool0103o0000oooo0?ooo`3o002W0?ooo`030?l0003oool0oooo0080oooo
00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo
00D0o`000?ooo`3oool0oooo0?l000060?ooo`80o`00U03oool001/0oooo00<0o`000?ooo`3oool0
103oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0
A`3oool7003o01D0oooo1@00o`000`3o0000oooo0?ooo`0o0?ooo`030?l0003oool0oooo00@0oooo
00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00D0oooo
00<0o`000?ooo`3o0000Y`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo
00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`050?l0003oool0oooo0?ooo`3o
00001P3oool20?l009@0oooo000K0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0
1`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo04h0oooo5@00o`000`3o0000oooo
0?ooo`140?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo
0?ooo`030?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3o0000Y`3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`030?ooo`050?l0003oool0oooo0?ooo`3o00001P3oool20?l009@0oooo000K0?ooo`030?l0
003oool0oooo00@0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`030?ooo`030?l0
003oool0oooo0:X0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0
003oool0oooo00<0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?l0002W0?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l000060?ooo`80o`00U03oool001/0oooo
00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo00<0oooo
00<0o`000?ooo`3oool0ZP3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0oooo
00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`050?ooo`80o`00Z03oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`030?ooo`050?l0003oool0oooo0?ooo`3o00001P3oool20?l009@0oooo000K0?ooo`030?l0
003oool0oooo00@0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`030?ooo`030?l0
003oool0oooo0:X0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0
003oool0oooo00<0oooo00<0o`000?ooo`3oool01@3oool20?l00:P0oooo00<0o`000?ooo`3oool0
0P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
0`3oool01@3o0000oooo0?ooo`3oool0o`0009`0oooo000K0?ooo`030?l0003oool0oooo00@0oooo
00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:/0oooo
00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo
00<0o`000?ooo`3oool01@3oool20?l00:P0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo
0?ooo`3oool0o`0009`0oooo000K0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0
1`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:/0oooo00<0o`000?ooo`3oool0
103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0
[`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
0P3oool00`3o0000oooo0?ooo`030?ooo`050?l0003oool0oooo0?ooo`3o0000W03oool001/0oooo
00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo0080oooo
00<0o`000?ooo`3oool0Z`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0oooo
00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`2_0?ooo`030?l0003oool0oooo0080oooo
00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo
00D0o`000?ooo`3oool0oooo0?l0002L0?ooo`006`3oool00`3o0000oooo0?ooo`040?ooo`030?l0
003oool0oooo00L0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2[0?ooo`030?l0
003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0
003oool0oooo0:l0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0009`0
oooo000K0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0:/0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo
0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0[`3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`030?ooo`050?l0003oool0oooo0?ooo`3o0000W03oool001/0oooo00<0o`000?ooo`3oool0
103oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
Z`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0
0`3oool00`3o0000oooo0?ooo`2_0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
0P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00D0o`000?ooo`3oool0
oooo0?l0002L0?ooo`006`3oool00`000000o`000?ooo`040?ooo`030?l0003oool0oooo00L0oooo
00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2[0?ooo`030?l0003oool0oooo00@0oooo
00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0:l0oooo
00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo
00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0009`0oooo000K0?ooo`030000
003o0000oooo00@0oooo00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo0:/0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0
003oool0oooo00<0oooo00<0o`000?ooo`3oool0[`3oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`050?l0
003oool0oooo0?ooo`3o0000W03oool001/0oooo00<000000?l0003oool0103oool00`3o0000oooo
0?ooo`070?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0Z`3oool00`000000o`00
0?ooo`040?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo
0?ooo`2_0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l0002L0?ooo`00
6`3oool00`000000o`000?ooo`040?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool0
0P3oool00`3o0000oooo0?ooo`2[0?ooo`030000003o0000oooo00@0oooo00<0o`000?ooo`3oool0
0`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0:l0oooo00<0o`000?ooo`3oool0
0P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
0`3oool01@3o0000oooo0?ooo`3oool0o`0009`0oooo000K0?ooo`030000003o0000oooo00@0oooo
00<0o`000?ooo`3oool01`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:/0oooo
00<000000?l0003oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo
00<0o`000?ooo`3oool0[`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo
00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`050?l0003oool0oooo0?ooo`3o
0000W03oool001/0oooo00<000000?l0003oool0103oool00`3o0000oooo0?ooo`070?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool0Z`3oool00`000000o`000?ooo`040?ooo`030?l0
003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`2_0?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l0002L0?ooo`006`3oool00`000000o`00
0?ooo`040?ooo`030?l0003oool0oooo00L0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`2[0?ooo`030000003o0000oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo
0?ooo`030?ooo`030?l0003oool0oooo0:l0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo
0?ooo`3oool0o`0009`0oooo000K0?ooo`030000003o0000oooo00@0oooo00<0o`000?ooo`3oool0
1`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:/0oooo00<000000?l0003oool0
103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0
[`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
0P3oool00`3o0000oooo0?ooo`030?ooo`050?l0003oool0oooo0?ooo`3o0000W03oool001/0oooo
00<000000?l0003oool0103oool00`3o0000oooo0?ooo`070?ooo`050?l0003oool0oooo0?ooo`3o
0000[P3oool00`000000o`000?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`2_0?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3o
ool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00D0o`000?ooo`3o
ool0oooo0?l0002L0?ooo`006`3oool00`000000o`000?ooo`040?ooo`030?l0003oool0oooo00L0
oooo00D0o`000?ooo`3oool0oooo0?l0002^0?ooo`030000003o0000oooo00<0oooo00<0o`000?oo
o`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0:l0oooo00<0o`000?oo
o`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?oo
o`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0009`0oooo000K0?ooo`030000003o0000oooo
00@0oooo00<0o`000?ooo`3oool01`3oool01@3o0000oooo0?ooo`3oool0o`000:h0oooo00<00000
0?l0003oool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0oooo00<0o`00
0?ooo`3oool0[`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`050?l0003oool0oooo0?ooo`3o0000W03o
ool001/0oooo00<000000?l0003oool0103oool00`3o0000oooo0?ooo`070?ooo`050?l0003oool0
oooo0?ooo`3o0000[P3oool00`000000o`000?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0
o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`2_0?ooo`030?l0003oool0oooo0080oooo00<0
o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00<0oooo00D0
o`000?ooo`3oool0oooo0?l0002L0?ooo`006`3oool00`000000o`000?ooo`040?ooo`030?l0003o
ool0oooo00L0oooo00D0o`000?ooo`3oool0oooo0?l0002^0?ooo`030000003o0000oooo00<0oooo
00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0:l0oooo
00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo
00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0009`0oooo000K0?ooo`030000
003o0000oooo00@0oooo00<0o`000?ooo`3oool01`3oool01@3o0000oooo0?ooo`3oool0o`000:h0
oooo00<000000?l0003oool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0
oooo00<0o`000?ooo`3oool0[`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`050?l0003oool0oooo0?oo
o`3o0000W03oool001/0oooo00<000000?l0003oool0103oool00`3o0000oooo0?ooo`070?ooo`05
0?l0003oool0oooo0?ooo`3o0000[P3oool00`000000o`000?ooo`030?ooo`030?l0003oool0oooo
00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`2_0?ooo`030?l0003oool0oooo
0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo
00<0oooo00D0o`000?ooo`3oool0oooo0?l0002L0?ooo`006`3oool00`000000o`000?ooo`040?oo
o`030?l0003oool0oooo00L0oooo00D0o`000?ooo`3oool0oooo0?l0002^0?ooo`030000003o0000
oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0
oooo0;00oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0
oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0009`0oooo000K
0?ooo`030000003o0000oooo00@0oooo00<0o`000?ooo`3oool01`3oool01@3o0000oooo0?ooo`3o
ool0o`000:h0oooo00<000000?l0003oool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003o
ool0oooo0080oooo00<0o`000?ooo`3oool0/03oool00`3o0000oooo0?ooo`020?ooo`030?l0003o
ool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`050?l0003o
ool0oooo0?ooo`3o0000W03oool001/0oooo00<000000?l0003oool0103oool00`3o0000oooo0?oo
o`070?ooo`050?l0003oool0oooo0?ooo`3o0000[P3oool00`000000o`000?ooo`030?ooo`030?l0
003oool0oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2`0?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l0002L0?ooo`006`3oool00`000000o`00
0?ooo`040?ooo`030?l0003oool0oooo00L0oooo00D0o`000?ooo`3oool0oooo0?l0002^0?ooo`03
0000003o0000oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0;00oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`00
09`0oooo000K0?ooo`030000003o0000oooo00@0oooo00<0o`000?ooo`3oool01`3oool0103o0000
oooo0?ooo`3o002_0?ooo`030000003o0000oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o
0000oooo0?ooo`020?ooo`030?l0003oool0oooo0;00oooo00<0o`000?ooo`3oool00P3oool00`3o
0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o
0000oooo0?ooo`3oool0o`0009`0oooo000K0?ooo`030000003o0000oooo00@0oooo00<0o`000?oo
o`3oool01`3oool0103o0000oooo0?ooo`3o002_0?ooo`030000003o0000oooo00<0oooo00<0o`00
0?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0;00oooo00<0o`00
0?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0009`0oooo000K0?ooo`030000003o0000
oooo00@0oooo00<0o`000?ooo`3oool01`3oool0103o0000oooo0?ooo`3o002_0?ooo`030000003o
0000oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0003o
ool0oooo0;00oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003o
ool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0009`0oooo
000K0?ooo`030000003o0000oooo00@0oooo00<0o`000?ooo`3oool01`3oool0103o0000oooo0?oo
o`3o002_0?ooo`030000003o0000oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0;00oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo
0?ooo`3oool0o`0009`0oooo000K0?ooo`030000003o0000oooo00@0oooo00<0o`000?ooo`3oool0
203oool00`3o0000oooo0?l0002_0?ooo`030000003o0000oooo00<0oooo00<0o`000?ooo`3oool0
103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0;00oooo00<0o`000?ooo`3oool0
0P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
0`3oool01@3o0000oooo0?ooo`3oool0o`0009`0oooo000K0?ooo`030000003o0000oooo00@0oooo
00<0o`000?ooo`3oool0203oool00`3o0000oooo0?l0002_0?ooo`030000003o0000oooo00<0oooo
00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0;00oooo
00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo
00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0009`0oooo000K0?ooo`030000
003o0000oooo00@0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?l0002_0?ooo`030000
003o0000oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo0;00oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0009`0
oooo000K0?ooo`030000003o0000oooo00@0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo
0?l0002_0?ooo`030000003o0000oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0;00oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo
0?ooo`3oool0o`0009`0oooo000K0?ooo`030000003o0000oooo00@0oooo00<0o`000?ooo`3oool0
203oool00`3o0000oooo0?l0002_0?ooo`030000003o0000oooo00<0oooo00<0o`000?ooo`3oool0
103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0;00oooo00<0o`000?ooo`3oool0
0P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0
0`3oool01@3o0000oooo0?ooo`3oool0o`0009`0oooo000K0?ooo`030000003o0000oooo00@0oooo
00<0o`000?ooo`3oool0203oool00`3o0000oooo0?l0002_0?ooo`030000003o0000oooo00<0oooo
00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0;00oooo
00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0080oooo
00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0009`0oooo000K0?ooo`030000
003o0000oooo00@0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?l0002_0?ooo`030000
003o0000oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo0;00oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0009`0
oooo000K0?ooo`030000003o0000oooo00@0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo
0?l0002_0?ooo`030000003o0000oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0;00oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`020?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool01@3o0000oooo
0?ooo`3oool0o`0009`0oooo003o0?ooool0ooooG03oool00?l0ooooo`3ooomL0?ooo`00o`3ooooo
0?oooe`0oooo003o0?ooool0ooooG03oool006L0oooo00<000000?ooo`3oool0`03oool300000<<0
oooo0P00001X0?ooo`00I`3oool00`000000oooo0?ooo`330?ooo`030000003oool0oooo0;l0oooo
00@000000?ooo`3oool00000I`3oool006@0oooo1@0000340?ooo`030000003oool0oooo0;l0oooo
00@000000?ooo`3oool00000I`3oool006@0oooo00@000000?ooo`3oool00000`P3oool300000<80
oooo0`00001X0?ooo`00I@3oool00`000000oooo000000320?ooo`030000003oool0oooo0<80oooo
00<000000?ooo`3oool0J03oool006H0oooo0P0000320?ooo`030000003oool0oooo0<80oooo00<0
00000?ooo`3oool0J03oool006L0oooo00<000000?ooo`3oool0`03oool400000<80oooo0`00001W
0?ooo`00o`3ooooo0?oooe`0oooo003o0?ooool0ooooG03oool00?l0ooooo`3ooomL0?ooo`00o`3o
oooo0?oooe`0oooo003o0?ooool0ooooG03oool00?l0ooooo`3ooomL0?ooo`00o`3ooooo0?oooe`0
oooo003o0?ooool0ooooG03oool00?l0ooooo`3ooomL0?ooo`00o`3ooooo0?oooe`0oooo000K0?oo
o`030000003oool0oooo0<40oooo00<000000?ooo`3oool0`P3oool00`000000oooo0?ooo`2c0?oo
o`006`3oool00`000000oooo0?ooo`310?ooo`030000003oool0oooo0<80oooo00<000000?ooo`3o
ool0/`3oool001L0oooo100000020?l009`000008P3oool4000000030?l000000000000009/00000
9`3oool00`000000oooo0?ooo`0<0?ooo`80o`00Y@3oool001/0oooo00<000000?ooo`3o00000P3o
002o0?ooo`030000003o0000oooo0<80oooo00<000000?ooo`3oool0303oool30?l00:@0oooo000K
0?ooo`P00?l00P3o002j0?ooo`T00?l0_03oool00`000000oooo0?ooo`0;0?ooo`040?l0003oool0
oooo0?l00:@0oooo000K0?ooo`030000003oool0oooo00D0oooo1`00o`2e0?ooo`040000003oool0
oooo0?l000D0oooo1P00o`2f0?ooo`030000003oool0oooo00/0oooo00@0o`000?ooo`3oool0o`00
Y03oool001/0oooo00<000000?ooo`3oool0303oool3003o0;80oooo00@000000?ooo`3oool0oooo
0P3o00090?ooo`<00?l0/`3oool00`000000oooo0?ooo`0;0?ooo`050?l0003oool0oooo0?ooo`3o
0000X`3oool001/0oooo00<000000?ooo`3oool03`3oool3003o0:l0oooo00<000000?ooo`3oool0
0`3oool20?l000H0oooo103o0003003o00<0o`00[@3oool00`000000oooo0?ooo`0:0?ooo`030?l0
003oool0oooo0080oooo00<0o`000?ooo`3oool0X@3oool001/0oooo00<000000?ooo`3oool04P3o
ool3003o0:`0oooo00<000000?ooo`3oool0103oool70?l000L0oooo1000o`000`3o0000oooo0?oo
o`2Y0?ooo`030000003oool0oooo00X0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?oo
o`2Q0?ooo`006`3oool00`000000oooo0?ooo`0E0?ooo`<00?l0Z@3oool00`000000oooo0?ooo`0F
0?ooo`800?l000<0o`000?ooo`3oool0Y`3oool00`000000oooo0?ooo`0:0?ooo`030?l0003oool0
oooo00<0oooo00<0o`000?ooo`3oool0X03oool001/0oooo00<000000?ooo`3oool0603oool2003o
0:L0oooo00<000000?ooo`3oool0603oool2003o00030?l0003oool0oooo0:D0oooo00<000000?oo
o`3oool02P3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0:00oooo000K0?ooo`03
0000003oool0oooo01X0oooo0P00o`2U0?ooo`030000003oool0oooo01X0oooo0P00o`000`3o0000
oooo0?ooo`2S0?ooo`030000003oool0oooo00T0oooo00<0o`000?ooo`3oool0103oool00`3o0000
oooo0?ooo`2P0?ooo`006`3oool00`000000oooo0?ooo`0L0?ooo`800?l0X`3oool00`000000oooo
0?ooo`0L0?ooo`<00?l0X`3oool00`000000oooo0?ooo`090?ooo`030?l0003oool0oooo00D0oooo
00<0o`000?ooo`3oool0W`3oool001/0oooo00<000000?ooo`3oool07P3oool2003o0:40oooo00<0
00000?ooo`3oool07`3oool2003o0:40oooo00<000000?ooo`3oool02@3oool00`3o0000oooo0?oo
o`050?ooo`030?l0003oool0oooo09l0oooo000K0?ooo`030000003oool0oooo0200oooo0P00o`2O
0?ooo`030000003oool0oooo0240oooo0P00o`2O0?ooo`030000003oool0oooo00T0oooo00<0o`00
0?ooo`3oool01P3oool00`3o0000oooo0?ooo`2N0?ooo`006`3oool00`000000oooo0?ooo`0Q0?oo
o`030?l00000o`000?l009d0oooo00<000000?ooo`3oool08P3oool00`3o00000?l0003o002I0?oo
o`@0000000<0o`000000000000002@0000000`3o0000000000000006000000030?l0000000000000
08H00000603oool001/0oooo00<000000?ooo`3oool08`3oool00`3o00000?l00?ooo`2K0?ooo`03
0000003oool0oooo02@0oooo00<0o`00003o003oool0V`3oool8003o00@0oooo00<0o`000?ooo`3o
ool01P3oool00`3o0000oooo0?ooo`2N0?ooo`006`3oool00`000000oooo0?ooo`0T0?ooo`030?l0
0000o`00oooo09X0oooo00<000000?ooo`3oool09@3oool00`3o00000?l00?ooo`2J0?ooo`030?l0
003oool0oooo00D0oooo2000o`060?ooo`030?l0003oool0oooo09d0oooo000K0?ooo`030000003o
ool0oooo02H0oooo0P00o`2I0?ooo`030000003oool0oooo02L0oooo0P00o`2I0?ooo`030?l0003o
ool0oooo00P0oooo00<0o`000?ooo`3oool00P3oool5003o00030?ooo`3o0000oooo09h0oooo000K
0?ooo`030000003oool0oooo02P0oooo00<00?l00?l0003oool0UP3oool00`000000oooo0?ooo`0X
0?ooo`030?l00000o`00oooo09L0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`07
0?ooo`<00?l0WP3oool001/0oooo00<000000?ooo`3oool0:@3oool00`00o`00o`000?ooo`2E0?oo
o`030000003oool0oooo02T0oooo00<0o`00003o003oool0UP3oool00`3o0000oooo0?ooo`080?oo
o`030?l0003oool0oooo00T0oooo00@0o`00003o0000o`000?l0V`3oool001/0oooo00<000000?oo
o`3oool0:P3oool00`00o`00o`000?ooo`2D0?ooo`030000003oool0oooo02/0oooo00<00?l00?oo
o`3oool0U03oool00`000000o`000?ooo`080?ooo`030?l0003oool0oooo00X0oooo00<0o`000?oo
o`3oool00P00o`2I0?ooo`006`3oool00`000000oooo0?ooo`0[0?ooo`03003o003o0000oooo09<0
oooo00<000000?ooo`3oool0;03oool00`00o`00oooo0?ooo`2C0?ooo`030000003o0000oooo00P0
oooo00<0o`000?ooo`3oool02P3oool30?l00080oooo0P00o`2G0?ooo`006`3oool00`000000oooo
0?ooo`0/0?ooo`800?l0T`3oool00`000000oooo0?ooo`0]0?ooo`800?l0T`3oool00`000000o`00
0?ooo`070?ooo`030?l0003oool0oooo00d0oooo0`3o0000103oool0o`00003o0000o`020?l009<0
oooo000K0?ooo`030000003oool0oooo02h0oooo00<00?l00?ooo`3oool0T03oool00`000000oooo
0?ooo`0^0?ooo`030?l00000o`00oooo0940oooo00<000000?l0003oool01`3oool00`3o0000oooo
0?ooo`0D0?ooo`800?l000<0o`000?ooo`3oool0T03oool001/0oooo00<000000?ooo`3oool0;`3o
ool00`00o`00oooo0?ooo`2?0?ooo`030000003oool0oooo02l0oooo00<0o`00003o003oool0T03o
ool00`000000o`000?ooo`070?ooo`030?l0003oool0oooo01H0oooo0P00o`000`3o0000oooo0?oo
o`2>0?ooo`006`3oool00`000000oooo0?ooo`0`0?ooo`03003o003oool0oooo08h0oooo00<00000
0?ooo`3oool0<03oool00`3o00000?l00?ooo`2?0?ooo`030000003o0000oooo00L0oooo00<0o`00
0?ooo`3oool0603oool2003o08l0oooo000K0?ooo`030000003oool0oooo0340oooo00<00?l00?oo
o`3oool0S@3oool00`000000oooo0?ooo`0a0?ooo`030?l00000o`00oooo08h0oooo00<000000?l0
003oool01`3oool00`3o0000oooo0?ooo`0J0?ooo`800?l0S@3oool001/0oooo00<000000?ooo`3o
ool0<P3oool00`00o`00oooo0?ooo`2<0?ooo`030000003oool0oooo0380oooo00<0o`00003o003o
ool0S@3oool00`000000o`000?ooo`070?ooo`030?l0003oool0oooo01`0oooo0P00o`2;0?ooo`00
6`3oool00`000000oooo0?ooo`0c0?ooo`03003o003oool0oooo08/0oooo00<000000?ooo`3oool0
<`3oool00`3o00000?l00?ooo`2<0?ooo`030000003oool0o`0000H0oooo00<0o`000?ooo`3oool0
7`3oool2003o08T0oooo000K0?ooo`030000003oool0oooo03<0oooo00<00?l00?ooo`3oool0R`3o
ool00`000000oooo0?ooo`0d0?ooo`03003o003oool0oooo08/0oooo00<000000?ooo`3o00001P3o
ool00`3o0000oooo0?ooo`0Q0?ooo`03003o003oool0oooo08H0oooo000K0?ooo`030000003oool0
oooo03@0oooo00<00?l00?ooo`3oool0RP3oool00`000000oooo0?ooo`0d0?ooo`030?l00000o`00
oooo08/0oooo00<000000?ooo`3o00001P3oool00`3o0000oooo0?ooo`0R0?ooo`03003o003oool0
oooo08D0oooo000K0?ooo`030000003oool0oooo03D0oooo00<00?l00?ooo`3oool0R@3oool00`00
0000oooo0?ooo`0e0?ooo`030?l00000o`00oooo08X0oooo00<000000?ooo`3o00001P3oool00`3o
0000oooo0?ooo`0S0?ooo`03003o003oool0oooo08@0oooo000K0?ooo`030000003oool0oooo03H0
oooo00<00?l00?ooo`3oool0R03oool00`000000oooo0?ooo`0f0?ooo`030?l00000o`00oooo08T0
oooo00<000000?ooo`3o00001P3oool00`3o0000oooo0?ooo`0T0?ooo`800?l0Q03oool001/0oooo
00<000000?ooo`3oool0=`3oool00`00o`00oooo0?ooo`270?ooo`030000003oool0oooo03L0oooo
00<0o`00003o003oool0R03oool00`000000oooo0?l000060?ooo`030?l0003oool0oooo02D0oooo
00<0o`00003o003oool0PP3oool001/0oooo00<000000?ooo`3oool0=`3oool00`00o`00o`000?oo
o`270?ooo`030000003oool0oooo03P0oooo00<00?l00?ooo`3oool0Q`3oool010000000oooo0?oo
o`3o00050?ooo`030?l0003oool0oooo02H0oooo00<0o`00003o003oool0P@3oool001/0oooo00<0
00000?ooo`3oool0>03oool00`00o`00oooo0?ooo`260?ooo`030000003oool0oooo03T0oooo00<0
0?l00?ooo`3oool0QP3oool010000000oooo0?ooo`3o00050?ooo`030?l0003oool0oooo02L0oooo
00<0o`00003o003oool0P03oool001/0oooo00<000000?ooo`3oool0>@3oool00`00o`00oooo0?oo
o`250?ooo`030000003oool0oooo03T0oooo00<0o`00003o003oool0QP3oool010000000oooo0?oo
o`3o00050?ooo`030?l0003oool0oooo02P0oooo00<0o`00003o003oool0O`3oool001/0oooo00<0
00000?ooo`3oool0>P3oool00`00o`00oooo0?ooo`240?ooo`030000003oool0oooo03X0oooo00<0
o`00003o003oool0Q@3oool010000000oooo0?ooo`3o00040?ooo`030?l0003oool0oooo02X0oooo
00<0o`00003o003oool0OP3oool001/0oooo00<000000?ooo`3oool0>P3oool00`00o`00o`000?oo
o`240?ooo`030000003oool0oooo03/0oooo00<00?l00?ooo`3oool0Q03oool010000000oooo0?oo
o`3o00040?ooo`030?l0003oool0oooo02/0oooo00<0o`00003o003oool0O@3oool001/0oooo00<0
00000?ooo`3oool0>`3oool00`00o`00oooo0?ooo`230?ooo`030000003oool0oooo03`0oooo00<0
0?l00?ooo`3oool0P`3oool01@000000oooo0?ooo`3oool0o`0000<0oooo00<0o`000?ooo`3oool0
;@3oool00`00o`00oooo0?ooo`1k0?ooo`006`3oool00`000000oooo0?ooo`0l0?ooo`03003o003o
ool0oooo0880oooo00<000000?ooo`3oool0?03oool00`3o00000?l00?ooo`230?ooo`050000003o
ool0oooo0?ooo`3o00000`3oool00`3o0000oooo0?ooo`0^0?ooo`03003o003oool0oooo07X0oooo
000K0?ooo`030000003oool0oooo03d0oooo00<00?l00?ooo`3oool0P@3oool00`000000oooo0?oo
o`0m0?ooo`030?l00000o`00oooo0880oooo00D000000?ooo`3oool0oooo0?l000030?ooo`030?l0
003oool0oooo02l0oooo00<00?l00?ooo`3oool0N@3oool001/0oooo00<000000?ooo`3oool0?P3o
ool00`00o`00oooo0?ooo`200?ooo`030000003oool0oooo03h0oooo00<00?l00?ooo`3oool0P@3o
ool01@000000oooo0?ooo`3oool0o`0000<0oooo00<0o`000?ooo`3oool0<03oool00`00o`00oooo
0?ooo`1h0?ooo`006`3oool00`000000oooo0?ooo`0n0?ooo`03003o003oool0oooo0800oooo00<0
00000?ooo`3oool0?`3oool00`00o`00oooo0?ooo`200?ooo`050000003oool0oooo0?ooo`3o0000
0P3oool00`3o0000oooo0?ooo`0b0?ooo`03003o003oool0oooo07L0oooo000K0?ooo`030000003o
ool0oooo03l0oooo00<00?l00?ooo`3oool0O`3oool00`000000oooo0?ooo`0o0?ooo`030?l00000
o`00oooo0800oooo00<000000?ooo`3oool00P3oool00`3o0000oooo0?l0000e0?ooo`03003o003o
ool0oooo07H0oooo000K0?ooo`030000003oool0oooo0400oooo00<00?l00?ooo`3oool0OP3oool0
0`000000oooo0?ooo`100?ooo`03003o003oool0oooo07l0oooo00<000000?ooo`3oool00P3oool0
0`3o0000oooo0?l0000e0?ooo`030?l00000o`00oooo07H0oooo000K0?ooo`030000003oool0oooo
0400oooo00<0o`00003o003oool0OP3oool00`000000oooo0?ooo`110?ooo`03003o003oool0oooo
07h0oooo00<000000?ooo`3oool00P3oool20?l003L0oooo00<0o`00003o003oool0M@3oool001/0
oooo00<000000?ooo`3oool0@@3oool00`00o`00oooo0?ooo`1m0?ooo`030000003oool0oooo0440
oooo00<0o`00003o003oool0OP3oool00`000000oooo0?ooo`0l0?ooo`030?l00000o`00oooo07@0
oooo000K0?ooo`030000003oool0oooo0480oooo00<00?l00?ooo`3oool0O03oool00`000000oooo
0?ooo`120?ooo`03003o003oool0oooo07d0oooo00<000000?ooo`3oool0?@3oool00`3o00000?l0
0?ooo`1c0?ooo`006`3oool00`000000oooo0?ooo`120?ooo`030?l00000o`00oooo07`0oooo00<0
00000?ooo`3oool0@`3oool00`00o`00oooo0?ooo`1l0?ooo`030000003oool0oooo03h0oooo00<0
0?l00?ooo`3oool0LP3oool001/0oooo00<000000?ooo`3oool0@`3oool00`3o00000?l00?ooo`1k
0?ooo`030000003oool0oooo04<0oooo00<0o`00003o003oool0O03oool00`000000oooo0?ooo`0n
0?ooo`030?l00000o`00oooo0780oooo000K0?ooo`030000003oool0oooo04@0oooo00<00?l00?oo
o`3oool0NP3oool00`000000oooo0?ooo`140?ooo`03003o003oool0oooo07/0oooo00<000000?oo
o`3oool0?`3oool00`3o00000?l00?ooo`1a0?ooo`006`3oool00`000000oooo0?ooo`140?ooo`03
0?l00000o`00oooo07X0oooo00<000000?ooo`3oool0A@3oool00`00o`00oooo0?ooo`1j0?ooo`03
0000003oool0oooo0400oooo00<0o`00003o003oool0L03oool001/0oooo00<000000?ooo`3oool0
A@3oool00`00o`00oooo0?ooo`1i0?ooo`030000003oool0oooo04D0oooo00<0o`00003o003oool0
NP3oool00`000000oooo0?ooo`110?ooo`03003o003oool0oooo06l0oooo000K0?ooo`030000003o
ool0oooo04H0oooo00<00?l00?ooo`3oool0N03oool00`000000oooo0?ooo`160?ooo`03003o003o
ool0oooo07T0oooo00<000000?ooo`3oool0@@3oool00`3o00000?l00?ooo`1_0?ooo`006`3oool0
0`000000oooo0?ooo`160?ooo`030?l00000o`00oooo07P0oooo00<000000?ooo`3oool0A`3oool0
0`00o`00oooo0?ooo`1h0?ooo`030000003oool0oooo0480oooo00<0o`00003o003oool0KP3oool0
01/0oooo00<000000?ooo`3oool0A`3oool00`00o`00oooo0?ooo`1g0?ooo`030000003oool0oooo
04L0oooo00<0o`00003o003oool0N03oool00`000000oooo0?ooo`130?ooo`030?l00000o`00oooo
06d0oooo000K0?ooo`030000003oool0oooo04P0oooo00<00?l00?ooo`3oool0MP3oool00`000000
oooo0?ooo`180?ooo`030?l00000o`00oooo07L0oooo00<000000?ooo`3oool0A03oool00`00o`00
oooo0?ooo`1/0?ooo`006`3oool00`000000oooo0?ooo`180?ooo`03003o003oool0oooo07H0oooo
00<000000?ooo`3oool0B@3oool00`00o`00oooo0?ooo`1f0?ooo`030000003oool0oooo04@0oooo
00<0o`00003o003oool0K03oool001/0oooo00<000000?ooo`3oool0B@3oool00`00o`00oooo0?oo
o`1:0?ooo`03003o003oool0oooo02P0oooo00<000000?ooo`3oool0BP3oool00`00o`00oooo0?oo
o`1:0?ooo`03003o003oool0oooo02P0oooo00<000000?ooo`3oool0A@3oool00`3o00000?l00?oo
o`1[0?ooo`006`3oool00`000000oooo0?ooo`1:0?ooo`03003o003oool0oooo04P0oooo00<00?l0
0?ooo`3oool0:@3oool00`000000oooo0?ooo`1:0?ooo`030?l00000o`00oooo04T0oooo00<00?l0
0?ooo`3oool0:@3oool00`000000oooo0?ooo`160?ooo`030?l00000o`00oooo06X0oooo000K0?oo
o`030000003oool0oooo04/0oooo00<00?l00?ooo`3oool0AP3oool00`00o`00o`000?ooo`0Z0?oo
o`030000003oool0oooo04/0oooo00<00?l00?ooo`3oool0A`3oool00`00o`00o`000?ooo`0Z0?oo
o`030000003oool0oooo04L0oooo00<00?l00?ooo`3oool0J@3oool001/0oooo00<000000?ooo`3o
ool0B`3oool00`00o`00oooo0?ooo`160?ooo`03003o003oool0oooo02X0oooo00<000000?ooo`3o
ool0C03oool00`00o`00oooo0?ooo`160?ooo`03003o003oool0oooo02X0oooo00<000000?ooo`3o
ool0A`3oool00`3o00000?l00?ooo`1Y0?ooo`006`3oool00`000000oooo0?ooo`1<0?ooo`03003o
003oool0oooo04@0oooo00<00?l00?ooo`3oool0:`3oool00`000000oooo0?ooo`1<0?ooo`030?l0
0000o`00oooo04D0oooo00<00?l00?ooo`3oool0:`3oool00`000000oooo0?ooo`180?ooo`030?l0
0000o`00oooo06P0oooo000K0?ooo`030000003oool0oooo04d0oooo00<00?l00?ooo`3oool0@`3o
ool00`00o`00oooo0?ooo`0[0?ooo`030000003oool0oooo04d0oooo00<00?l00?ooo`3oool0@`3o
ool00`00o`00oooo0?ooo`0/0?ooo`030000003oool0oooo04T0oooo00<0o`00003o003oool0BP3o
ool00`00o`00oooo0?ooo`0J0?ooo`006`3oool00`000000oooo0?ooo`1>0?ooo`03003o003oool0
oooo0440oooo00<00?l00?ooo`3oool0;03oool00`000000oooo0?ooo`1>0?ooo`03003o003oool0
oooo0480oooo00<00?l00?ooo`3oool0;03oool00`000000oooo0?ooo`1:0?ooo`030?l00000o`00
oooo04T0oooo00<00?l00?ooo`3oool06P3oool001/0oooo00<000000?ooo`3oool0CP3oool00`00
o`00oooo0?ooo`100?ooo`03003o003oool0oooo02d0oooo00<000000?ooo`3oool0CP3oool00`3o
00000?l00?ooo`110?ooo`03003o003oool0oooo02d0oooo00<000000?ooo`3oool0B`3oool00`00
o`00oooo0?ooo`170?ooo`03003o003oool0oooo01/0oooo000K0?ooo`030000003oool0oooo04l0
oooo00<00?l00?ooo`3oool0?`3oool00`00o`00oooo0?ooo`0]0?ooo`030000003oool0oooo04l0
oooo00<00?l00?ooo`3oool0?`3oool00`00o`00oooo0?ooo`0^0?ooo`030000003oool0oooo04`0
oooo00<00?l00?ooo`3oool0A@3oool00`00o`00oooo0?ooo`0L0?ooo`006`3oool00`000000oooo
0?ooo`1@0?ooo`03003o003oool0oooo03d0oooo00<00?l00?ooo`3oool0;P3oool00`000000oooo
0?ooo`1@0?ooo`03003o003oool0oooo03d0oooo00<00?l00?ooo`3oool0;`3oool00`000000oooo
0?ooo`1<0?ooo`030?l00000o`00oooo04@0oooo00<00?l00?ooo`3oool07@3oool001/0oooo00<0
00000?ooo`3oool0D@3oool00`00o`00oooo0?ooo`0k0?ooo`030?l00000o`00oooo02l0oooo00<0
00000?ooo`3oool0D03oool00`3o00000?l00?ooo`0m0?ooo`03003o003oool0oooo02l0oooo00<0
00000?ooo`3oool0C@3oool00`3o00000?l00?ooo`130?ooo`03003o003oool0oooo01d0oooo000K
0?ooo`030000003oool0oooo0540oooo00<00?l00?ooo`3oool0>`3oool00`00o`00oooo0?ooo`0_
0?ooo`030000003oool0oooo0540oooo00<0o`00003o003oool0>`3oool00`00o`00oooo0?ooo`0`
0?ooo`030000003oool0oooo04h0oooo00<00?l00?ooo`3oool0@@3oool00`00o`00oooo0?ooo`0N
0?ooo`006`3oool00`000000oooo0?ooo`1B0?ooo`03003o003oool0oooo03T0oooo00<00?l00?oo
o`3oool0<03oool00`000000oooo0?ooo`1B0?ooo`03003o003oool0oooo03T0oooo00<00?l00?oo
o`3oool0<@3oool00`000000oooo0?ooo`1?0?ooo`03003o003oool0oooo03l0oooo00<00?l00?oo
o`3oool07`3oool001/0oooo00<000000?ooo`3oool0DP3oool00`3o00000?l00?ooo`0h0?ooo`03
0?l00000o`00oooo0340oooo00<000000?ooo`3oool0D`3oool00`00o`00oooo0?ooo`0h0?ooo`03
003o003oool0oooo0340oooo00<000000?ooo`3oool0D03oool00`00o`00oooo0?ooo`0m0?ooo`03
003o003oool0oooo0200oooo000K0?ooo`030000003oool0oooo05<0oooo00<00?l00?ooo`3oool0
=`3oool00`00o`00oooo0?ooo`0a0?ooo`030000003oool0oooo05<0oooo00<0o`00003o003oool0
=`3oool00`00o`00oooo0?ooo`0b0?ooo`030000003oool0oooo0540oooo00<00?l00?ooo`3oool0
>`3oool00`00o`00oooo0?ooo`0Q0?ooo`006`3oool00`000000oooo0?ooo`1D0?ooo`03003o003o
ool0oooo03D0oooo00<00?l00?ooo`3oool0<P3oool00`000000oooo0?ooo`1D0?ooo`030?l00000
o`00oooo03D0oooo00<00?l00?ooo`3oool0<`3oool00`000000oooo0?ooo`1A0?ooo`03003o003o
ool0oooo03X0oooo00<00?l00?ooo`3oool08P3oool001/0oooo00<000000?ooo`3oool0E03oool0
0`3o00000?l00?ooo`0d0?ooo`03003o003oool0oooo03<0oooo00<000000?ooo`3oool0E@3oool0
0`00o`00oooo0?ooo`0c0?ooo`03003o003o0000oooo03@0oooo00<000000?ooo`3oool0DP3oool0
0`00o`00oooo0?ooo`0i0?ooo`03003o003oool0oooo0280oooo000K0?ooo`030000003oool0oooo
05D0oooo00<00?l00?ooo`3oool0<`3oool00`00o`00oooo0?ooo`0c0?ooo`030000003oool0oooo
05H0oooo00<00?l00?ooo`3oool0<P3oool00`00o`00oooo0?ooo`0d0?ooo`030000003oool0oooo
05<0oooo00<00?l00?ooo`3oool0=`3oool00`00o`00oooo0?ooo`0S0?ooo`006`3oool00`000000
oooo0?ooo`1E0?ooo`030?l00000o`00oooo0380oooo00<00?l00?ooo`3oool0=03oool00`000000
oooo0?ooo`1F0?ooo`030?l00000o`00oooo0340oooo00<00?l00?ooo`3oool0=@3oool00`000000
oooo0?ooo`1D0?ooo`03003o003oool0oooo03D0oooo00<00?l00?ooo`3oool0903oool001/0oooo
00<000000?ooo`3oool0EP3oool00`3o00000?l00?ooo`0`0?ooo`03003o003oool0oooo03D0oooo
00<000000?ooo`3oool0E`3oool00`3o00000?l00?ooo`0_0?ooo`03003o003o0000oooo03H0oooo
00<000000?ooo`3oool0E03oool00`00o`00oooo0?ooo`0d0?ooo`03003o003oool0oooo02D0oooo
000K0?ooo`030000003oool0oooo05L0oooo00<00?l00?ooo`3oool0;P3oool00`00o`00oooo0?oo
o`0f0?ooo`030000003oool0oooo05P0oooo00<00?l00?ooo`3oool0;@3oool00`00o`00o`000?oo
o`0g0?ooo`030000003oool0oooo05D0oooo00<00?l00?ooo`3oool0<`3oool00`00o`00oooo0?oo
o`0U0?ooo`006`3oool00`000000oooo0?ooo`1H0?ooo`03003o003oool0oooo02`0oooo00<00?l0
0?ooo`3oool0=`3oool00`000000oooo0?ooo`1I0?ooo`03003o003oool0oooo02`0oooo00<00?l0
0?ooo`3oool0=`3oool00`000000oooo0?ooo`1F0?ooo`03003o003oool0oooo0340oooo00<00?l0
0?ooo`3oool09P3oool001/0oooo00<000000?ooo`3oool0F@3oool00`00o`00oooo0?ooo`0Z0?oo
o`03003o003oool0oooo03P0oooo00<000000?ooo`3oool0FP3oool00`00o`00oooo0?ooo`0Z0?oo
o`03003o003oool0oooo03P0oooo00<000000?ooo`3oool0E`3oool00`00o`00oooo0?ooo`0_0?oo
o`03003o003oool0oooo02L0oooo000K0?ooo`030000003oool0oooo05X0oooo00<00?l00?ooo`3o
ool0:03oool00`3o00000?l00?ooo`0i0?ooo`030000003oool0oooo05/0oooo00<00?l00?ooo`3o
ool0:03oool00`00o`00o`000?ooo`0i0?ooo`030000003oool0oooo05P0oooo00<00?l00?ooo`3o
ool0;@3oool00`00o`00oooo0?ooo`0X0?ooo`006`3oool00`000000oooo0?ooo`1J0?ooo`03003o
003o0000oooo02L0oooo00<0o`00003o003oool0>P3oool00`000000oooo0?ooo`1K0?ooo`03003o
003oool0oooo02L0oooo00<00?l00?l0003oool0>P3oool00`000000oooo0?ooo`1I0?ooo`800?l0
;03oool00`00o`00oooo0?ooo`0Y0?ooo`006`3oool00`000000oooo0?ooo`1K0?ooo`03003o003o
0000oooo02D0oooo00<0o`00003o003oool0>`3oool00`000000oooo0?ooo`1L0?ooo`03003o003o
ool0oooo02H0oooo00<00?l00?ooo`3oool0>P3oool00`000000oooo0?ooo`1J0?ooo`030?l00000
o`00oooo02P0oooo0P00o`0/0?ooo`006`3oool00`000000oooo0?ooo`1L0?ooo`03003o003o0000
oooo02<0oooo00<0o`00003o003oool0?03oool00`000000oooo0?ooo`1M0?ooo`03003o003oool0
oooo02@0oooo00<00?l00?ooo`3oool0>`3oool00`000000oooo0?ooo`1K0?ooo`030?l00000o`00
oooo02H0oooo00<00?l00?ooo`3oool0;03oool001/0oooo00<000000?ooo`3oool0G@3oool00`00
o`00o`000?ooo`0Q0?ooo`030?l00000o`00oooo03d0oooo00<000000?ooo`3oool0GP3oool00`00
o`00oooo0?ooo`0R0?ooo`03003o003oool0oooo03`0oooo00<000000?ooo`3oool0G03oool00`3o
00000?l00?ooo`0T0?ooo`03003o003oool0oooo02d0oooo000K0?ooo`030000003oool0oooo05h0
oooo0P00o`0P0?ooo`030?l00000o`00oooo03h0oooo00<000000?ooo`3oool0G`3oool00`00o`00
oooo0?ooo`0O0?ooo`030?l00000o`00oooo03h0oooo00<000000?ooo`3oool0G@3oool00`3o0000
0?l00?ooo`0R0?ooo`03003o003oool0oooo02h0oooo000K0?ooo`030000003oool0oooo0600oooo
00<00?l00?ooo`3oool07@3oool00`00o`00oooo0?ooo`0n0?ooo`030000003oool0oooo0600oooo
00<00?l00?ooo`3oool07@3oool00`3o00000?l00?ooo`0o0?ooo`030000003oool0oooo05h0oooo
00<0o`00003o003oool0803oool00`00o`00oooo0?ooo`0_0?ooo`006`3oool00`000000oooo0?oo
o`1Q0?ooo`03003o003oool0oooo01X0oooo0P00o`110?ooo`030000003oool0oooo0640oooo00<0
0?l00?ooo`3oool06`3oool2003o0440oooo00<000000?ooo`3oool0H03oool00`00o`00oooo0?oo
o`0L0?ooo`800?l0<P3oool001/0oooo00<000000?ooo`3oool0HP3oool00`00o`00oooo0?ooo`0H
0?ooo`03003o003o0000oooo0440oooo00<000000?ooo`3oool0HP3oool00`00o`00oooo0?ooo`0I
0?ooo`03003o003oool0oooo0440oooo00<000000?ooo`3oool0H@3oool00`00o`00oooo0?ooo`0J
0?ooo`03003o003oool0oooo0380oooo000K0?ooo`030000003oool0oooo06<0oooo00<00?l00?oo
o`3oool05P3oool00`00o`00o`000?ooo`120?ooo`030000003oool0oooo06<0oooo00<00?l00?l0
003oool05P3oool00`3o00000?l00?ooo`130?ooo`030000003oool0oooo0680oooo00<00?l00?oo
o`3oool0603oool00`00o`00oooo0?ooo`0c0?ooo`006`3oool00`000000oooo0?ooo`1T0?ooo`80
0?l0503oool00`3o00000?l00?ooo`140?ooo`030000003oool0oooo06@0oooo0P00o`0E0?ooo`03
0?l00000o`00oooo04@0oooo00<000000?ooo`3oool0H`3oool00`00o`00oooo0?ooo`0F0?ooo`03
003o003oool0oooo03@0oooo000K0?ooo`030000003oool0oooo06H0oooo00<00?l00?ooo`3oool0
403oool00`3o00000?l00?ooo`150?ooo`030000003oool0oooo06H0oooo0P00o`0A0?ooo`030?l0
0000o`000?l004H0oooo00<000000?ooo`3oool0I03oool2003o01@0oooo0P00o`0g0?ooo`006`3o
ool00`000000oooo0?ooo`1W0?ooo`800?l03P3oool00`3o00000?l0003o00170?ooo`030000003o
ool0oooo06P0oooo0P00o`0>0?ooo`030?l00000o`00oooo04L0oooo00<000000?ooo`3oool0IP3o
ool2003o0100oooo0P00o`0i0?ooo`006`3oool00`000000oooo0?ooo`1Y0?ooo`<00?l0203oool0
103o00000?l0003o0000o`190?ooo`030000003oool0oooo06T0oooo00<0o`00003o0000o`002P3o
ool3003o04T0oooo00<000000?ooo`3oool0J03oool2003o00/0oooo0`00o`0k0?ooo`006`3oool0
0`000000oooo0?ooo`1Z0?ooo`80o`002@00o`1<0?ooo`030000003oool0oooo06`0oooo2P00o`1<
0?ooo`030000003oool0oooo06X0oooo2`00o`0n0?ooo`006`3oool00`000000oooo0?ooo`310?oo
o`030000003oool0oooo0<80oooo00<000000?ooo`3oool0/`3oool001/0oooo00<000000?ooo`3o
ool0`@3oool00`000000oooo0?ooo`320?ooo`030000003oool0oooo0;<0oooo000K0?ooo`030000
003oool0oooo0<40oooo00<000000?ooo`3oool0`P3oool00`000000oooo0?ooo`2c0?ooo`00o`3o
oooo0?oooe`0oooo003o0?ooool0ooooG03oool00?l0ooooo`3ooomL0?ooo`00o`3ooooo0?oooe`0
oooo001U0?ooo`@00000`@3oool400000<80oooo0P00001X0?ooo`00I`3oool00`000000oooo0?oo
o`300?ooo`030000003oool0oooo0<80oooo00@000000?ooo`3oool00000I`3oool006L0oooo00<0
00000?ooo`3oool0`@3oool00`000000oooo0?ooo`340?ooo`030000003oool0oooo06D0oooo001W
0?ooo`030000003oool0oooo0<80oooo00<000000?ooo`3oool0`@3oool2000006P0oooo001W0?oo
o`030000003oool0oooo0<<0oooo00<000000?ooo`3oool0`P3oool00`000000oooo0?ooo`1U0?oo
o`00I@3oool300000<80oooo00@000000?ooo`3oool00000`@3oool010000000oooo0?ooo`00001W
0?ooo`00I`3oool00`000000oooo0?ooo`310?ooo`800000``3oool2000006P0oooo003o0?ooool0
ooooG03oool00?l0ooooo`3ooomL0?ooo`00o`3ooooo0?oooe`0oooo003o0?ooool0ooooG03oool0
0?l0ooooo`3ooomL0?ooo`00o`3ooooo0?oooe`0oooo003o0?ooool0ooooG03oool00?l0ooooo`3o
oomL0?ooo`00o`3ooooo0?oooe`0oooo003o0?ooool0ooooG03oool001/0oooo00<000000?ooo`3o
ool0`@3oool00`000000oooo0?ooo`320?ooo`030000003oool0oooo0;<0oooo000K0?ooo`030000
003oool0oooo0<40oooo00<000000?ooo`3oool0`P3oool00`000000oooo0?ooo`2c0?ooo`005`3o
ool4000000030?l000000000000009/000008P3oool4000000@0o`00VP00000S0?ooo`@000001@3o
002I000001P0oooo000K0?ooo`D00?l0_`3oool5003o00@0o`00_03oool5003o00D0o`00[03oool0
01/0oooo00D000000?ooo`3oool0o`000?ooo`06003o0;T0oooo00<000000?ooo`3oool00P3oool7
003o0;T0oooo00<000000?ooo`3oool00P3oool7003o00<0o`00Y`3oool001/0oooo00D000000?oo
o`3oool0oooo0?l000060?ooo`D00?l0]03oool00`000000oooo0?ooo`090?ooo`@00?l000<0o`00
0?ooo`3oool0/P3oool00`000000oooo0?ooo`090?ooo`@00?l00P3o002T0?ooo`006`3oool00`00
0000oooo0?ooo`020?ooo`030?l0003oool0oooo00L0oooo00<0o`00003o0000o`000`00o`000`3o
0000oooo0?ooo`2/0?ooo`030000003oool0oooo00d0oooo1@00o`000`3o0000oooo0?ooo`2]0?oo
o`030000003oool0oooo00d0oooo1@00o`2Q0?ooo`006`3oool00`000000oooo0?ooo`030?ooo`<0
o`000`3oool30?l000H0oooo0`00o`000`3o0000oooo0?ooo`2Y0?ooo`030000003oool0oooo0180
oooo1000o`2/0?ooo`030000003oool0oooo0180oooo0`00o`000`3o0000oooo0?ooo`2K0?ooo`00
6`3oool00`000000oooo0?ooo`050?ooo`@0o`00303oool3003o0:T0oooo00<000000?ooo`3oool0
5P3oool2003o0:X0oooo00<000000?ooo`3oool05@3oool3003o09/0oooo000K0?ooo`030000003o
ool0oooo01P0oooo0P00o`2W0?ooo`030000003oool0oooo01P0oooo0P00o`2X0?ooo`030000003o
ool0oooo01P0oooo0P00o`2I0?ooo`006`3oool00`000000oooo0?ooo`0J0?ooo`800?l0Y@3oool0
0`000000oooo0?ooo`0J0?ooo`800?l0YP3oool00`000000oooo0?ooo`0J0?ooo`800?l0U`3oool0
01/0oooo00<000000?ooo`3oool0703oool2003o0:<0oooo00<000000?ooo`3oool0703oool2003o
0:@0oooo00<000000?ooo`3oool0703oool2003o09D0oooo000K0?ooo`030000003oool0oooo01h0
oooo0P00o`2Q0?ooo`030000003oool0oooo01h0oooo0P00o`2R0?ooo`030000003oool0oooo01h0
oooo0P00o`2C0?ooo`006`3oool00`000000oooo0?ooo`0P0?ooo`03003o003o0000oooo09h0oooo
00<000000?ooo`3oool0803oool2003o0:00oooo00<000000?ooo`3oool0803oool00`00o`00o`00
0?ooo`2@0?ooo`006`3oool00`000000oooo0?ooo`0Q0?ooo`800?l000<0o`000?ooo`3oool0V`3o
ool00`000000oooo0?ooo`0R0?ooo`800?l0WP3oool00`000000oooo0?ooo`0Q0?ooo`800?l000<0
o`000?ooo`3oool0S@3oool001/0oooo00<000000?ooo`3oool08`3oool00`00o`00o`000?ooo`2K
0?ooo`030000003oool0oooo02@0oooo00<00?l00?ooo`3oool0V`3oool00`000000oooo0?ooo`0S
0?ooo`03003o003o0000oooo08d0oooo000K0?ooo`030000003oool0oooo02@0oooo00<00?l00?l0
003oool0VP3oool00`000000oooo0?ooo`0U0?ooo`03003o003oool0oooo09X0oooo00<000000?oo
o`3oool0903oool2003o08d0oooo000K0?ooo`030000003oool0oooo02D0oooo00<00?l00?l0003o
ool0V@3oool00`000000oooo0?ooo`0V0?ooo`03003o003oool0oooo09T0oooo00<000000?ooo`3o
ool09P3oool00`00o`00oooo0?ooo`2:0?ooo`006`3oool00`000000oooo0?ooo`0V0?ooo`800?l0
00<0o`000?ooo`3oool0UP3oool00`000000oooo0?ooo`0W0?ooo`800?l0V@3oool00`000000oooo
0?ooo`0W0?ooo`03003o003o0000oooo08T0oooo000K0?ooo`030000003oool0oooo02P0oooo00<0
0?l00?l0003oool0UP3oool00`000000oooo0?ooo`0Y0?ooo`03003o003oool0oooo09H0oooo00<0
00000?ooo`3oool0:03oool2003o08T0oooo000K0?ooo`030000003oool0oooo02T0oooo00<00?l0
0?l0003oool0U@3oool00`000000oooo0?ooo`0Z0?ooo`03003o003oool0oooo09D0oooo00<00000
0?ooo`3oool0:P3oool00`00o`00oooo0?ooo`260?ooo`006`3oool00`000000oooo0?ooo`0Z0?oo
o`03003o003o0000oooo09@0oooo00<000000?ooo`3oool0:`3oool00`00o`00oooo0?ooo`2D0?oo
o`030000003oool0oooo02/0oooo00<00?l00?ooo`3oool0Q@3oool001/0oooo00<000000?ooo`3o
ool0:`3oool00`00o`00o`000?ooo`2C0?ooo`030000003oool0oooo02`0oooo00<00?l00?ooo`3o
ool0T`3oool00`000000oooo0?ooo`0/0?ooo`03003o003oool0oooo08@0oooo000K0?ooo`030000
003oool0oooo02`0oooo0P00o`2C0?ooo`030000003oool0oooo02d0oooo0P00o`2C0?ooo`030000
003oool0oooo02d0oooo00<00?l00?ooo`3oool0P`3oool001/0oooo00<000000?ooo`3oool0;P3o
ool00`00o`00oooo0?ooo`2@0?ooo`030000003oool0oooo02l0oooo00<00?l00?ooo`3oool0T03o
ool00`000000oooo0?ooo`0^0?ooo`03003o003oool0oooo0880oooo000K0?ooo`030000003oool0
oooo02l0oooo00<00?l00?ooo`3oool0S`3oool00`000000oooo0?ooo`0`0?ooo`03003o003oool0
oooo08l0oooo00<000000?ooo`3oool0;`3oool00`00o`00oooo0?ooo`210?ooo`006`3oool00`00
0000oooo0?ooo`0`0?ooo`03003o003oool0oooo08h0oooo00<000000?ooo`3oool0<@3oool00`00
o`00oooo0?ooo`2>0?ooo`030000003oool0oooo0300oooo00<00?l00?ooo`3oool0P03oool001/0
oooo00<000000?ooo`3oool0<@3oool00`00o`00oooo0?ooo`2=0?ooo`030000003oool0oooo0380
oooo00<00?l00?ooo`3oool0S@3oool00`000000oooo0?ooo`0a0?ooo`03003o003oool0oooo07l0
oooo000K0?ooo`030000003oool0oooo0380oooo00<00?l00?ooo`3oool0S03oool00`000000oooo
0?ooo`0c0?ooo`03003o003oool0oooo08`0oooo00<000000?ooo`3oool0<P3oool00`00o`00oooo
0?ooo`1n0?ooo`006`3oool00`000000oooo0?ooo`0c0?ooo`03003o003oool0oooo08/0oooo00<0
00000?ooo`3oool0=03oool00`00o`00oooo0?ooo`2;0?ooo`030000003oool0oooo03<0oooo00<0
0?l00?ooo`3oool0O@3oool001/0oooo00<000000?ooo`3oool0<`3oool00`00o`00o`000?ooo`2;
0?ooo`030000003oool0oooo03@0oooo00<00?l00?ooo`3oool0R`3oool00`000000oooo0?ooo`0d
0?ooo`03003o003oool0oooo07`0oooo000K0?ooo`030000003oool0oooo03@0oooo00<00?l00?oo
o`3oool0RP3oool00`000000oooo0?ooo`0e0?ooo`03003o003oool0oooo08X0oooo00<000000?oo
o`3oool0=@3oool00`00o`00oooo0?ooo`1k0?ooo`006`3oool00`000000oooo0?ooo`0e0?ooo`03
003o003oool0oooo08T0oooo00<000000?ooo`3oool0=P3oool00`00o`00oooo0?ooo`290?ooo`03
0000003oool0oooo03H0oooo00<00?l00?ooo`3oool0NP3oool001/0oooo00<000000?ooo`3oool0
=P3oool00`00o`00oooo0?ooo`280?ooo`030000003oool0oooo03L0oooo00<00?l00?ooo`3oool0
R03oool00`000000oooo0?ooo`0g0?ooo`03003o003oool0oooo07T0oooo000K0?ooo`030000003o
ool0oooo03L0oooo00<00?l00?ooo`3oool0Q`3oool00`000000oooo0?ooo`0h0?ooo`03003o003o
ool0oooo08L0oooo00<000000?ooo`3oool0>03oool00`00o`00oooo0?ooo`1h0?ooo`006`3oool0
0`000000oooo0?ooo`0g0?ooo`03003o003o0000oooo08L0oooo00<000000?ooo`3oool0>03oool0
0`00o`00o`000?ooo`270?ooo`030000003oool0oooo03P0oooo00<00?l00?ooo`3oool0N03oool0
01/0oooo00<000000?ooo`3oool0>03oool00`00o`00oooo0?ooo`260?ooo`030000003oool0oooo
03T0oooo00<00?l00?l0003oool0QP3oool00`000000oooo0?ooo`0i0?ooo`03003o003oool0oooo
07L0oooo000K0?ooo`030000003oool0oooo03T0oooo00<00?l00?ooo`3oool0Q@3oool00`000000
oooo0?ooo`0j0?ooo`03003o003oool0oooo08D0oooo00<000000?ooo`3oool0>P3oool00`00o`00
oooo0?ooo`1f0?ooo`006`3oool00`000000oooo0?ooo`0j0?ooo`03003o003oool0oooo08@0oooo
00<000000?ooo`3oool0>`3oool00`00o`00oooo0?ooo`240?ooo`030000003oool0oooo03/0oooo
00<00?l00?ooo`3oool0M@3oool001/0oooo00<000000?ooo`3oool0>P3oool00`00o`00o`000?oo
o`240?ooo`030000003oool0oooo03/0oooo00<00?l00?l0003oool0Q03oool00`000000oooo0?oo
o`0k0?ooo`03003o003oool0oooo07D0oooo000K0?ooo`030000003oool0oooo03/0oooo00<00?l0
0?ooo`3oool0P`3oool00`000000oooo0?ooo`0l0?ooo`03003o003o0000oooo08<0oooo00<00000
0?ooo`3oool0?03oool00`00o`00oooo0?ooo`1d0?ooo`006`3oool00`000000oooo0?ooo`0l0?oo
o`03003o003oool0oooo0880oooo00<000000?ooo`3oool0?@3oool00`00o`00o`000?ooo`220?oo
o`030000003oool0oooo03d0oooo00<00?l00?ooo`3oool0L`3oool001/0oooo00<000000?ooo`3o
ool0?@3oool00`00o`00oooo0?ooo`210?ooo`030000003oool0oooo03h0oooo00<00?l00?l0003o
ool0P@3oool00`000000oooo0?ooo`0n0?ooo`03003o003oool0oooo0780oooo000K0?ooo`030000
003oool0oooo03h0oooo00<00?l00?ooo`3oool0P03oool00`000000oooo0?ooo`0n0?ooo`03003o
003o0000oooo0840oooo00<000000?ooo`3oool0?P3oool00`00o`00oooo0?ooo`1b0?ooo`006`3o
ool00`000000oooo0?ooo`0n0?ooo`03003o003o0000oooo0800oooo00<000000?ooo`3oool0?`3o
ool00`00o`00o`000?ooo`200?ooo`030000003oool0oooo03l0oooo00<00?l00?ooo`3oool0L@3o
ool001/0oooo00<000000?ooo`3oool0?`3oool00`00o`00oooo0?ooo`1o0?ooo`030000003oool0
oooo0400oooo00<00?l00?l0003oool0O`3oool00`000000oooo0?ooo`100?ooo`03003o003oool0
oooo0700oooo000K0?ooo`030000003oool0oooo0400oooo00<00?l00?ooo`3oool0OP3oool00`00
0000oooo0?ooo`100?ooo`03003o003o0000oooo07l0oooo00<000000?ooo`3oool0@03oool00`00
o`00oooo0?ooo`1`0?ooo`006`3oool00`000000oooo0?ooo`110?ooo`03003o003oool0oooo07d0
oooo00<000000?ooo`3oool0@@3oool00`00o`00o`000?ooo`1n0?ooo`030000003oool0oooo0440
oooo00<00?l00?ooo`3oool0K`3oool001/0oooo00<000000?ooo`3oool0@@3oool00`00o`00o`00
0?ooo`1m0?ooo`030000003oool0oooo0480oooo00<00?l00?l0003oool0O@3oool00`000000oooo
0?ooo`120?ooo`03003o003oool0oooo06h0oooo000K0?ooo`030000003oool0oooo0480oooo00<0
0?l00?ooo`3oool0O03oool00`000000oooo0?ooo`120?ooo`03003o003o0000oooo07d0oooo00<0
00000?ooo`3oool0@P3oool00`00o`00oooo0?ooo`1^0?ooo`006`3oool00`000000oooo0?ooo`13
0?ooo`03003o003oool0oooo07/0oooo00<000000?ooo`3oool0@`3oool00`00o`00o`000?ooo`1l
0?ooo`030000003oool0oooo04<0oooo00<00?l00?ooo`3oool0K@3oool001/0oooo00<000000?oo
o`3oool0A03oool00`00o`00oooo0?ooo`1j0?ooo`030000003oool0oooo04@0oooo00<00?l00?l0
003oool0N`3oool00`000000oooo0?ooo`140?ooo`03003o003oool0oooo06`0oooo000K0?ooo`03
0000003oool0oooo04@0oooo00<00?l00?l0003oool0NP3oool00`000000oooo0?ooo`150?ooo`03
003o003oool0oooo07X0oooo00<000000?ooo`3oool0A03oool00`00o`00oooo0?ooo`1/0?ooo`00
6`3oool00`000000oooo0?ooo`150?ooo`03003o003oool0oooo07T0oooo00<000000?ooo`3oool0
A@3oool00`00o`00o`000?ooo`1j0?ooo`030000003oool0oooo04D0oooo00<00?l00?ooo`3oool0
J`3oool001/0oooo00<000000?ooo`3oool0AP3oool00`00o`00oooo0?ooo`1h0?ooo`030000003o
ool0oooo04H0oooo00<00?l00?ooo`3oool0N@3oool00`000000oooo0?ooo`160?ooo`03003o003o
ool0oooo06X0oooo000K0?ooo`030000003oool0oooo04H0oooo00<00?l00?ooo`3oool0N03oool0
0`000000oooo0?ooo`170?ooo`03003o003oool0oooo07P0oooo00<000000?ooo`3oool0AP3oool0
0`00o`00oooo0?ooo`1Z0?ooo`006`3oool00`000000oooo0?ooo`170?ooo`03003o003oool0oooo
07L0oooo00<000000?ooo`3oool0B03oool00`00o`00oooo0?ooo`1g0?ooo`030000003oool0oooo
04L0oooo00<00?l00?ooo`3oool0J@3oool001/0oooo00<000000?ooo`3oool0B03oool00`00o`00
oooo0?ooo`1f0?ooo`030000003oool0oooo04P0oooo00<00?l00?ooo`3oool0M`3oool00`000000
oooo0?ooo`180?ooo`03003o003oool0oooo06P0oooo000K0?ooo`030000003oool0oooo04P0oooo
00<00?l00?ooo`3oool0MP3oool00`000000oooo0?ooo`190?ooo`03003o003oool0oooo07H0oooo
00<000000?ooo`3oool0B03oool00`00o`00o`000?ooo`1X0?ooo`006`3oool00`000000oooo0?oo
o`190?ooo`03003o003oool0oooo04X0oooo00<00?l00?ooo`3oool0:03oool00`000000oooo0?oo
o`190?ooo`030?l00000o`00oooo04/0oooo00<00?l00?ooo`3oool0:03oool00`000000oooo0?oo
o`190?ooo`03003o003oool0oooo04X0oooo00<00?l00?ooo`3oool06P3oool001/0oooo00<00000
0?ooo`3oool0B@3oool00`3o00000?l00?ooo`190?ooo`030?l00000o`00oooo02T0oooo00<00000
0?ooo`3oool0BP3oool00`3o00000?l00?ooo`190?ooo`030?l00000o`00oooo02T0oooo00<00000
0?ooo`3oool0BP3oool00`00o`00oooo0?ooo`190?ooo`03003o003oool0oooo01X0oooo000K0?oo
o`030000003oool0oooo04X0oooo00<00?l00?ooo`3oool0B03oool00`00o`00oooo0?ooo`0Y0?oo
o`030000003oool0oooo04/0oooo00<00?l00?ooo`3oool0B03oool00`00o`00oooo0?ooo`0Y0?oo
o`030000003oool0oooo04X0oooo00<00?l00?l0003oool0B03oool00`3o00000?l00?ooo`0K0?oo
o`006`3oool00`000000oooo0?ooo`1;0?ooo`03003o003oool0oooo04H0oooo00<00?l00?ooo`3o
ool0:P3oool00`000000oooo0?ooo`1;0?ooo`030?l00000o`00oooo04L0oooo00<00?l00?ooo`3o
ool0:P3oool00`000000oooo0?ooo`1;0?ooo`03003o003oool0oooo04L0oooo00<00?l00?ooo`3o
ool06`3oool001/0oooo00<000000?ooo`3oool0B`3oool00`3o00000?l00?ooo`160?ooo`03003o
003oool0oooo02X0oooo00<000000?ooo`3oool0C03oool00`00o`00oooo0?ooo`150?ooo`03003o
003oool0oooo02/0oooo00<000000?ooo`3oool0C03oool00`00o`00oooo0?ooo`150?ooo`03003o
003oool0oooo01`0oooo000K0?ooo`030000003oool0oooo04`0oooo00<00?l00?ooo`3oool0A03o
ool00`00o`00oooo0?ooo`0[0?ooo`030000003oool0oooo04d0oooo00<00?l00?ooo`3oool0A03o
ool00`00o`00oooo0?ooo`0[0?ooo`030000003oool0oooo04`0oooo00<00?l00?l0003oool0A03o
ool00`3o00000?l00?ooo`0M0?ooo`006`3oool00`000000oooo0?ooo`1=0?ooo`03003o003oool0
oooo0480oooo00<00?l00?ooo`3oool0;03oool00`000000oooo0?ooo`1=0?ooo`030?l00000o`00
oooo04<0oooo00<00?l00?ooo`3oool0;03oool00`000000oooo0?ooo`1=0?ooo`03003o003oool0
oooo04<0oooo00<00?l00?ooo`3oool07@3oool001/0oooo00<000000?ooo`3oool0C@3oool00`3o
00000?l00?ooo`120?ooo`03003o003oool0oooo02`0oooo00<000000?ooo`3oool0CP3oool00`00
o`00oooo0?ooo`110?ooo`03003o003oool0oooo02d0oooo00<000000?ooo`3oool0CP3oool00`00
o`00oooo0?ooo`110?ooo`03003o003oool0oooo01h0oooo000K0?ooo`030000003oool0oooo04h0
oooo00<0o`00003o003oool0@03oool00`00o`00oooo0?ooo`0]0?ooo`030000003oool0oooo04l0
oooo00<00?l00?ooo`3oool0?`3oool00`00o`00o`000?ooo`0^0?ooo`030000003oool0oooo04l0
oooo00<00?l00?ooo`3oool0?`3oool00`00o`00oooo0?ooo`0O0?ooo`006`3oool00`000000oooo
0?ooo`1?0?ooo`03003o003oool0oooo03h0oooo00<00?l00?ooo`3oool0;P3oool00`000000oooo
0?ooo`1?0?ooo`03003o003oool0oooo03l0oooo00<00?l00?ooo`3oool0;P3oool00`000000oooo
0?ooo`1?0?ooo`03003o003oool0oooo03l0oooo00<00?l00?ooo`3oool07`3oool001/0oooo00<0
00000?ooo`3oool0D03oool00`00o`00oooo0?ooo`0m0?ooo`03003o003oool0oooo02h0oooo00<0
00000?ooo`3oool0D03oool00`00o`00oooo0?ooo`0m0?ooo`03003o003oool0oooo02l0oooo00<0
00000?ooo`3oool0D03oool00`00o`00oooo0?ooo`0m0?ooo`03003o003oool0oooo0200oooo000K
0?ooo`030000003oool0oooo0500oooo00<0o`00003o003oool0?03oool00`00o`00oooo0?ooo`0_
0?ooo`030000003oool0oooo0540oooo00<00?l00?ooo`3oool0>`3oool00`00o`00oooo0?ooo`0`
0?ooo`030000003oool0oooo0540oooo00<00?l00?ooo`3oool0>`3oool00`00o`00oooo0?ooo`0Q
0?ooo`006`3oool00`000000oooo0?ooo`1A0?ooo`03003o003oool0oooo03X0oooo00<00?l00?oo
o`3oool0<03oool00`000000oooo0?ooo`1B0?ooo`03003o003oool0oooo03T0oooo00<00?l00?l0
003oool0<@3oool00`000000oooo0?ooo`1A0?ooo`03003o003o0000oooo03X0oooo00<00?l00?oo
o`3oool08P3oool001/0oooo00<000000?ooo`3oool0DP3oool00`00o`00oooo0?ooo`0i0?ooo`03
003o003oool0oooo0300oooo00<000000?ooo`3oool0DP3oool00`00o`00oooo0?ooo`0i0?ooo`03
003o003oool0oooo0340oooo00<000000?ooo`3oool0DP3oool00`00o`00oooo0?ooo`0i0?ooo`03
003o003oool0oooo0280oooo000K0?ooo`030000003oool0oooo0580oooo00<0o`00003o003oool0
>03oool00`00o`00oooo0?ooo`0a0?ooo`030000003oool0oooo05<0oooo00<00?l00?ooo`3oool0
=`3oool00`00o`00oooo0?ooo`0b0?ooo`030000003oool0oooo05<0oooo00<00?l00?ooo`3oool0
=`3oool00`00o`00oooo0?ooo`0S0?ooo`006`3oool00`000000oooo0?ooo`1C0?ooo`03003o003o
ool0oooo03H0oooo00<00?l00?ooo`3oool0<P3oool00`000000oooo0?ooo`1D0?ooo`03003o003o
ool0oooo03D0oooo00<00?l00?ooo`3oool0<`3oool00`000000oooo0?ooo`1C0?ooo`03003o003o
0000oooo03H0oooo00<00?l00?ooo`3oool0903oool001/0oooo00<000000?ooo`3oool0E03oool0
0`00o`00oooo0?ooo`0d0?ooo`030?l00000o`00oooo03<0oooo00<000000?ooo`3oool0E@3oool0
0`00o`00oooo0?ooo`0d0?ooo`03003o003oool0oooo03<0oooo00<000000?ooo`3oool0E03oool0
0`00o`00o`000?ooo`0d0?ooo`030?l00000o`00oooo02D0oooo000K0?ooo`030000003oool0oooo
05D0oooo00<00?l00?ooo`3oool0<`3oool00`00o`00oooo0?ooo`0c0?ooo`030000003oool0oooo
05D0oooo00<00?l00?ooo`3oool0<`3oool00`00o`00oooo0?ooo`0d0?ooo`030000003oool0oooo
05D0oooo00<00?l00?ooo`3oool0<`3oool00`00o`00oooo0?ooo`0U0?ooo`006`3oool00`000000
oooo0?ooo`1E0?ooo`03003o003oool0oooo0380oooo00<00?l00?ooo`3oool0=03oool00`000000
oooo0?ooo`1F0?ooo`03003o003oool0oooo0340oooo00<00?l00?ooo`3oool0=@3oool00`000000
oooo0?ooo`1E0?ooo`03003o003o0000oooo0380oooo00<00?l00?ooo`3oool09P3oool001/0oooo
00<000000?ooo`3oool0EP3oool00`00o`00oooo0?ooo`0`0?ooo`030?l00000o`00oooo03D0oooo
00<000000?ooo`3oool0E`3oool00`00o`00oooo0?ooo`0_0?ooo`030?l00000o`00oooo03H0oooo
00<000000?ooo`3oool0EP3oool00`00o`00o`000?ooo`0`0?ooo`030?l00000o`00oooo02L0oooo
000K0?ooo`030000003oool0oooo05L0oooo00<00?l00?ooo`3oool0;P3oool00`3o00000?l00?oo
o`0f0?ooo`030000003oool0oooo05P0oooo00<00?l00?ooo`3oool0;P3oool00`00o`00oooo0?oo
o`0f0?ooo`030000003oool0oooo05L0oooo00<00?l00?l0003oool0;P3oool00`3o00000?l00?oo
o`0X0?ooo`006`3oool00`000000oooo0?ooo`1H0?ooo`03003o003oool0oooo02`0oooo00<0o`00
003o003oool0=`3oool00`000000oooo0?ooo`1H0?ooo`030?l00000o`00oooo02d0oooo00<00?l0
0?ooo`3oool0=`3oool00`000000oooo0?ooo`1H0?ooo`03003o003oool0oooo02d0oooo00<00?l0
0?ooo`3oool0:03oool001/0oooo00<000000?ooo`3oool0F@3oool00`00o`00oooo0?ooo`0[0?oo
o`03003o003oool0oooo03L0oooo00<000000?ooo`3oool0F@3oool00`3o00000?l00?ooo`0[0?oo
o`03003o003oool0oooo03P0oooo00<000000?ooo`3oool0F@3oool00`00o`00oooo0?ooo`0[0?oo
o`03003o003oool0oooo02T0oooo000K0?ooo`030000003oool0oooo05T0oooo00<00?l00?l0003o
ool0:P3oool00`00o`00oooo0?ooo`0h0?ooo`030000003oool0oooo05X0oooo00<00?l00?ooo`3o
ool0:@3oool00`00o`00oooo0?ooo`0i0?ooo`030000003oool0oooo05X0oooo00<00?l00?ooo`3o
ool0:@3oool00`00o`00oooo0?ooo`0Z0?ooo`006`3oool00`000000oooo0?ooo`1J0?ooo`03003o
003oool0oooo02P0oooo00<00?l00?ooo`3oool0>@3oool00`000000oooo0?ooo`1K0?ooo`03003o
003oool0oooo02P0oooo00<00?l00?ooo`3oool0>@3oool00`000000oooo0?ooo`1K0?ooo`03003o
003oool0oooo02L0oooo00<00?l00?ooo`3oool0:`3oool001/0oooo00<000000?ooo`3oool0F`3o
ool00`00o`00oooo0?ooo`0V0?ooo`03003o003oool0oooo03X0oooo00<000000?ooo`3oool0F`3o
ool00`3o00000?l00?ooo`0W0?ooo`03003o003oool0oooo03X0oooo00<000000?ooo`3oool0F`3o
ool00`3o00000?l00?ooo`0V0?ooo`03003o003o0000oooo02`0oooo000K0?ooo`030000003oool0
oooo05`0oooo00<00?l00?ooo`3oool0903oool00`00o`00oooo0?ooo`0k0?ooo`030000003oool0
oooo05`0oooo00<0o`00003o003oool09@3oool00`00o`00oooo0?ooo`0k0?ooo`030000003oool0
oooo05`0oooo00<0o`00003o003oool0903oool00`00o`00o`000?ooo`0]0?ooo`006`3oool00`00
0000oooo0?ooo`1M0?ooo`03003o003oool0oooo0280oooo00<00?l00?ooo`3oool0?03oool00`00
0000oooo0?ooo`1M0?ooo`030?l00000o`00oooo02<0oooo00<00?l00?ooo`3oool0?03oool00`00
0000oooo0?ooo`1M0?ooo`030?l00000o`00oooo0280oooo00<00?l00?l0003oool0;P3oool001/0
oooo00<000000?ooo`3oool0GP3oool00`00o`00oooo0?ooo`0P0?ooo`03003o003oool0oooo03d0
oooo00<000000?ooo`3oool0GP3oool00`00o`00oooo0?ooo`0Q0?ooo`03003o003oool0oooo03d0
oooo00<000000?ooo`3oool0GP3oool00`00o`00oooo0?ooo`0P0?ooo`03003o003o0000oooo02l0
oooo000K0?ooo`030000003oool0oooo05l0oooo00<00?l00?ooo`3oool07P3oool00`00o`00o`00
0?ooo`0n0?ooo`030000003oool0oooo05l0oooo00<00?l00?ooo`3oool07P3oool00`3o00000?l0
0?ooo`0o0?ooo`030000003oool0oooo05l0oooo00<00?l00?ooo`3oool07P3oool00`00o`00o`00
0?ooo`0`0?ooo`006`3oool00`000000oooo0?ooo`1P0?ooo`03003o003oool0oooo01/0oooo0P00
o`000`3o0000oooo0?ooo`0n0?ooo`030000003oool0oooo0600oooo00<00?l00?l0003oool0703o
ool2003o0440oooo00<000000?ooo`3oool0H03oool00`00o`00oooo0?ooo`0L0?ooo`03003o003o
0000oooo0340oooo000K0?ooo`030000003oool0oooo0640oooo00<00?l00?ooo`3oool06@3oool0
0`00o`00oooo0?l000110?ooo`030000003oool0oooo0640oooo00<00?l00?l0003oool06P3oool0
0`00o`00oooo0?ooo`110?ooo`030000003oool0oooo0640oooo00<00?l00?ooo`3oool06P3oool0
0`00o`00o`000?ooo`0b0?ooo`006`3oool00`000000oooo0?ooo`1R0?ooo`03003o003o0000oooo
01L0oooo00<00?l00?ooo`3o0000@P3oool00`000000oooo0?ooo`1R0?ooo`03003o003o0000oooo
01P0oooo00<00?l00?ooo`3oool0@P3oool00`000000oooo0?ooo`1R0?ooo`03003o003oool0oooo
01P0oooo00<00?l00?l0003oool0<`3oool001/0oooo00<000000?ooo`3oool0H`3oool00`00o`00
o`000?ooo`0E0?ooo`03003o003o0000o`0004<0oooo00<000000?ooo`3oool0H`3oool00`00o`00
o`000?ooo`0F0?ooo`03003o003oool0oooo04<0oooo00<000000?ooo`3oool0H`3oool00`00o`00
oooo0?ooo`0F0?ooo`03003o003o0000oooo03@0oooo000K0?ooo`030000003oool0oooo06@0oooo
0P00o`000`3o0000oooo0?ooo`0A0?ooo`03003o003o0000oooo04@0oooo00<000000?ooo`3oool0
I03oool2003o00030?l0003oool0oooo0140oooo0P00o`160?ooo`030000003oool0oooo06@0oooo
0P00o`0D0?ooo`800?l000<0o`000?ooo`3oool0=03oool001/0oooo00<000000?ooo`3oool0IP3o
ool2003o0100oooo0P00o`170?ooo`030000003oool0oooo06H0oooo0`00o`0@0?ooo`03003o003o
0000oooo04H0oooo00<000000?ooo`3oool0IP3oool2003o0100oooo0P00o`000`3o0000oooo0?oo
o`0f0?ooo`006`3oool00`000000oooo0?ooo`1X0?ooo`800?l02`3oool00`3o00000?l0003o0019
0?ooo`030000003oool0oooo06P0oooo00<0o`00003o0000o`002`3oool00`3o00000?l0003o0019
0?ooo`030000003oool0oooo06L0oooo00@0o`00003o0000o`00o`002`3oool00`3o00000?l00?oo
o`0j0?ooo`006`3oool00`000000oooo0?ooo`1Z0?ooo`<00?l000<0o`000?ooo`3oool00P3oool4
003o04/0oooo00<000000?ooo`3oool0J`3oool3003o00030?l0003oool0oooo0080oooo1000o`1;
0?ooo`030000003oool0oooo06X0oooo1000o`050?ooo`@00?l0?03oool001/0oooo00<000000?oo
o`3oool0K@3oool6003o04h0oooo00<000000?ooo`3oool0KP3oool5003o04l0oooo00<000000?oo
o`3oool0K@3oool6003o00030?l0003oool0oooo03d0oooo000K0?ooo`030000003oool0oooo0<40
oooo00<000000?ooo`3oool0`P3oool00`000000oooo0?ooo`2c0?ooo`006`3oool00`000000oooo
0?ooo`310?ooo`030000003oool0oooo0<80oooo00<000000?ooo`3oool0/`3oool00?l0ooooo`3o
oomL0?ooo`00o`3ooooo0?oooe`0oooo003o0?ooool0ooooG03oool00?l0ooooo`3ooomL0?ooo`00
J03oool400000<40oooo1000002o0?ooo`800000J03oool006P0oooo00<000000?ooo`3oool0a03o
ool00`000000oooo0?ooo`2m0?ooo`040000003oool0oooo000006L0oooo001Y0?ooo`030000003o
ool0oooo0<<0oooo00<000000?ooo`3oool0_@3oool010000000oooo0?ooo`00001W0?ooo`00HP3o
ool4000000@0oooo00<000000?ooo`3oool0^P3oool4000000@0oooo00<000000?ooo`3oool0_@3o
ool010000000oooo0?ooo`00001W0?ooo`00J`3oool00`000000oooo0?ooo`310?ooo`030000003o
ool0oooo0;d0oooo00@000000?ooo`3oool00000I`3oool006P0oooo00@000000?ooo`3oool00000
`@3oool300000;l0oooo00@000000?ooo`3oool00000I`3oool006T0oooo0P0000340?ooo`030000
003oool0oooo0;h0oooo0P00001X0?ooo`00o`3ooooo0?oooe`0oooo003o0?ooool0ooooG03oool0
0?l0ooooo`3ooomL0?ooo`00o`3ooooo0?oooe`0oooo003o0?ooool0ooooG03oool00?l0ooooo`3o
oomL0?ooo`00o`3ooooo0?oooe`0oooo003o0?ooool0ooooG03oool00?l0ooooo`3ooomL0?ooo`00
o`3ooooo0?oooe`0oooo000K0?ooo`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3o
ool00`3o0000oooo0?ooo`040?ooo`050?l0003oool0oooo0?ooo`3o0000[03oool00`000000oooo
0?ooo`060?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0/P3oool00`000000oooo
0?ooo`2c0?ooo`006`3oool00`000000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0
o`000?ooo`3oool0103oool01@3o0000oooo0?ooo`3oool0o`000:`0oooo00<000000?ooo`3oool0
1P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0;80oooo00<000000?ooo`3oool0
/`3oool001/0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003o
ool0oooo00@0oooo00D0o`000?ooo`3oool0oooo0?l0002/0?ooo`030000003oool0oooo00H0oooo
00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`2b0?ooo`030000003oool0oooo0;<0oooo
000K0?ooo`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?oo
o`040?ooo`050?l0003oool0oooo0?ooo`3o0000[03oool00`000000oooo0?ooo`060?ooo`030?l0
003oool0oooo00@0oooo00<0o`000?ooo`3oool0/P3oool00`000000oooo0?ooo`0<0?ooo`80o`00
Y@3oool001/0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003o
ool0oooo00@0oooo00D0o`000?ooo`3oool0oooo0?l0002/0?ooo`030000003oool0oooo00H0oooo
00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`2b0?ooo`030000003oool0oooo00/0oooo
00@0o`000?ooo`3oool0o`00Y03oool001/0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo
0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00D0o`000?ooo`3oool0oooo0?l0002/0?ooo`03
0000003oool0oooo00H0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`2b0?ooo`03
0000003oool0oooo00/0oooo00@0o`000?ooo`3oool0o`00Y03oool001/0oooo00<000000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00D0o`000?ooo`3o
ool0oooo0?l0002/0?ooo`030000003oool0oooo00H0oooo00<0o`000?ooo`3oool0103oool00`3o
0000oooo0?ooo`2b0?ooo`030000003oool0oooo00/0oooo00D0o`000?ooo`3oool0oooo0?l0002S
0?ooo`006`3oool00`000000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?oo
o`3oool0103oool01@3o0000oooo0?ooo`3oool0o`000:`0oooo00<000000?ooo`3oool01P3oool0
0`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0;80oooo00<000000?ooo`3oool02P3oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:40oooo000K0?ooo`030000003oool0oooo
00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`050?l0003oool0oooo
0?ooo`3o0000[03oool00`000000oooo0?ooo`060?ooo`030?l0003oool0oooo00@0oooo00<0o`00
0?ooo`3oool0/P3oool00`000000oooo0?ooo`0:0?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool0X@3oool001/0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?oo
o`030?l0003oool0oooo00@0oooo00D0o`000?ooo`3oool0oooo0?l0002/0?ooo`030000003oool0
oooo00H0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`2b0?ooo`030000003oool0
oooo00X0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`2P0?ooo`006`3oool00`00
0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool01@3o
0000oooo0?ooo`3oool0o`000:`0oooo00<000000?ooo`3oool01P3oool00`3o0000oooo0?ooo`04
0?ooo`030?l0003oool0oooo0;80oooo00<000000?ooo`3oool02P3oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo0:00oooo000K0?ooo`030000003oool0oooo00<0oooo00<0o`000?oo
o`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`050?l0003oool0oooo0?ooo`3o0000[03oool0
0`000000oooo0?ooo`060?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0/P3oool0
0`000000oooo0?ooo`090?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0X03oool0
01/0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo
00@0oooo00D0o`000?ooo`3oool0oooo0?l0002/0?ooo`030000003oool0oooo00H0oooo00<0o`00
0?ooo`3oool0103oool00`3o0000oooo0?ooo`2b0?ooo`030000003oool0oooo00T0oooo00<0o`00
0?ooo`3oool0103oool00`3o0000oooo0?ooo`2P0?ooo`006`3oool00`000000oooo0?ooo`030?oo
o`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool01@3o0000oooo0?ooo`3oool0
o`000:`0oooo00<000000?ooo`3oool01P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0
oooo0;80oooo00<000000?ooo`3oool02@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0
oooo09l0oooo000K0?ooo`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o
0000oooo0?ooo`040?ooo`050?l0003oool0oooo0?ooo`3o0000[03oool00`000000oooo0?ooo`06
0?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0/P3oool00`000000oooo0?ooo`09
0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0W`3oool001/0oooo00<000000?oo
o`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00D0o`000?oo
o`3oool0oooo0?l0002/0?ooo`030000003oool0oooo00H0oooo00<0o`000?ooo`3oool0103oool0
0`3o0000oooo0?ooo`2^0?ooo`@0000000<0o`000000000000002@0000000`3o0000000000000006
000000030?l000000000000008H00000603oool001/0oooo00<000000?ooo`3oool00`3oool00`3o
0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00D0o`000?ooo`3oool0oooo0?l0002/
0?ooo`030000003oool0oooo00H0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`2b
0?ooo`P00?l0103oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo09h0oooo000K0?oo
o`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?oo
o`050?l0003oool0oooo0?ooo`3o0000[03oool00`000000oooo0?ooo`060?ooo`030?l0003oool0
oooo00@0oooo00<0o`000?ooo`3oool0/P3oool00`3o0000oooo0?ooo`050?ooo`P00?l01P3oool0
0`3o0000oooo0?ooo`2M0?ooo`006`3oool00`000000oooo0?ooo`030?ooo`030?l0003oool0oooo
00<0oooo00<0o`000?ooo`3oool0103oool01@3o0000oooo0?ooo`3oool0o`000:`0oooo00<00000
0?ooo`3oool01P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0;80oooo00<0o`00
0?ooo`3oool0203oool00`3o0000oooo0?ooo`020?ooo`D00?l000<0oooo0?l0003oool0WP3oool0
01/0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo
00@0oooo00D0o`000?ooo`3oool0oooo0?l0002/0?ooo`030000003oool0oooo00H0oooo00<0o`00
0?ooo`3oool0103oool00`3o0000oooo0?ooo`2b0?ooo`030?l0003oool0oooo00P0oooo00<0o`00
0?ooo`3oool01`3oool3003o09h0oooo000K0?ooo`030000003oool0oooo00<0oooo00<0o`000?oo
o`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`050?l0003oool0oooo0?ooo`3o0000[03oool0
0`000000oooo0?ooo`060?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0/P3oool0
0`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00T0oooo00@0o`00003o0000o`000?l0V`3o
ool001/0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2Y0?ooo`030000003oool0
oooo00H0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`2b0?ooo`030000003o0000
oooo00P0oooo00<0o`000?ooo`3oool02P3oool00`3o0000oooo0?ooo`02003o09T0oooo000K0?oo
o`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?oo
o`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0Z@3oool00`000000oooo0?ooo`060?oo
o`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0/P3oool00`000000o`000?ooo`080?oo
o`030?l0003oool0oooo00X0oooo0`3o00020?ooo`800?l0U`3oool001/0oooo00<000000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3o
ool00P3oool00`3o0000oooo0?ooo`2Y0?ooo`030000003oool0oooo00H0oooo00<0o`000?ooo`3o
ool0103oool00`3o0000oooo0?ooo`2b0?ooo`030000003o0000oooo00P0oooo00<0o`000?ooo`3o
ool0303oool50?l000800?l00P3o002C0?ooo`006`3oool00`000000oooo0?ooo`030?ooo`030?l0
003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo0:T0oooo00<000000?ooo`3oool01P3oool00`3o0000oooo0?ooo`040?ooo`030?l0
003oool0oooo0;80oooo00<000000?l0003oool0203oool00`3o0000oooo0?ooo`0C0?ooo`800?l0
00<0o`000?ooo`3oool0T03oool001/0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?oo
o`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?oo
o`2Y0?ooo`030000003oool0oooo00H0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?oo
o`2b0?ooo`030000003o0000oooo00P0oooo00<0o`000?ooo`3oool05@3oool2003o00030?l0003o
ool0oooo08h0oooo000K0?ooo`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool0
0`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0Z@3oool0
0`000000oooo0?ooo`060?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool01`3oool2
0?l00:T0oooo00<000000?l0003oool01`3oool00`3o0000oooo0?ooo`0H0?ooo`800?l0S`3oool0
01/0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo
00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2Y0?ooo`030000003oool0oooo
00H0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0o`00
0:P0oooo00<000000?l0003oool01`3oool00`3o0000oooo0?ooo`0J0?ooo`800?l0S@3oool001/0
oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2Y0?ooo`030000003oool0oooo00H0
oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0o`000:P0
oooo00<000000?l0003oool01`3oool00`3o0000oooo0?ooo`0L0?ooo`800?l0R`3oool001/0oooo
00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo
00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2Y0?ooo`030000003oool0oooo00H0oooo
00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`070?ooo`030?l0003oool0o`000:P0oooo
00<000000?ooo`3o00001`3oool00`3o0000oooo0?ooo`0N0?ooo`800?l0R@3oool001/0oooo00<0
00000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0
o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2Y0?ooo`030000003oool0oooo00H0oooo00<0
o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`060?ooo`050?l0003oool0oooo0?ooo`3o0000
Y`3oool00`000000oooo0?l000070?ooo`030?l0003oool0oooo0200oooo00<00?l00?ooo`3oool0
QP3oool001/0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003o
ool0oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2Y0?ooo`030000003o
ool0oooo00H0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`060?ooo`050?l0003o
ool0oooo0?ooo`3o0000Y`3oool00`000000oooo0?l000070?ooo`030?l0003oool0oooo0240oooo
00<00?l00?ooo`3oool0Q@3oool001/0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?oo
o`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?oo
o`2Y0?ooo`030000003oool0oooo00D0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?oo
o`060?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0Y03oool00`000000oooo0?l0
00070?ooo`030?l0003oool0oooo0280oooo00<00?l00?ooo`3oool0Q03oool001/0oooo00<00000
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0o`00
0?ooo`3oool00P3oool00`3o0000oooo0?ooo`2Y0?ooo`030000003oool0oooo00D0oooo00<0o`00
0?ooo`3oool01@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool0Y03oool00`000000oooo0?l000070?ooo`030?l0003oool0oooo02<0oooo00<00?l0
0?ooo`3oool0P`3oool001/0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?oo
o`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2Y0?oo
o`030000003oool0oooo00D0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`060?oo
o`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0Y03oool00`000000oooo0?l000070?oo
o`030?l0003oool0oooo02@0oooo00<00?l00?ooo`3oool0PP3oool001/0oooo00<000000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3o
ool00P3oool00`3o0000oooo0?ooo`2Y0?ooo`030000003oool0oooo00D0oooo00<0o`000?ooo`3o
ool01@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3o
ool0Y03oool010000000oooo0?ooo`3o00050?ooo`030?l0003oool0oooo02H0oooo00<00?l00?oo
o`3oool0P@3oool001/0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`03
0?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2Y0?ooo`03
0000003oool0oooo00D0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`060?ooo`03
0?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0X`3oool010000000oooo0?ooo`3o00050?oo
o`030?l0003oool0oooo02L0oooo00<00?l00?ooo`3oool0P03oool001/0oooo00<000000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3o
ool00P3oool00`3o0000oooo0?ooo`2Y0?ooo`030000003oool0oooo00D0oooo00<0o`000?ooo`3o
ool01@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3o
ool0X`3oool010000000oooo0?ooo`3o00050?ooo`030?l0003oool0oooo02P0oooo00<00?l00?oo
o`3oool0O`3oool001/0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`03
0?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`<0
o`00WP3oool3000000T00?l01`0000000`3o0000000000000006000000030?l000000000000000<0
000000<0o`00000000000000O000000W0?ooo`040000003oool0oooo0?l000D0oooo00<0o`000?oo
o`3oool0:@3oool00`00o`00oooo0?ooo`1n0?ooo`006`3oool00`000000oooo0?ooo`030?ooo`03
0?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`03
0?l0003oool0oooo00@0oooo00@0o`000?ooo`3o0000o`00X03oool00`3o0000oooo0?ooo`050?oo
o`030?l00000o`000?l001800?l00P3oool00`3o0000oooo0?ooo`2S0?ooo`040000003oool0oooo
0?l000D0oooo00<0o`000?ooo`3oool0:P3oool2003o07h0oooo000K0?ooo`030000003oool0oooo
00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo
00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo
09d0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo
00D0oooo00<0o`000?ooo`3oool00P3oool7003o0:40oooo00D000000?ooo`3oool0oooo0?l00003
0?ooo`030?l0003oool0oooo02d0oooo00<00?l00?ooo`3oool0N`3oool001/0oooo00<0o`000?oo
o`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?oo
o`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?oo
o`3oool0W@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00D0oooo00<0o`000?oo
o`3oool01@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00H00?l0V`3oool01@00
0000oooo0?ooo`3oool0o`0000<0oooo00<0o`000?ooo`3oool0;P3oool00`00o`00oooo0?ooo`1j
0?ooo`005`3oool4000009X00?l01000000V0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?oo
o`3oool01@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00L0oooo103o00040?oo
o`D00?l000<0o`000?ooo`3oool0T`3oool01@000000oooo0?ooo`3oool0o`0000<0oooo00<0o`00
0?ooo`3oool0;`3oool00`00o`00oooo0?ooo`1i0?ooo`006`3oool00`3o0000oooo0?ooo`030?oo
o`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?oo
o`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0XP3oool00`3o0000oooo0?ooo`050?oo
o`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`0D0?oo
o`@00?l0TP3oool01@000000oooo0?ooo`3oool0o`0000<0oooo00<0o`000?ooo`3oool0<03oool0
0`00o`00oooo0?ooo`1h0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo
00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo
0080oooo00<0o`000?ooo`3oool0X`3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo
00D0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`0H0?ooo`@00?l0SP3oool01@00
0000oooo0?ooo`3oool0o`0000<0oooo00<0o`000?ooo`3oool0<@3oool00`00o`00oooo0?ooo`1g
0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?oo
o`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?oo
o`3oool0X`3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00D0oooo00<0o`000?oo
o`3oool01@3oool00`3o0000oooo0?ooo`0L0?ooo`D00?l0R@3oool00`000000oooo0?ooo`020?oo
o`030?l0003oool0o`0003D0oooo00<00?l00?ooo`3oool0MP3oool001/0oooo00<0o`000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3o
ool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:<0oooo00<0o`000?ooo`3o
ool01@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3o
ool08@3oool3003o00030?l0003oool0oooo08<0oooo00<000000?ooo`3oool00P3oool00`3o0000
oooo0?l0000e0?ooo`030?l00000o`00oooo07H0oooo000K0?ooo`030?l0003oool0oooo00<0oooo
00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo
00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2S0?ooo`030?l0003oool0oooo00D0oooo
00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo02@0oooo
0`00o`000`3o0000oooo0?ooo`200?ooo`030000003oool0oooo0080oooo0P3o000g0?ooo`030?l0
0000o`00oooo07D0oooo000K0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103o
ool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00P3o
ool00`3o0000oooo0?ooo`2S0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool01@3o
ool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo02L0oooo0`00o`000`3o0000oooo0?oo
o`1m0?ooo`030000003oool0oooo03`0oooo00<0o`00003o003oool0M03oool001/0oooo00<0o`00
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:<0oooo00<0o`00
0?ooo`3oool01@3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00D0oooo00<0o`00
0?ooo`3oool0:P3oool3003o00030?l0003oool0oooo07X0oooo00<000000?ooo`3oool0?@3oool0
0`3o00000?l00?ooo`1c0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo
00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo
0080oooo00<0o`000?ooo`3oool0X`3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo
00D0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0^0?ooo`@00?l0N@3oool00`00
0000oooo0?ooo`0n0?ooo`03003o003oool0oooo0780oooo000K0?ooo`030?l0003oool0oooo00<0
oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00@0
oooo00D0o`000?ooo`3oool0oooo0?l0002V0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?oo
o`3oool01@3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0380oooo0P00o`1;0?oo
o`030?l00000o`00oooo02T0oooo00<000000?ooo`3oool0?P3oool00`3o00000?l00?ooo`1b0?oo
o`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3o
ool00P3oool00`3o0000oooo0?ooo`040?ooo`050?l0003oool0oooo0?ooo`3o0000YP3oool00`3o
0000oooo0?ooo`050?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0103oool00`3o
0000oooo0?ooo`0d0?ooo`800?l0A`3oool00`3o00000?l0003o000[0?ooo`030000003oool0oooo
03l0oooo00<0o`00003o003oool0L@3oool001/0oooo00<0o`000?ooo`3oool00`3oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool01@3oool0103o0000
oooo0?ooo`3o002V0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool01@3oool00`3o
0000oooo0?ooo`040?ooo`030?l0003oool0oooo03H0oooo0P00o`120?ooo`@00?l0;@3oool00`00
0000oooo0?ooo`100?ooo`030?l00000o`00oooo0700oooo000K0?ooo`030?l0003oool0oooo00<0
oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00D0
oooo00@0o`000?ooo`3oool0o`00YP3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo
00D0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`0h0?ooo`<00?l0?03oool3003o
00030?l0003oool0oooo02h0oooo00<000000?ooo`3oool0@@3oool00`00o`00oooo0?ooo`1_0?oo
o`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3o
ool00P3oool00`3o0000oooo0?ooo`050?ooo`040?l0003oool0oooo0?l00:H0oooo00<0o`000?oo
o`3oool01@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00<0oooo00<0o`000?oo
o`3oool0>`3oool4003o03D0oooo0`00o`000`3o0000oooo0?ooo`0a0?ooo`030000003oool0oooo
0440oooo00<0o`00003o003oool0K`3oool001/0oooo00<0o`000?ooo`3oool00`3oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool01@3oool0103o0000
oooo0?ooo`3o002V0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool01P3oool00`3o
0000oooo0?ooo`030?ooo`030?l0003oool0oooo03l0oooo1000o`0]0?ooo`050?l00000o`000?l0
003o003o0000=P3oool00`000000oooo0?ooo`120?ooo`030?l00000o`00oooo06h0oooo000K0?oo
o`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?oo
o`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3o0000Y`3oool00`3o0000oooo0?ooo`050?oo
o`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`120?oo
o`030?l00000o`000?l000<00?l0903oool20?l000<00?l0>P3oool00`000000oooo0?ooo`130?oo
o`030?l00000o`00oooo06d0oooo000K0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3o
ool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3o
0000Y`3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`150?ooo`<0o`000`00o`0M0?ooo`030?l00000o`000?l000<0
0?l0?@3oool00`000000oooo0?ooo`140?ooo`03003o003oool0oooo06`0oooo000K0?ooo`030?l0
003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo00D0oooo00<0o`000?ooo`3o0000Y`3oool00`3o0000oooo0?ooo`050?ooo`030?l0
003oool0oooo00H0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`1:0?ooo`030?l0
0000o`000?l000D00?l0403oool7003o0480oooo00<000000?ooo`3oool0A03oool00`3o00000?l0
0?ooo`1/0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0
o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0o`000:L0oooo00<0
o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00<0oooo00<0
o`000?ooo`3oool0D@3oool00`3o00000?l0003o000>003o04T0oooo00<000000?ooo`3oool0A@3o
ool00`3o00000?l00?ooo`1[0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0
o`000:L0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0
oooo00<0oooo00<0o`000?ooo`3oool0Z`3oool00`000000oooo0?ooo`160?ooo`03003o003oool0
oooo06X0oooo000K0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o
0000oooo0?ooo`020?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3o0000Y`3oool00`3o
0000oooo0?ooo`050?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool00`3oool00`3o
0000oooo0?ooo`2[0?ooo`030000003oool0oooo04L0oooo00<00?l00?ooo`3oool0J@3oool001/0
oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0080
oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`2V0?ooo`030?l0003oool0oooo00D0
oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0:/0
oooo00<000000?ooo`3oool0A`3oool00`3o00000?l00?ooo`1Y0?ooo`006`3oool00`3o0000oooo
0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo
0?ooo`2_0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo
0?ooo`030?ooo`030?l0003oool0oooo0:/0oooo00<000000?ooo`3oool0B03oool00`00o`00oooo
0?ooo`1X0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0
o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2_0?ooo`030?l0003oool0oooo00D0oooo00<0
o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0:/0oooo00<0
00000?ooo`3oool0B@3oool00`00o`00oooo0?ooo`1:0?ooo`03003o003oool0oooo01X0oooo000K
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`02
0?ooo`030?l0003oool0oooo0:l0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`06
0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0Z`3oool00`000000oooo0?ooo`1:
0?ooo`03003o003oool0oooo04P0oooo00<00?l00?l0003oool06`3oool001/0oooo00<0o`000?oo
o`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0080oooo00<0o`000?oo
o`3oool0[`3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00H0oooo00<0o`000?oo
o`3oool00`3oool00`3o0000oooo0?ooo`2[0?ooo`030000003oool0oooo04/0oooo00<00?l00?oo
o`3oool0AP3oool00`00o`00o`000?ooo`0L0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`03
0?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2_0?ooo`03
0?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`030?ooo`03
0?l0003oool0oooo0:/0oooo00<000000?ooo`3oool0C03oool00`00o`00oooo0?ooo`150?ooo`03
003o003oool0oooo01`0oooo000K0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0
103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:l0oooo00<0o`000?ooo`3oool0
1@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0
Z`3oool00`000000oooo0?ooo`1<0?ooo`03003o003oool0oooo04@0oooo00<00?l00?ooo`3oool0
7@3oool001/0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003o
ool0oooo0080oooo00<0o`000?ooo`3oool0[`3oool00`000000o`000?ooo`050?ooo`030?l0003o
ool0oooo00H0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`2[0?ooo`030000003o
ool0oooo04d0oooo00<00?l00?ooo`3oool0@P3oool00`00o`00o`000?ooo`0N0?ooo`006`3oool0
0`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00P3oool0
0`3o0000oooo0?ooo`2_0?ooo`030000003o0000oooo00D0oooo00<0o`000?ooo`3oool01P3oool0
0`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:`0oooo00<000000?ooo`3oool0CP3oool0
0`00o`00oooo0?ooo`100?ooo`03003o003o0000oooo01l0oooo000K0?ooo`030?l0003oool0oooo
00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo
0:l0oooo00<000000?l0003oool01@3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo
0080oooo00<0o`000?ooo`3oool0[03oool00`000000oooo0?ooo`1?0?ooo`03003o003oool0oooo
03l0oooo00<00?l00?ooo`3oool07`3oool001/0oooo00<0o`000?ooo`3oool00`3oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0[`3oool00`000000
o`000?ooo`050?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool00P3oool00`3o0000
oooo0?ooo`2/0?ooo`030000003oool0oooo0500oooo00<00?l00?ooo`3oool0?@3oool00`00o`00
oooo0?ooo`0P0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo
00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2_0?ooo`030000003o0000oooo00D0oooo
00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:`0oooo
00<000000?ooo`3oool0D@3oool00`00o`00oooo0?ooo`0k0?ooo`03003o003oool0oooo0240oooo
000K0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?oo
o`020?ooo`030?l0003oool0oooo0:l0oooo00<000000?l0003oool01@3oool00`3o0000oooo0?oo
o`060?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0[03oool00`000000oooo0?oo
o`1A0?ooo`03003o003oool0oooo03X0oooo00<00?l00?ooo`3oool08P3oool001/0oooo00<0o`00
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0080oooo00<0o`00
0?ooo`3oool0[`3oool00`000000o`000?ooo`050?ooo`030?l0003oool0oooo00H0oooo00<0o`00
0?ooo`3oool00P3oool00`3o0000oooo0?ooo`2/0?ooo`030000003oool0oooo0580oooo00<00?l0
0?ooo`3oool0>@3oool00`00o`00oooo0?ooo`0R0?ooo`006`3oool00`3o0000oooo0?ooo`030?oo
o`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2_0?oo
o`030000003o0000oooo00D0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`020?oo
o`030?l0003oool0oooo0:`0oooo00<000000?ooo`3oool0D`3oool00`00o`00oooo0?ooo`0g0?oo
o`03003o003oool0oooo02<0oooo000K0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3o
ool0103oool00`3o0000oooo0?ooo`020?ooo`030?l0003oool0oooo0:l0oooo00<000000?l0003o
ool01@3oool00`3o0000oooo0?ooo`070?ooo`050?l0003oool0oooo0?ooo`3o0000[P3oool00`00
0000oooo0?ooo`1D0?ooo`03003o003oool0oooo03D0oooo00<00?l00?ooo`3oool0903oool001/0
oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0080
oooo00<0o`000?ooo`3oool0[`3oool00`000000o`000?ooo`050?ooo`030?l0003oool0oooo00L0
oooo00D0o`000?ooo`3oool0oooo0?l0002^0?ooo`030000003oool0oooo05@0oooo00<00?l00?oo
o`3oool0=03oool00`00o`00oooo0?ooo`0U0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`03
0?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2_0?ooo`03
0000003o0000oooo00D0oooo00<0o`000?ooo`3oool01`3oool01@3o0000oooo0?ooo`3oool0o`00
0:h0oooo00<000000?ooo`3oool0E@3oool00`00o`00oooo0?ooo`0c0?ooo`03003o003oool0oooo
02D0oooo000K0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000
oooo0?ooo`020?ooo`030?l0003oool0oooo0:l0oooo00<000000?l0003oool01@3oool00`3o0000
oooo0?ooo`070?ooo`050?l0003oool0oooo0?ooo`3o0000[P3oool00`000000oooo0?ooo`1F0?oo
o`03003o003oool0oooo0340oooo00<00?l00?ooo`3oool09P3oool001/0oooo00<0o`000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3o
ool0[`3oool00`000000o`000?ooo`050?ooo`030?l0003oool0oooo00L0oooo00D0o`000?ooo`3o
ool0oooo0?l0002^0?ooo`030000003oool0oooo05L0oooo00<00?l00?ooo`3oool0;`3oool00`00
o`00oooo0?ooo`0W0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2_0?ooo`030000003o0000oooo00D0
oooo00<0o`000?ooo`3oool01`3oool01@3o0000oooo0?ooo`3oool0o`000:h0oooo00<000000?oo
o`3oool0F03oool00`00o`00oooo0?ooo`0]0?ooo`03003o003oool0oooo02P0oooo000K0?ooo`03
0?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0:l0oooo00<000000?l0003oool01@3oool00`3o0000oooo0?ooo`070?ooo`05
0?l0003oool0oooo0?ooo`3o0000[P3oool00`000000oooo0?ooo`1I0?ooo`800?l0;03oool00`00
o`00oooo0?ooo`0Y0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2_0?ooo`030000003o0000oooo00D0
oooo00<0o`000?ooo`3oool01`3oool01@3o0000oooo0?ooo`3oool0o`000:h0oooo00<000000?oo
o`3oool0FP3oool00`3o00000?l00?ooo`0X0?ooo`800?l0;03oool001/0oooo00<0o`000?ooo`3o
ool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3o
ool0[`3oool00`000000o`000?ooo`050?ooo`030?l0003oool0oooo00L0oooo00D0o`000?ooo`3o
ool0oooo0?l0002^0?ooo`030000003oool0oooo05/0oooo00<0o`00003o003oool09P3oool00`00
o`00oooo0?ooo`0/0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2_0?ooo`030000003o0000oooo00D0
oooo00<0o`000?ooo`3oool01`3oool01@3o0000oooo0?ooo`3oool0o`000:h0oooo00<000000?oo
o`3oool0G03oool00`3o00000?l00?ooo`0T0?ooo`03003o003oool0oooo02d0oooo000K0?ooo`03
0?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`020?ooo`03
0?l0003oool0oooo0:l0oooo00<000000?l0003oool01@3oool00`3o0000oooo0?ooo`070?ooo`05
0?l0003oool0oooo0?ooo`3o0000[P3oool00`000000oooo0?ooo`1M0?ooo`030?l00000o`00oooo
0280oooo00<00?l00?ooo`3oool0;P3oool001/0oooo00<0o`000?ooo`3oool00`3oool00`3o0000
oooo0?ooo`040?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool0[`3oool00`000000
o`000?ooo`050?ooo`030?l0003oool0oooo00L0oooo00@0o`000?ooo`3oool0o`00[`3oool00`00
0000oooo0?ooo`1N0?ooo`030?l00000o`00oooo0200oooo00<00?l00?ooo`3oool0;`3oool001/0
oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0080
oooo00<0o`000?ooo`3oool0[`3oool00`000000o`000?ooo`050?ooo`030?l0003oool0oooo00L0
oooo00@0o`000?ooo`3oool0o`00[`3oool00`000000oooo0?ooo`1P0?ooo`03003o003oool0oooo
01`0oooo0P00o`0b0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2_0?ooo`030000003o0000oooo00D0
oooo00<0o`000?ooo`3oool01`3oool0103o0000oooo0?ooo`3o002_0?ooo`030000003oool0oooo
0640oooo00<00?l00?ooo`3oool06P3oool00`00o`00oooo0?ooo`0b0?ooo`006`3oool00`3o0000
oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000
oooo0?ooo`2_0?ooo`030000003o0000oooo00D0oooo00<0o`000?ooo`3oool01`3oool0103o0000
oooo0?ooo`3o002_0?ooo`030000003oool0oooo0680oooo00<00?l00?ooo`3oool0603oool00`00
o`00oooo0?ooo`0c0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2_0?ooo`030000003o0000oooo00D0
oooo00<0o`000?ooo`3oool01`3oool0103o0000oooo0?ooo`3o002_0?ooo`030000003oool0oooo
06<0oooo00<00?l00?ooo`3oool05P3oool00`00o`00oooo0?ooo`0d0?ooo`006`3oool00`3o0000
oooo0?ooo`030?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool00P3oool00`3o0000
oooo0?ooo`2_0?ooo`030000003o0000oooo00D0oooo00<0o`000?ooo`3oool01`3oool0103o0000
oooo0?ooo`3o002_0?ooo`030000003oool0oooo06@0oooo0P00o`0D0?ooo`800?l0=`3oool001/0
oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0080
oooo00<0o`000?ooo`3oool0[`3oool00`000000o`000?ooo`050?ooo`030?l0003oool0oooo00L0
oooo00@0o`000?ooo`3oool0o`00[`3oool00`000000oooo0?ooo`1V0?ooo`800?l0403oool2003o
03T0oooo000K0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000
oooo0?ooo`020?ooo`030?l0003oool0oooo0:l0oooo00<000000?l0003oool01@3oool00`3o0000
oooo0?ooo`070?ooo`040?l0003oool0oooo0?l00:l0oooo00<000000?ooo`3oool0J03oool2003o
00/0oooo0`00o`0k0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2_0?ooo`030000003o0000oooo00D0
oooo00<0o`000?ooo`3oool01`3oool0103o0000oooo0?ooo`3o002_0?ooo`030000003oool0oooo
06X0oooo2`00o`0n0?ooo`006`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`2_0?ooo`030000003o0000oooo00D0
oooo00<0o`000?ooo`3oool01`3oool0103o0000oooo0?ooo`3o002_0?ooo`030000003oool0oooo
0;<0oooo000K0?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`3o0000
oooo0?ooo`020?ooo`030?l0003oool0oooo0:l0oooo00<000000?l0003oool01@3oool00`3o0000
oooo0?ooo`080?ooo`030?l0003oool0o`000:l0oooo00<000000?ooo`3oool0/`3oool001/0oooo
00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`030?l0003oool0oooo0080oooo
00<0o`000?ooo`3oool0[`3oool00`000000o`000?ooo`050?ooo`030?l0003oool0oooo00P0oooo
00<0o`000?ooo`3o0000[`3oool00`000000oooo0?ooo`2c0?ooo`00o`3ooooo0?oooe`0oooo003o
0?ooool0ooooG03oool00?l0ooooo`3ooomL0?ooo`00o`3ooooo0?oooe`0oooo001X0?ooo`<00000
a03oool00`000000oooo0?ooo`310?ooo`800000I@3oool006/0oooo00<000000?ooo`3oool0`@3o
ool00`000000oooo0?ooo`300?ooo`040000003oool0oooo000006@0oooo001[0?ooo`030000003o
ool0oooo0;h0oooo1@0000340?ooo`030000003oool0oooo0680oooo001R0?ooo`@000000P3oool3
00000;`0oooo100000001@3oool000000?ooo`3oool000000;`0oooo100000030?ooo`800000I@3o
ool006P0oooo00<000000?ooo`3oool0`P3oool00`000000oooo000000350?ooo`030000003oool0
oooo0680oooo001X0?ooo`030000003oool0oooo0<<0oooo0P0000320?ooo`040000003oool0oooo
000006@0oooo001X0?ooo`@00000``3oool00`000000oooo0?ooo`310?ooo`800000I@3oool00?l0
ooooo`3ooomL0?ooo`00o`3ooooo0?oooe`0oooo003o0?ooool0ooooG03oool00?l0ooooo`3ooomL
0?ooo`00o`3ooooo0?oooe`0oooo003o0?ooool0ooooG03oool00?l0ooooo`3ooomL0?ooo`00o`3o
oooo0?oooe`0oooo003o0?ooool0ooooG03oool00?l0ooooo`3ooomL0?ooo`00o`3ooooo0?oooe`0
oooo0000\
\>"],
  ImageRangeCache->{{{0, 601}, {498.812, 0}} -> {-0.0759661, -0.0622863, \
0.00524449, 0.00524449}, {{14.4375, 193.188}, {486.938, 376.438}} -> \
{-1.41717, -6.03583*^-5, 0.0521821, 1.21262*^-6}, {{211.062, 389.875}, \
{486.938, 376.438}} -> {-11.6791, -3.12447*^-5, 0.0521821, 5.85983*^-7}, \
{{407.75, 586.5}, {486.938, 376.438}} -> {-21.9411, -6.43628*^-6, 0.0521821, \
1.20692*^-7}, {{14.4375, 193.188}, {365.375, 254.875}} -> {-1.41717, \
-0.0691805, 0.0521821, 0.000509404}, {{211.062, 389.875}, {365.375, 254.875}} -> \
{-11.6791, -0.0154363, 0.0521821, 0.000113664}, {{407.75, 586.5}, {365.375, \
254.875}} -> {-21.9411, -0.0015872, 0.0521821, 1.07185*^-5}, {{14.4375, \
193.188}, {243.875, 133.375}} -> {-1.41717, -0.0292465, 0.0521821, \
0.000113664}, {{211.062, 389.875}, {243.875, 133.375}} -> {-11.6791, \
-0.131073, 0.0521821, 0.000509404}, {{407.75, 586.5}, {243.875, 133.375}} -> \
{-21.9411, -0.216104, 0.0521821, 0.000839867}, {{14.4375, 193.188}, {122.312, \
11.875}} -> {-1.42051, -0.000245045, 0.0522143, 5.86344*^-7}, {{211.062, \
389.875}, {122.312, 11.875}} -> {-11.6888, -0.000502791, 0.0522143, \
1.21337*^-6}, {{407.75, 586.5}, {122.312, 11.875}} -> {-21.957, -0.00419495, \
0.0522143, 1.07251*^-5}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  GraphicsArray  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Export["\<modulation-p-var-x-noticks.eps\>", %103]\)], "Input"],

Cell[BoxData[
    \("modulation-p-var-x-noticks.eps"\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(\(Export\)\(\[IndentingNewLine]\)
    \)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[""], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .81114 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
3.06016e-17 1.04977 -0.0679587 1.04977 [
[.02757 .24618 -9 -10.5763 ]
[.02757 .24618 0 .36123 ]
[.17646 .18758 -8.84916 -11 ]
[.17646 .18758 .15084 0 ]
[.3345 .12542 -13.0356 -10.9375 ]
[.3345 .12542 .96436 0 ]
[.50253 .05935 -12.3059 -11 ]
[.50253 .05935 1.69409 0 ]
[.68156 -0.01098 -11.5762 -10.9375 ]
[.68156 -0.01098 2.42381 0 ]
[.29165 .07573 -22.8124 -10.9375 ]
[.29165 .07573 1.68764 0 ]
[.70096 -0.00478 0 -7.61014 ]
[.70096 -0.00478 9 3.32736 ]
[.78313 .12104 0 -7.50271 ]
[.78313 .12104 16.5 3.49729 ]
[.8565 .23339 0 -7.32967 ]
[.8565 .23339 9 3.60783 ]
[.9224 .33431 0 -7.25652 ]
[.9224 .33431 16.5 3.74348 ]
[.98191 .42546 0 -7.11416 ]
[.98191 .42546 9 3.82334 ]
[.91861 .21225 0 -7.95793 ]
[.91861 .21225 24 3.91707 ]
[.02336 .26983 -9 -3.33753 ]
[.02336 .26983 0 7.59997 ]
[.01619 .31476 -16.5 -3.38369 ]
[.01619 .31476 0 7.55381 ]
[.00881 .36102 -16.5 -3.43136 ]
[.00881 .36102 0 7.50614 ]
[.00121 .40866 -16.5 -3.48061 ]
[.00121 .40866 0 7.45689 ]
[-0.00662 .45776 -16.5 -3.53152 ]
[-0.00662 .45776 0 7.40598 ]
[ 0 0 0 0 ]
[ 1 .81114 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
gsave
.02757 .24618 -70 -14.5763 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.18558 .19702 m
.19014 .20174 L
s
gsave
.17646 .18758 -69.8492 -15 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.34306 .13535 m
.34735 .14032 L
s
gsave
.3345 .12542 -74.0356 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
1.000 setlinewidth
grestore
.51046 .06981 m
.51442 .07504 L
s
gsave
.50253 .05935 -73.3059 -15 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(15) show
1.000 setlinewidth
grestore
.68874 0 m
.69233 .00549 L
s
gsave
.68156 -0.01098 -72.5762 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.1552 .20892 m
.15797 .21172 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.27893 .16047 m
.28157 .16339 L
s
.3108 .14799 m
.31341 .15094 L
s
.37572 .12257 m
.37826 .12558 L
s
.40878 .10962 m
.41128 .11266 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.54521 .0562 m
.54755 .05937 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
gsave
.29165 .07573 -83.8124 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
%%BeginResource: font Times-Roman-MISO
%%BeginFont: Times-Roman-MISO
/Times-Roman /Times-Roman-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.250 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
68.312 11.812 moveto
(/) show
72.125 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
78.875 13.375 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
83.500 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.68874 0 m
.68263 .00239 L
s
gsave
.70096 -0.00478 -61 -11.6101 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.7708 .12553 m
.76464 .12778 L
s
gsave
.78313 .12104 -61 -11.5027 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.5) show
1.000 setlinewidth
grestore
.84407 .23761 m
.83786 .23973 L
s
gsave
.8565 .23339 -61 -11.3297 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1) show
1.000 setlinewidth
grestore
.9099 .3383 m
.90365 .34029 L
s
gsave
.9224 .33431 -61 -11.2565 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(1.5) show
1.000 setlinewidth
grestore
.96935 .42924 m
.96306 .43113 L
s
gsave
.98191 .42546 -61 -11.1142 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(2) show
1.000 setlinewidth
grestore
.125 Mabswid
.70593 .0263 m
.70226 .02771 L
s
.72272 .05198 m
.71904 .05338 L
s
.73912 .07706 m
.73543 .07845 L
s
.75514 .10158 m
.75145 .10294 L
s
.78611 .14895 m
.78241 .15028 L
s
.80108 .17185 m
.79737 .17317 L
s
.81573 .19425 m
.81201 .19555 L
s
.83006 .21617 m
.82633 .21745 L
s
.8578 .2586 m
.85407 .25986 L
s
.87123 .27915 m
.8675 .28039 L
s
.88439 .29928 m
.88065 .3005 L
s
.89727 .31899 m
.89353 .3202 L
s
.92227 .35722 m
.91851 .3584 L
s
.93439 .37576 m
.93063 .37693 L
s
.94627 .39394 m
.94251 .3951 L
s
.95792 .41176 m
.95416 .41291 L
s
gsave
.91861 .21225 -61 -11.9579 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19.875 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
%%BeginResource: font Times-Roman-MISO
%%BeginFont: Times-Roman-MISO
/Times-Roman /Times-Roman-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.750 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(p) show
68.812 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(/) show
71.625 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
78.375 13.375 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(p) show
83.000 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
.03559 .26507 m
.0417 .26269 L
s
gsave
.02336 .26983 -70 -7.33753 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.02845 .31009 m
.03458 .30775 L
s
gsave
.01619 .31476 -77.5 -7.38369 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.1) show
1.000 setlinewidth
grestore
.02111 .35644 m
.02726 .35415 L
s
gsave
.00881 .36102 -77.5 -7.43136 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.2) show
1.000 setlinewidth
grestore
.01354 .40418 m
.01971 .40194 L
s
gsave
.00121 .40866 -77.5 -7.48061 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.3) show
1.000 setlinewidth
grestore
.00574 .45338 m
.01193 .45119 L
s
gsave
-0.00662 .45776 -77.5 -7.53152 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0.4) show
1.000 setlinewidth
grestore
.125 Mabswid
.03418 .27397 m
.03785 .27255 L
s
.03276 .28292 m
.03643 .2815 L
s
.03133 .29192 m
.035 .29051 L
s
.0299 .30098 m
.03357 .29957 L
s
.027 .31925 m
.03068 .31785 L
s
.02554 .32847 m
.02922 .32707 L
s
.02407 .33773 m
.02776 .33635 L
s
.02259 .34706 m
.02628 .34568 L
s
.01961 .36587 m
.0233 .36451 L
s
.01811 .37537 m
.0218 .374 L
s
.01659 .38491 m
.02029 .38356 L
s
.01507 .39452 m
.01877 .39317 L
s
.012 .4139 m
.0157 .41256 L
s
.01045 .42368 m
.01415 .42235 L
s
.00889 .43352 m
.0126 .43219 L
s
.00732 .44342 m
.01103 .4421 L
s
.03699 .25622 m
.04065 .25479 L
s
.00416 .4634 m
.00787 .46209 L
s
.00256 .47348 m
.00627 .47218 L
s
.00095 .48363 m
.00467 .48233 L
s
0 0 m
1 0 L
1 .81114 L
0 .81114 L
closepath
clip
newpath
1 .955 0 r
.39713 .60077 .40497 .60805 .41813 .60412 .41032 .5968 Mtetra
.41032 .5968 .41813 .60412 .43135 .60016 .42359 .59281 Mtetra
.42359 .59281 .43135 .60016 .44463 .59618 .43691 .58879 Mtetra
.43691 .58879 .44463 .59618 .45799 .59219 .45031 .58476 Mtetra
.45031 .58476 .45799 .59219 .4714 .58817 .46377 .58071 Mtetra
.46377 .58071 .4714 .58817 .48489 .58414 .4773 .57664 Mtetra
.4773 .57664 .48489 .58414 .49844 .58009 .49089 .57255 Mtetra
.49089 .57255 .49844 .58009 .51206 .57601 .50455 .56844 Mtetra
.50455 .56844 .51206 .57601 .52574 .57192 .51828 .5643 Mtetra
.51828 .5643 .52574 .57192 .5395 .5678 .53208 .56015 Mtetra
.53208 .56015 .5395 .5678 .55332 .56366 .54595 .55597 Mtetra
.54595 .55597 .55332 .56366 .56722 .55951 .55989 .55178 Mtetra
.55989 .55178 .56722 .55951 .58118 .55534 .5739 .54757 Mtetra
1 .954 0 r
.5739 .54757 .58118 .55534 .59521 .55117 .58798 .54339 Mtetra
.58798 .54339 .59521 .55117 .60932 .54706 .60214 .5393 Mtetra
1 .953 0 r
.60214 .5393 .60932 .54706 .62351 .54311 .61638 .53547 Mtetra
1 .95 0 r
.61638 .53547 .62351 .54311 .63778 .53937 .63071 .532 Mtetra
1 .946 0 r
.63071 .532 .63778 .53937 .65213 .53576 .64512 .52873 Mtetra
1 .943 0 r
.64512 .52873 .65213 .53576 .66655 .53195 .65961 .52517 Mtetra
1 .941 0 r
.65961 .52517 .66655 .53195 .68103 .52763 .67414 .5208 Mtetra
1 .943 0 r
.67414 .5208 .68103 .52763 .69556 .52278 .68872 .51563 Mtetra
1 .946 0 r
.68872 .51563 .69556 .52278 .71014 .51774 .70334 .51016 Mtetra
1 .95 0 r
.70334 .51016 .71014 .51774 .72481 .51281 .71805 .50488 Mtetra
1 .953 0 r
.71805 .50488 .72481 .51281 .73956 .5081 .73284 .49997 Mtetra
1 .954 0 r
.73284 .49997 .73956 .5081 .7544 .50354 .74773 .49531 Mtetra
.74773 .49531 .7544 .50354 .76932 .49905 .76271 .49075 Mtetra
1 .955 0 r
.76271 .49075 .76932 .49905 .78432 .49455 .77776 .4862 Mtetra
.77776 .4862 .78432 .49455 .7994 .49004 .7929 .48165 Mtetra
.7929 .48165 .7994 .49004 .81456 .4855 .80812 .47706 Mtetra
.80812 .47706 .81456 .4855 .8298 .48094 .82341 .47246 Mtetra
.82341 .47246 .8298 .48094 .84512 .47636 .83879 .46783 Mtetra
.83879 .46783 .84512 .47636 .86052 .47175 .85425 .46318 Mtetra
.85425 .46318 .86052 .47175 .87601 .46712 .86979 .4585 Mtetra
.86979 .4585 .87601 .46712 .89157 .46246 .88542 .4538 Mtetra
.88542 .4538 .89157 .46246 .90722 .45778 .90113 .44907 Mtetra
.90113 .44907 .90722 .45778 .92295 .45307 .91692 .44432 Mtetra
.91692 .44432 .92295 .45307 .93877 .44834 .9328 .43954 Mtetra
.9328 .43954 .93877 .44834 .95467 .44358 .94876 .43473 Mtetra
.94876 .43473 .95467 .44358 .97065 .4388 .96481 .4299 Mtetra
.38921 .59342 .39713 .60077 .41032 .5968 .40245 .58941 Mtetra
.40245 .58941 .41032 .5968 .42359 .59281 .41575 .58538 Mtetra
.41575 .58538 .42359 .59281 .43691 .58879 .42912 .58134 Mtetra
.42912 .58134 .43691 .58879 .45031 .58476 .44256 .57727 Mtetra
.44256 .57727 .45031 .58476 .46377 .58071 .45606 .57318 Mtetra
.45606 .57318 .46377 .58071 .4773 .57664 .46963 .56907 Mtetra
.46963 .56907 .4773 .57664 .49089 .57255 .48327 .56494 Mtetra
.48327 .56494 .49089 .57255 .50455 .56844 .49698 .56079 Mtetra
.49698 .56079 .50455 .56844 .51828 .5643 .51075 .55662 Mtetra
.51075 .55662 .51828 .5643 .53208 .56015 .5246 .55243 Mtetra
.5246 .55243 .53208 .56015 .54595 .55597 .53851 .54821 Mtetra
.53851 .54821 .54595 .55597 .55989 .55178 .5525 .54398 Mtetra
.5525 .54398 .55989 .55178 .5739 .54757 .56656 .53974 Mtetra
1 .954 0 r
.56656 .53974 .5739 .54757 .58798 .54339 .58069 .53554 Mtetra
.58069 .53554 .58798 .54339 .60214 .5393 .59489 .53151 Mtetra
1 .952 0 r
.59489 .53151 .60214 .5393 .61638 .53547 .60919 .52788 Mtetra
1 .948 0 r
.60919 .52788 .61638 .53547 .63071 .532 .62358 .52481 Mtetra
1 .942 0 r
.62358 .52481 .63071 .532 .64512 .52873 .63806 .52207 Mtetra
1 .936 0 r
.63806 .52207 .64512 .52873 .65961 .52517 .65262 .51888 Mtetra
1 .934 0 r
.65262 .51888 .65961 .52517 .67414 .5208 .66721 .51448 Mtetra
1 .936 0 r
.66721 .51448 .67414 .5208 .68872 .51563 .68183 .50885 Mtetra
1 .942 0 r
.68183 .50885 .68872 .51563 .70334 .51016 .69648 .50277 Mtetra
1 .948 0 r
.69648 .50277 .70334 .51016 .71805 .50488 .71122 .497 Mtetra
1 .952 0 r
.71122 .497 .71805 .50488 .73284 .49997 .72606 .4918 Mtetra
1 .954 0 r
.72606 .4918 .73284 .49997 .74773 .49531 .741 .487 Mtetra
.741 .487 .74773 .49531 .76271 .49075 .75603 .48237 Mtetra
1 .955 0 r
.75603 .48237 .76271 .49075 .77776 .4862 .77114 .47777 Mtetra
.77114 .47777 .77776 .4862 .7929 .48165 .78633 .47317 Mtetra
.78633 .47317 .7929 .48165 .80812 .47706 .8016 .46855 Mtetra
.8016 .46855 .80812 .47706 .82341 .47246 .81696 .4639 Mtetra
.81696 .4639 .82341 .47246 .83879 .46783 .8324 .45922 Mtetra
.8324 .45922 .83879 .46783 .85425 .46318 .84791 .45452 Mtetra
.84791 .45452 .85425 .46318 .86979 .4585 .86352 .4498 Mtetra
.86352 .4498 .86979 .4585 .88542 .4538 .8792 .44505 Mtetra
.8792 .44505 .88542 .4538 .90113 .44907 .89497 .44027 Mtetra
.89497 .44027 .90113 .44907 .91692 .44432 .91083 .43547 Mtetra
.91083 .43547 .91692 .44432 .9328 .43954 .92677 .43065 Mtetra
.92677 .43065 .9328 .43954 .94876 .43473 .9428 .42579 Mtetra
.9428 .42579 .94876 .43473 .96481 .4299 .95891 .42091 Mtetra
.38123 .58601 .38921 .59342 .40245 .58941 .3945 .58196 Mtetra
.3945 .58196 .40245 .58941 .41575 .58538 .40785 .57789 Mtetra
.40785 .57789 .41575 .58538 .42912 .58134 .42126 .57381 Mtetra
.42126 .57381 .42912 .58134 .44256 .57727 .43474 .5697 Mtetra
.43474 .5697 .44256 .57727 .45606 .57318 .44828 .56558 Mtetra
.44828 .56558 .45606 .57318 .46963 .56907 .4619 .56143 Mtetra
.4619 .56143 .46963 .56907 .48327 .56494 .47558 .55726 Mtetra
.47558 .55726 .48327 .56494 .49698 .56079 .48933 .55307 Mtetra
.48933 .55307 .49698 .56079 .51075 .55662 .50315 .54886 Mtetra
.50315 .54886 .51075 .55662 .5246 .55243 .51704 .54463 Mtetra
.51704 .54463 .5246 .55243 .53851 .54821 .531 .54038 Mtetra
.531 .54038 .53851 .54821 .5525 .54398 .54504 .53611 Mtetra
1 .954 0 r
.54504 .53611 .5525 .54398 .56656 .53974 .55914 .53184 Mtetra
.55914 .53184 .56656 .53974 .58069 .53554 .57332 .52763 Mtetra
1 .953 0 r
.57332 .52763 .58069 .53554 .59489 .53151 .58758 .5237 Mtetra
1 .95 0 r
.58758 .5237 .59489 .53151 .60919 .52788 .60193 .52037 Mtetra
1 .944 0 r
.60193 .52037 .60919 .52788 .62358 .52481 .61638 .5179 Mtetra
1 .936 0 r
.61638 .5179 .62358 .52481 .63806 .52207 .63095 .51593 Mtetra
1 .927 0 r
.63095 .51593 .63806 .52207 .65262 .51888 .64558 .5133 Mtetra
1 .923 0 r
.64558 .5133 .65262 .51888 .66721 .51448 .66024 .50886 Mtetra
1 .927 0 r
.66024 .50886 .66721 .51448 .68183 .50885 .67489 .50259 Mtetra
1 .936 0 r
.67489 .50259 .68183 .50885 .69648 .50277 .68957 .49565 Mtetra
1 .944 0 r
.68957 .49565 .69648 .50277 .71122 .497 .70434 .4892 Mtetra
1 .95 0 r
.70434 .4892 .71122 .497 .72606 .4918 .71922 .48361 Mtetra
1 .953 0 r
.71922 .48361 .72606 .4918 .741 .487 .7342 .47863 Mtetra
1 .954 0 r
.7342 .47863 .741 .487 .75603 .48237 .74928 .47391 Mtetra
.74928 .47391 .75603 .48237 .77114 .47777 .76445 .46926 Mtetra
1 .955 0 r
.76445 .46926 .77114 .47777 .78633 .47317 .7797 .46461 Mtetra
.7797 .46461 .78633 .47317 .8016 .46855 .79503 .45994 Mtetra
.79503 .45994 .8016 .46855 .81696 .4639 .81044 .45525 Mtetra
.81044 .45525 .81696 .4639 .8324 .45922 .82594 .45053 Mtetra
.82594 .45053 .8324 .45922 .84791 .45452 .84152 .44578 Mtetra
.84152 .44578 .84791 .45452 .86352 .4498 .85718 .44101 Mtetra
.85718 .44101 .86352 .4498 .8792 .44505 .87292 .43621 Mtetra
.87292 .43621 .8792 .44505 .89497 .44027 .88876 .43139 Mtetra
.88876 .43139 .89497 .44027 .91083 .43547 .90467 .42654 Mtetra
.90467 .42654 .91083 .43547 .92677 .43065 .92068 .42166 Mtetra
.92068 .42166 .92677 .43065 .9428 .42579 .93677 .41676 Mtetra
.93677 .41676 .9428 .42579 .95891 .42091 .95295 .41183 Mtetra
.37317 .57852 .38123 .58601 .3945 .58196 .38649 .57444 Mtetra
.38649 .57444 .3945 .58196 .40785 .57789 .39987 .57034 Mtetra
.39987 .57034 .40785 .57789 .42126 .57381 .41333 .56621 Mtetra
.41333 .56621 .42126 .57381 .43474 .5697 .42685 .56207 Mtetra
.42685 .56207 .43474 .5697 .44828 .56558 .44043 .5579 Mtetra
.44043 .5579 .44828 .56558 .4619 .56143 .45409 .55372 Mtetra
.45409 .55372 .4619 .56143 .47558 .55726 .46782 .54951 Mtetra
.46782 .54951 .47558 .55726 .48933 .55307 .48161 .54528 Mtetra
.48161 .54528 .48933 .55307 .50315 .54886 .49548 .54103 Mtetra
.49548 .54103 .50315 .54886 .51704 .54463 .50942 .53676 Mtetra
.50942 .53676 .51704 .54463 .531 .54038 .52342 .53247 Mtetra
.52342 .53247 .531 .54038 .54504 .53611 .5375 .52816 Mtetra
1 .954 0 r
.5375 .52816 .54504 .53611 .55914 .53184 .55166 .52386 Mtetra
.55166 .52386 .55914 .53184 .57332 .52763 .56588 .51967 Mtetra
1 .952 0 r
.56588 .51967 .57332 .52763 .58758 .5237 .58019 .51588 Mtetra
1 .948 0 r
.58019 .51588 .58758 .5237 .60193 .52037 .5946 .51299 Mtetra
1 .939 0 r
.5946 .51299 .60193 .52037 .61638 .5179 .60913 .51137 Mtetra
1 .927 0 r
.60913 .51137 .61638 .5179 .63095 .51593 .62378 .5105 Mtetra
1 .914 0 r
.62378 .5105 .63095 .51593 .64558 .5133 .6385 .50866 Mtetra
1 .909 0 r
.6385 .50866 .64558 .5133 .66024 .50886 .65323 .50418 Mtetra
1 .914 0 r
.65323 .50418 .66024 .50886 .67489 .50259 .66792 .49704 Mtetra
1 .927 0 r
.66792 .49704 .67489 .50259 .68957 .49565 .68261 .48892 Mtetra
1 .939 0 r
.68261 .48892 .68957 .49565 .70434 .4892 .6974 .48153 Mtetra
1 .948 0 r
.6974 .48153 .70434 .4892 .71922 .48361 .71231 .47541 Mtetra
1 .952 0 r
.71231 .47541 .71922 .48361 .7342 .47863 .72734 .47019 Mtetra
1 .954 0 r
.72734 .47019 .7342 .47863 .74928 .47391 .74247 .46538 Mtetra
.74247 .46538 .74928 .47391 .76445 .46926 .75769 .46067 Mtetra
1 .955 0 r
.75769 .46067 .76445 .46926 .7797 .46461 .773 .45597 Mtetra
.773 .45597 .7797 .46461 .79503 .45994 .78839 .45126 Mtetra
.78839 .45126 .79503 .45994 .81044 .45525 .80386 .44651 Mtetra
.80386 .44651 .81044 .45525 .82594 .45053 .81941 .44175 Mtetra
.81941 .44175 .82594 .45053 .84152 .44578 .83505 .43695 Mtetra
.83505 .43695 .84152 .44578 .85718 .44101 .85078 .43213 Mtetra
.85078 .43213 .85718 .44101 .87292 .43621 .86658 .42729 Mtetra
.86658 .42729 .87292 .43621 .88876 .43139 .88248 .42242 Mtetra
.88248 .42242 .88876 .43139 .90467 .42654 .89846 .41752 Mtetra
.89846 .41752 .90467 .42654 .92068 .42166 .91453 .41259 Mtetra
.91453 .41259 .92068 .42166 .93677 .41676 .93068 .40764 Mtetra
.93068 .40764 .93677 .41676 .95295 .41183 .94693 .40266 Mtetra
.36503 .57097 .37317 .57852 .38649 .57444 .37839 .56685 Mtetra
.37839 .56685 .38649 .57444 .39987 .57034 .39182 .56271 Mtetra
.39182 .56271 .39987 .57034 .41333 .56621 .40532 .55855 Mtetra
.40532 .55855 .41333 .56621 .42685 .56207 .41888 .55436 Mtetra
.41888 .55436 .42685 .56207 .44043 .5579 .43251 .55016 Mtetra
.43251 .55016 .44043 .5579 .45409 .55372 .44621 .54593 Mtetra
.44621 .54593 .45409 .55372 .46782 .54951 .45998 .54169 Mtetra
.45998 .54169 .46782 .54951 .48161 .54528 .47382 .53742 Mtetra
.47382 .53742 .48161 .54528 .49548 .54103 .48773 .53313 Mtetra
.48773 .53313 .49548 .54103 .50942 .53676 .50172 .52882 Mtetra
.50172 .52882 .50942 .53676 .52342 .53247 .51577 .52448 Mtetra
.51577 .52448 .52342 .53247 .5375 .52816 .5299 .52014 Mtetra
1 .954 0 r
.5299 .52014 .5375 .52816 .55166 .52386 .5441 .51581 Mtetra
.5441 .51581 .55166 .52386 .56588 .51967 .55837 .51166 Mtetra
1 .952 0 r
.55837 .51166 .56588 .51967 .58019 .51588 .57273 .50808 Mtetra
1 .945 0 r
.57273 .50808 .58019 .51588 .5946 .51299 .5872 .5058 Mtetra
1 .933 0 r
.5872 .5058 .5946 .51299 .60913 .51137 .60181 .50535 Mtetra
1 .914 0 r
.60181 .50535 .60913 .51137 .62378 .5105 .61655 .50597 Mtetra
1 .896 0 r
.61655 .50597 .62378 .5105 .6385 .50866 .63138 .50524 Mtetra
1 .889 0 r
.63138 .50524 .6385 .50866 .65323 .50418 .64618 .50072 Mtetra
1 .896 0 r
.64618 .50072 .65323 .50418 .66792 .49704 .6609 .49239 Mtetra
1 .914 0 r
.6609 .49239 .66792 .49704 .68261 .48892 .67561 .48269 Mtetra
1 .933 0 r
.67561 .48269 .68261 .48892 .6974 .48153 .6904 .47404 Mtetra
1 .945 0 r
.6904 .47404 .6974 .48153 .71231 .47541 .70533 .46722 Mtetra
1 .952 0 r
.70533 .46722 .71231 .47541 .72734 .47019 .72041 .4617 Mtetra
1 .954 0 r
.72041 .4617 .72734 .47019 .74247 .46538 .73559 .45676 Mtetra
.73559 .45676 .74247 .46538 .75769 .46067 .75087 .45199 Mtetra
1 .955 0 r
.75087 .45199 .75769 .46067 .773 .45597 .76624 .44725 Mtetra
.76624 .44725 .773 .45597 .78839 .45126 .78168 .44248 Mtetra
.78168 .44248 .78839 .45126 .80386 .44651 .79721 .43769 Mtetra
.79721 .43769 .80386 .44651 .81941 .44175 .81283 .43288 Mtetra
.81283 .43288 .81941 .44175 .83505 .43695 .82853 .42804 Mtetra
.82853 .42804 .83505 .43695 .85078 .43213 .84431 .42317 Mtetra
.84431 .42317 .85078 .43213 .86658 .42729 .86018 .41827 Mtetra
.86018 .41827 .86658 .42729 .88248 .42242 .87614 .41335 Mtetra
.87614 .41335 .88248 .42242 .89846 .41752 .89218 .40841 Mtetra
.89218 .40841 .89846 .41752 .91453 .41259 .90831 .40343 Mtetra
.90831 .40343 .91453 .41259 .93068 .40764 .92454 .39843 Mtetra
.92454 .39843 .93068 .40764 .94693 .40266 .94085 .3934 Mtetra
.35682 .56335 .36503 .57097 .37839 .56685 .37022 .55919 Mtetra
.37022 .55919 .37839 .56685 .39182 .56271 .38369 .55501 Mtetra
.38369 .55501 .39182 .56271 .40532 .55855 .39723 .55081 Mtetra
.39723 .55081 .40532 .55855 .41888 .55436 .41084 .54659 Mtetra
.41084 .54659 .41888 .55436 .43251 .55016 .42451 .54234 Mtetra
.42451 .54234 .43251 .55016 .44621 .54593 .43826 .53808 Mtetra
.43826 .53808 .44621 .54593 .45998 .54169 .45207 .53379 Mtetra
.45207 .53379 .45998 .54169 .47382 .53742 .46596 .52948 Mtetra
.46596 .52948 .47382 .53742 .48773 .53313 .47992 .52515 Mtetra
.47992 .52515 .48773 .53313 .50172 .52882 .49395 .5208 Mtetra
.49395 .5208 .50172 .52882 .51577 .52448 .50805 .51642 Mtetra
.50805 .51642 .51577 .52448 .5299 .52014 .52222 .51204 Mtetra
1 .954 0 r
.52222 .51204 .5299 .52014 .5441 .51581 .53647 .50769 Mtetra
1 .953 0 r
.53647 .50769 .5441 .51581 .55837 .51166 .55079 .50359 Mtetra
1 .95 0 r
.55079 .50359 .55837 .51166 .57273 .50808 .56521 .50031 Mtetra
1 .942 0 r
.56521 .50031 .57273 .50808 .5872 .5058 .57973 .49885 Mtetra
1 .924 0 r
.57973 .49885 .5872 .5058 .60181 .50535 .59442 .49995 Mtetra
1 .898 0 r
.59442 .49995 .60181 .50535 .61655 .50597 .60927 .50257 Mtetra
1 .872 0 r
.60927 .50257 .61655 .50597 .63138 .50524 .62421 .50332 Mtetra
1 .862 0 r
.62421 .50332 .63138 .50524 .64618 .50072 .63909 .49876 Mtetra
1 .872 0 r
.63909 .49876 .64618 .50072 .6609 .49239 .65385 .48888 Mtetra
1 .898 0 r
.65385 .48888 .6609 .49239 .67561 .48269 .66855 .47709 Mtetra
1 .924 0 r
.66855 .47709 .67561 .48269 .6904 .47404 .68334 .46679 Mtetra
1 .942 0 r
.68334 .46679 .6904 .47404 .70533 .46722 .6983 .45906 Mtetra
1 .95 0 r
.6983 .45906 .70533 .46722 .72041 .4617 .71341 .45315 Mtetra
1 .953 0 r
.71341 .45315 .72041 .4617 .73559 .45676 .72865 .44807 Mtetra
1 .954 0 r
.72865 .44807 .73559 .45676 .75087 .45199 .74398 .44323 Mtetra
1 .955 0 r
.74398 .44323 .75087 .45199 .76624 .44725 .7594 .43843 Mtetra
.7594 .43843 .76624 .44725 .78168 .44248 .77491 .43362 Mtetra
.77491 .43362 .78168 .44248 .79721 .43769 .7905 .42878 Mtetra
.7905 .42878 .79721 .43769 .81283 .43288 .80617 .42392 Mtetra
.80617 .42392 .81283 .43288 .82853 .42804 .82193 .41903 Mtetra
.82193 .41903 .82853 .42804 .84431 .42317 .83778 .41411 Mtetra
.83778 .41411 .84431 .42317 .86018 .41827 .85371 .40917 Mtetra
.85371 .40917 .86018 .41827 .87614 .41335 .86973 .4042 Mtetra
.86973 .4042 .87614 .41335 .89218 .40841 .88584 .3992 Mtetra
.88584 .3992 .89218 .40841 .90831 .40343 .90204 .39417 Mtetra
.90204 .39417 .90831 .40343 .92454 .39843 .91832 .38912 Mtetra
.91832 .38912 .92454 .39843 .94085 .3934 .9347 .38404 Mtetra
.34854 .55565 .35682 .56335 .37022 .55919 .36198 .55145 Mtetra
.36198 .55145 .37022 .55919 .38369 .55501 .37549 .54724 Mtetra
.37549 .54724 .38369 .55501 .39723 .55081 .38907 .543 Mtetra
.38907 .543 .39723 .55081 .41084 .54659 .40272 .53873 Mtetra
.40272 .53873 .41084 .54659 .42451 .54234 .41644 .53445 Mtetra
.41644 .53445 .42451 .54234 .43826 .53808 .43023 .53015 Mtetra
.43023 .53015 .43826 .53808 .45207 .53379 .44409 .52582 Mtetra
.44409 .52582 .45207 .53379 .46596 .52948 .45802 .52147 Mtetra
.45802 .52147 .46596 .52948 .47992 .52515 .47202 .5171 Mtetra
.47202 .5171 .47992 .52515 .49395 .5208 .4861 .5127 Mtetra
.4861 .5127 .49395 .5208 .50805 .51642 .50025 .50829 Mtetra
.50025 .50829 .50805 .51642 .52222 .51204 .51447 .50386 Mtetra
1 .954 0 r
.51447 .50386 .52222 .51204 .53647 .50769 .52877 .4995 Mtetra
1 .953 0 r
.52877 .4995 .53647 .50769 .55079 .50359 .54314 .49549 Mtetra
1 .949 0 r
.54314 .49549 .55079 .50359 .56521 .50031 .5576 .49259 Mtetra
1 .937 0 r
.5576 .49259 .56521 .50031 .57973 .49885 .57219 .49219 Mtetra
1 .912 0 r
.57219 .49219 .57973 .49885 .59442 .49995 .58696 .4953 Mtetra
1 .877 0 r
.58696 .4953 .59442 .49995 .60927 .50257 .60193 .50051 Mtetra
1 .842 0 r
.60193 .50051 .60927 .50257 .62421 .50332 .61699 .50317 Mtetra
1 .827 0 r
.61699 .50317 .62421 .50332 .63909 .49876 .63196 .49858 Mtetra
1 .842 0 r
.63196 .49858 .63909 .49876 .65385 .48888 .64675 .48671 Mtetra
1 .877 0 r
.64675 .48671 .65385 .48888 .66855 .47709 .66144 .47223 Mtetra
1 .912 0 r
.66144 .47223 .66855 .47709 .68334 .46679 .67622 .45983 Mtetra
1 .937 0 r
.67622 .45983 .68334 .46679 .6983 .45906 .69119 .45094 Mtetra
1 .949 0 r
.69119 .45094 .6983 .45906 .71341 .45315 .70635 .44455 Mtetra
1 .953 0 r
.70635 .44455 .71341 .45315 .72865 .44807 .72163 .43929 Mtetra
1 .954 0 r
.72163 .43929 .72865 .44807 .74398 .44323 .73702 .43438 Mtetra
1 .955 0 r
.73702 .43438 .74398 .44323 .7594 .43843 .7525 .42953 Mtetra
.7525 .42953 .7594 .43843 .77491 .43362 .76807 .42467 Mtetra
.76807 .42467 .77491 .43362 .7905 .42878 .78372 .41978 Mtetra
.78372 .41978 .7905 .42878 .80617 .42392 .79945 .41487 Mtetra
.79945 .41487 .80617 .42392 .82193 .41903 .81527 .40993 Mtetra
.81527 .40993 .82193 .41903 .83778 .41411 .83118 .40496 Mtetra
.83118 .40496 .83778 .41411 .85371 .40917 .84718 .39997 Mtetra
.84718 .39997 .85371 .40917 .86973 .4042 .86326 .39495 Mtetra
.86326 .39495 .86973 .4042 .88584 .3992 .87943 .3899 Mtetra
.87943 .3899 .88584 .3992 .90204 .39417 .8957 .38482 Mtetra
.8957 .38482 .90204 .39417 .91832 .38912 .91205 .37972 Mtetra
.91205 .37972 .91832 .38912 .9347 .38404 .92849 .37458 Mtetra
.34017 .54789 .34854 .55565 .36198 .55145 .35366 .54365 Mtetra
.35366 .54365 .36198 .55145 .37549 .54724 .36721 .53939 Mtetra
.36721 .53939 .37549 .54724 .38907 .543 .38084 .53511 Mtetra
.38084 .53511 .38907 .543 .40272 .53873 .39453 .53081 Mtetra
.39453 .53081 .40272 .53873 .41644 .53445 .40829 .52649 Mtetra
.40829 .52649 .41644 .53445 .43023 .53015 .42213 .52214 Mtetra
.42213 .52214 .43023 .53015 .44409 .52582 .43603 .51777 Mtetra
.43603 .51777 .44409 .52582 .45802 .52147 .45001 .51338 Mtetra
.45001 .51338 .45802 .52147 .47202 .5171 .46406 .50897 Mtetra
.46406 .50897 .47202 .5171 .4861 .5127 .47818 .50453 Mtetra
.47818 .50453 .4861 .5127 .50025 .50829 .49237 .50007 Mtetra
1 .954 0 r
.49237 .50007 .50025 .50829 .51447 .50386 .50664 .49561 Mtetra
.50664 .49561 .51447 .50386 .52877 .4995 .52099 .49124 Mtetra
1 .953 0 r
.52099 .49124 .52877 .4995 .54314 .49549 .53541 .48734 Mtetra
1 .947 0 r
.53541 .48734 .54314 .49549 .5576 .49259 .54993 .48494 Mtetra
1 .931 0 r
.54993 .48494 .5576 .49259 .57219 .49219 .56458 .48587 Mtetra
1 .898 0 r
.56458 .48587 .57219 .49219 .58696 .4953 .57943 .49149 Mtetra
1 .85 0 r
.57943 .49149 .58696 .4953 .60193 .50051 .59452 .49996 Mtetra
1 .803 0 r
.59452 .49996 .60193 .50051 .61699 .50317 .60972 .50503 Mtetra
1 .783 0 r
.60972 .50503 .61699 .50317 .63196 .49858 .62479 .50041 Mtetra
1 .803 0 r
.62479 .50041 .63196 .49858 .64675 .48671 .63961 .48605 Mtetra
1 .85 0 r
.63961 .48605 .64675 .48671 .66144 .47223 .65429 .46823 Mtetra
1 .898 0 r
.65429 .46823 .66144 .47223 .67622 .45983 .66905 .45321 Mtetra
1 .931 0 r
.66905 .45321 .67622 .45983 .69119 .45094 .68403 .44288 Mtetra
1 .947 0 r
.68403 .44288 .69119 .45094 .70635 .44455 .69921 .4359 Mtetra
1 .953 0 r
.69921 .4359 .70635 .44455 .72163 .43929 .71455 .43044 Mtetra
1 .954 0 r
.71455 .43044 .72163 .43929 .73702 .43438 .73 .42544 Mtetra
.73 .42544 .73702 .43438 .7525 .42953 .74553 .42054 Mtetra
1 .955 0 r
.74553 .42054 .7525 .42953 .76807 .42467 .76116 .41563 Mtetra
.76116 .41563 .76807 .42467 .78372 .41978 .77687 .41069 Mtetra
.77687 .41069 .78372 .41978 .79945 .41487 .79266 .40573 Mtetra
.79266 .40573 .79945 .41487 .81527 .40993 .80855 .40074 Mtetra
.80855 .40074 .81527 .40993 .83118 .40496 .82452 .39572 Mtetra
.82452 .39572 .83118 .40496 .84718 .39997 .84057 .39068 Mtetra
.84057 .39068 .84718 .39997 .86326 .39495 .85672 .3856 Mtetra
.85672 .3856 .86326 .39495 .87943 .3899 .87296 .3805 Mtetra
.87296 .3805 .87943 .3899 .8957 .38482 .88929 .37537 Mtetra
.88929 .37537 .8957 .38482 .91205 .37972 .90571 .37021 Mtetra
.90571 .37021 .91205 .37972 .92849 .37458 .92222 .36503 Mtetra
.33173 .54005 .34017 .54789 .35366 .54365 .34526 .53577 Mtetra
.34526 .53577 .35366 .54365 .36721 .53939 .35886 .53147 Mtetra
.35886 .53147 .36721 .53939 .38084 .53511 .37252 .52715 Mtetra
.37252 .52715 .38084 .53511 .39453 .53081 .38626 .52281 Mtetra
.38626 .52281 .39453 .53081 .40829 .52649 .40007 .51845 Mtetra
.40007 .51845 .40829 .52649 .42213 .52214 .41394 .51406 Mtetra
.41394 .51406 .42213 .52214 .43603 .51777 .42789 .50965 Mtetra
.42789 .50965 .43603 .51777 .45001 .51338 .44192 .50521 Mtetra
.44192 .50521 .45001 .51338 .46406 .50897 .45601 .50076 Mtetra
.45601 .50076 .46406 .50897 .47818 .50453 .47018 .49628 Mtetra
.47018 .49628 .47818 .50453 .49237 .50007 .48442 .49178 Mtetra
1 .954 0 r
.48442 .49178 .49237 .50007 .50664 .49561 .49874 .48728 Mtetra
.49874 .48728 .50664 .49561 .52099 .49124 .51314 .48291 Mtetra
1 .952 0 r
.51314 .48291 .52099 .49124 .53541 .48734 .52761 .47915 Mtetra
1 .944 0 r
.52761 .47915 .53541 .48734 .54993 .48494 .54217 .47735 Mtetra
1 .923 0 r
.54217 .47735 .54993 .48494 .56458 .48587 .55688 .4799 Mtetra
1 .88 0 r
.55688 .4799 .56458 .48587 .57943 .49149 .57182 .48858 Mtetra
1 .817 0 r
.57182 .48858 .57943 .49149 .59452 .49996 .58703 .50101 Mtetra
1 .756 0 r
.58703 .50101 .59452 .49996 .60972 .50503 .60237 .50905 Mtetra
1 .73 0 r
.60237 .50905 .60972 .50503 .62479 .50041 .61756 .5044 Mtetra
1 .756 0 r
.61756 .5044 .62479 .50041 .63961 .48605 .63242 .487 Mtetra
1 .817 0 r
.63242 .487 .63961 .48605 .65429 .46823 .64708 .46512 Mtetra
1 .88 0 r
.64708 .46512 .65429 .46823 .66905 .45321 .66181 .44693 Mtetra
1 .923 0 r
.66181 .44693 .66905 .45321 .68403 .44288 .67679 .43489 Mtetra
1 .944 0 r
.67679 .43489 .68403 .44288 .69921 .4359 .69201 .42721 Mtetra
1 .952 0 r
.69201 .42721 .69921 .4359 .71455 .43044 .70739 .4215 Mtetra
1 .954 0 r
.70739 .4215 .71455 .43044 .73 .42544 .7229 .41642 Mtetra
.7229 .41642 .73 .42544 .74553 .42054 .73849 .41146 Mtetra
1 .955 0 r
.73849 .41146 .74553 .42054 .76116 .41563 .75418 .4065 Mtetra
.75418 .4065 .76116 .41563 .77687 .41069 .76995 .40151 Mtetra
.76995 .40151 .77687 .41069 .79266 .40573 .7858 .3965 Mtetra
.7858 .3965 .79266 .40573 .80855 .40074 .80175 .39146 Mtetra
.80175 .39146 .80855 .40074 .82452 .39572 .81778 .38639 Mtetra
.81778 .38639 .82452 .39572 .84057 .39068 .8339 .38129 Mtetra
.8339 .38129 .84057 .39068 .85672 .3856 .85012 .37616 Mtetra
.85012 .37616 .85672 .3856 .87296 .3805 .86642 .37101 Mtetra
.86642 .37101 .87296 .3805 .88929 .37537 .88282 .36583 Mtetra
.88282 .36583 .88929 .37537 .90571 .37021 .8993 .36061 Mtetra
.8993 .36061 .90571 .37021 .92222 .36503 .91588 .35537 Mtetra
.32321 .53214 .33173 .54005 .34526 .53577 .33678 .52782 Mtetra
.33678 .52782 .34526 .53577 .35886 .53147 .35042 .52348 Mtetra
.35042 .52348 .35886 .53147 .37252 .52715 .36413 .51912 Mtetra
.36413 .51912 .37252 .52715 .38626 .52281 .37791 .51473 Mtetra
.37791 .51473 .38626 .52281 .40007 .51845 .39176 .51033 Mtetra
.39176 .51033 .40007 .51845 .41394 .51406 .40568 .5059 Mtetra
.40568 .5059 .41394 .51406 .42789 .50965 .41968 .50144 Mtetra
.41968 .50144 .42789 .50965 .44192 .50521 .43375 .49697 Mtetra
.43375 .49697 .44192 .50521 .45601 .50076 .44789 .49247 Mtetra
.44789 .49247 .45601 .50076 .47018 .49628 .46211 .48795 Mtetra
.46211 .48795 .47018 .49628 .48442 .49178 .4764 .48341 Mtetra
1 .954 0 r
.4764 .48341 .48442 .49178 .49874 .48728 .49076 .47887 Mtetra
.49076 .47887 .49874 .48728 .51314 .48291 .50521 .4745 Mtetra
1 .951 0 r
.50521 .4745 .51314 .48291 .52761 .47915 .51972 .47092 Mtetra
1 .941 0 r
.51972 .47092 .52761 .47915 .54217 .47735 .53434 .46983 Mtetra
1 .915 0 r
.53434 .46983 .54217 .47735 .55688 .4799 .5491 .47428 Mtetra
1 .86 0 r
.5491 .47428 .55688 .4799 .57182 .48858 .56412 .48657 Mtetra
1 .779 0 r
.56412 .48657 .57182 .48858 .58703 .50101 .57945 .50369 Mtetra
1 .7 0 r
.57945 .50369 .58703 .50101 .60237 .50905 .59494 .51525 Mtetra
1 .667 0 r
.59494 .51525 .60237 .50905 .61756 .5044 .61025 .51057 Mtetra
1 .7 0 r
.61025 .51057 .61756 .5044 .63242 .487 .62516 .48958 Mtetra
1 .779 0 r
.62516 .48958 .63242 .487 .64708 .46512 .6398 .46291 Mtetra
1 .86 0 r
.6398 .46291 .64708 .46512 .66181 .44693 .6545 .44101 Mtetra
1 .915 0 r
.6545 .44101 .66181 .44693 .67679 .43489 .66948 .42696 Mtetra
1 .941 0 r
.66948 .42696 .67679 .43489 .69201 .42721 .68473 .41846 Mtetra
1 .951 0 r
.68473 .41846 .69201 .42721 .70739 .4215 .70017 .41249 Mtetra
1 .954 0 r
.70017 .41249 .70739 .4215 .7229 .41642 .71573 .4073 Mtetra
.71573 .4073 .7229 .41642 .73849 .41146 .73138 .40228 Mtetra
1 .955 0 r
.73138 .40228 .73849 .41146 .75418 .4065 .74713 .39727 Mtetra
.74713 .39727 .75418 .4065 .76995 .40151 .76296 .39223 Mtetra
.76296 .39223 .76995 .40151 .7858 .3965 .77888 .38717 Mtetra
.77888 .38717 .7858 .3965 .80175 .39146 .79488 .38208 Mtetra
.79488 .38208 .80175 .39146 .81778 .38639 .81098 .37695 Mtetra
.81098 .37695 .81778 .38639 .8339 .38129 .82717 .3718 Mtetra
.82717 .3718 .8339 .38129 .85012 .37616 .84344 .36663 Mtetra
.84344 .36663 .85012 .37616 .86642 .37101 .85981 .36142 Mtetra
.85981 .36142 .86642 .37101 .88282 .36583 .87628 .35618 Mtetra
.87628 .35618 .88282 .36583 .8993 .36061 .89283 .35091 Mtetra
.89283 .35091 .8993 .36061 .91588 .35537 .90948 .34562 Mtetra
.31461 .52415 .32321 .53214 .33678 .52782 .32822 .51979 Mtetra
.32822 .51979 .33678 .52782 .35042 .52348 .3419 .51541 Mtetra
.3419 .51541 .35042 .52348 .36413 .51912 .35566 .51101 Mtetra
.35566 .51101 .36413 .51912 .37791 .51473 .36948 .50658 Mtetra
.36948 .50658 .37791 .51473 .39176 .51033 .38338 .50213 Mtetra
.38338 .50213 .39176 .51033 .40568 .5059 .39734 .49766 Mtetra
.39734 .49766 .40568 .5059 .41968 .50144 .41139 .49316 Mtetra
.41139 .49316 .41968 .50144 .43375 .49697 .4255 .48864 Mtetra
.4255 .48864 .43375 .49697 .44789 .49247 .43969 .4841 Mtetra
.43969 .4841 .44789 .49247 .46211 .48795 .45395 .47954 Mtetra
.45395 .47954 .46211 .48795 .4764 .48341 .46829 .47495 Mtetra
1 .954 0 r
.46829 .47495 .4764 .48341 .49076 .47887 .48271 .47038 Mtetra
.48271 .47038 .49076 .47887 .50521 .4745 .4972 .46602 Mtetra
1 .95 0 r
.4972 .46602 .50521 .4745 .51972 .47092 .51176 .46264 Mtetra
1 .938 0 r
.51176 .46264 .51972 .47092 .53434 .46983 .52642 .46237 Mtetra
1 .905 0 r
.52642 .46237 .53434 .46983 .5491 .47428 .54123 .46897 Mtetra
1 .836 0 r
.54123 .46897 .5491 .47428 .56412 .48657 .55631 .48536 Mtetra
1 .735 0 r
.55631 .48536 .56412 .48657 .57945 .50369 .57175 .50785 Mtetra
1 .637 0 r
.57175 .50785 .57945 .50369 .59494 .51525 .5874 .52347 Mtetra
1 .595 0 r
.5874 .52347 .59494 .51525 .61025 .51057 .60285 .51876 Mtetra
1 .637 0 r
.60285 .51876 .61025 .51057 .62516 .48958 .61782 .49365 Mtetra
1 .735 0 r
.61782 .49365 .62516 .48958 .6398 .46291 .63244 .46152 Mtetra
1 .836 0 r
.63244 .46152 .6398 .46291 .6545 .44101 .64712 .4354 Mtetra
1 .905 0 r
.64712 .4354 .6545 .44101 .66948 .42696 .6621 .41907 Mtetra
1 .938 0 r
.6621 .41907 .66948 .42696 .68473 .41846 .67738 .40966 Mtetra
1 .95 0 r
.67738 .40966 .68473 .41846 .70017 .41249 .69287 .40339 Mtetra
1 .954 0 r
.69287 .40339 .70017 .41249 .71573 .4073 .70848 .3981 Mtetra
.70848 .3981 .71573 .4073 .73138 .40228 .7242 .39301 Mtetra
1 .955 0 r
.7242 .39301 .73138 .40228 .74713 .39727 .74 .38795 Mtetra
.74 .38795 .74713 .39727 .76296 .39223 .75589 .38286 Mtetra
.75589 .38286 .76296 .39223 .77888 .38717 .77188 .37774 Mtetra
.77188 .37774 .77888 .38717 .79488 .38208 .78795 .3726 Mtetra
.78795 .3726 .79488 .38208 .81098 .37695 .80411 .36742 Mtetra
.80411 .36742 .81098 .37695 .82717 .3718 .82036 .36222 Mtetra
.82036 .36222 .82717 .3718 .84344 .36663 .8367 .35699 Mtetra
.8367 .35699 .84344 .36663 .85981 .36142 .85314 .35173 Mtetra
.85314 .35173 .85981 .36142 .87628 .35618 .86967 .34643 Mtetra
.86967 .34643 .87628 .35618 .89283 .35091 .88629 .34111 Mtetra
.88629 .34111 .89283 .35091 .90948 .34562 .90301 .33576 Mtetra
.30592 .51608 .31461 .52415 .32822 .51979 .31958 .51169 Mtetra
.31958 .51169 .32822 .51979 .3419 .51541 .3333 .50726 Mtetra
.3333 .50726 .3419 .51541 .35566 .51101 .3471 .50282 Mtetra
.3471 .50282 .35566 .51101 .36948 .50658 .36097 .49835 Mtetra
.36097 .49835 .36948 .50658 .38338 .50213 .37491 .49386 Mtetra
.37491 .49386 .38338 .50213 .39734 .49766 .38892 .48934 Mtetra
.38892 .48934 .39734 .49766 .41139 .49316 .40301 .4848 Mtetra
.40301 .4848 .41139 .49316 .4255 .48864 .41717 .48024 Mtetra
.41717 .48024 .4255 .48864 .43969 .4841 .43141 .47565 Mtetra
.43141 .47565 .43969 .4841 .45395 .47954 .44572 .47104 Mtetra
.44572 .47104 .45395 .47954 .46829 .47495 .46011 .46641 Mtetra
1 .954 0 r
.46011 .46641 .46829 .47495 .48271 .47038 .47457 .46181 Mtetra
.47457 .46181 .48271 .47038 .4972 .46602 .48911 .45746 Mtetra
1 .949 0 r
.48911 .45746 .4972 .46602 .51176 .46264 .50372 .4543 Mtetra
1 .934 0 r
.50372 .4543 .51176 .46264 .52642 .46237 .51842 .45492 Mtetra
1 .893 0 r
.51842 .45492 .52642 .46237 .54123 .46897 .53326 .46389 Mtetra
1 .81 0 r
.53326 .46389 .54123 .46897 .55631 .48536 .5484 .48479 Mtetra
1 .686 0 r
.5484 .48479 .55631 .48536 .57175 .50785 .56394 .51322 Mtetra
1 .566 0 r
.56394 .51322 .57175 .50785 .5874 .52347 .57974 .53334 Mtetra
1 .516 0 r
.57974 .53334 .5874 .52347 .60285 .51876 .59533 .52861 Mtetra
1 .566 0 r
.59533 .52861 .60285 .51876 .61782 .49365 .61037 .49893 Mtetra
1 .686 0 r
.61037 .49893 .61782 .49365 .63244 .46152 .625 .46075 Mtetra
1 .81 0 r
.625 .46075 .63244 .46152 .64712 .4354 .63966 .43001 Mtetra
1 .893 0 r
.63966 .43001 .64712 .4354 .6621 .41907 .65465 .41121 Mtetra
1 .934 0 r
.65465 .41121 .6621 .41907 .67738 .40966 .66996 .40079 Mtetra
1 .949 0 r
.66996 .40079 .67738 .40966 .69287 .40339 .68549 .3942 Mtetra
1 .954 0 r
.68549 .3942 .69287 .40339 .70848 .3981 .70117 .3888 Mtetra
.70117 .3888 .70848 .3981 .7242 .39301 .71694 .38365 Mtetra
1 .955 0 r
.71694 .38365 .7242 .39301 .74 .38795 .73281 .37854 Mtetra
.73281 .37854 .74 .38795 .75589 .38286 .74876 .37339 Mtetra
.74876 .37339 .75589 .38286 .77188 .37774 .7648 .36822 Mtetra
.7648 .36822 .77188 .37774 .78795 .3726 .78094 .36303 Mtetra
.78094 .36303 .78795 .3726 .80411 .36742 .79716 .3578 Mtetra
.79716 .3578 .80411 .36742 .82036 .36222 .81348 .35254 Mtetra
.81348 .35254 .82036 .36222 .8367 .35699 .82989 .34725 Mtetra
.82989 .34725 .8367 .35699 .85314 .35173 .84639 .34193 Mtetra
.84639 .34193 .85314 .35173 .86967 .34643 .86299 .33658 Mtetra
.86299 .33658 .86967 .34643 .88629 .34111 .87968 .33121 Mtetra
.87968 .33121 .88629 .34111 .90301 .33576 .89647 .3258 Mtetra
.29716 .50795 .30592 .51608 .31958 .51169 .31085 .5035 Mtetra
.31085 .5035 .31958 .51169 .3333 .50726 .32462 .49904 Mtetra
.32462 .49904 .3333 .50726 .3471 .50282 .33846 .49455 Mtetra
.33846 .49455 .3471 .50282 .36097 .49835 .35238 .49004 Mtetra
.35238 .49004 .36097 .49835 .37491 .49386 .36636 .4855 Mtetra
.36636 .4855 .37491 .49386 .38892 .48934 .38042 .48095 Mtetra
.38042 .48095 .38892 .48934 .40301 .4848 .39455 .47636 Mtetra
.39455 .47636 .40301 .4848 .41717 .48024 .40876 .47175 Mtetra
.40876 .47175 .41717 .48024 .43141 .47565 .42305 .46712 Mtetra
.42305 .46712 .43141 .47565 .44572 .47104 .43741 .46246 Mtetra
.43741 .46246 .44572 .47104 .46011 .46641 .45184 .45778 Mtetra
1 .954 0 r
.45184 .45778 .46011 .46641 .47457 .46181 .46636 .45315 Mtetra
1 .953 0 r
.46636 .45315 .47457 .46181 .48911 .45746 .48094 .44882 Mtetra
1 .948 0 r
.48094 .44882 .48911 .45746 .50372 .4543 .4956 .44589 Mtetra
1 .931 0 r
.4956 .44589 .50372 .4543 .51842 .45492 .51033 .44745 Mtetra
1 .882 0 r
.51033 .44745 .51842 .45492 .53326 .46389 .5252 .4589 Mtetra
1 .782 0 r
.5252 .4589 .53326 .46389 .5484 .48479 .54037 .48457 Mtetra
1 .634 0 r
.54037 .48457 .5484 .48479 .56394 .51322 .55598 .51933 Mtetra
1 .491 0 r
.55598 .51933 .56394 .51322 .57974 .53334 .57191 .54427 Mtetra
1 .431 0 r
.57191 .54427 .57974 .53334 .59533 .52861 .58766 .53952 Mtetra
1 .491 0 r
.58766 .53952 .59533 .52861 .61037 .49893 .60279 .50495 Mtetra
1 .634 0 r
.60279 .50495 .61037 .49893 .625 .46075 .61745 .46035 Mtetra
1 .782 0 r
.61745 .46035 .625 .46075 .63966 .43001 .63212 .42471 Mtetra
1 .882 0 r
.63212 .42471 .63966 .43001 .65465 .41121 .64711 .40331 Mtetra
1 .931 0 r
.64711 .40331 .65465 .41121 .66996 .40079 .66245 .39185 Mtetra
1 .948 0 r
.66245 .39185 .66996 .40079 .68549 .3942 .67804 .38491 Mtetra
1 .953 0 r
.67804 .38491 .68549 .3942 .70117 .3888 .69377 .3794 Mtetra
1 .954 0 r
.69377 .3794 .70117 .3888 .71694 .38365 .70961 .37419 Mtetra
1 .955 0 r
.70961 .37419 .71694 .38365 .73281 .37854 .72553 .36902 Mtetra
.72553 .36902 .73281 .37854 .74876 .37339 .74155 .36383 Mtetra
.74155 .36383 .74876 .37339 .7648 .36822 .75766 .3586 Mtetra
.75766 .3586 .7648 .36822 .78094 .36303 .77386 .35335 Mtetra
.77386 .35335 .78094 .36303 .79716 .3578 .79015 .34807 Mtetra
.79015 .34807 .79716 .3578 .81348 .35254 .80653 .34275 Mtetra
.80653 .34275 .81348 .35254 .82989 .34725 .823 .33741 Mtetra
.823 .33741 .82989 .34725 .84639 .34193 .83957 .33204 Mtetra
.83957 .33204 .84639 .34193 .86299 .33658 .85624 .32663 Mtetra
.85624 .32663 .86299 .33658 .87968 .33121 .873 .3212 Mtetra
.873 .3212 .87968 .33121 .89647 .3258 .88986 .31573 Mtetra
.28831 .49973 .29716 .50795 .31085 .5035 .30205 .49523 Mtetra
.30205 .49523 .31085 .5035 .32462 .49904 .31586 .49074 Mtetra
.31586 .49074 .32462 .49904 .33846 .49455 .32974 .48621 Mtetra
.32974 .48621 .33846 .49455 .35238 .49004 .3437 .48164 Mtetra
.3437 .48164 .35238 .49004 .36636 .4855 .35773 .47707 Mtetra
.35773 .47707 .36636 .4855 .38042 .48095 .37184 .47247 Mtetra
.37184 .47247 .38042 .48095 .39455 .47636 .38602 .46782 Mtetra
.38602 .46782 .39455 .47636 .40876 .47175 .40027 .46318 Mtetra
.40027 .46318 .40876 .47175 .42305 .46712 .4146 .45851 Mtetra
.4146 .45851 .42305 .46712 .43741 .46246 .42901 .45379 Mtetra
.42901 .45379 .43741 .46246 .45184 .45778 .4435 .44908 Mtetra
1 .954 0 r
.4435 .44908 .45184 .45778 .46636 .45315 .45806 .44442 Mtetra
1 .953 0 r
.45806 .44442 .46636 .45315 .48094 .44882 .47269 .44008 Mtetra
1 .947 0 r
.47269 .44008 .48094 .44882 .4956 .44589 .48739 .4374 Mtetra
1 .927 0 r
.48739 .4374 .4956 .44589 .51033 .44745 .50215 .43991 Mtetra
1 .87 0 r
.50215 .43991 .51033 .44745 .5252 .4589 .51704 .45385 Mtetra
1 .753 0 r
.51704 .45385 .5252 .4589 .54037 .48457 .53221 .48435 Mtetra
1 .581 0 r
.53221 .48435 .54037 .48457 .55598 .51933 .54787 .52555 Mtetra
1 .415 0 r
.54787 .52555 .55598 .51933 .57191 .54427 .56391 .55543 Mtetra
1 .344 0 r
.56391 .55543 .57191 .54427 .58766 .53952 .57981 .55066 Mtetra
1 .415 0 r
.57981 .55066 .58766 .53952 .60279 .50495 .59507 .51108 Mtetra
1 .581 0 r
.59507 .51108 .60279 .50495 .61745 .46035 .60979 .45993 Mtetra
1 .753 0 r
.60979 .45993 .61745 .46035 .63212 .42471 .62447 .41935 Mtetra
1 .87 0 r
.62447 .41935 .63212 .42471 .64711 .40331 .63949 .39533 Mtetra
1 .927 0 r
.63949 .39533 .64711 .40331 .66245 .39185 .65487 .38281 Mtetra
1 .947 0 r
.65487 .38281 .66245 .39185 .67804 .38491 .67051 .37553 Mtetra
1 .953 0 r
.67051 .37553 .67804 .38491 .69377 .3794 .6863 .36992 Mtetra
1 .954 0 r
.6863 .36992 .69377 .3794 .70961 .37419 .7022 .36463 Mtetra
1 .955 0 r
.7022 .36463 .70961 .37419 .72553 .36902 .71819 .3594 Mtetra
.71819 .3594 .72553 .36902 .74155 .36383 .73427 .35417 Mtetra
.73427 .35417 .74155 .36383 .75766 .3586 .75044 .34888 Mtetra
.75044 .34888 .75766 .3586 .77386 .35335 .7667 .34356 Mtetra
.7667 .34356 .77386 .35335 .79015 .34807 .78305 .33824 Mtetra
.78305 .33824 .79015 .34807 .80653 .34275 .7995 .33287 Mtetra
.7995 .33287 .80653 .34275 .823 .33741 .81604 .32746 Mtetra
.81604 .32746 .823 .33741 .83957 .33204 .83268 .32204 Mtetra
.83268 .32204 .83957 .33204 .85624 .32663 .84942 .31658 Mtetra
.84942 .31658 .85624 .32663 .873 .3212 .86625 .31107 Mtetra
.86625 .31107 .873 .3212 .88986 .31573 .88318 .30556 Mtetra
.27937 .49142 .28831 .49973 .30205 .49523 .29315 .4869 Mtetra
.29315 .4869 .30205 .49523 .31586 .49074 .30701 .48236 Mtetra
.30701 .48236 .31586 .49074 .32974 .48621 .32094 .47776 Mtetra
.32094 .47776 .32974 .48621 .3437 .48164 .33494 .47316 Mtetra
.33494 .47316 .3437 .48164 .35773 .47707 .34901 .46856 Mtetra
.34901 .46856 .35773 .47707 .37184 .47247 .36317 .4639 Mtetra
.36317 .4639 .37184 .47247 .38602 .46782 .37739 .45921 Mtetra
.37739 .45921 .38602 .46782 .40027 .46318 .3917 .45454 Mtetra
.3917 .45454 .40027 .46318 .4146 .45851 .40607 .44981 Mtetra
.40607 .44981 .4146 .45851 .42901 .45379 .42053 .44503 Mtetra
.42053 .44503 .42901 .45379 .4435 .44908 .43507 .44029 Mtetra
1 .954 0 r
.43507 .44029 .4435 .44908 .45806 .44442 .44968 .43559 Mtetra
1 .953 0 r
.44968 .43559 .45806 .44442 .47269 .44008 .46436 .43124 Mtetra
1 .946 0 r
.46436 .43124 .47269 .44008 .48739 .4374 .4791 .42881 Mtetra
1 .923 0 r
.4791 .42881 .48739 .4374 .50215 .43991 .49389 .43222 Mtetra
1 .858 0 r
.49389 .43222 .50215 .43991 .51704 .45385 .50877 .44853 Mtetra
1 .725 0 r
.50877 .44853 .51704 .45385 .53221 .48435 .52392 .48367 Mtetra
1 .53 0 r
.52392 .48367 .53221 .48435 .54787 .52555 .53959 .53112 Mtetra
1 .34 0 r
.53959 .53112 .54787 .52555 .56391 .55543 .55572 .5658 Mtetra
1 .26 0 r
.55572 .5658 .56391 .55543 .57981 .55066 .57177 .56101 Mtetra
1 .34 0 r
.57177 .56101 .57981 .55066 .59507 .51108 .58718 .51657 Mtetra
1 .53 0 r
.58718 .51657 .59507 .51108 .60979 .45993 .60199 .45906 Mtetra
1 .725 0 r
.60199 .45906 .60979 .45993 .62447 .41935 .61672 .4137 Mtetra
1 .858 0 r
.61672 .4137 .62447 .41935 .63949 .39533 .63178 .3872 Mtetra
1 .923 0 r
.63178 .3872 .63949 .39533 .65487 .38281 .64721 .37367 Mtetra
1 .946 0 r
.64721 .37367 .65487 .38281 .67051 .37553 .6629 .36603 Mtetra
1 .953 0 r
.6629 .36603 .67051 .37553 .6863 .36992 .67876 .36033 Mtetra
1 .954 0 r
.67876 .36033 .6863 .36992 .7022 .36463 .69471 .35499 Mtetra
1 .955 0 r
.69471 .35499 .7022 .36463 .71819 .3594 .71076 .34967 Mtetra
.71076 .34967 .71819 .3594 .73427 .35417 .72691 .3444 Mtetra
.72691 .3444 .73427 .35417 .75044 .34888 .74314 .33907 Mtetra
.74314 .33907 .75044 .34888 .7667 .34356 .75947 .33367 Mtetra
.75947 .33367 .7667 .34356 .78305 .33824 .77589 .3283 Mtetra
.77589 .3283 .78305 .33824 .7995 .33287 .7924 .32289 Mtetra
.7924 .32289 .7995 .33287 .81604 .32746 .80901 .3174 Mtetra
.80901 .3174 .81604 .32746 .83268 .32204 .82572 .31192 Mtetra
.82572 .31192 .83268 .32204 .84942 .31658 .84252 .30642 Mtetra
.84252 .30642 .84942 .31658 .86625 .31107 .85942 .30085 Mtetra
.85942 .30085 .86625 .31107 .88318 .30556 .87642 .29525 Mtetra
.27035 .48304 .27937 .49142 .29315 .4869 .28417 .4785 Mtetra
.28417 .4785 .29315 .4869 .30701 .48236 .29807 .47388 Mtetra
.29807 .47388 .30701 .48236 .32094 .47776 .31205 .46923 Mtetra
.31205 .46923 .32094 .47776 .33494 .47316 .32609 .46463 Mtetra
.32609 .46463 .33494 .47316 .34901 .46856 .34021 .45996 Mtetra
.34021 .45996 .34901 .46856 .36317 .4639 .35441 .45522 Mtetra
.35441 .45522 .36317 .4639 .37739 .45921 .36868 .45052 Mtetra
.36868 .45052 .37739 .45921 .3917 .45454 .38303 .44582 Mtetra
.38303 .44582 .3917 .45454 .40607 .44981 .39746 .44099 Mtetra
.39746 .44099 .40607 .44981 .42053 .44503 .41197 .43618 Mtetra
.41197 .43618 .42053 .44503 .43507 .44029 .42655 .43144 Mtetra
1 .954 0 r
.42655 .43144 .43507 .44029 .44968 .43559 .44121 .42666 Mtetra
1 .953 0 r
.44121 .42666 .44968 .43559 .46436 .43124 .45595 .42229 Mtetra
1 .946 0 r
.45595 .42229 .46436 .43124 .4791 .42881 .47073 .42011 Mtetra
1 .919 0 r
.47073 .42011 .4791 .42881 .49389 .43222 .48554 .42431 Mtetra
1 .847 0 r
.48554 .42431 .49389 .43222 .50877 .44853 .5004 .44272 Mtetra
1 .7 0 r
.5004 .44272 .50877 .44853 .52392 .48367 .51552 .48207 Mtetra
1 .482 0 r
.51552 .48207 .52392 .48367 .53959 .53112 .53115 .5352 Mtetra
1 .272 0 r
.53115 .5352 .53959 .53112 .55572 .5658 .54734 .57423 Mtetra
1 .183 0 r
.54734 .57423 .55572 .5658 .57177 .56101 .56353 .56941 Mtetra
1 .272 0 r
.56353 .56941 .57177 .56101 .58718 .51657 .57911 .52055 Mtetra
1 .482 0 r
.57911 .52055 .58718 .51657 .60199 .45906 .59405 .45725 Mtetra
1 .7 0 r
.59405 .45725 .60199 .45906 .61672 .4137 .60887 .40756 Mtetra
1 .847 0 r
.60887 .40756 .61672 .4137 .63178 .3872 .62398 .37884 Mtetra
1 .919 0 r
.62398 .37884 .63178 .3872 .64721 .37367 .63947 .36441 Mtetra
1 .946 0 r
.63947 .36441 .64721 .37367 .6629 .36603 .65522 .35642 Mtetra
1 .953 0 r
.65522 .35642 .6629 .36603 .67876 .36033 .67113 .35063 Mtetra
1 .954 0 r
.67113 .35063 .67876 .36033 .69471 .35499 .68715 .34526 Mtetra
1 .955 0 r
.68715 .34526 .69471 .35499 .71076 .34967 .70326 .33985 Mtetra
.70326 .33985 .71076 .34967 .72691 .3444 .71947 .3345 Mtetra
.71947 .3345 .72691 .3444 .74314 .33907 .73577 .32917 Mtetra
.73577 .32917 .74314 .33907 .75947 .33367 .75216 .3237 Mtetra
.75216 .3237 .75947 .33367 .77589 .3283 .76864 .31822 Mtetra
.76864 .31822 .77589 .3283 .7924 .32289 .78523 .31279 Mtetra
.78523 .31279 .7924 .32289 .80901 .3174 .80191 .30727 Mtetra
.80191 .30727 .80901 .3174 .82572 .31192 .81868 .30168 Mtetra
.81868 .30168 .82572 .31192 .84252 .30642 .83555 .29613 Mtetra
.83555 .29613 .84252 .30642 .85942 .30085 .85253 .29054 Mtetra
.85253 .29054 .85942 .30085 .87642 .29525 .8696 .28486 Mtetra
1 .954 0 r
.26123 .47463 .27035 .48304 .28417 .4785 .2751 .46999 Mtetra
1 .955 0 r
.2751 .46999 .28417 .4785 .29807 .47388 .28905 .46528 Mtetra
.28905 .46528 .29807 .47388 .31205 .46923 .30306 .46066 Mtetra
.30306 .46066 .31205 .46923 .32609 .46463 .31715 .45603 Mtetra
1 .954 0 r
.31715 .45603 .32609 .46463 .34021 .45996 .33133 .45123 Mtetra
1 .955 0 r
.33133 .45123 .34021 .45996 .35441 .45522 .34557 .44646 Mtetra
.34557 .44646 .35441 .45522 .36868 .45052 .35989 .44179 Mtetra
1 .954 0 r
.35989 .44179 .36868 .45052 .38303 .44582 .37429 .43699 Mtetra
1 .955 0 r
.37429 .43699 .38303 .44582 .39746 .44099 .38877 .43206 Mtetra
.38877 .43206 .39746 .44099 .41197 .43618 .40332 .42728 Mtetra
1 .954 0 r
.40332 .42728 .41197 .43618 .42655 .43144 .41795 .42252 Mtetra
.41795 .42252 .42655 .43144 .44121 .42666 .43266 .41761 Mtetra
1 .953 0 r
.43266 .41761 .44121 .42666 .45595 .42229 .44744 .41324 Mtetra
1 .945 0 r
.44744 .41324 .45595 .42229 .47073 .42011 .46226 .4113 Mtetra
1 .916 0 r
.46226 .4113 .47073 .42011 .48554 .42431 .47709 .4161 Mtetra
1 .838 0 r
.47709 .4161 .48554 .42431 .5004 .44272 .49194 .43619 Mtetra
1 .678 0 r
.49194 .43619 .5004 .44272 .51552 .48207 .50699 .47908 Mtetra
1 .442 0 r
.50699 .47908 .51552 .48207 .53115 .5352 .52256 .53695 Mtetra
1 .213 0 r
.52256 .53695 .53115 .5352 .54734 .57423 .53876 .57955 Mtetra
1 .116 0 r
.53876 .57955 .54734 .57423 .56353 .56941 .55508 .5747 Mtetra
1 .213 0 r
.55508 .5747 .56353 .56941 .57911 .52055 .57085 .52219 Mtetra
1 .442 0 r
.57085 .52219 .57911 .52055 .59405 .45725 .58596 .45403 Mtetra
1 .678 0 r
.58596 .45403 .59405 .45725 .60887 .40756 .6009 .40069 Mtetra
1 .838 0 r
.6009 .40069 .60887 .40756 .62398 .37884 .61609 .37017 Mtetra
1 .916 0 r
.61609 .37017 .62398 .37884 .63947 .36441 .63164 .35503 Mtetra
1 .945 0 r
.63164 .35503 .63947 .36441 .65522 .35642 .64745 .34668 Mtetra
1 .953 0 r
.64745 .34668 .65522 .35642 .67113 .35063 .66342 .34079 Mtetra
1 .954 0 r
.66342 .34079 .67113 .35063 .68715 .34526 .67951 .33545 Mtetra
.67951 .33545 .68715 .34526 .70326 .33985 .69568 .32995 Mtetra
1 .955 0 r
.69568 .32995 .70326 .33985 .71947 .3345 .71195 .32447 Mtetra
.71195 .32447 .71947 .3345 .73577 .32917 .72832 .31914 Mtetra
1 .954 0 r
.72832 .31914 .73577 .32917 .75216 .3237 .74478 .31367 Mtetra
1 .955 0 r
.74478 .31367 .75216 .3237 .76864 .31822 .76132 .30805 Mtetra
.76132 .30805 .76864 .31822 .78523 .31279 .77797 .30254 Mtetra
1 .954 0 r
.77797 .30254 .78523 .31279 .80191 .30727 .79473 .29705 Mtetra
1 .955 0 r
.79473 .29705 .80191 .30727 .81868 .30168 .81157 .29138 Mtetra
.81157 .29138 .81868 .30168 .83555 .29613 .82851 .28569 Mtetra
.82851 .28569 .83555 .29613 .85253 .29054 .84556 .28008 Mtetra
1 .954 0 r
.84556 .28008 .85253 .29054 .8696 .28486 .8627 .2744 Mtetra
1 .955 0 r
.25203 .46609 .26123 .47463 .2751 .46999 .26595 .46131 Mtetra
.26595 .46131 .2751 .46999 .28905 .46528 .27994 .45666 Mtetra
.27994 .45666 .28905 .46528 .30306 .46066 .29399 .45207 Mtetra
1 .954 0 r
.29399 .45207 .30306 .46066 .31715 .45603 .30813 .44726 Mtetra
1 .955 0 r
.30813 .44726 .31715 .45603 .33133 .45123 .32235 .44237 Mtetra
.32235 .44237 .33133 .45123 .34557 .44646 .33664 .4377 Mtetra
1 .954 0 r
.33664 .4377 .34557 .44646 .35989 .44179 .351 .433 Mtetra
.351 .433 .35989 .44179 .37429 .43699 .36546 .428 Mtetra
1 .955 0 r
.36546 .428 .37429 .43699 .38877 .43206 .37998 .42304 Mtetra
.37998 .42304 .38877 .43206 .40332 .42728 .39458 .41836 Mtetra
1 .954 0 r
.39458 .41836 .40332 .42728 .41795 .42252 .40926 .41349 Mtetra
.40926 .41349 .41795 .42252 .43266 .41761 .42403 .40839 Mtetra
1 .953 0 r
.42403 .40839 .43266 .41761 .44744 .41324 .43886 .40411 Mtetra
1 .944 0 r
.43886 .40411 .44744 .41324 .46226 .4113 .45372 .40237 Mtetra
1 .913 0 r
.45372 .40237 .46226 .4113 .47709 .4161 .46857 .4075 Mtetra
1 .831 0 r
.46857 .4075 .47709 .4161 .49194 .43619 .48339 .42876 Mtetra
1 .661 0 r
.48339 .42876 .49194 .43619 .50699 .47908 .49835 .47429 Mtetra
1 .41 0 r
.49835 .47429 .50699 .47908 .52256 .53695 .51383 .53561 Mtetra
1 .168 0 r
.51383 .53561 .52256 .53695 .53876 .57955 .53 .58069 Mtetra
1 .066 0 r
.53 .58069 .53876 .57955 .55508 .5747 .54644 .57581 Mtetra
1 .168 0 r
.54644 .57581 .55508 .5747 .57085 .52219 .56242 .52072 Mtetra
1 .41 0 r
.56242 .52072 .57085 .52219 .58596 .45403 .57773 .449 Mtetra
1 .661 0 r
.57773 .449 .58596 .45403 .6009 .40069 .59281 .3929 Mtetra
1 .831 0 r
.59281 .3929 .6009 .40069 .61609 .37017 .60811 .3611 Mtetra
1 .913 0 r
.60811 .3611 .61609 .37017 .63164 .35503 .62373 .34552 Mtetra
1 .944 0 r
.62373 .34552 .63164 .35503 .64745 .34668 .6396 .33686 Mtetra
1 .953 0 r
.6396 .33686 .64745 .34668 .66342 .34079 .65563 .33078 Mtetra
1 .954 0 r
.65563 .33078 .66342 .34079 .67951 .33545 .67178 .32552 Mtetra
.67178 .32552 .67951 .33545 .69568 .32995 .68802 .32002 Mtetra
1 .955 0 r
.68802 .32002 .69568 .32995 .71195 .32447 .70435 .31433 Mtetra
.70435 .31433 .71195 .32447 .72832 .31914 .72078 .30892 Mtetra
1 .954 0 r
.72078 .30892 .72832 .31914 .74478 .31367 .73732 .30354 Mtetra
.73732 .30354 .74478 .31367 .76132 .30805 .75393 .29786 Mtetra
1 .955 0 r
.75393 .29786 .76132 .30805 .77797 .30254 .77064 .29214 Mtetra
.77064 .29214 .77797 .30254 .79473 .29705 .78746 .28663 Mtetra
1 .954 0 r
.78746 .28663 .79473 .29705 .81157 .29138 .80439 .28104 Mtetra
1 .955 0 r
.80439 .28104 .81157 .29138 .82851 .28569 .82139 .27521 Mtetra
.82139 .27521 .82851 .28569 .84556 .28008 .8385 .26943 Mtetra
.8385 .26943 .84556 .28008 .8627 .2744 .85573 .26378 Mtetra
.24275 .45731 .25203 .46609 .26595 .46131 .2567 .45263 Mtetra
.2567 .45263 .26595 .46131 .27994 .45666 .27072 .4481 Mtetra
1 .954 0 r
.27072 .4481 .27994 .45666 .29399 .45207 .28483 .4433 Mtetra
1 .955 0 r
.28483 .4433 .29399 .45207 .30813 .44726 .29903 .43828 Mtetra
.29903 .43828 .30813 .44726 .32235 .44237 .31329 .43354 Mtetra
.31329 .43354 .32235 .44237 .33664 .4377 .32761 .42895 Mtetra
1 .954 0 r
.32761 .42895 .33664 .4377 .351 .433 .34203 .424 Mtetra
1 .955 0 r
.34203 .424 .351 .433 .36546 .428 .35654 .41882 Mtetra
.35654 .41882 .36546 .428 .37998 .42304 .37111 .41404 Mtetra
1 .954 0 r
.37111 .41404 .37998 .42304 .39458 .41836 .38575 .40941 Mtetra
.38575 .40941 .39458 .41836 .40926 .41349 .40049 .40427 Mtetra
1 .955 0 r
.40049 .40427 .40926 .41349 .42403 .40839 .41531 .39903 Mtetra
1 .953 0 r
.41531 .39903 .42403 .40839 .43886 .40411 .43018 .39496 Mtetra
1 .943 0 r
.43018 .39496 .43886 .40411 .45372 .40237 .44508 .39332 Mtetra
1 .912 0 r
.44508 .39332 .45372 .40237 .46857 .4075 .45996 .39841 Mtetra
1 .827 0 r
.45996 .39841 .46857 .4075 .48339 .42876 .47475 .42028 Mtetra
1 .651 0 r
.47475 .42028 .48339 .42876 .49835 .47429 .48962 .4674 Mtetra
1 .39 0 r
.48962 .4674 .49835 .47429 .51383 .53561 .50498 .53059 Mtetra
1 .14 0 r
.50498 .53059 .51383 .53561 .53 .58069 .52111 .57683 Mtetra
1 .034 0 r
.52111 .57683 .53 .58069 .54644 .57581 .53764 .57189 Mtetra
1 .14 0 r
.53764 .57189 .54644 .57581 .56242 .52072 .55382 .51556 Mtetra
1 .39 0 r
.55382 .51556 .56242 .52072 .57773 .449 .56936 .44186 Mtetra
1 .651 0 r
.56936 .44186 .57773 .449 .59281 .3929 .58461 .38404 Mtetra
1 .827 0 r
.58461 .38404 .59281 .3929 .60811 .3611 .60002 .35152 Mtetra
1 .912 0 r
.60002 .35152 .60811 .3611 .62373 .34552 .61573 .33588 Mtetra
1 .943 0 r
.61573 .33588 .62373 .34552 .6396 .33686 .63167 .32701 Mtetra
1 .953 0 r
.63167 .32701 .6396 .33686 .65563 .33078 .64775 .32061 Mtetra
1 .955 0 r
.64775 .32061 .65563 .33078 .67178 .32552 .66397 .31538 Mtetra
1 .954 0 r
.66397 .31538 .67178 .32552 .68802 .32002 .68029 .31006 Mtetra
.68029 .31006 .68802 .32002 .70435 .31433 .69667 .3042 Mtetra
1 .955 0 r
.69667 .3042 .70435 .31433 .72078 .30892 .71316 .2985 Mtetra
.71316 .2985 .72078 .30892 .73732 .30354 .72977 .29319 Mtetra
1 .954 0 r
.72977 .29319 .73732 .30354 .75393 .29786 .74646 .28766 Mtetra
1 .955 0 r
.74646 .28766 .75393 .29786 .77064 .29214 .76323 .28173 Mtetra
.76323 .28173 .77064 .29214 .78746 .28663 .78011 .27597 Mtetra
.78011 .27597 .78746 .28663 .80439 .28104 .79711 .27048 Mtetra
1 .954 0 r
.79711 .27048 .80439 .28104 .82139 .27521 .81421 .26476 Mtetra
1 .955 0 r
.81421 .26476 .82139 .27521 .8385 .26943 .83137 .25874 Mtetra
.83137 .25874 .8385 .26943 .85573 .26378 .84866 .25288 Mtetra
.23337 .44857 .24275 .45731 .2567 .45263 .24734 .44412 Mtetra
1 .954 0 r
.24734 .44412 .2567 .45263 .27072 .4481 .26142 .43934 Mtetra
.26142 .43934 .27072 .4481 .28483 .4433 .2756 .43419 Mtetra
1 .955 0 r
.2756 .43419 .28483 .4433 .29903 .43828 .28983 .42932 Mtetra
.28983 .42932 .29903 .43828 .31329 .43354 .30411 .42484 Mtetra
1 .954 0 r
.30411 .42484 .31329 .43354 .32761 .42895 .31849 .42004 Mtetra
.31849 .42004 .32761 .42895 .34203 .424 .33298 .4147 Mtetra
1 .955 0 r
.33298 .4147 .34203 .424 .35654 .41882 .34753 .40963 Mtetra
.34753 .40963 .35654 .41882 .37111 .41404 .36213 .40514 Mtetra
1 .954 0 r
.36213 .40514 .37111 .41404 .38575 .40941 .37683 .40033 Mtetra
.37683 .40033 .38575 .40941 .40049 .40427 .39163 .39477 Mtetra
1 .955 0 r
.39163 .39477 .40049 .40427 .41531 .39903 .4065 .38959 Mtetra
1 .953 0 r
.4065 .38959 .41531 .39903 .43018 .39496 .42141 .38584 Mtetra
1 .942 0 r
.42141 .38584 .43018 .39496 .44508 .39332 .43635 .38408 Mtetra
1 .911 0 r
.43635 .38408 .44508 .39332 .45996 .39841 .45127 .38876 Mtetra
1 .826 0 r
.45127 .38876 .45996 .39841 .47475 .42028 .46604 .41068 Mtetra
1 .647 0 r
.46604 .41068 .47475 .42028 .48962 .4674 .48082 .45829 Mtetra
1 .383 0 r
.48082 .45829 .48962 .4674 .50498 .53059 .49605 .52158 Mtetra
1 .13 0 r
.49605 .52158 .50498 .53059 .52111 .57683 .5121 .56746 Mtetra
1 .024 0 r
.5121 .56746 .52111 .57683 .53764 .57189 .5287 .56247 Mtetra
1 .13 0 r
.5287 .56247 .53764 .57189 .55382 .51556 .54508 .50638 Mtetra
1 .383 0 r
.54508 .50638 .55382 .51556 .56936 .44186 .56086 .43247 Mtetra
1 .647 0 r
.56086 .43247 .56936 .44186 .58461 .38404 .5763 .37406 Mtetra
1 .826 0 r
.5763 .37406 .58461 .38404 .60002 .35152 .59184 .34137 Mtetra
1 .911 0 r
.59184 .34137 .60002 .35152 .61573 .33588 .60765 .32604 Mtetra
1 .942 0 r
.60765 .32604 .61573 .33588 .63167 .32701 .62365 .31719 Mtetra
1 .953 0 r
.62365 .31719 .63167 .32701 .64775 .32061 .63979 .31034 Mtetra
1 .955 0 r
.63979 .31034 .64775 .32061 .66397 .31538 .65607 .30495 Mtetra
1 .954 0 r
.65607 .30495 .66397 .31538 .68029 .31006 .67247 .29994 Mtetra
.67247 .29994 .68029 .31006 .69667 .3042 .68892 .29416 Mtetra
1 .955 0 r
.68892 .29416 .69667 .3042 .71316 .2985 .70546 .28804 Mtetra
.70546 .28804 .71316 .2985 .72977 .29319 .72212 .28251 Mtetra
1 .954 0 r
.72212 .28251 .72977 .29319 .74646 .28766 .73891 .27726 Mtetra
.73891 .27726 .74646 .28766 .76323 .28173 .75576 .27145 Mtetra
1 .955 0 r
.75576 .27145 .76323 .28173 .78011 .27597 .77268 .2653 Mtetra
.77268 .2653 .78011 .27597 .79711 .27048 .78974 .25954 Mtetra
1 .954 0 r
.78974 .25954 .79711 .27048 .81421 .26476 .80693 .25407 Mtetra
.80693 .25407 .81421 .26476 .83137 .25874 .82419 .24821 Mtetra
1 .955 0 r
.82419 .24821 .83137 .25874 .84866 .25288 .84152 .24199 Mtetra
1 .954 0 r
.22386 .44016 .23337 .44857 .24734 .44412 .2379 .43536 Mtetra
.2379 .43536 .24734 .44412 .26142 .43934 .25206 .43007 Mtetra
1 .955 0 r
.25206 .43007 .26142 .43934 .2756 .43419 .26627 .42507 Mtetra
.26627 .42507 .2756 .43419 .28983 .42932 .28051 .42067 Mtetra
1 .954 0 r
.28051 .42067 .28983 .42932 .30411 .42484 .29484 .41606 Mtetra
.29484 .41606 .30411 .42484 .31849 .42004 .30931 .41066 Mtetra
1 .955 0 r
.30931 .41066 .31849 .42004 .33298 .4147 .32385 .40523 Mtetra
1 .956 0 r
.32385 .40523 .33298 .4147 .34753 .40963 .33842 .40065 Mtetra
1 .954 0 r
.33842 .40065 .34753 .40963 .36213 .40514 .35305 .39628 Mtetra
1 .953 0 r
.35305 .39628 .36213 .40514 .37683 .40033 .36782 .39091 Mtetra
1 .955 0 r
.36782 .39091 .37683 .40033 .39163 .39477 .3827 .38501 Mtetra
1 .956 0 r
.3827 .38501 .39163 .39477 .4065 .38959 .3976 .38023 Mtetra
1 .952 0 r
.3976 .38023 .4065 .38959 .42141 .38584 .41254 .3768 Mtetra
1 .942 0 r
.41254 .3768 .42141 .38584 .43635 .38408 .42754 .37456 Mtetra
1 .912 0 r
.42754 .37456 .43635 .38408 .45127 .38876 .4425 .37848 Mtetra
1 .829 0 r
.4425 .37848 .45127 .38876 .46604 .41068 .45726 .40002 Mtetra
1 .65 0 r
.45726 .40002 .46604 .41068 .48082 .45829 .47195 .44698 Mtetra
1 .388 0 r
.47195 .44698 .48082 .45829 .49605 .52158 .48706 .50853 Mtetra
1 .14 0 r
.48706 .50853 .49605 .52158 .5121 .56746 .50304 .55251 Mtetra
1 .036 0 r
.50304 .55251 .5121 .56746 .5287 .56247 .51967 .54745 Mtetra
1 .14 0 r
.51967 .54745 .5287 .56247 .54508 .50638 .53623 .49315 Mtetra
1 .388 0 r
.53623 .49315 .54508 .50638 .56086 .43247 .55225 .42087 Mtetra
1 .65 0 r
.55225 .42087 .56086 .43247 .5763 .37406 .56789 .363 Mtetra
1 .829 0 r
.56789 .363 .5763 .37406 .59184 .34137 .58356 .33059 Mtetra
1 .912 0 r
.58356 .33059 .59184 .34137 .60765 .32604 .59947 .3159 Mtetra
1 .942 0 r
.59947 .3159 .60765 .32604 .62365 .31719 .61556 .30743 Mtetra
1 .952 0 r
.61556 .30743 .62365 .31719 .63979 .31034 .63175 .30015 Mtetra
1 .956 0 r
.63175 .30015 .63979 .31034 .65607 .30495 .64808 .29423 Mtetra
1 .955 0 r
.64808 .29423 .65607 .30495 .67247 .29994 .66455 .28945 Mtetra
1 .953 0 r
.66455 .28945 .67247 .29994 .68892 .29416 .6811 .28413 Mtetra
1 .954 0 r
.6811 .28413 .68892 .29416 .70546 .28804 .69769 .27779 Mtetra
1 .956 0 r
.69769 .27779 .70546 .28804 .72212 .28251 .71439 .27164 Mtetra
1 .955 0 r
.71439 .27164 .72212 .28251 .73891 .27726 .73125 .26637 Mtetra
1 .954 0 r
.73125 .26637 .73891 .27726 .75576 .27145 .74821 .26106 Mtetra
.74821 .26106 .75576 .27145 .77268 .2653 .76521 .25493 Mtetra
1 .955 0 r
.76521 .25493 .77268 .2653 .78974 .25954 .7823 .24857 Mtetra
.7823 .24857 .78974 .25954 .80693 .25407 .79954 .24283 Mtetra
1 .954 0 r
.79954 .24283 .80693 .25407 .82419 .24821 .81692 .23739 Mtetra
.81692 .23739 .82419 .24821 .84152 .24199 .83436 .23142 Mtetra
.21428 .43135 .22386 .44016 .2379 .43536 .22842 .42588 Mtetra
1 .955 0 r
.22842 .42588 .2379 .43536 .25206 .43007 .24261 .42079 Mtetra
1 .956 0 r
.24261 .42079 .25206 .43007 .26627 .42507 .2568 .41648 Mtetra
1 .954 0 r
.2568 .41648 .26627 .42507 .28051 .42067 .27108 .41205 Mtetra
1 .953 0 r
.27108 .41205 .28051 .42067 .29484 .41606 .28552 .40665 Mtetra
1 .955 0 r
.28552 .40665 .29484 .41606 .30931 .41066 .30005 .4009 Mtetra
1 .956 0 r
.30005 .4009 .30931 .41066 .32385 .40523 .3146 .39605 Mtetra
1 .955 0 r
.3146 .39605 .32385 .40523 .33842 .40065 .32918 .39197 Mtetra
1 .953 0 r
.32918 .39197 .33842 .40065 .35305 .39628 .34389 .38712 Mtetra
.34389 .38712 .35305 .39628 .36782 .39091 .35875 .38098 Mtetra
1 .956 0 r
.35875 .38098 .36782 .39091 .3827 .38501 .37367 .37519 Mtetra
1 .957 0 r
.37367 .37519 .3827 .38501 .3976 .38023 .38859 .37114 Mtetra
1 .951 0 r
.38859 .37114 .3976 .38023 .41254 .3768 .40357 .36775 Mtetra
1 .941 0 r
.40357 .36775 .41254 .3768 .42754 .37456 .41865 .36459 Mtetra
1 .915 0 r
.41865 .36459 .42754 .37456 .4425 .37848 .43366 .36759 Mtetra
1 .835 0 r
.43366 .36759 .4425 .37848 .45726 .40002 .44841 .38844 Mtetra
1 .66 0 r
.44841 .38844 .45726 .40002 .47195 .44698 .46303 .43367 Mtetra
1 .406 0 r
.46303 .43367 .47195 .44698 .48706 .50853 .47805 .4917 Mtetra
1 .168 0 r
.47805 .4917 .48706 .50853 .50304 .55251 .49395 .53232 Mtetra
1 .07 0 r
.49395 .53232 .50304 .55251 .51967 .54745 .51059 .52719 Mtetra
1 .168 0 r
.51059 .52719 .51967 .54745 .53623 .49315 .5273 .47611 Mtetra
1 .406 0 r
.5273 .47611 .53623 .49315 .55225 .42087 .54355 .40725 Mtetra
1 .66 0 r
.54355 .40725 .55225 .42087 .56789 .363 .55939 .35101 Mtetra
1 .835 0 r
.55939 .35101 .56789 .363 .58356 .33059 .57519 .31918 Mtetra
1 .915 0 r
.57519 .31918 .58356 .33059 .59947 .3159 .5912 .30531 Mtetra
1 .941 0 r
.5912 .30531 .59947 .3159 .61556 .30743 .60738 .29765 Mtetra
1 .951 0 r
.60738 .29765 .61556 .30743 .63175 .30015 .62364 .29021 Mtetra
1 .957 0 r
.62364 .29021 .63175 .30015 .64808 .29423 .64 .28344 Mtetra
1 .956 0 r
.64 .28344 .64808 .29423 .66455 .28945 .65653 .27843 Mtetra
1 .953 0 r
.65653 .27843 .66455 .28945 .6811 .28413 .67317 .27379 Mtetra
.67317 .27379 .6811 .28413 .69769 .27779 .68986 .26782 Mtetra
1 .955 0 r
.68986 .26782 .69769 .27779 .71439 .27164 .7066 .26105 Mtetra
1 .956 0 r
.7066 .26105 .71439 .27164 .73125 .26637 .72348 .25506 Mtetra
1 .955 0 r
.72348 .25506 .73125 .26637 .74821 .26106 .74053 .25 Mtetra
1 .953 0 r
.74053 .25 .74821 .26106 .76521 .25493 .75766 .24457 Mtetra
1 .954 0 r
.75766 .24457 .76521 .25493 .7823 .24857 .77482 .23813 Mtetra
1 .956 0 r
.77482 .23813 .7823 .24857 .79954 .24283 .79207 .23155 Mtetra
1 .955 0 r
.79207 .23155 .79954 .24283 .81692 .23739 .8095 .22578 Mtetra
1 .954 0 r
.8095 .22578 .81692 .23739 .83436 .23142 .82707 .2204 Mtetra
1 .956 0 r
.20469 .42158 .21428 .43135 .22842 .42588 .21883 .41651 Mtetra
.21883 .41651 .22842 .42588 .24261 .42079 .23298 .41234 Mtetra
1 .954 0 r
.23298 .41234 .24261 .42079 .2568 .41648 .24721 .40804 Mtetra
1 .952 0 r
.24721 .40804 .2568 .41648 .27108 .41205 .26162 .40261 Mtetra
1 .954 0 r
.26162 .40261 .27108 .41205 .28552 .40665 .27615 .39659 Mtetra
1 .957 0 r
.27615 .39659 .28552 .40665 .30005 .4009 .29068 .39144 Mtetra
1 .956 0 r
.29068 .39144 .30005 .4009 .3146 .39605 .30521 .38748 Mtetra
1 .953 0 r
.30521 .38748 .3146 .39605 .32918 .39197 .31985 .38317 Mtetra
1 .951 0 r
.31985 .38317 .32918 .39197 .34389 .38712 .33467 .37723 Mtetra
1 .955 0 r
.33467 .37723 .34389 .38712 .35875 .38098 .34961 .37067 Mtetra
1 .958 0 r
.34961 .37067 .35875 .38098 .37367 .37519 .36453 .36568 Mtetra
1 .956 0 r
.36453 .36568 .37367 .37519 .38859 .37114 .37946 .36236 Mtetra
1 .948 0 r
.37946 .36236 .38859 .37114 .40357 .36775 .39452 .35847 Mtetra
1 .941 0 r
.39452 .35847 .40357 .36775 .41865 .36459 .40969 .35405 Mtetra
1 .92 0 r
.40969 .35405 .41865 .36459 .43366 .36759 .42475 .35622 Mtetra
1 .843 0 r
.42475 .35622 .43366 .36759 .44841 .38844 .43949 .3762 Mtetra
1 .675 0 r
.43949 .3762 .44841 .38844 .46303 .43367 .45407 .41867 Mtetra
1 .435 0 r
.45407 .41867 .46303 .43367 .47805 .4917 .46903 .47157 Mtetra
1 .214 0 r
.46903 .47157 .47805 .4917 .49395 .53232 .48487 .50762 Mtetra
1 .123 0 r
.48487 .50762 .49395 .53232 .51059 .52719 .5015 .50241 Mtetra
1 .214 0 r
.5015 .50241 .51059 .52719 .5273 .47611 .51832 .45576 Mtetra
1 .435 0 r
.51832 .45576 .5273 .47611 .54355 .40725 .53476 .39193 Mtetra
1 .675 0 r
.53476 .39193 .54355 .40725 .55939 .35101 .5508 .33834 Mtetra
1 .843 0 r
.5508 .33834 .55939 .35101 .57519 .31918 .56673 .30727 Mtetra
1 .92 0 r
.56673 .30727 .57519 .31918 .5912 .30531 .58283 .29413 Mtetra
1 .941 0 r
.58283 .29413 .5912 .30531 .60738 .29765 .5991 .28763 Mtetra
1 .948 0 r
.5991 .28763 .60738 .29765 .62364 .29021 .61545 .28059 Mtetra
1 .956 0 r
.61545 .28059 .62364 .29021 .64 .28344 .63186 .27295 Mtetra
1 .958 0 r
.63186 .27295 .64 .28344 .65653 .27843 .64841 .26702 Mtetra
1 .955 0 r
.64841 .26702 .65653 .27843 .67317 .27379 .66513 .26268 Mtetra
1 .951 0 r
.66513 .26268 .67317 .27379 .68986 .26782 .68194 .25771 Mtetra
1 .953 0 r
.68194 .25771 .68986 .26782 .7066 .26105 .69877 .25106 Mtetra
1 .956 0 r
.69877 .25106 .7066 .26105 .72348 .25506 .71566 .24405 Mtetra
1 .957 0 r
.71566 .24405 .72348 .25506 .74053 .25 .73273 .23824 Mtetra
1 .954 0 r
.73273 .23824 .74053 .25 .75766 .24457 .74997 .23333 Mtetra
1 .952 0 r
.74997 .23333 .75766 .24457 .77482 .23813 .76728 .22781 Mtetra
1 .954 0 r
.76728 .22781 .77482 .23813 .79207 .23155 .78461 .22111 Mtetra
1 .956 0 r
.78461 .22111 .79207 .23155 .8095 .22578 .80202 .21426 Mtetra
.80202 .21426 .8095 .22578 .82707 .2204 .81962 .20834 Mtetra
.19494 .41231 .20469 .42158 .21883 .41651 .20902 .40833 Mtetra
1 .954 0 r
.20902 .40833 .21883 .41651 .23298 .41234 .22322 .40403 Mtetra
1 .952 0 r
.22322 .40403 .23298 .41234 .24721 .40804 .23761 .39845 Mtetra
1 .954 0 r
.23761 .39845 .24721 .40804 .26162 .40261 .25213 .39222 Mtetra
1 .957 0 r
.25213 .39222 .26162 .40261 .27615 .39659 .26664 .38688 Mtetra
.26664 .38688 .27615 .39659 .29068 .39144 .28113 .38294 Mtetra
1 .954 0 r
.28113 .38294 .29068 .39144 .30521 .38748 .2957 .37904 Mtetra
1 .95 0 r
.2957 .37904 .30521 .38748 .31985 .38317 .31047 .37348 Mtetra
1 .953 0 r
.31047 .37348 .31985 .38317 .33467 .37723 .32541 .36657 Mtetra
1 .958 0 r
.32541 .36657 .33467 .37723 .34961 .37067 .34035 .36054 Mtetra
1 .959 0 r
.34035 .36054 .34961 .37067 .36453 .36568 .35526 .35679 Mtetra
1 .952 0 r
.35526 .35679 .36453 .36568 .37946 .36236 .37022 .35371 Mtetra
1 .946 0 r
.37022 .35371 .37946 .36236 .39452 .35847 .38538 .34861 Mtetra
1 .944 0 r
.38538 .34861 .39452 .35847 .40969 .35405 .40066 .34291 Mtetra
1 .926 0 r
.40066 .34291 .40969 .35405 .42475 .35622 .41575 .34459 Mtetra
1 .853 0 r
.41575 .34459 .42475 .35622 .43949 .3762 .4305 .36359 Mtetra
1 .694 0 r
.4305 .36359 .43949 .3762 .45407 .41867 .44507 .40236 Mtetra
1 .473 0 r
.44507 .40236 .45407 .41867 .46903 .47157 .46002 .44881 Mtetra
1 .274 0 r
.46002 .44881 .46903 .47157 .48487 .50762 .47582 .4794 Mtetra
1 .193 0 r
.47582 .4794 .48487 .50762 .5015 .50241 .49242 .4741 Mtetra
1 .274 0 r
.49242 .4741 .5015 .50241 .51832 .45576 .5093 .43278 Mtetra
1 .473 0 r
.5093 .43278 .51832 .45576 .53476 .39193 .52591 .37528 Mtetra
1 .694 0 r
.52591 .37528 .53476 .39193 .5508 .33834 .54213 .3253 Mtetra
1 .853 0 r
.54213 .3253 .5508 .33834 .56673 .30727 .55819 .2951 Mtetra
1 .926 0 r
.55819 .2951 .56673 .30727 .58283 .29413 .57437 .28232 Mtetra
1 .944 0 r
.57437 .28232 .58283 .29413 .5991 .28763 .59073 .27701 Mtetra
1 .946 0 r
.59073 .27701 .5991 .28763 .61545 .28059 .60717 .27108 Mtetra
1 .952 0 r
.60717 .27108 .61545 .28059 .63186 .27295 .62364 .26309 Mtetra
1 .959 0 r
.62364 .26309 .63186 .27295 .64841 .26702 .64022 .25577 Mtetra
1 .958 0 r
.64022 .25577 .64841 .26702 .66513 .26268 .65698 .25077 Mtetra
1 .953 0 r
.65698 .25077 .66513 .26268 .68194 .25771 .67389 .24668 Mtetra
1 .95 0 r
.67389 .24668 .68194 .25771 .69877 .25106 .69085 .24119 Mtetra
1 .954 0 r
.69085 .24119 .69877 .25106 .71566 .24405 .70782 .23399 Mtetra
1 .957 0 r
.70782 .23399 .71566 .24405 .73273 .23824 .72488 .22682 Mtetra
.72488 .22682 .73273 .23824 .74997 .23333 .74213 .22109 Mtetra
1 .954 0 r
.74213 .22109 .74997 .23333 .76728 .22781 .75957 .21628 Mtetra
1 .952 0 r
.75957 .21628 .76728 .22781 .78461 .22111 .77708 .21078 Mtetra
1 .954 0 r
.77708 .21078 .78461 .22111 .80202 .21426 .79458 .20396 Mtetra
1 .956 0 r
.79458 .20396 .80202 .21426 .81962 .20834 .81215 .19677 Mtetra
1 .953 0 r
.18494 .4045 .19494 .41231 .20902 .40833 .19912 .39996 Mtetra
1 .951 0 r
.19912 .39996 .20902 .40833 .22322 .40403 .21351 .39408 Mtetra
1 .954 0 r
.21351 .39408 .22322 .40403 .23761 .39845 .22801 .38772 Mtetra
1 .958 0 r
.22801 .38772 .23761 .39845 .25213 .39222 .24249 .38238 Mtetra
.24249 .38238 .25213 .39222 .26664 .38688 .25693 .37851 Mtetra
1 .954 0 r
.25693 .37851 .26664 .38688 .28113 .38294 .27144 .37482 Mtetra
1 .95 0 r
.27144 .37482 .28113 .38294 .2957 .37904 .28615 .36957 Mtetra
1 .951 0 r
.28615 .36957 .2957 .37904 .31047 .37348 .30107 .3626 Mtetra
1 .957 0 r
.30107 .3626 .31047 .37348 .32541 .36657 .31605 .35583 Mtetra
1 .961 0 r
.31605 .35583 .32541 .36657 .34035 .36054 .33095 .35126 Mtetra
1 .957 0 r
.33095 .35126 .34035 .36054 .35526 .35679 .34584 .34848 Mtetra
1 .948 0 r
.34584 .34848 .35526 .35679 .37022 .35371 .3609 .34466 Mtetra
1 .945 0 r
.3609 .34466 .37022 .35371 .38538 .34861 .37619 .3379 Mtetra
1 .948 0 r
.37619 .3379 .38538 .34861 .40066 .34291 .39155 .33132 Mtetra
1 .934 0 r
.39155 .33132 .40066 .34291 .41575 .34459 .40667 .33304 Mtetra
1 .863 0 r
.40667 .33304 .41575 .34459 .4305 .36359 .42142 .3509 Mtetra
1 .716 0 r
.42142 .3509 .4305 .36359 .44507 .40236 .43604 .38511 Mtetra
1 .518 0 r
.43604 .38511 .44507 .40236 .46002 .44881 .45103 .42421 Mtetra
1 .344 0 r
.45103 .42421 .46002 .44881 .47582 .4794 .46681 .44884 Mtetra
1 .275 0 r
.46681 .44884 .47582 .4794 .49242 .4741 .48338 .44346 Mtetra
1 .344 0 r
.48338 .44346 .49242 .4741 .5093 .43278 .50027 .40793 Mtetra
1 .518 0 r
.50027 .40793 .5093 .43278 .52591 .37528 .517 .35769 Mtetra
1 .716 0 r
.517 .35769 .52591 .37528 .54213 .3253 .53338 .31217 Mtetra
1 .863 0 r
.53338 .31217 .54213 .3253 .55819 .2951 .54956 .28299 Mtetra
1 .934 0 r
.54956 .28299 .55819 .2951 .57437 .28232 .56582 .27006 Mtetra
1 .948 0 r
.56582 .27006 .57437 .28232 .59073 .27701 .58224 .26552 Mtetra
1 .945 0 r
.58224 .26552 .59073 .27701 .60717 .27108 .59879 .26115 Mtetra
1 .948 0 r
.59879 .26115 .60717 .27108 .62364 .26309 .61536 .2538 Mtetra
1 .957 0 r
.61536 .2538 .62364 .26309 .64022 .25577 .63198 .24537 Mtetra
1 .961 0 r
.63198 .24537 .64022 .25577 .65698 .25077 .64874 .23875 Mtetra
1 .957 0 r
.64874 .23875 .65698 .25077 .67389 .24668 .6657 .23439 Mtetra
1 .951 0 r
.6657 .23439 .67389 .24668 .69085 .24119 .68279 .23023 Mtetra
1 .95 0 r
.68279 .23023 .69085 .24119 .70782 .23399 .69991 .22431 Mtetra
1 .954 0 r
.69991 .22431 .70782 .23399 .72488 .22682 .71704 .21676 Mtetra
1 .958 0 r
.71704 .21676 .72488 .22682 .74213 .22109 .73426 .20939 Mtetra
.73426 .20939 .74213 .22109 .75957 .21628 .75169 .20353 Mtetra
1 .954 0 r
.75169 .20353 .75957 .21628 .77708 .21078 .76932 .19872 Mtetra
1 .951 0 r
.76932 .19872 .77708 .21078 .79458 .20396 .78703 .19341 Mtetra
1 .953 0 r
.78703 .19341 .79458 .20396 .81215 .19677 .80474 .1867 Mtetra
1 .951 0 r
.17493 .39565 .18494 .4045 .19912 .39996 .18933 .38939 Mtetra
1 .955 0 r
.18933 .38939 .19912 .39996 .21351 .39408 .2038 .38309 Mtetra
1 .958 0 r
.2038 .38309 .21351 .39408 .22801 .38772 .21822 .37802 Mtetra
1 .959 0 r
.21822 .37802 .22801 .38772 .24249 .38238 .23259 .37429 Mtetra
1 .954 0 r
.23259 .37429 .24249 .38238 .25693 .37851 .24705 .37062 Mtetra
1 .949 0 r
.24705 .37062 .25693 .37851 .27144 .37482 .26173 .36543 Mtetra
1 .95 0 r
.26173 .36543 .27144 .37482 .28615 .36957 .27663 .35847 Mtetra
1 .956 0 r
.27663 .35847 .28615 .36957 .30107 .3626 .29161 .35134 Mtetra
1 .962 0 r
.29161 .35134 .30107 .3626 .31605 .35583 .30652 .34607 Mtetra
1 .96 0 r
.30652 .34607 .31605 .35583 .33095 .35126 .32137 .34302 Mtetra
1 .951 0 r
.32137 .34302 .33095 .35126 .34584 .34848 .33632 .34012 Mtetra
1 .944 0 r
.33632 .34012 .34584 .34848 .3609 .34466 .35152 .33461 Mtetra
1 .947 0 r
.35152 .33461 .3609 .34466 .37619 .3379 .36694 .32633 Mtetra
1 .955 0 r
.36694 .32633 .37619 .3379 .39155 .33132 .38235 .31967 Mtetra
1 .941 0 r
.38235 .31967 .39155 .33132 .40667 .33304 .39748 .32189 Mtetra
1 .872 0 r
.39748 .32189 .40667 .33304 .42142 .3509 .41226 .33829 Mtetra
1 .738 0 r
.41226 .33829 .42142 .3509 .43604 .38511 .42696 .36725 Mtetra
1 .567 0 r
.42696 .36725 .43604 .38511 .45103 .42421 .44204 .39855 Mtetra
1 .421 0 r
.44204 .39855 .45103 .42421 .46681 .44884 .45784 .41716 Mtetra
1 .364 0 r
.45784 .41716 .46681 .44884 .48338 .44346 .47436 .41169 Mtetra
1 .421 0 r
.47436 .41169 .48338 .44346 .50027 .40793 .49124 .38203 Mtetra
1 .567 0 r
.49124 .38203 .50027 .40793 .517 .35769 .50803 .33948 Mtetra
1 .738 0 r
.50803 .33948 .517 .35769 .53338 .31217 .52455 .29912 Mtetra
1 .872 0 r
.52455 .29912 .53338 .31217 .54956 .28299 .54086 .2713 Mtetra
1 .941 0 r
.54086 .2713 .54956 .28299 .56582 .27006 .55718 .25773 Mtetra
1 .955 0 r
.55718 .25773 .56582 .27006 .58224 .26552 .57366 .25314 Mtetra
1 .947 0 r
.57366 .25314 .58224 .26552 .59879 .26115 .59029 .2502 Mtetra
1 .944 0 r
.59029 .2502 .59879 .26115 .61536 .2538 .60697 .24444 Mtetra
1 .951 0 r
.60697 .24444 .61536 .2538 .63198 .24537 .62367 .23601 Mtetra
1 .96 0 r
.62367 .23601 .63198 .24537 .64874 .23875 .64046 .22773 Mtetra
1 .962 0 r
.64046 .22773 .64874 .23875 .6657 .23439 .65741 .22171 Mtetra
1 .956 0 r
.65741 .22171 .6657 .23439 .68279 .23023 .67457 .21759 Mtetra
1 .95 0 r
.67457 .21759 .68279 .23023 .69991 .22431 .69184 .21329 Mtetra
1 .949 0 r
.69184 .21329 .69991 .22431 .71704 .21676 .70914 .20718 Mtetra
1 .954 0 r
.70914 .20718 .71704 .21676 .73426 .20939 .72643 .19948 Mtetra
1 .959 0 r
.72643 .19948 .73426 .20939 .75169 .20353 .74382 .19182 Mtetra
1 .958 0 r
.74382 .19182 .75169 .20353 .76932 .19872 .76141 .18555 Mtetra
1 .955 0 r
.76141 .18555 .76932 .19872 .78703 .19341 .77922 .18054 Mtetra
1 .951 0 r
.77922 .18054 .78703 .19341 .80474 .1867 .79715 .1755 Mtetra
1 .956 0 r
.16507 .38438 .17493 .39565 .18933 .38939 .17947 .3785 Mtetra
1 .959 0 r
.17947 .3785 .18933 .38939 .2038 .38309 .19379 .37394 Mtetra
1 .958 0 r
.19379 .37394 .2038 .38309 .21822 .37802 .20811 .37036 Mtetra
1 .953 0 r
.20811 .37036 .21822 .37802 .23259 .37429 .22254 .36646 Mtetra
1 .949 0 r
.22254 .36646 .23259 .37429 .24705 .37062 .23721 .36103 Mtetra
.23721 .36103 .24705 .37062 .26173 .36543 .25209 .35403 Mtetra
1 .955 0 r
.25209 .35403 .26173 .36543 .27663 .35847 .26705 .34685 Mtetra
1 .962 0 r
.26705 .34685 .27663 .35847 .29161 .35134 .28195 .34123 Mtetra
.28195 .34123 .29161 .35134 .30652 .34607 .29678 .33778 Mtetra
1 .954 0 r
.29678 .33778 .30652 .34607 .32137 .34302 .31165 .33512 Mtetra
1 .945 0 r
.31165 .33512 .32137 .34302 .33632 .34012 .32674 .33077 Mtetra
1 .943 0 r
.32674 .33077 .33632 .34012 .35152 .33461 .34211 .32329 Mtetra
1 .953 0 r
.34211 .32329 .35152 .33461 .36694 .32633 .35763 .31426 Mtetra
1 .962 0 r
.35763 .31426 .36694 .32633 .38235 .31967 .37304 .30845 Mtetra
1 .946 0 r
.37304 .30845 .38235 .31967 .39748 .32189 .38816 .31137 Mtetra
1 .879 0 r
.38816 .31137 .39748 .32189 .41226 .33829 .403 .32581 Mtetra
1 .761 0 r
.403 .32581 .41226 .33829 .42696 .36725 .41784 .34904 Mtetra
1 .619 0 r
.41784 .34904 .42696 .36725 .44204 .39855 .43304 .37259 Mtetra
1 .501 0 r
.43304 .37259 .44204 .39855 .45784 .41716 .44889 .3855 Mtetra
1 .455 0 r
.44889 .3855 .45784 .41716 .47436 .41169 .46537 .37993 Mtetra
1 .501 0 r
.46537 .37993 .47436 .41169 .49124 .38203 .48219 .35582 Mtetra
1 .619 0 r
.48219 .35582 .49124 .38203 .50803 .33948 .49901 .32091 Mtetra
1 .761 0 r
.49901 .32091 .50803 .33948 .52455 .29912 .51563 .28619 Mtetra
1 .879 0 r
.51563 .28619 .52455 .29912 .54086 .2713 .53206 .26022 Mtetra
1 .946 0 r
.53206 .26022 .54086 .2713 .55718 .25773 .54846 .24582 Mtetra
1 .962 0 r
.54846 .24582 .55718 .25773 .57366 .25314 .56499 .24025 Mtetra
1 .953 0 r
.56499 .24025 .57366 .25314 .59029 .2502 .58167 .23793 Mtetra
1 .943 0 r
.58167 .23793 .59029 .2502 .60697 .24444 .59846 .23406 Mtetra
1 .945 0 r
.59846 .23406 .60697 .24444 .62367 .23601 .61529 .22699 Mtetra
1 .954 0 r
.61529 .22699 .62367 .23601 .64046 .22773 .63214 .21818 Mtetra
1 .962 0 r
.63214 .21818 .64046 .22773 .65741 .22171 .6491 .21018 Mtetra
.6491 .21018 .65741 .22171 .67457 .21759 .66624 .20438 Mtetra
1 .955 0 r
.66624 .20438 .67457 .21759 .69184 .21329 .68358 .20019 Mtetra
1 .949 0 r
.68358 .20019 .69184 .21329 .70914 .20718 .70104 .1958 Mtetra
.70104 .1958 .70914 .20718 .72643 .19948 .71852 .1898 Mtetra
1 .953 0 r
.71852 .1898 .72643 .19948 .74382 .19182 .73601 .18221 Mtetra
1 .958 0 r
.73601 .18221 .74382 .19182 .76141 .18555 .75357 .17426 Mtetra
1 .959 0 r
.75357 .17426 .76141 .18555 .77922 .18054 .7713 .16732 Mtetra
1 .956 0 r
.7713 .16732 .77922 .18054 .79715 .1755 .78926 .16175 Mtetra
1 .959 0 r
.15497 .37433 .16507 .38438 .17947 .3785 .1692 .37032 Mtetra
1 .957 0 r
.1692 .37032 .17947 .3785 .19379 .37394 .18348 .36664 Mtetra
1 .951 0 r
.18348 .36664 .19379 .37394 .20811 .37036 .19793 .36219 Mtetra
1 .948 0 r
.19793 .36219 .20811 .37036 .22254 .36646 .21261 .35627 Mtetra
1 .95 0 r
.21261 .35627 .22254 .36646 .23721 .36103 .22747 .34922 Mtetra
1 .956 0 r
.22747 .34922 .23721 .36103 .25209 .35403 .24238 .34224 Mtetra
1 .962 0 r
.24238 .34224 .25209 .35403 .26705 .34685 .25725 .33668 Mtetra
1 .963 0 r
.25725 .33668 .26705 .34685 .28195 .34123 .27204 .33297 Mtetra
1 .957 0 r
.27204 .33297 .28195 .34123 .29678 .33778 .28687 .33013 Mtetra
1 .946 0 r
.28687 .33013 .29678 .33778 .31165 .33512 .30188 .32626 Mtetra
1 .941 0 r
.30188 .32626 .31165 .33512 .32674 .33077 .31716 .3198 Mtetra
1 .948 0 r
.31716 .3198 .32674 .33077 .34211 .32329 .33266 .31099 Mtetra
1 .961 0 r
.33266 .31099 .34211 .32329 .35763 .31426 .34821 .3024 Mtetra
1 .968 0 r
.34821 .3024 .35763 .31426 .37304 .30845 .36359 .29807 Mtetra
1 .947 0 r
.36359 .29807 .37304 .30845 .38816 .31137 .37871 .30146 Mtetra
1 .884 0 r
.37871 .30146 .38816 .31137 .403 .32581 .39365 .31336 Mtetra
1 .784 0 r
.39365 .31336 .403 .32581 .41784 .34904 .40866 .33068 Mtetra
1 .67 0 r
.40866 .33068 .41784 .34904 .43304 .37259 .42402 .34698 Mtetra
1 .58 0 r
.42402 .34698 .43304 .37259 .44889 .3855 .43993 .35482 Mtetra
1 .545 0 r
.43993 .35482 .44889 .3855 .46537 .37993 .45637 .34917 Mtetra
1 .58 0 r
.45637 .34917 .46537 .37993 .48219 .35582 .47313 .32997 Mtetra
1 .67 0 r
.47313 .32997 .48219 .35582 .49901 .32091 .48994 .30219 Mtetra
1 .784 0 r
.48994 .30219 .49901 .32091 .51563 .28619 .50663 .27328 Mtetra
1 .884 0 r
.50663 .27328 .51563 .28619 .53206 .26022 .52317 .24975 Mtetra
1 .947 0 r
.52317 .24975 .53206 .26022 .54846 .24582 .53966 .23475 Mtetra
1 .968 0 r
.53966 .23475 .54846 .24582 .56499 .24025 .55623 .22755 Mtetra
1 .961 0 r
.55623 .22755 .56499 .24025 .58167 .23793 .57296 .22466 Mtetra
1 .948 0 r
.57296 .22466 .58167 .23793 .59846 .23406 .58982 .22202 Mtetra
1 .941 0 r
.58982 .22202 .59846 .23406 .61529 .22699 .60677 .21698 Mtetra
1 .946 0 r
.60677 .21698 .61529 .22699 .63214 .21818 .62374 .20929 Mtetra
1 .957 0 r
.62374 .20929 .63214 .21818 .6491 .21018 .64076 .20052 Mtetra
1 .963 0 r
.64076 .20052 .6491 .21018 .66624 .20438 .6579 .19264 Mtetra
1 .962 0 r
.6579 .19264 .66624 .20438 .68358 .20019 .67522 .18665 Mtetra
1 .956 0 r
.67522 .18665 .68358 .20019 .70104 .1958 .69273 .18211 Mtetra
1 .95 0 r
.69273 .18211 .70104 .1958 .71852 .1898 .71037 .17766 Mtetra
1 .948 0 r
.71037 .17766 .71852 .1898 .73601 .18221 .72807 .17202 Mtetra
1 .951 0 r
.72807 .17202 .73601 .18221 .75357 .17426 .74578 .16486 Mtetra
1 .957 0 r
.74578 .16486 .75357 .17426 .7713 .16732 .76353 .15688 Mtetra
1 .959 0 r
.76353 .15688 .7713 .16732 .78926 .16175 .7814 .14922 Mtetra
1 .954 0 r
.14443 .36703 .15497 .37433 .1692 .37032 .15873 .36277 Mtetra
1 .949 0 r
.15873 .36277 .1692 .37032 .18348 .36664 .17323 .35748 Mtetra
1 .948 0 r
.17323 .35748 .18348 .36664 .19793 .36219 .18793 .35105 Mtetra
1 .951 0 r
.18793 .35105 .19793 .36219 .21261 .35627 .20276 .34409 Mtetra
1 .958 0 r
.20276 .34409 .21261 .35627 .22747 .34922 .2176 .3376 Mtetra
1 .963 0 r
.2176 .3376 .22747 .34922 .24238 .34224 .2324 .3324 Mtetra
.2324 .3324 .24238 .34224 .25725 .33668 .24715 .32862 Mtetra
1 .957 0 r
.24715 .32862 .25725 .33668 .27204 .33297 .26195 .32543 Mtetra
1 .948 0 r
.26195 .32543 .27204 .33297 .28687 .33013 .27692 .32146 Mtetra
1 .942 0 r
.27692 .32146 .28687 .33013 .30188 .32626 .29213 .31552 Mtetra
1 .945 0 r
.29213 .31552 .30188 .32626 .31716 .3198 .30757 .30745 Mtetra
1 .956 0 r
.30757 .30745 .31716 .3198 .33266 .31099 .32313 .29858 Mtetra
1 .969 0 r
.32313 .29858 .33266 .31099 .34821 .3024 .33863 .29142 Mtetra
1 .97 0 r
.33863 .29142 .34821 .3024 .36359 .29807 .35397 .28865 Mtetra
1 .945 0 r
.35397 .28865 .36359 .29807 .37871 .30146 .36913 .2919 Mtetra
1 .888 0 r
.36913 .2919 .37871 .30146 .39365 .31336 .38421 .30074 Mtetra
1 .807 0 r
.38421 .30074 .39365 .31336 .40866 .33068 .39942 .31236 Mtetra
1 .72 0 r
.39942 .31236 .40866 .33068 .42402 .34698 .41496 .32229 Mtetra
1 .654 0 r
.41496 .32229 .42402 .34698 .43993 .35482 .43094 .32589 Mtetra
1 .629 0 r
.43094 .32589 .43993 .35482 .45637 .34917 .44735 .32014 Mtetra
1 .654 0 r
.44735 .32014 .45637 .34917 .47313 .32997 .46403 .30504 Mtetra
1 .72 0 r
.46403 .30504 .47313 .32997 .48994 .30219 .48081 .2835 Mtetra
1 .807 0 r
.48081 .2835 .48994 .30219 .50663 .27328 .49754 .2602 Mtetra
1 .888 0 r
.49754 .2602 .50663 .27328 .52317 .24975 .51418 .23963 Mtetra
1 .945 0 r
.51418 .23963 .52317 .24975 .53966 .23475 .53076 .22466 Mtetra
1 .97 0 r
.53076 .22466 .53966 .23475 .55623 .22755 .5474 .21574 Mtetra
1 .969 0 r
.5474 .21574 .55623 .22755 .57296 .22466 .56416 .21127 Mtetra
1 .956 0 r
.56416 .21127 .57296 .22466 .58982 .22202 .58107 .20855 Mtetra
1 .945 0 r
.58107 .20855 .58982 .22202 .60677 .21698 .59811 .20502 Mtetra
1 .942 0 r
.59811 .20502 .60677 .21698 .62374 .20929 .61521 .19932 Mtetra
1 .948 0 r
.61521 .19932 .62374 .20929 .64076 .20052 .63236 .19159 Mtetra
1 .957 0 r
.63236 .19159 .64076 .20052 .6579 .19264 .64956 .18304 Mtetra
1 .963 0 r
.64956 .18304 .6579 .19264 .67522 .18665 .66687 .1751 Mtetra
.66687 .1751 .67522 .18665 .69273 .18211 .68435 .1686 Mtetra
1 .958 0 r
.68435 .1686 .69273 .18211 .71037 .17766 .70202 .16343 Mtetra
1 .951 0 r
.70202 .16343 .71037 .17766 .72807 .17202 .71984 .15874 Mtetra
1 .948 0 r
.71984 .15874 .72807 .17202 .74578 .16486 .73776 .15349 Mtetra
1 .949 0 r
.73776 .15349 .74578 .16486 .76353 .15688 .75572 .14706 Mtetra
1 .954 0 r
.75572 .14706 .76353 .15688 .7814 .14922 .77371 .13954 Mtetra
1 .949 0 r
.13395 .35815 .14443 .36703 .15873 .36277 .14851 .35207 Mtetra
1 .95 0 r
.14851 .35207 .15873 .36277 .17323 .35748 .1632 .34546 Mtetra
1 .955 0 r
.1632 .34546 .17323 .35748 .18793 .35105 .17794 .33896 Mtetra
1 .96 0 r
.17794 .33896 .18793 .35105 .20276 .34409 .19267 .3332 Mtetra
1 .963 0 r
.19267 .3332 .20276 .34409 .2176 .3376 .20738 .32849 Mtetra
1 .961 0 r
.20738 .32849 .2176 .3376 .2324 .3324 .22209 .32466 Mtetra
1 .955 0 r
.22209 .32466 .2324 .3324 .24715 .32862 .23688 .32099 Mtetra
1 .948 0 r
.23688 .32099 .24715 .32862 .26195 .32543 .25184 .31656 Mtetra
1 .943 0 r
.25184 .31656 .26195 .32543 .27692 .32146 .26702 .31064 Mtetra
1 .944 0 r
.26702 .31064 .27692 .32146 .29213 .31552 .2824 .30314 Mtetra
1 .953 0 r
.2824 .30314 .29213 .31552 .30757 .30745 .2979 .29478 Mtetra
1 .965 0 r
.2979 .29478 .30757 .30745 .32313 .29858 .31343 .28705 Mtetra
1 .973 0 r
.31343 .28705 .32313 .29858 .33863 .29142 .32888 .28166 Mtetra
1 .967 0 r
.32888 .28166 .33863 .29142 .35397 .28865 .3442 .27994 Mtetra
1 .94 0 r
.3442 .27994 .35397 .28865 .36913 .2919 .35944 .28228 Mtetra
1 .891 0 r
.35944 .28228 .36913 .2919 .38421 .30074 .3747 .28775 Mtetra
1 .829 0 r
.3747 .28775 .38421 .30074 .39942 .31236 .39012 .29424 Mtetra
1 .767 0 r
.39012 .29424 .39942 .31236 .41496 .32229 .40582 .29894 Mtetra
1 .721 0 r
.40582 .29894 .41496 .32229 .43094 .32589 .42188 .2992 Mtetra
1 .704 0 r
.42188 .2992 .43094 .32589 .44735 .32014 .43826 .29337 Mtetra
1 .721 0 r
.43826 .29337 .44735 .32014 .46403 .30504 .45489 .28145 Mtetra
1 .767 0 r
.45489 .28145 .46403 .30504 .48081 .2835 .47162 .26502 Mtetra
1 .829 0 r
.47162 .26502 .48081 .2835 .49754 .2602 .48837 .24674 Mtetra
1 .891 0 r
.48837 .24674 .49754 .2602 .51418 .23963 .50508 .22944 Mtetra
1 .94 0 r
.50508 .22944 .51418 .23963 .53076 .22466 .52176 .21526 Mtetra
1 .967 0 r
.52176 .21526 .53076 .22466 .5474 .21574 .53847 .20515 Mtetra
1 .973 0 r
.53847 .20515 .5474 .21574 .56416 .21127 .55528 .19876 Mtetra
1 .965 0 r
.55528 .19876 .56416 .21127 .58107 .20855 .57222 .19474 Mtetra
1 .953 0 r
.57222 .19474 .58107 .20855 .59811 .20502 .58931 .19136 Mtetra
1 .944 0 r
.58931 .19136 .59811 .20502 .61521 .19932 .60652 .18713 Mtetra
1 .943 0 r
.60652 .18713 .61521 .19932 .63236 .19159 .6238 .18127 Mtetra
1 .948 0 r
.6238 .18127 .63236 .19159 .64956 .18304 .64113 .17387 Mtetra
1 .955 0 r
.64113 .17387 .64956 .18304 .66687 .1751 .65853 .16568 Mtetra
1 .961 0 r
.65853 .16568 .66687 .1751 .68435 .1686 .67602 .15765 Mtetra
1 .963 0 r
.67602 .15765 .68435 .1686 .70202 .16343 .69366 .1505 Mtetra
1 .96 0 r
.69366 .1505 .70202 .16343 .71984 .15874 .71147 .14443 Mtetra
1 .955 0 r
.71147 .14443 .71984 .15874 .73776 .15349 .72945 .13913 Mtetra
1 .95 0 r
.72945 .13913 .73776 .15349 .75572 .14706 .74757 .13392 Mtetra
1 .949 0 r
.74757 .13392 .75572 .14706 .77371 .13954 .76578 .12818 Mtetra
1 .954 0 r
.12373 .34623 .13395 .35815 .14851 .35207 .13833 .34005 Mtetra
1 .958 0 r
.13833 .34005 .14851 .35207 .1632 .34546 .15295 .33436 Mtetra
1 .961 0 r
.15295 .33436 .1632 .34546 .17794 .33896 .16756 .32935 Mtetra
.16756 .32935 .17794 .33896 .19267 .3332 .18219 .32497 Mtetra
1 .958 0 r
.18219 .32497 .19267 .3332 .20738 .32849 .19688 .32089 Mtetra
1 .953 0 r
.19688 .32089 .20738 .32849 .22209 .32466 .21168 .31657 Mtetra
1 .947 0 r
.21168 .31657 .22209 .32466 .23688 .32099 .22666 .3115 Mtetra
1 .944 0 r
.22666 .3115 .23688 .32099 .25184 .31656 .24182 .30534 Mtetra
1 .946 0 r
.24182 .30534 .25184 .31656 .26702 .31064 .25714 .29816 Mtetra
1 .953 0 r
.25714 .29816 .26702 .31064 .2824 .30314 .27259 .29045 Mtetra
1 .963 0 r
.27259 .29045 .2824 .30314 .2979 .29478 .28807 .28304 Mtetra
1 .971 0 r
.28807 .28304 .2979 .29478 .31343 .28705 .30353 .27691 Mtetra
.30353 .27691 .31343 .28705 .32888 .28166 .31894 .2729 Mtetra
1 .96 0 r
.31894 .2729 .32888 .28166 .3442 .27994 .3343 .27138 Mtetra
1 .934 0 r
.3343 .27138 .3442 .27994 .35944 .28228 .34966 .27214 Mtetra
1 .896 0 r
.34966 .27214 .35944 .28228 .3747 .28775 .36511 .27431 Mtetra
1 .851 0 r
.36511 .27431 .3747 .28775 .39012 .29424 .38073 .27653 Mtetra
1 .81 0 r
.38073 .27653 .39012 .29424 .40582 .29894 .39659 .27722 Mtetra
1 .78 0 r
.39659 .27722 .40582 .29894 .42188 .2992 .41272 .27501 Mtetra
1 .769 0 r
.41272 .27501 .42188 .2992 .43826 .29337 .4291 .2691 Mtetra
1 .78 0 r
.4291 .2691 .43826 .29337 .45489 .28145 .44567 .25949 Mtetra
1 .81 0 r
.44567 .25949 .45489 .28145 .47162 .26502 .46236 .24694 Mtetra
1 .851 0 r
.46236 .24694 .47162 .26502 .48837 .24674 .47911 .23283 Mtetra
1 .896 0 r
.47911 .23283 .48837 .24674 .50508 .22944 .49587 .21872 Mtetra
1 .934 0 r
.49587 .21872 .50508 .22944 .52176 .21526 .51264 .206 Mtetra
1 .96 0 r
.51264 .206 .52176 .21526 .53847 .20515 .52944 .19556 Mtetra
1 .971 0 r
.52944 .19556 .53847 .20515 .55528 .19876 .54632 .18764 Mtetra
.54632 .18764 .55528 .19876 .57222 .19474 .56331 .18186 Mtetra
1 .963 0 r
.56331 .18186 .57222 .19474 .58931 .19136 .58043 .17738 Mtetra
1 .953 0 r
.58043 .17738 .58931 .19136 .60652 .18713 .59769 .17322 Mtetra
1 .946 0 r
.59769 .17322 .60652 .18713 .6238 .18127 .61506 .16852 Mtetra
1 .944 0 r
.61506 .16852 .6238 .18127 .64113 .17387 .63253 .16276 Mtetra
1 .947 0 r
.63253 .16276 .64113 .17387 .65853 .16568 .65007 .15588 Mtetra
1 .953 0 r
.65007 .15588 .65853 .16568 .67602 .15765 .66767 .14821 Mtetra
1 .958 0 r
.66767 .14821 .67602 .15765 .69366 .1505 .68537 .1403 Mtetra
1 .961 0 r
.68537 .1403 .69366 .1505 .71147 .14443 .70317 .13266 Mtetra
.70317 .13266 .71147 .14443 .72945 .13913 .72113 .12567 Mtetra
1 .958 0 r
.72113 .12567 .72945 .13913 .74757 .13392 .73924 .11939 Mtetra
1 .954 0 r
.73924 .11939 .74757 .13392 .76578 .12818 .75752 .1136 Mtetra
1 .96 0 r
.11323 .33561 .12373 .34623 .13833 .34005 .12772 .33065 Mtetra
.12772 .33065 .13833 .34005 .15295 .33436 .14225 .32602 Mtetra
1 .958 0 r
.14225 .32602 .15295 .33436 .16756 .32935 .15685 .32153 Mtetra
1 .954 0 r
.15685 .32153 .16756 .32935 .18219 .32497 .17155 .31688 Mtetra
1 .95 0 r
.17155 .31688 .18219 .32497 .19688 .32089 .1864 .31181 Mtetra
1 .947 0 r
.1864 .31181 .19688 .32089 .21168 .31657 .20139 .3061 Mtetra
1 .946 0 r
.20139 .3061 .21168 .31657 .22666 .3115 .21654 .29971 Mtetra
1 .949 0 r
.21654 .29971 .22666 .3115 .24182 .30534 .23181 .2928 Mtetra
1 .954 0 r
.23181 .2928 .24182 .30534 .25714 .29816 .24717 .28569 Mtetra
1 .962 0 r
.24717 .28569 .25714 .29816 .27259 .29045 .26258 .27886 Mtetra
1 .968 0 r
.26258 .27886 .27259 .29045 .28807 .28304 .27801 .2728 Mtetra
1 .97 0 r
.27801 .2728 .28807 .28304 .30353 .27691 .29343 .26793 Mtetra
1 .965 0 r
.29343 .26793 .30353 .27691 .31894 .2729 .30885 .26445 Mtetra
1 .951 0 r
.30885 .26445 .31894 .2729 .3343 .27138 .3243 .26232 Mtetra
1 .93 0 r
.3243 .26232 .3343 .27138 .34966 .27214 .33981 .2612 Mtetra
1 .902 0 r
.33981 .2612 .34966 .27214 .36511 .27431 .35545 .26048 Mtetra
1 .873 0 r
.35545 .26048 .36511 .27431 .38073 .27653 .37124 .25942 Mtetra
1 .847 0 r
.37124 .25942 .38073 .27653 .39659 .27722 .38723 .25725 Mtetra
1 .829 0 r
.38723 .25725 .39659 .27722 .41272 .27501 .40343 .25335 Mtetra
1 .823 0 r
.40343 .25335 .41272 .27501 .4291 .2691 .41982 .24736 Mtetra
1 .829 0 r
.41982 .24736 .4291 .2691 .44567 .25949 .43636 .23929 Mtetra
1 .847 0 r
.43636 .23929 .44567 .25949 .46236 .24694 .45302 .22946 Mtetra
1 .873 0 r
.45302 .22946 .46236 .24694 .47911 .23283 .46977 .2185 Mtetra
1 .902 0 r
.46977 .2185 .47911 .23283 .49587 .21872 .48657 .20717 Mtetra
1 .93 0 r
.48657 .20717 .49587 .21872 .51264 .206 .50341 .19623 Mtetra
1 .951 0 r
.50341 .19623 .51264 .206 .52944 .19556 .5203 .18628 Mtetra
1 .965 0 r
.5203 .18628 .52944 .19556 .54632 .18764 .53726 .17769 Mtetra
1 .97 0 r
.53726 .17769 .54632 .18764 .56331 .18186 .55431 .1705 Mtetra
1 .968 0 r
.55431 .1705 .56331 .18186 .58043 .17738 .57148 .16451 Mtetra
1 .962 0 r
.57148 .16451 .58043 .17738 .59769 .17322 .58877 .15931 Mtetra
1 .954 0 r
.58877 .15931 .59769 .17322 .61506 .16852 .6062 .15438 Mtetra
1 .949 0 r
.6062 .15438 .61506 .16852 .63253 .16276 .62375 .14927 Mtetra
1 .946 0 r
.62375 .14927 .63253 .16276 .65007 .15588 .6414 .1436 Mtetra
1 .947 0 r
.6414 .1436 .65007 .15588 .66767 .14821 .65915 .13723 Mtetra
1 .95 0 r
.65915 .13723 .66767 .14821 .68537 .1403 .67698 .13021 Mtetra
1 .954 0 r
.67698 .13021 .68537 .1403 .70317 .13266 .69489 .12272 Mtetra
1 .958 0 r
.69489 .12272 .70317 .13266 .72113 .12567 .7129 .11506 Mtetra
1 .96 0 r
.7129 .11506 .72113 .12567 .73924 .11939 .73102 .10753 Mtetra
.73102 .10753 .73924 .11939 .75752 .1136 .74928 .10033 Mtetra
1 .956 0 r
.10229 .32741 .11323 .33561 .12772 .33065 .1168 .32254 Mtetra
1 .953 0 r
.1168 .32254 .12772 .33065 .14225 .32602 .13143 .3175 Mtetra
1 .951 0 r
.13143 .3175 .14225 .32602 .15685 .32153 .14618 .31214 Mtetra
1 .949 0 r
.14618 .31214 .15685 .32153 .17155 .31688 .16105 .30642 Mtetra
1 .948 0 r
.16105 .30642 .17155 .31688 .1864 .31181 .17605 .30032 Mtetra
1 .949 0 r
.17605 .30032 .1864 .31181 .20139 .3061 .19116 .29392 Mtetra
1 .953 0 r
.19116 .29392 .20139 .3061 .21654 .29971 .20636 .28735 Mtetra
1 .957 0 r
.20636 .28735 .21654 .29971 .23181 .2928 .22164 .28084 Mtetra
1 .962 0 r
.22164 .28084 .23181 .2928 .24717 .28569 .23696 .27459 Mtetra
1 .966 0 r
.23696 .27459 .24717 .28569 .26258 .27886 .25233 .26883 Mtetra
1 .967 0 r
.25233 .26883 .26258 .27886 .27801 .2728 .26773 .2637 Mtetra
1 .964 0 r
.26773 .2637 .27801 .2728 .29343 .26793 .28317 .25929 Mtetra
1 .956 0 r
.28317 .25929 .29343 .26793 .30885 .26445 .29866 .25554 Mtetra
1 .944 0 r
.29866 .25554 .30885 .26445 .3243 .26232 .31423 .25233 Mtetra
1 .928 0 r
.31423 .25233 .3243 .26232 .33981 .2612 .32991 .2494 Mtetra
1 .91 0 r
.32991 .2494 .33981 .2612 .35545 .26048 .3457 .24643 Mtetra
1 .893 0 r
.3457 .24643 .35545 .26048 .37124 .25942 .36164 .24308 Mtetra
1 .878 0 r
.36164 .24308 .37124 .25942 .38723 .25725 .37774 .23904 Mtetra
1 .868 0 r
.37774 .23904 .38723 .25725 .40343 .25335 .394 .23406 Mtetra
1 .865 0 r
.394 .23406 .40343 .25335 .41982 .24736 .4104 .22799 Mtetra
1 .868 0 r
.4104 .22799 .41982 .24736 .43636 .23929 .42694 .22085 Mtetra
1 .878 0 r
.42694 .22085 .43636 .23929 .45302 .22946 .4436 .21276 Mtetra
1 .893 0 r
.4436 .21276 .45302 .22946 .46977 .2185 .46034 .20395 Mtetra
1 .91 0 r
.46034 .20395 .46977 .2185 .48657 .20717 .47717 .19475 Mtetra
1 .928 0 r
.47717 .19475 .48657 .20717 .50341 .19623 .49407 .1855 Mtetra
1 .944 0 r
.49407 .1855 .50341 .19623 .5203 .18628 .51104 .17652 Mtetra
1 .956 0 r
.51104 .17652 .5203 .18628 .53726 .17769 .52809 .16806 Mtetra
1 .964 0 r
.52809 .16806 .53726 .17769 .55431 .1705 .54522 .16028 Mtetra
1 .967 0 r
.54522 .16028 .55431 .1705 .57148 .16451 .56245 .15321 Mtetra
1 .966 0 r
.56245 .15321 .57148 .16451 .58877 .15931 .5798 .14678 Mtetra
1 .962 0 r
.5798 .14678 .58877 .15931 .6062 .15438 .59727 .14083 Mtetra
1 .957 0 r
.59727 .14083 .6062 .15438 .62375 .14927 .61486 .13516 Mtetra
1 .953 0 r
.61486 .13516 .62375 .14927 .6414 .1436 .63258 .12954 Mtetra
1 .949 0 r
.63258 .12954 .6414 .1436 .65915 .13723 .65042 .12374 Mtetra
1 .948 0 r
.65042 .12374 .65915 .13723 .67698 .13021 .66837 .11763 Mtetra
1 .949 0 r
.66837 .11763 .67698 .13021 .69489 .12272 .68642 .11112 Mtetra
1 .951 0 r
.68642 .11112 .69489 .12272 .7129 .11506 .70456 .10422 Mtetra
1 .953 0 r
.70456 .10422 .7129 .11506 .73102 .10753 .72281 .09699 Mtetra
1 .956 0 r
.72281 .09699 .73102 .10753 .74928 .10033 .74115 .08955 Mtetra
1 .951 0 r
.09137 .318 .10229 .32741 .1168 .32254 .10603 .31238 Mtetra
1 .95 0 r
.10603 .31238 .1168 .32254 .13143 .3175 .12079 .30657 Mtetra
.12079 .30657 .13143 .3175 .14618 .31214 .13565 .30059 Mtetra
1 .952 0 r
.13565 .30059 .14618 .31214 .16105 .30642 .15061 .29449 Mtetra
1 .954 0 r
.15061 .29449 .16105 .30642 .17605 .30032 .16565 .28834 Mtetra
1 .956 0 r
.16565 .28834 .17605 .30032 .19116 .29392 .18076 .28222 Mtetra
1 .959 0 r
.18076 .28222 .19116 .29392 .20636 .28735 .19595 .27623 Mtetra
1 .962 0 r
.19595 .27623 .20636 .28735 .22164 .28084 .21119 .27044 Mtetra
1 .963 0 r
.21119 .27044 .22164 .28084 .23696 .27459 .2265 .26491 Mtetra
.2265 .26491 .23696 .27459 .25233 .26883 .24187 .25969 Mtetra
1 .961 0 r
.24187 .25969 .25233 .26883 .26773 .2637 .25731 .25476 Mtetra
1 .956 0 r
.25731 .25476 .26773 .2637 .28317 .25929 .27282 .25011 Mtetra
1 .949 0 r
.27282 .25011 .28317 .25929 .29866 .25554 .28842 .24565 Mtetra
1 .94 0 r
.28842 .24565 .29866 .25554 .31423 .25233 .30412 .2413 Mtetra
1 .93 0 r
.30412 .2413 .31423 .25233 .32991 .2494 .31993 .23693 Mtetra
1 .92 0 r
.31993 .23693 .32991 .2494 .3457 .24643 .33586 .23242 Mtetra
1 .911 0 r
.33586 .23242 .3457 .24643 .36164 .24308 .35191 .22763 Mtetra
1 .903 0 r
.35191 .22763 .36164 .24308 .37774 .23904 .3681 .22246 Mtetra
1 .898 0 r
.3681 .22246 .37774 .23904 .394 .23406 .38441 .21683 Mtetra
1 .897 0 r
.38441 .21683 .394 .23406 .4104 .22799 .40084 .2107 Mtetra
1 .898 0 r
.40084 .2107 .4104 .22799 .42694 .22085 .4174 .20405 Mtetra
1 .903 0 r
.4174 .20405 .42694 .22085 .4436 .21276 .43406 .19694 Mtetra
1 .911 0 r
.43406 .19694 .4436 .21276 .46034 .20395 .45083 .18944 Mtetra
1 .92 0 r
.45083 .18944 .46034 .20395 .47717 .19475 .46769 .18166 Mtetra
1 .93 0 r
.46769 .18166 .47717 .19475 .49407 .1855 .48464 .17372 Mtetra
1 .94 0 r
.48464 .17372 .49407 .1855 .51104 .17652 .50167 .16575 Mtetra
1 .949 0 r
.50167 .16575 .51104 .17652 .52809 .16806 .5188 .15788 Mtetra
1 .956 0 r
.5188 .15788 .52809 .16806 .54522 .16028 .53602 .1502 Mtetra
1 .961 0 r
.53602 .1502 .54522 .16028 .56245 .15321 .55333 .14279 Mtetra
1 .963 0 r
.55333 .14279 .56245 .15321 .5798 .14678 .57075 .13567 Mtetra
.57075 .13567 .5798 .14678 .59727 .14083 .58828 .12885 Mtetra
1 .962 0 r
.58828 .12885 .59727 .14083 .61486 .13516 .60592 .1223 Mtetra
1 .959 0 r
.60592 .1223 .61486 .13516 .63258 .12954 .62369 .11595 Mtetra
1 .956 0 r
.62369 .11595 .63258 .12954 .65042 .12374 .64158 .10971 Mtetra
1 .954 0 r
.64158 .10971 .65042 .12374 .66837 .11763 .65959 .1035 Mtetra
1 .952 0 r
.65959 .1035 .66837 .11763 .68642 .11112 .67772 .09724 Mtetra
1 .95 0 r
.67772 .09724 .68642 .11112 .70456 .10422 .69598 .09085 Mtetra
.69598 .09085 .70456 .10422 .72281 .09699 .71434 .08427 Mtetra
1 .951 0 r
.71434 .08427 .72281 .09699 .74115 .08955 .73282 .07748 Mtetra
1 .953 0 r
.08058 .30668 .09137 .318 .10603 .31238 .0953 .30086 Mtetra
1 .954 0 r
.0953 .30086 .10603 .31238 .12079 .30657 .1101 .29502 Mtetra
1 .955 0 r
.1101 .29502 .12079 .30657 .13565 .30059 .12498 .2892 Mtetra
1 .957 0 r
.12498 .2892 .13565 .30059 .15061 .29449 .13994 .28341 Mtetra
1 .958 0 r
.13994 .28341 .15061 .29449 .16565 .28834 .15497 .27767 Mtetra
1 .96 0 r
.15497 .27767 .16565 .28834 .18076 .28222 .17008 .27202 Mtetra
.17008 .27202 .18076 .28222 .19595 .27623 .18526 .26645 Mtetra
.18526 .26645 .19595 .27623 .21119 .27044 .20052 .26099 Mtetra
1 .959 0 r
.20052 .26099 .21119 .27044 .2265 .26491 .21587 .25561 Mtetra
1 .957 0 r
.21587 .25561 .2265 .26491 .24187 .25969 .23129 .25032 Mtetra
1 .954 0 r
.23129 .25032 .24187 .25969 .25731 .25476 .24681 .24509 Mtetra
1 .95 0 r
.24681 .24509 .25731 .25476 .27282 .25011 .26242 .2399 Mtetra
1 .945 0 r
.26242 .2399 .27282 .25011 .28842 .24565 .27813 .2347 Mtetra
1 .94 0 r
.27813 .2347 .28842 .24565 .30412 .2413 .29394 .22946 Mtetra
1 .935 0 r
.29394 .22946 .30412 .2413 .31993 .23693 .30986 .22414 Mtetra
1 .93 0 r
.30986 .22414 .31993 .23693 .33586 .23242 .3259 .21869 Mtetra
1 .926 0 r
.3259 .21869 .33586 .23242 .35191 .22763 .34204 .21309 Mtetra
1 .922 0 r
.34204 .21309 .35191 .22763 .3681 .22246 .35829 .20731 Mtetra
1 .92 0 r
.35829 .20731 .3681 .22246 .38441 .21683 .37466 .20131 Mtetra
1 .919 0 r
.37466 .20131 .38441 .21683 .40084 .2107 .39113 .1951 Mtetra
1 .92 0 r
.39113 .1951 .40084 .2107 .4174 .20405 .40772 .18867 Mtetra
1 .922 0 r
.40772 .18867 .4174 .20405 .43406 .19694 .42441 .18203 Mtetra
1 .926 0 r
.42441 .18203 .43406 .19694 .45083 .18944 .44121 .17521 Mtetra
1 .93 0 r
.44121 .17521 .45083 .18944 .46769 .18166 .45811 .16821 Mtetra
1 .935 0 r
.45811 .16821 .46769 .18166 .48464 .17372 .4751 .1611 Mtetra
1 .94 0 r
.4751 .1611 .48464 .17372 .50167 .16575 .4922 .15389 Mtetra
1 .945 0 r
.4922 .15389 .50167 .16575 .5188 .15788 .5094 .14663 Mtetra
1 .95 0 r
.5094 .14663 .5188 .15788 .53602 .1502 .52669 .13936 Mtetra
1 .954 0 r
.52669 .13936 .53602 .1502 .55333 .14279 .54409 .13212 Mtetra
1 .957 0 r
.54409 .13212 .55333 .14279 .57075 .13567 .56159 .12493 Mtetra
1 .959 0 r
.56159 .12493 .57075 .13567 .58828 .12885 .5792 .11782 Mtetra
1 .96 0 r
.5792 .11782 .58828 .12885 .60592 .1223 .59691 .11079 Mtetra
.59691 .11079 .60592 .1223 .62369 .11595 .61474 .10386 Mtetra
.61474 .10386 .62369 .11595 .64158 .10971 .63269 .09701 Mtetra
1 .958 0 r
.63269 .09701 .64158 .10971 .65959 .1035 .65076 .09023 Mtetra
1 .957 0 r
.65076 .09023 .65959 .1035 .67772 .09724 .66895 .0835 Mtetra
1 .955 0 r
.66895 .0835 .67772 .09724 .69598 .09085 .68726 .0768 Mtetra
1 .954 0 r
.68726 .0768 .69598 .09085 .71434 .08427 .7057 .07009 Mtetra
1 .953 0 r
.7057 .07009 .71434 .08427 .73282 .07748 .72426 .06336 Mtetra
1 .957 0 r
.06959 .29596 .08058 .30668 .0953 .30086 .08431 .29035 Mtetra
.08431 .29035 .0953 .30086 .1101 .29502 .09912 .28475 Mtetra
1 .958 0 r
.09912 .28475 .1101 .29502 .12498 .2892 .11401 .27916 Mtetra
.11401 .27916 .12498 .2892 .13994 .28341 .12899 .27357 Mtetra
.12899 .27357 .13994 .28341 .15497 .27767 .14405 .26799 Mtetra
1 .957 0 r
.14405 .26799 .15497 .27767 .17008 .27202 .15919 .26241 Mtetra
1 .956 0 r
.15919 .26241 .17008 .27202 .18526 .26645 .17442 .25684 Mtetra
1 .955 0 r
.17442 .25684 .18526 .26645 .20052 .26099 .18975 .25125 Mtetra
1 .954 0 r
.18975 .25125 .20052 .26099 .21587 .25561 .20516 .24566 Mtetra
1 .952 0 r
.20516 .24566 .21587 .25561 .23129 .25032 .22067 .24004 Mtetra
1 .95 0 r
.22067 .24004 .23129 .25032 .24681 .24509 .23628 .23439 Mtetra
1 .948 0 r
.23628 .23439 .24681 .24509 .26242 .2399 .25198 .22871 Mtetra
1 .945 0 r
.25198 .22871 .26242 .2399 .27813 .2347 .26778 .22298 Mtetra
1 .943 0 r
.26778 .22298 .27813 .2347 .29394 .22946 .28369 .21719 Mtetra
1 .941 0 r
.28369 .21719 .29394 .22946 .30986 .22414 .29969 .21133 Mtetra
1 .939 0 r
.29969 .21133 .30986 .22414 .3259 .21869 .3158 .2054 Mtetra
1 .937 0 r
.3158 .2054 .3259 .21869 .34204 .21309 .33201 .19939 Mtetra
1 .936 0 r
.33201 .19939 .34204 .21309 .35829 .20731 .34833 .19329 Mtetra
1 .935 0 r
.34833 .19329 .35829 .20731 .37466 .20131 .36475 .1871 Mtetra
.36475 .1871 .37466 .20131 .39113 .1951 .38127 .18081 Mtetra
.38127 .18081 .39113 .1951 .40772 .18867 .3979 .17443 Mtetra
1 .936 0 r
.3979 .17443 .40772 .18867 .42441 .18203 .41464 .16796 Mtetra
1 .937 0 r
.41464 .16796 .42441 .18203 .44121 .17521 .43148 .1614 Mtetra
1 .939 0 r
.43148 .1614 .44121 .17521 .45811 .16821 .44842 .15475 Mtetra
1 .941 0 r
.44842 .15475 .45811 .16821 .4751 .1611 .46547 .14803 Mtetra
1 .943 0 r
.46547 .14803 .4751 .1611 .4922 .15389 .48263 .14123 Mtetra
1 .945 0 r
.48263 .14123 .4922 .15389 .5094 .14663 .49989 .13437 Mtetra
1 .948 0 r
.49989 .13437 .5094 .14663 .52669 .13936 .51726 .12746 Mtetra
1 .95 0 r
.51726 .12746 .52669 .13936 .54409 .13212 .53473 .12049 Mtetra
1 .952 0 r
.53473 .12049 .54409 .13212 .56159 .12493 .55231 .1135 Mtetra
1 .954 0 r
.55231 .1135 .56159 .12493 .5792 .11782 .57 .10647 Mtetra
1 .955 0 r
.57 .10647 .5792 .11782 .59691 .11079 .5878 .09942 Mtetra
1 .956 0 r
.5878 .09942 .59691 .11079 .61474 .10386 .60572 .09236 Mtetra
1 .957 0 r
.60572 .09236 .61474 .10386 .63269 .09701 .62374 .08528 Mtetra
1 .958 0 r
.62374 .08528 .63269 .09701 .65076 .09023 .64189 .0782 Mtetra
.64189 .0782 .65076 .09023 .66895 .0835 .66015 .07112 Mtetra
.66015 .07112 .66895 .0835 .68726 .0768 .67853 .06403 Mtetra
1 .957 0 r
.67853 .06403 .68726 .0768 .7057 .07009 .69703 .05693 Mtetra
.69703 .05693 .7057 .07009 .72426 .06336 .71566 .04983 Mtetra
1 .956 0 r
.05831 .28622 .06959 .29596 .08431 .29035 .07308 .28062 Mtetra
.07308 .28062 .08431 .29035 .09912 .28475 .08793 .275 Mtetra
1 .955 0 r
.08793 .275 .09912 .28475 .11401 .27916 .10287 .26934 Mtetra
.10287 .26934 .11401 .27916 .12899 .27357 .1179 .26366 Mtetra
1 .954 0 r
.1179 .26366 .12899 .27357 .14405 .26799 .13302 .25794 Mtetra
.13302 .25794 .14405 .26799 .15919 .26241 .14824 .2522 Mtetra
1 .953 0 r
.14824 .2522 .15919 .26241 .17442 .25684 .16354 .24642 Mtetra
1 .952 0 r
.16354 .24642 .17442 .25684 .18975 .25125 .17893 .2406 Mtetra
1 .951 0 r
.17893 .2406 .18975 .25125 .20516 .24566 .19442 .23474 Mtetra
1 .95 0 r
.19442 .23474 .20516 .24566 .22067 .24004 .21001 .22885 Mtetra
.21001 .22885 .22067 .24004 .23628 .23439 .22569 .22291 Mtetra
1 .949 0 r
.22569 .22291 .23628 .23439 .25198 .22871 .24147 .21693 Mtetra
1 .948 0 r
.24147 .21693 .25198 .22871 .26778 .22298 .25734 .21091 Mtetra
1 .947 0 r
.25734 .21091 .26778 .22298 .28369 .21719 .27331 .20485 Mtetra
1 .946 0 r
.27331 .20485 .28369 .21719 .29969 .21133 .28938 .19874 Mtetra
.28938 .19874 .29969 .21133 .3158 .2054 .30556 .19258 Mtetra
1 .945 0 r
.30556 .19258 .3158 .2054 .33201 .19939 .32183 .18637 Mtetra
.32183 .18637 .33201 .19939 .34833 .19329 .3382 .18011 Mtetra
.3382 .18011 .34833 .19329 .36475 .1871 .35468 .1738 Mtetra
.35468 .1738 .36475 .1871 .38127 .18081 .37126 .16744 Mtetra
.37126 .16744 .38127 .18081 .3979 .17443 .38794 .16103 Mtetra
.38794 .16103 .3979 .17443 .41464 .16796 .40473 .15457 Mtetra
.40473 .15457 .41464 .16796 .43148 .1614 .42163 .14806 Mtetra
1 .946 0 r
.42163 .14806 .43148 .1614 .44842 .15475 .43863 .1415 Mtetra
.43863 .1415 .44842 .15475 .46547 .14803 .45573 .13488 Mtetra
1 .947 0 r
.45573 .13488 .46547 .14803 .48263 .14123 .47295 .12822 Mtetra
1 .948 0 r
.47295 .12822 .48263 .14123 .49989 .13437 .49027 .1215 Mtetra
1 .949 0 r
.49027 .1215 .49989 .13437 .51726 .12746 .50771 .11474 Mtetra
1 .95 0 r
.50771 .11474 .51726 .12746 .53473 .12049 .52525 .10792 Mtetra
.52525 .10792 .53473 .12049 .55231 .1135 .54291 .10106 Mtetra
1 .951 0 r
.54291 .10106 .55231 .1135 .57 .10647 .56068 .09415 Mtetra
1 .952 0 r
.56068 .09415 .57 .10647 .5878 .09942 .57856 .0872 Mtetra
1 .953 0 r
.57856 .0872 .5878 .09942 .60572 .09236 .59656 .0802 Mtetra
1 .954 0 r
.59656 .0802 .60572 .09236 .62374 .08528 .61467 .07315 Mtetra
.61467 .07315 .62374 .08528 .64189 .0782 .6329 .06606 Mtetra
1 .955 0 r
.6329 .06606 .64189 .0782 .66015 .07112 .65125 .05893 Mtetra
.65125 .05893 .66015 .07112 .67853 .06403 .66972 .05175 Mtetra
1 .956 0 r
.66972 .05175 .67853 .06403 .69703 .05693 .68831 .04453 Mtetra
.68831 .04453 .69703 .05693 .71566 .04983 .70702 .03728 Mtetra
1 .954 0 r
.04697 .27597 .05831 .28622 .07308 .28062 .06179 .27025 Mtetra
1 .953 0 r
.06179 .27025 .07308 .28062 .08793 .275 .0767 .2645 Mtetra
.0767 .2645 .08793 .275 .10287 .26934 .0917 .25871 Mtetra
.0917 .25871 .10287 .26934 .1179 .26366 .10679 .25289 Mtetra
.10679 .25289 .1179 .26366 .13302 .25794 .12198 .24703 Mtetra
.12198 .24703 .13302 .25794 .14824 .2522 .13725 .24114 Mtetra
1 .952 0 r
.13725 .24114 .14824 .2522 .16354 .24642 .15261 .23521 Mtetra
.15261 .23521 .16354 .24642 .17893 .2406 .16807 .22924 Mtetra
.16807 .22924 .17893 .2406 .19442 .23474 .18362 .22324 Mtetra
.18362 .22324 .19442 .23474 .21001 .22885 .19926 .2172 Mtetra
1 .951 0 r
.19926 .2172 .21001 .22885 .22569 .22291 .215 .21112 Mtetra
.215 .21112 .22569 .22291 .24147 .21693 .23084 .20501 Mtetra
.23084 .20501 .24147 .21693 .25734 .21091 .24677 .19885 Mtetra
.24677 .19885 .25734 .21091 .27331 .20485 .2628 .19266 Mtetra
.2628 .19266 .27331 .20485 .28938 .19874 .27893 .18643 Mtetra
.27893 .18643 .28938 .19874 .30556 .19258 .29516 .18016 Mtetra
.29516 .18016 .30556 .19258 .32183 .18637 .3115 .17385 Mtetra
1 .95 0 r
.3115 .17385 .32183 .18637 .3382 .18011 .32793 .16749 Mtetra
.32793 .16749 .3382 .18011 .35468 .1738 .34446 .1611 Mtetra
.34446 .1611 .35468 .1738 .37126 .16744 .3611 .15467 Mtetra
.3611 .15467 .37126 .16744 .38794 .16103 .37784 .14819 Mtetra
.37784 .14819 .38794 .16103 .40473 .15457 .39469 .14168 Mtetra
1 .951 0 r
.39469 .14168 .40473 .15457 .42163 .14806 .41165 .13512 Mtetra
.41165 .13512 .42163 .14806 .43863 .1415 .42871 .12852 Mtetra
.42871 .12852 .43863 .1415 .45573 .13488 .44588 .12188 Mtetra
.44588 .12188 .45573 .13488 .47295 .12822 .46316 .11519 Mtetra
.46316 .11519 .47295 .12822 .49027 .1215 .48055 .10846 Mtetra
.48055 .10846 .49027 .1215 .50771 .11474 .49805 .10169 Mtetra
.49805 .10169 .50771 .11474 .52525 .10792 .51567 .09487 Mtetra
1 .952 0 r
.51567 .09487 .52525 .10792 .54291 .10106 .5334 .088 Mtetra
.5334 .088 .54291 .10106 .56068 .09415 .55124 .0811 Mtetra
.55124 .0811 .56068 .09415 .57856 .0872 .5692 .07414 Mtetra
.5692 .07414 .57856 .0872 .59656 .0802 .58727 .06714 Mtetra
1 .953 0 r
.58727 .06714 .59656 .0802 .61467 .07315 .60547 .0601 Mtetra
.60547 .0601 .61467 .07315 .6329 .06606 .62378 .053 Mtetra
.62378 .053 .6329 .06606 .65125 .05893 .64221 .04586 Mtetra
.64221 .04586 .65125 .05893 .66972 .05175 .66077 .03867 Mtetra
.66077 .03867 .66972 .05175 .68831 .04453 .67945 .03144 Mtetra
1 .954 0 r
.67945 .03144 .68831 .04453 .70702 .03728 .69825 .02415 Mtetra
.03559 .26507 .04697 .27597 .06179 .27025 .05046 .25927 Mtetra
.05046 .25927 .06179 .27025 .0767 .2645 .06542 .25344 Mtetra
.06542 .25344 .0767 .2645 .0917 .25871 .08047 .24758 Mtetra
.08047 .24758 .0917 .25871 .10679 .25289 .09561 .24168 Mtetra
.09561 .24168 .10679 .25289 .12198 .24703 .11084 .23574 Mtetra
.11084 .23574 .12198 .24703 .13725 .24114 .12616 .22977 Mtetra
.12616 .22977 .13725 .24114 .15261 .23521 .14158 .22376 Mtetra
.14158 .22376 .15261 .23521 .16807 .22924 .15709 .21772 Mtetra
.15709 .21772 .16807 .22924 .18362 .22324 .17269 .21164 Mtetra
.17269 .21164 .18362 .22324 .19926 .2172 .18839 .20552 Mtetra
.18839 .20552 .19926 .2172 .215 .21112 .20418 .19937 Mtetra
.20418 .19937 .215 .21112 .23084 .20501 .22007 .19317 Mtetra
.22007 .19317 .23084 .20501 .24677 .19885 .23606 .18694 Mtetra
.23606 .18694 .24677 .19885 .2628 .19266 .25215 .18067 Mtetra
.25215 .18067 .2628 .19266 .27893 .18643 .26834 .17436 Mtetra
.26834 .17436 .27893 .18643 .29516 .18016 .28463 .16802 Mtetra
.28463 .16802 .29516 .18016 .3115 .17385 .30102 .16163 Mtetra
.30102 .16163 .3115 .17385 .32793 .16749 .31751 .1552 Mtetra
.31751 .1552 .32793 .16749 .34446 .1611 .33411 .14873 Mtetra
.33411 .14873 .34446 .1611 .3611 .15467 .3508 .14223 Mtetra
.3508 .14223 .3611 .15467 .37784 .14819 .36761 .13568 Mtetra
.36761 .13568 .37784 .14819 .39469 .14168 .38452 .12909 Mtetra
.38452 .12909 .39469 .14168 .41165 .13512 .40154 .12245 Mtetra
.40154 .12245 .41165 .13512 .42871 .12852 .41867 .11578 Mtetra
.41867 .11578 .42871 .12852 .44588 .12188 .43591 .10906 Mtetra
.43591 .10906 .44588 .12188 .46316 .11519 .45325 .1023 Mtetra
.45325 .1023 .46316 .11519 .48055 .10846 .47071 .0955 Mtetra
.47071 .0955 .48055 .10846 .49805 .10169 .48828 .08865 Mtetra
.48828 .08865 .49805 .10169 .51567 .09487 .50597 .08176 Mtetra
.50597 .08176 .51567 .09487 .5334 .088 .52377 .07482 Mtetra
.52377 .07482 .5334 .088 .55124 .0811 .54169 .06784 Mtetra
.54169 .06784 .55124 .0811 .5692 .07414 .55972 .06081 Mtetra
.55972 .06081 .5692 .07414 .58727 .06714 .57787 .05374 Mtetra
.57787 .05374 .58727 .06714 .60547 .0601 .59614 .04662 Mtetra
.59614 .04662 .60547 .0601 .62378 .053 .61454 .03945 Mtetra
.61454 .03945 .62378 .053 .64221 .04586 .63305 .03223 Mtetra
.63305 .03223 .64221 .04586 .66077 .03867 .65169 .02497 Mtetra
.65169 .02497 .66077 .03867 .67945 .03144 .67045 .01766 Mtetra
.67045 .01766 .67945 .03144 .69825 .02415 .68933 .0103 Mtetra
0 g
.25 Mabswid
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
gsave
.02757 .24618 -70 -14.5763 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(0) show
1.000 setlinewidth
grestore
.18558 .19702 m
.19014 .20174 L
s
gsave
.17646 .18758 -69.8492 -15 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(5) show
1.000 setlinewidth
grestore
.34306 .13535 m
.34735 .14032 L
s
gsave
.3345 .12542 -74.0356 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(10) show
1.000 setlinewidth
grestore
.51046 .06981 m
.51442 .07504 L
s
gsave
.50253 .05935 -73.3059 -15 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 19 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.875 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(15) show
1.000 setlinewidth
grestore
.68874 0 m
.69233 .00549 L
s
gsave
.68156 -0.01098 -72.5762 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(20) show
1.000 setlinewidth
grestore
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.1552 .20892 m
.15797 .21172 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.27893 .16047 m
.28157 .16339 L
s
.3108 .14799 m
.31341 .15094 L
s
.37572 .12257 m
.37826 .12558 L
s
.40878 .10962 m
.41128 .11266 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.54521 .0562 m
.54755 .05937 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
gsave
.29165 .07573 -83.8124 -14.9375 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 18.9375 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def
63.000 11.812 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
%%BeginResource: font Times-Roman-MISO
%%BeginFont: Times-Roman-MISO
/Times-Roman /Times-Roman-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.250 11.812 moveto
%%IncludeResource: font Times-Italic
%%IncludeFont: Times-Italic
%%BeginResource: font Times-Italic-MISO
%%BeginFont: Times-Italic-MISO
/Times-Italic /Times-Italic-MISO MISOfy
%%EndFont
%%EndResource
%%IncludeResource: font Times-Italic-MISO
%%IncludeFont: Times-Italic-MISO
/Times-Italic-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
68.312 11.812 moveto
(/) show
72.125 11.812 moveto
%%IncludeResource: font Mathematica1
%%IncludeFont: Mathematica1
/Mathematica1 findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(s) show
78.875 13.375 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 7.125 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
83.500 11.812 moveto
%%IncludeResource: font Times-Roman-MISO
%%IncludeFont: Times-Roman-MISO
/Times-Roman-MISO findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 233.562},
  ImageMargins->{{62, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000jB000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00_03oool400000080oooo0P00001L0?ooo`00_@3oool01@000000oooo0?ooo`3oool00000
0080oooo00<000000?ooo`3oool0F@3oool00;h0oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`1I0?ooo`00_P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo
05T0oooo002o0?ooo`030000003oool000000080oooo00<000000?ooo`3oool0F@3oool00;`0oooo
00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo00L0oooo0P00001@0?oo
o`00_@3oool2000000<0oooo0P0000090?ooo`040000003oool0oooo000004l0oooo003=0?ooo`04
0000003oool0oooo000004l0oooo003=0?ooo`040000003oool0oooo000004l0oooo003=0?ooo`04
0000003oool0oooo000004l0oooo00360?ooo`<00000103oool010000000oooo0?ooo`00001?0?oo
o`00a@3oool200000080oooo00<000000?ooo`3oool00P3oool200000500oooo00320?ooo`<00000
103oool00`000000oooo0?ooo`1D0?ooo`00`03oool2000000P0oooo00<000000?ooo`3oool0D`3o
ool00;d0oooo0`0000060?ooo`<0oo@00P3oool00`000000oooo0?ooo`1B0?ooo`00^P3oool30000
0080oooo00@000000?ooo`3oool0oooo1`3om0000`3oool000000?ooo`1C0?ooo`00^03oool20000
00@0oooo303om0020?ooo`030000003oool0oooo0540oooo002e0?ooo`<00000103oool?0?od0080
oooo00<000000?ooo`3oool0D03oool00;<0oooo0`0000030?oooa<0oo@000<0oooo0000003oool0
D@3oool008d0oooo0`000000103oool0000000000000000L0?ooo`<00000103oool<0?od00<0oo<0
1`3om0000`3oool000000?ooo`1@0?ooo`00SP3oool010000000oooo0?ooo`0000020?ooo`030000
003oool0oooo01L0oooo0P0000040?ooo`d0oo@01P3ol`060?od0080oooo00<000000?ooo`3oool0
CP3oool008h0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0D0?ooo`<00000103o
ool=0?od00T0oo<01P3om0000`3oool000000?ooo`1?0?ooo`00FP3oool00`000000oooo0000000a
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool04@3oool3000000040?ooo`000000
oooo0?ooo`d0oo@0303ol`070?od00030?ooo`000000oooo04h0oooo00190?ooo`040000003oool0
oooo00000080oooo00<000000?ooo`3oool00P3oool3000000@0oooo00<000000?ooo`3oool0<03o
ool00`000000oooo0?ooo`0300000180oooo0P0000050?ooo`d0oo@0303ol`090?od0080oooo00<0
00000?ooo`3oool0C03oool004X0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`02
0?ooo`040000003oool0oooo00000080oooo0`00000`0?ooo`8000000`3oool00`000000oooo0?oo
o`0>0?ooo`<000001@3oool<0?od00`0oo<03@3om002000004h0oooo001;0?ooo`030000003oool0
oooo0080oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0oooo03@0oooo00@0
00000?ooo`3oool0oooo0`00000<0?ooo`8000001P3oool<0?od00T0oo<04P3om0020?ooo`030000
003oool0oooo04/0oooo001;0?ooo`8000000`3oool01@000000oooo0?ooo`3oool000000080oooo
00<000000?ooo`3oool0A03oool300000080oooo00<000000?ooo`3oool0303om00:0?oc01D0oo@0
00<0oooo0000003oool0C03oool004X0oooo00@000000?ooo`3oool000000`3oool010000000oooo
0?ooo`3oool500000480oooo0P0000060?ooo``0oo@02@3ol`0H0?od0080oooo00<000000?ooo`3o
ool0BP3oool00580oooo00<000000?ooo`3oool0A03oool3000000D0oooo303om00:0?oc00`0oo@0
0`3om@060?od00H0oo<00P3oool00`000000oooo0?ooo`190?ooo`00DP3oool00`000000oooo0?oo
o`110?ooo`@000001@3oool90?od00`0oo<0303om0070?oe00H0oo@01P3ol`000`3oool000000?oo
o`1:0?ooo`00U03oool2000000@0oooo00<000000?ooo`3om0002@3om00<0?oc00`0oo@02P3om@06
0?od00H0oo<000<0oooo0000003oool0B@3oool00940oooo0`0000040?ooo``0oo@0303ol`0<0?od
00X0ooD02@3om0060?oc00030?ooo`000000oooo04P0oooo002?0?ooo`8000001@3oool<0?od00l0
oo<01P3om00<0?oe00`0oo@01P3ol`000`3oool000000?ooo`180?ooo`00S03oool3000000040?oo
o`000000oooo0?ooo``0oo@04`3ol`060?od00T0ooD0303om0090?oc00030?ooo`000000oooo04L0
oooo002:0?ooo`8000001@3oool<0?od01D0oo<01P3om0060?oe00`0oo@0303ol`020?ooo`030000
003oool0oooo04D0oooo00270?ooo`<00000103oool<0?od01H0oo<02@3om0060?oe00T0oo@0303o
l`030?od00030?ooo`000000oooo04H0oooo001P0?ooo`<000000P3oool2000001d0oooo10000004
0?ooo``0oo@05@3ol`0<0?od00L0ooD01@3om00<0?oc00L0oo@000<0oooo0000003oool0A@3oool0
0640oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0H0?ooo`8000001P3oool<
0?od01D0oo<02@3om00<0?oe0180oo<0103om0030?oe00800000A@3oool00640oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`0E0?ooo`<000001P3oool<0?od01D0oo<02@3om00<
0?oe00<0oo@04P3ol`060?oe00030?ooo`000000oooo00P0oooo0P0000030?ooo`030000003oool0
000000800000<P3oool00640oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0C
0?ooo`8000001P3oool<0?od01H0oo<02@3om00;0?oe00L0oo@03`3ol`090?oe00030?ooo`000000
oooo00H0oooo00@000000?ooo`3oool00000103oool010000000oooo0?ooo`00000a0?ooo`00H@3o
ool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0100oooo0`0000020?ooo`030000
003oool0oo@000X0oo@0603ol`0:0?od00/0ooD02P3om0020?oc00<0oo801P3ol`0<0?oe0080oooo
00<000000?ooo`3oool0103oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo02l0
oooo001P0?ooo`8000000P3oool010000000oooo0?ooo`00000@0?ooo`8000001@3oool;0?od00`0
oo<00`3olP0<0?oc00H0oo@0303om@0<0?od00H0oo800`3ol`090?oe00H0oo@000<0oooo0000003o
ool01@3oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo02l0oooo001Q0?ooo`04
0000003oool0oooo0?ooo`8000003P3oool3000000@0oooo303om00;0?oc00L0oo80303ol`030?od
00l0ooD02@3om0090?ob00`0ooD01@3om0020?ooo`030000003oool0oooo00<0oooo00@000000?oo
o`3oool00000103oool300000380oooo001b0?ooo`<0000000<0oooo0000003oool00P3oool<0?od
00/0oo<02P3olP0;0?oc00X0ooD00`3omP060?oe00D0oo@02P3olP030?od00`0ooD01@3om0000`3o
ool00000000000040?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0<@3oool0
0700oooo0P0000050?ooo``0oo@0303ol`0<0?ob00T0oo<00`3om0060?oe00H0ooH01P3om@0<0?ob
00L0oo@00`3om@030?of00H0ooD0103om0000`000000oooo000000050?ooo`8000001P3oool30000
0340oooo001]0?ooo`<000001@3oool<0?od00`0oo<03`3olP060?oc00H0oo@00`3om@090?of00<0
ooD00`3ol`090?ob00<0oo<01P3om0060?of00H0ooD01@3olP020?ooo`030000003oool0oooo03h0
oooo001[0?ooo`<000001@3oool<0?od00/0oo<02P3olP030?oa00H0oo800`3ol`090?od00/0ooH0
1P3ol`060?ob00L0oo<00`3om0090?of00<0ooD00`3ol`050?ob0080oooo00<000000?ooo`3oool0
?@3oool006P0oooo0`0000030?ooo`030000003om000oo@000T0oo@0303ol`0;0?ob00L0oo401@3o
lP0:0?od00T0ooH01@3om0060?oc00H0oo801P3ol`0<0?of00H0oo<01@3olP020?ooo`030000003o
ool0oooo03d0oooo001V0?ooo`8000001@3oool;0?od00`0oo<02`3olP0:0?oa0080oo800`3ol`06
0?od00d0ooH01@3om0050?oc00L0oo800`3ol`030?oe00H0ooH01P3om0060?oc0080oo800`3om002
0?ooo`030000003oool0oooo03`0oooo001S0?ooo`<00000103oool<0?od00/0oo<0303olP0<0?oa
00H0oo<00`3om00?0?of00H0oo@02`3olP070?oe00<0ooH00`3om@060?od00D0oo<01P3om0020?oo
o`030000003oool0oooo03/0oooo001Q0?ooo`8000000P3oool00`000000oooo0?ooo`0<0?od00/0
oo<00`3ol@090?ob00<0oo00303ol@060?oc00L0ooH01@3om`060?of00<0oo@02`3olP030?oc00`0
ooD01P3om0060?ob00<0oo@00`3om@02000003d0oooo001N0?ooo`<000001@3oool;0?od00`0oo<0
1P3ol@050?ob00L0oo00303ol@030?oc00<0oo@0103omP080?og00D0ooH0303olP060?oc00<0ooD0
0`3omP060?oe00<0oo@02@3olP060?oe00030?ooo`000000oooo03/0oooo001K0?ooo`<000001P3o
ool90?od00/0oo<0303ol@020?ob00l0oo001P3ol@070?od00`0ooL01@3om00<0?ob00H0oo<01P3o
mP050?oe00X0oo800`3om0060?oe00030?ooo`000000oooo03X0oooo000j0?ooo`<00000703oool2
000000030?ooo`000000oooo00<0oooo2P3om00;0?oc00h0oo402@3ol0030?o_00H0oo000`3ol@03
0?ob00@0oo@00`3omP060?og00H0ooH01@3om00<0?ob00<0oo<0203omP060?oc00H0oo801`3om005
0?oe00030?ooo`000000oooo03X0oooo000j0?ooo`040000003oool0oooo000001P0oooo0`000004
0?ooo``0oo@02`3ol`0;0?oa00H0onl01P3ol0060?o_00D0oo001`3olP070?of00H0ooL01@3omP05
0?od00H0oo401P3olP070?of00D0ooD01P3ol`030?ob00<0oo<0303om0000`3oool000000?ooo`0i
0?ooo`00?@3oool00`000000oooo0?ooo`0D0?ooo`8000001@3oool<0?od00/0oo<02`3ol@090?o_
00<0oo000`3okP060?o_00D0oo001@3olP020?od00H0ooH01P3om`060?of0080oo@00`3olP060?oa
00<0oo800`3om0070?of00D0ooD0303ol`030?od00<0ooD01P3om002000003T0oooo000m0?ooo`03
0000003oool0oooo0140oooo100000040?ooo`/0oo@0303ol`0;0?oa00/0onl01P3okP060?o_00H0
oo000`3olP040?od00<0ooH00`3on0060?og00D0ooH01P3olP050?oa00L0oo@01P3omP060?oe0080
oo<00`3olP060?oc00H0ooD01P3om002000003T0oooo000j0?ooo`<000004P3oool2000000H0oooo
2`3om0090?oc00h0oo402`3ok`030?o]00H0onh00`3ok`030?o^00H0oo001`3om0060?oh00D0ooL0
1P3ol`060?ob0080oo40103olP030?od00T0ooH01@3om@060?ob00<0oo<02@3om@030?od00<0oo<0
00<0oooo0000003oool0=`3oool003/0oooo00<000000?ooo`3oool03P3oool3000000D0oooo303o
m0090?oc00h0oo402`3ok`060?o]00`0onh00`3ol0030?oa00@0oo@00`3om`060?oh00D0ooH01P3o
l`0<0?ob00/0ooH01P3ol`050?ob00`0ooD01`3ol`000`000000oooo0?ooo`0f0?ooo`00>`3oool3
000000/0oooo0`0000040?ooo``0oo@02`3ol`0;0?oa00h0onl00`3ok0060?o]0080onh00`3oj`06
0?o^00L0oo401`3om`060?oh00D0ooH01@3ol`060?oa00D0oo800P3om0050?of00H0oo@01P3ol`02
0?ob00<0oo<01P3om@060?od00H0oo<000<0oooo0000003oool0=P3oool004L0oooo0P0000030?oo
o`030000003oool0oo@000/0oo@02`3ol`0;0?oa00h0onl01P3ok0050?o]00H0on/00`3okP030?o]
00D0oo400P3ol`050?og00P0ooP01@3omP0;0?oa0080oo801@3om0050?of00D0oo@0303ol`060?oe
00H0oo@01P3ol`000`3oool000000?ooo`0K0?ooo`<000003@3oool00`000000oooo0?ooo`070?oo
o`00A03oool3000000D0oooo2`3om00<0?oc00/0oo402`3ok`060?o[00H0on`00P3ok@030?oY00H0
on/01P3ok@030?oa00@0oo<00`3om`090?oh00H0oo<02P3ol@070?od00H0ooH01@3om0030?oc00<0
oo801P3ol`060?oe00D0oo@01`3ol`02000001`0oooo00<000000?ooo`3oool0303oool00`000000
oooo0?ooo`070?ooo`00@P3oool2000000H0oooo2@3om00;0?oc00H0oo80203ol@0;0?o_00P0on/0
1P3ok0060?oY00@0on/00P3oj0060?o]00L0oo<01`3on0050?og00D0oo<0203ol@030?ob00@0oo@0
2@3omP040?od00L0oo800`3ol`080?oe00`0oo<00P00000L0?ooo`030000003oool0oooo00`0oooo
0`0000070?ooo`00?`3oool300000080oooo00@000000?ooo`3oool0oooo2@3om00;0?oc00T0oo80
1@3ol@0;0?o_00/0on/00`3ok0030?oW00H0onT00P3oj`030?oX00D0ond00P3okP040?oc00<0ooD0
103on0030?oi00@0ooL01P3ol`040?oa00L0oo80303omP0;0?ob00T0ooD00`3om0090?oc00<0oo@0
00<0oooo0000003oool06`3oool2000000<0oooo00<000000?ooo`3oool00`0000030?ooo`030000
003oool0000000L0oooo000m0?ooo`8000001@3oool;0?od00/0oo<02`3olP0>0?o_00d0on/01P3o
i`060?oY00H0onP00P3ok@050?o^00L0ooD01P3on@050?og00D0oo<01P3ol@030?ob00<0oo@01P3o
mP060?od00P0oo800`3om0060?oe00D0oo@01P3ol`070?od00030000003oool0oooo01X0oooo00<0
00000?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00<00000
1`3oool003X0oooo0`0000050?ooo`/0oo@02`3ol`0;0?ob00<0oo002`3ok`0=0?o[00<0onD01P3o
i`030?oY00<0on@01@3oj0060?o^0080onl01@3om@020?og00H0ooT0103om`0<0?oa00H0oo@01P3o
mP060?od00@0oo801`3om0060?oe00D0oo@00`3ol`090?od00030?ooo`000000oooo01X0oooo00@0
00000?ooo`3oool000000P3oool00`000000oooo000000020?ooo`030000003oool0oooo00X0oooo
000g0?ooo`<000000P3oool00`000000oooo0?ooo`0<0?od00/0oo<02`3olP060?o`00D0onl01P3o
k00:0?o[00H0onD01@3oi`060?oT00@0onP00P3oiP040?o^00@0onl00`3om@040?og00D0ooT01@3o
m0090?oa00<0oo80103om0080?of00D0oo@01@3olP040?od00T0ooD04@3om0000`3oool000000?oo
o`0J0?ooo`030000003oool000000080oooo00<000000?ooo`0000000P3oool00`000000oooo0?oo
o`0:0?ooo`00=@3oool2000000@0oooo2`3om00<0?oc00/0oo802`3ol0020?o_00<0ond01@3ok005
0?o[00`0onD00P3oi`030?oP00H0on@00P3oj0040?oV0080onh01P3ok`070?og00D0ooP01@3om005
0?oa00L0oo800P3om0090?of00H0oo<01@3olP0<0?oe00D0oo<03@3om0000`000000oooo0?ooo`0H
0?ooo`<000000`3oool00`000000oooo0?ooo`05000000X0oooo000b0?ooo`<00000103oool;0?od
00`0oo<02`3olP030?oa00X0oo001P3ok@050?o/0080on/03P3oi@060?oP00D0on@01`3oiP060?o_
0080oo00103om`080?oh00D0oo@00P3ol@030?o`00H0oo802@3omP030?od00H0oo<00P3olP030?od
00H0ooD01P3om0050?oc00`0oo@000<0oooo0000003oool01`3oool3000001D0oooo00<000000?oo
o`3oool03P3oool001<0oooo0P00000K0?ooo`8000000P3oool00`000000oooo0?ooo`0;0?od00/0
oo<0303olP060?oa00D0oo001@3okP060?o]00@0on`03P3oi@030?oN00D0on00103oi0020?oO00D0
onH00P3oi@040?o_00@0oo002`3on0050?od00H0oo000`3olP030?od00H0ooH01@3om0060?oc00H0
oo@00`3om@090?od0080oo<03`3om0000`3oool000000?ooo`070?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool03P3oool00180oooo00@000000?ooo`3oool000005`3oool3000000D0
oooo2@3om00@0?oc00H0oo80303ol@020?o`00<0onl01@3okP050?o]00D0onL02P3oi@060?oN00H0
on000P3oi0040?oO0080onH01@3oi@020?o_00@0oo000P3ol@060?oh00D0ooH01@3olP060?o`00H0
oo@01P3omP050?od00H0oo<08P3om0000`3oool000000?ooo`070?ooo`030000003oool0oooo02D0
oooo000B0?ooo`040000003oool0oooo000001D0oooo0P0000060?ooo`T0oo@04`3ol`060?ob00/0
oo401@3ok`060?o^00D0onT01@3oi`070?oU00<0omd01P3ogP050?oP00H0oml01`3oi@050?o`00@0
oo400`3on0030?og00D0ooH01@3olP030?o`00<0oo400`3om0030?oe00H0ooH0103om0070?oc00h0
oo@00`3ol`0@0?od0080oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0U0?ooo`00
4P3oool010000000oooo0?ooo`00000B0?ooo`<0000000@0oooo0000003oool0oooo2`3om00F0?oc
00H0oo801@3ol@060?o`00D0onl00`3okP030?o[00@0onT01P3oi`040?oU00H0omd01@3ogP030?oP
00<0omP0103og`020?oI00D0onD00`3oi0020?o`00H0oo401P3om`050?of00@0oo801`3ol@060?oe
00D0ooH02`3ol`0;0?od00L0oo<0403om0020?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool09@3oool00180oooo00@000000?ooo`3oool000003`3oool3000000D0oooo2`3om00I0?oc
00H0oo801@3ol@060?o`00@0onl01P3oj`050?oY00D0onL01@3ogP050?oM00D0omh01P3of0030?oO
00@0omT00`3oi@050?oT00H0oo400P3olP050?og00D0ooH02P3ol@020?oc00D0ooD01P3om0080?oc
00h0oo@01P3ol`0A0?od008000001@3oool2000002L0oooo000B0?ooo`040000003oool0oooo0000
00d0oooo0P0000060?ooo`/0oo@0703ol`030?ob00<0oo<01@3ol@050?o`00D0onh01P3oj`040?oY
00H0on00103ogP060?oM0080omh00`3oe0060?oH00030?oO003of@00omT000@0omT000<0onD00?oT
003oi000103oi0000`3oh`00oo400?oa00020?oa00@0oo800P3om`030?of00D0oo<01`3ol@050?oc
0080ooD00`3omP060?od00D0oo<04@3om0030?oc01<0oo@00P3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo02D0oooo000C0?ooo`8000002`3oool3000000040?ooo`000000oooo0?oo
o`/0oo@09`3ol`050?oa00D0oo001@3okP050?o[00D0on@01@3oh0050?oN00D0omd01P3oe0050?oH
00L0omT01P3oi0030?oS0080oo401@3olP060?of00D0oo<0103ol@070?oc00H0ooH01@3om0060?oc
02L0oo@00P3oool00`000000oooo0?ooo`0Z0?ooo`007P3oool2000000D0oooo2`3om00D0?oc00H0
oo@01@3ol`060?od00D0oo<01P3olP040?o`00D0onh01@3oj0050?oT00D0on00103ogP030?oM00<0
om801@3oe0040?oH0080oll01P3of@000`3oe000on@00?oT00020?oT00@0on<0203olP060?of00@0
oo<01P3ol@030?oc00<0oo@01P3omP0;0?oc00/0oo@01@3ol`0G0?od00030?ooo`000000oooo02/0
oooo000L0?ooo`8000001@3oool;0?od01@0oo<06P3om0050?ob00@0oo001@3ok@050?oX00D0on@0
103oh0040?oN00H0om801P3oe0020?oH00@0oll0103of@020?oD00<0on@01@3oh`000`3ohP00oo80
0?ob00060?ob00D0ooH01@3olP060?oa00H0oo@00`3omP030?oe00/0oo<02`3om0050?oc01H0oo@0
0P3oool00`000000oooo0?ooo`0Y0?ooo`00703oool00`000000oooo0?ooo`0;0?od00/0oo<01P3o
m0050?oc00T0oo@00`3om@080?od00<0ooH02`3om0050?oa00@0ond01@3oj0040?oT00@0on001@3o
e0050?oB00H0om@01P3oc`030?oI00@0om@000<0on@00?oS003oh`000`3oh`030?oR00L0oo801P3o
m0050?ob00<0oo400`3olP050?od00L0ooD02`3ol`0;0?od0080oo<06@3om0020?ooo`030000003o
ool0oooo02P0oooo000L0?ooo`8000002P3om00;0?oc01@0oo@01P3om@050?od00H0ooH00`3om003
0?of00D0oo@01@3ol@040?o]00@0onP01@3og`040?oH00@0om@01P3odP040?oD0080olL01P3oc`00
0`3of@00om@00?oD00030?oD00D0on<01@3ohP050?ob0080oo001P3om00;0?ob00/0ooD02`3ol`0W
0?od00800000:P3oool001/0oooo2`3om00;0?oc0180oo@02`3om@0A0?of00@0oo@01P3ol`040?o^
00@0onH0103og`050?oH00@0om@01@3odP020?oD00@0olL01P3oc`060?oD00030?o>003oh`00on<0
0080on<01@3ohP00103oh@00oo800?ob003olP040?o`00D0oo@01@3ol@050?ob0080oo<01@3om@06
0?od00P0oo<0:@3om0020?ooo`030000003oool0oooo02L0oooo000K0?ooo`030000003om000oo@0
00@0oo@02`3ol`0D0?od00T0ooD02`3omP050?og00D0ooH01P3om`050?oc00@0onh0103oiP040?oO
00@0omP0103oe0050?oB00H0olL01@3oc`020?o400@0om@00`3ocP020?oS00D0on800`3oh@000`3o
lP00oo000?o`00030?o`00H0oo801@3ol@020?ob00D0oo<01@3om@060?od00@0oo<0;@3om0000`3o
ool000000?ooo`0X0?ooo`004P3oool2000000L0oooo0P0000060?od00P0oo<02@3om0060?oe00D0
oo@02@3om@080?of00/0ooL01P3on0050?og00@0oo<0103okP040?oV00@0oml01@3of0040?oD0080
om800`3oa0060?o700<0oll00`3oa0030?oD00D0olh01@3ohP040?oQ00D0oo000P3ok`060?ob00@0
oo401`3ol`050?oe00H0oo@01@3ol`0]0?od00030?ooo`000000oooo02L0oooo000A0?ooo`040000
003oool0oooo000000H0oooo00<000000?ooo`3oool01P3om0050?oc00T0oo@0503om@0;0?of00/0
ooL0303on0040?oe00<0onl0103oi@030?oI00D0omP0103oe0050?o400H0olL00P3oc`050?o40080
om@01@3ocP000`3ob000on800?oR00020?oR00@0on4000@0oml00?o`003ol000oo00103ok`0;0?ob
00<0oo<00`3om0050?oe00<0oo@0203ol`0]0?od00030?ooo`000000oooo02H0oooo000A0?ooo`04
0000003oool0oooo000000H0oooo00@000000?ooo`3oool0oooo4@3om00G0?oe00/0ooH02`3om`0<
0?oh00@0ooD00`3ok`040?oU00<0omT01@3oc`040?o700D0ol@01@3oa`070?o400030?oD003ocP00
olh000<0olh00P3ob0030?oR00@0on400`3og`000`3ol000onl00?o_00040?o_0080oo800`3ol@06
0?ob00H0oo@0103om@090?oc0300oo@000<000000?ooo`3oool09@3oool00140oooo00@000000?oo
o`3oool000001@3oool2000000@0oooo303om00L0?oe0080ooH00`3om00;0?of00H0ooL02@3on003
0?oi00@0ooL00`3ol0040?oU00<0omT0103oc`040?o700D0ol@0103oa`020?nh00H0ol@01P3ocP03
0?o800030?oR003oh@00on4000<0on400`3og`070?o_00H0oo401P3olP0;0?od00D0oo<0<P3om000
0`3oool000000?ooo`0U0?ooo`004@3oool010000000oooo0?ooo`0000060?ooo`030000003oool0
oooo00<0oooo303om0060?oe00D0oo@01P3om@050?od00D0ooD01P3om0030?of00<0oo@01@3omP03
0?og00<0ooH01P3on0060?oi00@0ooL00`3ol0030?oT00<0omT0103oc`040?o700H0ol@00P3oa`03
0?nh00H0ol@000<0okP00?o>003ocP000P3ocP040?o800D0on40103og`000`3og000onl00?o_0003
0?o_0080ond01@3ol@070?ob00/0oo@01@3ol`0b0?od00030?ooo`000000oooo02@0oooo000A0?oo
o`040000003oool0oooo000000D0oooo0P0000070?ooo`/0oo@00`3om@080?od00<0ooD0203om002
0?oe00<0oo<0303om00;0?of00<0ooP00`3om`050?oi00D0ooP00`3ol@030?oT00030?oD003of@00
omT000@0oll0103oa`050?o400H0okP0103oa0020?nh00<0olh01@3ob0000`3o`P00on400?oQ0002
0?oQ00<0oml00`3og0020?o_00D0ond00P3ol@030?o`00H0oo80303om0050?oc0380oo@000<00000
0?ooo`3oool08`3oool00180oooo0P0000060?ooo`030000003oool0oooo00L0oooo803om0060?oc
00<0oo@00`3olP060?od0080ooH00`3ol`060?of00H0ooL00P3on@080?oh00<0oo4000<0on<00?oT
003oi0000P3oe0040?o?00@0olL00`3oa0030?nd00D0okP00`3oa0040?nh0080olh01@3ob0020?o2
0080on40103og`030?oL00L0ond01P3ol0030?ob00<0oo<0303om0040?oc0380oo@000<0oooo0000
003oool08`3oool001X0oooo0P0000090?oooa40oo@01@3ol`050?od00D0oo801P3ol`060?ob00D0
oo@01P3ol`030?of00<0oo<01@3om`0;0?oh00<0oo400P3oh`030?oD00<0ol@0103oa`060?nd00H0
okP00P3oa0040?nh00030?o>003ob000olP000<0olP0103o`P040?oO00@0om`000<0omX00?o]003o
k@000`3ok@020?o[00D0oo001`3ol`120?od008000008`3oool001X0oooo00<000000?ooo`3oool0
2@3oool30?od00<0oo<0203om0080?oc0080oo@0203olP030?oc00T0oo800P3om0030?ob00`0oo<0
0P3om`030?od00H0ooP01@3om`030?ob0080on<000<0olh00?oD003oa0000`3oa0040?nh00D0ok@0
1P3o^0000`3oa000okP00?nh00030?nh00H0olP0103o`P00103o_000oml00?oO003og`030?oL00<0
omX00`3ok@040?o[00H0oo001P3ol`110?od00030?ooo`000000oooo0280oooo000J0?ooo`800000
2`3oool60?oc00D0oo@02P3ol`0L0?ob0080oo<00`3ol@060?oc00H0oo@00`3on0030?of00D0ooL0
0`3olP00103ohP00on<00?o>003oe0030?o400@0okP01@3o]00<0?nh00030?n[003ob000olP00080
olP01@3o`P020?nl00030?oO003og000om`00080om`0103ofP060?o[00L0oo001P3ol`100?od0080
oooo00<000000?ooo`3oool0803oool001T0oooo0P00000=0?oooa00oo<05P3olP050?oa00D0oo80
1P3ol@030?oc00<0oo401P3om0060?of0080ooL00`3omP030?ob00030?oR003oh`00olh000@0ol@0
103o^0050?nd00@0okP00P3oY`040?nh00<0oj/00`3ob0040?o200<0ok`0103og0050?oJ00030?oG
003oj`00on/00080on/00P3ojP040?o`00<0oo401@3ol`110?od0080oooo00<000000?ooo`3oool0
7`3oool001T0oooo00<000000?ooo`3oool03@3oool@0?oc00P0oo800`3ol`0;0?ob00D0oo400P3o
lP0?0?oa00<0oo@00`3olP0;0?of00<0oo8000@0on800?o>003ocP00okP00P3oa0040?nh00D0ok@0
0`3o^0030?nW00@0okP00`3oZ`020?o800D0ol800`3o_000103o]`00om`00?oL003og0040?oJ00<0
omL00P3oj`040?oZ00L0oo401@3ol`110?od00030?ooo`000000oooo0200oooo00090?ooo`800000
0`3oool00`000000oooo0?ooo`03000000D0oooo0P00000?0?oooa00oo<01@3olP060?oc00/0oo80
5P3ol@060?ob0080ooH00`3ol`060?of00<0oo8000<0on800?o>003ocP000P3o^0000`3oa000okP0
0?nh00020?nh00@0ok@00P3o^0040?nW00<0okP01@3oZ`000`3ob000ol800?o200020?o200@0ok`0
00<0okL00?oL003og0001@3ofP030?oG00D0onX00P3oj@060?oa00H0oo<0@@3om0000`3oool00000
0?ooo`0O0?ooo`00203oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0403oool?0?oc00H0oo@02`3ol`0:0?ob00h0oo400`3ol0050?ob00H0oo<0
0`3omP030?od00<0oo0000<0on800?o>003o^0001P3o^0040?nd00L0ojL00P3o^0050?n[00D0ol80
0`3o_0030?ng00030?oL003ofP00omX00080omX0103oe`00103oe@00onX00?oZ003ojP040?oY00H0
oo401@3ol`120?od00030?ooo`000000oooo00L0oooo0`0000020?ooo`030000003oool000000080
00003@3oool000P0oooo00@000000?ooo`3oool000001P3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo0140oooo1P3om0040?oc00H0ooD01@3om0060?oe00D0oo<01@3om00;0?ob00D0
oo401P3ol0020?ob00<0oo401P3ol`060?od00<0oo0000<0olP00?o>003o^0000P3o^0030?nW00D0
oj401P3oY`000`3o^000oj/00?n[00040?n[00040?nN003o`P00ol800?o200@0ok`00`3o]`040?oJ
00D0omL00P3oe@000`3ojP00onT00?oY00030?oY00L0oo401@3ol`110?od00030?ooo`000000oooo
00P0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`00000<0?ooo`00203oool01000
0000oooo0?ooo`0000060?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool04P3oool6
0?od00X0ooD01P3omP050?oe00D0ooH02`3om00:0?ob00D0oo001P3ol@030?oc00<0oo801@3om004
0?o`00040?o8003o^000okP00?nh00@0ojL0103oX@060?nW00H0oj/00P3oWP030?o200@0ok`00`3o
]`00103o/@00omX00?oJ003ofP040?oG00<0omD01`3oj@070?oa00D0oo<0@@3om0000`3oool00000
0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool02P3oool000P0oooo00@0
00000?ooo`3oool000001P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01<0oooo
0`3om0080?oe01/0ooH02P3om0050?ob0080oo002@3ol@060?ob0080oo@00`3olP030?o_00040?oO
003ob000okP00?nh00@0ojL0103oX@050?nW0080oi@01@3oZ`030?nN00030?o2003o_000ok`00080
ok`0103o]`020?na00030?oJ003oe`00omL000<0omL00`3oe@000`3oe000onT00?oY00050?oY00L0
oo401@3ol`110?od00030?ooo`000000oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`0:0?ooo`00203oool010000000oooo0?ooo`0000050?ooo`8000001@3oool2000001H0
oooo2`3om@080?of00<0ooD05@3omP050?od00@0oo80303ol@0;0?ob00<0onl000@0olP00?n[003o
^000okP00`3oY`050?nQ00<0ojL00`3oU0040?n[00@0oih000<0ol800?nl003o_0000P3o_0040?ng
0080ok401@3oe`040?oE0080om@01`3oj@060?oa00H0oo<0@03om0000`3oool000000?ooo`060?oo
o`030000003oool0oooo00<0oooo0`00000=0?ooo`002@3oool2000000L0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0F0?ooo`/0ooD01@3omP060?oe0080ooH00`3om@0F0?of00@0
oo@02`3ol@020?ob00<0oo401P3olP030?o_00030?o8003oZ`00okP000<0ojL01@3oX@020?nW00@0
oi@0103oZ`040?nN00D0ok`00`3o]`030?na00030?n/003oe`00omL00080omL00`3oe@030?oD00P0
onT01P3ol@050?oc0440oo@000<0oooo0000003oool0103oool2000000H0oooo00<000000?ooo`3o
ool0303oool001P0oooo0P00000H0?ooo`D0oo@01P3om@050?od00/0ooD00`3omP030?od0100ooH0
103om0050?oc00/0oo401@3olP040?o_0080oj/0103oY`040?nQ00030?nW003oU000oi@000@0oi@0
0P3oZ`050?nN00040?nA003o_000ok`00?nl00@0okL00`3o/@020?n/0080omL0103oe@030?oD0003
0?oC003oj@00onT000H0onT01P3ol@050?oc0400oo@00P3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00@0oooo0`00000<0?ooo`00603oool00`000000oooo0?ooo`0H0?ooo`D0oo@0
0`3om@030?oc00D0oo@00P3om@030?oc00H0ooD01@3om00A0?of00@0ooD01@3ol`060?ob00X0oo40
0`3ok@020?n[00@0ojL0103oX@070?nD0080oj/01@3oWP020?nA0080ok`0103o]`030?na00<0oj`0
00@0omL00?oE003oe@00omD0103oe0020?oC00P0onT01@3ol@060?oc0400oo@000<0oooo0000003o
ool06P3oool001P0oooo00<000000?ooo`3oool06@3oool50?od00H0oo<0103om0060?oc00<0ooD0
0`3ol`050?od0080ooH00`3om00<0?of00@0ooD01P3om00:0?ob00D0oo400`3ok@020?n[00030?nD
003oY`00ojL00080oj400`3oR`060?nD00030?n[003oWP00oih000<0oih0103oT@00103o_000okL0
0?ng003o]`030?na00@0oj`0103oe@030?oD00<0om<02@3oj@050?oa00D0oo<0@@3om0000`3oool0
00000?ooo`0I0?ooo`005`3oool3000001/0oooo0P3om0030?ob00H0oo<0103olP0<0?oc00X0oo@0
0`3omP030?od00/0ooH01@3om0050?oc00D0oo80103ol@040?o]00040?n[003oU000oi@00?nD00D0
oh/01P3oU0060?nN00@0oi40103o]`030?na00@0oj`000<0ojP00?oE003oe@00103oe0050?oC00L0
onT01P3ol@050?oc0400oo@00P3oool00`000000oooo0?ooo`0G0?ooo`005`3oool00`000000oooo
0?ooo`0K0?ooo`H0oo800`3ol`070?ob00<0oo<00`3olP060?oc00@0oo80303om0020?of00<0oo@0
1P3omP050?oe00D0oo<0103olP060?o`0080on/000<0oj/00?nD003oU0000P3oU0050?n;00D0oi@0
00<0oh000?nN003oWP000`3oWP040?nA00040?n4003o]`00okL00?ng00<0ok40103o[0020?nX0004
0?oE003oe000om@00?oD00L0om<01@3oj@020?oZ00<0oo400`3olP050?oc0400oo@00P00000I0?oo
o`001`3oool2000000<0oooo00<000000?ooo`0000000`0000050?ooo`8000007P3ooolE0?ob00<0
oo<01`3olP030?od00<0oo<02`3om0030?of00P0ooD0103ol`060?ob00D0oo000P3oj`00103oZ`00
oi@00?nD003oU0050?n;00@0oi@00P3oP0040?nN00D0oi4000<0oh@00?ng003o]`00103o/@040?n/
0080ojP0103oe0070?oC00040?oD003oj@00onT00?oY00@0onX01P3olP050?oc0400oo@000<0oooo
0000003oool05`3oool000H0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo01h0oooo1P3om0040?ob00H0oo<03`3olP060?oc0080oo@00`3ol`06
0?od00X0ooD01P3om0050?ob00D0oo0000<0onX00?nN003oU0000`3oU0040?n;00<0oi@0103oP003
0?nN00@0oi400`3oQ000103o]`00ok400?na003o/@040?n/00<0ojP000<0ojH00?oD003oe000203o
d`020?oD00030?oY003ojP00onX00080onX00P3oj`050?ob00H0oo<0@03om0000`3oool000000?oo
o`0F0?ooo`001P3oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0803oool:0?od00X0oo<02`3olP0:0?oc00<0oo@00`3ol`0;0?oe00D0oo@01@3o
l`050?o`00030?oZ003oU000oi@00080oi@01@3oR`020?nD00@0oh000`3oWP040?nA00<0oh@000@0
okL00?na003o/@00ok40103o[0030?nX0080ojH000<0om@00?oC003od`001@3od`030?oD00@0onX0
103oj`050?ob00D0oo<0@03om0000`3oool000000?ooo`0F0?ooo`001P3oool010000000oooo0?oo
o`0000060?ooo`030000003oool0oooo00@0oooo0P00000R0?ooo`D0ooD01@3om0050?oe00D0oo<0
1P3om0050?ob0100oo<00P3om@030?od00H0ooD01@3om0050?oc00@0oo0000<0onX00?nN003oP000
0P3oU0050?n;00030?nD003oP000oh0000@0oh0000<0oih00?nA003oT@000`3oT@030?n400@0ok40
103o[0030?nX0080ojH0203od`030?oD00030?oF003ojP00onX000D0on/01P3olP050?oc03l0oo@0
0P3oool00`000000oooo0?ooo`0D0?ooo`001P3oool010000000oooo0?ooo`0000070?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool08P3ooolE0?oe00X0oo@03`3ol`060?od00<0ooD0
203om0040?oc00D0oo4000<0onT00?n0003oP0000P3oU0040?n;00L0oh0000<0oih00?nA003oT@00
0P3oT@040?n400040?mi003o/@00ok400?na00@0oj`00P3oZ0030?nV00030?nU003od`00om<000@0
om<00`3oe0030?oF00D0on/00P3ok0060?ob00D0oo<0?`3om002000001H0oooo00060?ooo`040000
003oool0oooo000000@0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`0S0?oo
o`80ooD00`3om00E0?oe00X0oo@02`3ol`0@0?od00@0oo<01@3ol@00103oWP00oh000?n0003oU002
0?n;00<0og@01P3oP0050?nA00@0oh@000<0ogT00?na003o/@00103o[0030?nX00<0ojH00P3oY@05
0?oC00<0om@00`3oeP00103of000on/00?o[003oj`040?o/00H0oo801@3ol`0o0?od00030?ooo`00
0000oooo01@0oooo00070?ooo`8000001P3oool2000000D0oooo00<000000?ooo`3oool0903oool6
0?od00<0ooD00`3om00?0?oe00X0oo@0403ol`0;0?od00@0oo<0103ol@00103oT@00oh000?n0003o
P0050?md00H0oh0000<0of/00?nA003oT@000P3oT@030?n400<0ogT000<0ok400?n/003o[0000P3o
[0030?nX00<0ojH00P3oY@00103oYP00om<00?oC003od`030?oD00<0omH00`3of0050?o/0080ond0
1@3olP060?oc03l0oo@000<0oooo0000003oool04`3oool001H0oooo00<000000?ooo`3oool09@3o
ool<0?od0080ooD00`3om0070?oe00d0oo@0403ol`0:0?od00H0oo<00`3ol@00103oWP00oh000?n0
003oP0040?md00D0oh000P3oJ`030?nA00@0oh@00`3oN@000`3o/@00oj`00?n/00020?n/00<0ojP0
0P3oYP030?nU0080ojH00P3od`030?oD00<0omH00`3of000103of`00on`00?o/003ok0040?o]00D0
oo801@3ol`100?od00030000003oool0oooo0180oooo000F0?ooo`8000009`3oool30?od00<0oo<0
2`3om0040?oe0100oo@0403ol`0;0?od00D0oo<00P3ol@00103oT@00oh000?n0003oP0040?md00D0
oh000P3oJ`030?nA00@0oh@00`3oN@050?n/0080ojP00`3oYP030?nU00<0ojH00`3oe0030?oF00<0
omP00`3of`060?o]00H0oo80A03om002000001<0oooo000F0?ooo`030000003oool0oooo02L0oooo
1P3ol`020?od00<0oo<07`3om00;0?oc00/0oo@01@3ol`020?oa00<0oh001@3oM0030?n000@0of/0
0P3oT@030?n400@0ogT000@0ofl00?n/003o[000oj`00`3oZ0030?nV0080ojD0103oYP000`3oZ@00
om@00?oD00030?oF00<0omP00`3of`000`3ogP00ond00?o]00020?o]0080onh01P3olP140?od0003
0?ooo`000000oooo0140oooo000F0?ooo`800000:P3oool:0?oc00<0oo@00`3ol`0O0?od00@0oo<0
303om0050?oc00040?oa003oT@00oh000?n000D0og@00P3oP0050?m[00030?nA003oQ000oh@00080
oh@0103oN@020?m_0080oj`00`3oZ0030?nV0080ojD0103oYP020?nY00<0omH00`3of0030?oK00<0
omh00P3ok@040?o^00H0oo80@`3om0000`3oool000000?ooo`0A0?ooo`005@3oool2000002`0oooo
403ol`020?od00<0oo<0:P3om0040?oc00030?oa003oT@00of/00080oh00103oM0020?n000D0of/0
00<0oi400?n4003oQ0000P3oQ0040?mi00<0ofl000@0oj`00?nX003oZ000ojP00P3oYP030?nU00@0
ojH00P3oZ@000`3o[@00omH00?oF00030?oH00<0om/00`3ogP050?o^0080onl01@3olP140?od0003
0?ooo`000000oooo0100oooo000E0?ooo`030000003oool0oooo02`0oooo1@3ol`050?od00/0oo<0
0P3om0030?oc02@0oo@01@3ol`00103ol@00of/00?m[003oP0040?md00030?n0003oJ`00of/000@0
of/0103oQ0040?mi00@0ofl00`3oZ0030?nV00<0ojD00`3oYP030?nY0080ojd00`3of0030?oK00@0
omh000@0on400?o^003okP00onh0103ok`050?oc04@0oo@000<0oooo0000003oool03`3oool000D0
oooo0P0000030?ooo`030000003oool00000008000001P3oool2000002h0oooo403om00:0?oc02@0
oo@01@3ol`000`3oT@00of/00?m[00040?md00L0of/000@0oeP00?n4003oQ000oh@0103oN@040?m_
00030?mW003oZ000ojP000<0ojH00P3oY@040?nV00<0ojT00P3o[@020?nc00@0om/00`3ogP030?oQ
00D0onl00P3ol0050?oc04<0oo@00P0000080?ooo`@00000103oool000@0oooo00@000000?ooo`3o
ool000001`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo02l0oooo503om0050?oc
02@0oo@01@3ol`020?m[00D0oed01P3oJ`00103oF000oh@00?n4003oQ0040?mi00@0ofl00P3oI`00
103oZ000ojH00?nV003oYP020?nU00@0ojH00P3oZ@030?n]0080ok<000<0okT00?oK003of`000`3o
gP040?oQ00040?oT003ok`00onl00?o_00@0oo001@3ol`130?od00030?ooo`000000oooo00L0oooo
00<000000?ooo`3oool0103oool000@0oooo00@000000?ooo`3oool000001`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo0300oooo?@3om0040?oc00<0of/0103oG@050?m[0080oeP0
0P3oQ0050?mi00@0ofl00P3oI`030?nV00<0ojD0103oYP020?nY00<0ojd00P3o/`020?ni00<0omh0
103oh@030?oT00H0oo001P3ol`120?od0080oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`030?ooo`00103oool010000000oooo0?ooo`0000050?ooo`8000001P3oool00`000000oooo
0?ooo`0a0?ooocd0oo@00`3ol`030?m[00D0oed0103oJ`030?mH00030?n4003oN@00ogT00080ogT0
103oK`030?mW00030?mS003oYP00ojH000<0ojD00`3oYP030?nY0080ojd00P3o/`030?ni0080ol00
103oh@030?oT0080onL01P3ol0060?oc0480oo@000<0oooo0000003oool01`3oool00`000000oooo
0?ooo`030?ooo`00103oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool0<P3oooll0?od00@0oo<00P3oJ`050?mM00<0of/0103oF0000`3oQ000ogT0
0?mi00020?mi00@0ofl00`3oI`020?mS00030?nV003oY@00ojD000@0ojH00P3oZ@030?n]0080ok<0
0`3o^@020?o000030?o8003oh@00on4000<0on@0103oi`060?o`00H0oo<0@P3om0000`3oool00000
0?ooo`070?ooo`030000003oool0oooo0080oooo00040?ooo`040000003oool0oooo000000@0oooo
00@000000?ooo`3oool00000103oool2000003@0oooo?P3om0020?oc00030?mH003oJ`00oed000@0
oed00`3oJ`040?mH00D0ogT0103oK`030?mW0080of<00`3oY@040?nV0080ojT00`3o[@020?nc0080
okT00`3o`0020?o800<0on@0103oi`020?oZ00<0oo000`3ol@050?oc0480oo@000<000000?ooo`3o
ool0103oool010000000oooo0?ooo`0000040?ooo`001@3oool2000000H0oooo0P0000050?ooo`03
0000003oool0oooo03D0oooo?@3om000103ol`00oeP00?m[003oJ`050?mM00030?m[003oF000oeP0
00<0oeP000<0odH00?mi003oN@000P3oN@040?m_00<0ofL00P3oH`000`3oHP00ojD00?nU00040?nV
0080ojT00P3o[@020?nc00<0okT00P3o`0030?o80080oll0103oi`040?oZ00H0oo401@3ol`120?od
00L0oooo0P0000050?ooo`00503oool00`000000oooo0?ooo`0f0?ooocd0oo@000<0oo<00?mH003o
J`001@3oG@000`3oJ`00oeP00?mH00030?mH00040?m6003oN@00ogT00?mi00@0ofl00`3oI`030?mS
0080of8000@0ojD00?nV003oYP00ojH00`3oZ@020?n]0080ok<00`3o^@020?o00080olP00`3oc`00
0`3oeP00onL00?oW00040?oZ0080on`00`3ol@030?ob00D0oo<0@P3om00=0?ooo`00503oool20000
03P0oooo?@3om0000`3oF000of/00?mM00040?mM00D0oeP00`3oAP020?mi00@0ofl00`3oI`030?mS
0080of80103oYP020?nY00<0ojd00P3o/`020?ni0080ol000`3ob0020?o?00<0omH0103ojP040?o/
00H0oo801@3ol`0l0?od0180oooo000D0?ooo`030000003oool0oooo03P0oooo?03om0020?mH00<0
oed00`3oAP040?mH00<0odH00P3oN@040?m_00<0ofL00`3oH`020?mR0080of<00P3oYP020?nY0080
ojd00P3o/`030?ni0080ol000P3ob0030?o?00<0omH00P3og0050?o/0080onh01P3olP050?oc03L0
oo@05P3oool001@0oooo0P00000i0?oooc`0oo@00P3oF0060?m600@0oeP0103oAP00103oN@00ofl0
0?m_003oK`040?mW0080of<00`3oHP030?mS00<0ojT00P3o[@020?nc00<0okT00P3o`0020?o80080
oll00`3oeP030?oL00040?oQ003ok000on`00?o/00@0onh01@3olP060?oc03@0oo@0603oool001<0
oooo00<000000?ooo`3oool0>`3ooolk0?od0080oeP01@3oAP030?mH00D0odH0103oK`040?mW0080
of<00`3oHP030?mS0080ofP00`3o[@020?nc0080okT00P3o`0020?o800<0oll00P3oeP030?oL00<0
on40103okP030?o_00@0oo801P3ol`0b0?od01X0oooo000C0?ooo`030000003oool0oooo03`0oooo
>P3om0000`3oAP00oeP00?m600040?m600<0oeP01@3oAP00103o=P00ofl00?m_003oK`030?mW00<0
of<00`3oHP030?mS0080ofP00P3oL@020?nc00<0okT00P3o`0020?o80080oll00P3oeP030?oL00<0
on400`3oi@050?o_00X0oo<0;P3om00N0?ooo`000`3oool2000000<0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`030?ooo`800000?P3ooolj0?od0080oeP01@3oAP020?mH00D0odH0
00@0ocH00?m_003oK`00ofl00`3oI`030?mS0080of80103oH`020?mX0080og400P3oN`020?n70080
ol000P3ob0020?o?0080omH00`3og0030?oQ00<0onD00P3oj@030?o_0080oo401@3ol`0^0?od0280
oooo00020?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0n0?ooocT0oo@000<0odH00?mH003oAP00103oAP000`3oF000odH00?m600030?m60080
ocH00P3oK`040?mW00<0of<00P3oHP040?mS0080ofP00P3oL@020?mk0080ohL00P3oU0020?nR0080
ojl00P3o_0020?o700<0on400`3oi@040?oY00D0oo401@3ol`0X0?od02L0oooo00020?ooo`040000
003oool0oooo000000@0oooo1@0000040?ooo`030000003oool0oooo0400oooo>03om0060?m60003
0?mH003oAP00odH000<0odH00`3o=P000`3oK`00ofL00?mW00020?mW0080of<00`3oHP030?mS00<0
ofP00P3oL@020?mk0080ohL00P3oU0020?nR00030?n_003o_000ok`000<0olL00P3od@030?oU00@0
onT00P3ok0050?oa00D0oo<09@3om00Y0?ooo`000P3oool010000000oooo0?ooo`0000040?ooo`04
0000003oool0oooo000000@0oooo0P0000130?ooocL0oo@000<0odH00?mH003oAP002@3oAP030?lf
00030?m_003oI`00ofL00080ofL00P3oH`030?mR00<0of<00P3oJ0030?ma00050?mk003oQ`00ohL0
0?n7003oU0000P3oXP020?n_0080ok`00P3oa`020?oA00<0omT0103oj@030?o/00H0oo401@3ol`0R
0?od02/0oooo00020?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`000000103oool0
0`000000oooo0?ooo`130?ooocL0oo@00`3oAP030?la00@0odH0103o=P040?mW00<0of<00`3oHP03
0?mS0080ofP00P3oL@020?mk0080ohL00P3oU0020?nR00030?n_003o_000ok`00080olL00P3od@03
0?oI00<0on00103ok0020?o^00D0oo401P3ol`0M0?od02l0oooo00020?ooo`040000003oool0oooo
000000H0oooo0P0000040?ooo`800000A@3ooolf0?od00030?m6003o<@00oc4000<0oc40103oAP04
0?lf00040?l[003oI`00ofL00?mW00<0of<00P3oHP040?mS0080ofP00P3oL@020?mk0080ohL00P3o
U0000`3oXP00ojl00?n_00020?nl0080olL000@0om400?oI003of@00omT00`3oh0020?oU0080on`0
103okP050?ob00H0oo<0603om00c0?ooo`000`3oool2000000P0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`140?ooocL0oo@000<0odH00?la003o<@000P3o<@030?m600D0ocH00P3o
:`020?mW00<0of<00P3oHP040?mS0080ofP00P3oL@020?mk0080ohL000@0oi@00?nR003oXP00ojl0
0P3o_0020?o700040?oA003of@00omT00?oI00<0on000`3oi@040?o^00<0oo001@3olP060?oc01<0
oo@0=`3oool00180oooo00<000000?ooo`3oool0AP3ooole0?od00030?m6003o<@00oc400080oc40
0`3oAP050?lf00<0ob/000<0ofL00?mS003oH`000`3oHP030?mS0080ofP00`3oL@000`3oN`00ohL0
0?n700020?nD0080oj8000D0ojl00?nl003oa`00olL00?o100030?o=0080on00103oi@030?oY00H0
oo002P3ol`0?0?od03/0oooo001L0?oooc@0oo@000<0ocH00?la003o<@000`3o<@020?m600@0ocH0
103o:`030?mS00<0of800`3oH`020?mX0080og400P3oN`020?n70080oi@000H0oj800?n_003oX`00
oj<00?nc003o`@030?o=0080omL00`3og`030?oY00<0ond00`3ol0030?oa00D0oo<04@3om00m0?oo
o`00G@3ooold0?od00030?m6003o<@00oc400080oc4000<0odH00?lf003o=P000`3o=P040?l[0003
0?lS003oH`00of<000<0of800`3oH`020?mX0080og400P3oN`020?n700070?nD003oXP00oj800?n@
003oX`00ok<00?o100030?o=0080omL00P3og`030?oU00H0ond01P3ol@050?oc00h0oo@0?`3oool0
05h0oooo<`3om0000`3o=P00oc400?la00020?la00030?m6003o=P00ocH000<0ocH0103o:`000`3o
8`00of<00?mS00020?mR00@0of<00P3oJ0020?ma0080og/000P0ohL00?nD003oU000oj800?n@003o
X`00ok<00?o10080old00P3oe`020?oO00@0onD00P3oj@030?o]00<0onl00`3ol@030?ob00D0oo<0
2@3om0130?ooo`00G`3ooolc0?od00@0oc401@3o=P040?l[00<0ob<000<0of<00?mR003oHP00103o
H`020?mX0080og4000@0og/00?n7003oQ`00oi@00P3oO@00103oT000oj<00?oC003od`040?oL00@0
on<01@3oj@060?o_00H0oo801@3ol`040?od04L0oooo001P0?oooc80oo@01@3o7`040?lf00@0ob/0
0`3o8`030?mR00<0of<00P3oJ0020?ma0080og/00P3oQ`001@3oJP00ogd00?n@003oX`00onD000@0
oml00P3oh`050?oX00H0ond01@3ol@030?ob00L0oo<0B`3oool00680oooo<03om0000`3o=P00oal0
0?lO00020?lO00@0ocH0103o:`030?lS00030?lQ003oHP00of8000<0of<00P3oJ0020?ma0080og/0
00D0ohL00?mZ003oJP00ogd00?n@00090?oY00<0onP00P3ok0030?o]00<0onl01@3ol@070?oc04d0
oooo001S0?oooc00oo@01@3o7`020?lf00@0ob/0103o8`020?lQ00@0of<00P3oJ0020?ma0080og/0
00@0oeL00?mZ003oO@00oi000P3ol0050?o]00@0onT01@3ok0060?o_00D0oo80103ol`1?0?ooo`00
I03oool_0?od00D0oal00P3o=P040?l[00@0ob<00P3o8@020?lS0080of<00P3oJ0020?ma00050?mk
003oE`00oeL00?mZ003oO@00103ol0050?o_00@0ond0203ok`030?oa00D0oo80DP3oool006D0oooo
;P3om0000`3o=P00oal00?lO00030?lO00030?lf003o:`00ob/00080ob/00`3o8`030?lQ00<0ob<0
0P3oJ0020?ma0080odD000@0oeL00?mZ003oO@00oi001@3ol@0>0?o_00H0oo40EP3oool006D0oooo
;`3om0050?lO00@0ob/0103o8`030?lQ00<0ob<00P3o:`020?lf0080odD000<0oeL00?mZ003oO@00
0`3ol`090?oa00@0onl01P3ol01J0?ooo`00IP3oool^0?od00<0oal00`3o4@030?l[00@0ob<00P3o
8@040?lS0080ob/00P3o=P00103oA@00oeL00?mG003oJP050?oc00@0oo802@3ol@030?o`05`0oooo
001W0?ooobd0oo@01P3o4@030?l[00@0ob<00P3o8@030?lS00<0ob/000L0ocH00?m5003oA@00oeL0
0?mZ003oO@00oo@000D0oo<0203olP050?oa05h0oooo001Y0?ooob`0oo@01@3o4@020?l[00@0ob<0
0`3o8@030?lS0080ob/00P3o=P020?m500030?mG003oJP00oo@00080oo@02@3ol`040?ob0680oooo
001Z0?ooob`0oo@01@3o4@000`3o:`00ob<00?lS00020?lS00<0ob400`3o8`020?l[0080ocH000<0
odD00?mG003oE`00103om0090?oc06H0oooo001[0?ooob/0oo@01@3o4@000`3o:`00ob<00?lS0002
0?lS0080ob400`3o8`030?l[00050?lf003oA@00odD00?mG003oJP001@3om0050?oc06T0oooo001/
0?ooob/0oo@0103o4@050?lS0080ob400`3o8`020?l[0080ocH00P3oA@000`3oE`00oo@00?od0005
0?od06d0oooo001]0?ooobX0oo@01@3o2@030?lS00<0ob400`3o8`020?l[0080ocH000<0odD00?mG
003om0000`3om01a0?ooo`00KP3ooolZ0?od00D0o`T00P3o8`030?lQ0080ob<00`3o:`00103o=P00
odD00?m5003om01e0?ooo`00K`3ooolY0?od00H0o`T000<0ob<00?lQ003o8@000`3o8`030?l[0003
0?lf003oA@00oooo07H0oooo001`0?ooobT0oo@01@3o2@030?lQ00<0ob<00P3o:`020?lf07P0oooo
001a0?ooobP0oo@01P3o1P020?lQ0080ob<00`3o:`000`3o=P00oooo0?ooo`1g0?ooo`00LP3ooolY
0?od00D0o`H00`3o8`030?l[07X0oooo001c0?ooobH0oo@00`3oool60?l800<0ob/0N`3oool007@0
oooo8P3om0080?ooo`80oa00P03oool007H0oooo703om02>0?ooo`00M`3ooolG0?od0980oooo001h
0?oooaD0oo@0T`3oool007T0oooo4P3om02E0?ooo`00NP3oool=0?od09T0oooo001k0?ooo`T0oo@0
W03oool007`0oooo103om02P0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00
o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {232.562, 0}} -> {-0.0657281, 0.00742178, \
0.00360104, 0.00360104}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  SurfaceGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Plot3D[
      UnitStep[p] gc[x - 2, p - 3, 1, 2], {x, \(-2\), 6}, {p, \(-1\), 7}, 
      PlotPoints \[Rule] 50]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .81114 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-5.41017e-17 1.04977 -0.0679587 1.04977 [
[.02757 .24618 -12 -8.70276 ]
[.02757 .24618 0 .29724 ]
[.17646 .18758 -5.89944 -9 ]
[.17646 .18758 .10056 0 ]
[.3345 .12542 -5.5867 -9 ]
[.3345 .12542 .4133 0 ]
[.50253 .05935 -5.27396 -9 ]
[.50253 .05935 .72604 0 ]
[.68156 -0.01098 -4.96123 -9 ]
[.68156 -0.01098 1.03877 0 ]
[.74324 .05996 0 -6.19808 ]
[.74324 .05996 6 2.80192 ]
[.82083 .17876 0 -6.08311 ]
[.82083 .17876 6 2.91689 ]
[.89031 .28516 0 -5.98272 ]
[.89031 .28516 6 3.01728 ]
[.95289 .38101 0 -5.8943 ]
[.95289 .38101 6 3.1057 ]
[.02411 .26511 -6 -2.74232 ]
[.02411 .26511 0 6.25768 ]
[.0156 .31846 -24 -2.78743 ]
[.0156 .31846 0 6.21257 ]
[.00679 .3737 -24 -2.83429 ]
[.00679 .3737 0 6.16571 ]
[-0.00234 .43091 -24 -2.88301 ]
[-0.00234 .43091 0 6.11699 ]
[-0.0118 .49022 -24 -2.9337 ]
[-0.0118 .49022 0 6.0663 ]
[ 0 0 0 0 ]
[ 1 .81114 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
[(-2)] .02757 .24618 1 .93395 Mshowa
.18558 .19702 m
.19014 .20174 L
s
[(0)] .17646 .18758 .96648 1 Mshowa
.34306 .13535 m
.34735 .14032 L
s
[(2)] .3345 .12542 .86223 1 Mshowa
.51046 .06981 m
.51442 .07504 L
s
[(4)] .50253 .05935 .75799 1 Mshowa
.68874 0 m
.69233 .00549 L
s
[(6)] .68156 -0.01098 .65374 1 Mshowa
.125 Mabswid
.07346 .24092 m
.0763 .24365 L
s
.11029 .2265 m
.1131 .22926 L
s
.14766 .21187 m
.15043 .21466 L
s
.22407 .18195 m
.22677 .18482 L
s
.26314 .16665 m
.2658 .16956 L
s
.3028 .15112 m
.30541 .15406 L
s
.38395 .11935 m
.38647 .12237 L
s
.42547 .10309 m
.42794 .10615 L
s
.46763 .08658 m
.47006 .08968 L
s
.55397 .05277 m
.55629 .05595 L
s
.59817 .03546 m
.60044 .03868 L
s
.64309 .01787 m
.6453 .02113 L
s
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.73096 .06459 m
.72483 .06691 L
s
[(0)] .74324 .05996 -1 .37735 Mshowa
.80845 .18312 m
.80226 .18529 L
s
[(2)] .82083 .17876 -1 .3518 Mshowa
.87784 .28927 m
.87161 .29132 L
s
[(4)] .89031 .28516 -1 .32949 Mshowa
.94036 .3849 m
.93409 .38684 L
s
[(6)] .95289 .38101 -1 .30985 Mshowa
.125 Mabswid
.75117 .0955 m
.74748 .09687 L
s
.7708 .12553 m
.7671 .12688 L
s
.78989 .15473 m
.78618 .15605 L
s
.8265 .21073 m
.82278 .21202 L
s
.84407 .23761 m
.84035 .23888 L
s
.86118 .26378 m
.85745 .26503 L
s
.89408 .3141 m
.89033 .31531 L
s
.9099 .3383 m
.90615 .3395 L
s
.92532 .36189 m
.92156 .36307 L
s
.71016 .03277 m
.70649 .03419 L
s
.95503 .40734 m
.95127 .40849 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
.03634 .26033 m
.04245 .25795 L
s
[(0)] .02411 .26511 1 -0.3906 Mshowa
.02786 .31379 m
.034 .31146 L
s
[(0.02)] .0156 .31846 1 -0.38057 Mshowa
.01909 .36914 m
.02525 .36686 L
s
[(0.04)] .00679 .3737 1 -0.37016 Mshowa
.01001 .42648 m
.01618 .42426 L
s
[(0.06)] -0.00234 .43091 1 -0.35933 Mshowa
.00059 .48591 m
.00679 .48375 L
s
[(0.08)] -0.0118 .49022 1 -0.34807 Mshowa
.125 Mabswid
.03425 .27353 m
.03792 .2721 L
s
.03214 .28683 m
.03581 .28542 L
s
.03001 .30026 m
.03369 .29885 L
s
.0257 .32745 m
.02938 .32606 L
s
.02352 .34123 m
.0272 .33984 L
s
.02132 .35512 m
.025 .35375 L
s
.01685 .38328 m
.02055 .38193 L
s
.01459 .39755 m
.01829 .3962 L
s
.01231 .41195 m
.01601 .41061 L
s
.00769 .44113 m
.01139 .43981 L
s
.00534 .45592 m
.00905 .45461 L
s
.00298 .47085 m
.00669 .46954 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
.40529 .59895 m
.03716 .25514 L
s
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.40529 .59895 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
0 0 m
1 0 L
1 .81114 L
0 .81114 L
closepath
clip
newpath
.5 Mabswid
.663 .741 .908 r
.39889 .59792 .40512 .60372 .41557 .60059 .40937 .59477 Metetra
.663 .741 .908 r
.40937 .59477 .41557 .60059 .42607 .59746 .41989 .59162 Metetra
.663 .741 .908 r
.41989 .59162 .42607 .59746 .4366 .59432 .43045 .58847 Metetra
.662 .741 .909 r
.43045 .58847 .4366 .59432 .44718 .59119 .44105 .58532 Metetra
.661 .741 .91 r
.44105 .58532 .44718 .59119 .4578 .58807 .4517 .58219 Metetra
.659 .741 .911 r
.4517 .58219 .4578 .58807 .46845 .58498 .46238 .5791 Metetra
.657 .741 .912 r
.46238 .5791 .46845 .58498 .47915 .58194 .47311 .57606 Metetra
.653 .741 .914 r
.47311 .57606 .47915 .58194 .4899 .57897 .48388 .57311 Metetra
.648 .741 .917 r
.48388 .57311 .4899 .57897 .50068 .57611 .49469 .57029 Metetra
.64 .741 .922 r
.49469 .57029 .50068 .57611 .51151 .57338 .50555 .56763 Metetra
.631 .741 .927 r
.50555 .56763 .51151 .57338 .52239 .57085 .51645 .5652 Metetra
.618 .742 .935 r
.51645 .5652 .52239 .57085 .53331 .56853 .5274 .56303 Metetra
.602 .742 .943 r
.5274 .56303 .53331 .56853 .54429 .56649 .53841 .56118 Metetra
.581 .743 .954 r
.53841 .56118 .54429 .56649 .55532 .56473 .54947 .55967 Metetra
.556 .745 .965 r
.54947 .55967 .55532 .56473 .56641 .56328 .56059 .55853 Metetra
.526 .746 .976 r
.56059 .55853 .56641 .56328 .57756 .56212 .57177 .55772 Metetra
.493 .749 .986 r
.57177 .55772 .57756 .56212 .58877 .5612 .58303 .55721 Metetra
.459 .752 .992 r
.58303 .55721 .58877 .5612 .60005 .56044 .59435 .55688 Metetra
.428 .757 .995 r
.59435 .55688 .60005 .56044 .61139 .55973 .60574 .55661 Metetra
.406 .766 .994 r
.60574 .55661 .61139 .55973 .6228 .55891 .61719 .55623 Metetra
.4 .781 .991 r
.61719 .55623 .6228 .55891 .63425 .55785 .6287 .55555 Metetra
.413 .804 .988 r
.6287 .55555 .63425 .55785 .64576 .55636 .64026 .55439 Metetra
.447 .832 .986 r
.64026 .55439 .64576 .55636 .65731 .55432 .65186 .55257 Metetra
.497 .863 .986 r
.65186 .55257 .65731 .55432 .66888 .55162 .66349 .54997 Metetra
.557 .892 .984 r
.66349 .54997 .66888 .55162 .68048 .5482 .67513 .54653 Metetra
.617 .913 .981 r
.67513 .54653 .68048 .5482 .69208 .54405 .68679 .54224 Metetra
.669 .923 .974 r
.68679 .54224 .69208 .54405 .7037 .53924 .69844 .53716 Metetra
.709 .923 .964 r
.69844 .53716 .7037 .53924 .71532 .53386 .7101 .53141 Metetra
.736 .915 .954 r
.7101 .53141 .71532 .53386 .72695 .52805 .72176 .52517 Metetra
.752 .901 .944 r
.72176 .52517 .72695 .52805 .7386 .52197 .73343 .51861 Metetra
.758 .884 .935 r
.73343 .51861 .7386 .52197 .75027 .51579 .74512 .51192 Metetra
.757 .865 .928 r
.74512 .51192 .75027 .51579 .76198 .50963 .75684 .50528 Metetra
.751 .846 .922 r
.75684 .50528 .76198 .50963 .77373 .50363 .7686 .49882 Metetra
.742 .828 .918 r
.7686 .49882 .77373 .50363 .78553 .49786 .78042 .49264 Metetra
.731 .812 .915 r
.78042 .49264 .78553 .49786 .79739 .49238 .79229 .48679 Metetra
.72 .797 .912 r
.79229 .48679 .79739 .49238 .80931 .4872 .80423 .48131 Metetra
.709 .784 .911 r
.80423 .48131 .80931 .4872 .82129 .48231 .81624 .47617 Metetra
.698 .773 .91 r
.81624 .47617 .82129 .48231 .83335 .47769 .82832 .47135 Metetra
.69 .765 .909 r
.82832 .47135 .83335 .47769 .84547 .47329 .84047 .46679 Metetra
.683 .758 .908 r
.84047 .46679 .84547 .47329 .85766 .46908 .85268 .46246 Metetra
.677 .753 .908 r
.85268 .46246 .85766 .46908 .86991 .46502 .86497 .4583 Metetra
.673 .749 .908 r
.86497 .4583 .86991 .46502 .88222 .46105 .87732 .45426 Metetra
.67 .746 .908 r
.87732 .45426 .88222 .46105 .8946 .45716 .88973 .45031 Metetra
.668 .744 .908 r
.88973 .45031 .8946 .45716 .90703 .45332 .90219 .44641 Metetra
.666 .743 .908 r
.90219 .44641 .90703 .45332 .91952 .4495 .91472 .44255 Metetra
.665 .742 .908 r
.91472 .44255 .91952 .4495 .93206 .44569 .9273 .43871 Metetra
.664 .742 .908 r
.9273 .43871 .93206 .44569 .94467 .44188 .93994 .43487 Metetra
.664 .742 .908 r
.93994 .43487 .94467 .44188 .95732 .43807 .95264 .43102 Metetra
.664 .742 .908 r
.95264 .43102 .95732 .43807 .97003 .43425 .96539 .42717 Metetra
.663 .741 .908 r
.39262 .59208 .39889 .59792 .40937 .59477 .40312 .58891 Metetra
.663 .741 .908 r
.40312 .58891 .40937 .59477 .41989 .59162 .41367 .58574 Metetra
.662 .741 .909 r
.41367 .58574 .41989 .59162 .43045 .58847 .42426 .58257 Metetra
.662 .741 .909 r
.42426 .58257 .43045 .58847 .44105 .58532 .43488 .5794 Metetra
.66 .741 .91 r
.43488 .5794 .44105 .58532 .4517 .58219 .44555 .57626 Metetra
.658 .741 .911 r
.44555 .57626 .4517 .58219 .46238 .5791 .45626 .57317 Metetra
.655 .741 .913 r
.45626 .57317 .46238 .5791 .47311 .57606 .46702 .57014 Metetra
.651 .741 .915 r
.46702 .57014 .47311 .57606 .48388 .57311 .47781 .56722 Metetra
.645 .741 .919 r
.47781 .56722 .48388 .57311 .49469 .57029 .48865 .56445 Metetra
.636 .741 .924 r
.48865 .56445 .49469 .57029 .50555 .56763 .49953 .56187 Metetra
.625 .741 .93 r
.49953 .56187 .50555 .56763 .51645 .5652 .51046 .55955 Metetra
.609 .741 .938 r
.51046 .55955 .51645 .5652 .5274 .56303 .52144 .55755 Metetra
.589 .741 .948 r
.52144 .55755 .5274 .56303 .53841 .56118 .53248 .55592 Metetra
.563 .741 .96 r
.53248 .55592 .53841 .56118 .54947 .55967 .54357 .5547 Metetra
.531 .74 .971 r
.54357 .5547 .54947 .55967 .56059 .55853 .55472 .5539 Metetra
.492 .739 .982 r
.55472 .5539 .56059 .55853 .57177 .55772 .56595 .5535 Metetra
.447 .738 .99 r
.56595 .5535 .57177 .55772 .58303 .55721 .57724 .55344 Metetra
.4 .736 .992 r
.57724 .55344 .58303 .55721 .59435 .55688 .5886 .55361 Metetra
.357 .735 .987 r
.5886 .55361 .59435 .55688 .60574 .55661 .60004 .55385 Metetra
.325 .739 .978 r
.60004 .55385 .60574 .55661 .61719 .55623 .61154 .55396 Metetra
.314 .752 .967 r
.61154 .55396 .61719 .55623 .6287 .55555 .62311 .55372 Metetra
.329 .776 .959 r
.62311 .55372 .6287 .55555 .64026 .55439 .63473 .55292 Metetra
.372 .811 .957 r
.63473 .55292 .64026 .55439 .65186 .55257 .64638 .55135 Metetra
.438 .852 .961 r
.64638 .55135 .65186 .55257 .66349 .54997 .65807 .54888 Metetra
.516 .892 .965 r
.65807 .54888 .66349 .54997 .67513 .54653 .66976 .54541 Metetra
.593 .923 .967 r
.66976 .54541 .67513 .54653 .68679 .54224 .68146 .54095 Metetra
.661 .939 .965 r
.68146 .54095 .68679 .54224 .69844 .53716 .69315 .53558 Metetra
.712 .942 .958 r
.69315 .53558 .69844 .53716 .7101 .53141 .70484 .52942 Metetra
.746 .934 .949 r
.70484 .52942 .7101 .53141 .72176 .52517 .71653 .52269 Metetra
.765 .919 .94 r
.71653 .52269 .72176 .52517 .73343 .51861 .72823 .51559 Metetra
.773 .9 .931 r
.72823 .51559 .73343 .51861 .74512 .51192 .73993 .50835 Metetra
.772 .88 .925 r
.73993 .50835 .74512 .51192 .75684 .50528 .75167 .50116 Metetra
.765 .859 .919 r
.75167 .50116 .75684 .50528 .7686 .49882 .76345 .49418 Metetra
.755 .839 .916 r
.76345 .49418 .7686 .49882 .78042 .49264 .77528 .48754 Metetra
.742 .82 .913 r
.77528 .48754 .78042 .49264 .79229 .48679 .78717 .48129 Metetra
.729 .804 .911 r
.78717 .48129 .79229 .48679 .80423 .48131 .79912 .47546 Metetra
.716 .79 .91 r
.79912 .47546 .80423 .48131 .81624 .47617 .81115 .47005 Metetra
.704 .778 .909 r
.81115 .47005 .81624 .47617 .82832 .47135 .82325 .465 Metetra
.694 .768 .908 r
.82325 .465 .82832 .47135 .84047 .46679 .83543 .46027 Metetra
.686 .76 .908 r
.83543 .46027 .84047 .46679 .85268 .46246 .84767 .45581 Metetra
.679 .754 .908 r
.84767 .45581 .85268 .46246 .86497 .4583 .85999 .45154 Metetra
.674 .75 .908 r
.85999 .45154 .86497 .4583 .87732 .45426 .87237 .44742 Metetra
.671 .747 .908 r
.87237 .44742 .87732 .45426 .88973 .45031 .88481 .44341 Metetra
.668 .745 .908 r
.88481 .44341 .88973 .45031 .90219 .44641 .89732 .43946 Metetra
.666 .744 .908 r
.89732 .43946 .90219 .44641 .91472 .44255 .90988 .43555 Metetra
.665 .743 .908 r
.90988 .43555 .91472 .44255 .9273 .43871 .92251 .43167 Metetra
.665 .742 .908 r
.92251 .43167 .9273 .43871 .93994 .43487 .93519 .42779 Metetra
.664 .742 .908 r
.93519 .42779 .93994 .43487 .95264 .43102 .94792 .42392 Metetra
.664 .742 .908 r
.94792 .42392 .95264 .43102 .96539 .42717 .96071 .42003 Metetra
.663 .741 .908 r
.3863 .5862 .39262 .59208 .40312 .58891 .39683 .58301 Metetra
.663 .741 .908 r
.39683 .58301 .40312 .58891 .41367 .58574 .4074 .57982 Metetra
.662 .741 .909 r
.4074 .57982 .41367 .58574 .42426 .58257 .41801 .57663 Metetra
.661 .741 .909 r
.41801 .57663 .42426 .58257 .43488 .5794 .42867 .57345 Metetra
.66 .741 .91 r
.42867 .57345 .43488 .5794 .44555 .57626 .43936 .5703 Metetra
.657 .741 .911 r
.43936 .5703 .44555 .57626 .45626 .57317 .4501 .56721 Metetra
.654 .741 .913 r
.4501 .56721 .45626 .57317 .46702 .57014 .46088 .56419 Metetra
.649 .741 .916 r
.46088 .56419 .46702 .57014 .47781 .56722 .4717 .5613 Metetra
.642 .74 .92 r
.4717 .5613 .47781 .56722 .48865 .56445 .48257 .55858 Metetra
.632 .74 .926 r
.48257 .55858 .48865 .56445 .49953 .56187 .49348 .5561 Metetra
.618 .74 .933 r
.49348 .5561 .49953 .56187 .51046 .55955 .50443 .55392 Metetra
.599 .739 .942 r
.50443 .55392 .51046 .55955 .52144 .55755 .51544 .5521 Metetra
.574 .738 .953 r
.51544 .5521 .52144 .55755 .53248 .55592 .5265 .55072 Metetra
.542 .737 .965 r
.5265 .55072 .53248 .55592 .54357 .5547 .53763 .54982 Metetra
.501 .734 .977 r
.53763 .54982 .54357 .5547 .55472 .5539 .54881 .5494 Metetra
.45 .728 .986 r
.54881 .5494 .55472 .5539 .56595 .5535 .56007 .54946 Metetra
.39 .72 .989 r
.56007 .54946 .56595 .5535 .57724 .55344 .5714 .54992 Metetra
.326 .709 .982 r
.5714 .54992 .57724 .55344 .5886 .55361 .58281 .55064 Metetra
.267 .699 .965 r
.58281 .55064 .5886 .55361 .60004 .55385 .59429 .55145 Metetra
.223 .694 .941 r
.59429 .55145 .60004 .55385 .61154 .55396 .60585 .55211 Metetra
.207 .701 .919 r
.60585 .55211 .61154 .55396 .62311 .55372 .61747 .55237 Metetra
.225 .726 .906 r
.61747 .55237 .62311 .55372 .63473 .55292 .62915 .55197 Metetra
.279 .769 .905 r
.62915 .55197 .63473 .55292 .64638 .55135 .64087 .55069 Metetra
.362 .824 .916 r
.64087 .55069 .64638 .55135 .65807 .54888 .6526 .54836 Metetra
.462 .88 .931 r
.6526 .54836 .65807 .54888 .66976 .54541 .66435 .54487 Metetra
.563 .925 .943 r
.66435 .54487 .66976 .54541 .68146 .54095 .6761 .54023 Metetra
.649 .951 .948 r
.6761 .54023 .68146 .54095 .69315 .53558 .68784 .53453 Metetra
.713 .959 .946 r
.68784 .53453 .69315 .53558 .70484 .52942 .69956 .52792 Metetra
.756 .953 .94 r
.69956 .52792 .70484 .52942 .71653 .52269 .71128 .52064 Metetra
.779 .937 .932 r
.71128 .52064 .71653 .52269 .72823 .51559 .723 .51294 Metetra
.789 .916 .925 r
.723 .51294 .72823 .51559 .73993 .50835 .73472 .50507 Metetra
.788 .894 .919 r
.73472 .50507 .73993 .50835 .75167 .50116 .74647 .49727 Metetra
.78 .871 .915 r
.74647 .49727 .75167 .50116 .76345 .49418 .75826 .48973 Metetra
.768 .849 .912 r
.75826 .48973 .76345 .49418 .77528 .48754 .7701 .48257 Metetra
.754 .829 .91 r
.7701 .48257 .77528 .48754 .78717 .48129 .78201 .47588 Metetra
.738 .811 .909 r
.78201 .47588 .78717 .48129 .79912 .47546 .79398 .46967 Metetra
.724 .795 .908 r
.79398 .46967 .79912 .47546 .81115 .47005 .80603 .46395 Metetra
.71 .782 .908 r
.80603 .46395 .81115 .47005 .82325 .465 .81815 .45866 Metetra
.699 .771 .908 r
.81815 .45866 .82325 .465 .83543 .46027 .83035 .45374 Metetra
.689 .763 .908 r
.83035 .45374 .83543 .46027 .84767 .45581 .84263 .44912 Metetra
.682 .756 .908 r
.84263 .44912 .84767 .45581 .85999 .45154 .85497 .44474 Metetra
.676 .751 .908 r
.85497 .44474 .85999 .45154 .87237 .44742 .86739 .44054 Metetra
.672 .748 .908 r
.86739 .44054 .87237 .44742 .88481 .44341 .87987 .43645 Metetra
.669 .745 .908 r
.87987 .43645 .88481 .44341 .89732 .43946 .89241 .43245 Metetra
.667 .744 .908 r
.89241 .43245 .89732 .43946 .90988 .43555 .90501 .4285 Metetra
.666 .743 .908 r
.90501 .4285 .90988 .43555 .92251 .43167 .91767 .42458 Metetra
.665 .742 .908 r
.91767 .42458 .92251 .43167 .93519 .42779 .93039 .42067 Metetra
.664 .742 .908 r
.93039 .42067 .93519 .42779 .94792 .42392 .94317 .41675 Metetra
.664 .742 .908 r
.94317 .41675 .94792 .42392 .96071 .42003 .956 .41283 Metetra
.663 .741 .908 r
.37994 .58028 .3863 .5862 .39683 .58301 .39049 .57707 Metetra
.663 .741 .908 r
.39049 .57707 .39683 .58301 .4074 .57982 .40109 .57385 Metetra
.662 .741 .909 r
.40109 .57385 .4074 .57982 .41801 .57663 .41173 .57064 Metetra
.661 .741 .909 r
.41173 .57064 .41801 .57663 .42867 .57345 .42241 .56745 Metetra
.659 .741 .91 r
.42241 .56745 .42867 .57345 .43936 .5703 .43313 .5643 Metetra
.657 .741 .912 r
.43313 .5643 .43936 .5703 .4501 .56721 .44389 .5612 Metetra
.653 .741 .914 r
.44389 .5612 .4501 .56721 .46088 .56419 .4547 .55821 Metetra
.647 .74 .917 r
.4547 .55821 .46088 .56419 .4717 .5613 .46555 .55535 Metetra
.638 .74 .922 r
.46555 .55535 .4717 .5613 .48257 .55858 .47644 .5527 Metetra
.626 .739 .928 r
.47644 .5527 .48257 .55858 .49348 .5561 .48737 .55032 Metetra
.61 .738 .936 r
.48737 .55032 .49348 .5561 .50443 .55392 .49836 .54829 Metetra
.587 .737 .947 r
.49836 .54829 .50443 .55392 .51544 .5521 .50939 .54668 Metetra
.557 .735 .958 r
.50939 .54668 .51544 .5521 .5265 .55072 .52048 .54558 Metetra
.517 .731 .971 r
.52048 .54558 .5265 .55072 .53763 .54982 .53163 .54503 Metetra
.464 .723 .981 r
.53163 .54503 .53763 .54982 .54881 .5494 .54285 .54505 Metetra
.397 .711 .986 r
.54285 .54505 .54881 .5494 .56007 .54946 .55414 .54561 Metetra
.319 .692 .979 r
.55414 .54561 .56007 .54946 .5714 .54992 .56551 .54664 Metetra
.234 .668 .958 r
.56551 .54664 .5714 .54992 .58281 .55064 .57697 .54798 Metetra
.157 .642 .921 r
.57697 .54798 .58281 .55064 .59429 .55145 .5885 .54942 Metetra
.101 .625 .879 r
.5885 .54942 .59429 .55145 .60585 .55211 .60011 .55069 Metetra
.082 .626 .843 r
.60011 .55069 .60585 .55211 .61747 .55237 .61179 .55151 Metetra
.104 .652 .824 r
.61179 .55151 .61747 .55237 .62915 .55197 .62353 .55157 Metetra
.17 .705 .827 r
.62353 .55157 .62915 .55197 .64087 .55069 .6353 .55061 Metetra
.272 .777 .849 r
.6353 .55061 .64087 .55069 .6526 .54836 .6471 .54844 Metetra
.398 .853 .879 r
.6471 .54844 .6526 .54836 .66435 .54487 .65891 .54493 Metetra
.524 .917 .906 r
.65891 .54493 .66435 .54487 .6761 .54023 .67071 .54009 Metetra
.633 .957 .923 r
.67071 .54009 .6761 .54023 .68784 .53453 .68249 .53402 Metetra
.713 .972 .928 r
.68249 .53402 .68784 .53453 .69956 .52792 .69425 .52691 Metetra
.765 .968 .926 r
.69425 .52691 .69956 .52792 .71128 .52064 .706 .51903 Metetra
.793 .953 .921 r
.706 .51903 .71128 .52064 .723 .51294 .71774 .51066 Metetra
.805 .931 .916 r
.71774 .51066 .723 .51294 .73472 .50507 .72948 .50211 Metetra
.804 .908 .912 r
.72948 .50211 .73472 .50507 .74647 .49727 .74124 .49364 Metetra
.796 .883 .909 r
.74124 .49364 .74647 .49727 .75826 .48973 .75304 .48546 Metetra
.782 .86 .908 r
.75304 .48546 .75826 .48973 .7701 .48257 .7649 .47774 Metetra
.766 .838 .907 r
.7649 .47774 .7701 .48257 .78201 .47588 .77681 .47055 Metetra
.749 .818 .906 r
.77681 .47055 .78201 .47588 .79398 .46967 .7888 .46394 Metetra
.732 .801 .906 r
.7888 .46394 .79398 .46967 .80603 .46395 .80087 .45787 Metetra
.717 .787 .907 r
.80087 .45787 .80603 .46395 .81815 .45866 .81301 .45231 Metetra
.704 .775 .907 r
.81301 .45231 .81815 .45866 .83035 .45374 .82524 .44719 Metetra
.693 .765 .907 r
.82524 .44719 .83035 .45374 .84263 .44912 .83754 .44241 Metetra
.684 .758 .907 r
.83754 .44241 .84263 .44912 .85497 .44474 .84992 .43791 Metetra
.678 .752 .907 r
.84992 .43791 .85497 .44474 .86739 .44054 .86236 .43361 Metetra
.673 .749 .907 r
.86236 .43361 .86739 .44054 .87987 .43645 .87488 .42945 Metetra
.67 .746 .908 r
.87488 .42945 .87987 .43645 .89241 .43245 .88746 .42539 Metetra
.667 .744 .908 r
.88746 .42539 .89241 .43245 .90501 .4285 .9001 .4214 Metetra
.666 .743 .908 r
.9001 .4214 .90501 .4285 .91767 .42458 .9128 .41743 Metetra
.665 .742 .908 r
.9128 .41743 .91767 .42458 .93039 .42067 .92556 .41348 Metetra
.664 .742 .908 r
.92556 .41348 .93039 .42067 .94317 .41675 .93837 .40953 Metetra
.664 .742 .908 r
.93837 .40953 .94317 .41675 .956 .41283 .95125 .40558 Metetra
.663 .741 .908 r
.37353 .57431 .37994 .58028 .39049 .57707 .38411 .57108 Metetra
.663 .741 .908 r
.38411 .57108 .39049 .57707 .40109 .57385 .39473 .56784 Metetra
.662 .741 .909 r
.39473 .56784 .40109 .57385 .41173 .57064 .40539 .56462 Metetra
.661 .741 .91 r
.40539 .56462 .41173 .57064 .42241 .56745 .4161 .56141 Metetra
.659 .741 .911 r
.4161 .56141 .42241 .56745 .43313 .5643 .42685 .55825 Metetra
.655 .741 .912 r
.42685 .55825 .43313 .5643 .44389 .5612 .43764 .55516 Metetra
.651 .74 .915 r
.43764 .55516 .44389 .5612 .4547 .55821 .44847 .55219 Metetra
.644 .74 .919 r
.44847 .55219 .4547 .55821 .46555 .55535 .45934 .54938 Metetra
.634 .739 .924 r
.45934 .54938 .46555 .55535 .47644 .5527 .47026 .5468 Metetra
.62 .738 .931 r
.47026 .5468 .47644 .5527 .48737 .55032 .48122 .54453 Metetra
.601 .737 .94 r
.48122 .54453 .48737 .55032 .49836 .54829 .49223 .54267 Metetra
.574 .734 .951 r
.49223 .54267 .49836 .54829 .50939 .54668 .50329 .5413 Metetra
.537 .73 .963 r
.50329 .5413 .50939 .54668 .52048 .54558 .51441 .5405 Metetra
.486 .722 .975 r
.51441 .5405 .52048 .54558 .53163 .54503 .52559 .54033 Metetra
.419 .709 .983 r
.52559 .54033 .53163 .54503 .54285 .54505 .53684 .54083 Metetra
.334 .686 .98 r
.53684 .54083 .54285 .54505 .55414 .54561 .54816 .54195 Metetra
.232 .652 .958 r
.54816 .54195 .55414 .54561 .56551 .54664 .55957 .54361 Metetra
.125 .609 .914 r
.55957 .54361 .56551 .54664 .57697 .54798 .57107 .54563 Metetra
.03 .565 .853 r
.57107 .54563 .57697 .54798 .5885 .54942 .58265 .54776 Metetra
0 .534 .789 r
.58265 .54776 .5885 .54942 .60011 .55069 .59432 .54972 Metetra
0 .529 .74 r
.59432 .54972 .60011 .55069 .61179 .55151 .60606 .55115 Metetra
0 .557 .719 r
.60606 .55115 .61179 .55151 .62353 .55157 .61786 .55172 Metetra
.054 .62 .727 r
.61786 .55172 .62353 .55157 .6353 .55061 .6297 .55112 Metetra
.175 .711 .762 r
.6297 .55112 .6353 .55061 .6471 .54844 .64156 .54912 Metetra
.325 .811 .811 r
.64156 .54912 .6471 .54844 .65891 .54493 .65342 .54559 Metetra
.48 .899 .858 r
.65342 .54559 .65891 .54493 .67071 .54009 .66528 .54054 Metetra
.614 .956 .889 r
.66528 .54054 .67071 .54009 .68249 .53402 .67711 .53407 Metetra
.712 .981 .904 r
.67711 .53407 .68249 .53402 .69425 .52691 .68891 .52641 Metetra
.774 .981 .908 r
.68891 .52641 .69425 .52691 .706 .51903 .70068 .51786 Metetra
.808 .967 .907 r
.70068 .51786 .706 .51903 .71774 .51066 .71245 .50876 Metetra
.821 .945 .905 r
.71245 .50876 .71774 .51066 .72948 .50211 .72421 .49946 Metetra
.821 .92 .903 r
.72421 .49946 .72948 .50211 .74124 .49364 .73598 .49025 Metetra
.812 .894 .902 r
.73598 .49025 .74124 .49364 .75304 .48546 .74779 .48138 Metetra
.797 .87 .902 r
.74779 .48138 .75304 .48546 .7649 .47774 .75966 .47304 Metetra
.779 .846 .902 r
.75966 .47304 .7649 .47774 .77681 .47055 .77158 .46532 Metetra
.76 .825 .903 r
.77158 .46532 .77681 .47055 .7888 .46394 .78359 .45825 Metetra
.742 .807 .904 r
.78359 .45825 .7888 .46394 .80087 .45787 .79567 .45182 Metetra
.725 .791 .905 r
.79567 .45182 .80087 .45787 .81301 .45231 .80783 .44597 Metetra
.71 .778 .906 r
.80783 .44597 .81301 .45231 .82524 .44719 .82008 .44062 Metetra
.697 .768 .906 r
.82008 .44062 .82524 .44719 .83754 .44241 .83241 .43567 Metetra
.687 .76 .907 r
.83241 .43567 .83754 .44241 .84992 .43791 .84482 .43103 Metetra
.68 .754 .907 r
.84482 .43103 .84992 .43791 .86236 .43361 .8573 .42663 Metetra
.674 .749 .907 r
.8573 .42663 .86236 .43361 .87488 .42945 .86985 .4224 Metetra
.671 .746 .907 r
.86985 .4224 .87488 .42945 .88746 .42539 .88247 .41828 Metetra
.668 .745 .908 r
.88247 .41828 .88746 .42539 .9001 .4214 .89514 .41423 Metetra
.666 .743 .908 r
.89514 .41423 .9001 .4214 .9128 .41743 .90788 .41023 Metetra
.665 .742 .908 r
.90788 .41023 .9128 .41743 .92556 .41348 .92068 .40624 Metetra
.664 .742 .908 r
.92068 .40624 .92556 .41348 .93837 .40953 .93354 .40226 Metetra
.664 .742 .908 r
.93354 .40226 .93837 .40953 .95125 .40558 .94645 .39827 Metetra
.663 .741 .908 r
.36707 .5683 .37353 .57431 .38411 .57108 .37768 .56505 Metetra
.662 .741 .909 r
.37768 .56505 .38411 .57108 .39473 .56784 .38832 .56179 Metetra
.662 .741 .909 r
.38832 .56179 .39473 .56784 .40539 .56462 .39901 .55855 Metetra
.66 .741 .91 r
.39901 .55855 .40539 .56462 .4161 .56141 .40975 .55533 Metetra
.658 .741 .911 r
.40975 .55533 .4161 .56141 .42685 .55825 .42052 .55217 Metetra
.654 .74 .913 r
.42052 .55217 .42685 .55825 .43764 .55516 .43134 .54908 Metetra
.649 .74 .916 r
.43134 .54908 .43764 .55516 .44847 .55219 .44219 .54613 Metetra
.641 .739 .92 r
.44219 .54613 .44847 .55219 .45934 .54938 .45309 .54337 Metetra
.63 .738 .926 r
.45309 .54337 .45934 .54938 .47026 .5468 .46404 .54087 Metetra
.614 .737 .933 r
.46404 .54087 .47026 .5468 .48122 .54453 .47502 .53873 Metetra
.591 .735 .943 r
.47502 .53873 .48122 .54453 .49223 .54267 .48606 .53705 Metetra
.559 .73 .955 r
.48606 .53705 .49223 .54267 .50329 .5413 .49714 .53593 Metetra
.514 .723 .968 r
.49714 .53593 .50329 .5413 .51441 .5405 .50828 .53547 Metetra
.451 .711 .978 r
.50828 .53547 .51441 .5405 .52559 .54033 .51949 .53573 Metetra
.366 .688 .98 r
.51949 .53573 .52559 .54033 .53684 .54083 .53077 .53675 Metetra
.257 .651 .965 r
.53077 .53675 .53684 .54083 .54816 .54195 .54213 .53848 Metetra
.13 .597 .921 r
.54213 .53848 .54816 .54195 .55957 .54361 .55358 .54082 Metetra
.002 .531 .849 r
.55358 .54082 .55957 .54361 .57107 .54563 .56512 .54358 Metetra
0 .468 .76 r
.56512 .54358 .57107 .54563 .58265 .54776 .57675 .54648 Metetra
.168 0 0 r
.57675 .54648 .58265 .54776 .59432 .54972 .58847 .54918 Metetra
.182 0 0 r
.58847 .54918 .59432 .54972 .60606 .55115 .60027 .55129 Metetra
.147 0 0 r
.60027 .55129 .60606 .55115 .61786 .55172 .61213 .55241 Metetra
.059 0 0 r
.61213 .55241 .61786 .55172 .6297 .55112 .62404 .5522 Metetra
.62404 .5522 .6297 .55112 .64156 .54912 .63597 .5504 Metetra
.25 .757 .733 r
.63597 .5504 .64156 .54912 .65342 .54559 .64789 .54686 Metetra
.434 .871 .8 r
.64789 .54686 .65342 .54559 .66528 .54054 .6598 .54157 Metetra
.594 .949 .849 r
.6598 .54157 .66528 .54054 .67711 .53407 .67168 .53466 Metetra
.71 .985 .876 r
.67168 .53466 .67711 .53407 .68891 .52641 .68352 .5264 Metetra
.783 .99 .887 r
.68352 .5264 .68891 .52641 .70068 .51786 .69533 .51713 Metetra
.822 .977 .89 r
.69533 .51713 .70068 .51786 .71245 .50876 .70712 .50724 Metetra
.838 .955 .89 r
.70712 .50724 .71245 .50876 .72421 .49946 .7189 .49711 Metetra
.838 .93 .891 r
.7189 .49711 .72421 .49946 .73598 .49025 .73069 .4871 Metetra
.828 .904 .892 r
.73069 .4871 .73598 .49025 .74779 .48138 .74251 .47749 Metetra
.812 .878 .894 r
.74251 .47749 .74779 .48138 .75966 .47304 .75438 .46847 Metetra
.793 .854 .896 r
.75438 .46847 .75966 .47304 .77158 .46532 .76632 .46017 Metetra
.772 .832 .899 r
.76632 .46017 .77158 .46532 .78359 .45825 .77833 .45262 Metetra
.751 .813 .901 r
.77833 .45262 .78359 .45825 .79567 .45182 .79043 .44579 Metetra
.732 .796 .903 r
.79043 .44579 .79567 .45182 .80783 .44597 .80262 .43963 Metetra
.716 .782 .904 r
.80262 .43963 .80783 .44597 .82008 .44062 .81489 .43403 Metetra
.702 .77 .905 r
.81489 .43403 .82008 .44062 .83241 .43567 .82725 .42889 Metetra
.691 .762 .906 r
.82725 .42889 .83241 .43567 .84482 .43103 .83969 .42412 Metetra
.682 .755 .906 r
.83969 .42412 .84482 .43103 .8573 .42663 .8522 .41961 Metetra
.676 .75 .907 r
.8522 .41961 .8573 .42663 .86985 .4224 .86478 .4153 Metetra
.672 .747 .907 r
.86478 .4153 .86985 .4224 .88247 .41828 .87744 .41112 Metetra
.669 .745 .907 r
.87744 .41112 .88247 .41828 .89514 .41423 .89015 .40702 Metetra
.667 .743 .908 r
.89015 .40702 .89514 .41423 .90788 .41023 .90293 .40297 Metetra
.665 .743 .908 r
.90293 .40297 .90788 .41023 .92068 .40624 .91577 .39894 Metetra
.665 .742 .908 r
.91577 .39894 .92068 .40624 .93354 .40226 .92867 .39492 Metetra
.664 .742 .908 r
.92867 .39492 .93354 .40226 .94645 .39827 .94162 .3909 Metetra
.663 .741 .908 r
.36056 .56225 .36707 .5683 .37768 .56505 .3712 .55897 Metetra
.662 .741 .909 r
.3712 .55897 .37768 .56505 .38832 .56179 .38187 .55569 Metetra
.661 .741 .909 r
.38187 .55569 .38832 .56179 .39901 .55855 .39259 .55243 Metetra
.66 .741 .91 r
.39259 .55243 .39901 .55855 .40975 .55533 .40335 .54921 Metetra
.657 .741 .911 r
.40335 .54921 .40975 .55533 .42052 .55217 .41415 .54604 Metetra
.653 .74 .913 r
.41415 .54604 .42052 .55217 .43134 .54908 .42499 .54296 Metetra
.647 .74 .917 r
.42499 .54296 .43134 .54908 .44219 .54613 .43587 .54004 Metetra
.638 .739 .921 r
.43587 .54004 .44219 .54613 .45309 .54337 .4468 .53733 Metetra
.625 .737 .928 r
.4468 .53733 .45309 .54337 .46404 .54087 .45776 .53492 Metetra
.607 .735 .936 r
.45776 .53492 .46404 .54087 .47502 .53873 .46877 .53292 Metetra
.58 .732 .947 r
.46877 .53292 .47502 .53873 .48606 .53705 .47983 .53144 Metetra
.541 .726 .959 r
.47983 .53144 .48606 .53705 .49714 .53593 .49094 .53059 Metetra
.487 .715 .972 r
.49094 .53059 .49714 .53593 .50828 .53547 .50211 .53049 Metetra
.41 .695 .979 r
.50211 .53049 .50828 .53547 .51949 .53573 .51334 .53121 Metetra
.304 .66 .972 r
.51334 .53121 .51949 .53573 .53077 .53675 .52465 .53279 Metetra
.169 .604 .938 r
.52465 .53279 .53077 .53675 .54213 .53848 .53604 .53518 Metetra
.017 .526 .866 r
.53604 .53518 .54213 .53848 .55358 .54082 .54752 .53827 Metetra
0 .437 .763 r
.54752 .53827 .55358 .54082 .56512 .54358 .55911 .54183 Metetra
.234 0 0 r
.55911 .54183 .56512 .54358 .57675 .54648 .57079 .54556 Metetra
.291 0 0 r
.57079 .54556 .57675 .54648 .58847 .54918 .58256 .54906 Metetra
.298 0 0 r
.58256 .54906 .58847 .54918 .60027 .55129 .59442 .5519 Metetra
.255 0 0 r
.59442 .5519 .60027 .55129 .61213 .55241 .60635 .55363 Metetra
.161 0 0 r
.60635 .55363 .61213 .55241 .62404 .5522 .61833 .55385 Metetra
.014 0 0 r
.61833 .55385 .62404 .5522 .63597 .5504 .63032 .55226 Metetra
.63032 .55226 .63597 .5504 .64789 .54686 .64231 .5487 Metetra
.388 .838 .74 r
.64231 .5487 .64789 .54686 .6598 .54157 .65428 .54315 Metetra
.575 .937 .807 r
.65428 .54315 .6598 .54157 .67168 .53466 .66621 .53578 Metetra
.71 .986 .845 r
.66621 .53578 .67168 .53466 .68352 .5264 .6781 .52687 Metetra
.793 .996 .863 r
.6781 .52687 .68352 .5264 .69533 .51713 .68994 .51682 Metetra
.836 .985 .87 r
.68994 .51682 .69533 .51713 .70712 .50724 .70175 .50607 Metetra
.854 .963 .874 r
.70175 .50607 .70712 .50724 .7189 .49711 .71355 .49506 Metetra
.854 .938 .877 r
.71355 .49506 .7189 .49711 .73069 .4871 .72535 .48419 Metetra
.844 .912 .881 r
.72535 .48419 .73069 .4871 .74251 .47749 .73718 .47377 Metetra
.827 .886 .885 r
.73718 .47377 .74251 .47749 .75438 .46847 .74907 .46403 Metetra
.806 .861 .89 r
.74907 .46403 .75438 .46847 .76632 .46017 .76101 .4551 Metetra
.784 .839 .894 r
.76101 .4551 .76632 .46017 .77833 .45262 .77304 .44703 Metetra
.761 .818 .897 r
.77304 .44703 .77833 .45262 .79043 .44579 .78516 .43978 Metetra
.74 .8 .9 r
.78516 .43978 .79043 .44579 .80262 .43963 .79736 .43328 Metetra
.722 .785 .902 r
.79736 .43328 .80262 .43963 .81489 .43403 .80966 .42742 Metetra
.706 .773 .904 r
.80966 .42742 .81489 .43403 .82725 .42889 .82204 .42209 Metetra
.694 .763 .905 r
.82204 .42209 .82725 .42889 .83969 .42412 .83451 .41716 Metetra
.684 .756 .906 r
.83451 .41716 .83969 .42412 .8522 .41961 .84706 .41255 Metetra
.678 .751 .907 r
.84706 .41255 .8522 .41961 .86478 .4153 .85968 .40815 Metetra
.673 .748 .907 r
.85968 .40815 .86478 .4153 .87744 .41112 .87237 .4039 Metetra
.669 .745 .907 r
.87237 .4039 .87744 .41112 .89015 .40702 .88512 .39974 Metetra
.667 .744 .908 r
.88512 .39974 .89015 .40702 .90293 .40297 .89794 .39565 Metetra
.666 .743 .908 r
.89794 .39565 .90293 .40297 .91577 .39894 .91082 .39158 Metetra
.665 .742 .908 r
.91082 .39158 .91577 .39894 .92867 .39492 .92376 .38753 Metetra
.664 .742 .908 r
.92376 .38753 .92867 .39492 .94162 .3909 .93675 .38347 Metetra
.663 .741 .908 r
.35401 .55615 .36056 .56225 .3712 .55897 .36467 .55285 Metetra
.662 .741 .909 r
.36467 .55285 .3712 .55897 .38187 .55569 .37537 .54955 Metetra
.661 .741 .909 r
.37537 .54955 .38187 .55569 .39259 .55243 .38611 .54628 Metetra
.659 .741 .91 r
.38611 .54628 .39259 .55243 .40335 .54921 .3969 .54304 Metetra
.656 .74 .912 r
.3969 .54304 .40335 .54921 .41415 .54604 .40772 .53987 Metetra
.652 .74 .914 r
.40772 .53987 .41415 .54604 .42499 .54296 .41859 .5368 Metetra
.645 .739 .918 r
.41859 .5368 .42499 .54296 .43587 .54004 .4295 .53391 Metetra
.635 .738 .923 r
.4295 .53391 .43587 .54004 .4468 .53733 .44045 .53126 Metetra
.62 .736 .93 r
.44045 .53126 .4468 .53733 .45776 .53492 .45144 .52895 Metetra
.599 .733 .939 r
.45144 .52895 .45776 .53492 .46877 .53292 .46248 .52709 Metetra
.567 .728 .95 r
.46248 .52709 .46877 .53292 .47983 .53144 .47356 .52583 Metetra
.522 .72 .963 r
.47356 .52583 .47983 .53144 .49094 .53059 .48469 .52527 Metetra
.456 .704 .974 r
.48469 .52527 .49094 .53059 .50211 .53049 .49588 .52556 Metetra
.362 .675 .976 r
.49588 .52556 .50211 .53049 .51334 .53121 .50714 .52677 Metetra
.233 .625 .957 r
.50714 .52677 .51334 .53121 .52465 .53279 .51847 .52894 Metetra
.071 .546 .898 r
.51847 .52894 .52465 .53279 .53604 .53518 .5299 .53204 Metetra
0 .442 .794 r
.5299 .53204 .53604 .53518 .54752 .53827 .54141 .53593 Metetra
0 .335 .663 r
.54141 .53593 .54752 .53827 .55911 .54183 .55303 .54035 Metetra
.35 0 0 r
.55303 .54035 .55911 .54183 .57079 .54556 .56476 .54497 Metetra
.396 0 0 r
.56476 .54497 .57079 .54556 .58256 .54906 .57659 .54934 Metetra
.394 0 0 r
.57659 .54934 .58256 .54906 .59442 .5519 .58851 .55296 Metetra
.345 0 0 r
.58851 .55296 .59442 .5519 .60635 .55363 .60051 .55534 Metetra
.247 0 0 r
.60051 .55534 .60635 .55363 .61833 .55385 .61255 .55602 Metetra
.093 0 0 r
.61255 .55602 .61833 .55385 .63032 .55226 .62462 .55467 Metetra
.62462 .55467 .63032 .55226 .64231 .5487 .63668 .55109 Metetra
.349 .805 .681 r
.63668 .55109 .64231 .5487 .65428 .54315 .64871 .54527 Metetra
.559 .925 .765 r
.64871 .54527 .65428 .54315 .66621 .53578 .6607 .53739 Metetra
.711 .985 .815 r
.6607 .53739 .66621 .53578 .6781 .52687 .67263 .52779 Metetra
.803 .999 .838 r
.67263 .52779 .6781 .52687 .68994 .51682 .6845 .51691 Metetra
.85 .989 .849 r
.6845 .51691 .68994 .51682 .70175 .50607 .69634 .50524 Metetra
.869 .968 .856 r
.69634 .50524 .70175 .50607 .71355 .49506 .70816 .49328 Metetra
.87 .944 .862 r
.70816 .49328 .71355 .49506 .72535 .48419 .71998 .48149 Metetra
.86 .918 .868 r
.71998 .48149 .72535 .48419 .73718 .47377 .73182 .47021 Metetra
.842 .892 .875 r
.73182 .47021 .73718 .47377 .74907 .46403 .74371 .4597 Metetra
.82 .867 .882 r
.74371 .4597 .74907 .46403 .76101 .4551 .75567 .45011 Metetra
.796 .844 .888 r
.75567 .45011 .76101 .4551 .77304 .44703 .76771 .44148 Metetra
.771 .823 .893 r
.76771 .44148 .77304 .44703 .78516 .43978 .77984 .43378 Metetra
.749 .804 .897 r
.77984 .43378 .78516 .43978 .79736 .43328 .79207 .42692 Metetra
.728 .788 .9 r
.79207 .42692 .79736 .43328 .80966 .42742 .80439 .42079 Metetra
.711 .775 .902 r
.80439 .42079 .80966 .42742 .82204 .42209 .8168 .41524 Metetra
.698 .765 .904 r
.8168 .41524 .82204 .42209 .83451 .41716 .8293 .41016 Metetra
.687 .758 .905 r
.8293 .41016 .83451 .41716 .84706 .41255 .84187 .40543 Metetra
.679 .752 .906 r
.84187 .40543 .84706 .41255 .85968 .40815 .85453 .40094 Metetra
.674 .748 .907 r
.85453 .40094 .85968 .40815 .87237 .4039 .86726 .39662 Metetra
.67 .746 .907 r
.86726 .39662 .87237 .4039 .88512 .39974 .88005 .39241 Metetra
.667 .744 .907 r
.88005 .39241 .88512 .39974 .89794 .39565 .89291 .38827 Metetra
.666 .743 .908 r
.89291 .38827 .89794 .39565 .91082 .39158 .90583 .38416 Metetra
.665 .742 .908 r
.90583 .38416 .91082 .39158 .92376 .38753 .9188 .38007 Metetra
.664 .742 .908 r
.9188 .38007 .92376 .38753 .93675 .38347 .93184 .37598 Metetra
.663 .741 .908 r
.34741 .55001 .35401 .55615 .36467 .55285 .35809 .54668 Metetra
.662 .741 .909 r
.35809 .54668 .36467 .55285 .37537 .54955 .36882 .54337 Metetra
.661 .741 .909 r
.36882 .54337 .37537 .54955 .38611 .54628 .37959 .54007 Metetra
.659 .741 .91 r
.37959 .54007 .38611 .54628 .3969 .54304 .3904 .53682 Metetra
.656 .74 .912 r
.3904 .53682 .3969 .54304 .40772 .53987 .40125 .53365 Metetra
.651 .74 .915 r
.40125 .53365 .40772 .53987 .41859 .5368 .41215 .5306 Metetra
.643 .739 .918 r
.41215 .5306 .41859 .5368 .4295 .53391 .42308 .52774 Metetra
.632 .737 .924 r
.42308 .52774 .4295 .53391 .44045 .53126 .43406 .52515 Metetra
.615 .735 .932 r
.43406 .52515 .44045 .53126 .45144 .52895 .44507 .52294 Metetra
.59 .731 .941 r
.44507 .52294 .45144 .52895 .46248 .52709 .45613 .52125 Metetra
.554 .724 .953 r
.45613 .52125 .46248 .52709 .47356 .52583 .46723 .5202 Metetra
.5 .712 .966 r
.46723 .5202 .47356 .52583 .48469 .52527 .47839 .51996 Metetra
.422 .69 .975 r
.47839 .51996 .48469 .52527 .49588 .52556 .4896 .52066 Metetra
.308 .65 .969 r
.4896 .52066 .49588 .52556 .50714 .52677 .50088 .52239 Metetra
.154 .58 .932 r
.50088 .52239 .50714 .52677 .51847 .52894 .51224 .5252 Metetra
0 .476 .844 r
.51224 .5252 .51847 .52894 .5299 .53204 .52369 .52904 Metetra
0 .35 .709 r
.52369 .52904 .5299 .53204 .54141 .53593 .53524 .53377 Metetra
.361 0 0 r
.53524 .53377 .54141 .53593 .55303 .54035 .5469 .53911 Metetra
.447 0 0 r
.5469 .53911 .55303 .54035 .56476 .54497 .55867 .54467 Metetra
.482 0 0 r
.55867 .54467 .56476 .54497 .57659 .54934 .57056 .54996 Metetra
.471 0 0 r
.57056 .54996 .57659 .54934 .58851 .55296 .58254 .55442 Metetra
.418 0 0 r
.58254 .55442 .58851 .55296 .60051 .55534 .5946 .55749 Metetra
.317 0 0 r
.5946 .55749 .60051 .55534 .61255 .55602 .60672 .55867 Metetra
.158 0 0 r
.60672 .55867 .61255 .55602 .62462 .55467 .61885 .55756 Metetra
.61885 .55756 .62462 .55467 .63668 .55109 .63098 .55396 Metetra
.63098 .55396 .63668 .55109 .64871 .54527 .64308 .54786 Metetra
.551 .913 .729 r
.64308 .54786 .64871 .54527 .6607 .53739 .65512 .53945 Metetra
.717 .982 .787 r
.65512 .53945 .6607 .53739 .67263 .52779 .6671 .52911 Metetra
.815 1 .815 r
.6671 .52911 .67263 .52779 .6845 .51691 .67902 .51734 Metetra
.865 .991 .828 r
.67902 .51734 .6845 .51691 .69634 .50524 .69088 .5047 Metetra
.884 .971 .837 r
.69088 .5047 .69634 .50524 .70816 .49328 .70272 .49174 Metetra
.885 .946 .846 r
.70272 .49174 .70816 .49328 .71998 .48149 .71456 .47897 Metetra
.874 .921 .854 r
.71456 .47897 .71998 .48149 .73182 .47021 .72641 .46678 Metetra
.856 .896 .864 r
.72641 .46678 .73182 .47021 .74371 .4597 .73831 .45546 Metetra
.833 .872 .873 r
.73831 .45546 .74371 .4597 .75567 .45011 .75028 .44517 Metetra
.807 .849 .881 r
.75028 .44517 .75567 .45011 .76771 .44148 .76234 .43596 Metetra
.782 .827 .888 r
.76234 .43596 .76771 .44148 .77984 .43378 .77448 .42778 Metetra
.757 .808 .893 r
.77448 .42778 .77984 .43378 .79207 .42692 .78673 .42055 Metetra
.735 .792 .898 r
.78673 .42055 .79207 .42692 .80439 .42079 .79907 .41412 Metetra
.716 .778 .901 r
.79907 .41412 .80439 .42079 .8168 .41524 .81151 .40836 Metetra
.701 .767 .903 r
.81151 .40836 .8168 .41524 .8293 .41016 .82404 .40312 Metetra
.69 .759 .905 r
.82404 .40312 .8293 .41016 .84187 .40543 .83665 .39826 Metetra
.681 .753 .906 r
.83665 .39826 .84187 .40543 .85453 .40094 .84934 .39368 Metetra
.675 .749 .907 r
.84934 .39368 .85453 .40094 .86726 .39662 .8621 .38929 Metetra
.671 .746 .907 r
.8621 .38929 .86726 .39662 .88005 .39241 .87493 .38503 Metetra
.668 .744 .907 r
.87493 .38503 .88005 .39241 .89291 .38827 .88783 .38084 Metetra
.666 .743 .908 r
.88783 .38084 .89291 .38827 .90583 .38416 .90079 .37669 Metetra
.665 .742 .908 r
.90079 .37669 .90583 .38416 .9188 .38007 .91381 .37255 Metetra
.664 .742 .908 r
.91381 .37255 .9188 .38007 .93184 .37598 .92689 .36843 Metetra
.663 .741 .908 r
.34076 .54382 .34741 .55001 .35809 .54668 .35147 .54047 Metetra
.662 .741 .909 r
.35147 .54047 .35809 .54668 .36882 .54337 .36222 .53714 Metetra
.66 .741 .91 r
.36222 .53714 .36882 .54337 .37959 .54007 .37302 .53383 Metetra
.658 .741 .911 r
.37302 .53383 .37959 .54007 .3904 .53682 .38385 .53057 Metetra
.655 .74 .912 r
.38385 .53057 .3904 .53682 .40125 .53365 .39473 .52739 Metetra
.649 .739 .915 r
.39473 .52739 .40125 .53365 .41215 .5306 .40565 .52436 Metetra
.641 .738 .919 r
.40565 .52436 .41215 .5306 .42308 .52774 .41661 .52153 Metetra
.628 .736 .925 r
.41661 .52153 .42308 .52774 .43406 .52515 .42761 .51901 Metetra
.609 .733 .933 r
.42761 .51901 .43406 .52515 .44507 .52294 .43865 .51691 Metetra
.581 .728 .944 r
.43865 .51691 .44507 .52294 .45613 .52125 .44973 .51538 Metetra
.539 .72 .956 r
.44973 .51538 .45613 .52125 .46723 .5202 .46086 .51457 Metetra
.477 .704 .968 r
.46086 .51457 .46723 .5202 .47839 .51996 .47203 .51465 Metetra
.384 .674 .974 r
.47203 .51465 .47839 .51996 .4896 .52066 .48326 .51577 Metetra
.249 .619 .958 r
.48326 .51577 .4896 .52066 .50088 .52239 .49457 .51805 Metetra
.068 .528 .898 r
.49457 .51805 .50088 .52239 .51224 .5252 .50595 .52152 Metetra
0 .399 .78 r
.50595 .52152 .51224 .5252 .52369 .52904 .51742 .52615 Metetra
.323 0 0 r
.51742 .52615 .52369 .52904 .53524 .53377 .529 .53176 Metetra
.454 0 0 r
.529 .53176 .53524 .53377 .5469 .53911 .5407 .53806 Metetra
.526 0 0 r
.5407 .53806 .5469 .53911 .55867 .54467 .55251 .54462 Metetra
.549 0 0 r
.55251 .54462 .55867 .54467 .57056 .54996 .56445 .55087 Metetra
.532 0 0 r
.56445 .55087 .57056 .54996 .58254 .55442 .57649 .55622 Metetra
.476 0 0 r
.57649 .55622 .58254 .55442 .5946 .55749 .58862 .56002 Metetra
.373 0 0 r
.58862 .56002 .5946 .55749 .60672 .55867 .60081 .56172 Metetra
.21 0 0 r
.60081 .56172 .60672 .55867 .61885 .55756 .61302 .56088 Metetra
.61302 .56088 .61885 .55756 .63098 .55396 .62522 .55726 Metetra
.62522 .55726 .63098 .55396 .64308 .54786 .63738 .55086 Metetra
.552 .907 .701 r
.63738 .55086 .64308 .54786 .65512 .53945 .64949 .54189 Metetra
.729 .981 .764 r
.64949 .54189 .65512 .53945 .6671 .52911 .66152 .53077 Metetra
.829 .999 .794 r
.66152 .53077 .6671 .52911 .67902 .51734 .67348 .51807 Metetra
.879 .99 .808 r
.67348 .51807 .67902 .51734 .69088 .5047 .68537 .5044 Metetra
.898 .97 .819 r
.68537 .5044 .69088 .5047 .70272 .49174 .69724 .49039 Metetra
.899 .947 .829 r
.69724 .49039 .70272 .49174 .71456 .47897 .70909 .4766 Metetra
.888 .922 .84 r
.70909 .4766 .71456 .47897 .72641 .46678 .72096 .46346 Metetra
.869 .898 .851 r
.72096 .46346 .72641 .46678 .73831 .45546 .73287 .4513 Metetra
.845 .875 .863 r
.73287 .4513 .73831 .45546 .75028 .44517 .74485 .44027 Metetra
.819 .852 .873 r
.74485 .44027 .75028 .44517 .76234 .43596 .75692 .43044 Metetra
.792 .831 .882 r
.75692 .43044 .76234 .43596 .77448 .42778 .76908 .42177 Metetra
.765 .811 .889 r
.76908 .42177 .77448 .42778 .78673 .42055 .78135 .41415 Metetra
.742 .794 .895 r
.78135 .41415 .78673 .42055 .79907 .41412 .79371 .40743 Metetra
.721 .78 .899 r
.79371 .40743 .79907 .41412 .81151 .40836 .80618 .40144 Metetra
.705 .769 .902 r
.80618 .40144 .81151 .40836 .82404 .40312 .81874 .39602 Metetra
.692 .76 .904 r
.81874 .39602 .82404 .40312 .83665 .39826 .83138 .39104 Metetra
.683 .754 .905 r
.83138 .39104 .83665 .39826 .84934 .39368 .84411 .38637 Metetra
.676 .749 .906 r
.84411 .38637 .84934 .39368 .8621 .38929 .85691 .3819 Metetra
.671 .746 .907 r
.85691 .3819 .8621 .38929 .87493 .38503 .86978 .37758 Metetra
.668 .744 .907 r
.86978 .37758 .87493 .38503 .88783 .38084 .88272 .37334 Metetra
.666 .743 .908 r
.88272 .37334 .88783 .38084 .90079 .37669 .89572 .36915 Metetra
.665 .742 .908 r
.89572 .36915 .90079 .37669 .91381 .37255 .90878 .36498 Metetra
.664 .742 .908 r
.90878 .36498 .91381 .37255 .92689 .36843 .9219 .36081 Metetra
.662 .741 .908 r
.33406 .53758 .34076 .54382 .35147 .54047 .34479 .53421 Metetra
.662 .741 .909 r
.34479 .53421 .35147 .54047 .36222 .53714 .35557 .53086 Metetra
.66 .741 .91 r
.35557 .53086 .36222 .53714 .37302 .53383 .3664 .52753 Metetra
.658 .74 .911 r
.3664 .52753 .37302 .53383 .38385 .53057 .37726 .52426 Metetra
.654 .74 .913 r
.37726 .52426 .38385 .53057 .39473 .52739 .38816 .52109 Metetra
.648 .739 .916 r
.38816 .52109 .39473 .52739 .40565 .52436 .39911 .51806 Metetra
.638 .738 .92 r
.39911 .51806 .40565 .52436 .41661 .52153 .41009 .51527 Metetra
.624 .735 .927 r
.41009 .51527 .41661 .52153 .42761 .51901 .42112 .51282 Metetra
.603 .732 .935 r
.42112 .51282 .42761 .51901 .43865 .51691 .43218 .51083 Metetra
.571 .725 .946 r
.43218 .51083 .43865 .51691 .44973 .51538 .44328 .50947 Metetra
.523 .714 .959 r
.44328 .50947 .44973 .51538 .46086 .51457 .45443 .50891 Metetra
.451 .693 .97 r
.45443 .50891 .46086 .51457 .47203 .51465 .46562 .50933 Metetra
.343 .654 .97 r
.46562 .50933 .47203 .51465 .48326 .51577 .47687 .51089 Metetra
.185 .583 .94 r
.47687 .51089 .48326 .51577 .49457 .51805 .48819 .51373 Metetra
0 .469 .856 r
.48819 .51373 .49457 .51805 .50595 .52152 .49959 .51789 Metetra
0 .318 .708 r
.49959 .51789 .50595 .52152 .51742 .52615 .51109 .52333 Metetra
.415 0 0 r
.51109 .52333 .51742 .52615 .529 .53176 .5227 .52986 Metetra
.53 0 0 r
.5227 .52986 .529 .53176 .5407 .53806 .53443 .53716 Metetra
.588 .014 0 r
.53443 .53716 .5407 .53806 .55251 .54462 .54628 .54474 Metetra
.602 .038 0 r
.54628 .54474 .55251 .54462 .56445 .55087 .55827 .55201 Metetra
.58 .024 0 r
.55827 .55201 .56445 .55087 .57649 .55622 .57037 .55828 Metetra
.522 0 0 r
.57037 .55828 .57649 .55622 .58862 .56002 .58256 .56285 Metetra
.418 0 0 r
.58256 .56285 .58862 .56002 .60081 .56172 .59482 .56509 Metetra
.251 0 0 r
.59482 .56509 .60081 .56172 .61302 .56088 .60711 .56452 Metetra
.006 0 0 r
.60711 .56452 .61302 .56088 .62522 .55726 .61938 .56089 Metetra
.61938 .56089 .62522 .55726 .63738 .55086 .63162 .55417 Metetra
.563 .906 .684 r
.63162 .55417 .63738 .55086 .64949 .54189 .64378 .54462 Metetra
.746 .982 .748 r
.64378 .54462 .64949 .54189 .66152 .53077 .65587 .53269 Metetra
.846 .997 .776 r
.65587 .53269 .66152 .53077 .67348 .51807 .66787 .51902 Metetra
.893 .987 .79 r
.66787 .51902 .67348 .51807 .68537 .5044 .67981 .50429 Metetra
.911 .967 .801 r
.67981 .50429 .68537 .5044 .69724 .49039 .6917 .48919 Metetra
.911 .944 .812 r
.6917 .48919 .69724 .49039 .70909 .4766 .70357 .47433 Metetra
.9 .921 .825 r
.70357 .47433 .70909 .4766 .72096 .46346 .71545 .46021 Metetra
.881 .899 .839 r
.71545 .46021 .72096 .46346 .73287 .4513 .72738 .44717 Metetra
.857 .876 .852 r
.72738 .44717 .73287 .4513 .74485 .44027 .73937 .43539 Metetra
.83 .855 .865 r
.73937 .43539 .74485 .44027 .75692 .43044 .75146 .42493 Metetra
.801 .834 .876 r
.75146 .42493 .75692 .43044 .76908 .42177 .76364 .41575 Metetra
.774 .814 .885 r
.76364 .41575 .76908 .42177 .78135 .41415 .77592 .40772 Metetra
.748 .797 .892 r
.77592 .40772 .78135 .41415 .79371 .40743 .78831 .40069 Metetra
.727 .782 .897 r
.78831 .40069 .79371 .40743 .80618 .40144 .8008 .39447 Metetra
.709 .77 .9 r
.8008 .39447 .80618 .40144 .81874 .39602 .81339 .38888 Metetra
.695 .761 .903 r
.81339 .38888 .81874 .39602 .83138 .39104 .82607 .38376 Metetra
.685 .755 .905 r
.82607 .38376 .83138 .39104 .84411 .38637 .83883 .37899 Metetra
.677 .75 .906 r
.83883 .37899 .84411 .38637 .85691 .3819 .85167 .37446 Metetra
.672 .747 .907 r
.85167 .37446 .85691 .3819 .86978 .37758 .86458 .37007 Metetra
.669 .745 .907 r
.86458 .37007 .86978 .37758 .88272 .37334 .87756 .36578 Metetra
.667 .743 .907 r
.87756 .36578 .88272 .37334 .89572 .36915 .8906 .36155 Metetra
.665 .742 .908 r
.8906 .36155 .89572 .36915 .90878 .36498 .90371 .35734 Metetra
.665 .742 .908 r
.90371 .35734 .90878 .36498 .9219 .36081 .91687 .35314 Metetra
.662 .741 .909 r
.32731 .5313 .33406 .53758 .34479 .53421 .33807 .52791 Metetra
.661 .741 .909 r
.33807 .52791 .34479 .53421 .35557 .53086 .34888 .52453 Metetra
.66 .741 .91 r
.34888 .52453 .35557 .53086 .3664 .52753 .35972 .52119 Metetra
.657 .74 .911 r
.35972 .52119 .3664 .52753 .37726 .52426 .37061 .51791 Metetra
.653 .74 .913 r
.37061 .51791 .37726 .52426 .38816 .52109 .38155 .51473 Metetra
.646 .739 .916 r
.38155 .51473 .38816 .52109 .39911 .51806 .39252 .51173 Metetra
.636 .737 .921 r
.39252 .51173 .39911 .51806 .41009 .51527 .40353 .50897 Metetra
.62 .734 .928 r
.40353 .50897 .41009 .51527 .42112 .51282 .41457 .50659 Metetra
.597 .73 .937 r
.41457 .50659 .42112 .51282 .43218 .51083 .42566 .50472 Metetra
.561 .722 .949 r
.42566 .50472 .43218 .51083 .44328 .50947 .43678 .50353 Metetra
.507 .708 .961 r
.43678 .50353 .44328 .50947 .45443 .50891 .44794 .50322 Metetra
.424 .681 .97 r
.44794 .50322 .45443 .50891 .46562 .50933 .45916 .50398 Metetra
.299 .632 .963 r
.45916 .50398 .46562 .50933 .47687 .51089 .47042 .506 Metetra
.119 .543 .918 r
.47042 .506 .47687 .51089 .48819 .51373 .48176 .50941 Metetra
0 .405 .807 r
.48176 .50941 .48819 .51373 .49959 .51789 .49318 .51428 Metetra
0 .239 .635 r
.49318 .51428 .49959 .51789 .51109 .52333 .50469 .52055 Metetra
.492 0 0 r
.50469 .52055 .51109 .52333 .5227 .52986 .51633 .52802 Metetra
.591 .017 0 r
.51633 .52802 .5227 .52986 .53443 .53716 .52808 .53634 Metetra
.636 .076 0 r
.52808 .53634 .53443 .53716 .54628 .54474 .53998 .54498 Metetra
.643 .094 0 r
.53998 .54498 .54628 .54474 .55827 .55201 .55201 .55329 Metetra
.618 .075 0 r
.55201 .55329 .55827 .55201 .57037 .55828 .56417 .5605 Metetra
.559 .015 0 r
.56417 .5605 .57037 .55828 .58256 .56285 .57643 .56586 Metetra
.454 0 0 r
.57643 .56586 .58256 .56285 .59482 .56509 .58876 .56867 Metetra
.281 0 0 r
.58876 .56867 .59482 .56509 .60711 .56452 .60112 .56839 Metetra
.021 0 0 r
.60112 .56839 .60711 .56452 .61938 .56089 .61347 .56473 Metetra
.61347 .56473 .61938 .56089 .63162 .55417 .62577 .55769 Metetra
.585 .913 .678 r
.62577 .55769 .63162 .55417 .64378 .54462 .63801 .54754 Metetra
.768 .984 .738 r
.63801 .54754 .64378 .54462 .65587 .53269 .65015 .53478 Metetra
.864 .995 .763 r
.65015 .53478 .65587 .53269 .66787 .51902 .6622 .52011 Metetra
.908 .982 .775 r
.6622 .52011 .66787 .51902 .67981 .50429 .67418 .50428 Metetra
.923 .961 .785 r
.67418 .50428 .67981 .50429 .6917 .48919 .68609 .48806 Metetra
.922 .94 .797 r
.68609 .48806 .6917 .48919 .70357 .47433 .69799 .47212 Metetra
.91 .918 .811 r
.69799 .47212 .70357 .47433 .71545 .46021 .70989 .45699 Metetra
.891 .897 .826 r
.70989 .45699 .71545 .46021 .72738 .44717 .72184 .44305 Metetra
.867 .876 .842 r
.72184 .44305 .72738 .44717 .73937 .43539 .73385 .43049 Metetra
.839 .856 .856 r
.73385 .43049 .73937 .43539 .75146 .42493 .74594 .41939 Metetra
.81 .835 .869 r
.74594 .41939 .75146 .42493 .76364 .41575 .75814 .40969 Metetra
.781 .816 .88 r
.75814 .40969 .76364 .41575 .77592 .40772 .77045 .40126 Metetra
.755 .799 .888 r
.77045 .40126 .77592 .40772 .78831 .40069 .78287 .39391 Metetra
.732 .784 .895 r
.78287 .39391 .78831 .40069 .8008 .39447 .79539 .38745 Metetra
.713 .772 .899 r
.79539 .38745 .8008 .39447 .81339 .38888 .80801 .38168 Metetra
.698 .762 .902 r
.80801 .38168 .81339 .38888 .82607 .38376 .82072 .37643 Metetra
.686 .755 .904 r
.82072 .37643 .82607 .38376 .83883 .37899 .83352 .37156 Metetra
.678 .75 .905 r
.83352 .37156 .83883 .37899 .85167 .37446 .84639 .36695 Metetra
.673 .747 .906 r
.84639 .36695 .85167 .37446 .86458 .37007 .85934 .3625 Metetra
.669 .745 .907 r
.85934 .3625 .86458 .37007 .87756 .36578 .87236 .35816 Metetra
.667 .743 .907 r
.87236 .35816 .87756 .36578 .8906 .36155 .88544 .35388 Metetra
.665 .742 .908 r
.88544 .35388 .8906 .36155 .90371 .35734 .89859 .34963 Metetra
.665 .742 .908 r
.89859 .34963 .90371 .35734 .91687 .35314 .9118 .3454 Metetra
.662 .741 .909 r
.3205 .52497 .32731 .5313 .33807 .52791 .33129 .52156 Metetra
.661 .741 .909 r
.33129 .52156 .33807 .52791 .34888 .52453 .34213 .51816 Metetra
.659 .741 .91 r
.34213 .51816 .34888 .52453 .35972 .52119 .353 .5148 Metetra
.657 .74 .911 r
.353 .5148 .35972 .52119 .37061 .51791 .36392 .51151 Metetra
.652 .739 .914 r
.36392 .51151 .37061 .51791 .38155 .51473 .37488 .50833 Metetra
.645 .738 .917 r
.37488 .50833 .38155 .51473 .39252 .51173 .38587 .50534 Metetra
.633 .736 .922 r
.38587 .50534 .39252 .51173 .40353 .50897 .39691 .50263 Metetra
.616 .733 .929 r
.39691 .50263 .40353 .50897 .41457 .50659 .40798 .50031 Metetra
.59 .728 .939 r
.40798 .50031 .41457 .50659 .42566 .50472 .41908 .49856 Metetra
.551 .718 .951 r
.41908 .49856 .42566 .50472 .43678 .50353 .43023 .49755 Metetra
.49 .701 .963 r
.43023 .49755 .43678 .50353 .44794 .50322 .44141 .49749 Metetra
.396 .668 .969 r
.44141 .49749 .44794 .50322 .45916 .50398 .45264 .49859 Metetra
.253 .606 .954 r
.45264 .49859 .45916 .50398 .47042 .506 .46392 .50107 Metetra
.052 .499 .89 r
.46392 .50107 .47042 .506 .48176 .50941 .47527 .50506 Metetra
0 .341 .754 r
.47527 .50506 .48176 .50941 .49318 .51428 .4867 .51064 Metetra
.403 0 0 r
.4867 .51064 .49318 .51428 .50469 .52055 .49823 .51775 Metetra
.554 0 0 r
.49823 .51775 .50469 .52055 .51633 .52802 .50988 .52617 Metetra
.638 .077 0 r
.50988 .52617 .51633 .52802 .52808 .53634 .52167 .53553 Metetra
.674 .128 0 r
.52167 .53553 .52808 .53634 .53998 .54498 .5336 .54525 Metetra
.677 .14 0 r
.5336 .54525 .53998 .54498 .55201 .55329 .54567 .55461 Metetra
.65 .117 0 r
.54567 .55461 .55201 .55329 .56417 .5605 .55788 .56279 Metetra
.59 .054 0 r
.55788 .56279 .56417 .5605 .57643 .56586 .5702 .56895 Metetra
.483 0 0 r
.5702 .56895 .57643 .56586 .58876 .56867 .5826 .57233 Metetra
.303 0 0 r
.5826 .57233 .58876 .56867 .60112 .56839 .59504 .57234 Metetra
.024 0 0 r
.59504 .57234 .60112 .56839 .61347 .56473 .60747 .56867 Metetra
.60747 .56867 .61347 .56473 .62577 .55769 .61985 .5613 Metetra
.618 .927 .683 r
.61985 .5613 .62577 .55769 .63801 .54754 .63215 .55053 Metetra
.795 .988 .735 r
.63215 .55053 .63801 .54754 .65015 .53478 .64435 .53692 Metetra
.883 .991 .753 r
.64435 .53692 .65015 .53478 .6622 .52011 .65646 .52123 Metetra
.921 .975 .762 r
.65646 .52123 .6622 .52011 .67418 .50428 .66847 .5043 Metetra
.933 .954 .77 r
.66847 .5043 .67418 .50428 .68609 .48806 .68043 .48694 Metetra
.931 .933 .782 r
.68043 .48694 .68609 .48806 .69799 .47212 .69235 .4699 Metetra
.919 .913 .797 r
.69235 .4699 .69799 .47212 .70989 .45699 .70428 .45375 Metetra
.9 .894 .813 r
.70428 .45375 .70989 .45699 .72184 .44305 .71624 .43889 Metetra
.876 .875 .831 r
.71624 .43889 .72184 .44305 .73385 .43049 .72827 .42556 Metetra
.848 .855 .848 r
.72827 .42556 .73385 .43049 .74594 .41939 .74038 .41381 Metetra
.819 .836 .863 r
.74038 .41381 .74594 .41939 .75814 .40969 .7526 .40358 Metetra
.789 .818 .875 r
.7526 .40358 .75814 .40969 .77045 .40126 .76493 .39473 Metetra
.761 .801 .885 r
.76493 .39473 .77045 .40126 .78287 .39391 .77737 .38707 Metetra
.737 .786 .892 r
.77737 .38707 .78287 .39391 .79539 .38745 .78992 .38036 Metetra
.716 .773 .897 r
.78992 .38036 .79539 .38745 .80801 .38168 .80257 .37442 Metetra
.7 .763 .901 r
.80257 .37442 .80801 .38168 .82072 .37643 .81532 .36904 Metetra
.688 .756 .903 r
.81532 .36904 .82072 .37643 .83352 .37156 .82815 .36407 Metetra
.68 .751 .905 r
.82815 .36407 .83352 .37156 .84639 .36695 .84107 .35938 Metetra
.674 .747 .906 r
.84107 .35938 .84639 .36695 .85934 .3625 .85406 .35487 Metetra
.67 .745 .907 r
.85406 .35487 .85934 .3625 .87236 .35816 .86712 .35048 Metetra
.667 .743 .907 r
.86712 .35048 .87236 .35816 .88544 .35388 .88024 .34616 Metetra
.666 .743 .908 r
.88024 .34616 .88544 .35388 .89859 .34963 .89343 .34187 Metetra
.665 .742 .908 r
.89343 .34187 .89859 .34963 .9118 .3454 .90668 .33759 Metetra
.662 .741 .909 r
.31365 .51859 .3205 .52497 .33129 .52156 .32447 .51516 Metetra
.661 .741 .909 r
.32447 .51516 .33129 .52156 .34213 .51816 .33533 .51174 Metetra
.659 .741 .91 r
.33533 .51174 .34213 .51816 .353 .5148 .34623 .50836 Metetra
.656 .74 .912 r
.34623 .50836 .353 .5148 .36392 .51151 .35717 .50506 Metetra
.651 .739 .914 r
.35717 .50506 .36392 .51151 .37488 .50833 .36816 .50188 Metetra
.643 .738 .918 r
.36816 .50188 .37488 .50833 .38587 .50534 .37918 .49891 Metetra
.631 .735 .923 r
.37918 .49891 .38587 .50534 .39691 .50263 .39024 .49623 Metetra
.612 .732 .931 r
.39024 .49623 .39691 .50263 .40798 .50031 .40133 .49398 Metetra
.584 .725 .941 r
.40133 .49398 .40798 .50031 .41908 .49856 .41246 .49234 Metetra
.54 .714 .952 r
.41246 .49234 .41908 .49856 .43023 .49755 .42362 .4915 Metetra
.472 .693 .964 r
.42362 .4915 .43023 .49755 .44141 .49749 .43482 .49169 Metetra
.367 .653 .967 r
.43482 .49169 .44141 .49749 .45264 .49859 .44606 .49314 Metetra
.207 .579 .942 r
.44606 .49314 .45264 .49859 .46392 .50107 .45736 .49607 Metetra
0 .453 .86 r
.45736 .49607 .46392 .50107 .47527 .50506 .46872 .50064 Metetra
0 .279 .701 r
.46872 .50064 .47527 .50506 .4867 .51064 .48016 .50693 Metetra
.467 0 0 r
.48016 .50693 .4867 .51064 .49823 .51775 .49171 .51488 Metetra
.603 .038 0 r
.49171 .51488 .49823 .51775 .50988 .52617 .50337 .52425 Metetra
.676 .126 0 r
.50337 .52425 .50988 .52617 .52167 .53553 .51518 .53465 Metetra
.705 .17 0 r
.51518 .53465 .52167 .53553 .5336 .54525 .52714 .54544 Metetra
.704 .177 0 r
.52714 .54544 .5336 .54525 .54567 .55461 .53925 .55586 Metetra
.676 .151 0 r
.53925 .55586 .54567 .55461 .55788 .56279 .55151 .56501 Metetra
.615 .084 0 r
.55151 .56501 .55788 .56279 .5702 .56895 .56389 .57198 Metetra
.506 0 0 r
.56389 .57198 .5702 .56895 .5826 .57233 .57636 .57593 Metetra
.317 0 0 r
.57636 .57593 .5826 .57233 .59504 .57234 .58887 .57624 Metetra
.014 0 0 r
.58887 .57624 .59504 .57234 .60747 .56867 .60137 .57255 Metetra
.60137 .57255 .60747 .56867 .61985 .5613 .61383 .56485 Metetra
.66 .946 .699 r
.61383 .56485 .61985 .5613 .63215 .55053 .6262 .55346 Metetra
.825 .991 .738 r
.6262 .55346 .63215 .55053 .64435 .53692 .63847 .539 Metetra
.902 .986 .747 r
.63847 .539 .64435 .53692 .65646 .52123 .65063 .52229 Metetra
.933 .966 .751 r
.65063 .52229 .65646 .52123 .66847 .5043 .6627 .50424 Metetra
.942 .944 .758 r
.6627 .50424 .66847 .5043 .68043 .48694 .67469 .48575 Metetra
.938 .924 .769 r
.67469 .48575 .68043 .48694 .69235 .4699 .68664 .4676 Metetra
.926 .906 .784 r
.68664 .4676 .69235 .4699 .70428 .45375 .6986 .45043 Metetra
.908 .889 .801 r
.6986 .45043 .70428 .45375 .71624 .43889 .71058 .43467 Metetra
.884 .872 .82 r
.71058 .43467 .71624 .43889 .72827 .42556 .72263 .42055 Metetra
.856 .854 .839 r
.72263 .42055 .72827 .42556 .74038 .41381 .73477 .40815 Metetra
.826 .836 .855 r
.73477 .40815 .74038 .41381 .7526 .40358 .74701 .39741 Metetra
.796 .818 .87 r
.74701 .39741 .7526 .40358 .76493 .39473 .75936 .38815 Metetra
.767 .802 .881 r
.75936 .38815 .76493 .39473 .77737 .38707 .77183 .38016 Metetra
.741 .787 .889 r
.77183 .38016 .77737 .38707 .78992 .38036 .78441 .37322 Metetra
.72 .774 .895 r
.78441 .37322 .78992 .38036 .80257 .37442 .79709 .36709 Metetra
.703 .764 .9 r
.79709 .36709 .80257 .37442 .81532 .36904 .80988 .36158 Metetra
.69 .757 .903 r
.80988 .36158 .81532 .36904 .82815 .36407 .82275 .35651 Metetra
.681 .751 .905 r
.82275 .35651 .82815 .36407 .84107 .35938 .8357 .35174 Metetra
.674 .748 .906 r
.8357 .35174 .84107 .35938 .85406 .35487 .84873 .34718 Metetra
.67 .745 .907 r
.84873 .34718 .85406 .35487 .86712 .35048 .86183 .34273 Metetra
.667 .744 .907 r
.86183 .34273 .86712 .35048 .88024 .34616 .875 .33837 Metetra
.666 .743 .907 r
.875 .33837 .88024 .34616 .89343 .34187 .88823 .33404 Metetra
.665 .742 .908 r
.88823 .33404 .89343 .34187 .90668 .33759 .90152 .32972 Metetra
.662 .741 .909 r
.30675 .51217 .31365 .51859 .32447 .51516 .31759 .50871 Metetra
.661 .741 .909 r
.31759 .50871 .32447 .51516 .33533 .51174 .32848 .50527 Metetra
.659 .74 .91 r
.32848 .50527 .33533 .51174 .34623 .50836 .33941 .50188 Metetra
.655 .74 .912 r
.33941 .50188 .34623 .50836 .35717 .50506 .35037 .49856 Metetra
.65 .739 .914 r
.35037 .49856 .35717 .50506 .36816 .50188 .36138 .49538 Metetra
.642 .737 .918 r
.36138 .49538 .36816 .50188 .37918 .49891 .37243 .49242 Metetra
.629 .735 .924 r
.37243 .49242 .37918 .49891 .39024 .49623 .38351 .48978 Metetra
.608 .73 .932 r
.38351 .48978 .39024 .49623 .40133 .49398 .39463 .4876 Metetra
.577 .723 .942 r
.39463 .4876 .40133 .49398 .41246 .49234 .40578 .48607 Metetra
.529 .709 .954 r
.40578 .48607 .41246 .49234 .42362 .4915 .41696 .4854 Metetra
.454 .684 .964 r
.41696 .4854 .42362 .4915 .43482 .49169 .42818 .48583 Metetra
.338 .637 .963 r
.42818 .48583 .43482 .49169 .44606 .49314 .43943 .48762 Metetra
.162 .551 .928 r
.43943 .48762 .44606 .49314 .45736 .49607 .45074 .49099 Metetra
0 .407 .827 r
.45074 .49099 .45736 .49607 .46872 .50064 .46211 .49613 Metetra
0 .222 .651 r
.46211 .49613 .46872 .50064 .48016 .50693 .47356 .50311 Metetra
.52 0 0 r
.47356 .50311 .48016 .50693 .49171 .51488 .48511 .51188 Metetra
.642 .087 0 r
.48511 .51188 .49171 .51488 .50337 .52425 .49679 .52219 Metetra
.705 .166 0 r
.49679 .52219 .50337 .52425 .51518 .53465 .50862 .53361 Metetra
.729 .204 0 r
.50862 .53361 .51518 .53465 .52714 .54544 .5206 .54546 Metetra
.726 .208 0 r
.5206 .54546 .52714 .54544 .53925 .55586 .53275 .55693 Metetra
.697 .178 0 r
.53275 .55693 .53925 .55586 .55151 .56501 .54505 .56703 Metetra
.637 .108 0 r
.54505 .56703 .55151 .56501 .56389 .57198 .55749 .5748 Metetra
.525 0 0 r
.55749 .5748 .56389 .57198 .57636 .57593 .57002 .57933 Metetra
.323 0 0 r
.57002 .57933 .57636 .57593 .58887 .57624 .5826 .57993 Metetra
.5826 .57993 .58887 .57624 .60137 .57255 .59519 .57622 Metetra
.413 .823 .629 r
.59519 .57622 .60137 .57255 .61383 .56485 .60772 .56819 Metetra
.708 .967 .723 r
.60772 .56819 .61383 .56485 .6262 .55346 .62017 .55619 Metetra
.856 .993 .744 r
.62017 .55619 .6262 .55346 .63847 .539 .63251 .54088 Metetra
.919 .978 .744 r
.63251 .54088 .63847 .539 .65063 .52229 .64473 .52316 Metetra
.943 .955 .743 r
.64473 .52316 .65063 .52229 .6627 .50424 .65684 .50401 Metetra
.949 .933 .747 r
.65684 .50401 .6627 .50424 .67469 .48575 .66888 .48439 Metetra
.944 .915 .757 r
.66888 .48439 .67469 .48575 .68664 .4676 .68087 .46515 Metetra
.931 .898 .772 r
.68087 .46515 .68664 .4676 .6986 .45043 .69285 .44698 Metetra
.913 .883 .79 r
.69285 .44698 .6986 .45043 .71058 .43467 .70486 .43032 Metetra
.89 .867 .81 r
.70486 .43032 .71058 .43467 .72263 .42055 .71694 .41544 Metetra
.863 .852 .83 r
.71694 .41544 .72263 .42055 .73477 .40815 .7291 .4024 Metetra
.833 .835 .848 r
.7291 .4024 .73477 .40815 .74701 .39741 .74136 .39114 Metetra
.802 .818 .864 r
.74136 .39114 .74701 .39741 .75936 .38815 .75374 .38148 Metetra
.773 .802 .877 r
.75374 .38148 .75936 .38815 .77183 .38016 .76624 .37318 Metetra
.746 .788 .887 r
.76624 .37318 .77183 .38016 .78441 .37322 .77885 .366 Metetra
.723 .775 .894 r
.77885 .366 .78441 .37322 .79709 .36709 .79157 .3597 Metetra
.705 .765 .899 r
.79157 .3597 .79709 .36709 .80988 .36158 .80439 .35406 Metetra
.692 .757 .902 r
.80439 .35406 .80988 .36158 .82275 .35651 .81729 .34889 Metetra
.682 .752 .904 r
.81729 .34889 .82275 .35651 .8357 .35174 .83029 .34404 Metetra
.675 .748 .906 r
.83029 .34404 .8357 .35174 .84873 .34718 .84336 .33941 Metetra
.671 .745 .906 r
.84336 .33941 .84873 .34718 .86183 .34273 .8565 .33492 Metetra
.668 .744 .907 r
.8565 .33492 .86183 .34273 .875 .33837 .86971 .33051 Metetra
.666 .743 .907 r
.86971 .33051 .875 .33837 .88823 .33404 .88298 .32614 Metetra
.665 .742 .908 r
.88298 .32614 .88823 .33404 .90152 .32972 .89632 .32178 Metetra
.662 .741 .909 r
.29979 .50569 .30675 .51217 .31759 .50871 .31066 .50221 Metetra
.661 .741 .909 r
.31066 .50221 .31759 .50871 .32848 .50527 .32157 .49875 Metetra
.659 .74 .91 r
.32157 .49875 .32848 .50527 .33941 .50188 .33253 .49534 Metetra
.655 .74 .912 r
.33253 .49534 .33941 .50188 .35037 .49856 .34352 .49201 Metetra
.649 .739 .915 r
.34352 .49201 .35037 .49856 .36138 .49538 .35456 .48883 Metetra
.64 .737 .919 r
.35456 .48883 .36138 .49538 .37243 .49242 .36563 .48588 Metetra
.626 .734 .924 r
.36563 .48588 .37243 .49242 .38351 .48978 .37674 .48327 Metetra
.605 .729 .933 r
.37674 .48327 .38351 .48978 .39463 .4876 .38788 .48115 Metetra
.571 .72 .943 r
.38788 .48115 .39463 .4876 .40578 .48607 .39905 .47973 Metetra
.519 .705 .955 r
.39905 .47973 .40578 .48607 .41696 .4854 .41025 .47922 Metetra
.437 .676 .964 r
.41025 .47922 .41696 .4854 .42818 .48583 .42148 .47989 Metetra
.31 .621 .959 r
.42148 .47989 .42818 .48583 .43943 .48762 .43275 .482 Metetra
.12 .522 .913 r
.43275 .482 .43943 .48762 .45074 .49099 .44406 .4858 Metetra
0 .364 .796 r
.44406 .4858 .45074 .49099 .46211 .49613 .45544 .49148 Metetra
0 .171 .607 r
.45544 .49148 .46211 .49613 .47356 .50311 .4669 .49913 Metetra
.561 .003 0 r
.4669 .49913 .47356 .50311 .48511 .51188 .47846 .50869 Metetra
.672 .126 0 r
.47846 .50869 .48511 .51188 .49679 .52219 .49014 .51991 Metetra
.728 .199 0 r
.49014 .51991 .49679 .52219 .50862 .53361 .50198 .53232 Metetra
.749 .232 0 r
.50198 .53232 .50862 .53361 .5206 .54546 .51399 .5452 Metetra
.744 .232 0 r
.51399 .5452 .5206 .54546 .53275 .55693 .52616 .55768 Metetra
.715 .2 0 r
.52616 .55768 .53275 .55693 .54505 .56703 .53851 .56872 Metetra
.654 .127 0 r
.53851 .56872 .54505 .56703 .55749 .5748 .55099 .57726 Metetra
.539 0 0 r
.55099 .57726 .55749 .5748 .57002 .57933 .56359 .58235 Metetra
.32 0 0 r
.56359 .58235 .57002 .57933 .5826 .57993 .57624 .58323 Metetra
.57624 .58323 .5826 .57993 .59519 .57622 .5889 .5795 Metetra
.48 .871 .683 r
.5889 .5795 .59519 .57622 .60772 .56819 .60151 .57115 Metetra
.759 .985 .751 r
.60151 .57115 .60772 .56819 .62017 .55619 .61404 .55855 Metetra
.884 .991 .752 r
.61404 .55855 .62017 .55619 .63251 .54088 .62645 .54242 Metetra
.933 .968 .742 r
.62645 .54242 .63251 .54088 .64473 .52316 .63873 .52371 Metetra
.951 .942 .736 r
.63873 .52371 .64473 .52316 .65684 .50401 .6509 .50348 Metetra
.953 .921 .738 r
.6509 .50348 .65684 .50401 .66888 .48439 .66299 .48277 Metetra
.947 .904 .747 r
.66299 .48277 .66888 .48439 .68087 .46515 .67502 .46248 Metetra
.935 .889 .761 r
.67502 .46248 .68087 .46515 .69285 .44698 .68704 .44333 Metetra
.918 .875 .779 r
.68704 .44333 .69285 .44698 .70486 .43032 .69908 .42581 Metetra
.895 .862 .8 r
.69908 .42581 .70486 .43032 .71694 .41544 .71118 .41018 Metetra
.868 .848 .821 r
.71118 .41018 .71694 .41544 .7291 .4024 .72337 .39653 Metetra
.839 .833 .841 r
.72337 .39653 .7291 .4024 .74136 .39114 .73566 .38477 Metetra
.808 .818 .859 r
.73566 .38477 .74136 .39114 .75374 .38148 .74807 .37471 Metetra
.777 .802 .873 r
.74807 .37471 .75374 .38148 .76624 .37318 .7606 .36612 Metetra
.75 .788 .884 r
.7606 .36612 .76624 .37318 .77885 .366 .77324 .35871 Metetra
.727 .776 .892 r
.77324 .35871 .77885 .366 .79157 .3597 .786 .35224 Metetra
.708 .765 .897 r
.786 .35224 .79157 .3597 .80439 .35406 .79885 .34646 Metetra
.693 .758 .901 r
.79885 .34646 .80439 .35406 .81729 .34889 .8118 .34119 Metetra
.683 .752 .904 r
.8118 .34119 .81729 .34889 .83029 .34404 .82483 .33628 Metetra
.676 .748 .905 r
.82483 .33628 .83029 .34404 .84336 .33941 .83794 .33159 Metetra
.671 .745 .906 r
.83794 .33159 .84336 .33941 .8565 .33492 .85112 .32704 Metetra
.668 .744 .907 r
.85112 .32704 .8565 .33492 .86971 .33051 .86437 .32259 Metetra
.666 .743 .907 r
.86437 .32259 .86971 .33051 .88298 .32614 .87769 .31817 Metetra
.665 .742 .908 r
.87769 .31817 .88298 .32614 .89632 .32178 .89108 .31378 Metetra
.662 .741 .909 r
.29278 .49917 .29979 .50569 .31066 .50221 .30368 .49566 Metetra
.661 .741 .909 r
.30368 .49566 .31066 .50221 .32157 .49875 .31462 .49218 Metetra
.658 .74 .91 r
.31462 .49218 .32157 .49875 .33253 .49534 .3256 .48875 Metetra
.655 .74 .912 r
.3256 .48875 .33253 .49534 .34352 .49201 .33662 .48541 Metetra
.648 .738 .915 r
.33662 .48541 .34352 .49201 .35456 .48883 .34768 .48222 Metetra
.639 .736 .919 r
.34768 .48222 .35456 .48883 .36563 .48588 .35878 .47928 Metetra
.624 .733 .925 r
.35878 .47928 .36563 .48588 .37674 .48327 .36991 .4767 Metetra
.601 .727 .933 r
.36991 .4767 .37674 .48327 .38788 .48115 .38107 .47464 Metetra
.565 .718 .944 r
.38107 .47464 .38788 .48115 .39905 .47973 .39226 .47331 Metetra
.509 .7 .956 r
.39226 .47331 .39905 .47973 .41025 .47922 .40348 .47296 Metetra
.421 .667 .963 r
.40348 .47296 .41025 .47922 .42148 .47989 .41473 .47385 Metetra
.284 .605 .953 r
.41473 .47385 .42148 .47989 .43275 .482 .42601 .47626 Metetra
.081 .494 .898 r
.42601 .47626 .43275 .482 .44406 .4858 .43733 .48046 Metetra
0 .324 .766 r
.43733 .48046 .44406 .4858 .45544 .49148 .44871 .48666 Metetra
.418 0 0 r
.44871 .48666 .45544 .49148 .4669 .49913 .46017 .49495 Metetra
.594 .042 0 r
.46017 .49495 .4669 .49913 .47846 .50869 .47173 .50526 Metetra
.695 .158 0 r
.47173 .50526 .47846 .50869 .49014 .51991 .48343 .51734 Metetra
.746 .225 0 r
.48343 .51734 .49014 .51991 .50198 .53232 .49527 .53068 Metetra
.764 .254 0 r
.49527 .53068 .50198 .53232 .51399 .5452 .50729 .54455 Metetra
.759 .252 0 r
.50729 .54455 .51399 .5452 .52616 .55768 .51949 .55799 Metetra
.731 .217 0 r
.51949 .55799 .52616 .55768 .53851 .56872 .53187 .56992 Metetra
.669 .139 0 r
.53187 .56992 .53851 .56872 .55099 .57726 .54441 .5792 Metetra
.547 0 0 r
.54441 .5792 .55099 .57726 .56359 .58235 .55706 .58482 Metetra
.307 0 0 r
.55706 .58482 .56359 .58235 .57624 .58323 .56978 .58597 Metetra
.56978 .58597 .57624 .58323 .5889 .5795 .58251 .58222 Metetra
.558 .92 .747 r
.58251 .58222 .5889 .5795 .60151 .57115 .5952 .57356 Metetra
.807 .997 .779 r
.5952 .57356 .60151 .57115 .61404 .55855 .6078 .56038 Metetra
.907 .983 .76 r
.6078 .56038 .61404 .55855 .62645 .54242 .62029 .54346 Metetra
.944 .954 .741 r
.62029 .54346 .62645 .54242 .63873 .52371 .63264 .52381 Metetra
.956 .928 .731 r
.63264 .52381 .63873 .52371 .6509 .50348 .64488 .50256 Metetra
.956 .907 .73 r
.64488 .50256 .6509 .50348 .66299 .48277 .65701 .4808 Metetra
.949 .891 .738 r
.65701 .4808 .66299 .48277 .67502 .46248 .66909 .4595 Metetra
.937 .879 .751 r
.66909 .4595 .67502 .46248 .68704 .44333 .68115 .43942 Metetra
.92 .867 .77 r
.68115 .43942 .68704 .44333 .69908 .42581 .69323 .42107 Metetra
.899 .856 .791 r
.69323 .42107 .69908 .42581 .71118 .41018 .70536 .40474 Metetra
.873 .844 .813 r
.70536 .40474 .71118 .41018 .72337 .39653 .71758 .3905 Metetra
.843 .83 .834 r
.71758 .3905 .72337 .39653 .73566 .38477 .72991 .37827 Metetra
.812 .816 .853 r
.72991 .37827 .73566 .38477 .74807 .37471 .74235 .36784 Metetra
.782 .802 .869 r
.74235 .36784 .74807 .37471 .7606 .36612 .75491 .35895 Metetra
.754 .788 .881 r
.75491 .35895 .7606 .36612 .77324 .35871 .76759 .35133 Metetra
.729 .776 .89 r
.76759 .35133 .77324 .35871 .786 .35224 .78037 .34469 Metetra
.71 .766 .896 r
.78037 .34469 .786 .35224 .79885 .34646 .79327 .3388 Metetra
.695 .758 .9 r
.79327 .3388 .79885 .34646 .8118 .34119 .80625 .33343 Metetra
.684 .752 .903 r
.80625 .33343 .8118 .34119 .82483 .33628 .81932 .32844 Metetra
.676 .748 .905 r
.81932 .32844 .82483 .33628 .83794 .33159 .83247 .32369 Metetra
.671 .746 .906 r
.83247 .32369 .83794 .33159 .85112 .32704 .8457 .3191 Metetra
.668 .744 .907 r
.8457 .3191 .85112 .32704 .86437 .32259 .85899 .31459 Metetra
.666 .743 .907 r
.85899 .31459 .86437 .32259 .87769 .31817 .87236 .31014 Metetra
.665 .742 .908 r
.87236 .31014 .87769 .31817 .89108 .31378 .88579 .30571 Metetra
.662 .741 .909 r
.28572 .49259 .29278 .49917 .30368 .49566 .29664 .48906 Metetra
.66 .741 .909 r
.29664 .48906 .30368 .49566 .31462 .49218 .30761 .48556 Metetra
.658 .74 .911 r
.30761 .48556 .31462 .49218 .3256 .48875 .31862 .48211 Metetra
.654 .739 .912 r
.31862 .48211 .3256 .48875 .33662 .48541 .32967 .47875 Metetra
.648 .738 .915 r
.32967 .47875 .33662 .48541 .34768 .48222 .34075 .47556 Metetra
.638 .736 .919 r
.34075 .47556 .34768 .48222 .35878 .47928 .35188 .47262 Metetra
.622 .732 .926 r
.35188 .47262 .35878 .47928 .36991 .4767 .36303 .47007 Metetra
.598 .726 .934 r
.36303 .47007 .36991 .4767 .38107 .47464 .37422 .46806 Metetra
.56 .715 .945 r
.37422 .46806 .38107 .47464 .39226 .47331 .38543 .46682 Metetra
.5 .695 .956 r
.38543 .46682 .39226 .47331 .40348 .47296 .39666 .4666 Metetra
.407 .659 .962 r
.39666 .4666 .40348 .47296 .41473 .47385 .40792 .46769 Metetra
.26 .59 .948 r
.40792 .46769 .41473 .47385 .42601 .47626 .41921 .47038 Metetra
.048 .469 .883 r
.41921 .47038 .42601 .47626 .43733 .48046 .43054 .47496 Metetra
0 .29 .74 r
.43054 .47496 .43733 .48046 .44871 .48666 .44192 .48163 Metetra
.451 0 0 r
.44192 .48163 .44871 .48666 .46017 .49495 .45339 .4905 Metetra
.617 .073 0 r
.45339 .4905 .46017 .49495 .47173 .50526 .46495 .50152 Metetra
.712 .182 0 r
.46495 .50152 .47173 .50526 .48343 .51734 .47664 .51439 Metetra
.76 .245 0 r
.47664 .51439 .48343 .51734 .49527 .53068 .48849 .52861 Metetra
.777 .271 0 r
.48849 .52861 .49527 .53068 .50729 .54455 .50052 .54338 Metetra
.771 .267 0 r
.50052 .54338 .50729 .54455 .51949 .55799 .51274 .55773 Metetra
.743 .229 0 r
.51274 .55773 .51949 .55799 .53187 .56992 .52515 .57048 Metetra
.68 .146 0 r
.52515 .57048 .53187 .56992 .54441 .5792 .53772 .58046 Metetra
.55 0 0 r
.53772 .58046 .54441 .5792 .55706 .58482 .55043 .58656 Metetra
.28 0 0 r
.55043 .58656 .55706 .58482 .56978 .58597 .56322 .58797 Metetra
.56322 .58797 .56978 .58597 .58251 .58222 .57602 .5842 Metetra
.638 .962 .811 r
.57602 .5842 .58251 .58222 .5952 .57356 .58879 .57524 Metetra
.848 .998 .803 r
.58879 .57524 .5952 .57356 .6078 .56038 .60147 .56152 Metetra
.924 .97 .766 r
.60147 .56152 .6078 .56038 .62029 .54346 .61403 .54386 Metetra
.951 .938 .74 r
.61403 .54386 .62029 .54346 .63264 .52381 .62646 .52333 Metetra
.958 .912 .727 r
.62646 .52333 .63264 .52381 .64488 .50256 .63876 .50111 Metetra
.957 .893 .724 r
.63876 .50111 .64488 .50256 .65701 .4808 .65095 .47838 Metetra
.949 .879 .73 r
.65095 .47838 .65701 .4808 .66909 .4595 .66308 .45614 Metetra
.938 .868 .743 r
.66308 .45614 .66909 .4595 .68115 .43942 .67519 .43519 Metetra
.922 .858 .761 r
.67519 .43519 .68115 .43942 .69323 .42107 .68731 .41607 Metetra
.901 .849 .783 r
.68731 .41607 .69323 .42107 .70536 .40474 .69948 .39908 Metetra
.876 .838 .806 r
.69948 .39908 .70536 .40474 .71758 .3905 .71173 .3843 Metetra
.847 .827 .828 r
.71173 .3843 .71758 .3905 .72991 .37827 .72409 .37162 Metetra
.816 .814 .848 r
.72409 .37162 .72991 .37827 .74235 .36784 .73657 .36084 Metetra
.785 .801 .865 r
.73657 .36084 .74235 .36784 .75491 .35895 .74916 .35169 Metetra
.757 .788 .878 r
.74916 .35169 .75491 .35895 .76759 .35133 .76188 .34386 Metetra
.732 .776 .888 r
.76188 .34386 .76759 .35133 .78037 .34469 .7747 .33707 Metetra
.712 .766 .895 r
.7747 .33707 .78037 .34469 .79327 .3388 .78763 .33105 Metetra
.696 .758 .899 r
.78763 .33105 .79327 .3388 .80625 .33343 .80066 .3256 Metetra
.685 .752 .903 r
.80066 .3256 .80625 .33343 .81932 .32844 .81377 .32053 Metetra
.677 .748 .905 r
.81377 .32053 .81932 .32844 .83247 .32369 .82696 .31573 Metetra
.672 .746 .906 r
.82696 .31573 .83247 .32369 .8457 .3191 .84023 .31108 Metetra
.668 .744 .907 r
.84023 .31108 .8457 .3191 .85899 .31459 .85357 .30654 Metetra
.666 .743 .907 r
.85357 .30654 .85899 .31459 .87236 .31014 .86698 .30204 Metetra
.665 .742 .908 r
.86698 .30204 .87236 .31014 .88579 .30571 .88045 .29756 Metetra
.662 .741 .909 r
.2786 .48597 .28572 .49259 .29664 .48906 .28955 .48241 Metetra
.66 .741 .909 r
.28955 .48241 .29664 .48906 .30761 .48556 .30054 .47888 Metetra
.658 .74 .911 r
.30054 .47888 .30761 .48556 .31862 .48211 .31158 .47541 Metetra
.654 .739 .912 r
.31158 .47541 .31862 .48211 .32967 .47875 .32266 .47204 Metetra
.647 .738 .915 r
.32266 .47204 .32967 .47875 .34075 .47556 .33377 .46884 Metetra
.637 .735 .92 r
.33377 .46884 .34075 .47556 .35188 .47262 .34492 .4659 Metetra
.62 .731 .926 r
.34492 .4659 .35188 .47262 .36303 .47007 .3561 .46337 Metetra
.595 .724 .935 r
.3561 .46337 .36303 .47007 .37422 .46806 .3673 .46141 Metetra
.555 .712 .945 r
.3673 .46141 .37422 .46806 .38543 .46682 .37854 .46024 Metetra
.492 .691 .956 r
.37854 .46024 .38543 .46682 .39666 .4666 .38979 .46015 Metetra
.394 .65 .96 r
.38979 .46015 .39666 .4666 .40792 .46769 .40106 .46141 Metetra
.24 .576 .942 r
.40106 .46141 .40792 .46769 .41921 .47038 .41236 .46435 Metetra
.02 .446 .87 r
.41236 .46435 .41921 .47038 .43054 .47496 .4237 .46926 Metetra
0 .261 .72 r
.4237 .46926 .43054 .47496 .44192 .48163 .43508 .47636 Metetra
.475 0 0 r
.43508 .47636 .44192 .48163 .45339 .4905 .44654 .48576 Metetra
.634 .096 0 r
.44654 .48576 .45339 .4905 .46495 .50152 .4581 .4974 Metetra
.724 .201 0 r
.4581 .4974 .46495 .50152 .47664 .51439 .46979 .51099 Metetra
.769 .26 0 r
.46979 .51099 .47664 .51439 .48849 .52861 .48164 .526 Metetra
.785 .284 0 r
.48164 .526 .48849 .52861 .50052 .54338 .49367 .5416 Metetra
.78 .277 0 r
.49367 .5416 .50052 .54338 .51274 .55773 .50591 .55676 Metetra
.751 .237 0 r
.50591 .55676 .51274 .55773 .52515 .57048 .51834 .57026 Metetra
.686 .147 0 r
.51834 .57026 .52515 .57048 .53772 .58046 .53095 .58086 Metetra
.545 0 0 r
.53095 .58086 .53772 .58046 .55043 .58656 .54371 .58742 Metetra
.236 0 0 r
.54371 .58742 .55043 .58656 .56322 .58797 .55655 .58905 Metetra
.292 .789 .781 r
.55655 .58905 .56322 .58797 .57602 .5842 .56943 .58526 Metetra
.71 .986 .865 r
.56943 .58526 .57602 .5842 .58879 .57524 .58227 .57603 Metetra
.877 .988 .819 r
.58227 .57603 .58879 .57524 .60147 .56152 .59503 .56181 Metetra
.934 .951 .77 r
.59503 .56181 .60147 .56152 .61403 .54386 .60767 .54347 Metetra
.953 .919 .739 r
.60767 .54347 .61403 .54386 .62646 .52333 .62017 .52213 Metetra
.958 .895 .723 r
.62017 .52213 .62646 .52333 .63876 .50111 .63255 .49904 Metetra
.955 .878 .719 r
.63255 .49904 .63876 .50111 .65095 .47838 .64481 .47541 Metetra
.948 .865 .724 r
.64481 .47541 .65095 .47838 .66308 .45614 .65699 .45231 Metetra
.937 .856 .736 r
.65699 .45231 .66308 .45614 .67519 .43519 .66915 .43057 Metetra
.921 .848 .754 r
.66915 .43057 .67519 .43519 .68731 .41607 .68131 .41076 Metetra
.902 .841 .775 r
.68131 .41076 .68731 .41607 .69948 .39908 .69353 .39317 Metetra
.878 .833 .799 r
.69353 .39317 .69948 .39908 .71173 .3843 .70582 .37789 Metetra
.85 .823 .822 r
.70582 .37789 .71173 .3843 .72409 .37162 .71822 .36481 Metetra
.819 .811 .843 r
.71822 .36481 .72409 .37162 .73657 .36084 .73073 .35371 Metetra
.788 .799 .861 r
.73073 .35371 .73657 .36084 .74916 .35169 .74337 .34431 Metetra
.76 .787 .875 r
.74337 .34431 .74916 .35169 .76188 .34386 .75612 .33629 Metetra
.734 .775 .886 r
.75612 .33629 .76188 .34386 .7747 .33707 .76898 .32935 Metetra
.714 .766 .893 r
.76898 .32935 .7747 .33707 .78763 .33105 .78195 .32323 Metetra
.698 .758 .899 r
.78195 .32323 .78763 .33105 .80066 .3256 .79502 .31769 Metetra
.686 .752 .902 r
.79502 .31769 .80066 .3256 .81377 .32053 .80817 .31255 Metetra
.678 .748 .904 r
.80817 .31255 .81377 .32053 .82696 .31573 .82141 .30769 Metetra
.672 .746 .906 r
.82141 .30769 .82696 .31573 .84023 .31108 .83472 .303 Metetra
.669 .744 .907 r
.83472 .303 .84023 .31108 .85357 .30654 .8481 .29841 Metetra
.666 .743 .907 r
.8481 .29841 .85357 .30654 .86698 .30204 .86155 .29387 Metetra
.665 .742 .908 r
.86155 .29387 .86698 .30204 .88045 .29756 .87507 .28935 Metetra
.662 .741 .909 r
.27143 .47929 .2786 .48597 .28955 .48241 .2824 .47571 Metetra
.66 .741 .909 r
.2824 .47571 .28955 .48241 .30054 .47888 .29342 .47216 Metetra
.658 .74 .911 r
.29342 .47216 .30054 .47888 .31158 .47541 .30449 .46866 Metetra
.653 .739 .913 r
.30449 .46866 .31158 .47541 .32266 .47204 .31559 .46527 Metetra
.647 .737 .915 r
.31559 .46527 .32266 .47204 .33377 .46884 .32673 .46206 Metetra
.636 .735 .92 r
.32673 .46206 .33377 .46884 .34492 .4659 .33791 .45912 Metetra
.619 .73 .926 r
.33791 .45912 .34492 .4659 .3561 .46337 .34911 .4566 Metetra
.592 .723 .935 r
.34911 .4566 .3561 .46337 .3673 .46141 .36034 .45467 Metetra
.551 .71 .945 r
.36034 .45467 .3673 .46141 .37854 .46024 .37159 .45357 Metetra
.486 .686 .956 r
.37159 .45357 .37854 .46024 .38979 .46015 .38286 .45358 Metetra
.383 .643 .959 r
.38286 .45358 .38979 .46015 .40106 .46141 .39415 .45499 Metetra
.224 .563 .937 r
.39415 .45499 .40106 .46141 .41236 .46435 .40546 .45815 Metetra
0 .427 .859 r
.40546 .45815 .41236 .46435 .4237 .46926 .4168 .46334 Metetra
0 .238 .705 r
.4168 .46334 .4237 .46926 .43508 .47636 .42818 .47081 Metetra
.49 0 0 r
.42818 .47081 .43508 .47636 .44654 .48576 .43964 .48067 Metetra
.644 .112 0 r
.43964 .48067 .44654 .48576 .4581 .4974 .45119 .49285 Metetra
.731 .213 0 r
.45119 .49285 .4581 .4974 .46979 .51099 .46288 .50707 Metetra
.775 .27 0 r
.46288 .50707 .46979 .51099 .48164 .526 .47472 .52277 Metetra
.791 .292 0 r
.47472 .52277 .48164 .526 .49367 .5416 .48676 .53909 Metetra
.785 .284 0 r
.48676 .53909 .49367 .5416 .50591 .55676 .499 .55496 Metetra
.755 .24 0 r
.499 .55496 .50591 .55676 .51834 .57026 .51145 .56912 Metetra
.686 .141 0 r
.51145 .56912 .51834 .57026 .53095 .58086 .52409 .58027 Metetra
.528 0 0 r
.52409 .58027 .53095 .58086 .54371 .58742 .53689 .58722 Metetra
.168 0 0 r
.53689 .58722 .54371 .58742 .55655 .58905 .54979 .58904 Metetra
.398 .853 .885 r
.54979 .58904 .55655 .58905 .56943 .58526 .56273 .58522 Metetra
.764 .986 .9 r
.56273 .58522 .56943 .58526 .58227 .57603 .57565 .57575 Metetra
.894 .966 .828 r
.57565 .57575 .58227 .57603 .59503 .56181 .58849 .5611 Metetra
.937 .928 .771 r
.58849 .5611 .59503 .56181 .60767 .54347 .60121 .54215 Metetra
.951 .898 .737 r
.60121 .54215 .60767 .54347 .62017 .52213 .61379 .52009 Metetra
.954 .877 .72 r
.61379 .52009 .62017 .52213 .63255 .49904 .62624 .49622 Metetra
.952 .862 .714 r
.62624 .49622 .63255 .49904 .64481 .47541 .63857 .47181 Metetra
.945 .852 .719 r
.63857 .47181 .64481 .47541 .65699 .45231 .65082 .44795 Metetra
.935 .844 .73 r
.65082 .44795 .65699 .45231 .66915 .43057 .66303 .42551 Metetra
.92 .838 .747 r
.66303 .42551 .66915 .43057 .68131 .41076 .67525 .40508 Metetra
.901 .833 .769 r
.67525 .40508 .68131 .41076 .69353 .39317 .68751 .38696 Metetra
.878 .826 .792 r
.68751 .38696 .69353 .39317 .70582 .37789 .69985 .37124 Metetra
.851 .818 .816 r
.69985 .37124 .70582 .37789 .71822 .36481 .71229 .3578 Metetra
.821 .808 .838 r
.71229 .3578 .71822 .36481 .73073 .35371 .72484 .34642 Metetra
.791 .797 .857 r
.72484 .34642 .73073 .35371 .74337 .34431 .73751 .3368 Metetra
.762 .786 .873 r
.73751 .3368 .74337 .34431 .75612 .33629 .75031 .32861 Metetra
.736 .775 .884 r
.75031 .32861 .75612 .33629 .76898 .32935 .76321 .32154 Metetra
.715 .766 .892 r
.76321 .32154 .76898 .32935 .78195 .32323 .77622 .31532 Metetra
.699 .758 .898 r
.77622 .31532 .78195 .32323 .79502 .31769 .78933 .3097 Metetra
.687 .752 .902 r
.78933 .3097 .79502 .31769 .80817 .31255 .80252 .3045 Metetra
.678 .748 .904 r
.80252 .3045 .80817 .31255 .82141 .30769 .8158 .29958 Metetra
.672 .746 .906 r
.8158 .29958 .82141 .30769 .83472 .303 .82915 .29484 Metetra
.669 .744 .907 r
.82915 .29484 .83472 .303 .8481 .29841 .84258 .29021 Metetra
.667 .743 .907 r
.84258 .29021 .8481 .29841 .86155 .29387 .85608 .28563 Metetra
.665 .742 .907 r
.85608 .28563 .86155 .29387 .87507 .28935 .86964 .28107 Metetra
.662 .741 .909 r
.2642 .47257 .27143 .47929 .2824 .47571 .2752 .46896 Metetra
.66 .741 .91 r
.2752 .46896 .2824 .47571 .29342 .47216 .28625 .46538 Metetra
.657 .74 .911 r
.28625 .46538 .29342 .47216 .30449 .46866 .29734 .46186 Metetra
.653 .739 .913 r
.29734 .46186 .30449 .46866 .31559 .46527 .30847 .45845 Metetra
.646 .737 .916 r
.30847 .45845 .31559 .46527 .32673 .46206 .31964 .45522 Metetra
.635 .734 .92 r
.31964 .45522 .32673 .46206 .33791 .45912 .33084 .45228 Metetra
.617 .73 .926 r
.33084 .45228 .33791 .45912 .34911 .4566 .34207 .44976 Metetra
.59 .722 .935 r
.34207 .44976 .34911 .4566 .36034 .45467 .35332 .44785 Metetra
.547 .708 .945 r
.35332 .44785 .36034 .45467 .37159 .45357 .36459 .4468 Metetra
.48 .683 .955 r
.36459 .4468 .37159 .45357 .38286 .45358 .37588 .44689 Metetra
.375 .636 .957 r
.37588 .44689 .38286 .45358 .39415 .45499 .38718 .44843 Metetra
.212 .553 .932 r
.38718 .44843 .39415 .45499 .40546 .45815 .3985 .45175 Metetra
0 .413 .851 r
.3985 .45175 .40546 .45815 .4168 .46334 .40984 .45718 Metetra
0 .222 .696 r
.40984 .45718 .4168 .46334 .42818 .47081 .42123 .46495 Metetra
.498 0 0 r
.42123 .46495 .42818 .47081 .43964 .48067 .43268 .47519 Metetra
.647 .122 0 r
.43268 .47519 .43964 .48067 .45119 .49285 .44423 .48783 Metetra
.733 .22 0 r
.44423 .48783 .45119 .49285 .46288 .50707 .45591 .50257 Metetra
.776 .275 0 r
.45591 .50257 .46288 .50707 .47472 .52277 .46774 .51883 Metetra
.792 .295 0 r
.46774 .51883 .47472 .52277 .48676 .53909 .47977 .53576 Metetra
.786 .285 0 r
.47977 .53576 .48676 .53909 .499 .55496 .49202 .55223 Metetra
.754 .237 0 r
.49202 .55223 .499 .55496 .51145 .56912 .50448 .56693 Metetra
.677 .128 0 r
.50448 .56693 .51145 .56912 .52409 .58027 .51715 .57854 Metetra
.494 0 0 r
.51715 .57854 .52409 .58027 .53689 .58722 .52998 .58581 Metetra
0 .508 .738 r
.52998 .58581 .53689 .58722 .54979 .58904 .54294 .58779 Metetra
.495 .886 .959 r
.54294 .58779 .54979 .58904 .56273 .58522 .55594 .58395 Metetra
.797 .965 .914 r
.55594 .58395 .56273 .58522 .57565 .57575 .56893 .57427 Metetra
.899 .937 .828 r
.56893 .57427 .57565 .57575 .58849 .5611 .58185 .55923 Metetra
.934 .902 .769 r
.58185 .55923 .58849 .5611 .60121 .54215 .59465 .53977 Metetra
.946 .876 .734 r
.59465 .53977 .60121 .54215 .61379 .52009 .60731 .5171 Metetra
.949 .858 .717 r
.60731 .5171 .61379 .52009 .62624 .49622 .61984 .49257 Metetra
.947 .846 .711 r
.61984 .49257 .62624 .49622 .63857 .47181 .63224 .46749 Metetra
.941 .838 .714 r
.63224 .46749 .63857 .47181 .65082 .44795 .64456 .44299 Metetra
.931 .832 .725 r
.64456 .44299 .65082 .44795 .66303 .42551 .65683 .41996 Metetra
.918 .828 .742 r
.65683 .41996 .66303 .42551 .67525 .40508 .66911 .39901 Metetra
.9 .824 .763 r
.66911 .39901 .67525 .40508 .68751 .38696 .68142 .38044 Metetra
.878 .82 .787 r
.68142 .38044 .68751 .38696 .69985 .37124 .69381 .36434 Metetra
.852 .813 .811 r
.69381 .36434 .69985 .37124 .71229 .3578 .70629 .3506 Metetra
.823 .805 .834 r
.70629 .3506 .71229 .3578 .72484 .34642 .71889 .33897 Metetra
.792 .795 .854 r
.71889 .33897 .72484 .34642 .73751 .3368 .73161 .32916 Metetra
.763 .784 .87 r
.73161 .32916 .73751 .3368 .75031 .32861 .74444 .32082 Metetra
.738 .774 .882 r
.74444 .32082 .75031 .32861 .76321 .32154 .75738 .31364 Metetra
.716 .765 .891 r
.75738 .31364 .76321 .32154 .77622 .31532 .77044 .30732 Metetra
.699 .758 .897 r
.77044 .30732 .77622 .31532 .78933 .3097 .78359 .30163 Metetra
.687 .752 .901 r
.78359 .30163 .78933 .3097 .80252 .3045 .79683 .29637 Metetra
.678 .748 .904 r
.79683 .29637 .80252 .3045 .8158 .29958 .81015 .2914 Metetra
.673 .746 .905 r
.81015 .2914 .8158 .29958 .82915 .29484 .82355 .28661 Metetra
.669 .744 .906 r
.82355 .28661 .82915 .29484 .84258 .29021 .83702 .28193 Metetra
.667 .743 .907 r
.83702 .28193 .84258 .29021 .85608 .28563 .85056 .27731 Metetra
.665 .742 .907 r
.85056 .27731 .85608 .28563 .86964 .28107 .86417 .27272 Metetra
.662 .741 .909 r
.25691 .46578 .2642 .47257 .2752 .46896 .26795 .46215 Metetra
.66 .74 .91 r
.26795 .46215 .2752 .46896 .28625 .46538 .27902 .45854 Metetra
.657 .74 .911 r
.27902 .45854 .28625 .46538 .29734 .46186 .29014 .455 Metetra
.653 .739 .913 r
.29014 .455 .29734 .46186 .30847 .45845 .3013 .45157 Metetra
.646 .737 .916 r
.3013 .45157 .30847 .45845 .31964 .45522 .31249 .44832 Metetra
.634 .734 .92 r
.31249 .44832 .31964 .45522 .33084 .45228 .32372 .44536 Metetra
.616 .729 .926 r
.32372 .44536 .33084 .45228 .34207 .44976 .33497 .44284 Metetra
.589 .721 .935 r
.33497 .44284 .34207 .44976 .35332 .44785 .34625 .44095 Metetra
.545 .706 .945 r
.34625 .44095 .35332 .44785 .36459 .4468 .35754 .43993 Metetra
.477 .679 .954 r
.35754 .43993 .36459 .4468 .37588 .44689 .36884 .44007 Metetra
.369 .631 .955 r
.36884 .44007 .37588 .44689 .38718 .44843 .38016 .4417 Metetra
.205 .545 .929 r
.38016 .4417 .38718 .44843 .3985 .45175 .39149 .44515 Metetra
0 .403 .847 r
.39149 .44515 .3985 .45175 .40984 .45718 .40284 .45076 Metetra
0 .213 .693 r
.40284 .45076 .40984 .45718 .42123 .46495 .41423 .45876 Metetra
.497 0 0 r
.41423 .45876 .42123 .46495 .43268 .47519 .42568 .46929 Metetra
.644 .125 0 r
.42568 .46929 .43268 .47519 .44423 .48783 .43721 .48228 Metetra
.729 .221 0 r
.43721 .48228 .44423 .48783 .45591 .50257 .44888 .49742 Metetra
.773 .275 0 r
.44888 .49742 .45591 .50257 .46774 .51883 .46071 .51413 Metetra
.788 .294 0 r
.46071 .51413 .46774 .51883 .47977 .53576 .47273 .53153 Metetra
.781 .281 0 r
.47273 .53153 .47977 .53576 .49202 .55223 .48497 .54845 Metetra
.745 .227 0 r
.48497 .54845 .49202 .55223 .50448 .56693 .49744 .56359 Metetra
.655 .105 0 r
.49744 .56359 .50448 .56693 .51715 .57854 .51013 .57555 Metetra
.437 0 0 r
.51013 .57555 .51715 .57854 .52998 .58581 .523 .58307 Metetra
.04 .575 .854 r
.523 .58307 .52998 .58581 .54294 .58779 .536 .58517 Metetra
.568 .882 .991 r
.536 .58517 .54294 .58779 .55594 .58395 .54906 .5813 Metetra
.811 .928 .911 r
.54906 .5813 .55594 .58395 .56893 .57427 .56212 .57144 Metetra
.896 .902 .823 r
.56212 .57144 .56893 .57427 .58185 .55923 .57511 .5561 Metetra
.927 .874 .766 r
.57511 .5561 .58185 .55923 .59465 .53977 .58799 .53622 Metetra
.938 .854 .732 r
.58799 .53622 .59465 .53977 .60731 .5171 .60074 .51306 Metetra
.942 .839 .714 r
.60074 .51306 .60731 .5171 .61984 .49257 .61334 .488 Metetra
.94 .83 .708 r
.61334 .488 .61984 .49257 .63224 .46749 .62582 .46239 Metetra
.935 .824 .711 r
.62582 .46239 .63224 .46749 .64456 .44299 .63821 .43737 Metetra
.927 .821 .721 r
.63821 .43737 .64456 .44299 .65683 .41996 .65055 .41387 Metetra
.914 .818 .738 r
.65055 .41387 .65683 .41996 .66911 .39901 .66289 .39249 Metetra
.898 .816 .759 r
.66289 .39249 .66911 .39901 .68142 .38044 .67526 .37357 Metetra
.877 .813 .782 r
.67526 .37357 .68142 .38044 .69381 .36434 .6877 .35716 Metetra
.851 .808 .807 r
.6877 .35716 .69381 .36434 .70629 .3506 .70024 .34317 Metetra
.823 .801 .831 r
.70024 .34317 .70629 .3506 .71889 .33897 .71288 .33135 Metetra
.793 .792 .851 r
.71288 .33135 .71889 .33897 .73161 .32916 .72564 .32138 Metetra
.764 .783 .868 r
.72564 .32138 .73161 .32916 .74444 .32082 .73852 .31291 Metetra
.739 .773 .881 r
.73852 .31291 .74444 .32082 .75738 .31364 .75151 .30563 Metetra
.717 .765 .89 r
.75151 .30563 .75738 .31364 .77044 .30732 .7646 .29924 Metetra
.7 .757 .896 r
.7646 .29924 .77044 .30732 .78359 .30163 .7778 .29348 Metetra
.688 .752 .901 r
.7778 .29348 .78359 .30163 .79683 .29637 .79108 .28816 Metetra
.679 .748 .904 r
.79108 .28816 .79683 .29637 .81015 .2914 .80444 .28314 Metetra
.673 .746 .905 r
.80444 .28314 .81015 .2914 .82355 .28661 .81789 .27831 Metetra
.669 .744 .906 r
.81789 .27831 .82355 .28661 .83702 .28193 .8314 .27359 Metetra
.667 .743 .907 r
.8314 .27359 .83702 .28193 .85056 .27731 .84499 .26893 Metetra
.665 .742 .907 r
.84499 .26893 .85056 .27731 .86417 .27272 .85864 .26429 Metetra
.662 .741 .909 r
.24957 .45895 .25691 .46578 .26795 .46215 .26063 .45529 Metetra
.66 .74 .91 r
.26063 .45529 .26795 .46215 .27902 .45854 .27173 .45165 Metetra
.657 .74 .911 r
.27173 .45165 .27902 .45854 .29014 .455 .28288 .44808 Metetra
.653 .739 .913 r
.28288 .44808 .29014 .455 .3013 .45157 .29407 .44463 Metetra
.645 .737 .916 r
.29407 .44463 .3013 .45157 .31249 .44832 .30529 .44136 Metetra
.634 .734 .92 r
.30529 .44136 .31249 .44832 .32372 .44536 .31654 .43838 Metetra
.616 .728 .926 r
.31654 .43838 .32372 .44536 .33497 .44284 .32782 .43585 Metetra
.588 .72 .935 r
.32782 .43585 .33497 .44284 .34625 .44095 .33912 .43396 Metetra
.543 .704 .945 r
.33912 .43396 .34625 .44095 .35754 .43993 .35043 .43295 Metetra
.474 .677 .953 r
.35043 .43295 .35754 .43993 .36884 .44007 .36176 .43312 Metetra
.366 .627 .953 r
.36176 .43312 .36884 .44007 .38016 .4417 .37309 .4348 Metetra
.203 .539 .926 r
.37309 .4348 .38016 .4417 .39149 .44515 .38443 .43834 Metetra
0 .397 .845 r
.38443 .43834 .39149 .44515 .40284 .45076 .39578 .44406 Metetra
0 .211 .695 r
.39578 .44406 .40284 .45076 .41423 .45876 .40717 .45222 Metetra
.488 0 0 r
.40717 .45222 .41423 .45876 .42568 .46929 .41862 .46295 Metetra
.635 .122 0 r
.41862 .46295 .42568 .46929 .43721 .48228 .43015 .47617 Metetra
.72 .217 0 r
.43015 .47617 .43721 .48228 .44888 .49742 .4418 .49159 Metetra
.764 .27 0 r
.4418 .49159 .44888 .49742 .46071 .51413 .45362 .50861 Metetra
.779 .287 0 r
.45362 .50861 .46071 .51413 .47273 .53153 .46563 .52632 Metetra
.769 .271 0 r
.46563 .52632 .47273 .53153 .48497 .54845 .47787 .54357 Metetra
.726 .21 0 r
.47787 .54357 .48497 .54845 .49744 .56359 .49034 .559 Metetra
.616 .072 0 r
.49034 .559 .49744 .56359 .51013 .57555 .50304 .5712 Metetra
0 .206 .618 r
.50304 .5712 .51013 .57555 .523 .58307 .51594 .57889 Metetra
.155 .616 .931 r
.51594 .57889 .523 .58307 .536 .58517 .52897 .58106 Metetra
.613 .851 .989 r
.52897 .58106 .536 .58517 .54906 .5813 .54209 .57716 Metetra
.812 .884 .897 r
.54209 .57716 .54906 .5813 .56212 .57144 .55521 .56717 Metetra
.886 .866 .814 r
.55521 .56717 .56212 .57144 .57511 .5561 .56828 .5516 Metetra
.916 .846 .761 r
.56828 .5516 .57511 .5561 .58799 .53622 .58124 .53141 Metetra
.928 .831 .728 r
.58124 .53141 .58799 .53622 .60074 .51306 .59407 .5079 Metetra
.933 .821 .711 r
.59407 .5079 .60074 .51306 .61334 .488 .60675 .48245 Metetra
.933 .814 .705 r
.60675 .48245 .61334 .488 .62582 .46239 .61932 .45644 Metetra
.929 .811 .708 r
.61932 .45644 .62582 .46239 .63821 .43737 .63178 .43105 Metetra
.921 .809 .718 r
.63178 .43105 .63821 .43737 .65055 .41387 .6442 .4072 Metetra
.91 .808 .734 r
.6442 .4072 .65055 .41387 .66289 .39249 .6566 .38552 Metetra
.895 .807 .755 r
.6566 .38552 .66289 .39249 .67526 .37357 .66903 .36632 Metetra
.875 .806 .779 r
.66903 .36632 .67526 .37357 .6877 .35716 .68153 .3497 Metetra
.85 .802 .803 r
.68153 .3497 .6877 .35716 .70024 .34317 .69412 .33552 Metetra
.823 .797 .827 r
.69412 .33552 .70024 .34317 .71288 .33135 .70681 .32354 Metetra
.793 .789 .849 r
.70681 .32354 .71288 .33135 .72564 .32138 .71962 .31345 Metetra
.765 .781 .866 r
.71962 .31345 .72564 .32138 .73852 .31291 .73254 .30489 Metetra
.739 .772 .879 r
.73254 .30489 .73852 .31291 .75151 .30563 .74558 .29752 Metetra
.717 .764 .889 r
.74558 .29752 .75151 .30563 .7646 .29924 .75872 .29106 Metetra
.7 .757 .896 r
.75872 .29106 .7646 .29924 .7778 .29348 .77195 .28524 Metetra
.688 .752 .9 r
.77195 .28524 .7778 .29348 .79108 .28816 .78528 .27988 Metetra
.679 .748 .903 r
.78528 .27988 .79108 .28816 .80444 .28314 .79869 .27481 Metetra
.673 .746 .905 r
.79869 .27481 .80444 .28314 .81789 .27831 .81218 .26993 Metetra
.669 .744 .906 r
.81218 .26993 .81789 .27831 .8314 .27359 .82574 .26517 Metetra
.667 .743 .907 r
.82574 .26517 .8314 .27359 .84499 .26893 .83937 .26047 Metetra
.665 .742 .907 r
.83937 .26047 .84499 .26893 .85864 .26429 .85307 .25579 Metetra
.662 .741 .909 r
.24217 .45206 .24957 .45895 .26063 .45529 .25326 .44837 Metetra
.66 .74 .91 r
.25326 .44837 .26063 .45529 .27173 .45165 .26439 .44471 Metetra
.657 .74 .911 r
.26439 .44471 .27173 .45165 .28288 .44808 .27556 .44111 Metetra
.653 .739 .913 r
.27556 .44111 .28288 .44808 .29407 .44463 .28678 .43763 Metetra
.645 .737 .916 r
.28678 .43763 .29407 .44463 .30529 .44136 .29803 .43433 Metetra
.634 .733 .92 r
.29803 .43433 .30529 .44136 .31654 .43838 .30931 .43133 Metetra
.616 .728 .926 r
.30931 .43133 .31654 .43838 .32782 .43585 .32061 .42878 Metetra
.587 .719 .934 r
.32061 .42878 .32782 .43585 .33912 .43396 .33194 .42688 Metetra
.543 .703 .944 r
.33194 .42688 .33912 .43396 .35043 .43295 .34327 .42586 Metetra
.474 .675 .952 r
.34327 .42586 .35043 .43295 .36176 .43312 .35462 .42603 Metetra
.367 .625 .952 r
.35462 .42603 .36176 .43312 .37309 .4348 .36596 .42773 Metetra
.206 .537 .925 r
.36596 .42773 .37309 .4348 .38443 .43834 .37731 .4313 Metetra
0 .397 .847 r
.37731 .4313 .38443 .43834 .39578 .44406 .38868 .43708 Metetra
0 .214 .704 r
.38868 .43708 .39578 .44406 .40717 .45222 .40007 .44531 Metetra
0 .031 .527 r
.40007 .44531 .40717 .45222 .41862 .46295 .41151 .45613 Metetra
.619 .113 0 r
.41151 .45613 .41862 .46295 .43015 .47617 .42303 .46948 Metetra
.705 .207 0 r
.42303 .46948 .43015 .47617 .4418 .49159 .43468 .48504 Metetra
.749 .259 0 r
.43468 .48504 .4418 .49159 .45362 .50861 .44648 .50222 Metetra
.763 .275 0 r
.44648 .50222 .45362 .50861 .46563 .52632 .45848 .5201 Metetra
.748 .254 0 r
.45848 .5201 .46563 .52632 .47787 .54357 .47071 .53752 Metetra
.693 .184 0 r
.47071 .53752 .47787 .54357 .49034 .559 .48319 .5531 Metetra
.557 .029 0 r
.48319 .5531 .49034 .559 .50304 .5712 .49589 .56543 Metetra
0 .266 .716 r
.49589 .56543 .50304 .5712 .51594 .57889 .50881 .5732 Metetra
.256 .628 .96 r
.50881 .5732 .51594 .57889 .52897 .58106 .52188 .5754 Metetra
.636 .808 .965 r
.52188 .5754 .52897 .58106 .54209 .57716 .53504 .57146 Metetra
.804 .839 .877 r
.53504 .57146 .54209 .57716 .55521 .56717 .54822 .56138 Metetra
.872 .831 .804 r
.54822 .56138 .55521 .56717 .56828 .5516 .56136 .54566 Metetra
.903 .819 .755 r
.56136 .54566 .56828 .5516 .58124 .53141 .5744 .52528 Metetra
.917 .809 .725 r
.5744 .52528 .58124 .53141 .59407 .5079 .58731 .50154 Metetra
.923 .803 .709 r
.58731 .50154 .59407 .5079 .60675 .48245 .60008 .47586 Metetra
.924 .799 .703 r
.60008 .47586 .60675 .48245 .61932 .45644 .61272 .44961 Metetra
.922 .797 .706 r
.61272 .44961 .61932 .45644 .63178 .43105 .62527 .424 Metetra
.915 .798 .716 r
.62527 .424 .63178 .43105 .6442 .4072 .63776 .39994 Metetra
.905 .798 .731 r
.63776 .39994 .6442 .4072 .6566 .38552 .65024 .37806 Metetra
.891 .799 .752 r
.65024 .37806 .6566 .38552 .66903 .36632 .66274 .3587 Metetra
.872 .799 .776 r
.66274 .3587 .66903 .36632 .68153 .3497 .6753 .34193 Metetra
.848 .797 .801 r
.6753 .34193 .68153 .3497 .69412 .33552 .68794 .32763 Metetra
.821 .792 .825 r
.68794 .32763 .69412 .33552 .70681 .32354 .70069 .31555 Metetra
.793 .786 .846 r
.70069 .31555 .70681 .32354 .71962 .31345 .71354 .30537 Metetra
.765 .778 .864 r
.71354 .30537 .71962 .31345 .73254 .30489 .72651 .29673 Metetra
.739 .77 .878 r
.72651 .29673 .73254 .30489 .74558 .29752 .73959 .28931 Metetra
.718 .763 .888 r
.73959 .28931 .74558 .29752 .75872 .29106 .75278 .28279 Metetra
.701 .756 .895 r
.75278 .28279 .75872 .29106 .77195 .28524 .76606 .27692 Metetra
.688 .751 .9 r
.76606 .27692 .77195 .28524 .78528 .27988 .77943 .27151 Metetra
.679 .748 .903 r
.77943 .27151 .78528 .27988 .79869 .27481 .79289 .2664 Metetra
.673 .745 .905 r
.79289 .2664 .79869 .27481 .81218 .26993 .80642 .26148 Metetra
.669 .744 .906 r
.80642 .26148 .81218 .26993 .82574 .26517 .82003 .25668 Metetra
.667 .743 .907 r
.82003 .25668 .82574 .26517 .83937 .26047 .83371 .25193 Metetra
.665 .742 .907 r
.83371 .25193 .83937 .26047 .85307 .25579 .84745 .24721 Metetra
.662 .741 .909 r
.23472 .44512 .24217 .45206 .25326 .44837 .24583 .4414 Metetra
.66 .74 .909 r
.24583 .4414 .25326 .44837 .26439 .44471 .25699 .4377 Metetra
.657 .74 .911 r
.25699 .4377 .26439 .44471 .27556 .44111 .26819 .43408 Metetra
.653 .738 .913 r
.26819 .43408 .27556 .44111 .28678 .43763 .27943 .43056 Metetra
.645 .736 .915 r
.27943 .43056 .28678 .43763 .29803 .43433 .29071 .42724 Metetra
.634 .733 .92 r
.29071 .42724 .29803 .43433 .30931 .43133 .30202 .42421 Metetra
.616 .728 .926 r
.30202 .42421 .30931 .43133 .32061 .42878 .31335 .42163 Metetra
.587 .718 .934 r
.31335 .42163 .32061 .42878 .33194 .42688 .3247 .4197 Metetra
.544 .702 .943 r
.3247 .4197 .33194 .42688 .34327 .42586 .33606 .41866 Metetra
.475 .674 .951 r
.33606 .41866 .34327 .42586 .35462 .42603 .34742 .41881 Metetra
.37 .623 .95 r
.34742 .41881 .35462 .42603 .36596 .42773 .35879 .42048 Metetra
.213 .537 .925 r
.35879 .42048 .36596 .42773 .37731 .4313 .37015 .42404 Metetra
0 .401 .851 r
.37015 .42404 .37731 .4313 .38868 .43708 .38152 .4298 Metetra
0 .224 .717 r
.38152 .4298 .38868 .43708 .40007 .44531 .39292 .43802 Metetra
0 .045 .55 r
.39292 .43802 .40007 .44531 .41151 .45613 .40436 .44884 Metetra
.595 .097 0 r
.40436 .44884 .41151 .45613 .42303 .46948 .41588 .46219 Metetra
.683 .191 0 r
.41588 .46219 .42303 .46948 .43468 .48504 .42751 .47775 Metetra
.727 .242 0 r
.42751 .47775 .43468 .48504 .44648 .50222 .4393 .49494 Metetra
.738 .256 0 r
.4393 .49494 .44648 .50222 .45848 .5201 .45129 .51284 Metetra
.717 .229 0 r
.45129 .51284 .45848 .5201 .47071 .53752 .46351 .53026 Metetra
.645 .149 0 r
.46351 .53026 .47071 .53752 .48319 .5531 .47598 .54585 Metetra
0 .022 .524 r
.47598 .54585 .48319 .5531 .49589 .56543 .48869 .55818 Metetra
0 .317 .788 r
.48869 .55818 .49589 .56543 .50881 .5732 .50162 .56594 Metetra
.333 .621 .956 r
.50162 .56594 .50881 .5732 .52188 .5754 .51472 .56812 Metetra
.646 .762 .934 r
.51472 .56812 .52188 .5754 .53504 .57146 .52792 .56416 Metetra
.791 .796 .856 r
.52792 .56416 .53504 .57146 .54822 .56138 .54116 .55402 Metetra
.857 .798 .792 r
.54116 .55402 .54822 .56138 .56136 .54566 .55436 .53824 Metetra
.888 .793 .749 r
.55436 .53824 .56136 .54566 .5744 .52528 .56747 .51779 Metetra
.904 .788 .722 r
.56747 .51779 .5744 .52528 .58731 .50154 .58046 .49397 Metetra
.912 .785 .707 r
.58046 .49397 .58731 .50154 .60008 .47586 .59332 .46821 Metetra
.915 .784 .702 r
.59332 .46821 .60008 .47586 .61272 .44961 .60605 .44188 Metetra
.914 .785 .705 r
.60605 .44188 .61272 .44961 .62527 .424 .61868 .41618 Metetra
.909 .786 .714 r
.61868 .41618 .62527 .424 .63776 .39994 .63125 .39205 Metetra
.899 .789 .73 r
.63125 .39205 .63776 .39994 .65024 .37806 .6438 .3701 Metetra
.886 .791 .75 r
.6438 .3701 .65024 .37806 .66274 .3587 .65637 .35068 Metetra
.868 .792 .773 r
.65637 .35068 .66274 .3587 .6753 .34193 .66899 .33384 Metetra
.846 .791 .798 r
.66899 .33384 .6753 .34193 .68794 .32763 .6817 .31949 Metetra
.82 .788 .823 r
.6817 .31949 .68794 .32763 .70069 .31555 .6945 .30736 Metetra
.792 .783 .845 r
.6945 .30736 .70069 .31555 .71354 .30537 .70741 .29714 Metetra
.764 .776 .863 r
.70741 .29714 .71354 .30537 .72651 .29673 .72043 .28846 Metetra
.739 .769 .877 r
.72043 .28846 .72651 .29673 .73959 .28931 .73356 .28098 Metetra
.717 .762 .887 r
.73356 .28098 .73959 .28931 .75278 .28279 .74679 .27442 Metetra
.7 .756 .895 r
.74679 .27442 .75278 .28279 .76606 .27692 .76012 .26852 Metetra
.688 .751 .9 r
.76012 .26852 .76606 .27692 .77943 .27151 .77353 .26306 Metetra
.679 .748 .903 r
.77353 .26306 .77943 .27151 .79289 .2664 .78704 .25791 Metetra
.673 .745 .905 r
.78704 .25791 .79289 .2664 .80642 .26148 .80061 .25295 Metetra
.669 .744 .906 r
.80061 .25295 .80642 .26148 .82003 .25668 .81427 .24811 Metetra
.667 .743 .907 r
.81427 .24811 .82003 .25668 .83371 .25193 .82799 .24332 Metetra
.665 .742 .907 r
.82799 .24332 .83371 .25193 .84745 .24721 .84179 .23856 Metetra
.662 .741 .909 r
.2272 .43812 .23472 .44512 .24583 .4414 .23834 .43437 Metetra
.66 .74 .909 r
.23834 .43437 .24583 .4414 .25699 .4377 .24953 .43065 Metetra
.657 .74 .911 r
.24953 .43065 .25699 .4377 .26819 .43408 .26076 .42699 Metetra
.653 .738 .912 r
.26076 .42699 .26819 .43408 .27943 .43056 .27203 .42344 Metetra
.645 .736 .915 r
.27203 .42344 .27943 .43056 .29071 .42724 .28333 .42008 Metetra
.634 .733 .919 r
.28333 .42008 .29071 .42724 .30202 .42421 .29467 .41702 Metetra
.616 .727 .925 r
.29467 .41702 .30202 .42421 .31335 .42163 .30603 .41441 Metetra
.588 .718 .933 r
.30603 .41441 .31335 .42163 .3247 .4197 .3174 .41243 Metetra
.545 .701 .942 r
.3174 .41243 .3247 .4197 .33606 .41866 .32879 .41134 Metetra
.478 .673 .95 r
.32879 .41134 .33606 .41866 .34742 .41881 .34017 .41144 Metetra
.376 .624 .949 r
.34017 .41144 .34742 .41881 .35879 .42048 .35156 .41306 Metetra
.225 .54 .926 r
.35156 .41306 .35879 .42048 .37015 .42404 .36294 .41654 Metetra
.021 .409 .857 r
.36294 .41654 .37015 .42404 .38152 .4298 .37432 .42222 Metetra
0 .239 .733 r
.37432 .42222 .38152 .4298 .39292 .43802 .38572 .43035 Metetra
0 .066 .578 r
.38572 .43035 .39292 .43802 .40436 .44884 .39717 .44106 Metetra
.563 .074 0 r
.39717 .44106 .40436 .44884 .41588 .46219 .40868 .45429 Metetra
.653 .168 0 r
.40868 .45429 .41588 .46219 .42751 .47775 .4203 .46972 Metetra
.697 .218 0 r
.4203 .46972 .42751 .47775 .4393 .49494 .43208 .48677 Metetra
.704 .229 0 r
.43208 .48677 .4393 .49494 .45129 .51284 .44406 .50451 Metetra
.672 .197 0 r
.44406 .50451 .45129 .51284 .46351 .53026 .45627 .5218 Metetra
.58 .105 0 r
.45627 .5218 .46351 .53026 .47598 .54585 .46873 .53725 Metetra
0 .079 .605 r
.46873 .53725 .47598 .54585 .48869 .55818 .48144 .54946 Metetra
0 .357 .829 r
.48144 .54946 .48869 .55818 .50162 .56594 .49438 .55712 Metetra
.388 .604 .934 r
.49438 .55712 .50162 .56594 .51472 .56812 .5075 .55923 Metetra
.648 .721 .902 r
.5075 .55923 .51472 .56812 .52792 .56416 .52074 .55522 Metetra
.777 .758 .836 r
.52074 .55522 .52792 .56416 .54116 .55402 .53402 .54508 Metetra
.84 .767 .781 r
.53402 .54508 .54116 .55402 .55436 .53824 .54729 .52933 Metetra
.874 .769 .743 r
.54729 .52933 .55436 .53824 .56747 .51779 .56047 .50893 Metetra
.892 .768 .719 r
.56047 .50893 .56747 .51779 .58046 .49397 .57354 .48518 Metetra
.901 .769 .706 r
.57354 .48518 .58046 .49397 .59332 .46821 .58648 .45949 Metetra
.905 .77 .701 r
.58648 .45949 .59332 .46821 .60605 .44188 .5993 .43324 Metetra
.905 .773 .704 r
.5993 .43324 .60605 .44188 .61868 .41618 .61201 .40761 Metetra
.901 .776 .713 r
.61201 .40761 .61868 .41618 .63125 .39205 .62467 .38354 Metetra
.893 .779 .729 r
.62467 .38354 .63125 .39205 .6438 .3701 .63729 .36165 Metetra
.881 .783 .748 r
.63729 .36165 .6438 .3701 .65637 .35068 .64993 .34226 Metetra
.864 .785 .772 r
.64993 .34226 .65637 .35068 .66899 .33384 .66262 .32545 Metetra
.842 .785 .797 r
.66262 .32545 .66899 .33384 .6817 .31949 .67539 .31111 Metetra
.817 .784 .821 r
.67539 .31111 .6817 .31949 .6945 .30736 .68825 .29898 Metetra
.79 .779 .843 r
.68825 .29898 .6945 .30736 .70741 .29714 .70121 .28875 Metetra
.763 .774 .862 r
.70121 .28875 .70741 .29714 .72043 .28846 .71429 .28005 Metetra
.738 .767 .876 r
.71429 .28005 .72043 .28846 .73356 .28098 .72746 .27255 Metetra
.717 .761 .887 r
.72746 .27255 .73356 .28098 .74679 .27442 .74074 .26596 Metetra
.7 .755 .894 r
.74074 .26596 .74679 .27442 .76012 .26852 .75412 .26002 Metetra
.688 .751 .899 r
.75412 .26002 .76012 .26852 .77353 .26306 .76758 .25453 Metetra
.679 .747 .903 r
.76758 .25453 .77353 .26306 .78704 .25791 .78113 .24935 Metetra
.673 .745 .905 r
.78113 .24935 .78704 .25791 .80061 .25295 .79476 .24435 Metetra
.669 .744 .906 r
.79476 .24435 .80061 .25295 .81427 .24811 .80845 .23946 Metetra
.667 .743 .907 r
.80845 .23946 .81427 .24811 .82799 .24332 .82223 .23463 Metetra
.665 .742 .907 r
.82223 .23463 .82799 .24332 .84179 .23856 .83607 .22983 Metetra
.662 .741 .909 r
.21963 .43107 .2272 .43812 .23834 .43437 .2308 .42728 Metetra
.66 .74 .909 r
.2308 .42728 .23834 .43437 .24953 .43065 .24201 .42353 Metetra
.657 .74 .911 r
.24201 .42353 .24953 .43065 .26076 .42699 .25327 .41984 Metetra
.653 .738 .912 r
.25327 .41984 .26076 .42699 .27203 .42344 .26457 .41626 Metetra
.646 .736 .915 r
.26457 .41626 .27203 .42344 .28333 .42008 .2759 .41286 Metetra
.634 .733 .919 r
.2759 .41286 .28333 .42008 .29467 .41702 .28726 .40976 Metetra
.617 .727 .925 r
.28726 .40976 .29467 .41702 .30603 .41441 .29865 .4071 Metetra
.589 .717 .932 r
.29865 .4071 .30603 .41441 .3174 .41243 .31005 .40507 Metetra
.547 .701 .941 r
.31005 .40507 .3174 .41243 .32879 .41134 .32146 .40392 Metetra
.483 .673 .948 r
.32146 .40392 .32879 .41134 .34017 .41144 .33287 .40393 Metetra
.384 .625 .948 r
.33287 .40393 .34017 .41144 .35156 .41306 .34428 .40545 Metetra
.24 .545 .927 r
.34428 .40545 .35156 .41306 .36294 .41654 .35568 .40882 Metetra
.046 .42 .865 r
.35568 .40882 .36294 .41654 .37432 .42222 .36707 .41435 Metetra
0 .259 .753 r
.36707 .41435 .37432 .42222 .38572 .43035 .37848 .4223 Metetra
0 .092 .609 r
.37848 .4223 .38572 .43035 .39717 .44106 .38993 .43281 Metetra
0 0 .475 r
.38993 .43281 .39717 .44106 .40868 .45429 .40144 .44579 Metetra
.614 .139 0 r
.40144 .44579 .40868 .45429 .4203 .46972 .41306 .46096 Metetra
.657 .188 0 r
.41306 .46096 .4203 .46972 .43208 .48677 .42483 .47771 Metetra
.659 .195 0 r
.42483 .47771 .43208 .48677 .44406 .50451 .4368 .49516 Metetra
.614 .156 0 r
.4368 .49516 .44406 .50451 .45627 .5218 .449 .51214 Metetra
0 0 .491 r
.449 .51214 .45627 .5218 .46873 .53725 .46145 .52731 Metetra
0 .135 .671 r
.46145 .52731 .46873 .53725 .48144 .54946 .47416 .53927 Metetra
.084 .384 .845 r
.47416 .53927 .48144 .54946 .49438 .55712 .4871 .54675 Metetra
.427 .585 .906 r
.4871 .54675 .49438 .55712 .5075 .55923 .50024 .54874 Metetra
.646 .685 .872 r
.50024 .54874 .5075 .55923 .52074 .55522 .5135 .5447 Metetra
.763 .725 .817 r
.5135 .5447 .52074 .55522 .53402 .54508 .52683 .53459 Metetra
.825 .74 .771 r
.52683 .53459 .53402 .54508 .54729 .52933 .54015 .51894 Metetra
.859 .746 .738 r
.54015 .51894 .54729 .52933 .56047 .50893 .55341 .49871 Metetra
.879 .75 .716 r
.55341 .49871 .56047 .50893 .57354 .48518 .56655 .47517 Metetra
.89 .753 .704 r
.56655 .47517 .57354 .48518 .58648 .45949 .57957 .44971 Metetra
.896 .757 .701 r
.57957 .44971 .58648 .45949 .5993 .43324 .59247 .42369 Metetra
.897 .761 .704 r
.59247 .42369 .5993 .43324 .61201 .40761 .60527 .39829 Metetra
.894 .766 .713 r
.60527 .39829 .61201 .40761 .62467 .38354 .61801 .37442 Metetra
.887 .771 .728 r
.61801 .37442 .62467 .38354 .63729 .36165 .63071 .3527 Metetra
.875 .775 .748 r
.63071 .3527 .63729 .36165 .64993 .34226 .64343 .33345 Metetra
.859 .778 .771 r
.64343 .33345 .64993 .34226 .66262 .32545 .65619 .31675 Metetra
.838 .78 .796 r
.65619 .31675 .66262 .32545 .67539 .31111 .66902 .30249 Metetra
.814 .779 .82 r
.66902 .30249 .67539 .31111 .68825 .29898 .68194 .29041 Metetra
.787 .776 .843 r
.68194 .29041 .68825 .29898 .70121 .28875 .69496 .2802 Metetra
.761 .771 .861 r
.69496 .2802 .70121 .28875 .71429 .28005 .70809 .27151 Metetra
.737 .765 .876 r
.70809 .27151 .71429 .28005 .72746 .27255 .72132 .26401 Metetra
.716 .759 .887 r
.72132 .26401 .72746 .27255 .74074 .26596 .73464 .2574 Metetra
.7 .754 .894 r
.73464 .2574 .74074 .26596 .75412 .26002 .74807 .25144 Metetra
.687 .75 .899 r
.74807 .25144 .75412 .26002 .76758 .25453 .76158 .24592 Metetra
.679 .747 .903 r
.76158 .24592 .76758 .25453 .78113 .24935 .77517 .2407 Metetra
.673 .745 .905 r
.77517 .2407 .78113 .24935 .79476 .24435 .78884 .23566 Metetra
.669 .743 .906 r
.78884 .23566 .79476 .24435 .80845 .23946 .80259 .23074 Metetra
.667 .743 .907 r
.80259 .23074 .80845 .23946 .82223 .23463 .81641 .22587 Metetra
.665 .742 .907 r
.81641 .22587 .82223 .23463 .83607 .22983 .8303 .22103 Metetra
.662 .741 .909 r
.21199 .42396 .21963 .43107 .2308 .42728 .22319 .42014 Metetra
.66 .74 .909 r
.22319 .42014 .2308 .42728 .24201 .42353 .23443 .41635 Metetra
.657 .74 .91 r
.23443 .41635 .24201 .42353 .25327 .41984 .24572 .41263 Metetra
.653 .738 .912 r
.24572 .41263 .25327 .41984 .26457 .41626 .25704 .40901 Metetra
.646 .736 .915 r
.25704 .40901 .26457 .41626 .2759 .41286 .2684 .40558 Metetra
.635 .733 .919 r
.2684 .40558 .2759 .41286 .28726 .40976 .2798 .40243 Metetra
.618 .727 .924 r
.2798 .40243 .28726 .40976 .29865 .4071 .29121 .39971 Metetra
.591 .717 .931 r
.29121 .39971 .29865 .4071 .31005 .40507 .30264 .39761 Metetra
.551 .701 .94 r
.30264 .39761 .31005 .40507 .32146 .40392 .31408 .39638 Metetra
.489 .674 .947 r
.31408 .39638 .32146 .40392 .33287 .40393 .32552 .39629 Metetra
.395 .628 .947 r
.32552 .39629 .33287 .40393 .34428 .40545 .33694 .39767 Metetra
.259 .551 .929 r
.33694 .39767 .34428 .40545 .35568 .40882 .34836 .40087 Metetra
.076 .435 .875 r
.34836 .40087 .35568 .40882 .36707 .41435 .35978 .40619 Metetra
0 .283 .774 r
.35978 .40619 .36707 .41435 .37848 .4223 .3712 .41389 Metetra
0 .123 .644 r
.3712 .41389 .37848 .4223 .38993 .43281 .38266 .42409 Metetra
0 0 .519 r
.38266 .42409 .38993 .43281 .40144 .44579 .39417 .43672 Metetra
.565 .102 0 r
.39417 .43672 .40144 .44579 .41306 .46096 .40579 .45149 Metetra
.606 .15 0 r
.40579 .45149 .41306 .46096 .42483 .47771 .41755 .4678 Metetra
.601 .153 0 r
.41755 .4678 .42483 .47771 .4368 .49516 .42951 .48479 Metetra
0 0 .443 r
.42951 .48479 .4368 .49516 .449 .51214 .4417 .50132 Metetra
0 .003 .56 r
.4417 .50132 .449 .51214 .46145 .52731 .45414 .51608 Metetra
0 .187 .719 r
.45414 .51608 .46145 .52731 .47416 .53927 .46684 .52768 Metetra
.166 .403 .846 r
.46684 .52768 .47416 .53927 .4871 .54675 .47979 .53488 Metetra
.456 .567 .878 r
.47979 .53488 .4871 .54675 .50024 .54874 .49293 .53671 Metetra
.643 .655 .847 r
.49293 .53671 .50024 .54874 .5135 .5447 .50623 .53263 Metetra
.749 .696 .801 r
.50623 .53263 .5135 .5447 .52683 .53459 .51959 .5226 Metetra
.809 .716 .762 r
.51959 .5226 .52683 .53459 .54015 .51894 .53296 .50715 Metetra
.845 .726 .733 r
.53296 .50715 .54015 .51894 .55341 .49871 .54628 .4872 Metetra
.866 .733 .714 r
.54628 .4872 .55341 .49871 .56655 .47517 .5595 .46399 Metetra
.879 .739 .704 r
.5595 .46399 .56655 .47517 .57957 .44971 .5726 .43891 Metetra
.885 .744 .701 r
.5726 .43891 .57957 .44971 .59247 .42369 .58558 .41327 Metetra
.888 .75 .704 r
.58558 .41327 .59247 .42369 .60527 .39829 .59847 .38824 Metetra
.886 .756 .714 r
.59847 .38824 .60527 .39829 .61801 .37442 .61128 .3647 Metetra
.88 .762 .729 r
.61128 .3647 .61801 .37442 .63071 .3527 .62407 .34327 Metetra
.869 .768 .748 r
.62407 .34327 .63071 .3527 .64343 .33345 .63686 .32426 Metetra
.854 .772 .771 r
.63686 .32426 .64343 .33345 .65619 .31675 .64969 .30775 Metetra
.834 .775 .796 r
.64969 .30775 .65619 .31675 .66902 .30249 .66259 .29362 Metetra
.81 .775 .82 r
.66259 .29362 .66902 .30249 .68194 .29041 .67557 .28165 Metetra
.785 .773 .842 r
.67557 .28165 .68194 .29041 .69496 .2802 .68865 .2715 Metetra
.759 .769 .861 r
.68865 .2715 .69496 .2802 .70809 .27151 .70183 .26285 Metetra
.735 .763 .875 r
.70183 .26285 .70809 .27151 .72132 .26401 .71511 .25536 Metetra
.715 .758 .886 r
.71511 .25536 .72132 .26401 .73464 .2574 .72849 .24875 Metetra
.699 .753 .894 r
.72849 .24875 .73464 .2574 .74807 .25144 .74196 .24277 Metetra
.687 .75 .899 r
.74196 .24277 .74807 .25144 .76158 .24592 .75552 .23722 Metetra
.678 .747 .903 r
.75552 .23722 .76158 .24592 .77517 .2407 .76916 .23197 Metetra
.673 .745 .905 r
.76916 .23197 .77517 .2407 .78884 .23566 .78288 .2269 Metetra
.669 .743 .906 r
.78288 .2269 .78884 .23566 .80259 .23074 .79668 .22193 Metetra
.667 .742 .907 r
.79668 .22193 .80259 .23074 .81641 .22587 .81054 .21703 Metetra
.665 .742 .907 r
.81054 .21703 .81641 .22587 .8303 .22103 .82448 .21214 Metetra
.662 .741 .909 r
.20429 .41679 .21199 .42396 .22319 .42014 .21552 .41294 Metetra
.66 .74 .909 r
.21552 .41294 .22319 .42014 .23443 .41635 .22679 .40912 Metetra
.658 .74 .91 r
.22679 .40912 .23443 .41635 .24572 .41263 .23811 .40536 Metetra
.653 .738 .912 r
.23811 .40536 .24572 .41263 .25704 .40901 .24946 .4017 Metetra
.647 .736 .915 r
.24946 .4017 .25704 .40901 .2684 .40558 .26085 .39822 Metetra
.636 .733 .918 r
.26085 .39822 .2684 .40558 .2798 .40243 .27227 .39502 Metetra
.619 .727 .923 r
.27227 .39502 .2798 .40243 .29121 .39971 .28372 .39224 Metetra
.594 .718 .93 r
.28372 .39224 .29121 .39971 .30264 .39761 .29518 .39006 Metetra
.555 .702 .938 r
.29518 .39006 .30264 .39761 .31408 .39638 .30664 .38873 Metetra
.496 .676 .945 r
.30664 .38873 .31408 .39638 .32552 .39629 .3181 .38851 Metetra
.407 .632 .946 r
.3181 .38851 .32552 .39629 .33694 .39767 .32956 .38973 Metetra
.28 .56 .931 r
.32956 .38973 .33694 .39767 .34836 .40087 .341 .39271 Metetra
.11 .452 .884 r
.341 .39271 .34836 .40087 .35978 .40619 .35244 .39776 Metetra
0 .31 .797 r
.35244 .39776 .35978 .40619 .3712 .41389 .36388 .40513 Metetra
0 .16 .681 r
.36388 .40513 .3712 .41389 .38266 .42409 .37534 .41493 Metetra
0 .03 .567 r
.37534 .41493 .38266 .42409 .39417 .43672 .38687 .4271 Metetra
0 0 .483 r
.38687 .4271 .39417 .43672 .40579 .45149 .39849 .44134 Metetra
0 0 .442 r
.39849 .44134 .40579 .45149 .41755 .4678 .41025 .45708 Metetra
0 0 .45 r
.41025 .45708 .41755 .4678 .42951 .48479 .4222 .47348 Metetra
0 0 .51 r
.4222 .47348 .42951 .48479 .4417 .50132 .43437 .48942 Metetra
0 .061 .62 r
.43437 .48942 .4417 .50132 .45414 .51608 .44681 .50363 Metetra
0 .232 .75 r
.44681 .50363 .45414 .51608 .46684 .52768 .4595 .51476 Metetra
.231 .415 .838 r
.4595 .51476 .46684 .52768 .47979 .53488 .47245 .52162 Metetra
.477 .552 .854 r
.47245 .52162 .47979 .53488 .49293 .53671 .4856 .52324 Metetra
.639 .631 .825 r
.4856 .52324 .49293 .53671 .50623 .53263 .49891 .51911 Metetra
.737 .672 .787 r
.49891 .51911 .50623 .53263 .51959 .5226 .51231 .5092 Metetra
.795 .694 .754 r
.51231 .5092 .51959 .5226 .53296 .50715 .52572 .49401 Metetra
.831 .708 .729 r
.52572 .49401 .53296 .50715 .54628 .4872 .5391 .47445 Metetra
.853 .718 .712 r
.5391 .47445 .54628 .4872 .5595 .46399 .55238 .45172 Metetra
.867 .726 .703 r
.55238 .45172 .5595 .46399 .5726 .43891 .56556 .42715 Metetra
.875 .733 .701 r
.56556 .42715 .5726 .43891 .58558 .41327 .57863 .40204 Metetra
.879 .74 .705 r
.57863 .40204 .58558 .41327 .59847 .38824 .59159 .3775 Metetra
.878 .747 .715 r
.59159 .3775 .59847 .38824 .61128 .3647 .6045 .35442 Metetra
.872 .754 .73 r
.6045 .35442 .61128 .3647 .62407 .34327 .61736 .33338 Metetra
.862 .761 .749 r
.61736 .33338 .62407 .34327 .63686 .32426 .63023 .3147 Metetra
.848 .766 .772 r
.63023 .3147 .63686 .32426 .64969 .30775 .64314 .29845 Metetra
.829 .77 .796 r
.64314 .29845 .64969 .30775 .66259 .29362 .6561 .28453 Metetra
.806 .771 .82 r
.6561 .28453 .66259 .29362 .67557 .28165 .66915 .2727 Metetra
.781 .769 .842 r
.66915 .2727 .67557 .28165 .68865 .2715 .68228 .26265 Metetra
.756 .766 .861 r
.68228 .26265 .68865 .2715 .70183 .26285 .69552 .25406 Metetra
.733 .761 .875 r
.69552 .25406 .70183 .26285 .71511 .25536 .70885 .2466 Metetra
.714 .757 .886 r
.70885 .2466 .71511 .25536 .72849 .24875 .72228 .24 Metetra
.698 .752 .894 r
.72228 .24 .72849 .24875 .74196 .24277 .7358 .23401 Metetra
.686 .749 .899 r
.7358 .23401 .74196 .24277 .75552 .23722 .74941 .22844 Metetra
.678 .746 .903 r
.74941 .22844 .75552 .23722 .76916 .23197 .7631 .22316 Metetra
.672 .744 .905 r
.7631 .22316 .76916 .23197 .78288 .2269 .77687 .21805 Metetra
.669 .743 .906 r
.77687 .21805 .78288 .2269 .79668 .22193 .79071 .21305 Metetra
.667 .742 .907 r
.79071 .21305 .79668 .22193 .81054 .21703 .80462 .2081 Metetra
.665 .742 .907 r
.80462 .2081 .81054 .21703 .82448 .21214 .8186 .20318 Metetra
.662 .741 .909 r
.19654 .40956 .20429 .41679 .21552 .41294 .20779 .40568 Metetra
.66 .74 .909 r
.20779 .40568 .21552 .41294 .22679 .40912 .21909 .40183 Metetra
.658 .74 .91 r
.21909 .40183 .22679 .40912 .23811 .40536 .23043 .39803 Metetra
.654 .738 .912 r
.23043 .39803 .23811 .40536 .24946 .4017 .24182 .39433 Metetra
.647 .736 .914 r
.24182 .39433 .24946 .4017 .26085 .39822 .25324 .3908 Metetra
.637 .733 .918 r
.25324 .3908 .26085 .39822 .27227 .39502 .26469 .38754 Metetra
.621 .727 .923 r
.26469 .38754 .27227 .39502 .28372 .39224 .27616 .38469 Metetra
.596 .718 .929 r
.27616 .38469 .28372 .39224 .29518 .39006 .28765 .38242 Metetra
.559 .703 .937 r
.28765 .38242 .29518 .39006 .30664 .38873 .29915 .38097 Metetra
.504 .678 .943 r
.29915 .38097 .30664 .38873 .3181 .38851 .31064 .3806 Metetra
.421 .636 .945 r
.31064 .3806 .3181 .38851 .32956 .38973 .32212 .38162 Metetra
.303 .57 .932 r
.32212 .38162 .32956 .38973 .341 .39271 .33359 .38434 Metetra
.146 .47 .893 r
.33359 .38434 .341 .39271 .35244 .39776 .34505 .38907 Metetra
0 .34 .818 r
.34505 .38907 .35244 .39776 .36388 .40513 .35651 .39604 Metetra
0 .199 .717 r
.35651 .39604 .36388 .40513 .37534 .41493 .36799 .40536 Metetra
0 .076 .615 r
.36799 .40536 .37534 .41493 .38687 .4271 .37953 .41696 Metetra
0 0 .538 r
.37953 .41696 .38687 .4271 .39849 .44134 .39115 .43057 Metetra
0 0 .503 r
.39115 .43057 .39849 .44134 .41025 .45708 .40292 .44562 Metetra
0 0 .514 r
.40292 .44562 .41025 .45708 .4222 .47348 .41486 .46129 Metetra
0 .005 .572 r
.41486 .46129 .4222 .47348 .43437 .48942 .42704 .47652 Metetra
0 .116 .668 r
.42704 .47652 .43437 .48942 .44681 .50363 .43946 .49006 Metetra
.028 .27 .769 r
.43946 .49006 .44681 .50363 .4595 .51476 .45215 .50063 Metetra
.284 .425 .828 r
.45215 .50063 .4595 .51476 .47245 .52162 .46509 .50706 Metetra
.493 .54 .833 r
.46509 .50706 .47245 .52162 .4856 .52324 .47825 .50843 Metetra
.635 .611 .808 r
.47825 .50843 .4856 .52324 .49891 .51911 .49157 .50426 Metetra
.725 .651 .775 r
.49157 .50426 .49891 .51911 .51231 .5092 .505 .49451 Metetra
.782 .676 .747 r
.505 .49451 .51231 .5092 .52572 .49401 .51845 .47965 Metetra
.818 .692 .725 r
.51845 .47965 .52572 .49401 .5391 .47445 .53187 .46057 Metetra
.841 .704 .711 r
.53187 .46057 .5391 .47445 .55238 .45172 .54522 .43842 Metetra
.856 .713 .704 r
.54522 .43842 .55238 .45172 .56556 .42715 .55847 .4145 Metetra
.865 .722 .702 r
.55847 .4145 .56556 .42715 .57863 .40204 .57161 .39003 Metetra
.869 .731 .707 r
.57161 .39003 .57863 .40204 .59159 .3775 .58466 .36612 Metetra
.869 .739 .716 r
.58466 .36612 .59159 .3775 .6045 .35442 .59764 .34361 Metetra
.865 .747 .731 r
.59764 .34361 .6045 .35442 .61736 .33338 .61059 .32306 Metetra
.855 .754 .751 r
.61059 .32306 .61736 .33338 .63023 .3147 .62354 .3048 Metetra
.842 .761 .773 r
.62354 .3048 .63023 .3147 .64314 .29845 .63652 .28889 Metetra
.823 .765 .797 r
.63652 .28889 .64314 .29845 .6561 .28453 .64955 .27522 Metetra
.801 .767 .821 r
.64955 .27522 .6561 .28453 .66915 .2727 .66266 .26358 Metetra
.777 .766 .843 r
.66266 .26358 .66915 .2727 .68228 .26265 .67586 .25366 Metetra
.753 .763 .861 r
.67586 .25366 .68228 .26265 .69552 .25406 .68915 .24515 Metetra
.731 .76 .876 r
.68915 .24515 .69552 .25406 .70885 .2466 .70254 .23774 Metetra
.712 .755 .886 r
.70254 .23774 .70885 .2466 .72228 .24 .71602 .23115 Metetra
.697 .752 .894 r
.71602 .23115 .72228 .24 .7358 .23401 .72959 .22516 Metetra
.685 .748 .899 r
.72959 .22516 .7358 .23401 .74941 .22844 .74324 .21958 Metetra
.677 .746 .903 r
.74324 .21958 .74941 .22844 .7631 .22316 .75698 .21427 Metetra
.672 .744 .905 r
.75698 .21427 .7631 .22316 .77687 .21805 .7708 .20913 Metetra
.669 .743 .906 r
.7708 .20913 .77687 .21805 .79071 .21305 .78468 .20409 Metetra
.666 .742 .907 r
.78468 .20409 .79071 .21305 .80462 .2081 .79865 .1991 Metetra
.665 .742 .907 r
.79865 .1991 .80462 .2081 .8186 .20318 .81268 .19413 Metetra
.662 .741 .909 r
.18871 .40228 .19654 .40956 .20779 .40568 .2 .39836 Metetra
.66 .74 .909 r
.2 .39836 .20779 .40568 .21909 .40183 .21133 .39447 Metetra
.658 .74 .91 r
.21133 .39447 .21909 .40183 .23043 .39803 .2227 .39063 Metetra
.654 .738 .912 r
.2227 .39063 .23043 .39803 .24182 .39433 .23411 .38689 Metetra
.648 .736 .914 r
.23411 .38689 .24182 .39433 .25324 .3908 .24556 .38332 Metetra
.638 .733 .917 r
.24556 .38332 .25324 .3908 .26469 .38754 .25704 .38 Metetra
.623 .728 .922 r
.25704 .38 .26469 .38754 .27616 .38469 .26855 .37707 Metetra
.599 .719 .928 r
.26855 .37707 .27616 .38469 .28765 .38242 .28007 .3747 Metetra
.564 .704 .935 r
.28007 .3747 .28765 .38242 .29915 .38097 .2916 .37311 Metetra
.512 .68 .941 r
.2916 .37311 .29915 .38097 .31064 .3806 .30312 .37257 Metetra
.436 .641 .944 r
.30312 .37257 .31064 .3806 .32212 .38162 .31463 .37336 Metetra
.328 .58 .934 r
.31463 .37336 .32212 .38162 .33359 .38434 .32613 .37579 Metetra
.185 .49 .901 r
.32613 .37579 .33359 .38434 .34505 .38907 .33762 .38014 Metetra
.017 .371 .839 r
.33762 .38014 .34505 .38907 .35651 .39604 .3491 .38665 Metetra
0 .241 .752 r
.3491 .38665 .35651 .39604 .36799 .40536 .3606 .39541 Metetra
0 .125 .662 r
.3606 .39541 .36799 .40536 .37953 .41696 .37216 .40636 Metetra
0 .041 .594 r
.37216 .40636 .37953 .41696 .39115 .43057 .38379 .41923 Metetra
0 .001 .562 r
.38379 .41923 .39115 .43057 .40292 .44562 .39557 .43348 Metetra
0 .007 .573 r
.39557 .43348 .40292 .44562 .41486 .46129 .40751 .44832 Metetra
0 .063 .626 r
.40751 .44832 .41486 .46129 .42704 .47652 .41968 .46271 Metetra
0 .168 .705 r
.41968 .46271 .42704 .47652 .43946 .49006 .4321 .47548 Metetra
.104 .303 .779 r
.4321 .47548 .43946 .49006 .45215 .50063 .44478 .4854 Metetra
.326 .433 .817 r
.44478 .4854 .45215 .50063 .46509 .50706 .45772 .49134 Metetra
.506 .531 .816 r
.45772 .49134 .46509 .50706 .47825 .50843 .47088 .49244 Metetra
.632 .594 .794 r
.47088 .49244 .47825 .50843 .49157 .50426 .48421 .48822 Metetra
.715 .634 .766 r
.48421 .48822 .49157 .50426 .505 .49451 .49765 .47865 Metetra
.77 .66 .742 r
.49765 .47865 .505 .49451 .51845 .47965 .51114 .46419 Metetra
.806 .678 .723 r
.51114 .46419 .51845 .47965 .53187 .46057 .52461 .44568 Metetra
.83 .691 .711 r
.52461 .44568 .53187 .46057 .54522 .43842 .53801 .42422 Metetra
.846 .702 .704 r
.53801 .42422 .54522 .43842 .55847 .4145 .55133 .40104 Metetra
.855 .713 .704 r
.55133 .40104 .55847 .4145 .57161 .39003 .56454 .37734 Metetra
.86 .722 .709 r
.56454 .37734 .57161 .39003 .58466 .36612 .57767 .35416 Metetra
.861 .731 .719 r
.57767 .35416 .58466 .36612 .59764 .34361 .59074 .33232 Metetra
.857 .74 .734 r
.59074 .33232 .59764 .34361 .61059 .32306 .60376 .31236 Metetra
.848 .748 .753 r
.60376 .31236 .61059 .32306 .62354 .3048 .61679 .29458 Metetra
.835 .755 .775 r
.61679 .29458 .62354 .3048 .63652 .28889 .62984 .27906 Metetra
.817 .76 .799 r
.62984 .27906 .63652 .28889 .64955 .27522 .64294 .2657 Metetra
.796 .763 .822 r
.64294 .2657 .64955 .27522 .66266 .26358 .65612 .25429 Metetra
.773 .763 .844 r
.65612 .25429 .66266 .26358 .67586 .25366 .66937 .24453 Metetra
.75 .761 .862 r
.66937 .24453 .67586 .25366 .68915 .24515 .68272 .23612 Metetra
.728 .758 .876 r
.68272 .23612 .68915 .24515 .70254 .23774 .69616 .22877 Metetra
.71 .754 .887 r
.69616 .22877 .70254 .23774 .71602 .23115 .7097 .22221 Metetra
.695 .751 .894 r
.7097 .22221 .71602 .23115 .72959 .22516 .72332 .21622 Metetra
.685 .748 .899 r
.72332 .21622 .72959 .22516 .74324 .21958 .73702 .21062 Metetra
.677 .746 .903 r
.73702 .21062 .74324 .21958 .75698 .21427 .75081 .20529 Metetra
.672 .744 .905 r
.75081 .20529 .75698 .21427 .7708 .20913 .76467 .20012 Metetra
.668 .743 .906 r
.76467 .20012 .7708 .20913 .78468 .20409 .77861 .19504 Metetra
.666 .742 .907 r
.77861 .19504 .78468 .20409 .79865 .1991 .79262 .19002 Metetra
.665 .742 .907 r
.79262 .19002 .79865 .1991 .81268 .19413 .8067 .18501 Metetra
.662 .741 .909 r
.18083 .39494 .18871 .40228 .2 .39836 .19214 .39099 Metetra
.661 .74 .909 r
.19214 .39099 .2 .39836 .21133 .39447 .2035 .38706 Metetra
.658 .74 .91 r
.2035 .38706 .21133 .39447 .2227 .39063 .2149 .38318 Metetra
.655 .739 .911 r
.2149 .38318 .2227 .39063 .23411 .38689 .22635 .37939 Metetra
.649 .737 .914 r
.22635 .37939 .23411 .38689 .24556 .38332 .23783 .37576 Metetra
.639 .733 .917 r
.23783 .37576 .24556 .38332 .25704 .38 .24934 .37238 Metetra
.625 .728 .921 r
.24934 .37238 .25704 .38 .26855 .37707 .26087 .36936 Metetra
.603 .719 .927 r
.26087 .36936 .26855 .37707 .28007 .3747 .27243 .36689 Metetra
.57 .705 .933 r
.27243 .36689 .28007 .3747 .2916 .37311 .28398 .36515 Metetra
.522 .683 .94 r
.28398 .36515 .2916 .37311 .30312 .37257 .29554 .36442 Metetra
.451 .647 .942 r
.29554 .36442 .30312 .37257 .31463 .37336 .30709 .36495 Metetra
.353 .591 .935 r
.30709 .36495 .31463 .37336 .32613 .37579 .31862 .36706 Metetra
.223 .509 .909 r
.31862 .36706 .32613 .37579 .33762 .38014 .33013 .371 Metetra
.071 .403 .857 r
.33013 .371 .33762 .38014 .3491 .38665 .34165 .37698 Metetra
0 .284 .784 r
.34165 .37698 .3491 .38665 .3606 .39541 .35318 .38512 Metetra
0 .176 .706 r
.35318 .38512 .3606 .39541 .37216 .40636 .36475 .39535 Metetra
0 .097 .646 r
.36475 .39535 .37216 .40636 .38379 .41923 .37641 .4074 Metetra
0 .059 .618 r
.37641 .4074 .38379 .41923 .39557 .43348 .38819 .42075 Metetra
0 .066 .627 r
.38819 .42075 .39557 .43348 .40751 .44832 .40015 .43465 Metetra
0 .12 .671 r
.40015 .43465 .40751 .44832 .41968 .46271 .41232 .44812 Metetra
0 .214 .732 r
.41232 .44812 .41968 .46271 .4321 .47548 .42473 .46004 Metetra
.169 .331 .784 r
.42473 .46004 .4321 .47548 .44478 .4854 .43741 .46923 Metetra
.361 .44 .808 r
.43741 .46923 .44478 .4854 .45772 .49134 .45034 .47463 Metetra
.517 .524 .802 r
.45034 .47463 .45772 .49134 .47088 .49244 .4635 .47542 Metetra
.629 .582 .782 r
.4635 .47542 .47088 .49244 .48421 .48822 .47684 .47115 Metetra
.706 .62 .758 r
.47684 .47115 .48421 .48822 .49765 .47865 .49029 .46179 Metetra
.758 .646 .737 r
.49029 .46179 .49765 .47865 .51114 .46419 .5038 .44778 Metetra
.794 .665 .721 r
.5038 .44778 .51114 .46419 .52461 .44568 .51731 .4299 Metetra
.819 .68 .711 r
.51731 .4299 .52461 .44568 .53801 .42422 .53077 .40922 Metetra
.835 .693 .706 r
.53077 .40922 .53801 .42422 .55133 .40104 .54414 .38688 Metetra
.846 .704 .706 r
.54414 .38688 .55133 .40104 .56454 .37734 .55743 .36404 Metetra
.851 .714 .711 r
.55743 .36404 .56454 .37734 .57767 .35416 .57063 .34169 Metetra
.852 .724 .722 r
.57063 .34169 .57767 .35416 .59074 .33232 .58377 .3206 Metetra
.849 .734 .737 r
.58377 .3206 .59074 .33232 .60376 .31236 .59688 .3013 Metetra
.841 .743 .756 r
.59688 .3013 .60376 .31236 .61679 .29458 .60998 .28408 Metetra
.828 .75 .778 r
.60998 .28408 .61679 .29458 .62984 .27906 .6231 .26901 Metetra
.811 .756 .801 r
.6231 .26901 .62984 .27906 .64294 .2657 .63627 .256 Metetra
.791 .759 .824 r
.63627 .256 .64294 .2657 .65612 .25429 .64951 .24484 Metetra
.768 .76 .845 r
.64951 .24484 .65612 .25429 .66937 .24453 .66283 .23526 Metetra
.746 .759 .863 r
.66283 .23526 .66937 .24453 .68272 .23612 .67624 .22697 Metetra
.725 .756 .877 r
.67624 .22697 .68272 .23612 .69616 .22877 .68973 .21969 Metetra
.708 .753 .887 r
.68973 .21969 .69616 .22877 .7097 .22221 .70332 .21317 Metetra
.694 .75 .894 r
.70332 .21317 .7097 .22221 .72332 .21622 .71699 .20719 Metetra
.684 .747 .899 r
.71699 .20719 .72332 .21622 .73702 .21062 .73075 .20159 Metetra
.676 .745 .903 r
.73075 .20159 .73702 .21062 .75081 .20529 .74458 .19623 Metetra
.671 .744 .905 r
.74458 .19623 .75081 .20529 .76467 .20012 .75849 .19103 Metetra
.668 .743 .906 r
.75849 .19103 .76467 .20012 .77861 .19504 .77248 .18592 Metetra
.666 .742 .907 r
.77248 .18592 .77861 .19504 .79262 .19002 .78654 .18085 Metetra
.665 .742 .907 r
.78654 .18085 .79262 .19002 .8067 .18501 .80067 .1758 Metetra
.662 .741 .909 r
.17288 .38753 .18083 .39494 .19214 .39099 .18422 .38355 Metetra
.661 .74 .909 r
.18422 .38355 .19214 .39099 .2035 .38706 .19561 .37958 Metetra
.659 .74 .91 r
.19561 .37958 .2035 .38706 .2149 .38318 .20704 .37566 Metetra
.655 .739 .911 r
.20704 .37566 .2149 .38318 .22635 .37939 .21852 .37183 Metetra
.649 .737 .913 r
.21852 .37183 .22635 .37939 .23783 .37576 .23003 .36814 Metetra
.641 .734 .916 r
.23003 .36814 .23783 .37576 .24934 .37238 .24157 .36469 Metetra
.627 .728 .92 r
.24157 .36469 .24934 .37238 .26087 .36936 .25314 .36159 Metetra
.606 .72 .925 r
.25314 .36159 .26087 .36936 .27243 .36689 .26472 .35899 Metetra
.576 .707 .932 r
.26472 .35899 .27243 .36689 .28398 .36515 .27632 .3571 Metetra
.531 .686 .938 r
.27632 .3571 .28398 .36515 .29554 .36442 .28791 .35616 Metetra
.467 .653 .941 r
.28791 .35616 .29554 .36442 .30709 .36495 .29949 .35642 Metetra
.378 .602 .935 r
.29949 .35642 .30709 .36495 .31862 .36706 .31105 .35817 Metetra
.262 .529 .915 r
.31105 .35817 .31862 .36706 .33013 .371 .3226 .36166 Metetra
.125 .434 .873 r
.3226 .36166 .33013 .371 .34165 .37698 .33415 .36708 Metetra
0 .327 .812 r
.33415 .36708 .34165 .37698 .35318 .38512 .34571 .37455 Metetra
0 .227 .746 r
.34571 .37455 .35318 .38512 .36475 .39535 .35731 .38398 Metetra
0 .154 .694 r
.35731 .38398 .36475 .39535 .37641 .4074 .36899 .39513 Metetra
0 .118 .668 r
.36899 .39513 .37641 .4074 .38819 .42075 .38079 .40751 Metetra
0 .124 .674 r
.38079 .40751 .38819 .42075 .40015 .43465 .39276 .4204 Metetra
0 .173 .707 r
.39276 .4204 .40015 .43465 .41232 .44812 .40494 .43287 Metetra
.051 .256 .752 r
.40494 .43287 .41232 .44812 .42473 .46004 .41735 .44386 Metetra
.224 .355 .787 r
.41735 .44386 .42473 .46004 .43741 .46923 .43003 .45226 Metetra
.39 .447 .799 r
.43003 .45226 .43741 .46923 .45034 .47463 .44295 .45708 Metetra
.526 .52 .792 r
.44295 .45708 .45034 .47463 .4635 .47542 .45611 .45754 Metetra
.627 .572 .773 r
.45611 .45754 .4635 .47542 .47684 .47115 .46945 .45322 Metetra
.698 .609 .753 r
.46945 .45322 .47684 .47115 .49029 .46179 .48291 .4441 Metetra
.748 .635 .735 r
.48291 .4441 .49029 .46179 .5038 .44778 .49645 .43057 Metetra
.783 .655 .721 r
.49645 .43057 .5038 .44778 .51731 .4299 .50998 .41339 Metetra
.808 .67 .712 r
.50998 .41339 .51731 .4299 .53077 .40922 .52348 .39354 Metetra
.825 .684 .708 r
.52348 .39354 .53077 .40922 .54414 .38688 .53692 .37213 Metetra
.836 .696 .709 r
.53692 .37213 .54414 .38688 .55743 .36404 .55027 .35023 Metetra
.842 .707 .714 r
.55027 .35023 .55743 .36404 .57063 .34169 .56354 .32878 Metetra
.844 .718 .725 r
.56354 .32878 .57063 .34169 .58377 .3206 .57676 .30852 Metetra
.841 .729 .74 r
.57676 .30852 .58377 .3206 .59688 .3013 .58994 .28994 Metetra
.833 .738 .759 r
.58994 .28994 .59688 .3013 .60998 .28408 .60311 .27333 Metetra
.821 .746 .781 r
.60311 .27333 .60998 .28408 .6231 .26901 .61631 .25875 Metetra
.805 .752 .804 r
.61631 .25875 .6231 .26901 .63627 .256 .62955 .24612 Metetra
.785 .756 .827 r
.62955 .24612 .63627 .256 .64951 .24484 .64285 .23525 Metetra
.764 .757 .847 r
.64285 .23525 .64951 .24484 .66283 .23526 .65623 .22587 Metetra
.742 .756 .864 r
.65623 .22587 .66283 .23526 .67624 .22697 .6697 .21772 Metetra
.722 .754 .878 r
.6697 .21772 .67624 .22697 .68973 .21969 .68325 .21052 Metetra
.706 .751 .888 r
.68325 .21052 .68973 .21969 .70332 .21317 .69688 .20404 Metetra
.692 .749 .895 r
.69688 .20404 .70332 .21317 .71699 .20719 .71061 .19808 Metetra
.683 .747 .9 r
.71061 .19808 .71699 .20719 .73075 .20159 .72441 .19246 Metetra
.676 .745 .903 r
.72441 .19246 .73075 .20159 .74458 .19623 .7383 .18709 Metetra
.671 .744 .905 r
.7383 .18709 .74458 .19623 .75849 .19103 .75226 .18185 Metetra
.668 .743 .906 r
.75226 .18185 .75849 .19103 .77248 .18592 .76629 .1767 Metetra
.666 .742 .907 r
.76629 .1767 .77248 .18592 .78654 .18085 .7804 .1716 Metetra
.665 .742 .907 r
.7804 .1716 .78654 .18085 .80067 .1758 .79458 .1665 Metetra
.662 .741 .908 r
.16487 .38007 .17288 .38753 .18422 .38355 .17624 .37605 Metetra
.661 .74 .909 r
.17624 .37605 .18422 .38355 .19561 .37958 .18766 .37204 Metetra
.659 .74 .91 r
.18766 .37204 .19561 .37958 .20704 .37566 .19912 .36808 Metetra
.656 .739 .911 r
.19912 .36808 .20704 .37566 .21852 .37183 .21062 .3642 Metetra
.65 .737 .913 r
.21062 .3642 .21852 .37183 .23003 .36814 .22216 .36046 Metetra
.642 .734 .915 r
.22216 .36046 .23003 .36814 .24157 .36469 .23374 .35693 Metetra
.629 .729 .919 r
.23374 .35693 .24157 .36469 .25314 .36159 .24534 .35374 Metetra
.61 .721 .924 r
.24534 .35374 .25314 .36159 .26472 .35899 .25696 .35102 Metetra
.582 .709 .93 r
.25696 .35102 .26472 .35899 .27632 .3571 .26859 .34896 Metetra
.541 .689 .935 r
.26859 .34896 .27632 .3571 .28791 .35616 .28021 .3478 Metetra
.483 .659 .939 r
.28021 .3478 .28791 .35616 .29949 .35642 .29183 .34777 Metetra
.403 .613 .935 r
.29183 .34777 .29949 .35642 .31105 .35817 .30343 .34914 Metetra
.3 .548 .92 r
.30343 .34914 .31105 .35817 .3226 .36166 .31502 .35215 Metetra
.178 .464 .886 r
.31502 .35215 .3226 .36166 .33415 .36708 .32661 .35698 Metetra
.054 .368 .837 r
.32661 .35698 .33415 .36708 .34571 .37455 .33821 .36372 Metetra
0 .278 .781 r
.33821 .36372 .34571 .37455 .35731 .38398 .34984 .37232 Metetra
0 .21 .736 r
.34984 .37232 .35731 .38398 .36899 .39513 .36155 .38252 Metetra
0 .176 .712 r
.36155 .38252 .36899 .39513 .38079 .40751 .37337 .39387 Metetra
0 .18 .714 r
.37337 .39387 .38079 .40751 .39276 .4204 .38536 .40568 Metetra
0 .223 .736 r
.38536 .40568 .39276 .4204 .40494 .43287 .39754 .41709 Metetra
.12 .293 .766 r
.39754 .41709 .40494 .43287 .41735 .44386 .40996 .4271 Metetra
.271 .376 .788 r
.40996 .4271 .41735 .44386 .43003 .45226 .42264 .43467 Metetra
.415 .454 .793 r
.42264 .43467 .43003 .45226 .44295 .45708 .43556 .43888 Metetra
.534 .517 .784 r
.43556 .43888 .44295 .45708 .45611 .45754 .44871 .43899 Metetra
.625 .565 .767 r
.44871 .43899 .45611 .45754 .46945 .45322 .46205 .43461 Metetra
.691 .599 .749 r
.46205 .43461 .46945 .45322 .48291 .4441 .47552 .42574 Metetra
.739 .625 .733 r
.47552 .42574 .48291 .4441 .49645 .43057 .48907 .41273 Metetra
.773 .646 .721 r
.48907 .41273 .49645 .43057 .50998 .41339 .50263 .39628 Metetra
.798 .662 .713 r
.50263 .39628 .50998 .41339 .52348 .39354 .51617 .37733 Metetra
.815 .676 .71 r
.51617 .37733 .52348 .39354 .53692 .37213 .52965 .3569 Metetra
.827 .689 .712 r
.52965 .3569 .53692 .37213 .55027 .35023 .54306 .336 Metetra
.833 .701 .718 r
.54306 .336 .55027 .35023 .56354 .32878 .5564 .31551 Metetra
.835 .713 .729 r
.5564 .31551 .56354 .32878 .57676 .30852 .56969 .29613 Metetra
.832 .724 .745 r
.56969 .29613 .57676 .30852 .58994 .28994 .58294 .27832 Metetra
.825 .734 .763 r
.58294 .27832 .58994 .28994 .60311 .27333 .59619 .26236 Metetra
.814 .742 .785 r
.59619 .26236 .60311 .27333 .61631 .25875 .60946 .24831 Metetra
.798 .749 .807 r
.60946 .24831 .61631 .25875 .62955 .24612 .62276 .23609 Metetra
.779 .753 .829 r
.62276 .23609 .62955 .24612 .64285 .23525 .63613 .22553 Metetra
.758 .754 .849 r
.63613 .22553 .64285 .23525 .65623 .22587 .64957 .21637 Metetra
.738 .754 .866 r
.64957 .21637 .65623 .22587 .6697 .21772 .6631 .20836 Metetra
.719 .752 .879 r
.6631 .20836 .6697 .21772 .68325 .21052 .6767 .20126 Metetra
.703 .75 .888 r
.6767 .20126 .68325 .21052 .69688 .20404 .69039 .19482 Metetra
.691 .748 .895 r
.69039 .19482 .69688 .20404 .71061 .19808 .70417 .18887 Metetra
.681 .746 .9 r
.70417 .18887 .71061 .19808 .72441 .19246 .71802 .18326 Metetra
.675 .744 .903 r
.71802 .18326 .72441 .19246 .7383 .18709 .73195 .17786 Metetra
.671 .743 .905 r
.73195 .17786 .7383 .18709 .75226 .18185 .74596 .1726 Metetra
.668 .743 .906 r
.74596 .1726 .75226 .18185 .76629 .1767 .76005 .16741 Metetra
.666 .742 .907 r
.76005 .16741 .76629 .1767 .7804 .1716 .77421 .16226 Metetra
.665 .742 .907 r
.77421 .16226 .7804 .1716 .79458 .1665 .78844 .15712 Metetra
.662 .741 .908 r
.15679 .37254 .16487 .38007 .17624 .37605 .16819 .36849 Metetra
.661 .741 .909 r
.16819 .36849 .17624 .37605 .18766 .37204 .17964 .36444 Metetra
.659 .74 .91 r
.17964 .36444 .18766 .37204 .19912 .36808 .19113 .36044 Metetra
.656 .739 .911 r
.19113 .36044 .19912 .36808 .21062 .3642 .20266 .35651 Metetra
.651 .737 .912 r
.20266 .35651 .21062 .3642 .22216 .36046 .21424 .35271 Metetra
.643 .734 .915 r
.21424 .35271 .22216 .36046 .23374 .35693 .22584 .34911 Metetra
.632 .73 .918 r
.22584 .34911 .23374 .35693 .24534 .35374 .23748 .34581 Metetra
.614 .722 .923 r
.23748 .34581 .24534 .35374 .25696 .35102 .24913 .34297 Metetra
.588 .711 .928 r
.24913 .34297 .25696 .35102 .26859 .34896 .26079 .34074 Metetra
.551 .693 .933 r
.26079 .34074 .26859 .34896 .28021 .3478 .27246 .33935 Metetra
.499 .665 .937 r
.27246 .33935 .28021 .3478 .29183 .34777 .28411 .33902 Metetra
.427 .624 .935 r
.28411 .33902 .29183 .34777 .30343 .34914 .29576 .33999 Metetra
.336 .567 .923 r
.29576 .33999 .30343 .34914 .31502 .35215 .30739 .3425 Metetra
.229 .492 .897 r
.30739 .3425 .31502 .35215 .32661 .35698 .31902 .34671 Metetra
.118 .407 .857 r
.31902 .34671 .32661 .35698 .33821 .36372 .33066 .3527 Metetra
.024 .326 .811 r
.33066 .3527 .33821 .36372 .34984 .37232 .34233 .36042 Metetra
0 .264 .771 r
.34233 .36042 .34984 .37232 .36155 .38252 .35407 .36963 Metetra
0 .231 .748 r
.35407 .36963 .36155 .38252 .37337 .39387 .36593 .3799 Metetra
0 .233 .746 r
.36593 .3799 .37337 .39387 .38536 .40568 .37793 .3906 Metetra
.063 .268 .759 r
.37793 .3906 .38536 .40568 .39754 .41709 .39014 .40091 Metetra
.18 .327 .777 r
.39014 .40091 .39754 .41709 .40996 .4271 .40256 .4099 Metetra
.311 .396 .788 r
.40256 .4099 .40996 .4271 .42264 .43467 .41524 .41661 Metetra
.436 .462 .788 r
.41524 .41661 .42264 .43467 .43556 .43888 .42816 .42018 Metetra
.541 .517 .778 r
.42816 .42018 .43556 .43888 .44871 .43899 .4413 .41994 Metetra
.623 .56 .762 r
.4413 .41994 .44871 .43899 .46205 .43461 .45464 .41551 Metetra
.685 .592 .746 r
.45464 .41551 .46205 .43461 .47552 .42574 .46811 .40689 Metetra
.731 .618 .732 r
.46811 .40689 .47552 .42574 .48907 .41273 .48167 .39441 Metetra
.764 .638 .722 r
.48167 .39441 .48907 .41273 .50263 .39628 .49526 .37874 Metetra
.788 .655 .715 r
.49526 .37874 .50263 .39628 .51617 .37733 .50883 .36071 Metetra
.806 .67 .713 r
.50883 .36071 .51617 .37733 .52965 .3569 .52236 .3413 Metetra
.818 .683 .716 r
.52236 .3413 .52965 .3569 .54306 .336 .53582 .32144 Metetra
.824 .696 .723 r
.53582 .32144 .54306 .336 .5564 .31551 .54922 .30195 Metetra
.827 .708 .734 r
.54922 .30195 .5564 .31551 .56969 .29613 .56258 .28349 Metetra
.824 .72 .749 r
.56258 .28349 .56969 .29613 .58294 .27832 .5759 .26649 Metetra
.817 .73 .768 r
.5759 .26649 .58294 .27832 .59619 .26236 .58921 .25121 Metetra
.806 .739 .789 r
.58921 .25121 .59619 .26236 .60946 .24831 .60255 .23772 Metetra
.791 .746 .811 r
.60255 .23772 .60946 .24831 .62276 .23609 .61592 .22593 Metetra
.773 .75 .832 r
.61592 .22593 .62276 .23609 .63613 .22553 .62936 .21568 Metetra
.753 .752 .851 r
.62936 .21568 .63613 .22553 .64957 .21637 .64286 .20676 Metetra
.733 .752 .867 r
.64286 .20676 .64957 .21637 .6631 .20836 .65644 .19891 Metetra
.716 .751 .88 r
.65644 .19891 .6631 .20836 .6767 .20126 .6701 .1919 Metetra
.701 .749 .889 r
.6701 .1919 .6767 .20126 .69039 .19482 .68384 .18551 Metetra
.689 .747 .896 r
.68384 .18551 .69039 .19482 .70417 .18887 .69767 .17958 Metetra
.68 .745 .9 r
.69767 .17958 .70417 .18887 .71802 .18326 .71157 .17396 Metetra
.674 .744 .903 r
.71157 .17396 .71802 .18326 .73195 .17786 .72555 .16854 Metetra
.67 .743 .905 r
.72555 .16854 .73195 .17786 .74596 .1726 .73961 .16325 Metetra
.667 .742 .906 r
.73961 .16325 .74596 .1726 .76005 .16741 .75375 .15803 Metetra
.666 .742 .907 r
.75375 .15803 .76005 .16741 .77421 .16226 .76796 .15284 Metetra
.665 .742 .907 r
.76796 .15284 .77421 .16226 .78844 .15712 .78224 .14766 Metetra
.662 .741 .908 r
.14865 .36496 .15679 .37254 .16819 .36849 .16008 .36086 Metetra
.661 .741 .909 r
.16008 .36086 .16819 .36849 .17964 .36444 .17155 .35678 Metetra
.659 .74 .909 r
.17155 .35678 .17964 .36444 .19113 .36044 .18307 .35273 Metetra
.657 .739 .91 r
.18307 .35273 .19113 .36044 .20266 .35651 .19464 .34875 Metetra
.652 .737 .912 r
.19464 .34875 .20266 .35651 .21424 .35271 .20624 .34489 Metetra
.645 .735 .914 r
.20624 .34489 .21424 .35271 .22584 .34911 .21788 .34121 Metetra
.634 .73 .917 r
.21788 .34121 .22584 .34911 .23748 .34581 .22955 .33782 Metetra
.618 .723 .921 r
.22955 .33782 .23748 .34581 .24913 .34297 .24124 .33484 Metetra
.594 .713 .926 r
.24124 .33484 .24913 .34297 .26079 .34074 .25294 .33244 Metetra
.561 .696 .931 r
.25294 .33244 .26079 .34074 .27246 .33935 .26464 .33081 Metetra
.514 .671 .935 r
.26464 .33081 .27246 .33935 .28411 .33902 .27634 .33017 Metetra
.451 .635 .934 r
.27634 .33017 .28411 .33902 .29576 .33999 .28803 .33074 Metetra
.37 .584 .925 r
.28803 .33074 .29576 .33999 .30739 .3425 .29971 .33273 Metetra
.276 .518 .905 r
.29971 .33273 .30739 .3425 .31902 .34671 .31138 .3363 Metetra
.179 .444 .873 r
.31138 .3363 .31902 .34671 .33066 .3527 .32306 .34153 Metetra
.096 .371 .835 r
.32306 .34153 .33066 .3527 .34233 .36042 .33478 .34835 Metetra
.041 .314 .801 r
.33478 .34835 .34233 .36042 .35407 .36963 .34656 .35654 Metetra
.028 .283 .779 r
.34656 .35654 .35407 .36963 .36593 .3799 .35845 .36572 Metetra
.059 .282 .772 r
.35845 .36572 .36593 .3799 .37793 .3906 .37049 .37527 Metetra
.131 .309 .777 r
.37049 .37527 .37793 .3906 .39014 .40091 .38271 .38446 Metetra
.233 .357 .786 r
.38271 .38446 .39014 .40091 .40256 .4099 .39515 .39241 Metetra
.346 .414 .789 r
.39515 .39241 .40256 .4099 .41524 .41661 .40783 .39825 Metetra
.455 .47 .785 r
.40783 .39825 .41524 .41661 .42816 .42018 .42075 .40117 Metetra
.548 .518 .774 r
.42075 .40117 .42816 .42018 .4413 .41994 .43389 .40056 Metetra
.623 .557 .759 r
.43389 .40056 .4413 .41994 .45464 .41551 .44722 .39608 Metetra
.68 .587 .745 r
.44722 .39608 .45464 .41551 .46811 .40689 .4607 .38772 Metetra
.723 .612 .733 r
.4607 .38772 .46811 .40689 .48167 .39441 .47426 .37579 Metetra
.756 .632 .724 r
.47426 .37579 .48167 .39441 .49526 .37874 .48787 .36089 Metetra
.78 .649 .718 r
.48787 .36089 .49526 .37874 .50883 .36071 .50146 .34382 Metetra
.797 .664 .717 r
.50146 .34382 .50883 .36071 .52236 .3413 .51503 .32545 Metetra
.809 .678 .72 r
.51503 .32545 .52236 .3413 .53582 .32144 .52854 .30665 Metetra
.816 .692 .728 r
.52854 .30665 .53582 .32144 .54922 .30195 .542 .28819 Metetra
.818 .704 .739 r
.542 .28819 .54922 .30195 .56258 .28349 .55541 .27067 Metetra
.816 .716 .755 r
.55541 .27067 .56258 .28349 .5759 .26649 .5688 .2545 Metetra
.809 .727 .773 r
.5688 .2545 .5759 .26649 .58921 .25121 .58219 .23992 Metetra
.798 .736 .794 r
.58219 .23992 .58921 .25121 .60255 .23772 .59559 .22699 Metetra
.784 .743 .815 r
.59559 .22699 .60255 .23772 .61592 .22593 .60903 .21565 Metetra
.766 .747 .836 r
.60903 .21565 .61592 .22593 .62936 .21568 .62252 .20574 Metetra
.747 .75 .854 r
.62252 .20574 .62936 .21568 .64286 .20676 .63608 .19705 Metetra
.729 .75 .869 r
.63608 .19705 .64286 .20676 .65644 .19891 .64972 .18936 Metetra
.712 .749 .881 r
.64972 .18936 .65644 .19891 .6701 .1919 .66344 .18245 Metetra
.698 .748 .89 r
.66344 .18245 .6701 .1919 .68384 .18551 .67723 .17612 Metetra
.687 .746 .896 r
.67723 .17612 .68384 .18551 .69767 .17958 .69111 .17021 Metetra
.679 .745 .901 r
.69111 .17021 .69767 .17958 .71157 .17396 .70506 .16458 Metetra
.673 .744 .903 r
.70506 .16458 .71157 .17396 .72555 .16854 .7191 .15915 Metetra
.67 .743 .905 r
.7191 .15915 .72555 .16854 .73961 .16325 .73321 .15382 Metetra
.667 .742 .906 r
.73321 .15382 .73961 .16325 .75375 .15803 .74739 .14856 Metetra
.666 .742 .907 r
.74739 .14856 .75375 .15803 .76796 .15284 .76165 .14333 Metetra
.665 .742 .907 r
.76165 .14333 .76796 .15284 .78224 .14766 .77598 .13811 Metetra
.662 .741 .908 r
.14044 .35731 .14865 .36496 .16008 .36086 .15189 .35318 Metetra
.661 .741 .909 r
.15189 .35318 .16008 .36086 .17155 .35678 .1634 .34906 Metetra
.66 .74 .909 r
.1634 .34906 .17155 .35678 .18307 .35273 .17495 .34496 Metetra
.657 .739 .91 r
.17495 .34496 .18307 .35273 .19464 .34875 .18654 .34093 Metetra
.653 .738 .912 r
.18654 .34093 .19464 .34875 .20624 .34489 .19818 .33701 Metetra
.646 .735 .914 r
.19818 .33701 .20624 .34489 .21788 .34121 .20985 .33325 Metetra
.636 .731 .916 r
.20985 .33325 .21788 .34121 .22955 .33782 .22156 .32976 Metetra
.622 .725 .92 r
.22156 .32976 .22955 .33782 .24124 .33484 .23328 .32665 Metetra
.6 .715 .925 r
.23328 .32665 .24124 .33484 .25294 .33244 .24502 .32407 Metetra
.57 .7 .929 r
.24502 .32407 .25294 .33244 .26464 .33081 .25677 .3222 Metetra
.528 .677 .933 r
.25677 .3222 .26464 .33081 .27634 .33017 .26851 .32125 Metetra
.473 .645 .933 r
.26851 .32125 .27634 .33017 .28803 .33074 .28024 .32141 Metetra
.402 .6 .926 r
.28024 .32141 .28803 .33074 .29971 .33273 .29196 .32288 Metetra
.321 .543 .911 r
.29196 .32288 .29971 .33273 .31138 .3363 .30369 .3258 Metetra
.236 .478 .885 r
.30369 .3258 .31138 .3363 .32306 .34153 .31542 .33025 Metetra
.163 .413 .854 r
.31542 .33025 .32306 .34153 .33478 .34835 .32718 .33616 Metetra
.114 .361 .824 r
.32718 .33616 .33478 .34835 .34656 .35654 .33901 .34333 Metetra
.102 .331 .803 r
.33901 .34333 .34656 .35654 .35845 .36572 .35094 .3514 Metetra
.129 .327 .793 r
.35094 .3514 .35845 .36572 .37049 .37527 .36301 .3598 Metetra
.191 .347 .791 r
.36301 .3598 .37049 .37527 .38271 .38446 .37526 .36786 Metetra
.279 .385 .793 r
.37526 .36786 .38271 .38446 .39515 .39241 .38772 .37477 Metetra
.377 .432 .791 r
.38772 .37477 .39515 .39241 .40783 .39825 .4004 .37973 Metetra
.472 .479 .784 r
.4004 .37973 .40783 .39825 .42075 .40117 .41332 .382 Metetra
.555 .52 .772 r
.41332 .382 .42075 .40117 .43389 .40056 .42646 .38102 Metetra
.622 .555 .758 r
.42646 .38102 .43389 .40056 .44722 .39608 .43979 .37649 Metetra
.675 .584 .745 r
.43979 .37649 .44722 .39608 .4607 .38772 .45326 .36839 Metetra
.716 .608 .734 r
.45326 .36839 .4607 .38772 .47426 .37579 .46683 .35701 Metetra
.748 .627 .726 r
.46683 .35701 .47426 .37579 .48787 .36089 .48045 .3429 Metetra
.771 .645 .722 r
.48045 .3429 .48787 .36089 .50146 .34382 .49407 .32678 Metetra
.788 .66 .722 r
.49407 .32678 .50146 .34382 .51503 .32545 .50767 .30945 Metetra
.8 .675 .726 r
.50767 .30945 .51503 .32545 .52854 .30665 .52122 .29173 Metetra
.807 .688 .733 r
.52122 .29173 .52854 .30665 .542 .28819 .53473 .2743 Metetra
.809 .701 .745 r
.53473 .2743 .542 .28819 .55541 .27067 .54821 .25772 Metetra
.808 .713 .761 r
.54821 .25772 .55541 .27067 .5688 .2545 .56166 .2424 Metetra
.801 .724 .779 r
.56166 .2424 .5688 .2545 .58219 .23992 .5751 .22852 Metetra
.791 .733 .799 r
.5751 .22852 .58219 .23992 .59559 .22699 .58857 .21617 Metetra
.776 .74 .82 r
.58857 .21617 .59559 .22699 .60903 .21565 .60207 .20527 Metetra
.76 .745 .84 r
.60207 .20527 .60903 .21565 .62252 .20574 .61563 .1957 Metetra
.742 .748 .857 r
.61563 .1957 .62252 .20574 .63608 .19705 .62925 .18725 Metetra
.724 .749 .871 r
.62925 .18725 .63608 .19705 .64972 .18936 .64294 .17972 Metetra
.709 .748 .883 r
.64294 .17972 .64972 .18936 .66344 .18245 .65671 .17291 Metetra
.696 .747 .891 r
.65671 .17291 .66344 .18245 .67723 .17612 .67056 .16663 Metetra
.685 .746 .897 r
.67056 .16663 .67723 .17612 .69111 .17021 .68449 .16074 Metetra
.678 .744 .901 r
.68449 .16074 .69111 .17021 .70506 .16458 .6985 .15512 Metetra
.673 .743 .904 r
.6985 .15512 .70506 .16458 .7191 .15915 .71258 .14966 Metetra
.669 .743 .905 r
.71258 .14966 .7191 .15915 .73321 .15382 .72674 .14431 Metetra
.667 .742 .906 r
.72674 .14431 .73321 .15382 .74739 .14856 .74097 .13901 Metetra
.665 .742 .907 r
.74097 .13901 .74739 .14856 .76165 .14333 .75528 .13373 Metetra
.665 .742 .907 r
.75528 .13373 .76165 .14333 .77598 .13811 .76966 .12846 Metetra
.662 .741 .908 r
.13216 .34959 .14044 .35731 .15189 .35318 .14364 .34543 Metetra
.662 .741 .909 r
.14364 .34543 .15189 .35318 .1634 .34906 .15518 .34126 Metetra
.66 .74 .909 r
.15518 .34126 .1634 .34906 .17495 .34496 .16676 .33713 Metetra
.658 .739 .91 r
.16676 .33713 .17495 .34496 .18654 .34093 .17839 .33305 Metetra
.654 .738 .911 r
.17839 .33305 .18654 .34093 .19818 .33701 .19005 .32906 Metetra
.648 .735 .913 r
.19005 .32906 .19818 .33701 .20985 .33325 .20176 .32523 Metetra
.639 .732 .916 r
.20176 .32523 .20985 .33325 .22156 .32976 .2135 .32164 Metetra
.625 .726 .919 r
.2135 .32164 .22156 .32976 .23328 .32665 .22526 .31839 Metetra
.606 .717 .923 r
.22526 .31839 .23328 .32665 .24502 .32407 .23704 .31563 Metetra
.579 .703 .927 r
.23704 .31563 .24502 .32407 .25677 .3222 .24882 .31353 Metetra
.542 .683 .93 r
.24882 .31353 .25677 .3222 .26851 .32125 .26061 .31225 Metetra
.493 .654 .931 r
.26061 .31225 .26851 .32125 .28024 .32141 .27239 .312 Metetra
.432 .615 .927 r
.27239 .312 .28024 .32141 .29196 .32288 .28417 .31295 Metetra
.361 .565 .915 r
.28417 .31295 .29196 .32288 .30369 .3258 .29594 .31523 Metetra
.288 .508 .895 r
.29594 .31523 .30369 .3258 .31542 .33025 .30772 .3189 Metetra
.224 .451 .869 r
.30772 .3189 .31542 .33025 .32718 .33616 .31954 .32391 Metetra
.181 .404 .843 r
.31954 .32391 .32718 .33616 .33901 .34333 .33142 .33006 Metetra
.17 .375 .822 r
.33142 .33006 .33901 .34333 .35094 .3514 .34339 .33703 Metetra
.192 .368 .81 r
.34339 .33703 .35094 .3514 .36301 .3598 .3555 .34429 Metetra
.245 .382 .803 r
.3555 .34429 .36301 .3598 .37526 .36786 .36778 .35122 Metetra
.32 .411 .799 r
.36778 .35122 .37526 .36786 .38772 .37477 .38026 .3571 Metetra
.405 .449 .793 r
.38026 .3571 .38772 .37477 .4004 .37973 .39296 .36119 Metetra
.488 .488 .784 r
.39296 .36119 .4004 .37973 .41332 .382 .40588 .36282 Metetra
.561 .524 .772 r
.40588 .36282 .41332 .382 .42646 .38102 .41902 .36148 Metetra
.622 .556 .759 r
.41902 .36148 .42646 .38102 .43979 .37649 .43234 .3569 Metetra
.672 .582 .747 r
.43234 .3569 .43979 .37649 .45326 .36839 .44581 .34905 Metetra
.71 .605 .737 r
.44581 .34905 .45326 .36839 .46683 .35701 .45938 .33821 Metetra
.74 .624 .73 r
.45938 .33821 .46683 .35701 .48045 .3429 .47301 .32488 Metetra
.763 .641 .727 r
.47301 .32488 .48045 .3429 .49407 .32678 .48665 .30969 Metetra
.78 .657 .727 r
.48665 .30969 .49407 .32678 .50767 .30945 .50027 .29341 Metetra
.792 .672 .732 r
.50027 .29341 .50767 .30945 .52122 .29173 .51387 .27674 Metetra
.799 .685 .74 r
.51387 .27674 .52122 .29173 .53473 .2743 .52743 .26034 Metetra
.801 .698 .752 r
.52743 .26034 .53473 .2743 .54821 .25772 .54095 .24471 Metetra
.799 .711 .767 r
.54095 .24471 .54821 .25772 .56166 .2424 .55446 .23021 Metetra
.793 .722 .785 r
.55446 .23021 .56166 .2424 .5751 .22852 .56797 .21704 Metetra
.783 .731 .805 r
.56797 .21704 .5751 .22852 .58857 .21617 .5815 .20526 Metetra
.769 .738 .825 r
.5815 .20526 .58857 .21617 .60207 .20527 .59506 .19482 Metetra
.753 .743 .843 r
.59506 .19482 .60207 .20527 .61563 .1957 .60868 .18557 Metetra
.736 .746 .86 r
.60868 .18557 .61563 .1957 .62925 .18725 .62236 .17736 Metetra
.72 .747 .874 r
.62236 .17736 .62925 .18725 .64294 .17972 .63611 .17 Metetra
.705 .747 .884 r
.63611 .17 .64294 .17972 .65671 .17291 .64993 .16329 Metetra
.693 .746 .892 r
.64993 .16329 .65671 .17291 .67056 .16663 .66383 .15707 Metetra
.684 .745 .898 r
.66383 .15707 .67056 .16663 .68449 .16074 .67781 .1512 Metetra
.677 .744 .901 r
.67781 .1512 .68449 .16074 .6985 .15512 .69187 .14556 Metetra
.672 .743 .904 r
.69187 .14556 .6985 .15512 .71258 .14966 .706 .14009 Metetra
.669 .742 .906 r
.706 .14009 .71258 .14966 .72674 .14431 .72021 .1347 Metetra
.667 .742 .907 r
.72021 .1347 .72674 .14431 .74097 .13901 .7345 .12936 Metetra
.665 .742 .907 r
.7345 .12936 .74097 .13901 .75528 .13373 .74886 .12405 Metetra
.665 .742 .907 r
.74886 .12405 .75528 .13373 .76966 .12846 .76329 .11873 Metetra
.663 .741 .908 r
.12381 .34182 .13216 .34959 .14364 .34543 .13532 .33761 Metetra
.662 .741 .909 r
.13532 .33761 .14364 .34543 .15518 .34126 .14689 .33341 Metetra
.66 .74 .909 r
.14689 .33341 .15518 .34126 .16676 .33713 .1585 .32923 Metetra
.658 .739 .91 r
.1585 .32923 .16676 .33713 .17839 .33305 .17016 .3251 Metetra
.655 .738 .911 r
.17016 .3251 .17839 .33305 .19005 .32906 .18186 .32105 Metetra
.649 .736 .913 r
.18186 .32105 .19005 .32906 .20176 .32523 .1936 .31714 Metetra
.641 .732 .915 r
.1936 .31714 .20176 .32523 .2135 .32164 .20537 .31345 Metetra
.629 .727 .918 r
.20537 .31345 .2135 .32164 .22526 .31839 .21717 .31007 Metetra
.612 .719 .921 r
.21717 .31007 .22526 .31839 .23704 .31563 .22899 .30713 Metetra
.588 .706 .925 r
.22899 .30713 .23704 .31563 .24882 .31353 .24082 .30479 Metetra
.555 .688 .928 r
.24082 .30479 .24882 .31353 .26061 .31225 .25265 .3032 Metetra
.512 .663 .929 r
.25265 .3032 .26061 .31225 .27239 .312 .26448 .30255 Metetra
.459 .629 .926 r
.26448 .30255 .27239 .312 .28417 .31295 .27631 .30298 Metetra
.398 .585 .917 r
.27631 .30298 .28417 .31295 .29594 .31523 .28813 .30462 Metetra
.335 .536 .901 r
.28813 .30462 .29594 .31523 .30772 .3189 .29998 .30753 Metetra
.28 .485 .88 r
.29998 .30753 .30772 .3189 .31954 .32391 .31185 .31164 Metetra
.242 .443 .857 r
.31185 .31164 .31954 .32391 .33142 .33006 .32378 .3168 Metetra
.231 .414 .838 r
.32378 .3168 .33142 .33006 .34339 .33703 .3358 .32268 Metetra
.249 .405 .823 r
.3358 .32268 .34339 .33703 .3555 .34429 .34795 .32882 Metetra
.294 .413 .813 r
.34795 .32882 .3555 .34429 .36778 .35122 .36026 .33466 Metetra
.357 .436 .805 r
.36026 .33466 .36778 .35122 .38026 .3571 .37277 .33953 Metetra
.43 .466 .796 r
.37277 .33953 .38026 .3571 .39296 .36119 .38548 .34276 Metetra
.502 .498 .785 r
.38548 .34276 .39296 .36119 .40588 .36282 .39841 .34376 Metetra
.567 .53 .773 r
.39841 .34376 .40588 .36282 .41902 .36148 .41155 .34207 Metetra
.623 .558 .76 r
.41155 .34207 .41902 .36148 .43234 .3569 .42487 .33743 Metetra
.668 .582 .749 r
.42487 .33743 .43234 .3569 .44581 .34905 .43834 .32984 Metetra
.705 .604 .74 r
.43834 .32984 .44581 .34905 .45938 .33821 .45191 .31953 Metetra
.734 .622 .735 r
.45191 .31953 .45938 .33821 .47301 .32488 .46554 .30694 Metetra
.756 .639 .732 r
.46554 .30694 .47301 .32488 .48665 .30969 .4792 .29268 Metetra
.772 .655 .733 r
.4792 .29268 .48665 .30969 .50027 .29341 .49285 .27741 Metetra
.783 .67 .738 r
.49285 .27741 .50027 .29341 .51387 .27674 .50648 .26178 Metetra
.79 .684 .747 r
.50648 .26178 .51387 .27674 .52743 .26034 .52008 .24638 Metetra
.793 .697 .759 r
.52008 .24638 .52743 .26034 .54095 .24471 .53365 .23168 Metetra
.791 .709 .774 r
.53365 .23168 .54095 .24471 .55446 .23021 .54722 .218 Metetra
.785 .72 .792 r
.54722 .218 .55446 .23021 .56797 .21704 .56078 .20552 Metetra
.775 .729 .811 r
.56078 .20552 .56797 .21704 .5815 .20526 .57437 .1943 Metetra
.762 .737 .83 r
.57437 .1943 .5815 .20526 .59506 .19482 .588 .18429 Metetra
.746 .742 .848 r
.588 .18429 .59506 .19482 .60868 .18557 .60167 .17538 Metetra
.73 .745 .863 r
.60167 .17538 .60868 .18557 .62236 .17736 .61541 .1674 Metetra
.715 .746 .876 r
.61541 .1674 .62236 .17736 .63611 .17 .62921 .1602 Metetra
.702 .746 .886 r
.62921 .1602 .63611 .17 .64993 .16329 .64309 .15358 Metetra
.691 .745 .893 r
.64309 .15358 .64993 .16329 .66383 .15707 .65704 .14741 Metetra
.682 .744 .898 r
.65704 .14741 .66383 .15707 .67781 .1512 .67107 .14156 Metetra
.676 .744 .902 r
.67107 .14156 .67781 .1512 .69187 .14556 .68518 .13592 Metetra
.671 .743 .904 r
.68518 .13592 .69187 .14556 .706 .14009 .69937 .13043 Metetra
.668 .742 .906 r
.69937 .13043 .706 .14009 .72021 .1347 .71363 .12501 Metetra
.666 .742 .907 r
.71363 .12501 .72021 .1347 .7345 .12936 .72796 .11963 Metetra
.665 .742 .907 r
.72796 .11963 .7345 .12936 .74886 .12405 .74237 .11427 Metetra
.664 .742 .908 r
.74237 .11427 .74886 .12405 .76329 .11873 .75686 .10891 Metetra
.663 .741 .908 r
.11539 .33398 .12381 .34182 .13532 .33761 .12693 .32973 Metetra
.662 .741 .908 r
.12693 .32973 .13532 .33761 .14689 .33341 .13853 .32549 Metetra
.661 .74 .909 r
.13853 .32549 .14689 .33341 .1585 .32923 .15017 .32126 Metetra
.659 .74 .91 r
.15017 .32126 .1585 .32923 .17016 .3251 .16186 .31708 Metetra
.656 .738 .911 r
.16186 .31708 .17016 .3251 .18186 .32105 .17359 .31297 Metetra
.651 .736 .912 r
.17359 .31297 .18186 .32105 .1936 .31714 .18537 .30898 Metetra
.643 .733 .914 r
.18537 .30898 .1936 .31714 .20537 .31345 .19718 .30519 Metetra
.633 .728 .917 r
.19718 .30519 .20537 .31345 .21717 .31007 .20901 .30168 Metetra
.617 .721 .92 r
.20901 .30168 .21717 .31007 .22899 .30713 .22087 .29857 Metetra
.596 .71 .923 r
.22087 .29857 .22899 .30713 .24082 .30479 .23274 .296 Metetra
.567 .694 .926 r
.23274 .296 .24082 .30479 .25265 .3032 .24462 .2941 Metetra
.53 .671 .927 r
.24462 .2941 .25265 .3032 .26448 .30255 .2565 .29305 Metetra
.484 .641 .925 r
.2565 .29305 .26448 .30255 .27631 .30298 .26838 .29298 Metetra
.432 .604 .918 r
.26838 .29298 .27631 .30298 .28813 .30462 .28027 .29401 Metetra
.378 .56 .906 r
.28027 .29401 .28813 .30462 .29998 .30753 .29217 .29616 Metetra
.33 .516 .888 r
.29217 .29616 .29998 .30753 .31185 .31164 .3041 .29941 Metetra
.297 .477 .868 r
.3041 .29941 .31185 .31164 .32378 .3168 .31609 .30359 Metetra
.285 .45 .85 r
.31609 .30359 .32378 .3168 .3358 .32268 .32816 .30842 Metetra
.3 .439 .834 r
.32816 .30842 .3358 .32268 .34795 .32882 .34036 .31348 Metetra
.337 .443 .822 r
.34036 .31348 .34795 .32882 .36026 .33466 .35271 .31825 Metetra
.391 .459 .811 r
.35271 .31825 .36026 .33466 .37277 .33953 .36524 .32214 Metetra
.453 .482 .799 r
.36524 .32214 .37277 .33953 .38548 .34276 .37798 .32456 Metetra
.516 .509 .788 r
.37798 .32456 .38548 .34276 .39841 .34376 .39092 .32495 Metetra
.574 .536 .775 r
.39092 .32495 .39841 .34376 .41155 .34207 .40406 .32291 Metetra
.624 .561 .763 r
.40406 .32291 .41155 .34207 .42487 .33743 .41737 .31822 Metetra
.666 .583 .753 r
.41737 .31822 .42487 .33743 .43834 .32984 .43084 .31087 Metetra
.7 .604 .745 r
.43084 .31087 .43834 .32984 .45191 .31953 .44441 .30106 Metetra
.727 .622 .74 r
.44441 .30106 .45191 .31953 .46554 .30694 .45804 .2892 Metetra
.749 .638 .738 r
.45804 .2892 .46554 .30694 .4792 .29268 .47171 .27582 Metetra
.764 .654 .74 r
.47171 .27582 .4792 .29268 .49285 .27741 .48538 .26153 Metetra
.775 .668 .745 r
.48538 .26153 .49285 .27741 .50648 .26178 .49904 .2469 Metetra
.782 .682 .754 r
.49904 .2469 .50648 .26178 .52008 .24638 .51268 .23247 Metetra
.784 .696 .766 r
.51268 .23247 .52008 .24638 .53365 .23168 .52631 .21867 Metetra
.782 .708 .782 r
.52631 .21867 .53365 .23168 .54722 .218 .53992 .20578 Metetra
.776 .719 .799 r
.53992 .20578 .54722 .218 .56078 .20552 .55354 .19397 Metetra
.767 .728 .817 r
.55354 .19397 .56078 .20552 .57437 .1943 .56719 .1833 Metetra
.754 .735 .835 r
.56719 .1833 .57437 .1943 .588 .18429 .58087 .17372 Metetra
.74 .74 .852 r
.58087 .17372 .588 .18429 .60167 .17538 .5946 .16512 Metetra
.725 .743 .866 r
.5946 .16512 .60167 .17538 .61541 .1674 .60839 .15738 Metetra
.711 .745 .878 r
.60839 .15738 .61541 .1674 .62921 .1602 .62225 .15032 Metetra
.698 .745 .887 r
.62225 .15032 .62921 .1602 .64309 .15358 .63618 .1438 Metetra
.688 .744 .894 r
.63618 .1438 .64309 .15358 .65704 .14741 .65019 .13768 Metetra
.68 .744 .899 r
.65019 .13768 .65704 .14741 .67107 .14156 .66427 .13184 Metetra
.674 .743 .902 r
.66427 .13184 .67107 .14156 .68518 .13592 .67843 .1262 Metetra
.67 .743 .904 r
.67843 .1262 .68518 .13592 .69937 .13043 .69267 .12068 Metetra
.668 .742 .906 r
.69267 .12068 .69937 .13043 .71363 .12501 .70698 .11522 Metetra
.666 .742 .907 r
.70698 .11522 .71363 .12501 .72796 .11963 .72137 .10981 Metetra
.665 .742 .907 r
.72137 .10981 .72796 .11963 .74237 .11427 .73583 .1044 Metetra
.664 .741 .908 r
.73583 .1044 .74237 .11427 .75686 .10891 .75036 .099 Metetra
.663 .741 .908 r
.1069 .32607 .11539 .33398 .12693 .32973 .11847 .32178 Metetra
.662 .741 .908 r
.11847 .32178 .12693 .32973 .13853 .32549 .1301 .3175 Metetra
.661 .74 .909 r
.1301 .3175 .13853 .32549 .15017 .32126 .14177 .31323 Metetra
.659 .74 .909 r
.14177 .31323 .15017 .32126 .16186 .31708 .15349 .30899 Metetra
.656 .739 .91 r
.15349 .30899 .16186 .31708 .17359 .31297 .16526 .30482 Metetra
.652 .737 .912 r
.16526 .30482 .17359 .31297 .18537 .30898 .17707 .30076 Metetra
.645 .734 .913 r
.17707 .30076 .18537 .30898 .19718 .30519 .18891 .29687 Metetra
.636 .729 .916 r
.18891 .29687 .19718 .30519 .20901 .30168 .20079 .29324 Metetra
.622 .723 .918 r
.20079 .29324 .20901 .30168 .22087 .29857 .21269 .28996 Metetra
.603 .713 .921 r
.21269 .28996 .22087 .29857 .23274 .296 .2246 .28715 Metetra
.578 .699 .924 r
.2246 .28715 .23274 .296 .24462 .2941 .23653 .28496 Metetra
.546 .679 .925 r
.23653 .28496 .24462 .2941 .2565 .29305 .24846 .28353 Metetra
.507 .653 .924 r
.24846 .28353 .2565 .29305 .26838 .29298 .26039 .28297 Metetra
.462 .62 .919 r
.26039 .28297 .26838 .29298 .28027 .29401 .27234 .2834 Metetra
.416 .582 .909 r
.27234 .2834 .28027 .29401 .29217 .29616 .2843 .28484 Metetra
.374 .543 .894 r
.2843 .28484 .29217 .29616 .3041 .29941 .29629 .28725 Metetra
.345 .509 .877 r
.29629 .28725 .3041 .29941 .31609 .30359 .30834 .2905 Metetra
.334 .483 .859 r
.30834 .2905 .31609 .30359 .32816 .30842 .32047 .29431 Metetra
.345 .47 .843 r
.32047 .29431 .32816 .30842 .34036 .31348 .33272 .29833 Metetra
.375 .47 .829 r
.33272 .29833 .34036 .31348 .35271 .31825 .34511 .30208 Metetra
.42 .481 .816 r
.34511 .30208 .35271 .31825 .36524 .32214 .35767 .30504 Metetra
.474 .499 .804 r
.35767 .30504 .36524 .32214 .37798 .32456 .37043 .30666 Metetra
.528 .521 .791 r
.37043 .30666 .37798 .32456 .39092 .32495 .38338 .30647 Metetra
.58 .544 .779 r
.38338 .30647 .39092 .32495 .40406 .32291 .39653 .30411 Metetra
.625 .566 .767 r
.39653 .30411 .40406 .32291 .41737 .31822 .40984 .29937 Metetra
.664 .586 .758 r
.40984 .29937 .41737 .31822 .43084 .31087 .4233 .29223 Metetra
.696 .605 .751 r
.4233 .29223 .43084 .31087 .44441 .30106 .43687 .28291 Metetra
.722 .622 .746 r
.43687 .28291 .44441 .30106 .45804 .2892 .45051 .27174 Metetra
.742 .638 .745 r
.45051 .27174 .45804 .2892 .47171 .27582 .46419 .2592 Metetra
.757 .654 .747 r
.46419 .2592 .47171 .27582 .48538 .26153 .47788 .24583 Metetra
.768 .668 .753 r
.47788 .24583 .48538 .26153 .49904 .2469 .49157 .23217 Metetra
.774 .682 .762 r
.49157 .23217 .49904 .2469 .51268 .23247 .50524 .21867 Metetra
.776 .695 .774 r
.50524 .21867 .51268 .23247 .52631 .21867 .51891 .20572 Metetra
.774 .707 .789 r
.51891 .20572 .52631 .21867 .53992 .20578 .53257 .19359 Metetra
.768 .718 .806 r
.53257 .19359 .53992 .20578 .55354 .19397 .54625 .18242 Metetra
.759 .727 .823 r
.54625 .18242 .55354 .19397 .56719 .1833 .55995 .17227 Metetra
.747 .734 .84 r
.55995 .17227 .56719 .1833 .58087 .17372 .57368 .1631 Metetra
.733 .739 .856 r
.57368 .1631 .58087 .17372 .5946 .16512 .58747 .15481 Metetra
.719 .742 .87 r
.58747 .15481 .5946 .16512 .60839 .15738 .60132 .14728 Metetra
.706 .744 .881 r
.60132 .14728 .60839 .15738 .62225 .15032 .61523 .14037 Metetra
.695 .744 .889 r
.61523 .14037 .62225 .15032 .63618 .1438 .62922 .13393 Metetra
.686 .744 .895 r
.62922 .13393 .63618 .1438 .65019 .13768 .64328 .12786 Metetra
.679 .743 .9 r
.64328 .12786 .65019 .13768 .66427 .13184 .65741 .12204 Metetra
.673 .743 .903 r
.65741 .12204 .66427 .13184 .67843 .1262 .67162 .11638 Metetra
.67 .742 .905 r
.67162 .11638 .67843 .1262 .69267 .12068 .68591 .11084 Metetra
.667 .742 .906 r
.68591 .11084 .69267 .12068 .70698 .11522 .70027 .10535 Metetra
.666 .742 .907 r
.70027 .10535 .70698 .11522 .72137 .10981 .71471 .09989 Metetra
.665 .742 .907 r
.71471 .09989 .72137 .10981 .73583 .1044 .72922 .09444 Metetra
.664 .741 .908 r
.72922 .09444 .73583 .1044 .75036 .099 .74381 .08899 Metetra
.663 .741 .908 r
.09834 .31809 .1069 .32607 .11847 .32178 .10994 .31377 Metetra
.662 .741 .908 r
.10994 .31377 .11847 .32178 .1301 .3175 .1216 .30945 Metetra
.661 .74 .909 r
.1216 .30945 .1301 .3175 .14177 .31323 .1333 .30513 Metetra
.66 .74 .909 r
.1333 .30513 .14177 .31323 .15349 .30899 .14506 .30084 Metetra
.657 .739 .91 r
.14506 .30084 .15349 .30899 .16526 .30482 .15685 .29661 Metetra
.653 .737 .911 r
.15685 .29661 .16526 .30482 .17707 .30076 .1687 .29248 Metetra
.647 .734 .913 r
.1687 .29248 .17707 .30076 .18891 .29687 .18058 .28849 Metetra
.639 .73 .915 r
.18058 .28849 .18891 .29687 .20079 .29324 .19249 .28473 Metetra
.627 .724 .917 r
.19249 .28473 .20079 .29324 .21269 .28996 .20443 .28129 Metetra
.611 .716 .92 r
.20443 .28129 .21269 .28996 .2246 .28715 .21639 .27827 Metetra
.589 .703 .922 r
.21639 .27827 .2246 .28715 .23653 .28496 .22836 .27579 Metetra
.561 .686 .923 r
.22836 .27579 .23653 .28496 .24846 .28353 .24035 .27399 Metetra
.527 .663 .923 r
.24035 .27399 .24846 .28353 .26039 .28297 .25234 .27297 Metetra
.489 .635 .919 r
.25234 .27297 .26039 .28297 .27234 .2834 .26434 .27282 Metetra
.449 .602 .91 r
.26434 .27282 .27234 .2834 .2843 .28484 .27636 .27357 Metetra
.414 .568 .898 r
.27636 .27357 .2843 .28484 .29629 .28725 .28842 .27519 Metetra
.388 .537 .883 r
.28842 .27519 .29629 .28725 .30834 .2905 .30053 .27754 Metetra
.378 .512 .867 r
.30053 .27754 .30834 .2905 .32047 .29431 .31272 .2804 Metetra
.385 .498 .851 r
.31272 .2804 .32047 .29431 .33272 .29833 .32502 .28342 Metetra
.41 .495 .836 r
.32502 .28342 .33272 .29833 .34511 .30208 .33745 .28621 Metetra
.448 .502 .822 r
.33745 .28621 .34511 .30208 .35767 .30504 .35006 .28828 Metetra
.493 .515 .809 r
.35006 .28828 .35767 .30504 .37043 .30666 .36284 .28915 Metetra
.54 .533 .796 r
.36284 .28915 .37043 .30666 .38338 .30647 .37581 .28841 Metetra
.586 .552 .784 r
.37581 .28841 .38338 .30647 .39653 .30411 .38896 .28574 Metetra
.627 .572 .773 r
.38896 .28574 .39653 .30411 .40984 .29937 .40228 .28094 Metetra
.662 .59 .764 r
.40228 .28094 .40984 .29937 .4233 .29223 .41573 .27402 Metetra
.692 .608 .757 r
.41573 .27402 .4233 .29223 .43687 .28291 .4293 .26514 Metetra
.716 .624 .753 r
.4293 .26514 .43687 .28291 .45051 .27174 .44294 .25462 Metetra
.735 .64 .753 r
.44294 .25462 .45051 .27174 .46419 .2592 .45663 .24288 Metetra
.75 .655 .756 r
.45663 .24288 .46419 .2592 .47788 .24583 .47034 .23039 Metetra
.76 .669 .762 r
.47034 .23039 .47788 .24583 .49157 .23217 .48405 .21762 Metetra
.766 .683 .771 r
.48405 .21762 .49157 .23217 .50524 .21867 .49776 .205 Metetra
.768 .696 .783 r
.49776 .205 .50524 .21867 .51891 .20572 .51146 .19287 Metetra
.766 .707 .797 r
.51146 .19287 .51891 .20572 .53257 .19359 .52517 .18145 Metetra
.76 .718 .813 r
.52517 .18145 .53257 .19359 .54625 .18242 .5389 .1709 Metetra
.751 .727 .83 r
.5389 .1709 .54625 .18242 .55995 .17227 .55265 .16124 Metetra
.739 .733 .846 r
.55265 .16124 .55995 .17227 .57368 .1631 .56644 .15245 Metetra
.727 .738 .86 r
.56644 .15245 .57368 .1631 .58747 .15481 .58028 .14445 Metetra
.714 .741 .873 r
.58028 .14445 .58747 .15481 .60132 .14728 .59418 .13712 Metetra
.702 .743 .883 r
.59418 .13712 .60132 .14728 .61523 .14037 .60815 .13035 Metetra
.692 .743 .891 r
.60815 .13035 .61523 .14037 .62922 .13393 .62219 .12399 Metetra
.683 .743 .896 r
.62219 .12399 .62922 .13393 .64328 .12786 .6363 .11796 Metetra
.677 .743 .9 r
.6363 .11796 .64328 .12786 .65741 .12204 .65048 .11214 Metetra
.672 .742 .903 r
.65048 .11214 .65741 .12204 .67162 .11638 .66475 .10648 Metetra
.669 .742 .905 r
.66475 .10648 .67162 .11638 .68591 .11084 .67908 .10091 Metetra
.667 .742 .906 r
.67908 .10091 .68591 .11084 .70027 .10535 .6935 .09539 Metetra
.666 .742 .907 r
.6935 .09539 .70027 .10535 .71471 .09989 .70799 .08989 Metetra
.665 .742 .907 r
.70799 .08989 .71471 .09989 .72922 .09444 .72255 .08439 Metetra
.664 .741 .908 r
.72255 .08439 .72922 .09444 .74381 .08899 .73719 .07889 Metetra
.664 .741 .907 r
.08971 .31003 .09834 .31809 .10994 .31377 .10135 .30565 Metetra
.663 .74 .907 r
.10135 .30565 .10994 .31377 .1216 .30945 .11304 .30125 Metetra
.663 .739 .906 r
.11304 .30125 .1216 .30945 .1333 .30513 .12478 .29682 Metetra
.663 .737 .905 r
.12478 .29682 .1333 .30513 .14506 .30084 .13658 .29238 Metetra
.663 .734 .903 r
.13658 .29238 .14506 .30084 .15685 .29661 .14843 .28791 Metetra
.663 .729 .899 r
.14843 .28791 .15685 .29661 .1687 .29248 .16033 .28343 Metetra
.662 .721 .893 r
.16033 .28343 .1687 .29248 .18058 .28849 .1723 .27892 Metetra
.66 .709 .884 r
.1723 .27892 .18058 .28849 .19249 .28473 .18432 .2744 Metetra
.658 .692 .871 r
.18432 .2744 .19249 .28473 .20443 .28129 .19639 .26985 Metetra
.654 .669 .853 r
.19639 .26985 .20443 .28129 .21639 .27827 .20852 .26528 Metetra
.648 .64 .829 r
.20852 .26528 .21639 .27827 .22836 .27579 .22071 .26069 Metetra
.639 .605 .799 r
.22071 .26069 .22836 .27579 .24035 .27399 .23296 .25608 Metetra
.628 .567 .767 r
.23296 .25608 .24035 .27399 .25234 .27297 .24526 .25144 Metetra
.616 .529 .733 r
.24526 .25144 .25234 .27297 .26434 .27282 .25762 .24678 Metetra
.603 .492 .7 r
.25762 .24678 .26434 .27282 .27636 .27357 .27004 .24211 Metetra
.591 .46 .671 r
.27004 .24211 .27636 .27357 .28842 .27519 .28252 .23741 Metetra
.58 .433 .646 r
.28252 .23741 .28842 .27519 .30053 .27754 .29506 .23268 Metetra
.571 .411 .625 r
.29506 .23268 .30053 .27754 .31272 .2804 .30766 .22794 Metetra
.564 .393 .608 r
.30766 .22794 .31272 .2804 .32502 .28342 .32032 .22317 Metetra
.558 .379 .595 r
.32032 .22317 .32502 .28342 .33745 .28621 .33304 .21838 Metetra
.553 .368 .585 r
.33304 .21838 .33745 .28621 .35006 .28828 .34582 .21356 Metetra
.55 .361 .577 r
.34582 .21356 .35006 .28828 .36284 .28915 .35866 .20872 Metetra
.547 .355 .572 r
.35866 .20872 .36284 .28915 .37581 .28841 .37157 .20386 Metetra
.546 .352 .569 r
.37157 .20386 .37581 .28841 .38896 .28574 .38454 .19898 Metetra
.545 .35 .567 r
.38454 .19898 .38896 .28574 .40228 .28094 .39757 .19407 Metetra
.545 .35 .567 r
.39757 .19407 .40228 .28094 .41573 .27402 .41066 .18914 Metetra
.546 .352 .569 r
.41066 .18914 .41573 .27402 .4293 .26514 .42382 .18418 Metetra
.547 .355 .572 r
.42382 .18418 .4293 .26514 .44294 .25462 .43705 .1792 Metetra
.55 .361 .577 r
.43705 .1792 .44294 .25462 .45663 .24288 .45033 .1742 Metetra
.553 .368 .585 r
.45033 .1742 .45663 .24288 .47034 .23039 .46369 .16917 Metetra
.558 .379 .595 r
.46369 .16917 .47034 .23039 .48405 .21762 .47711 .16411 Metetra
.564 .393 .608 r
.47711 .16411 .48405 .21762 .49776 .205 .49059 .15903 Metetra
.571 .411 .625 r
.49059 .15903 .49776 .205 .51146 .19287 .50415 .15393 Metetra
.58 .433 .646 r
.50415 .15393 .51146 .19287 .52517 .18145 .51777 .1488 Metetra
.591 .46 .671 r
.51777 .1488 .52517 .18145 .5389 .1709 .53145 .14364 Metetra
.603 .492 .7 r
.53145 .14364 .5389 .1709 .55265 .16124 .54521 .13846 Metetra
.616 .529 .733 r
.54521 .13846 .55265 .16124 .56644 .15245 .55904 .13325 Metetra
.628 .567 .767 r
.55904 .13325 .56644 .15245 .58028 .14445 .57293 .12802 Metetra
.639 .605 .799 r
.57293 .12802 .58028 .14445 .59418 .13712 .5869 .12276 Metetra
.648 .64 .829 r
.5869 .12276 .59418 .13712 .60815 .13035 .60093 .11747 Metetra
.654 .669 .853 r
.60093 .11747 .60815 .13035 .62219 .12399 .61504 .11216 Metetra
.658 .692 .871 r
.61504 .11216 .62219 .12399 .6363 .11796 .62921 .10682 Metetra
.66 .709 .884 r
.62921 .10682 .6363 .11796 .65048 .11214 .64346 .10145 Metetra
.662 .721 .893 r
.64346 .10145 .65048 .11214 .66475 .10648 .65779 .09606 Metetra
.663 .729 .899 r
.65779 .09606 .66475 .10648 .67908 .10091 .67218 .09063 Metetra
.663 .734 .903 r
.67218 .09063 .67908 .10091 .6935 .09539 .68665 .08518 Metetra
.663 .737 .905 r
.68665 .08518 .6935 .09539 .70799 .08989 .7012 .0797 Metetra
.663 .739 .906 r
.7012 .0797 .70799 .08989 .72255 .08439 .71581 .0742 Metetra
.663 .74 .907 r
.71581 .0742 .72255 .08439 .73719 .07889 .73051 .06866 Metetra
.664 .741 .908 r
.081 .30192 .08971 .31003 .10135 .30565 .09267 .2975 Metetra
.664 .741 .908 r
.09267 .2975 .10135 .30565 .11304 .30125 .10439 .29306 Metetra
.664 .741 .908 r
.10439 .29306 .11304 .30125 .12478 .29682 .11616 .2886 Metetra
.664 .741 .908 r
.11616 .2886 .12478 .29682 .13658 .29238 .12799 .28412 Metetra
.664 .741 .908 r
.12799 .28412 .13658 .29238 .14843 .28791 .13987 .27962 Metetra
.664 .741 .908 r
.13987 .27962 .14843 .28791 .16033 .28343 .15181 .27509 Metetra
.664 .741 .908 r
.15181 .27509 .16033 .28343 .1723 .27892 .1638 .27055 Metetra
.664 .741 .908 r
.1638 .27055 .1723 .27892 .18432 .2744 .17585 .26598 Metetra
.664 .741 .908 r
.17585 .26598 .18432 .2744 .19639 .26985 .18796 .2614 Metetra
.664 .741 .908 r
.18796 .2614 .19639 .26985 .20852 .26528 .20013 .25679 Metetra
.664 .741 .908 r
.20013 .25679 .20852 .26528 .22071 .26069 .21235 .25216 Metetra
.664 .741 .908 r
.21235 .25216 .22071 .26069 .23296 .25608 .22463 .2475 Metetra
.664 .741 .908 r
.22463 .2475 .23296 .25608 .24526 .25144 .23697 .24283 Metetra
.664 .741 .908 r
.23697 .24283 .24526 .25144 .25762 .24678 .24936 .23813 Metetra
.664 .741 .908 r
.24936 .23813 .25762 .24678 .27004 .24211 .26182 .23341 Metetra
.664 .741 .908 r
.26182 .23341 .27004 .24211 .28252 .23741 .27433 .22867 Metetra
.664 .741 .908 r
.27433 .22867 .28252 .23741 .29506 .23268 .28691 .2239 Metetra
.664 .741 .908 r
.28691 .2239 .29506 .23268 .30766 .22794 .29954 .21912 Metetra
.664 .741 .908 r
.29954 .21912 .30766 .22794 .32032 .22317 .31224 .2143 Metetra
.664 .741 .908 r
.31224 .2143 .32032 .22317 .33304 .21838 .325 .20947 Metetra
.664 .741 .908 r
.325 .20947 .33304 .21838 .34582 .21356 .33782 .20461 Metetra
.664 .741 .908 r
.33782 .20461 .34582 .21356 .35866 .20872 .3507 .19973 Metetra
.664 .741 .908 r
.3507 .19973 .35866 .20872 .37157 .20386 .36364 .19483 Metetra
.664 .741 .908 r
.36364 .19483 .37157 .20386 .38454 .19898 .37665 .1899 Metetra
.664 .741 .908 r
.37665 .1899 .38454 .19898 .39757 .19407 .38972 .18495 Metetra
.664 .741 .908 r
.38972 .18495 .39757 .19407 .41066 .18914 .40285 .17997 Metetra
.664 .741 .908 r
.40285 .17997 .41066 .18914 .42382 .18418 .41605 .17497 Metetra
.664 .741 .908 r
.41605 .17497 .42382 .18418 .43705 .1792 .42932 .16994 Metetra
.664 .741 .908 r
.42932 .16994 .43705 .1792 .45033 .1742 .44265 .16489 Metetra
.664 .741 .908 r
.44265 .16489 .45033 .1742 .46369 .16917 .45604 .15981 Metetra
.664 .741 .908 r
.45604 .15981 .46369 .16917 .47711 .16411 .4695 .15471 Metetra
.664 .741 .908 r
.4695 .15471 .47711 .16411 .49059 .15903 .48303 .14959 Metetra
.664 .741 .908 r
.48303 .14959 .49059 .15903 .50415 .15393 .49663 .14444 Metetra
.664 .741 .908 r
.49663 .14444 .50415 .15393 .51777 .1488 .51029 .13926 Metetra
.664 .741 .908 r
.51029 .13926 .51777 .1488 .53145 .14364 .52403 .13405 Metetra
.664 .741 .908 r
.52403 .13405 .53145 .14364 .54521 .13846 .53783 .12882 Metetra
.664 .741 .908 r
.53783 .12882 .54521 .13846 .55904 .13325 .5517 .12357 Metetra
.664 .741 .908 r
.5517 .12357 .55904 .13325 .57293 .12802 .56564 .11829 Metetra
.664 .741 .908 r
.56564 .11829 .57293 .12802 .5869 .12276 .57965 .11298 Metetra
.664 .741 .908 r
.57965 .11298 .5869 .12276 .60093 .11747 .59373 .10764 Metetra
.664 .741 .908 r
.59373 .10764 .60093 .11747 .61504 .11216 .60789 .10228 Metetra
.664 .741 .908 r
.60789 .10228 .61504 .11216 .62921 .10682 .62211 .09689 Metetra
.664 .741 .908 r
.62211 .09689 .62921 .10682 .64346 .10145 .63641 .09147 Metetra
.664 .741 .908 r
.63641 .09147 .64346 .10145 .65779 .09606 .65078 .08602 Metetra
.664 .741 .908 r
.65078 .08602 .65779 .09606 .67218 .09063 .66523 .08055 Metetra
.664 .741 .908 r
.66523 .08055 .67218 .09063 .68665 .08518 .67975 .07505 Metetra
.664 .741 .908 r
.67975 .07505 .68665 .08518 .7012 .0797 .69435 .06952 Metetra
.664 .741 .908 r
.69435 .06952 .7012 .0797 .71581 .0742 .70902 .06396 Metetra
.664 .741 .908 r
.70902 .06396 .71581 .0742 .73051 .06866 .72376 .05837 Metetra
.664 .741 .908 r
.07222 .29375 .081 .30192 .09267 .2975 .08392 .28929 Metetra
.664 .741 .908 r
.08392 .28929 .09267 .2975 .10439 .29306 .09567 .28481 Metetra
.664 .741 .908 r
.09567 .28481 .10439 .29306 .11616 .2886 .10747 .28031 Metetra
.664 .741 .908 r
.10747 .28031 .11616 .2886 .12799 .28412 .11933 .27579 Metetra
.664 .741 .908 r
.11933 .27579 .12799 .28412 .13987 .27962 .13124 .27125 Metetra
.664 .741 .908 r
.13124 .27125 .13987 .27962 .15181 .27509 .14321 .26669 Metetra
.664 .741 .908 r
.14321 .26669 .15181 .27509 .1638 .27055 .15524 .2621 Metetra
.664 .741 .908 r
.15524 .2621 .1638 .27055 .17585 .26598 .16732 .2575 Metetra
.664 .741 .908 r
.16732 .2575 .17585 .26598 .18796 .2614 .17946 .25287 Metetra
.664 .741 .908 r
.17946 .25287 .18796 .2614 .20013 .25679 .19166 .24822 Metetra
.664 .741 .908 r
.19166 .24822 .20013 .25679 .21235 .25216 .20391 .24355 Metetra
.664 .741 .908 r
.20391 .24355 .21235 .25216 .22463 .2475 .21623 .23885 Metetra
.664 .741 .908 r
.21623 .23885 .22463 .2475 .23697 .24283 .2286 .23414 Metetra
.664 .741 .908 r
.2286 .23414 .23697 .24283 .24936 .23813 .24103 .2294 Metetra
.664 .741 .908 r
.24103 .2294 .24936 .23813 .26182 .23341 .25352 .22464 Metetra
.664 .741 .908 r
.25352 .22464 .26182 .23341 .27433 .22867 .26607 .21985 Metetra
.664 .741 .908 r
.26607 .21985 .27433 .22867 .28691 .2239 .27868 .21505 Metetra
.664 .741 .908 r
.27868 .21505 .28691 .2239 .29954 .21912 .29135 .21022 Metetra
.664 .741 .908 r
.29135 .21022 .29954 .21912 .31224 .2143 .30409 .20536 Metetra
.664 .741 .908 r
.30409 .20536 .31224 .2143 .325 .20947 .31688 .20048 Metetra
.664 .741 .908 r
.31688 .20048 .325 .20947 .33782 .20461 .32974 .19558 Metetra
.664 .741 .908 r
.32974 .19558 .33782 .20461 .3507 .19973 .34266 .19066 Metetra
.664 .741 .908 r
.34266 .19066 .3507 .19973 .36364 .19483 .35564 .18571 Metetra
.664 .741 .908 r
.35564 .18571 .36364 .19483 .37665 .1899 .36869 .18074 Metetra
.664 .741 .908 r
.36869 .18074 .37665 .1899 .38972 .18495 .3818 .17574 Metetra
.664 .741 .908 r
.3818 .17574 .38972 .18495 .40285 .17997 .39497 .17072 Metetra
.664 .741 .908 r
.39497 .17072 .40285 .17997 .41605 .17497 .40821 .16567 Metetra
.664 .741 .908 r
.40821 .16567 .41605 .17497 .42932 .16994 .42152 .1606 Metetra
.664 .741 .908 r
.42152 .1606 .42932 .16994 .44265 .16489 .43489 .1555 Metetra
.664 .741 .908 r
.43489 .1555 .44265 .16489 .45604 .15981 .44833 .15038 Metetra
.664 .741 .908 r
.44833 .15038 .45604 .15981 .4695 .15471 .46183 .14523 Metetra
.664 .741 .908 r
.46183 .14523 .4695 .15471 .48303 .14959 .4754 .14006 Metetra
.664 .741 .908 r
.4754 .14006 .48303 .14959 .49663 .14444 .48904 .13486 Metetra
.664 .741 .908 r
.48904 .13486 .49663 .14444 .51029 .13926 .50275 .12963 Metetra
.664 .741 .908 r
.50275 .12963 .51029 .13926 .52403 .13405 .51653 .12438 Metetra
.664 .741 .908 r
.51653 .12438 .52403 .13405 .53783 .12882 .53038 .1191 Metetra
.664 .741 .908 r
.53038 .1191 .53783 .12882 .5517 .12357 .54429 .1138 Metetra
.664 .741 .908 r
.54429 .1138 .5517 .12357 .56564 .11829 .55828 .10846 Metetra
.664 .741 .908 r
.55828 .10846 .56564 .11829 .57965 .11298 .57234 .1031 Metetra
.664 .741 .908 r
.57234 .1031 .57965 .11298 .59373 .10764 .58647 .09772 Metetra
.664 .741 .908 r
.58647 .09772 .59373 .10764 .60789 .10228 .60067 .0923 Metetra
.664 .741 .908 r
.60067 .0923 .60789 .10228 .62211 .09689 .61495 .08686 Metetra
.664 .741 .908 r
.61495 .08686 .62211 .09689 .63641 .09147 .62929 .08139 Metetra
.664 .741 .908 r
.62929 .08139 .63641 .09147 .65078 .08602 .64372 .0759 Metetra
.664 .741 .908 r
.64372 .0759 .65078 .08602 .66523 .08055 .65821 .07037 Metetra
.664 .741 .908 r
.65821 .07037 .66523 .08055 .67975 .07505 .67278 .06481 Metetra
.664 .741 .908 r
.67278 .06481 .67975 .07505 .69435 .06952 .68743 .05923 Metetra
.664 .741 .908 r
.68743 .05923 .69435 .06952 .70902 .06396 .70215 .05362 Metetra
.664 .741 .908 r
.70215 .05362 .70902 .06396 .72376 .05837 .71695 .04798 Metetra
.664 .741 .908 r
.06337 .2855 .07222 .29375 .08392 .28929 .07509 .28101 Metetra
.664 .741 .908 r
.07509 .28101 .08392 .28929 .09567 .28481 .08687 .27649 Metetra
.664 .741 .908 r
.08687 .27649 .09567 .28481 .10747 .28031 .0987 .27195 Metetra
.664 .741 .908 r
.0987 .27195 .10747 .28031 .11933 .27579 .11059 .26739 Metetra
.664 .741 .908 r
.11059 .26739 .11933 .27579 .13124 .27125 .12254 .26281 Metetra
.664 .741 .908 r
.12254 .26281 .13124 .27125 .14321 .26669 .13454 .25821 Metetra
.664 .741 .908 r
.13454 .25821 .14321 .26669 .15524 .2621 .1466 .25358 Metetra
.664 .741 .908 r
.1466 .25358 .15524 .2621 .16732 .2575 .15871 .24894 Metetra
.664 .741 .908 r
.15871 .24894 .16732 .2575 .17946 .25287 .17088 .24427 Metetra
.664 .741 .908 r
.17088 .24427 .17946 .25287 .19166 .24822 .18312 .23958 Metetra
.664 .741 .908 r
.18312 .23958 .19166 .24822 .20391 .24355 .1954 .23486 Metetra
.664 .741 .908 r
.1954 .23486 .20391 .24355 .21623 .23885 .20775 .23013 Metetra
.664 .741 .908 r
.20775 .23013 .21623 .23885 .2286 .23414 .22016 .22537 Metetra
.664 .741 .908 r
.22016 .22537 .2286 .23414 .24103 .2294 .23262 .22059 Metetra
.664 .741 .908 r
.23262 .22059 .24103 .2294 .25352 .22464 .24515 .21579 Metetra
.664 .741 .908 r
.24515 .21579 .25352 .22464 .26607 .21985 .25774 .21096 Metetra
.664 .741 .908 r
.25774 .21096 .26607 .21985 .27868 .21505 .27038 .20611 Metetra
.664 .741 .908 r
.27038 .20611 .27868 .21505 .29135 .21022 .28309 .20124 Metetra
.664 .741 .908 r
.28309 .20124 .29135 .21022 .30409 .20536 .29586 .19634 Metetra
.664 .741 .908 r
.29586 .19634 .30409 .20536 .31688 .20048 .30869 .19142 Metetra
.664 .741 .908 r
.30869 .19142 .31688 .20048 .32974 .19558 .32159 .18647 Metetra
.664 .741 .908 r
.32159 .18647 .32974 .19558 .34266 .19066 .33455 .1815 Metetra
.664 .741 .908 r
.33455 .1815 .34266 .19066 .35564 .18571 .34757 .17651 Metetra
.664 .741 .908 r
.34757 .17651 .35564 .18571 .36869 .18074 .36065 .17149 Metetra
.664 .741 .908 r
.36065 .17149 .36869 .18074 .3818 .17574 .37381 .16645 Metetra
.664 .741 .908 r
.37381 .16645 .3818 .17574 .39497 .17072 .38702 .16138 Metetra
.664 .741 .908 r
.38702 .16138 .39497 .17072 .40821 .16567 .4003 .15629 Metetra
.664 .741 .908 r
.4003 .15629 .40821 .16567 .42152 .1606 .41365 .15117 Metetra
.664 .741 .908 r
.41365 .15117 .42152 .1606 .43489 .1555 .42706 .14602 Metetra
.664 .741 .908 r
.42706 .14602 .43489 .1555 .44833 .15038 .44054 .14085 Metetra
.664 .741 .908 r
.44054 .14085 .44833 .15038 .46183 .14523 .45409 .13566 Metetra
.664 .741 .908 r
.45409 .13566 .46183 .14523 .4754 .14006 .4677 .13044 Metetra
.664 .741 .908 r
.4677 .13044 .4754 .14006 .48904 .13486 .48139 .12519 Metetra
.664 .741 .908 r
.48139 .12519 .48904 .13486 .50275 .12963 .49514 .11991 Metetra
.664 .741 .908 r
.49514 .11991 .50275 .12963 .51653 .12438 .50896 .11461 Metetra
.664 .741 .908 r
.50896 .11461 .51653 .12438 .53038 .1191 .52286 .10929 Metetra
.664 .741 .908 r
.52286 .10929 .53038 .1191 .54429 .1138 .53682 .10393 Metetra
.664 .741 .908 r
.53682 .10393 .54429 .1138 .55828 .10846 .55085 .09855 Metetra
.664 .741 .908 r
.55085 .09855 .55828 .10846 .57234 .1031 .56496 .09314 Metetra
.664 .741 .908 r
.56496 .09314 .57234 .1031 .58647 .09772 .57914 .0877 Metetra
.664 .741 .908 r
.57914 .0877 .58647 .09772 .60067 .0923 .59339 .08224 Metetra
.664 .741 .908 r
.59339 .08224 .60067 .0923 .61495 .08686 .60771 .07674 Metetra
.664 .741 .908 r
.60771 .07674 .61495 .08686 .62929 .08139 .62211 .07122 Metetra
.664 .741 .908 r
.62211 .07122 .62929 .08139 .64372 .0759 .63658 .06567 Metetra
.664 .741 .908 r
.63658 .06567 .64372 .0759 .65821 .07037 .65113 .06009 Metetra
.664 .741 .908 r
.65113 .06009 .65821 .07037 .67278 .06481 .66575 .05448 Metetra
.664 .741 .908 r
.66575 .05448 .67278 .06481 .68743 .05923 .68045 .04885 Metetra
.664 .741 .908 r
.68045 .04885 .68743 .05923 .70215 .05362 .69523 .04318 Metetra
.664 .741 .908 r
.69523 .04318 .70215 .05362 .71695 .04798 .71008 .03748 Metetra
.664 .741 .908 r
.05443 .27718 .06337 .2855 .07509 .28101 .06619 .27265 Metetra
.664 .741 .908 r
.06619 .27265 .07509 .28101 .08687 .27649 .078 .26809 Metetra
.664 .741 .908 r
.078 .26809 .08687 .27649 .0987 .27195 .08986 .26352 Metetra
.664 .741 .908 r
.08986 .26352 .0987 .27195 .11059 .26739 .10178 .25892 Metetra
.664 .741 .908 r
.10178 .25892 .11059 .26739 .12254 .26281 .11376 .2543 Metetra
.664 .741 .908 r
.11376 .2543 .12254 .26281 .13454 .25821 .12579 .24965 Metetra
.664 .741 .908 r
.12579 .24965 .13454 .25821 .1466 .25358 .13788 .24499 Metetra
.664 .741 .908 r
.13788 .24499 .1466 .25358 .15871 .24894 .15003 .2403 Metetra
.664 .741 .908 r
.15003 .2403 .15871 .24894 .17088 .24427 .16223 .23559 Metetra
.664 .741 .908 r
.16223 .23559 .17088 .24427 .18312 .23958 .1745 .23086 Metetra
.664 .741 .908 r
.1745 .23086 .18312 .23958 .1954 .23486 .18682 .22611 Metetra
.664 .741 .908 r
.18682 .22611 .1954 .23486 .20775 .23013 .1992 .22133 Metetra
.664 .741 .908 r
.1992 .22133 .20775 .23013 .22016 .22537 .21164 .21653 Metetra
.664 .741 .908 r
.21164 .21653 .22016 .22537 .23262 .22059 .22414 .2117 Metetra
.664 .741 .908 r
.22414 .2117 .23262 .22059 .24515 .21579 .2367 .20686 Metetra
.664 .741 .908 r
.2367 .20686 .24515 .21579 .25774 .21096 .24933 .20199 Metetra
.664 .741 .908 r
.24933 .20199 .25774 .21096 .27038 .20611 .26201 .19709 Metetra
.664 .741 .908 r
.26201 .19709 .27038 .20611 .28309 .20124 .27476 .19218 Metetra
.664 .741 .908 r
.27476 .19218 .28309 .20124 .29586 .19634 .28756 .18723 Metetra
.664 .741 .908 r
.28756 .18723 .29586 .19634 .30869 .19142 .30043 .18227 Metetra
.664 .741 .908 r
.30043 .18227 .30869 .19142 .32159 .18647 .31337 .17728 Metetra
.664 .741 .908 r
.31337 .17728 .32159 .18647 .33455 .1815 .32636 .17226 Metetra
.664 .741 .908 r
.32636 .17226 .33455 .1815 .34757 .17651 .33942 .16722 Metetra
.664 .741 .908 r
.33942 .16722 .34757 .17651 .36065 .17149 .35255 .16216 Metetra
.664 .741 .908 r
.35255 .16216 .36065 .17149 .37381 .16645 .36574 .15707 Metetra
.664 .741 .908 r
.36574 .15707 .37381 .16645 .38702 .16138 .37899 .15196 Metetra
.664 .741 .908 r
.37899 .15196 .38702 .16138 .4003 .15629 .39232 .14682 Metetra
.664 .741 .908 r
.39232 .14682 .4003 .15629 .41365 .15117 .4057 .14165 Metetra
.664 .741 .908 r
.4057 .14165 .41365 .15117 .42706 .14602 .41916 .13646 Metetra
.664 .741 .908 r
.41916 .13646 .42706 .14602 .44054 .14085 .43268 .13124 Metetra
.664 .741 .908 r
.43268 .13124 .44054 .14085 .45409 .13566 .44627 .126 Metetra
.664 .741 .908 r
.44627 .126 .45409 .13566 .4677 .13044 .45993 .12073 Metetra
.664 .741 .908 r
.45993 .12073 .4677 .13044 .48139 .12519 .47366 .11543 Metetra
.664 .741 .908 r
.47366 .11543 .48139 .12519 .49514 .11991 .48746 .11011 Metetra
.664 .741 .908 r
.48746 .11011 .49514 .11991 .50896 .11461 .50132 .10476 Metetra
.664 .741 .908 r
.50132 .10476 .50896 .11461 .52286 .10929 .51526 .09938 Metetra
.664 .741 .908 r
.51526 .09938 .52286 .10929 .53682 .10393 .52927 .09397 Metetra
.664 .741 .908 r
.52927 .09397 .53682 .10393 .55085 .09855 .54335 .08854 Metetra
.664 .741 .908 r
.54335 .08854 .55085 .09855 .56496 .09314 .55751 .08308 Metetra
.664 .741 .908 r
.55751 .08308 .56496 .09314 .57914 .0877 .57173 .07759 Metetra
.664 .741 .908 r
.57173 .07759 .57914 .0877 .59339 .08224 .58603 .07207 Metetra
.664 .741 .908 r
.58603 .07207 .59339 .08224 .60771 .07674 .60041 .06653 Metetra
.664 .741 .908 r
.60041 .06653 .60771 .07674 .62211 .07122 .61485 .06095 Metetra
.664 .741 .908 r
.61485 .06095 .62211 .07122 .63658 .06567 .62938 .05535 Metetra
.664 .741 .908 r
.62938 .05535 .63658 .06567 .65113 .06009 .64397 .04972 Metetra
.664 .741 .908 r
.64397 .04972 .65113 .06009 .66575 .05448 .65865 .04405 Metetra
.664 .741 .908 r
.65865 .04405 .66575 .05448 .68045 .04885 .6734 .03836 Metetra
.664 .741 .908 r
.6734 .03836 .68045 .04885 .69523 .04318 .68823 .03264 Metetra
.664 .741 .908 r
.68823 .03264 .69523 .04318 .71008 .03748 .70314 .02689 Metetra
.664 .741 .908 r
.04542 .2688 .05443 .27718 .06619 .27265 .05721 .26422 Metetra
.664 .741 .908 r
.05721 .26422 .06619 .27265 .078 .26809 .06905 .25963 Metetra
.664 .741 .908 r
.06905 .25963 .078 .26809 .08986 .26352 .08094 .25501 Metetra
.664 .741 .908 r
.08094 .25501 .08986 .26352 .10178 .25892 .09289 .25037 Metetra
.664 .741 .908 r
.09289 .25037 .10178 .25892 .11376 .2543 .1049 .24571 Metetra
.664 .741 .908 r
.1049 .24571 .11376 .2543 .12579 .24965 .11697 .24102 Metetra
.664 .741 .908 r
.11697 .24102 .12579 .24965 .13788 .24499 .12909 .23632 Metetra
.664 .741 .908 r
.12909 .23632 .13788 .24499 .15003 .2403 .14127 .23159 Metetra
.664 .741 .908 r
.14127 .23159 .15003 .2403 .16223 .23559 .15351 .22684 Metetra
.664 .741 .908 r
.15351 .22684 .16223 .23559 .1745 .23086 .1658 .22206 Metetra
.664 .741 .908 r
.1658 .22206 .1745 .23086 .18682 .22611 .17816 .21727 Metetra
.664 .741 .908 r
.17816 .21727 .18682 .22611 .1992 .22133 .19057 .21245 Metetra
.664 .741 .908 r
.19057 .21245 .1992 .22133 .21164 .21653 .20305 .2076 Metetra
.664 .741 .908 r
.20305 .2076 .21164 .21653 .22414 .2117 .21559 .20274 Metetra
.664 .741 .908 r
.21559 .20274 .22414 .2117 .2367 .20686 .22818 .19785 Metetra
.664 .741 .908 r
.22818 .19785 .2367 .20686 .24933 .20199 .24084 .19293 Metetra
.664 .741 .908 r
.24084 .19293 .24933 .20199 .26201 .19709 .25356 .188 Metetra
.664 .741 .908 r
.25356 .188 .26201 .19709 .27476 .19218 .26634 .18303 Metetra
.664 .741 .908 r
.26634 .18303 .27476 .19218 .28756 .18723 .27919 .17805 Metetra
.664 .741 .908 r
.27919 .17805 .28756 .18723 .30043 .18227 .2921 .17304 Metetra
.664 .741 .908 r
.2921 .17304 .30043 .18227 .31337 .17728 .30507 .168 Metetra
.664 .741 .908 r
.30507 .168 .31337 .17728 .32636 .17226 .3181 .16294 Metetra
.664 .741 .908 r
.3181 .16294 .32636 .17226 .33942 .16722 .3312 .15786 Metetra
.664 .741 .908 r
.3312 .15786 .33942 .16722 .35255 .16216 .34437 .15274 Metetra
.664 .741 .908 r
.34437 .15274 .35255 .16216 .36574 .15707 .3576 .14761 Metetra
.664 .741 .908 r
.3576 .14761 .36574 .15707 .37899 .15196 .37089 .14245 Metetra
.664 .741 .908 r
.37089 .14245 .37899 .15196 .39232 .14682 .38426 .13726 Metetra
.664 .741 .908 r
.38426 .13726 .39232 .14682 .4057 .14165 .39769 .13205 Metetra
.664 .741 .908 r
.39769 .13205 .4057 .14165 .41916 .13646 .41118 .12681 Metetra
.664 .741 .908 r
.41118 .12681 .41916 .13646 .43268 .13124 .42475 .12154 Metetra
.664 .741 .908 r
.42475 .12154 .43268 .13124 .44627 .126 .43838 .11625 Metetra
.664 .741 .908 r
.43838 .11625 .44627 .126 .45993 .12073 .45209 .11093 Metetra
.664 .741 .908 r
.45209 .11093 .45993 .12073 .47366 .11543 .46586 .10558 Metetra
.664 .741 .908 r
.46586 .10558 .47366 .11543 .48746 .11011 .4797 .10021 Metetra
.664 .741 .908 r
.4797 .10021 .48746 .11011 .50132 .10476 .49362 .09481 Metetra
.664 .741 .908 r
.49362 .09481 .50132 .10476 .51526 .09938 .5076 .08938 Metetra
.664 .741 .908 r
.5076 .08938 .51526 .09938 .52927 .09397 .52166 .08392 Metetra
.664 .741 .908 r
.52166 .08392 .52927 .09397 .54335 .08854 .53578 .07844 Metetra
.664 .741 .908 r
.53578 .07844 .54335 .08854 .55751 .08308 .54998 .07292 Metetra
.664 .741 .908 r
.54998 .07292 .55751 .08308 .57173 .07759 .56426 .06738 Metetra
.664 .741 .908 r
.56426 .06738 .57173 .07759 .58603 .07207 .57861 .06181 Metetra
.664 .741 .908 r
.57861 .06181 .58603 .07207 .60041 .06653 .59303 .05621 Metetra
.664 .741 .908 r
.59303 .05621 .60041 .06653 .61485 .06095 .60753 .05058 Metetra
.664 .741 .908 r
.60753 .05058 .61485 .06095 .62938 .05535 .6221 .04493 Metetra
.664 .741 .908 r
.6221 .04493 .62938 .05535 .64397 .04972 .63675 .03924 Metetra
.664 .741 .908 r
.63675 .03924 .64397 .04972 .65865 .04405 .65148 .03352 Metetra
.664 .741 .908 r
.65148 .03352 .65865 .04405 .6734 .03836 .66628 .02778 Metetra
.664 .741 .908 r
.66628 .02778 .6734 .03836 .68823 .03264 .68117 .022 Metetra
.664 .741 .908 r
.68117 .022 .68823 .03264 .70314 .02689 .69613 .01619 Metetra
.664 .741 .908 r
.03634 .26033 .04542 .2688 .05721 .26422 .04815 .25572 Metetra
.664 .741 .908 r
.04815 .25572 .05721 .26422 .06905 .25963 .06002 .25108 Metetra
.664 .741 .908 r
.06002 .25108 .06905 .25963 .08094 .25501 .07194 .24643 Metetra
.664 .741 .908 r
.07194 .24643 .08094 .25501 .09289 .25037 .08393 .24175 Metetra
.664 .741 .908 r
.08393 .24175 .09289 .25037 .1049 .24571 .09597 .23704 Metetra
.664 .741 .908 r
.09597 .23704 .1049 .24571 .11697 .24102 .10806 .23232 Metetra
.664 .741 .908 r
.10806 .23232 .11697 .24102 .12909 .23632 .12022 .22757 Metetra
.664 .741 .908 r
.12022 .22757 .12909 .23632 .14127 .23159 .13243 .2228 Metetra
.664 .741 .908 r
.13243 .2228 .14127 .23159 .15351 .22684 .1447 .21801 Metetra
.664 .741 .908 r
.1447 .21801 .15351 .22684 .1658 .22206 .15703 .21319 Metetra
.664 .741 .908 r
.15703 .21319 .1658 .22206 .17816 .21727 .16942 .20835 Metetra
.664 .741 .908 r
.16942 .20835 .17816 .21727 .19057 .21245 .18187 .20349 Metetra
.664 .741 .908 r
.18187 .20349 .19057 .21245 .20305 .2076 .19438 .1986 Metetra
.664 .741 .908 r
.19438 .1986 .20305 .2076 .21559 .20274 .20695 .19369 Metetra
.664 .741 .908 r
.20695 .19369 .21559 .20274 .22818 .19785 .21959 .18876 Metetra
.664 .741 .908 r
.21959 .18876 .22818 .19785 .24084 .19293 .23228 .1838 Metetra
.664 .741 .908 r
.23228 .1838 .24084 .19293 .25356 .188 .24504 .17882 Metetra
.664 .741 .908 r
.24504 .17882 .25356 .188 .26634 .18303 .25786 .17381 Metetra
.664 .741 .908 r
.25786 .17381 .26634 .18303 .27919 .17805 .27074 .16878 Metetra
.664 .741 .908 r
.27074 .16878 .27919 .17805 .2921 .17304 .28368 .16372 Metetra
.664 .741 .908 r
.28368 .16372 .2921 .17304 .30507 .168 .29669 .15864 Metetra
.664 .741 .908 r
.29669 .15864 .30507 .168 .3181 .16294 .30977 .15353 Metetra
.664 .741 .908 r
.30977 .15353 .3181 .16294 .3312 .15786 .32291 .1484 Metetra
.664 .741 .908 r
.32291 .1484 .3312 .15786 .34437 .15274 .33611 .14324 Metetra
.664 .741 .908 r
.33611 .14324 .34437 .15274 .3576 .14761 .34938 .13806 Metetra
.664 .741 .908 r
.34938 .13806 .3576 .14761 .37089 .14245 .36272 .13285 Metetra
.664 .741 .908 r
.36272 .13285 .37089 .14245 .38426 .13726 .37612 .12761 Metetra
.664 .741 .908 r
.37612 .12761 .38426 .13726 .39769 .13205 .3896 .12235 Metetra
.664 .741 .908 r
.3896 .12235 .39769 .13205 .41118 .12681 .40314 .11706 Metetra
.664 .741 .908 r
.40314 .11706 .41118 .12681 .42475 .12154 .41674 .11175 Metetra
.664 .741 .908 r
.41674 .11175 .42475 .12154 .43838 .11625 .43042 .10641 Metetra
.664 .741 .908 r
.43042 .10641 .43838 .11625 .45209 .11093 .44417 .10104 Metetra
.664 .741 .908 r
.44417 .10104 .45209 .11093 .46586 .10558 .45799 .09564 Metetra
.664 .741 .908 r
.45799 .09564 .46586 .10558 .4797 .10021 .47187 .09021 Metetra
.664 .741 .908 r
.47187 .09021 .4797 .10021 .49362 .09481 .48583 .08476 Metetra
.664 .741 .908 r
.48583 .08476 .49362 .09481 .5076 .08938 .49986 .07928 Metetra
.664 .741 .908 r
.49986 .07928 .5076 .08938 .52166 .08392 .51397 .07377 Metetra
.664 .741 .908 r
.51397 .07377 .52166 .08392 .53578 .07844 .52814 .06824 Metetra
.664 .741 .908 r
.52814 .06824 .53578 .07844 .54998 .07292 .54239 .06267 Metetra
.664 .741 .908 r
.54239 .06267 .54998 .07292 .56426 .06738 .55671 .05708 Metetra
.664 .741 .908 r
.55671 .05708 .56426 .06738 .57861 .06181 .57111 .05145 Metetra
.664 .741 .908 r
.57111 .05145 .57861 .06181 .59303 .05621 .58558 .0458 Metetra
.664 .741 .908 r
.58558 .0458 .59303 .05621 .60753 .05058 .60013 .04012 Metetra
.664 .741 .908 r
.60013 .04012 .60753 .05058 .6221 .04493 .61476 .0344 Metetra
.664 .741 .908 r
.61476 .0344 .6221 .04493 .63675 .03924 .62946 .02866 Metetra
.664 .741 .908 r
.62946 .02866 .63675 .03924 .65148 .03352 .64424 .02289 Metetra
.664 .741 .908 r
.64424 .02289 .65148 .03352 .66628 .02778 .6591 .01709 Metetra
.664 .741 .908 r
.6591 .01709 .66628 .02778 .68117 .022 .67403 .01125 Metetra
.664 .741 .908 r
.67403 .01125 .68117 .022 .69613 .01619 .68905 .00539 Metetra
0 g
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
[(-2)] .02757 .24618 1 .93395 Mshowa
.18558 .19702 m
.19014 .20174 L
s
[(0)] .17646 .18758 .96648 1 Mshowa
.34306 .13535 m
.34735 .14032 L
s
[(2)] .3345 .12542 .86223 1 Mshowa
.51046 .06981 m
.51442 .07504 L
s
[(4)] .50253 .05935 .75799 1 Mshowa
.68874 0 m
.69233 .00549 L
s
[(6)] .68156 -0.01098 .65374 1 Mshowa
.125 Mabswid
.07346 .24092 m
.0763 .24365 L
s
.11029 .2265 m
.1131 .22926 L
s
.14766 .21187 m
.15043 .21466 L
s
.22407 .18195 m
.22677 .18482 L
s
.26314 .16665 m
.2658 .16956 L
s
.3028 .15112 m
.30541 .15406 L
s
.38395 .11935 m
.38647 .12237 L
s
.42547 .10309 m
.42794 .10615 L
s
.46763 .08658 m
.47006 .08968 L
s
.55397 .05277 m
.55629 .05595 L
s
.59817 .03546 m
.60044 .03868 L
s
.64309 .01787 m
.6453 .02113 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 233.562},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000jB000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00b@3oool2000005D0oooo00380?ooo`040000003oool0oooo000005@0
oooo00380?ooo`040000003oool0oooo000005@0oooo00380?ooo`<00000E@3oool00<P0oooo00<0
00000?ooo`3oool0E@3oool00<P0oooo00<000000?ooo`3oool0E@3oool00<T0oooo0`00001D0?oo
o`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00c@3oool200000540oooo003;0?oo
o`D00000D03oool00<P0oooo1@0000000`2Y_NP000000000001@0?ooo`00a@3oool6000000<0ZKgX
0`00001?0?ooo`00`P3oool6000000<0ZKgX00<000000:Vmj02Y_NP01000001>0?ooo`00`03oool5
00000080ZKgX00@000000:Vmj02Y_NP0ZKgX100000000`2Y_NP000000000001>0?ooo`00_P3oool5
000000@0ZKgX00P000000:Vmj000000000000:Vmj0000000ZKgX00000080ZKgX0P00001=0?ooo`00
^`3oool5000000<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0D0000000<0oooo0000003oool0
B`3oool009/0oooo00<000000?ooo`3oool06`3oool400000080ZKgX00@000000:Vmj02Y_NP0ZKgX
0`0000030:Vmj0040000002Y_NP0ZKgX0:Vmj08000000`2Y_NP2000004`0oooo002K0?ooo`030000
003oool0oooo01P0oooo1@0000040:Vmj0040000002Y_NP0000000000080ZKgX00H000000:Vmj02Y
_NP0ZKgX0000002Y_NP2000000030:Vmj0000000ZKgX0080ZKgX0`00001;0?ooo`00V03oool50000
01H0oooo1P0000020:Vmj0030000002Y_NP0ZKgX00<00000102Y_NP00`000000ZKgX0:Vmj0030000
00<0ZKgX00@000000:Vmj000000000000P2Y_NP2000004X0oooo002H0?ooo`040000003oool0oooo
000001D0oooo0P0000001@3oool000000000002Y_NP0000000<0ZKgX0`0000030:Vmj0040000002Y
_NP0ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX0P0000080?ooo`800000
@03oool009T0oooo00<000000?ooo`0000004P3oool6000000@0ZKgX0`0000020:Vmj0060000002Y
_NP0ZKgX0:Vmj0000000ZKgX0P0000020:Vmj0040000002Y_NP0ZKgX0:Vmj08000000P2Y_NP20000
00<0ZKgX0`0000060?ooo`040000003oool0oooo000003l0oooo002J0?ooo`8000003`3oool60000
00<0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0030000002Y_NP0ZKgX00<00000102Y_NP01P00
0000ZKgX000000000000ZKgX00000080ZKgX0P0000000`2Y_NP00000000000020:Vmj08000001@3o
ool010000000oooo0?ooo`00000o0?ooo`00V`3oool00`000000oooo0?ooo`0;0?ooo`D000000P2Y
_NP010000000ZKgX0:Vmj02Y_NP300000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000030:Vmj003
0000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX0P0000050?ooo`04
0000003oool0oooo000003l0oooo002W0?ooo`80000000<0oooo000000000000102Y_NP010000000
ZKgX0000000000020:Vmj0050000002Y_NP0ZKgX0000002Y_NP00P0000020:Vmj0040000002Y_NP0
ZKgX0:Vmj0<000000P2Y_NP010000000ZKgX0:Vmj02Y_NP400000080ZKgX00<000000:Vmj02Y_NP0
100000040?ooo`040000003oool0oooo000003l0oooo002T0?ooo`H000000P2Y_NP00`000000ZKgX
0:Vmj003000000@0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0040000002Y_NP0000000000080
ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Vmj08000000P2Y_NP300000080ZKgX00<000000?oo
o`0000000`3oool010000000oooo0?ooo`00000o0?ooo`00X@3oool5000000<0ZKgX00@000000:Vm
j02Y_NP0ZKgX0P0000030:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj003
000000@0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0@000000P2Y_NP010000000ZKgX0:Vmj02Y
_NP2000000@0oooo0P0000100?ooo`00W`3oool400000080ZKgX00H000000:Vmj02Y_NP0ZKgX0000
002Y_NP2000000030:Vmj0000000ZKgX0080ZKgX0`0000030:Vmj0040000002Y_NP0ZKgX0:Vmj080
00000`2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj003
0000002Y_NP0ZKgX0080000000<0oooo0000003oool0A03oool009`0oooo1@0000040:Vmj0030000
002Y_NP0ZKgX00<000000`2Y_NP010000000ZKgX0000000000020:Vmj0060000002Y_NP0ZKgX0:Vm
j0000000ZKgX0P0000000`2Y_NP000000:Vmj0020:Vmj0<000000P2Y_NP010000000ZKgX0:Vmj02Y
_NP300000080ZKgX0P0000020:Vmj0@000000P2Y_NP2000004D0oooo002J0?ooo`@000000`2Y_NP0
10000000ZKgX0:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0030000002Y
_NP0ZKgX00<000000`2Y_NP010000000ZKgX0000000000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<0
00000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgW00@000000:Vmj02Y_NP0ZKgX0`0000140?oo
o`00U`3oool5000000030:Vmj0000000ZKgX0080ZKgX00@000000:Vmj000000000000P2Y_NP01000
0000ZKgX0:Vmj02Y_NP2000000<0ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Vmj0030000002Y
_NP0ZKgX00<00000102Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00@000000:Vmj00000000000
0P2Y_>L010000000ZKgW0:Vmi`2Y_NL300000080ZKgX0P0000130?ooo`00U03oool6000000@0ZKgX
00<000000:Vmj02Y_NP00P0000040:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP01000
0000ZKgX0000000000020:Vmj0040000002Y_NP0ZKgX0:Vmj08000000`2Y_NP00`000000ZKgX0:Vm
j00400000080ZKgX00<000000:Vmj02Y_NP00`0000001@2Y_>L000000:Vli`2Y_>L000000080ZKgW
0P0000040:Vmj0800000@`3oool00980oooo1@0000030:Vmj0030000002Y_NP0ZKgX00@000000P2Y
_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0060000002Y
_NP000000000002Y_NP000000`2Y_NP3000000<0ZKgX00@000000:Vmj02Y_NP0ZKgX0P0000030:Vk
i`8000000P2Y_>L300000080Z[gX00<000000:Vmj02Y_NP0100000120?ooo`00S`3oool300000005
0?ooo`00000000000:Vmj00000000`2Y_NP3000000<0ZKgX00@000000:Vmj02Y_NP0ZKgX0P000003
0:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00@00000
0:Vmj000000000000P2Y_NP01P000000ZKgX0:Vmj02Y_NP000000:Vmj080000000<0ZK[V0000002Y
^nL00P2Y^nL4000000030:Zmj0000000Z[gX0080Z[gX0`0000030:Vmj0800000@@3oool006d0oooo
1000000L0?ooo`80000000@0oooo00000000000000000`2Y_NP010000000ZKgX0000000000020:Vm
j0060000002Y_NP0ZKgX0:Vmj0000000ZKgX0P0000000`2Y_NP000000:Vmj0020:Vmj0<000000P2Y
_NP010000000ZKgX0:Vmj02Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0030000
002Y_NP0ZKgX00<000000`2Y^^H00`000000ZK_W0:Vki`03000000@0Z[gX0`0000020:Zmj0040000
002Y_NP0ZKgX0:Vmj0800000@@3oool006d0oooo00<000000?ooo`3oool06P3oool6000000<0ZKgX
00<000000:Vmj02Y_NP00P0000040:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP010000000ZKgX
0000000000020:Vmj0050000002Y_NP0ZKgX0000002Y_NP00P0000020:Vmj0040000002Y_NP0ZKgX
0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKST00<000000:VjiP2Y^^H010000002
0:Zmi`8000000P2Z_NP2000000@0Z[gX00D000000:Vmj000000000000:Vmj00200000400oooo001^
0?ooo`030000003oool0oooo01L0oooo100000030:Vmj0040000002Y_NP0ZKgX0:Vmj0<000000P2Y
_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0030000002Y
_NP0ZKgX00800000102Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX0`0000030:RehP04
0000002Y^>@0ZKST0:Vhi08000000`2[_NL00`000000Z[gW0:Zmi`0400000080Z[gX00<000000:Zm
j02Z_NP00`0000040:Vmj0800000?`3oool006l0oooo00<000000?ooo`3oool04`3oool500000003
0:Vmj0000000ZKgX0080ZKgX00@000000:Vmj000000000000P2Y_NP010000000ZKgX0:Vmj02Y_NP2
000000<0ZKgX00@000000:Vmj02Y_NP0ZKgX0P0000030:Vmj0030000002Y_NP0ZKgX00@000000P2Y
_NP00`000000ZKgX0:Vmj003000000@0ZKgX0`0000020:RagP060000002X]N80Z;GR0:RehP000000
ZKST0P0000000`2/_NL000000:^mi`020:^mi`060000002Z_NL000000000002Z_NL000000`2Z_NP3
000000<0Z[gX00<000000:Vmj02Y_NP00`00000o0?ooo`00L03oool00`000000oooo0?ooo`0@0?oo
o`D00000102Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00H000000:Vmj000000000000:Vmj000
00030:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP3000000<0ZKgX00<000000:Vmj02Y
_NP00`0000030:Vmj0030000002Y_NP0ZKgX00800000102X/Mh00`000000Z;GR0:RehP03000000<0
[;gW00<000000:^mi`2[_NL00`000000102Z_NL000000:Zmi`2Z_NL300000080Z[gX00@000000:Zm
j02Z_NP0Z[gX0`0000020:Vmj0800000?P3oool006d0oooo00@000000?ooo`3oool000003`3oool5
000000<0ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP0
0`000000ZKgX0:Vmj003000000<0ZKgX00@000000:Vmj000000000000P2Y_NP010000000ZKgX0:Vm
j02Y_NP300000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:N[fP040000002X/Mh0Z;7N0:Ra
gP<000000P2]_^H00`000000[;gW0:bmi`04000000<0ZkgW0P0000000`2Z_NL00000000000040:Zm
j0060000002Z_NP000000000002Z_NP000000`2Y_NP00`000000oooo0000000m0?ooo`00KP3oool2
000000d0oooo0`0000001@3oool000000000002Y_NP0000000<0ZKgX0`0000030:Vmj0030000002Y
_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00P00
00040:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP01P000000ZKgX000000000000YJ?D
000000<0Yj_J00@000000:RagP00000000000P2^_^D010000000[KkV0:fniP2]_^H2000000<0[;kW
00@000000:^mi`2[_NL0ZkgW0`0000020:^mi`030000002Z_NP0Z[gX00<00000102Z_NP00`000000
ZKgX00000003000003d0oooo001k0?ooo`80000000@0oooo00000000000000000`2Y_NP010000000
ZKgX0000000000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<000000P2Y_NP010000000ZKgX0:Vmj02Y
_NP300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<00000102Y
_NP00`000000ZKgX00000002000000@0YJ?D00D000000:N[fP2WZmX0Yj_J000000040:jni@060000
002]_^H000000000002]_^H000000`2/_^L01P000000ZkgW000000000000ZkkW000000<0ZkgW0`00
00020:Zmj0030000002Z_NP0Z[gX00@000000`2Z_NP2000003`0oooo001h0?ooo`H000000`2Y_NP0
0`000000ZKgX0:Vmj002000000@0ZKgX00@000000:Vmj000000000000P2Y_NP01@000000ZKgX0:Vm
j0000000ZKgX008000000P2Y_NP010000000ZKgX0:Vmj02Y_NP2000000<0ZKgX00@000000:Vmj02Y
_NP0ZKgX0P0000030:Vmj0030000002Y_NP0ZKgX00<000000`2SV/`01P000000YJ?D0:FSe02UXm@0
00000:N[fP80000000<0/KkT0000002^_^D00P2^_^D2000000<0[KkV00<000000:bni`2/_^L00`00
00040:^ni`<000000P2[_NL010000000Z[gX0:Zmj02Z_NP2000000<0Z[gX00<000000:Zmj02Z_NP0
1000000k0?ooo`00MP3oool500000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj08000000P2Y
_NP2000000@0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0060000002Y_NP000000000002Y_NP0
00000`2Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX0`0000000`2PTL@000000:>Jc003
0:>Jc0030000002UXm@0YJ?D00<000000`2a_^@010000000[[kU0000000000020:nni@040000002]
_^H0[KkV0:fniP8000000`2/_^H00`000000ZkkW0:^ni`02000000@0ZkgW00H000000:Zmj0000000
00000:Zmj00000030:Zmj0<000000P2Z_NP2000003/0oooo001c0?ooo`D000000P2Y_NP010000000
ZKgX0:Vmj02Y_NP2000000<0ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0
ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`000003
0:Vmj0060000002Y_NP000000000002MQk/000000`2PTL@010000000Xi[<0:>Jc02SV/`300000080
/kkR00<000000;6ni02a_^@00`0000040:nni@060000002]_^H000000000002^_^H000000`2/_^H3
000000030:^ni`00000000000080ZkgW0`0000030:Zmj0040000002Z_NP0000000000080Z[gX00@0
00000:Zmj02Z_NP0Z[gX0P00000j0?ooo`00L03oool3000000030?ooo`000000000000@0ZKgX00H0
00000:Vmj000000000000:Vmj00000030:Vmj0040000002Y_NP0000000000080ZKgX00@000000:Vm
j02Y_NP0ZKgX0P0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003
000000<0ZKgX00<000000:Vmj02Y_NP00P00000409f7^`050000002PTL@0X9740000002SV/`00P00
00020;Jmg`040000002c_^80/kkR0;>nhP8000000`2a_^<00`000000[kkU0:nni@03000000<0[[kV
00H000000:bniP00000000000:fniP0000020:^ni`@000000P2[_NL00`000000Z[gX0:Zmj0030000
00@0Z[gX00<000000:Zmj02Z_NP00P0000000`3oool000000?ooo`0h0?ooo`00KP3oool200000004
0?ooo`000000000000000080ZKgX0P0000020:Vmj0800000102Y_NP00`000000ZKgX0:Vmj0020000
00@0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0<000000P2Y_NP010000000ZKgX0:Vm
j02Y_NP300000080ZKgX00<000000:Vmj02Y_NP0100000000`2JOK<0000009f7^`0309f7^`050000
002PTL@0X9740:2Aa0000000102f_Ml01P000000/kkR000000000000];kQ000000<0/KkS0`000002
0;2ni0030000002^_^H0[[kV00<00000102]_^H300000080[;kW00@000000:^mi`2[_NL0ZkgW0P00
00030:Zmi`030000002Z_NP0Z[gX00@000000P2Z_NP2000003T0oooo001[0?ooo`H000000P2Y_NP0
0`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0
ZKgX00<000000`2Y_NP010000000ZKgX0000000000020:Vmj0050000002Y_NP0ZKgX0000002Y_NP0
0P0000020:Vmj0040000002Y_NP0ZKgX0:Vmj08000000P2GMJ/01@000000VWfc09Ym/`2JOK<00000
00@0WHNk0`0000000`2j_=`000000;Jmg`020;Jmg`8000000`2d_^4010000000/KkS000000000002
0;:nh`040000002`_^@0/;kT0;2ni08000000`2^_^D00`000000[KkV0:fniP02000000060:bni`00
0000[;kW0:bni`000000ZkgW0P0000000`2[_^L000000:Zmi`020:Zmi`<000000P2Z_NP00`000000
Z[gX0:Zmj004000003P0oooo001Y0?ooo`80000000<0oooo0000000000000P2Y_NP010000000ZKgX
0:Vmj02Y_NP2000000<0ZKgX00@000000:Vmj02Y_NP0ZKgX0P0000030:Vmj0030000002Y_NP0ZKgX
00<000000`2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00<000000:Vmj02Y_NP00P0000040:Vm
j0030000002Y_NP0000000800000102GMJ/010000000VWfc09Ym/`00000409f7^`060000002j_=`0
^[cL0;Zlg0000000][gO0P0000020;RmgP050000002d_^40];kQ0;Bnh@000000102b_^<01P000000
/;kT000000000000/;kT000000<0[[kU0`0000020:fniP80000000@0[;kW00000000000000000`2[
_^L01P000000Z[gW000000000000Z[gW000000<0Z[gX0`0000030:Zmj0800000=`3oool006H0oooo
0`0000000`3oool00000000000040:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP01P00
0000ZKgX000000000000ZKgX000000<0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y
_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`00000209A^Y@030000002G
MJ/0UgF[0080UgF[00@0000009Ym/`2JOK<000000P2MQk/2000000030;fkf0000000^[cL0080^[cL
00<000000;RmgP2h_Mh00P2h_Mh01P000000];kQ000000000000][kP00000080/[kS0`0000030;2n
i0060000002^_^D000000000002__^D000000`2]_^H300000080[;kW00<000000:^ni`2[_^L00`00
00040:Zmi`<000000P2Z_NP010000000Z[gX0:Zmj02Z_NP2000003L0oooo00150?ooo`8000007@3o
ool600000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y
_NP010000000ZKgX0000000000020:Vmj0040000002Y_NP0ZKgX0:Vmj08000000`2Y_NP010000000
ZKgX0:Vmj02Y_NP2000000<0ZKgX00<000000:Vmj02Y_NP00`000002099YW`050000002DKZD0U6jU
09A^Y@0000000`2GMJ/010000000VWfc09Ym/`2JOK<2000000<0_K_H00H000000;Zlg00000000000
0;^mf`0000030;RmgP800000102f_^02000000<0/kkR00<000000;2ni02`_^@00P0000040:nni@<0
000000<0[KkV0000000000000`2/_^L2000000<0ZkkW00<000000:Zmi`2Z_NL00P0000040:Zmj003
0000002Z_NP0Z[gX00@00000=P3oool004@0oooo00@000000?ooo`3oool000006@3oool5000000<0
ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000
ZKgX0:Vmj002000000@0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0060000002Y_NP0
00000000002Y_NP000000`2Y_NP300000003091TV`000000TVVO0080TVVO00D0000009A^Y@2DKZD0
U6jU0000000309MeZ`050000002JOK<0VWfc09Ym/`0000001@2m^mP01P000000^kgK0;^mf`2k_M/0
00000;RmgP8000000P2i_]d01P000000][kP000000000000]kkP000000<0/kkR0`0000020;6ni003
0000002__^D0[kkU008000000`2]_^H2000000050:bni`00000000000:bni`0000000`2[_^L30000
0080Z[gW00<000000:Zmj02Z_NP0100000020:Zmj0030000003oool0000000H0oooo1000000[0?oo
o`00A03oool010000000oooo0?ooo`00000F0?ooo`<0000000D0oooo000000000000ZKgX00000003
0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP010000002
0:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00H00000
0:Vmj0000000000008iQV0000002091TV`030000002BJIl0TVVO0080TVVO00@0000009A^Y@2DKZD0
0000102GMJ/3000000040<2je0000000_K_H0;fkf080000000<0_k_G0000002k_M/00P2k_M/00`00
0000^KkM0;Vng@020;Vng@8000000`2g_^001P000000/kkR000000000000];oR000000<0/KkT0`00
00020:nni@030000002]_^H0[KkV00<000000`2/_^L01P000000ZkkW000000000000ZkkW000000<0
Z[gW0`0000020:Zmj0030000002Z_NP0Z[gX00@000001P3oool00`000000oooo0?ooo`0/0?ooo`00
A03oool010000000oooo0?ooo`00000D0?ooo`8000000P3oool2000000<0ZKgX00@000000:Vmj000
000000000P2Y_NP010000000ZKgX0:Vmj02Y_NP2000000<0ZKgX00@000000:Vmj02Y_NP0ZKgX0P00
00030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<0
00000:Vmj02Y_NP00P00000308iQV0040000002@I9/0T6BK000000@0TVVO00@0000009A^Y@2DKZD0
0000102GMJ/01`000000`;[D0<2je030^]@000000;fkf00000000`2o^mL01`000000^kgK00000000
0000_KgJ0000002i_]d00P0000000`2j_]`000000;Nnh0020;Nnh0800000102d_n8300000080/[oT
00@000000:nni@2__^D0[kkU0`0000020:fniP030000002/_^L0[;kW00800000102[_^L300000080
ZkkW00@000000:Zmj02Z_NP0Z[gX0P0000030:Zmj08000001P3oool00`000000oooo0?ooo`0[0?oo
o`00A03oool010000000oooo0?ooo`00000A0?ooo`L000000P2Y_NP00`000000ZKgX0:Vmj0020000
00@0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0060000002Y_NP000000000002Y_NP0
00000`2Y_NP300000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX
00@0000000<0SEjE0000002>HIP00P2>HIP01@000000T6BK091TV`2@I9/0000000<0TVVO00H00000
09A^Y@2DKZD0U6jU0000002GMJ/2000000030<:gd0000000`;[D0080`;[D00<000000;nke`2o^mL0
0P2o^mL2000000@0_KgJ00<000000;Zng02j_]`00P2j_]`300000080^;oO00<000000;BohP2d_n80
0P0000040;:oi0050000002__^D000000000002__^D00P0000000`2]_^H000000000000200000080
[;kW00<000000:^ni`2[_^L00P0000040:^ni`060000002Z_NP000000000002Z_NP000000`2Z_NP3
000000H0oooo00<000000?ooo`3oool0:P3oool004@0oooo00@000000?ooo`3oool000003`3oool5
000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj08000000P2Y_NP2000000@0ZKgX00<00000
0:Vmj02Y_NP00P0000030:Vmj0040000002Y_NP0000000000080ZKgX00D000000:Vmj02Y_NP00000
0:Vmj00200000080ZKgX00@000000:Vmj02Y_NP0ZKgX0P00000208aLT`040000002=GYD0SEjE0000
00<0SV6H00D00000091TV`2@I9/0T6BK00000003099YW`040000002DKZD0U6jU09A^Y@8000000`32
]m001`000000`;[D000000000000`[[B0000002o^mL00P0000001031_=D000000;fmfP2m_MX20000
00030;jmf@000000^[kL0080^[kL00<000000;Rog`2h_ml00P2h_ml300000080]KoR00<000000;:o
i02b_n@00`0000030:nni@<000000P2^_^H00`000000[;kW0:bni`0400000080ZkkW00<000000:^n
i`2[_^L00`0000030:Zmj0050000002Z_NP000000000002Z_NP00P0000070?ooo`030000003oool0
oooo02T0oooo00150?ooo`8000003@3oool500000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`000002
0:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<00000
0:Vmj02Y_NP00P0000040:Vmj0030000002Y_NP0ZKgX00800000102Y_NP00`000000ZKgX00000002
000000<0S5bC00@0000008eNU@2=GYD000000`2>HIP01@000000T6BK091TV`2@I9/0000000<0TVVO
00D0000009A^Y@2DKZD0U6jU000000050<:gd00300000032^]80`[[B0080`[[B00<000000<6le@31
_=D00P31_=D2000000<0_[gI00L000000;Zng000000000000;bng0000000^;oO0080000000<0^KoN
0000002e_n800P2e_n8300000080/[oS00D000000:nni@00000000000;2oi@02000000<0[[kV0P00
00020:bni`030000002[_^L0ZkkW00@000000P2[_^L00`000000Z[gX0:Zmj003000000@0Z[gX0P00
00030?ooo`040000003oool0oooo000002/0oooo001B0?ooo`80000000D0oooo000000000000ZKgX
000000020:Vmj0040000002Y_NP0000000000080ZKgX00@000000:Vmj02Y_NP0ZKgX0P0000030:Vm
j0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vm
j02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000P2<FY801@000000S5bC08aLT`2<G9<0
00000080SEjE00D0000008iQV02>HIP0SV6H00000003091TV`030000002BJIl0TVVO0080TVVO00D0
000009A^Y@000000a;C<000000020<:gd0<000000P32^]82000000030<Bjd@000000`KcE0080`KcE
00<000000;jmf@2n_MT00P2n_MT2000000@0_;kL00<000000;VogP2i_mh00P2i_mh300000080][oQ
00D000000;:oh`2b_n<0/[oS000000030;2oi@80000000D0[[kV000000000000[[kV000000030:bn
i`8000000`2[_^L00`000000ZkkW0:^ni`03000000<0Z[gX00<000000:Zmj02Z_NP00P0000000`3o
ool000000?ooo`020?ooo`800000;03oool004l0oooo1P0000030:Vmj0030000002Y_NP0ZKgX0080
0000102Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX0`0000020:Vmj0040000002Y_NP0
ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`00
000208]JT@040000002<FY80S5ZB000000<0S5bC00D0000008eNU@2=GYD0SEjE0000000208iQV005
0000002@I9/0T6BK091TV`000000102BJIl200000080a;C<00<000000<:gd00000000`34]lh20000
00<0a;[A00L000000<6le@00000000000<>le0000000_[gI008000000P30_]L01P000000_;kL0;bn
g0000000_KoK000000<0^KoN00<000000;Joh@2f_n400P2f_n401P000000/[oS000000000000/koS
00000080/;oU0`0000030:jniP060000002/_^L000000000002]_^L000000`2[_^L300000080ZkkW
00<000000:Zmj02Z_NP0100000020:Zmj0800000<@3oool004`0oooo1P0000030:Vmj0030000002Y
_NP0ZKgX00<000000P2Y_NP200000080ZKgX0P0000030:Vmj0040000002Y_NP0000000000080ZKgX
00D000000:Vmj02Y_NP000000:Vmj00200000080ZKgX00@000000:Vmj02Y_NP0ZKgX0P0000020:Vm
j08000000P2Y_NP30000000308]IT@000000ReZA0080ReZA00@0000008aJTP2<FY8000000`2<G9<0
1@000000SEjE08eNU@2=GYD0000000<0SV6H00@00000091TV`2@I9/00000102BJIl00`000000a;C<
0<Bdc0020<Bdc00300000034]lh0a;O>0080a;O>00<000000<Bjd@34^]400`34^]400`000000`kcD
0<>le0020<>le00300000030_]L0`;kG0080`;kG00<000000;bng00000000P2m_m/01P000000^KoN
000000000000^[oN00000080][oQ0`0000030;>oh`@0000000@0/;oU0000002^_^H0[[kV0`000003
0:fni`060000002[_^L000000000002[_^L000000`2[_^L300000080Z[gX00<000000:Zmj02Z_NP0
1000000`0?ooo`00BP3oool2000000030?ooo`00000000000080ZKgX0P0000020:Vmj0<000000P2Y
_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0030000002Y
_NP0ZKgX00800000102Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX0`0000001@2;FI40
000008]IT@2;FI40000000<0ReZA00@0000008aJTP2<FY8000000`2<G9<01@000000SEjE08eNU@2=
GYD0000000<0SV6H00H00000091TV`2@I9/0T6BK0000002BJIl300000080a;C<0P0000001`36]<T0
00000<BgcP34]lh000000<Jhc00000000P34^]42000000070<Jjc`000000`kcD0<>le0000000a;cC
000000030<2ne`8000000`2m_m/2000000@0^[oN0P0000020;O0h@040000002c_n<0000000000080
/koS0P0000020;2oi@8000000`2^_nH00`000000[KkW0:fni`02000000@0ZkkW0`0000020:^ni`04
0000002Z_NP0Z[gX0:Zmj08000000P2Z_NP00`000000oooo0000000_0?ooo`00A`3oool300000005
0?ooo`00000000000:Vmj00000000`2Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vm
j0030000002Y_NP0ZKgX00<000000P2Y_NP200000080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX
00<000000`2Y_NP01P000000ZKgX000000000000ReZA00000080ReVA00@0000008]IT@2;FI400000
0`2;FY401@000000S5ZB08aJTP2<FY8000000080S5bC00D0000008eNU@2=GYD0SEjE0000000308iQ
V0040000002@I9/0T6BK091TV`8000000`34//P2000000<0a[C900<000000<BgcP0000000P36^<`0
0`000000a;[A000000030<Jjc`0300000033_=@000000080a;cC00L000000<2ne`00000000000<:n
e`000000_KoK008000000P2o_mX01P000000^[oN000000000000^l3M000000<0]l3Q00<000000;>o
h`2c_n<00P2c_n<4000000030;6oi@000000[[oV0080[[oV0`0000020:fni`030000002[_^L0ZkkW
00800000102[_^L01P000000Z[gX000000000000Z[gX000000<0Z[gX0P00000_0?ooo`00A@3oool2
00000080oooo0P0000030:Vmj0040000002Y_NP0000000000080ZKgX00@000000:Vmj02Y_NP0ZKgX
0P0000020:Vmj0030000002Y_NP0ZKgX0080ZKgX0P0000020:Vmj0030000002Y_NP0ZKgX00@00000
0P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00P00000308]JT@040000
002;FI40ReVA00000080ReVA00D0000008]JT@2;FY40ReZA0000000308aJTP040000002<G9<0S5bC
000000<0SEjE00D0000008iQV02>HIP0SV6H00000003091TV`0300000034//P0a;;80080a;;800<0
00000<Jdb@36]<T00`36]<T00`000000a[S<0<Jhc0020<Jhc00300000036^/l0a[[?00<0a[[?00<0
00000<Bld`34_=<00P34_=<00`000000`[kG0<:ne`020<:ne`030000002o_mX0_koJ00<0_koJ00H0
00000;_0g@2k`=d0^l3M0000002g`>42000000040;S0h@000000/koS0;>oh`<000000`2a_nD01P00
0000[[oV000000000000[koV00000080[KkW100000020:bni`030000002[_^L0ZkkW00<000000`2Z
_NP00`000000Z[gX0:Zmj002000000030?ooo`000000oooo02d0oooo00120?ooo`L000000P2Y_NP0
0`000000ZKgX0:Vmj002000000@0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0060000
002Y_NP000000000002Y_NP000000`2Y_NP2000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vm
j0030000002Y_NP0ZKgX00@0000000<0S5ZB0000002;FY400P2;FY4010000000ReVA08]IT@000002
08]IT@050000002;FY40ReZA08]JT@0000000`2<FY8010000000S5bC08aLT`00000308eNU@060000
002>HIP0SV6H08iQV0000000T6BK0`0000030<Bbb08000001036]<T00`000000b;G8000000020<Jh
c00300000038^<X000000080a[[?0P0000001`38^lh000000<Bld`34_=<000000<Jmd@0000000P32
_]L00`000000a;oF000000020;nofP<000000`2k`=d2000000@0^<3Q0P0000020;C0h`80000000@0
/KoU0000000000000000102__nH200000080[KkW00<000000:bni`2/_^L0100000020:^ni`030000
002Z_NP0Z[gX00@000000P2Z_NP3000002d0oooo00100?ooo`D000000`2Y_NP00`000000ZKgX0:Vm
j00300000080ZKgX0P0000020:Vmj08000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00H0
00000:Vmj000000000000:Vmj00000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080
S5bC00@0000008aJTP2<FY8000000`2;FY4010000000ReVA08]IT@00000308]IT@040000002;FY40
ReZA000000<0S5ZB00D0000008aLT`2<G9<0S5bC0000000208eNU@040000002>HIP0SV6H08iQV080
00000`34[/D01P000000a;;80<Bbb0000000a[7600000080a[C900H000000<Reb038]LP000000<Jh
c00000020<RhbP0300000036^/l0000000<0b;_>00<000000<Bld`0000000P36_M400`000000`[kG
000000020<BoeP030000002o_mX0000000<0`<3I0`0000020;c1g@060000002h`>4000000000002h
`N0000000`2d`><2000000<0/KoT00H000000:noiP00000000000:noiP0000030:fni`8000000`2/
_^L00`000000ZkkW0:^ni`0300000080Z[gX00<000000:Zmj02Z_NP01000000]0?ooo`00?@3oool6
000000030:Vmj000000000000080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP0
0`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00P0000030:Vmj0040000002Y_NP0
000000000080ZKgX00@000000:Vmj02Y_NP0ZKgX0P0000000`2=GYD0000008aLT`0208aLT`040000
002<FY80S5ZB000000<0ReZA00@0000008]IT@2;FI4000000`2;FI4010000000ReZA08]JT@000003
08aJTP050000002<G9<0S5bC08aLT`0000000P2=GYD01@000000SV6H08iQV02>HIP0000000@0a:k5
00<000000<Bbb00000000P36/LH00`000000a[C9000000040<Reb00300000038^<X0b;S:0080b;S:
00<000000<RkcP38^lh00`38^lh00`000000a[gA0<Jmd@020<Jmd@0300000034_mH0a;oF0080a;oF
00<000000<30f@30`=T00P30`=T00`000000_<7M0;c1g@020;c1g@8000000`2h`N000`000000]<3S
0000000300000080/KoT0`0000030:noiP060000002]_^L000000000002]_^L000000`2/_^L30000
0080ZkkW00<000000:Zmj02Z_NP00`0000020:Zmj0030000003oool0000002`0oooo000M0?ooo`@0
00006@3oool3000000050?ooo`00000000000:Vmj00000000`2Y_NP300000080ZKgX00<000000:Vm
j02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj0040000
0080ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0030000002Y_NP00000008000000P2=GYD01@00
0000S5bC08aLT`2<G9<000000080S5ZB00D0000008]JT@2;FY40ReZA0000000208]IT@050000002;
FI40ReVA08]IT@0000000P2;FY401@000000S5ZB08aJTP2<FY80000000<0S5bC00H0000008eNU@2=
GYD0SEjE0000002>HIP2000000D0a:k500<000000<JaaP36/LH00P36/LH00`000000b;G80<Reb002
0<Reb08000000`38^<X00`000000bkS8000000020<RkcP<000000P36_M42000000030<Rnd0000000
a;oF0080000000<0aKoD00000030`=T00P0000000`32`MT000000;c1g@02000000030;g1g@000000
^<7P0080^<7P0P0000020;G0h`040000002e`><0000000000080/L3T00<000000:noiP2__nH00`00
00030:fni`060000002/_^L000000000002/_^L000000`2[_^L300000080Z[gX00<000000:Zmj02Z
_NP00`00000/0?ooo`007@3oool00`000000oooo0?ooo`0H0?ooo`8000000P3oool2000000<0ZKgX
00@000000:Vmj000000000000P2Y_NP010000000ZKgX0:Vmj02Y_NP200000080ZKgX00<000000:Vm
j02Y_NP00P2Y_NP200000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX
00<000000P2Y_NP200000080ZKgX0P00000208iQV0040000002=GYD0SEjE000000<0S5bC00@00000
08aJTP2<FY8000000`2;FY4010000000ReVA08]IT@00000308]IT@040000002;FY40ReZA000000<0
S5ZB00D0000008aLT`2<G9<0S5bC0000000308eNU@050000002>HIP000000<:[``0000000P34[/D2
000000070<J^``000000a[760<JaaP000000b;;4000000020<Reb0040000003:]LH0b[G600000080
b;S:00D000000<^hb0000000b;_>000000030<Zkc08000001038_]000`000000aKoD0<Foe0020<Fo
e00300000032`MT0`/7I0080`/7I00<000000;g1g@2m`Md00P2m`Md300000080^L7P00H000000;G0
h`00000000000;G1h`0000030;70i08000000P2__nH00`000000[KkW0:fni`03000000@0[;kW0`00
00000`2[_^L000000:Zmj0020:Zmj0<000000P2Z_NP2000002/0oooo000N0?ooo`030000003oool0
oooo01@0oooo1`0000020:Vmj0030000002Y_NP0ZKgX00800000102Y_NP01P000000ZKgX00000000
0000ZKgX000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj08000000P2Y_NP20000
0080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@0000000D0T6BK0000002>HIP0SV6H00000002
08eNU@050000002<G9<0S5bC08aLT`0000000P2<FY801@000000ReZA08]JT@2;FY4000000080ReVA
00D0000008]IT@2;FI40ReVA0000000308]JT@040000002<FY80S5ZB000000<0S5bC00@0000008eN
U@2=GYD0SEjE0P0000020<:[``0300000034[/D0000000<0aZk300<000000<JaaP0000000P38//@0
0`000000b;G8000000030<ZeaP0300000038^<X0000000<0bkS800<000000<Zkc03:^l`00P3:^l`0
0`000000b;k@0<Rnd0020<Rnd08000000P35_m@2000000070<O0e0000000`/7I0<;1f@000000`l7H
000000030;g1g@030000002i`N00^L7P0080^L7P0`0000020;G1h`060000002a`>@000000000002b
`>@000000`2__nH200000080[KkW00<000000:bni`2/_^L00`0000040:^ni`<0000000<0Z[kX0000
002Z_NP00P2Z_NP3000002X0oooo000G0?ooo`@00000103oool00`000000oooo0?ooo`0A0?ooo`80
000000@0oooo00000000000000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX0P0000020:Vm
j08000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00H000000:Vmj000000000000:Vmj000
00030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080TVVO00@00000091TV`2@I9/00000
0P2>HIP010000000SEjE08eNU@00000308aLT`040000002<FY80S5ZB000000<0ReZA00@0000008]I
T@2;FI4000000`2;FI401@000000ReZA08]JT@2;FY4000000080S5ZB00D0000008aLT`2<G9<0S5bC
0000000308eNU@0300000032Zl<0`Z_30080`Z_300<000000<J^``36[/<00`36[/<00`000000b;;4
0<Rba0020<Rba0030000003:]LH0b[G600<0b[G600L000000<^hb03;^<P0bkS80000003=^LL00000
0080b[_<00<000000<blb`0000000P38_]000`000000b[k?0<Znc`02000000<0al3D00<000000<;1
f@0000000P33`MP01`000000_L7M000000000000_/;L0000002i`N000P0000000`2j`^0000000000
00020;G1h`8000000`2b`>@01P000000[koV000000000000[koV00000080[KkW0`0000030:bni`03
0000002[_^L0ZkkW00800000102Z_^P3000000030:Zmj0000000000002X0oooo000P0?ooo`030000
003oool0oooo00d0oooo1P0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP200000080ZKgX
0`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX
00@000000:Vmj000000000000P2Y_NP010000000ZKgX0:Vmj02Y_NP20000000309A^Y@000000TVVO
0080TVVO00@00000091TV`2@I9/000000P2>HIP01@000000SEjE08eNU@2=GYD000000080S5bC00@0
000008aJTP2<FY8000000`2;FY4010000000ReVA08]IT@00000308]IT@050000002;FY40ReZA08]J
T@0000000P2<FY801P000000S5bC08aLT`2<G9<0000008eNU@<000000`32Zl<2000000@0aZk30P00
00030<Rba0030000003;//8000000080b[G60P0000002@3<]/@000000<^hb03;^<P000000<fia`00
0000b[_<000000020<blb`0300000038_]00000000<0b[k?00<000000<O0e037`=@00`37`=@01000
0000`l7H0<?1f033`MP2000000@0_/;L00<000000;[2h02j`^000P2j`^03000000040;K1hP000000
//3T0;;0i0<000000`2__nH300000080[KoW00<000000:bni`2/_^L0100000020:^ni`030000002Z
_^P0Z[kX00800000102Z_NP2000002T0oooo000M0?ooo`040000003oool0oooo000000d0oooo0P00
00000`3oool00000000000020:Vmj0040000002Y_NP0ZKgX0:Vmj08000000P2Y_NP00`000000ZKgX
0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj08000000P2Y_NP300000080ZKgX
00<000000:Vmj02Y_NP00P0000040:Vmj0030000002Y_NP00000008000000P2DKZD01@000000TVVO
099YW`2BJIl000000080T6BK00@0000008iQV02>HIP000000`2=GYD010000000S5bC08aLT`000002
08aJTP050000002;FY40ReZA08]JT@0000000`2;FI4010000000ReVA08]IT@00000308]JT@050000
002<FY80S5ZB08aJTP0000000P2<G9<2000000<0_jO100H000000<:[``32Zl<000000<B[`0000002
0<J^``0400000038[/40b:k100000080b;;400D000000<^b`P000000b[G6000000030<bfa0030000
003;^<P0000000<0cKW700<000000<blb`3<_</00P3<_</01`000000b[k?0<Znc`3:_/l000000<bo
cP0000000P37`=@3000000030<?1f000000000000080a<;H00H000000;k2g000000000000;o2g000
00020;[2h0800000102f`N8200000080//3T00@000000:noiP00000000000P2__nH010000000[KoW
0:foi`2]_nL200000080[;kW00<000000:^ni`2[_^L0100000020:Znj0030000002Z_NP0Z[gX0080
000000<0oooo0000003oool09`3oool001h0oooo0P00000;0?ooo`H00000102Y_NP01P000000ZKgX
000000000000ZKgX000000<0ZKgX0P0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`00
0000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj08000000P2Y_NP20000
0080UgF[00@0000009A^Y@2DKZD000000`2BJIl010000000T6BK091TV`00000208iQV0050000002=
GYD0SEjE08eNU@0000000P2<G9<010000000S5ZB08aJTP00000408]JT@040000002;FI40ReVA0000
0080ReVA00D0000008]JT@2;FY40ReZA0000000308aJTP040000002<G9<0S5bC000000@0_jO100<0
00000<:[``0000000P34Zl000`000000aZk3000000030<R^`@0300000038//@0000000<0bk;200<0
00000<bfa03<]/@00`3<]/@01`000000cKW70<fia`3=^LL000000<nja@0000000P3<_</01@000000
c[g90000003:_/l000000080c;o>00<000000<O0e00000000`38`M<00`000000a<;H0<C2f0030<C2
f0030000002o`]`0_l;L0080_l;L0P000000102k`^0000000000002f`N82000000040;K1hP000000
//3T0;;0i0800000102__nH01P000000[KoW000000000000[KoW000000<0[;kW0P0000020:^ni`03
0000002Z_^P0Z[kX00@000000P2Z_NP2000002P0oooo000X0?ooo`<0000000@0oooo000000000000
00000P2Y_NP200000080ZKgX0P0000030:Vmj0060000002Y_NP000000000002Y_NP00000102Y_NP2
00000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP0
0`000000ZKgX0:Vmj0040000000309Ym/`000000UgF[0080UgF[00@0000009A^Y@2DKZD000000P2B
JIl010000000T6BK091TV`00000208iQV0050000002=GYD0SEjE08eNU@0000000P2<G9<010000000
S5ZB08aJTP00000408]JT@040000002;FI40ReVA00000080ReVA00D0000008]JT@2;FY40ReZA0000
000308aJTP040000002<G9<00000000000D0_jO100<000000<B[`034Zl000P34Zl000`000000b:k1
0<R^`@030<R^`@040000003;//80bk;20<^b`P800000103<]/@200000080cKW700H000000<nja@3?
^/D000000<blb`0000030<jmb@030000003<_lh0c;o>0080c;o>00L000000<S1d`38`M<0b<7C0000
003:`]8000000080a<;H0`0000020;o2g0<0000000<0^l;P0000000000000P0000030;K1hP<00000
0P2b`>@00`000000[koV0:noiP03000000<0[KoW00H000000:bni`00000000000:bni`0000020:^n
i`<000000P2Z_^P00`000000Z[gX0:Zmj004000002L0oooo000V0?ooo`80000000@0oooo00000000
000000000P2Y_NP200000080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00800000102Y_NP01P00
0000ZKgX000000000000ZKgX000000<0ZKgX0P0000020:Vmj08000000P2Y_NP300000080ZKgX00<0
00000:Vmj02Y_NP00`00000209f7^`040000002JOK<0VWfc000000<0UgF[00@0000009A^Y@2DKZD0
00000P2BJIl010000000T6BK091TV`00000208iQV0050000002=GYD0SEjE08eNU@0000000`2<G9<0
10000000S5ZB08aJTP00000308]JT@040000002;FI40ReVA00000080ReVA00D0000008]JT@2;FY40
ReZA0000000308aJTP8000000P2lXl000`000000_jO10;nW`@03000000<0a:_00P0000040<R^`@03
0000003:[kl000000080bk;200<000000<fb`00000000P3<]/@00`000000c[K20<jf`P02000000@0
ck[500L000000<jmb@3>_LT0c[g90000003@_LP000000080c;o>00D000000<k0c@000000b<7C0000
00020<[2dP0300000034`]P0000000<0aL?H0P0000000`30`m`0000000000005000000030;K1hP00
000000000080]l;R00@000000;;0i02b`>@0//3T0P0000020:noiP030000002]_nL0[KoW00<00000
0`2/_^L300000080ZkkW00<000000:Znj02Z_^P00`0000020:Zmj0030000003oool0000002H0oooo
000T0?ooo`D000000P2Y_NP200000080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y
_NP200000080ZKgX0P0000030:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP300000080
ZKgX00<000000:Vmj02Y_NP00`0000000`2PTL@0000009f7^`0209f7^`040000002JOK<0VWfc0000
00<0UgF[00@0000009A^Y@2DKZD000000P2BJIl01@000000T6BK091TV`2@I9/000000080SV6H00@0
000008eNU@2=GYD000000`2<G9<010000000S5ZB08aJTP00000308]JT@040000002;FI40ReVA0000
00<0ReVA00@0000008]JT@2;FY4000000`2<FY801`000000_:?00;bS`02lXl0000000;nW`@000000
0`31Ykl01P000000a:_00<B[`0000000aZ^n00000080b:k100H000000<Z__`3:[kl000000<^b`P00
00020<fb`0030000003<]/@0000000<0c[K200<000000<nja@3?^/D00P3?^/D00`000000dK[40000
00020<jmb@050000003@_LP000000<bocP0000000`3>`<d00`000000b/;B0<[2dP020<[2dP030000
0035`mP0aL?H0080aL?H0`0000020<33g0060000002k`]l0^l;O0000002k`]l00000102g`^801P00
0000//3T000000000000/l7T00000080[koV0`0000020:foi`060000002/_^L000000000002/_^L0
00000`2[_^L300000080Z[kX00<000000:Zmj02Z_NP00`00000V0?ooo`00903oool200000080ZKgX
00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX
0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00P0000030:Vmj0040000002Y_NP0000000000080
ZKgX00@000000:Vmj02Y_NP0ZKgX0P0000000`2SV/`000000:2Aa0020:2Aa0040000002MQk/0WHNk
00000080VWfc00D0000009MeZ`2GMJ/0UgF[0000000209A^Y@050000002BJIl0TVVO099YW`000000
0P2@I9/010000000SV6H08iQV000000208eNU@050000002<G9<0S5bC08aLT`0000000P2<FY801@00
0000ReZA08]JT@2;FY4000000080ReVA00D0000008]IT@2;FI40ReVA0000000208]JT@030000002<
FY80000000800000102lXl000`000000`JNo0<6W_`020<6W_`0300000034Zl0000000080aZ^n00<0
00000<R^`@000000103:[kl00`000000cK;00<fb`0020<fb`0070000003>]/80c[K20<jf`P000000
d;O1000000020<nja@060000003A^/@0dK[40000003>_LT000000`3@_LP01`000000c/3=0<k0c@3>
`<d000000<o1c@0000000P3:`]800`000000bl?B00000003000000030<K4e`000000`<?L00800000
00<0`LCL0000002k`]l00P000000102l`ml000000;O2hP2g`^83000000<0/l7T0`0000020;30iP03
0000002]_nL0[KoW00800000102/_^L3000000030:^ni`000000Z[kX0080Z[kX0`0000020:Zmj080
00009@3oool002@0oooo0P0000030:Vmj08000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX
00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX
0:Vmj002000000@0ZKgX00<000000:Vmj00000000P0000030:>Jc0040000002PTL@0X974000000<0
WHNk00@0000009Ym/`2JOK<000000P2GMJ/010000000U6jU09A^Y@000003099YW`040000002@I9/0
T6BK00000080SV6H00@0000008eNU@2=GYD000000`2<G9<010000000S5ZB08aJTP00000308]JT@04
0000002;FI40ReVA000000<0ReVA00<0000008]JT@2;FY400P0000030;NO`0030000002lXl00_:?0
008000001@31Ykl00`000000aZ^n0<J[_P020<J[_P030000003:[kl0bZno0080bZno0P0000030<fb
`0030000003?/kh000000080c[K200D000000=2g`@000000ck[5000000040=6ja0070000003@_LP0
d;g80=2mb0000000d[k7000000020<k0c@040000003?`Ld000000<[2dPD000001036a=L00`000000
`LCL0<74g0020<74g0050000002l`ml0_<?O0000002l`ml00P0000020;O2h`060000002c`N@00000
0000002c`N@000000`2``>H300000080[KoW00<000000:bni`2/_^L00P0000040:^ni`<0000000<0
Z[kX0000002Z_NP00P2Z_NP3000002@0oooo000M0?ooo`8000001@3oool2000000050:Vmj0000000
00000:Vmj0000000102Y_NP200000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj08000000P2Y
_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj08000000P2Y_NP2000000<0YJ?D00@0
00000:>Jc02SV/`000000P2PTL@01@000000WHNk09f7^`2MQk/000000080VWfc00L0000009MeZ`2G
MJ/0UgF[0000002DKZD0000000<0TVVO00@00000091TV`2@I9/000000P2>HIP010000000SEjE08eN
U@00000308aLT`040000002<FY80S5ZB000000<0ReZA00@0000008]IT@2;FI4000000`2;FI401000
0000ReZA08]JT@0000040;NO`0030000002lXl0000000080_J>n00<000000<6W_`31Ykl00`000003
0<J[_P8000000`3:[kl010000000c:nm0<b__@0000020<fb`0050000003?/kh000000<jf`P000000
0`3@]l400`000000dK[40=6ja0020=6ja08000000P3@_LP01P000000d[k70=:na`000000c/3=0000
00<0cl7=0P0000001@3;`m8000000000003=a=8000000080a/CG00@000000<O4e`000000`LCL0P00
00000`32a=`000000;c3g`02000000030;c3h0000000]l;S0080]l;S00<000000;?1i02c`N@00P2c
`N@3000000040;30iP000000[KoW0:foi`@000000P2/_^L00`000000ZkkW0:^ni`02000000@0Z[kX
0`0000000`2Z_NP000000000000T0?ooo`00703oool010000000oooo0?ooo`0000030?ooo`800000
00<0oooo0000002Y_NP00`2Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX0P0000020:Vm
j08000000P2Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX
00@000000P2WZmX010000000YJ?D0:FSe00000030:>Jc0040000002PTL@0X97400000080WHNk00@0
000009Ym/`2JOK<000000`2GMJ/010000000U6jU09A^Y@000002099YW`040000002@I9/0T6BK0000
0080SV6H00@0000008eNU@2=GYD000000`2<G9<010000000S5ZB08aJTP00000308]JT@040000002;
FI40ReVA000000<0ReVA100000050;NO`0070000002mXkh0_J>n0;fS_P000000`JNo000000030<>W
_@0600000036Zkh0aZ^n00000038Zk`000000P3:[kl01P000000c:nm0<b__@000000cK;0000000<0
ck>n00L000000=2g`@3@]l40d;O10000003B^;l000000080dK[400<000000=>k``3C^l<00P000004
0=:na`030000003?`Ld0000000<0000000<0bl?B0000003=a=800P3=a=800`000000a/CG00000003
0<O4e`0300000032a=`0`/CL0080`/CL00H000000;c3h0000000_<?P0000002g`^<2000000040;O2
h`000000/l7T0;?1i0800000102``>H200000080[KoW00<000000:bni`2/_^L0100000020:^ni`03
0000002Z_^P0Z[kX00800000102Z_NP2000000P0oooo00<000000?ooo`3oool0603oool001`0oooo
00@000000?ooo`3oool000000`3oool010000000oooo0?ooo`3oool200000080ZKgX0P0000030:Vm
j0060000002Y_NP000000000002Y_NP00000102Y_NP200000080ZKgX00<000000:Vmj02Y_NP00`00
00020:Vmj0030000002Y_NP0ZKgX00<000000`2X/Mh010000000Yj_J0:N[fP0000020:FSe1<00000
00D0U6jU0000002BJIl0TVVO00000002091TV`040000002>HIP0SV6H000000<0SEjE00@0000008aL
T`2<G9<000000P2<FY801@000000ReZA08]JT@2;FY4000000080ReVA00<0000008]IT@2;FI400P00
00030;6K`@030000002gWl00]io000<00000102mXkh00`000000`jNm0<>W_@020<>W_@0300000036
Zkh000000080b:^l00<000000<Z__`000000103<[kd01`000000ck>n0<nc_P3?/kh000000=6d_@00
00000P3@]l401@000000d[Ro0000003A^/@0000000<0dk_300<000000=:na`3B_/L00P3B_/L40000
00<0dL;<00<000000<g4dP3=a=800`3=a=800`000000alCG0<O4e`0300000080`/CL0`0000020;c3
h0<000000`2g`^<300000080/l7U00H000000;30iP00000000000;30iP0000020:foi`<000000P2/
_^L00`000000ZkkW0:^ni`0400000080Z[kX00<000000:Zmj02Z_NP00P0000000`3oool000000?oo
o`060?ooo`030000003oool0oooo01P0oooo000L0?ooo`040000003oool0oooo000000<0oooo00<0
00000?ooo`3oool00`3oool200000080ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0060000002Y
_NP000000000002Y_NP000000`2Y_NP200000080ZKgX00<000000:Vmj02Y_NP00`0000020:RehP05
0000002X/Mh0Z;7N0:RagP0000000P2WZmX300000080U[?/00@0000008n_k02?[n`000000P26ZN`0
10000000OJ;[07fRj`00000207:Jj0040000001YTND0JI7U06VAi@@0000000D0TVVO0000002@I9/0
T6BK0000000208iQV0050000002=GYD0SEjE08eNU@0000000P2<G9<010000000S5ZB08aJTP000003
08]JT@030000002;FI40ReVA00<0000000<0ZIO30000002aVl400P2aVl400`000000]io000000003
0;RO_P030000002mXkh0_J>n008000001@33Ykd00`000000b:^l0<R[_0020<R[_0030000003<[kd0
c:nm0080c:nm0P0000020<nc_P060000003A];d0dKBm0000003@]l4000000`3B^;l01P000000dk_3
0=>k``3C^l<000000=Fl`P@000000P3C_lL01`000000dL;<0=72c03A`/`000000=;3c00000000P3=
a=83000000030<O4e`000000b<GG0080b<GG0P0000030<;5g0D0000000D0]l;S000000000000]l?S
000000020;?1i@<000000`2``>H300000080[KoW00<000000:bni`2/_^L00`0000020:^ni`030000
002Z_^P0Z[kX00@000000P2Z_NP2000000@0oooo1@00000I0?ooo`00703oool010000000oooo0?oo
o`0000030?ooo`030000003oool0oooo00@0oooo00<000000:Vmj02Y_NP00`0000020:Vmj0030000
002Y_NP0ZKgX00<000000`2Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX0P0000020:Vh
i0050000002X]N80Z;GR0:RehP0000000P2X/Mh300000080W;O[00@0000009Jck02F/n`000000P2?
[n`:000000<0JI7U00<0000006>9hP1SRN801`0000000`2>HIP0000008eNU@0208eNU@040000002<
G9<0S5bC00000080S5ZB00H0000008]JT@2;FY40ReZA0000002;FI42000000@0ZIO300D000000;6K
`@2aVl40/I_1000000040;RO_P060000002mXkh0_J>n0000002oXk`000000`33Ykd2000000<0b:^l
0P0000030<b__@030000003>/;/000000080ck>n00D000000=6d_@3A];d0dKBm000000030=:h_`03
0000003D^Kh000000080dk_30`0000001`3B_/L000000=>oa`3C_lL000000=G1aP0000000P3A`/`0
1@000000d/?<0000003=a=80000000<0c/GA00<000000<S5e`38aML00P38aML00`000000`/GL0<;5
g0020<;5g0040000002la>00_<CP0;c4h0800000102g`n<200000080/l7U00H000000;30iP000000
00000;30iP0000030:foi`<000000P2/_^L00`000000ZkkW0:^ni`0300000080Z[kX00<000000:Zm
j02Z_NP0100000030?ooo`040000003oool0oooo000001X0oooo000L0?ooo`040000003oool0oooo
000000<0oooo0P0000060?ooo`8000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<00000
0:Vmj02Y_NP00P0000030:Vmj0060000002Y_NP000000000002Y^^H000000`2Y^>@00`000000Z;GR
0:RehP0300000080X;WZ00<0000009bgj`2L]n/01P00000208^]k00400000021Yn`0PJO/00000080
MYk[2@0000020623g@040000001ROmT0000006QneP<000000P2=GYD010000000S5bC08aLT`000002
08aJTP030000002;FY40000000<0000000<0X9;50000002YUl<00`2YUl<00`000000/I_10;6K`@02
000000D0^9nn0P0000020;nS_00400000033Ykd0`jNm00000080aJNk00H000000<R[_038Zk`00000
0<Z/^`0000020<b__@030000003>/;/0c[2k008000000`3A];d2000000<0d[Ro00<000000=Bi_P00
00000P0000030=Fl`P090000003C_lL0dko70=>oa`000000eL760000003A`/`0000000<0d/?<00P0
00000<k5d@3>aM40c/GA0000003?a]4000000<S5e`80000000<0bLKG00000032aM`00P0000000`33
a]`000000;c4h002000000030;g4h0000000]l?S0080000000@0]l?S0000002c`ND0/l7U0P000004
0;30iP<0000000@0[KoW0000002/_^L0[;kW100000020:^ni`030000002Z_^P0Z[kX00<000000P2Z
_NP00`000000oooo000000030?ooo`030000003oool0000001X0oooo000M0?ooo`800000103oool0
0`000000oooo0?ooo`060?ooo`030000002Y_NP0ZKgX00<000000P2Y_NP200000080ZKgX0`000002
0:Vmj0030000002Y_NP0ZKgX008000000`2Y^^H00`000000ZKST0:Vhi00400000080Xk[Z00<00000
0:2ijP2P^NX00`00000209Zfj`040000002C/^`0Tk;/00000080Rjg/00@00000086Wk021Yn`00000
0P1fW^/010000000JYCX06ZDj000000205n;i0030000001HP^00000000<000000P1ROmT010000000
J7kF0000001bP=8:00000080UXg800D000000:2Ba@2PT/D0X9;5000000040:VG``8000000P2bV/00
0`000000^9nn0;RO_P020;RO_P030000002oXk`0_j>l0080_j>l0P0000030<FW^`0300000038Zk`0
00000080bZbk00<000000<b__@0000000`3>/;/01@000000dKBm0=6d_@3A];d000000080dkFk00<0
00000=:h_`0000000P0000000`3D^Kh000000=Fl`P020=Fl`P050000003G_/4000000=>oa`000000
0`3E`LH02@000000d/?<0=;3c03B`l`000000=C5b`000000c/GA000000030<o6d@0400000039a]L0
bLKG0<W6e`8000000`33a]`200000080_LCP0`0000030;O3h`<000000P2c`ND00`000000/<3V0;30
iP02000000@0[KoW0P0000020:bni`030000002[_^L0ZkkW00@000000P2Z_^P00`000000Z[gX0:Zm
j003000000@0oooo0P00000J0?ooo`008`3oool00`000000oooo0?ooo`070?ooo`8000000P2Y_NP2
00000080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y^nL00`000000ZK[V0:VjiP03
000000<0YK_Y00<000000:>jjP2S^^X00`00000209nij`040000002J]^/0V[K[00000080Tk;/3000
0000201ZU>P0000005n;i01ORn@0000005R2h0000000EG_K1000000206QneP040000001bP=80LX3B
00000080OX??00@0000008Z8b`2:R</00000102FSLP010000000X9;50:2Ba@0000030:VG``800000
0`2bV/000`000000^9nn0;RO_P03000000@0_j>l00<000000<FW^`35Yk/00`35Yk/00`000000bZbk
0<Z/^`020<Z/^`070000003>/;/0c[2k0<j`^`000000d;6j000000020=6d_@030000003C]K/00000
00<000000P3D^Kh00`000000ekZm000000020=Fl`P040000003G_/40ekk1000000<0eL7600D00000
0=O2a@000000d/?<000000030=C5b`030000003?a]40clKA00<0000000H0bLKG000000000000b/OG
00000033a]`2000000030<?6g0000000_LCP00@0000000D0]l?S000000000000]l?S000000030;?1
i@<000000P2``>H01P000000[KoW000000000000[KoW000000<0[;kW0P0000020:^nj0030000002Z
_^P0Z[kX00@0000000@0Z[gX0000003oool00000103oool00`000000oooo0?ooo`0H0?ooo`008P3o
ool2000000X0oooo0P0000020:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKcW00<0
00000:Vki`2Y^nL00`0000020:Nlj@8000000P2U^nT300000080X[[Z00<0000009nij`2O^N/01P00
0002096ak@0400000027Znd0Qj_]00000080NjC/00<0000006jJj`1^V^/01P00000205R2h0040000
001ENm/0000005Qhe`@000000`1bP=8010000000OX??07j3c`00000208Z8b`050000002FSLP0UXg8
09J=b00000000`2PT/D3000000030:VF`P000000/Y[000<0/Y[00P0000030;ZO_@030000002oXk`0
_j>l008000001035Yk/2000000<0bZbk00<000000<b/^@0000000P3>/;/010000000d;6j0000003A
];d300000080dkFk00@000000=Bi_P3D^Kh000000P3G^[d00`000000eKc2000000020=Nn`@030000
003I_l0000000080eL7600@000000=O2a@3G`/D000000`3DaL/2000000030<o6d@000000d<OA0080
d<OA00<000000<[7e`3:amL00P3:amL00`000000`lKL0<?6g0020<?6g0040000002maN00_LGP0;g5
h0800000102g`n<3000000040;?1i@000000/<3V0;30iP<000000`2]_nL01P000000[;kW00000000
0000[;kW00000080ZkkX0`0000020:Znj0030000002Z_NP0Z[gX0080000000<0oooo0000003oool0
7@3oool00280oooo00<000000?ooo`3oool02`3oool200000080ZKgX00<000000:Vmj02Y_NP00`00
00020:Vmi`030000002Y_>L0ZKcW00<000000P2X_NP200000080YkcY0`0000020:Fkj@030000002R
^^X0X[[Z00<000000P2M^>/010000000V;G/09Rek0000002096ak@0300000027Znd0Qj_]00L00000
0`1PSnL500000080EG_K00@0000005Qhe`000000GgSD0`0000001@1bP=80000007j3c`1nPll00000
0080RXS;00<0000009J=b02FSLP00P2FSLP010000000X9;50000000000040:VF`P050000002bV/00
/Y[00;:J`0000000102jWkd01P000000_j>l0;nS_0000000`J>k00000080aJNk00@000000<NX^P37
Z;X000000P3:[;/01@000000c:bi0000003>/;/000000080d;6j0P0000040=>e^`8000000P3D^Kh0
1@000000ekZm0=Nj_@3G^[d0000000<0ekk100D000000=Vo`0000000eL76000000020=O2a@800000
0P3DaL/010000000eLK;0=G6b`0000030=37d@030000003Ab=8000000080b/OG00@000000<[8f000
0000`lKL0P0000000`33amd000000;g5h002000000040;g5h@000000]l?S0;O3h`800000102c`ND2
00000080[l3V00<000000:foi`2]_nL00`0000030:bni`<0000000@0ZkkX0000002Z_^P0Z[kX1000
00020:Zmj08000007P3oool00280oooo00<000000?ooo`3oool0303oool00`000000ZKgX0:Vmj003
00000080ZKgX00<000000:Vmi`2Y_NL00`0000020:Rmj0030000002X_NP0Z;gX00@000000P2V_>T0
0`000000YK_Y0:Fkj@0300000080X[[Z00@0000009fhj`2M^>/000000P2H]N`600000080PjW]00<0
000007FQk@1eXNd010000000101PSnL0000005B4h`1DQ><500000080F7SG00@0000005mhe0000000
Jg_@3P0000000`2OT<@000000:VF`P030:VF`P030000002bV/00/Y[0008000001@2jWkd200000080
`J>k00<000000<FW^`0000000`37Z;X00`000000bZbk000000030<b/^@H000000`3C]K/00`000000
eKJj0=Ff^P02000000<0ekZm00D000000=Vk_0000000ekk1000000030=Vo`0040000003G`/D0el;5
00000080fLC50P0000020=G6b`030000003Fal/000000080d<OA00D000000=78dP000000b/OG0000
00030<[8f00300000033amd0`lOM0080`lOM00D000000;g5h@2maN4000000;g5h@0200000080]l?S
00H000000;?1i@00000000000;;2i@0000020:o0iP<000000P2]_nL01P000000[;kW000000000000
[;kW000000<0ZkkX0P0000020:Znj0030000002Z_NP0Z[gX00@000007@3oool00280oooo00<00000
0?ooo`3oool03@3oool200000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002X_NP0
Z;gX00<000000`2W_NP00`000000Y[cY0:Jlj@0300000080Y;_Y00<000000::jjP2R^^X01P000002
09Jdk0040000002>/>d0S[3]00000080PjW]00@0000007FQk@1eXNd000000P1UUNX600000080C7[N
1@00000205mhe0040000001[Nm00Jg_@00000080NGo=00@0000008N5bP27QLX000000`2DRlL01@00
0000Wi3409n@a02OT<@0000000@0ZIK20P0000020;>J_P030000002jWkd0^Ynm0080^Ynm00<00000
0<6S^`31Xk/00P31Xk/00`000000ajRj0<NX^P030<NX^P030000003<[;T0c:bi00<000000`3@/KX0
0`000000d[:i000000020=>e^`040000003E][X0eKJj000000<0ekZm00H000000=Vk_03I^k`00000
0=Nn`@0000020=Vo`08000000P3G`/D010000000fLC50=W4a@0000030=G6b`050000003Fal/00000
0=37d@0000000`3Ab=8020000000b/SH0<[8f03:b=P000000<_9f0000000`lOM0P0000000`33amd0
00000;g5h@0300000080]l?S0`0000030;;2i@<000000P2_`>H00`000000[KoW0:foi`02000000@0
[;kW0`000000102[_^P000000:Znj02Z_^P300000080Z[gX00<000000?ooo`000000703oool00280
oooo0P00000?0?ooo`030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080
Z;gX0P0000020:Nmj0<000000P2V_>T00`000000Y;_Y0:Bkj@0300000080XK[[00@0000009bhj`2L
^>/000000P2F]>`=000000<0EHWV1@0000000`18LmT0000004a`e@04000000<0Jg_@00@0000007Uo
c@1iOld000000P27QLX01@000000U8_709B;a`2DRlL000000080Wi3400<000000:VF`P2YU/800`00
00030;>J_P030000002jWkd0^Ynm00<000000`31Xk/2000000@0ajRj1@0000020<n]^0030000003@
/KX000000080d[:i00<000000=>e^`0000000P3E][X00`000000f;Ni000000020=Nj_@050000003I
^k`0fK^l0=Vk_00000000P3I_l000`000000f/700=[1`00200000080fLC500D000000=[5a@000000
eLK;000000030=K7b`090000003Ab=80dLSB0=78dP000000dLWB0000003:b=P0000000<0blWH00@0
00000<?7g@33amd0`lOM0P0000020;g5h@<000000P2g`n@01P000000//;U000000000000//;U0000
0080[l3V100000020:foi`030000002/_^L0[;kW008000000`2[_^P300000080Z[kX00<000000:Zm
j02Z_NP00`00000L0?ooo`002@3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000<0
oooo100000040?ooo`030000003oool0oooo00l0oooo0P0000020:Vmj0030000002Y_NP0ZKgX00<0
00000P2Y_NP200000080Z;gX0`0000020:Nlj@030000002V_>T0Y[cY00<000000P2T^nX00`000000
XK[[0:6jj`0600000080U;?]00@0000008Z^kP2:[^h000000P1nYnh00`000000KYg]06jMk@040000
000405F9iP000000AgcQ04Mlh@<0000000D0B7?I0000001<L=D0000005IadP030000000506]kd000
0000NGo=07Uoc@0000000P27QLX01@000000U8_709B;a`2DRlL0000000<0Wi340P0000020:ZE`003
0000002cV[h0/iZn0080/iZn0P0000030;^O_00700000031Xk/0`J>k00000033Y;X000000<NX^P04
00000080c:bi00H000000<n]^03?[KP000000=2a^P0000030=:b^@090000003E][X0eKJj0=Ff^P00
0000f;Ni0000003G^[d0000000<0fK^l0P0000020=Vo`0040000003J`L00f/70000000<0fLC500@0
00000=[5a@3JaLD000000`3Fal/01@000000elS<0000003Ab=80000000<0dLWB00<000000<_9f03;
bMP00`0000001P33amd0000000000033b=h000000;g5h@80000000@0_<KQ0000002g`n@0]l?T0P00
00040;;2i@8000000P2_`>H00`000000[KoW0:foi`04000000030:bni`000000ZkkX0080000000<0
ZkkX0000002Z_^P00P2Z_^P300000080Z[gX0P00000K0?ooo`00203oool010000000oooo0?ooo`00
00080?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0A0?ooo`030000002Y_NP0ZKgX00<000000P2Y_NP200000080ZKgX0`0000020:Rmj0030000
002W_>T0YkcY00<000000P2V_>T00`000000Y;_Z0:BkjP0300000080WkW[00@0000009^gk02K]n`0
00000P2D/nd:00000080G93Z1P000000100mLM/0000000000000000204a`e@040000001FLM800000
06Aec`@0000000D0NGo=00000027QLX0QhG:0000000309B;a`@00000102ZUL001@000000/iZn0;>J
_P2cV[h0000000@0^inl00@000000<6S^`000000`jBj0`0000001037Z;X000000<VX^039Z;P20000
00@0cjfh00T000000=:b^@3B/[T0d[:i0000003E/kL000000=Ff^P0000000`3H]kT01@000000fK^l
0=Vk_03I^k`000000080fkfk0P0000020=[1`0050000003L`[l000000=W4a@0000000P3JaLD01@00
0000flO50000003Fal/0000000<0elS<00<000000=79dP3AbM800`0000000`3;bMP000000<_9f@02
0<_9f@0300000033b=h0`lSN0080`lSN00D000000;c6h@2la^4000000;c6h@0200000080]lCT00H0
00000;;2i@00000000000;;2iP0000020:o0iP<000000P2]_nL00`000000[;kW0:bni`02000000@0
ZkkX0`000000102Z_^P000000:Zmj02Z_NP4000001X0oooo00080?ooo`040000003oool0oooo0000
00P0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`030?ooo`8000004`3oool2
00000080ZKgX0P0000020:Vmj0<000000P2Y_NP00`000000Z;gX0:Rmj00300000080YkcY00<00000
0:Jlj@2V_>T00`0000020:>kjP040000002O^N/0WkW[00000080VkO/0`000002096ck@0400000027
[Nh0Qjg^00000080NJG^1`0000001`19P^D00000000000000000?G7K0000000kJMH00`00000205Ia
dP050000001TMLl0I7G?0000001cNl`02@00000309n?``060000002ZUL00ZYG00:ZE`0000000/iZn
0`0000050;^O_0<000000P33Y;X2000000<0bJRh00<000000<n]^03?[KP00P3?[KP2000000<0d[:i
00D000000=Fc]`000000eKJj000000030=Rg^@8000000P3I^k`010000000fkfk0=^m^`0000030=[1
`0040000003L`[l0g<:o000000<0f/G500@000000=_7a@3KalD000000P3Gb<`3000000030=79dP00
0000d/[C0080d/[C00P000000<_9f@3;bMT0blWI0000003;b]T000000<?8gP80000000<0`lSN0000
002la^400`0000020;O4i0<000000`2b`^H300000080[l3W00<000000:foi`2]_nL00`0000020:^n
i`030000002[_^P0ZkkX00800000102Z_^P200000080Z[gX0P00000J0?ooo`00203oool010000000
oooo0?ooo`0000080?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0C0?ooo`030000002Y_NP0ZKgX0080ZKgX0P0000020:Vmj0030000002Y_NP0
ZKgX00<000000P2X_NP00`000000YkcY0:Nlj@0300000080YKcY00<000000:>kjP2S^nX01P000002
09Vgk0040000002A/nd0TK?]00000080Qjg^00@0000007VUkP1iYNh000000P1VVNd010000000DX_Y
05:;j@1BRnT200000080>G?N0P00000203]YeP<0000000D0EW7B0000001TMLl0I7G?0000000207=k
c00400000024P/T0Q8;9000000<0TXW600D0000009n?``2OSl<0Who3000000030:ZE`08000000`2d
V[d00`000000^inl00000003000000@0`jBj00@000000<VX^039Z;P0bJRh0P0000030<n]^0060000
003A[[L0dJjg0000003B/[T000000`3E/kL02@000000f;Ni0=Rg^@3H]kT000000=Zi^0000000fK^l
000000020=^m^`050000003M_k/000000=[1`00000000P3L`[l01@000000g/Bo0000003JaLD00000
0080flO50P0000000`3Gb<`000000=S:c0020=S:c0090000003Bb]<0d/[C0=;:d`000000d/cC0000
003;bMT0000000<0bl[I00@000000<?8gP33b=h0`lSN0P0000000`2la^8000000;c6hP0200000080
]/CT00H000000;;2iP00000000000;;2iP0000020:o0i`@0000000@0[KoW0000002[_^L0ZkkW1000
00020:^nj0030000002Z_^P00000008000000`2Z_NP3000001T0oooo00080?ooo`040000003oool0
oooo000000P0oooo00@000000?ooo`3oool000001@3oool01@000000oooo0?ooo`3oool0000001H0
oooo00H000000:Vmj000000000000:Vmj00000020:Vmj0<000000P2X_NP00`000000Z;gX0:Rmj003
00000080YkcY00<000000:Flj@2U_>T00`0000020::kjP040000002O^N/0WkW[00000080VKO/3`00
00000`1BRnT0000003ajhP030000000502iWe`00000000000000000oIm801000000206Aec`040000
001cNl`0Lg_<00000080Q8;900D0000009:9aP2BRLH0TXW60000000309n?``<0000000@0ZiBo0000
002dV[d0]9Zm0`000000102kWk`000000;fO^P0000030<>T^P8000000`39Z;P00`000000c:Vg0000
00020<n]^0060000003A[[L0dJjg0000003B/[T000000`3E/kL01@000000f;Ni0=Rg^@3H]kT00000
0080f[Vh00D000000=^m^`3K_K/0fkfk000000020=fo^`050000003L`[l0g<:o0=c2_`0000000P3N
a;l01`000000flO50=_7a@3KalD000000=g8a@0000000`3Hb/`01@000000fLc=0000003Bb]<00000
00<0d/cC00<000000<_:f@3;b]T00`0000001P33b=h0000000000033bMl000000;c6hP80000000@0
^lKR0000002fa>@0]/CT0P0000040;;2iP8000000P2_`>L00`000000[KoW0:foi`0300000080ZkkW
00<000000:^nj02[_^P00`0000030:Znj0<0000000@0Z[gX0000003oool00000603oool000P0oooo
00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
000000<0oooo00<000000?ooo`3oool05@3oool00`000000ZKgX0:Vmj0020:Vmj08000000P2Y_NP0
0`000000Z;gX0:Rmj00300000080Z;gX00<000000:Nlj@2W_>T00`0000020:Flj@040000002R^nX0
X[_Z00000080WkW[0`00000209Rfk@040000002?/^h0Sk;^00000080Pj__00@0000007>Rk`1cX^l0
00000P1NUN`80000000702iWe`00000000000000000oIm80000004]Yd0020000000506Aec`000000
Lg_<07=kc00000000P24P/T01@000000TXW609:9aP2BRLH0000000<0Who300@000000:^D_`2[U;l0
ZiBo0`0000020;BJ_@8000000`2mWkX00`000000`jBj000000020<FU^00300000039Z;P000000080
c:Vg00<000000<n]^0000000103A[[L02@000000eK>g0=Fc]`3E/kL000000=Nd]P000000f;Ni0000
00030=Zi^080000000<0fkfk0000003M_k/00P3M_k/20000000=0=c2_`000000g/Bo0=k4_`000000
glJo0000003KalD000000=g8a@000000g/[5000000020=S:c0040000003Ic<d0fLc=000000<0d/cC
0P0000000`3;b]T000000<[;fP020<[;fP0300000033bMl0`lWO0080`lWO00D000000;_6hP2ka^80
00000;_6hP0200000080]/CU00H000000;;2iP00000000000;72iP0000020:o0i`<000000P2]_nL0
0`000000ZkkW0:^ni`0300000080ZkkX00<000000:Znj02Z_^P00P0000040:Zmj0800000603oool0
00T0oooo0P00000:0?ooo`800000103oool2000000@0oooo0P00000G0?ooo`060000002Y_NP00000
0000002Y_NP000000`2Y_NP200000080Z;gX00<000000:Rmj02X_NP00`0000020:Nlj@030000002U
_>T0YKcY00H000000P2N^N/00`000000V;K]09Rfk@0=00000080AXCW00D0000002eag`0000000000
02UYfP020000000702]OdP00000000000000001;JM00000005]_cP0300000080Lg_<00@0000008B2
b@24P/T000000`2BRLH4000000030:^D_`0000000000008000000P2dV[d2000000@0_Inj0P000003
0<FU^00300000039Z;P0000000<0c:Vg00<000000=6^]`3A[[L00P3A[[L2000000<0eK>g00D00000
0=Nd]P000000f;Ni000000020=Zi^0050000003L^kP000000=^m^`0000000P3M_k/01@000000gl6j
0000003L`[l000000080g/Bo00/000000=o6_`000000flO50000003Mb<D000000=k:a@000000f<[<
000000020=W<c@050000003IcLd000000=;<d`0000000P3BcM@020000000b/_J0<[;fP3:bmX00000
0<[<f`000000`lWO0P0000000`32bMl000000;_6hP0300000080]/CU0`0000030;72iP<0000000@0
[/3W0000002]_nL0[KoW100000020:^ni`030000002[_^P0ZkkX00<000000P2Z_^P01@000000Z[gX
000000000000Z[gX008000005`3oool00240oooo00<000000?ooo`3oool05`3oool01P000000ZKgX
0:Vmj02Y_NP000000:Vmj080000000@0ZKgX0000002X_NP0Z;gX0`0000020:Rmj0030000002W_>T0
YkcY00<000000P2U_>T010000000X[[Z0::jjP00000209jij`<000000P2F]^d010000000SK7^08fa
kP00000207nZk`030000001]Wnl0KIo_00@0000000@0AXCW0000000]LMl0;G7O0P0000002`0MG=80
000002]OdP000000<Ek?0000001;JM00000005]_cP000000KWO;00X0000000@0Whk2000000000000
00000`2[U;l3000000030;FJ_0000000_Inj00<0_Inj00<000000<FU^035YKP00`35YKP010000000
c:Vg0<bY]`3<ZKL2000000<0dJjg00H000000=>`]P3C/;H000000=Fc]`0000030=Nd]P050000003J
^KP0f[Vh0=Zi^00000000P3L^kP01@000000gKnk0=fo^`3M_k/000000080gl6j00@000000=k4_`3N
a;l000000`3Oa[l00`000000gLS5000000030=k:a@050000003Ic<d0fLc=0=W<c@0000000P3IcLd0
20000000d/gD0=;=e0000000d/kE0000003:bmX000000`3:c=/010000000`/WO0<;9g`32bMl20000
00030;_6h`000000^lKS008000000P2ea>D01P000000/L;V000000000000/L;V00000080[/3W0`00
00020:boi`030000002[_^L0ZkkW00@0000000@0Z[kX0000002Z_^P0Z[kX0`0000030:Zmj0030000
003oool0000001H0oooo000P0?ooo`030000003oool0oooo01T0oooo00<000000:Vmj02Y_NP00P00
00040:Vmj08000000P2X_NP00`000000Z;gX0:Rmj00300000080Y[cY00<000000:Flj@2U_>T01P00
000209fhk0030000002F]^d0U[K]0100000000D0;G7O0000000HG]D0000001eLdP0200000004035N
c`000000000000000080Ffo>00@0000006igb`1^Ml/000000P20OlP00`000000THO50967a@030000
0080Whk200D000000:^D_`2[U;l0ZiBo000000040;FJ_0030000002mWkX0_Inj008000001035YKP2
000000<0c:Vg00<000000<j[]P0000000P3A[[L01P000000dk2f0=>`]P000000eK>g00000080ekBf
00D000000=Vf]P000000f[Vh000000030=bk^080000000T0gKnk0000003O`KX0gl6j0000003Q`kX0
00000=k4_`0000000P3Oa[l2000000090=g8a@000000g/[50=k:a@000000glc60000003Ic<d00000
0080fLg=0P0000000`3BcM@000000=;>e@020=;>e@040000003:c=/0b/cK0<[<f`80000000H0`/WO
000000000000`LWP0000002ka^<2000000040;[6h`000000]LCU0;G4i@800000102a`^H200000080
[/3W00<000000:boi`2/_nL00`0000020:^nj0030000002Z_^P0Z[kX00<000000P2Z_^P00`000000
Z[gX0:Zmj004000001H0oooo000P0?ooo`030000003oool0oooo01X0oooo0P0000020:Vmj0060000
002Y_NP000000000002Y_NP000000P2X_NP300000080Z;gX00<000000:Jlj@2V_>T00`0000020:Bk
jP040000002Q^^/0XK[[00000080WKS/0`00000209BekP040000002:/>l0R[3_00000080NjS`00<0
000006NLk`1WW>l00`0000000`0jOND00000000000020000000;01QNe@000000000001YDc@000000
<Ek?0000000nHLd0000005]_cP0000000`1^Ml/00`000000P7o800000002000000030967a@000000
Whk200<0Whk2100000040;FJ_0060000002mWkX0_Inj0000002oX;T000000P35YKP01P000000ajJg
0<NV]`000000c:Vg00000080cZ^f00<000000=6^]`000000103C/;H010000000ekBf0=Nd]P000002
0=Vf]P030000003J^KP000000080g;^h00D000000=jm]`000000gKnk000000020=o1^P040000003Q
`kX0hL>j00000080glJo00@000000>78_`3Qb;l000000`3Nb/D010000000glc60=o<aP0000020=W=
c@040000003Ic/h0fLk>000000<0d/kE00D000000=;>eP000000b/cK000000020<W<g00300000031
bN00`LWP0080`LWP00D000000;[6h`2ja^<000000;[6h`0200000080]L?U00<000000;72iP000000
0P0000020:k0i`@000000P2/_nL00`000000ZkkX0:^nj00300000080Z[kX00<000000:Znj02Z_^P0
0`0000020:Zmj0030000003oool0000001D0oooo000P0?ooo`800000703oool00`000000ZKgX0:Vm
j002000000@0ZKgX0P0000020:Rmj0030000002X_NP0Z;gX00<000000P2V_>T010000000Y;_Z0:Bk
jP0000020:6jj`<000000P2L^>`010000000U;G^09BekP00000208Z`k`L000000P1<S>/200000080
7VSK0`0000000`0:D<d00000000000020000000303iQc@00000000000080000000H0KWO;00000000
00000000081ob00000030967a@030000002OS/80Whk2008000000`2/U;l00`000000]IZl0;FJ_002
0;FJ_08000000P2oX;T010000000aJFh0<FU^00000020<NV]`030000003<ZKL0000000<0cZ^f00<0
00000=>`]P3C/;H00P3C/;H200000080ekBf00D000000=Vf]P3I][H0fKJf000000030=bk^0040000
003N_KL0g[fg00000080gl6j00<000000>73^P3Q`kX00P0000020=o6_`070000003Qb;l000000>;:
_`000000g/[5000000020=o<aP80000000T0fLg=0000003Ic/h0fLk>0000003Jd<l000000=;>e@00
00000`3Bc]H01`000000bLcL0<W<g0000000b<gM00000031bN000P0000000`31bN4000000;[6h`03
00000080]L?U0`0000030;71iP8000000P2^`>L00`000000[;oW0:boi`04000000040:^nj0000000
Z[kX0:Znj0@0000000@0Z[gX0000002Z_NP0Z[gX0`0000000`3oool000000?ooo`0C0?ooo`00803o
ool00`000000oooo0?ooo`0L0?ooo`8000000P2Y_NP01P000000ZKgX000000000000ZKgX00000080
Z;gX0`0000020:Nmj@030000002V_>T0Y[cY00H000000P2Q^^/00`000000W;S/09bhk00600000080
Qjo`00<0000007NWl01gYo001@0000001P0]M^8000000000000NJ=/0000000ICc`@0000000<08E?;
0000000nHLd01000000206igb`0400000020OlP0P7o800000080THO50`0000000`2OS/8000000:bD
_`020:bD_`040000002eV[`0]IZl0;FJ_0800000102oX;T2000000@0ajJg00<000000<j[]P3>ZkH0
0P3>ZkH01@000000dk2f0=>`]P3C/;H000000080e[:e0P0000030=Vf]P050000003L^;D000000=bk
^00000000P3N_KL2000000030=o1^P000000hL>j0080hL>j00@000000>?5^P00000000000P3Qb;l0
10000000h/Zo0>;:_`0000020=o<aP040000003Oc/L0glk700000080fLk>00D000000=[@c`3Jd<l0
f]3?000000020=;>eP<0000000<0bLcL00000038cMd00P38cMd010000000`LWQ0<79h@31bN420000
00030;[6i0000000^/KT008000000P2d`nH01P000000/L7V000000000000/<7W00000080[/3W0`00
00020:boi`030000002[_^P0ZkkX00<000000P2Z_^P00`000000Z[gX0:Zmj00300000080Z[gX00<0
00000?ooo`000000503oool00200oooo00<000000?ooo`3oool07@3oool00`000000ZKgX0:Vmj002
000000@0ZKgX0P0000020:Rmj0030000002W_NT0YkgY00<000000P2V_>T010000000Y;_Z0:BkjP00
00020:6jj`<000000P2K^>`010000000TkC^09>dkP00000208N_l0@000000P1PV^l70000000300IC
c`00000000000080000000L08E?;0000000000000000055Yc0000000Ig;;00T00000102OS/801000
0000[9Bo0:bD_`2/U;l3000000030;NK^`000000_j2i00<0_j2i00<000000<NV]`37Y[L00P37Y[L2
000000<0cZ^f00<000000=2]]@0000000P3C/;H010000000e[:e0=Jb]@0000040=Vf]P050000003L
^;D000000=bk^00000000P3N_KL010000000h;ng0000000000020>73^P040000003SaKX0hlFj0000
0080hLRo00<000000>;:_`3Rb[l00P0000001P3Oc<H000000=o>a`3Oc/L000000>3@b08000000P3J
d<l3000000030=;>eP000000dLoG0080dLoG00<000000<S=g@38cMd00`0000001P31bN4000000000
002obN8000000;[6i080000000@0^LKT0000002d`nH0]<?V0P0000030;31i`<000000P2^`>L00`00
0000[;oW0:boi`0300000080ZkkX00<000000:Znj02Z_^P00`0000020:Zmj0030000002Z_NP0Z[gX
00@000004`3oool00200oooo0P00000O0?ooo`8000000P2Y_NP01P000000ZKgX000000000000ZKgX
00000080Z;gX0`0000020:Nmj@030000002V_>T0Y[cY00H000000P2P^^/00`000000VkS/09^hk006
00000080QJk`2P0000000`0=G]H0000000ICc`0400000006025Cb`000000<5S:0000001AJL`00000
0P1WL//010000000O7c807alb000000208n6a@030000002OS/80Whk20080Whk200D000000:bD_`2/
U;l0[9Bo000000040;NK^`030000002oX;T0_j2i008000000`37Y[L010000000bJNg0<VW]`000002
0<j[]P050000003@[KD000000=>`]P0000000`3F/[D01@000000fKJf0=Vf]P3I][H0000000<0g;Re
00@000000=jm]`3N_KL000000P3P_kL010000000hL>j0>73^P0000020>?5^P050000003TakX00000
0>78_`0000000P3Rb[l00`000000i<c0000000030=o>a`060000003Pd<P000000000003Jd<l00000
0`3IdM000`000000dLoG0=7?e`02000000030=3@f@000000000000<0b<gN00<000000;o9hP2obN80
0P2obN800`000000^LKT0;W6i004000000030;?3iP000000/<7W0080000000@0/<7W0000002^`>L0
[/3W10000000102/_nL000000:^nj02[_^P4000000040:Znj0000000Z[gX0:Zmj0@000000P2Y_NP2
000000L0oooo0P00000:0?ooo`00803oool00`000000oooo0?ooo`0O0?ooo`030000002Y_NP0ZKgX
008000000`2Y_NP300000080Z;gX00<000000:Nmj@2W_NT00`0000020:Jlj@040000002T^nX0Y;_Z
00000080X;[[0`00000209Zhk@040000002A]>h0TKC^00000080QJk`00@0000007>Ul@1cYO400000
0P1JUnl30000000301m_g`00000000000080000000<004?500000007B<L00P000000100`F<X00000
00000000000306Mbb`040000001lO<P0O7c800000080ShK500D0000009n>`P2OS/80Whk200000002
0:bD_`800000102gVk/00`000000_j2i000000020<6Q^@0400000037Y[L0ajJg00000080bJNg00<0
00000<j[]P0000000`3@[KD02@000000e[:e0=Jb]@3F/[D000000=Rd]0000000fKJf000000030=bh
]@80000000<0g[fg0000003P_kL00P3P_kL2000000050>73^P000000hlFj0>?5^P0000000P3TakX0
2P000000h/Zo0>;:_`000000i<c00000003Uc/4000000=o>a`0000020>3@b0030000003PdLT00000
00<0fM7@00@000000=WBdP00000000000P3@d=T3000000060<S=gP00000000000<K=g`000000_lWR
0`0000000`2ia^@000000000000200000080/l?V0P0000040;31i`8000000P2]_nL00`000000[;oW
0:boi`0300000080ZkkX00<000000:Znj02Z_^P00`0000020:Zmj0050000002Y_NP000000000002Y
_NP00P0000050?ooo`040000003oool0oooo000000T0oooo00060?ooo`800000103oool00`000000
oooo0?ooo`030?ooo`8000001@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0240
oooo0P0000020:Vmj0<000000P2Y_NP00`000000Z;gX0:Rmj00300000080YkgY00<000000:Jlj@2V
_>T01P00000209njj`030000002J^>d0V[S]00h0000000<0>H;X0000000000000P0000000`00AlL0
00000013a@020000000500m8a@000000<5S:00000017H//00P0000001@1WL//0000007alb01lO<P0
00000080ShK500<0000009n>`P2OS/800P2OS/8200000080[9Fn00<000000;NK^`2gVk/00P2gVk/0
1`000000`J6i0<6Q^@31XKT000000<NV]`0000001039YkL2000000<0d:fe00T000000=Jb]@3F/[D0
e[:e0000003H];@000000=Vf]P0000000`3L^;D010000000g[^d0000000000020>2o]`040000003R
`KH0h/6f00000080hlFj00@000000>C7^P3TakX0i<Nj0P000000103Rb[l000000>C<`00000020>G>
`@0:0000003Pd<P0h=380000003PdLT000000>3CbP000000fM7@00000080fM;B0P0000000`3@d=T0
00000<o@fP020<o@fP0400000036cMl0a/gO0<K=g`8000000`2nbN<01@000000^<KU0;S6i@000000
^<KU008000000P2c`nH01P000000/<7W000000000000[l7W00000080[KoW0`0000020:boj0030000
002[_^P0ZkkX00<000000P2Z_^P00`000000Z[gX0:Zmj002000000<0ZKgX0`0000040?ooo`040000
003oool0oooo000000T0oooo00050?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3o
ool00000103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0280oooo00H000000:Vm
j000000000000:Vmj00000020:Vmj0<000000P2X_NP00`000000YkgY0:Nmj@0300000080Y[cY00<0
00000:>kjP2S^nX01P00000209Vhk@040000002@]>l0T;C_00000080Pjk`00<0000006nTl@1_Y?40
1@0000000`0BIm/00000001Cc`0400000003000k_`00000000000080000000<0Af;;0000001PK/X0
100000001P1lO<P0000008n6a@2?Q/D0000009n>`P<000000`2/UKh010000000]i^k0;NK^`2gVk/2
000000@0`J6i00<000000<VW]`39YkL00`39YkL02@000000d:fe0=2]]@3@[KD000000=>_]@000000
e[:e000000030=Rd]0050000003L^;D0g;Re0=bh]@0000000P3N^k@01@000000h;ng0>2o]`3P_kL0
00000080h/6f0P0000001@3SaKX000000>C7^P3TakX000000080i/Vj00<000000>C<`00000000P3U
c/401`000000iM320000003Pd<P000000>3Ab@0000000P3PdlX01`000000fM;B0=WBdP3Id]800000
0=SCd`0000000`3?d=X2000000060<K=g`00000000000<G=h0000000_/WS0P0000000`2mbN<00000
0;S6i@02000000040;O5i@000000/l?V0;?3iP8000000P2_`NL4000000040:foi`000000[;oX0:bo
j0@0000000@0ZkkX0000002Z_^P0Z[kX100000000`2Z_NP000000:Vmj002000000030:Vmj0000000
000000@0oooo0`00000:0?ooo`001@3oool010000000oooo0?ooo`0000080?ooo`050000003oool0
oooo0000003oool01@0000040?ooo`800000903oool200000080ZKgX0`0000020:Vmj0030000002X
_NP0Z;gX00<000000P2W_NT00`000000Y[cY0:Jlj@0300000080Xk_Z00@0000009njk02O^^`00000
0P2I^>d=0000000302mmiP000000000000@0000000<003Fl000000000000100000001P17H//00000
061^bP1PK/X0000007Qjb0H000000P2OS/801@000000[9Fn0:bE_P2/UKh000000080]i^k00@00000
0;VL^`2iW;/000000P31XKT2000000@0bJNg0P0000030=2]]@050000003C[kD000000=Jb]@000000
0`3H];@2000000030=bh]@000000g[^d0080g[^d0P0000001@3P_kL000000>;1]P3R`KH000000080
i<Bf00H000000>C7^P3TakX0i<Nj0000003VbKX2000000050>C<`0000000iLk10>G>`@0000000P3U
d<800`000000h=79000000020>3CbP0;0000003PeL`000000=WBdP000000f=?C0000003Ge=D00000
0<o@fP0000000P3>dM/00`000000aLgP0<G=h0020<G=h0040000002mbN<0_LWS0;g9h`8000000P2g
aND400000080//?V0P0000020:o1i`030000002]_nL0[KoW00<000000P2[_^P00`000000ZkkX0:^n
j00300000080Z[kX00<000000:Zmj02Z_NP00P0000030:Vmj0<000000`3oool00`000000oooo0?oo
o`0:0?ooo`001@3oool010000000oooo0?ooo`0000080?ooo`060000003oool0oooo0000003oool0
00000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo02D0oooo0P0000020:Vmj080
000000@0ZKgX00000000000000000P2X_NP00`000000YkgY0:Nmj@0300000080YKcY00<000000:>k
jP2S^nX01P00000209Rgk@030000002?/nl000000080000000@0PJga0000001[X_40Jj;a2@000000
0`00=K`000000000000200000004025?aP000000Af;;000000<0H6k:00<0000007Qjb00000000P2>
QLD00`000000Whk209n>`P0209n>`P040000002/UKh0[9Fn0:bE_P8000000`2iW;/01P000000`J6i
0<6Q^@000000`j>h00000080bJNg00H000000<bY]P3<ZKH000000=2]]@0000030=>_]@090000003H
];@0f;Bd0=Rd]0000000f[Jd0000003L^;D000000080g[^d00D000000>6m]0000000h;ng00000002
0>;1]P030000003Ta;H0i<Bf0080000000L0i<Nj0000003VbKX0i/Vj0000003Wc;/000000080iLk1
00H000000>G@`P3Ud<8000000>KB``0000030>3CbP060000003PeL`0h=G<0000003Hdm<000000`3G
e=D01`000000c]7K000000000000cM7M00000035cN000P0000001034cN4000000000000000020;c9
i0<0000000<0]/GV0000002b`nH00P000000102a`^L000000:o1i`2_`NL300000080[KoW00<00000
0:^nj02[_^P00`0000020:^nj0030000002Z_^P0Z[kX00<000000P2Z_NP3000000040:Vmj0000000
000000000080oooo00<000000?ooo`3oool02P3oool000D0oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000020?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool0
9`3oool00`000000ZKgX0:Vmj00200000080ZKgX0P000000102X_NP000000000000000020:Nlj@03
0000002U_>T0YKcY00<000000P2S^n/01@000000W[[/09jjk0000000V;O]0100000000<015kF0000
00000000100000000`00>kh000000000000300000080H6k:00@0000007Qjb01hN/P000000P2>QLD0
1@000000Whk209n>`P2OS/80000000<0[9Fn00<000000;VL^`2iW;/00`2iW;/200000080`j>h00@0
00000<VW]`39YkL000000P3<ZKH00`000000d:fe000000030=>_]@050000003H];@0f;Bd0=Rd]000
00000P3J][@01@000000g[^d0=jk]03N^k@000000080hKfd00@000000>;1]P3R`KH000000P3Ta;H0
1`000000i/Jf0000003TakX000000>K9^P0000000P3Wc;/20000000;0>G>`@000000iM320000003V
d/<000000>KEa0000000h=?:0000003PeL`00P0000000`3Pe/h000000=ODe@020=ODe@030000003F
eML0000000@0cM7M00L000000<C=h@00000000000<;=hP000000_<WT0080000000<0^lSU0000002f
aNH00`0000030;72i`<0000000@0[/7W0000002]_nL0[KoW10000000102[_^P000000:^nj02[_^P4
000000030:Znj0000000Z[gX0080000000@0Z[gX0000002Y_NP0ZKgX0`0000030?ooo`<000002@3o
ool000D0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000030?ooo`800000
1@3oool00`000000oooo0?ooo`0X0?ooo`8000000P2Y_NP00`000000ZKgX0:Vmj00200000080Z;gX
00<000000:Nlj@2W_>T00`0000020:Flj@030000002S^n/0Xk_[00H000000P2H]nh010000000S[?`
08jcl000000207j]l@030000001XXO80J:7b00L0000000@002fd00000000000002ff100000000`0k
FlT0000000000002061^bP030000001hN/P000000080SXG500<0000009n>`P2OS/800P2OS/840000
00D0^Ibk00<000000<>S^033XkP00P33XkP2000000@0c:Vf00T000000=>_]@3C[kD0djne0000003E
/K@000000=Rd]00000000`3J][@2000000030=jk]0000000hKfd0080hKfd0P0000001@3R`KH00000
0>C4]P3Ta;H000000080i/Jf00<000000>K9^P0000000P3Wc;/01P000000j<jk0>S>^`000000iM32
00000080i];300H000000>KEa03VeL@000000>3Ec00000020>3FcP0:0000003Of=0000000=ODe@00
0000e]GG0000003EeMT000000<gAg@80000000<0bm7N00000032cN800`32cN8010000000^lSU0;_8
i@2kb>D5000000050;72i`00000000000;72i`0000000P2^`NL300000080[;oX00<000000:^nj02[
_^P00`0000020:Znj0030000002Z_^P0Z[kX008000000`2Z_NP300000080ZKgX0P00000>0?ooo`00
1P3oool2000000X0oooo0P0000050?ooo`030000003oool0oooo0080oooo0P00000[0?ooo`030000
002Y_NP0ZKgX00<000000P2X_NP00`000000Z;gX0000000200000080YkcY00<000000:Flj@2U_>T0
1P00000209jjk0030000002H]nh0V;O^0140000000<002fd000000000000100000000`0kFlT00000
05QYb@040000000607Qjb0000000SXG508j5a@000000Whk20`0000030:jF_P030000002iW;/0^Ibk
00<000001033XkP00`000000c:Vf0<bY]P020<bY]P8000000`3C[kD01@000000eK6d0000003H];@0
00000080f[Jd00D000000=fh/`000000g[^d000000020>6m]0040000003S_k@0hknd00000080i<Bf
00<000000>K6]P3Va[H00P0000002@3VbKX000000>O<^`3Wc;/000000>S>^`000000jM6l00000002
0>KB``060000003VeL@0i]G40000003VelH000000`3Pe/h01P000000gmS@0=oHd0000000e]GG0000
00<0eMGI00L000000<_AgP3;dMh000000<WAg`000000`/gR00<0000000D0^lSU000000000000^/SU
000000020;G5iP800000102a`^L200000080[/3W00<000000:boj02/_nP00`0000020:^nj0030000
002Z_^P0Z[kX00<0000000<0Z[kX0000000000000P000000102Z_NP000000:Vmj02Y_NP4000000d0
oooo000N0?ooo`030000003oool0oooo02/0oooo0P0000020:Vmj0030000002X_NP0Z;gX00800000
0P2X_NP00`000000YkcY0:Nlj@0600000080X[_[1P00000209NgkP040000002=/o00SK?`00000080
OJcb00<0000006FPlP1UX?8030000000100@A<80000003]Kb@00000205QYb@030000001dN<P00000
00D000000P2OS/801`000000[YJn0:jF_P2^U[h000000;VL^`0000000`2kW[/00`000000`j>h0<>S
^002000000<0c:Vf00H000000<j[]P3>ZkH000000=>_]@0000030=Fa]0050000003J][@0f[Jd0=Zf
]00000000P3M^;<01@000000hKfd0>6m]03Q_K@000000080hknd0P0000001`3Ta;H000000>K6]P3V
a[H000000>S9]P0000000P3Wc;/01@000000j<jk0>S>^`000000jM6l0080000000@0i];30000003V
eL@0i]G40P0000001@3VfLP000000>3FcP000000gmS@0080000000<0g]WB0000003EeMT00P3EeMT2
000000030<_AgP000000bM7O0080bM7O00D000000<7<h`31c><0`LcS000000040;[8i@<0000000<0
]<CV0000002a`^L00`0000020:k0i`@0000000@0[;oX0000002[_^P0ZkkX100000020:Znj0800000
0P2Z_^P00`000000Z[gX0:Zmj00300000080ZKgX0P00000=0?ooo`007P3oool00`000000oooo0?oo
o`0/0?ooo`030000002Y_NP0ZKgX00<000000P2X_NP00`000000Z;gX0000000500000080YKcZ0`00
00020::kj`040000002N^^`0W[[/00000080UkO^4P0000000`007Z/00000000^]P04000000<0F6W9
00<0000007Ahb00000000P2<Q<H00`000000Whk209n>`P0209n>`P050000002^U[h0[YJn0:jF_P00
0000102kW[/01P000000`j>h0<>S^0000000aJFh00000080c:Vf00H000000<j[]P3>ZkH000000=>_
]@0000020=Fa]0050000003H/k@000000=Zf]00000000`3M^;<2000000060>6m]0000000hknd0>>o
]0000000iL:d0P0000020>K6]P030000003XbKH0j<Vf0080000000H0ilbk0000003Xc[/000000>WA
_00000020>_C_@060000003VeL@0i]G40000003VelH000000P3VfLP00`000000gmS@000000020=kI
dP050000003Lf]@000000=GEf@0000000P3Ce]X00`000000bM7O0<WAg`03000000060<7<h`000000
00000;o<i0000000^/SU0P0000000`2hanH000000;C4iP0300000080/<;W0`0000020:g0i`030000
002/_nP0[;oX00<000000P2[_^P01P000000Z[kX000000000000Z[kX00000080Z[kX0`000000102Y
_NP000000:Vmj02Y_NP4000000`0oooo000N0?ooo`800000;P3oool200000080ZKgX00<000000:Rm
j02X_NP01@0000020:Nlj@<000000P2U_>X00`000000X[_[0::kj`0600000080U[O^00@0000008bc
l02</o0000000P1k[?800`000000HYob06:OlP0800000003000NZ`00000000000080000000D0;U?6
0000001HJLT0F6W90000000207Ahb0040000002<Q<H0S8C6000000<0Whk200<000000:jF_P2^U[h0
0P0000050;^N^`8000000P35YKP00`000000c:Vf000000040<j[]P090000003E/K@0eK6d0=Fa]000
0000f;>d0000003J][@000000080gKRc00D000000=nk/`000000hKfd000000020>>o]0060000003U
`[@0iL:d0000003Va[H000000P3XbKH010000000j/bg0>[<]`0000020>S>^`060000003YdK`00000
0>_C_@000000jmJo0P0000001`3VelH000000>KIb03VfLP000000>KKbP0000000`3NfM801@000000
g=[D0=cJe0000000dmKJ0080000000<0dMKL0000000000000`37d>4010000000_lcT0;o<i02oc>@2
00000080^<OV1@0000000`2ca>L00000000000020:o2i`030000002]`>L0[L3W00<000000P2/_nP0
0`000000ZkkX0:^nj00200000080Z[kX10000000102Z_NP000000:Vmj02Y_NP300000080ZKgX0`00
000;0?ooo`007P3oool00`000000oooo0?ooo`0^0?ooo`030000002Y_NP0ZKgX00H0000000@0Z;gX
00000000000000000P2W_>T00`000000YKcZ0:FljP0300000080X[_[00<0000009fjk02M^^`06@00
0000200^DlH00000000000000000F6W90000001dN<P000000P2<Q<H00`000000Whk209n>`P0209n>
`P8000000P2_Ukh00`000000^ijk0;^N^`020;^N^`0300000035YKP0aJFh0080aJFh00<000000<j[
]P3>ZkH00P3>ZkH200000080eK6d00D000000=Rc]03H/k@0f;>d000000030=fh/`040000003O^k<0
gk^c00000080hknd00<000000>G2]03U`[@00P0000001@3Va[H000000>S9]P3XbKH000000080j/bg
0`0000001@3YdK`000000>_C_@3[dkd000000080jmJo00<000000>KGaP0000000P3VfLP200000005
0>GLc0000000g]WB0000003Lf]@00P000000103Kf]H000000=7Fg03Ae]`3000000040<O@h@000000
00000<K@hP<000000P2mbnD200000080]lOV00<000000;?4i`0000000P0000020:o2i`@0000000@0
[L3X0000002/_nP0[;oX10000000102[_^P000000000000000020:Znj0030000002Z_NP0Z[gX00<0
00000P2Y_NP00`000000ZKgX0:Vmj003000000/0oooo000N0?ooo`030000003oool0oooo02l0oooo
1@0000020:Rmj08000000P2X_NP00`000000YkcY0:Nlj@0300000080YKcZ00<000000::kj`2R^n/0
0`00000209fjk0040000002F]nh0U[O^00000080Rk?a00@0000007Z/l`1j[?<000000P1PWo8:0000
0005000i_0000000;U?60000001?ILT00`0000001P1dN<P0000008b4aP2<Q<H0000009n>`P<00000
0`2_Ukh00`000000^ijk0;^N^`03000000<0aJFh0P0000030<j[]P050000003A[[H000000=Fa]000
00000`3H/k@200000080gKRc00P000000=nk/`3O^k<000000>:n/`000000hknd00000080iL:d00<0
00000>O5]00000000P3XbKH01@000000j/bg0>[<]`000000jlng0080000000@0jM6l0000003[dkd0
00000P3[e[l00`000000jmW1000000020>KIb0030000003VflX000000080iMc<00<000000=cJe000
00000P3Kf]H2000000030=7Fg0000000cmGN0080cmGN00L000000<K@hP00000000000<??h`000000
_L_U0080000000@0_<[U0000002ganH0]lOV0P0000000`2b`nL000000000000200000080[l7W00<0
00000:g0j02]`>P00`0000030:boj08000000P2[_^P00`000000Z[kX0:Znj003000000040:Zmj000
0000ZKgX0:Vmj0@0000000@0ZKgX0000003oool000002P3oool001h0oooo00<000000?ooo`3oool0
;@3oool400000080ZKgX0`000000102X_NP000000:Rmj02X_NP300000080YkcY00<000000:FljP2U
_>X00`0000020::kj`030000002M^^`0WK[/01D0000000<001n/0000000000000P00000204mUb@03
0000001_M/T0000000D000000P2OSl<00`000000[iNn0:nG_P020:nG_P8000000`2mWk/01P000000
aJFh0<FU^0000000b:Nh00000080cZ^f00<000000=6^]P3A[[H00P0000030=Rc]0050000003K][@0
00000=fh/`0000000P3O^k<010000000h[jc0000000000020>G2]0030000003WaK@0ilFd00800000
00T0j<Vf0000003Zc;L0j/bg0000003[ckL000000>gB^00000000P3[dkd00`000000jmJo0>_F_`02
000000050>cK`P00000000000>KKbP0000000P3Ug<`00`000000hmg?000000020=_JeP040000003I
f]T0fM[I00000080cmGN0P0000000`3=eN0000000<??h`030<??h`040000002lb^D0_<[U0;c:i@<0
00000P2fa^H3000000040;73i`000000[l7W0:o1i`<000000P2]_nP00`000000[;oX000000020000
0080ZkkX10000000102Z_^P000000:Zmj02Z_NP300000080ZKgX00<000000:Vmj02Y_NP00P000000
0`3oool000000?ooo`080?ooo`007P3oool2000002/0oooo0`0000040?ooo`8000000P2Y_NP00`00
0000Z;gX0000000200000080Z;gY00<000000:Nlj@2W_>T00`0000020:FljP030000002R^n/0X[_[
00<000000P2M^^d010000000U[O_09Jgk`00000208^clA<0000000D0CfG90000001_M/T0KgK90000
000208Z4a`030000002OSl<0Who30080Who300D000000:nG_P2_Ukh0[iNn000000040;fO^`030000
0035YKP000000080b:Nh00<000000<j[]P0000000`3A[[H01@000000f;>d0=Rc]03H/k@000000080
fkJd0P0000020=nk/`070000003R_[<0h[jc0>:n/`000000iL:d000000020>O5]0040000003Yb;@0
jLRd00000080j/bg00<000000>_?]`0000000P3]d[P300000080jmJo00L000000>_I`@000000k=_2
0000003[gLD0000000<0iMc<0P0000000`3Rgm400000000000020=WJf@040000003Ffm/000000000
0080cMGP00@000000<[Dh@000000`loS0`0000001P2lb^D000000000002jbNH000000;K6iP800000
00<0]<GW0000002a`nL010000000102^`NL000000:foj02]_nP300000080ZkkX0`0000020:Znj003
0000002Z_^P0Z[kX00<000000P2Z_NP00`000000ZKgX0:Vmj00300000080ZKgX0P0000090?ooo`00
7@3oool00`000000oooo0?ooo`0X0?ooo`<00000203oool00`000000ZKgX0:Vmj00200000080Z;gX
00<000000:Rmj@2X_NT00`0000020:Nlj@030000002U_>X0YKcZ00<000000P2R^n/00`000000WK[]
09fjk@0600000080Rk?a00<0000007V/l`1i[?<0300000001@0NBl@0000004mUb@1?ILT000000080
KgK900@0000008Z4a`2:Q<L000000`2OSl<00`000000[iNn0:nG_P02000000D0_Ink0P0000030<RW
^0030000003A[[H0dJjf0080dJjf00D000000=Rc]03H/k@0f;>d000000030=^f]0040000003O^k<0
gk^c00000080h[jc0P0000001@3U`[@000000>O5]03WaK@000000080jLRd0P0000000`3Zc;L00000
000000020>gB^0030000003^e;T0k]Bi0080000000<0jmJo0000000000000P3/fl82000000070>_O
a`000000iMc<0000003SgLl000000>;Od@02000000040=WJf@000000e]_K0=KKf`80000000<0cMGP
0000003:e>400P3:e>400`000000`LkT0<7>i002000000<0^/WV0P0000030;C5i`D000000P2^`NL3
00000080[;oX0`0000020:^nj0030000002Z_^P0Z[kX00<0000000@0Z[kX0000002Z_NP0Z[gX1000
0000102Y_NP000000:Vmj02Y_NP4000000P0oooo00040?ooo`800000103oool00`000000oooo0?oo
o`030?ooo`800000103oool2000000D0oooo00<000000?ooo`3oool09@3oool3000000`0oooo0P00
00020:Vmj0030000002X_NP00000008000000P2X_NT00`000000YkcY0:Nlj@0300000080YKcZ00<0
00000::kj`2R^n/00`00000209fjk@040000002F^>l0U[S_00000080Rk?a3P0000000`00;;@00000
0000000300000080KgK900@0000008Z4a`2:Q<L00000102OSl<200000080/9Vo00<000000;fO^`2m
Wk/00P2mWk/010000000b:Nh0<RW^038YkP2000000<0dJjf00D000000=B`]P000000f;>d00000003
0=^f]080000000<0gk^c0000003R_[<00P3R_[<00`000000iL6c000000020>O5]0040000003Yb;@0
jLRd00000080k<bd00<000000>_?]`0000000P3]d[P00`000000k]Bi000000020>oH^P070000003[
fL4000000>cK`P000000jmg5000000020>_Oa`030000003SgLl000000080h]oA00<000000>3Oe000
00000P3Ffm/010000000e=[M0=CJg@0000020<[Dh@80000000<0b=?S0000000000000P2ocND30000
00030;S8iP000000]<GW0080000000<0/lGW0000002``nL0100000020:k1j0<0000000@0[;oX0000
002[_^P0ZkkX10000000102Z_^P000000:Znj02Z_^P300000080Z[gX00<000000:Vmj02Y_NP00`00
00020:Vmj0800000203oool000<0oooo00@000000?ooo`3oool00000203oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool08P3oool300000100
oooo00<000000:Vmj02Y_NP00P0000020:Rmj0H000000P2W_>T600000080X[_[00<0000009fjk@2M
^^d01P00000208^dl@040000001i[O<0000005fPl`<0000000<006GH0000000000001P0000000`15
H<T000000000000206mfb@050000002:Q<L0RXC70000002OSl<00`0000030;2I_`030000002mWk/0
_Ink00<000000`38YkP00`000000bjZh000000020=6^]P050000003D/;H000000=Rc]00000000`3K
][@010000000gKVc0000000000020>:n/`030000003U`K<0iL6c0080000000D0ilFd0000003Yb;@0
jLRd000000020>c<]08000000P3]d[P020000000k]Bi0>kD^@000000kmRj0000003_fk`000000P3/
fl8200000080jmo700<000000>WRbP0000000P3Rgm4010000000h=oD0000003Mh=L2000000040=CJ
g@00000000000=7Jg`80000000H0b=?S000000000000aM;T0000002ocND300000080^<SV0P000003
0;?5i`D0000000D0[/7X000000000000[L3X000000020:boj0<000000P2[_^P00`000000Z[kX0:Zn
j00300000080Z[kX00<000000:Zmj02Z_NP00`000000102Y_NP000000:Vmj02Y_NP3000000P0oooo
00030?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000040?ooo`8000008@3oool2000001@0oooo0P000000102Y_NP00000000000000002
0:Rmj0030000002X_NT0Z;gY00<000000P2W_NT00`000000YKcZ0:FljP0600000080WK[]00<00000
09Jhk`2F^>l04`0000000`15H<T0000006Ydb`0700000080Wi3400<000000;2I_`2`VKl00P2`VKl2
000000<0_j:l00<000000<RW^00000000P3;Z[P00`000000dJjf000000030=B`]P050000003K][@0
fkJd0=^f]00000000P3M^K<020000000h[jc0>:n/`3R_[<000000>G1/`000000ilFc0P0000020>W8
]0050000003/c;@0k<bd0000003]ckD00P0000002@3]d[P000000>kD^@000000kmRj0000003_fk`0
00000?3N_P02000000040>_Ma@000000jmo70>_Oa`80000000D0j>?=000000000000h=oD00000002
0=gPe`030000003Kh=X000000080dM[O0P0000000`3>fN4000000<GBi0030<GBi0040000002mc>H0
_LcV0;g<iP8000000P2gb>L3000000040;;4i`000000[l;X0:o2j08000000`2]`>P300000080[;oX
00<000000:^nj02[_^P00`000000102Z_^P000000:Znj02Z_^P4000000040:Vmj0000000ZKgX0:Vm
j0<000000P3oool00`000000oooo0?ooo`060?ooo`000`3oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo00000080oooo0`0000050?ooo`030000003oool0oooo01d0oooo0`00000G
0?ooo`8000000P2Y_NP00`000000Z;gX0:Rmj00300000080Z;gY00<000000:Nmj@2W_NT00`000002
0:FljP030000002R^n/0X[_[00H0000000D0U[S_0000002;]?40RkCa0000000207Z]m0/0000000@0
3D7000000015H<T000000P1ZM</010000000R8C808R4b000000409n@a0050000002`VKl0/9Vo0;2I
_`000000102oX[`00`000000b:Nh000000030<^Z^08000000P3D/;H01@000000ekBf0000003K][@0
000000<0gKVc0P0000001@3R_[<000000>G1/`3U`K<000000080ilFc00@000000>W8]03Yb;@00000
0P3/c;@200000080km:f00`000000>kD^@3^e;T000000>oH^P000000km^l0000003`g[h000000>oQ
`00000020>_Oa`070000003Yh/X000000>SSc@000000i^C@000000020=gPe`040000003Kh=X00000
0=SOg08000000P3>fN4010000000bmSS00000035d^@3000000060;g<iP00000000000;_;i`000000
]lSW0`0000020;;4i`<0000000<0[l;X0000000000000P000000102]`>P000000:boj02/_nP40000
00040:^nj0000000Z[kX0:Znj0<000000P2Z_NP00`000000ZKgX0:Vmj003000000H0oooo00<00000
0?ooo`3oool01@3oool000<0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`00
00020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool06P3oool3000001`0oooo00<0
00000:Vmj00000000P0000020:Rmj0030000002X_NT0Z;gY00<000000P2W_NT00`000000YKcZ0:Fl
jP0300000080X[_[00<0000009fjk@0000000P2F^>l@00000003000NZ`0000000000008000000`1Z
M</010000000R8C808R4b000000309n@a0030000002`VKl0/9Vo008000001@2oX[`00`000000bjZh
0<^Z^0020<^Z^0090000003D/;H0e;2f0=B`]P000000ekBf0000003K][@000000080gKVc00L00000
0>6m]0000000h[jc0000003U`K<0000000<0ilFc0`0000020>c<]0030000003]ckD000000080km:f
0`0000002@3_f;X000000>oK_0000000l=jn0000003_hL0000000>oS`P02000000040>WRbP000000
j>?=0>SSc@80000000H0i>GC000000000000fn3J0000003Hgm`3000000040<kIh@000000bmSS0<_H
h`8000000P32dND200000080^l_W0`0000020;G7i`<000000P2a`nP3000000040:k1j0000000[L3X
0:g0j0<000000P2[_nP00`000000ZkkX0:^nj00300000080Z[kX00<000000:Zmj02Z_NP00`000009
0?ooo`030000003oool0oooo00D0oooo00030?ooo`040000003oool0oooo000000P0oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01P0oooo0`00
000P0?ooo`040000002Y_NP0ZKgX00000080Z;gX0`0000020:Rmj@030000002W_NT0YkgY00<00000
0P2U_>X00`000000X[_[0::kj`0500000080UkS_00@0000008bel@2<]O4000000P1j[_@00`000000
Gj;d05nRm0090000000503UJb@000000JWC;06Ydb`0000000P28Q<P00`000000Wi3409n@a00209n@
a08000000P2bVl0010000000_j:l0;nR_02oX[`2000000<0bjZh00D000000<j]^@000000e;2f0000
00030=Nd]P050000003M^K<0gKVc0=fi/`0000000P3Q_K@010000000iL6c0>G1/`0000020>O5/`04
0000003Zb;<0j/Rc00000080k<bd0P0000020>oB]P030000003`e[H0l=Jf008000000P3_fk`02@00
0000l=jn0000003_hL0000000>oS`P000000k^G5000000020>SSc@090000003Vi=0000000>CUd`00
0000hNKF0000003Hgm`0000000<0eMoO00@000000<_Hh`00000000000P38e^@200000080`=3V0P00
00030;W:i`80000000<0]<KX0000002a`nP00P0000000`2``nP000000:k1j00400000080[;oX00<0
00000:^oj02[_nP00`000000102[_^P000000:Znj02Z_^P4000000`0oooo00<000000?ooo`3oool0
1@3oool000@0oooo0P00000:0?ooo`800000103oool3000000<0oooo0P00000F0?ooo`<000008`3o
ool00`000000ZKgX0:Vmj00300000080Z;gX00<000000:Rmj@2X_NT00`0000020:Nmj@030000002U
_>X0YKcZ00<0000000@0X[_[0000002M^^d0WK[]5@0000001P0iF/T00000000000000000JWC;0000
0080R8C800<0000009n@a00000000P0000030;:K`0060000002oX[`0_j:l00000032YK`000000P3;
Z[P01P000000cZfi0<j]^@000000e;2f000000<0ekBf0P0000000`3M^K<000000>6m]0020>6m]0<0
00000`3WaK<00`000000j/Rc0>[8/`03000000080>g?]@000000km:f0>oB]P000000l=Jf0000003a
f[P3000000040?3N_P000000kn7000000080kn?20P0000002`3]ilP000000000003Vi=0000000>CU
d`000000hNKF0000003NiMT000000080eMoO0P000000103AgN4000000<SFi038e^@3000000060<3@
iP00000000000;g>i`000000^L[W0`0000020;C6j08000000`2``nP500000080[;oX10000000102[
_^P000000:^nj02[_^P300000100oooo00<000000?ooo`3oool01@3oool001`0oooo00<000000?oo
o`3oool04P3oool3000002L0oooo0P0000020:Vmj0030000002X_NP0Z;gX00<000000P2X_NT00`00
0000YkgY0:Nmj@03000000040:FljP000000X[_[0::kj`<000000P2N^^d010000000UkW_09Nik`00
000208fel@X0000000L0012P00000000=[/0000003UJb@000000Hg;<00H000000P2PT/D00`000000
/Y_00;:K`0020;:K`08000000`32YK`2000000@0cZfi00T000000=Nd]P3G];H0ekBf0000003J]kH0
00000=fi/`0000000P3Q_K@010000000hl2d0>?0]00000020>O5/`050000003Zb;<0j/Rc0000003/
c;<00`0000020>oB]P030000003`e[H0l=Jf008000000P3bgKT200000080kn7000P000000>oS`P00
0000k^G50000003]ilP000000>_Yc0<0000000D0hNKF0000003NiMT000000=_Ug@02000000040=7M
h@00000000000<kLh`8000000`35e>H010000000_LkW0;g>i`2mc^L200000080]lWX0`0000020;;5
j0<0000000<0[l;X0000002]`NP0100000020:boj0030000002[_^P0ZkkX00<000004`3oool00`00
0000oooo0?ooo`050?ooo`00703oool00`000000oooo0?ooo`0?0?ooo`<00000:`3oool00`000000
ZKgX0:Vmj00300000080Z;gX00<000000:Rmj@2X_NT00`0000020:Nmj@030000002U_>X000000080
00000P2R_>/00`000000W[[]09jjk@0600000080S[Ka00<0000007f`m01m/?@01P0000000`004:00
00000000000200000080Hg;<00@0000008J5bP26QLX00000102PT/D01@000000/Y_00;:K`02bVl00
000000@0`ZFl00<000000<j]^@3>[KT00P3>[KT2000000<0ekBf00@000000=Zg]P3J]kH000000`3Q
_K@00`000000hl2d0>?0]002000000090>O5/`000000j/Rc0>[8/`000000k<bc0000003^d;@00000
0080km:f00P000000?3F]P000000lMZh0000003bgKT000000?;Q^P<000000P3_hl8200000080kNO8
0P0000001P3Xjll000000>K[d`000000g^GI00000080fnGM00<000000=OTg`0000000P3>g><30000
00040<GDiP00000000000<;Ci`<000000P2kcNL200000080]LSX00<000000;;5j00000000P000002
0:o2j0@0000000@0[L3X0000002/_nP0[;oX0`00000F0?ooo`030000003oool0oooo00D0oooo000L
0?ooo`030000003oool0oooo00`0oooo0`00000_0?ooo`8000000P2Y_NP00`000000Z;gX0:Rmj003
00000080Z;gY00<000000:Nmj@2W_NT00P0000020:FljP030000002R_>/0X[c[00<000000P2N^nd0
0`000000V;W_09Rik`0B00000080Hg;<00@0000008J5bP26QLX000000`2PT/D00`000000/Y_00000
0002000000<0`ZFl0P0000030<j]^@060000003A/KT0dK6i0000003G];H000000`3J]kH200000005
0>6m]0000000hl2d0>?0]00000000P3Va;@01P000000j/Rc0>[8/`000000k<bc00000080k]2d0`00
00020?3F]P8000000P3bgKT2000000030?;T_0000000l^No00<000000P3]ilP2000000060>S[c`00
0000i^_C0000003Sk=L000000P3KiMd010000000enCO0000003Ch^82000000<0bm[U00L000000<;C
i`00000000000;oAi`000000^lgW00<000000P2eb>P300000080/LCX0`0000020:k2j0030000002]
`>P0000000<000006@3oool00`000000oooo0?ooo`050?ooo`006`3oool2000000/0oooo0`00000c
0?ooo`030000002Y_NP0ZKgX00<000000P2X_NP6000000030:Nmj@000000000000@000000P2S_>/0
0`000000W[_]09jkk@0300000080VKW_00H0000008ngl@2?]o40000007nam000000206RXmP030000
0012Uo80000000<0000000D0:eC8000000000000Hg;<0000000208J5bP030000002PT/D0X9;500<0
00000`2dW/801P000000`ZFl0<:U_0000000aJRm00000080cZfi00H000000=6a^@3A/KT000000=Nd
]P0000020=Zg]P050000003M^kH000000>6m]00000000P3S`;@02`000000i/Bd0000003Yb;@00000
0>[8/`000000k<bc0000003^d;@000000080l=Be0`0000002@3af[P000000?;M^@000000l^6j0000
003bi;`000000?;W_`02000000060?3/a000000000000000003Xjll000000P3Vjm<2000000050=o[
fP00000000000=OTg`0000000P3Ch^82000000050<_Ji@00000000000<OHiP0000000`2odNL20000
0080^L_X0`0000020;C7j0<0000000@0/<?X0000002^`^P0[/;X1@00000K0?ooo`030000003oool0
oooo00D0oooo000L0?ooo`030000003oool0oooo00L0oooo0P00000g0?ooo`8000000P2Y_NP30000
0080Z;gX00<000000:Rmj@2X_NT00P0000020:Nmj@030000002U_>X0YKcZ00H000000P2O^nd00`00
0000VKW_09Vik`0=00000004000[]0000000000005a`cPL000000P2QU<P01`000000]9k20;BN`P2d
W/8000000<:U_00000000P35Z;d00`000000cZfi000000040=6a^@050000003J]kH0f[Nf0=Zg]P00
00000P3M^kH010000000hl2d0>?0]00000020>K4]0060000003Yb;@0jLRd0000003/c;<000000P3^
d;@01`000000l=Be0000003bf;H000000??L]P0000000P3bgKT2000000070?;T_0000000l^No0000
003aj/4000000?3/a002000000040>c`c0000000i^_C0>K[d`8000000P3OjmX00`000000g>_N0000
00020=?RhP050000003?h>@0cn3T00000037f>H00P0000001034e^P000000000000000020;c?j080
00000P2gb^P3000000040;;5j0000000/<?X0;33j0<00000103oool00`000000oooo0?ooo`0J0?oo
o`030000003oool0oooo00@0oooo000K0?ooo`030000003oool0oooo00D0oooo0`00000j0?ooo`<0
00000P2Y_NP00`000000Z;gX0:Rmj003000000040:Rmj@000000YkgY0:Nmj@<000000P2U_>X00`00
0000Xkc[0:>lj`060000000409VjkP000000T;Oa092gl@d000000P1LL<h010000000Q8K=08B6c@00
00030:6Db0030000002dW/80]9k20080]9k200<000000<FX_@35Z;d00P35Z;d00`000000dK6i0=6a
^@020=6a^@050000003D]KX000000=Zg]P0000000P3M^kH01`000000hKng0000003S`;@000000>K4
]00000000P3Yb;@2000000040>c</`000000k]2d00000080l=Be00@000000?;H]P000000lmbf0`00
00001@3bhKX000000?;T_0000000l^No0080000000<0l>c40000003^k/P00P000000103YlLl00000
0000000000020=o[fP040000003Ljmh000000=SYh@80000000D0cn3T000000000000c=kV00000002
0<CFj0<0000000H0_<oX000000000000^/gY0000002gb^P300000080//GX0`0000080?ooo`030000
003oool0oooo01T0oooo00<000000?ooo`3oool0103oool001/0oooo0P0000030?ooo`<00000?`3o
ool00`000000ZKgX0:Vmj00300000080Z;gX00<000000:Rmj@0000000P0000020:Nmj@030000002U
_>X0YKcZ00<000000P2S_>/00`000000Wk_/0000000500000080T[Sa00@0000008Bdm024]?@00000
0P1_[OH5000000<0G73>00@0000008B6c@24Q/d000000`2QU<P00`000000]9k200000002000000<0
aJRm0P0000030=6a^@060000003D]KX0e;Fj0000003J]kH000000P3M^kH010000000hKng00000000
00020>K4]0060000003Yb;@0jLRd0000003/cKD000000P3^d;@01`000000l=Be0000003bf;H00000
0??L]P0000000P3dh;P4000000030?;W_`000000lN[10080000000D0k^k80000003/l<`000000>Wa
c`02000000040>;bf000000000000=c[gP<000000P3Cin@01@000000c=kV000000000000b=cX0080
00000P31e>P2000000<0^/gY0P0000020;G8j@<00000303oool00`000000oooo0?ooo`0H0?ooo`03
0000003oool0oooo00@0oooo000K0?ooo`030000003oool0000000800000@`3oool200000080ZKgX
00<000000:Rmj02X_NP00P0000020:Rmj@030000002W_NT0YkgY00<000000P2U_>X00`000000Xkc[
0:>lj`0200000080X;_/00<0000009ZjkP2J^^h03@0000001@0JCLL000000000001LL<h000000080
Q8K=00@000000:6Db02QU<P0XIC80P0000030;NRa00600000035Z;d0aJRm00000038[Kl000000P3A
/KT01@000000e;Fj0=Be^P3D]KX000000080gK^f00L000000>6o]`3Q_kL0hKng0000003Va;@00000
0080jLRd00<000000>c=]@3/cKD00`0000020?3D]@060000003bf;H000000??L]P000000m>2h0P00
00020?CX^PD000000P3^k/P2000000070>Wac`000000i_;D0000003Rl]P000000=kag00200000080
dnOT0P000000103?i>H000000<SLj038g>P2000000030<CIj@00000000000080_M7Y0`0000020;S<
j@800000403oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo00@0oooo00020?ooo`80
0000103oool00`000000oooo0?ooo`030?ooo`800000103oool2000000D0oooo0P0000170?ooo`03
0000002Y_NP0ZKgX00<0000000@0Z;gX0000002X_NT0Z;gY0`0000020:Nmj@030000002U_>X0YKcZ
00<0000000@0Xkc[0000002P^n`0X;_/0`00000209^jkP040000002C^O40TkWa00000080QkGd1000
000010007J/000000000001CK]440000000308B6c@000000XIC800800000102gX/@00`000000aJRm
000000020<R]_`030000003A/KT0000000<0e;Fj0P0000000`3M^kH000000>6o]`020>6o]`800000
00L0i/Bd0000003Yb;@0jLRd0000003/cKD000000080k]:f00L000000?3D]@000000l]Rf0000003c
g;H000000080m>2h0P000000103dj;X000000000003bk[l2000000030>kda@000000000000<00000
00<0i_;D0000003Rl]P010000000103Fk^@000000000003?i>H2000000040<_Rj000000000000<CI
j@<0000000H0_M7Y000000000000^loZ0000002hc>T200000180oooo00<000000?ooo`3oool05`3o
ool00`000000oooo0?ooo`040?ooo`0000D0oooo0000003oool0oooo000000080?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`160?ooo`80
00000P2Y_NP00`000000Z;gX0000000200000080Z;gX1P0000020:JmjPD000000P2Q_>`00`000000
Vk[^09^jkP060000000308Zfl`000000N;7f00D000000P1CK]400`000000PHO@0000000200000003
0:6Hb`000000]j;400@0]j;400<000000<R]_`38[Kl00P38[Kl00`000000e;Fj0=Be^P020=Be^P04
0000003H^K/00000000000<0hKng00<000000>C4^00000000P3Yb;@010000000k<fe0>c=]@000002
0>kB]P<0000000D0l]Rf0000003cg;H000000?CP^00200000080m>Rj0P000000103bk[l000000000
003^m<D2000000030>Wgc@000000iOSA00@0000000L0f_3P0000003Fk^@0e^kT0000003BjnL00000
0080bn;X0P0000001037g^X000000<7FjP31e^X2000000<0^loZ0P00000E0?ooo`030000003oool0
oooo01H0oooo00<000000?ooo`3oool0103oool000050?ooo`000000oooo0?ooo`000000203oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000H0oooo0P0000170?ooo`D00000
0P2Y_NP300000080Z;gX00<000000:Nmj@2W_NT00`000000102V_NT000000:Blj`2T_>/600000080
W;_^00<0000009Fil02E^O002@00000205=^d@0400000021Qm00PHO@000000<0XIS;00<000000;NR
a02gX/@00`0000030<R]_`8000000`3D]KX010000000f;Vk0=Ri^`0000030>6o]`030000003Ta;P0
i<Bh0080000000@0jLRd0000003/cKD000000P3^d[H010000000lMJf0000003bfkL300000080m>2h
0P000000103dj;X000000000003bk[l200000080k_C50P000000103Ymld000000000003Rn=H20000
00040=[fg`000000e^kT0=K^i0<0000000@0cNSY000000000000amkZ0P0000000`33fn/000000000
00020;gCj`<00000603oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00@0oooo0000
1@3oool000000?ooo`3oool0000000P0oooo00@000000?ooo`3oool000000`3oool2000000T0oooo
00<000000?ooo`3oool0A@3oool00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Rmj02X_NP0
0`000000102W_NT000000:Jmj@2V_NT300000080Y;c[00<000000:6lk02Q_>`01P0000001P2G^_00
000008fgl`2=]o<0000007fcmP80000000D01dG40000001CK]40DfkA000000020867d0060000002Q
V</0XIS;0000002gX/@000000`2iY/H020000000b:fo0<R]_`000000bk710000003D]KX000000`3H
^K/2000000050>6o]`000000i<Bh0>C4^00000000P3WbKP010000000k<fe0>c=]@0000020>kB]P06
0000003ae[H000000?;K]`000000m>2h100000020?CX^P80000000@0l^jo000000000000k_C50P00
0000103Ymld000000000003Rn=H2000000030=[fg`000000e_CS00<000000P3=j>T2000000030<WT
j`000000`m_[0080000000<0`=S/0000002mdn/00P00000K0?ooo`030000003oool0oooo01D0oooo
00<000000?ooo`3oool00`3oool000050?ooo`000000oooo0?ooo`000000203oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`3oool0A@3oool20000
0080ZKgX00<000000:Vmj02Y_NP00`0000020:Rmj0030000002W_NT00000008000000P2V_NT00`00
0000Y;c[0:Blj`03000000040::lk0000000WK_]09fkk@l000000P21Qm000`000000XIS;0:6Hb`02
000000@0^JK600<000000<R]_`0000000P3;/L400`000000e;Fj000000020=Ri^`050000003K_[`0
00000>6o]`0000000P3Ta;P00`000000ilVh0>O9^00300000080k]:f00X000000?7F]P000000l]^g
0000003dh;P000000?GU^@000000mNVj400000000`3Jm]l000000=Kdh`03000000040<k^jP000000
00000<WTj`80000000<0aN7/00000030f>`00P30f>`2000001d0oooo00<000000?ooo`3oool05@3o
ool00`000000oooo0?ooo`030?ooo`0000D0oooo0000003oool0oooo000000080?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool000002P3oool00`000000oooo0?ooo`150?ooo`03
0000002Y_NP0ZKgX00<000000P2Y_NP00`000000Z;gX0:Rmj00200000080YkgY00<000000:Jmj@2V
_NT00`0000020:FljP030000002R_>`00000008000000P2N^nd010000000V;[_09Rjk`00000208nh
lPD0000000<0B6cC000000000000100000000`2RW<h000000;VVaP040;VVaP030000003;/L40bk71
0080bk7100D000000=Ri^`3H^K/0f;Vk000000020=^n_0040000003Ta;P0i<Bh00000080ilVh00@0
00000>[?^@3ZckT000000P3^d[H200000080l]^g00@000000?CP^0000000mNFi0P000000103dkK/0
00000000003am;h2000000040>_i``00000000000>ClbPD0000000<0e_cN0000000000000P000000
0`3>k^X00000000000020<WZk00500000035hN`0000000000031gNd00`00000P0?ooo`030000003o
ool0oooo01@0oooo00<000000?ooo`3oool00`3oool00080oooo0P00000:0?ooo`800000103oool2
000000`0oooo00<000000?ooo`3oool0A@3oool200000080ZKgX00<000000:Vmj02Y_NP00`000000
102X_NP000000:Nmj@2W_NT300000080Y[gY00<000000:FljP2U_>X00P0000020::lj`030000002N
^nd0W[_]00H0000000<0T[Wb0000000000000P00000204Q/d`040000001nR]D0OX[E000000<0XYc>
00<000000;VVaP2iY/H00`0000030<^a`@050000003?]l<000000=Ri^`0000000P3K_[`01@000000
glBn0000003Ta;P000000080ilVh00<000000>[?^@3ZckT00`0000002`3ae[H000000?;K]`000000
m>2h0000003eiKT000000?GY^P000000m>fk0080000000@0lOBn000000000000joW31@0000000`3I
oMT0000000000004000000040<_cj`000000bN[/0<WZk080000000@0aNK^00000031gNd0`Mg]0P00
000S0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool00`3oool002<0oooo0P000016
0?ooo`030000002Y_NP0ZKgX00<000000P2Y_NP500000080Z;gY1P0000000`2U_NX0000000000004
00000080Wkc]00<0000009Zkk`2J^nl02@00000307j:e@060000002RW<h0XYc>0000002iY/H00000
0`2l[<T020000000bk710<^a`@000000ckO30000003H^K/000000P3K_[`010000000glBn0=o4_P00
00020>O9^0080000003ZckT0j/ni0000003]e;X000000?3J^`0000020?;K]`070000003dh;P00000
0000003ejKX000000?C]^`02000000040?7d_P00000000000>_i``X0000000D0c_OX000000000000
00000<O_kP02000000040<GVkP00000000000<;Rk`8000009P3oool00`000000oooo0?ooo`0B0?oo
o`030000003oool0oooo00<0oooo000U0?ooo`030000003oool0oooo04@0oooo0P0000020:Vmj0<0
000000@0ZKgX0000002X_NP0Z;gX0`0000020:Rmj@030000002W_NT00000008000000P2U_NX00`00
0000Xkc[0:>lj`060000000409^kkP000000U;[a09Bjl@L0000000@0OX[E0000002RW<h0XYc>0P00
00040;b/b@030000003;/L40000000<0ckO300@000000=^n_03K_[`000000`3Oa;h2000000080>O9
^0000000j/ni0>[?^@000000kMBj0000003`f[/5000000050?GU^@000000mNVj0000003dkK/02P00
00001P3=omH0000000000038oN<000000<Kkj08000000P37knh7000002P0oooo00<000000?ooo`3o
ool04P3oool00`000000oooo0?ooo`030?ooo`009P3oool00`000000oooo0?ooo`140?ooo`<00000
00@0ZKgX0000002Y_NP0ZKgX0`0000020:Rmj0030000002X_NT0Z;gY008000000P2W_NT00`000000
YKgZ0:FmjP0300000080Y;c[00<000000:2lk00000001@00000209Nkl080000000<0>f[F0000001j
SMX0100000020:>Qd`040000002l[<T0_:c90;b/b@8000000`3?]l<01@000000dkg50000003K_[`0
00000080glBn00@000000>?;_`3Sbkl000000P3ZckT01@000000kMBj0000003`f[/000000080l^2k
00<000000??U_000000020000000103RoL0000000000003HolH2000000040<goeP00000000000<Sm
h`@0000000<0`O?`0000000000000P0000000`30i_4000000000000[0?ooo`030000003oool0oooo
0140oooo00<000000?ooo`3oool00`3oool002L0oooo00<000000?ooo`3oool0A@3oool00`000000
ZKgX0000000200000080ZKgX00<000000:Rmj02X_NP00`000000102X_NT000000:Nmj@2W_NT30000
0080Y[gZ00<000000:Blj`2T_>/00P0000020:6lk0030000002M_>h0WKc^00H0000000<0>f[F0000
001jSMX00P1jSMX01@000000Xj7C0:>Qd`000000_:c9008000000P2o//d010000000ckO30<ng``00
00020=>ma@0:0000003Oa;h0glBn0=o4_P000000hl^o0000003WdL4000000>[?^@8000000P3`f[/0
10000000l^2k0000003ciK`2000000030??`_@000000lOBm0080000000H0joZn000000000000h_g0
0000003HolH>000000030;cZm0000000000002h0oooo00<000000?ooo`3oool04@3oool00`000000
oooo0?ooo`020?ooo`00:03oool2000004H0oooo00@000000:Vmj02Y_NP000000P2Y_NP300000080
Z;gX1@0000020:Nmj@H0000000@0Y;g[0000002Q_>`0XKc/0`00000209jlkP030000002I^o000000
00<000000`1jSMX00`000000Xj7C0:>Qd`02000000@0_k;=00<000000<ng``0000000P3C_LD01@00
0000elC70000003Oa;h000000080hl^o00P000000>OA`@3WdL4000000>gD^P000000l=Zk00000080
l^2k00D000000??U_000000000000??`_@02000000050>kg_@00000000000000003RoL004P00000`
0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool00P3oool002X0oooo00<000000?oo
o`3oool0A03oool500000080ZKgX0`000000102X_NP000000:Rmj@2X_NT300000080YkgY00<00000
0:JmjP0000001@0000020::lk0D0000000@0Vkc_000000000000:VOH1P0000020:BWf0040000002o
//d0_k;=0;nbc@8000000P3C_LD020000000elC70=O4a`000000glBn0000003Sbkl000000P3WdL40
0`000000j]S2000000020?3J^`040000003bh;/000000??U_080000000<0lo2m0000003am;d00P00
00000`3[n[h000000000000@000003@0oooo00<000000?ooo`3oool0403oool00`000000oooo0?oo
o`020?ooo`00:`3oool00`000000oooo0?ooo`140?ooo`030000002Y_NP0ZKgX00<0000000@0ZKgX
0000002X_NP0Z;gX0`0000020:Rmj0030000002W_NT0YkgY008000000P2V_NT00`000000YKg[0:Fm
j`03000000040:>mj`000000Wkc]09nlk@D0000000<0:VOH0000001dTN000P1dTN001@000000Y:OH
0:BWf0000000_k;=0080000000@0`kWA0000003C_LD00000103Ga<L00`000000hl^o000000020>OA
`@040000003Zf<8000000>gOa08000000P3bh;/01@000000lnFl000000000000lo2m01D00000=`3o
ool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0080oooo000/0?ooo`030000003oool0
oooo04@0oooo0P0000020:Vmj0030000002Y_NP00000008000000P2Y_NP00`000000Z;gX0:Rmj003
000000040:Nmj@000000Y[gY0:Jmj@<000000P2U_NX00`000000Xkg[0000000200000080XKc]1@00
000307BAh0030000002TYmP0Y:OH008000001033^M400`000000elC70=O4a`020=O4a`80000000X0
hl^o0000003WdL40im710000003Zf<8000000>gOa0000000knK42@0000000`3Ko[h0000000000009
0000000309O/m`000000000000800000>P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0
oooo0080oooo000]0?ooo`800000A@3oool00`000000ZKgX0:Vmj00200000080ZKgX00<000000:Vm
j02Y_NP00`0000000`2X_NP000000000000400000080YkgY1@0000020:Bmj`030000002Q_>d0XKc]
00@0000000<05F;H000000000000100000020:F_g`0600000033^M40`kWA00000036`]H000000P3G
a<L010000000flc:0=_<bP0000020>OA`@030000003Zf<8000000080kMo400@000000>oVa0000000
kng50P000000103/n<@000000000003RoL0:0000000308CTm`000000000000800000?@3oool00`00
0000oooo0?ooo`0>0?ooo`030000003oool0oooo0080oooo000_0?ooo`030000003oool0oooo04<0
oooo0P0000000`2Y_NP000000000000400000080ZKgX0P0000020:Rmj0030000002X_NT0Z;gY00<0
000000@0YkgY0000002V_NX0Y[gZ1P0000000`2R_N`00000000000020000000501ERf0000000KIGW
06fEi`0000000`2U[ml00`000000`kWA000000020<K2eP030000003Ga<L000000080flc:00@00000
0=oDc@00000000000P3Zf<800`000000kMo4000000020>oVa080000000<0ko?50000003/n<@03`00
00110?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool00P3oool00300oooo00<00000
0?ooo`3oool0@`3oool200000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Rmj02X
_NP300000080Z;gY00<000000:Nmj@0000000P0000020:JmjP030000002T_N/0Y;g[008000000P2S
_N`4000000<0KIGW00<000000:F_g`0000000P0000040<K2eP080000003Kc<X0flc:0=_<bP000000
gmC=0000003RgM0200000080kMo400@000000>oVa0000000kng50P0000000`3/n<@000000000000;
000004D0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`020?ooo`00<@3oool00`00
0000oooo0?ooo`130?ooo`030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX000000020000
0080Z;gX00<000000:Rmj@2X_NT00P0000020:Nmj@030000002V_NX0Y[gZ00<0000000@0YKgZ0000
002S_N`0Xkg/2@0000030:FhiP0800000036`]H000000000003:bm/000000=_<bP0000020=oDc@04
0000003RgM0000000>GVdP8000000P3_i/@2000000030>oca@000000000000L00000C03oool00`00
0000oooo0?ooo`0<0?ooo`030000003oool0oooo0040oooo000b0?ooo`030000003oool0oooo04<0
oooo0P0000020:Vmj0030000002Y_NP0ZKgX008000000P2Y_NP6000000030:Rmj@000000000000@0
000000<0YkgY000000000000100000020:Bmj`@000000P1SV^l00`000000YKSV0:FhiP03000000@0
b/_K00@000000=oDc@3Oe<d000000P3RgM0010000000iNKB0000003Vkm<:00000500oooo00<00000
0?ooo`3oool0303oool00`000000oooo0?ooo`010?ooo`00<`3oool2000004@0oooo1P000000102Y
_NP000000000000000020:Vmj0030000002Y_NP00000008000000P2X_NP00`000000Z;gY0:Rmj@02
00000080YkgY00<000000:JmjP2V_NX00`000000102U_N/0000000000000DLT5000000<0YL?_00D0
00000<[;f`00000000000<gFh00200000080h]g@00@000000>GVdP000000i^oC0`0000000`3Po=40
000000000003000005<0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`010?ooo`00
=@3oool00`000000oooo0?ooo`130?ooo`030000002Y_NP00000008000000P2Y_NP00`000000ZKgX
0:Vmj00200000080ZKgX00<000000:Rmj02X_NP00`000000102X_NT000000:Nmj@2W_NT300000004
0:JmjP000000YKg[0:Fmj`D000000P1EW_@00`000000YL?_0:G3k`0300000080cMKP0P0000002P3?
h^D000000000003Ui]8000000>K_d`000000i?OC0000003Po=45000005D0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`010?ooo`00=P3oool00`000000oooo0?ooo`130?ooo`040000
002Y_NP0ZKgX00000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP3000000040:Rmj0000000Z;gY
0:Rmj@<000000P2W_NT500000080YKgZ200000020:;>m`030000003=e^0000000080cn;U0P000000
0`3?kNT0000000000008000005P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`01
0?ooo`00=`3oool00`000000oooo0?ooo`120?ooo`030000002Y_NP0ZKgX00<0000000<0ZKgX0000
00000000100000020:Vmj0D000000P2X_NT3000000040:Rmj@000000YkgY0:Nmj@<00000103oool4
00000080X/kg0P0000020<oRi@070000003?kNT0cngY0000003<mnT000000<?liP05000005X0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`010?ooo`00>03oool2000004<0oooo0P00
00020:Vmj08000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000Z;gX0:Rmj0<00000
00@0Z;gY0000002X_NT0Z;gY0`0000090?ooo`@000000P2LfOd200000080cngY00@000000<cgj@00
0000`ocV0`00001N0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool00@3oool003X0
oooo00<000000?ooo`3oool0@@3oool3000000040:Vmj0000000ZKgX0:Vmj0<0000000@0ZKgX0000
002Y_NP0ZKgX0`0000020:Vmj0030000002X_NT00000008000003P3oool400000080TN7m1`00001Q
0?ooo`030000003oool0oooo00P0oooo0@0000010?ooo`40oooo000k0?ooo`030000003oool0oooo
0480oooo00<000000:Vmj00000000P0000020:Vmj0030000002Y_NP00000008000000P2Y_NP50000
01<0oooo2@00001S0?ooo`030000003oool0oooo00P0oooo0@0000010?ooo`40oooo000l0?ooo`03
0000003oool0oooo0480oooo00<000000:Vmj02Y_NP01@0000020:Vmj0<00000Q@3oool00`000000
oooo0?ooo`070?ooo`4000000@3oool10?ooo`00?@3oool00`000000oooo0?ooo`120?ooo`800000
0P2Y_NP00`000000ZKgX00000002000008T0oooo00<000000?ooo`3oool01P3oool100000040oooo
0@3oool003h0oooo0P0000130?ooo`030000002Y_NP0ZKgX00800000S@3oool00`000000oooo0?oo
o`050?ooo`4000000@3oool10?ooo`00@03oool00`000000oooo0?ooo`110?ooo`800000S`3oool0
0`000000oooo0?ooo`050?ooo`4000000@3oool10?ooo`00@@3oool00`000000oooo0?ooo`100?oo
o`030000003oool0oooo08l0oooo00<000000?ooo`3oool0103oool100000040oooo0@3oool00480
oooo00<000000?ooo`3oool0?`3oool00`000000oooo0?ooo`2@0?ooo`030000003oool0oooo00@0
oooo0@0000010?ooo`00@`3oool2000003l0oooo00<000000?ooo`3oool0T@3oool00`000000oooo
0?ooo`030?ooo`4000000@3oool004D0oooo00<000000?ooo`3oool0?03oool00`000000oooo0?oo
o`2A0?ooo`030000003oool0oooo00<0oooo0@0000010?ooo`00AP3oool00`000000oooo0?ooo`0k
0?ooo`030000003oool0oooo0980oooo00<000000?ooo`3oool00P3oool100000040oooo00170?oo
o`030000003oool0oooo03X0oooo00<000000?ooo`3oool0T`3oool01@000000oooo0?ooo`3oool0
00000040oooo00180?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0U03oool01000
0000oooo0?ooo`0000010?ooo`00B@3oool2000003T0oooo00<000000?ooo`3oool0U03oool01000
0000oooo0?ooo`0000010?ooo`00B`3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo
09D0oooo00<000000?ooo`0000000@3oool004`0oooo00<000000?ooo`3oool0=@3oool00`000000
oooo0?ooo`2F0?ooo`4000000@3oool100000000C@3oool00`000000oooo0?ooo`0d0?ooo`030000
003oool0oooo09L0oooo0P00000004h0oooo0P00000d0?ooo`030000003oool0oooo09L0oooo0P00
00000500oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`2H0?ooo`800000001A0?oo
o`030000003oool0oooo02l0oooo00<000000?ooo`3oool0U03oool400000080oooo001B0?ooo`03
0000003oool0oooo02h0oooo00<000000?ooo`3oool0T03oool4000000H0oooo001C0?ooo`800000
;P3oool00`000000oooo0?ooo`2<0?ooo`@000002P3oool005D0oooo00<000000?ooo`3oool0:`3o
ool00`000000oooo0?ooo`280?ooo`@000003P3oool005H0oooo00<000000?ooo`3oool0:P3oool0
0`000000oooo0?ooo`240?ooo`@000004P3oool005L0oooo00<000000?ooo`3oool0:@3oool00`00
0000oooo0?ooo`210?ooo`<000005P3oool005P0oooo00<000000?ooo`3oool0:03oool00`000000
oooo0?ooo`1m0?ooo`@000006@3oool005T0oooo0P00000X0?ooo`030000003oool0oooo07T0oooo
1000000M0?ooo`00F`3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo07D0oooo1000
000Q0?ooo`00G03oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo0740oooo1000000U
0?ooo`00G@3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo06d0oooo1000000Y0?oo
o`00GP3oool2000002<0oooo00<000000?ooo`3oool0JP3oool3000002d0oooo001P0?ooo`030000
003oool0oooo0200oooo00<000000?ooo`3oool0IP3oool400000300oooo001Q0?ooo`030000003o
ool0oooo01l0oooo00<000000?ooo`3oool0HP3oool4000003@0oooo001R0?ooo`030000003oool0
oooo01h0oooo00<000000?ooo`3oool0GP3oool4000003P0oooo001S0?ooo`030000003oool0oooo
01d0oooo00<000000?ooo`3oool0FP3oool4000003`0oooo001T0?ooo`8000007@3oool00`000000
oooo0?ooo`1F0?ooo`@00000@03oool006H0oooo00<000000?ooo`3oool06P3oool00`000000oooo
0?ooo`1C0?ooo`<00000A03oool006L0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?oo
o`1?0?ooo`@00000A`3oool006P0oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`1;
0?ooo`@00000B`3oool006T0oooo0P00000H0?ooo`030000003oool0oooo04L0oooo1000001?0?oo
o`00J`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo04<0oooo1000001C0?ooo`00
K03oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo0400oooo0`00001G0?ooo`00K@3o
ool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo03`0oooo1000001J0?ooo`00KP3oool0
0`000000oooo0?ooo`0B0?ooo`030000003oool0oooo03P0oooo1000001N0?ooo`00K`3oool20000
0180oooo00<000000?ooo`3oool0=03oool400000680oooo001a0?ooo`030000003oool0oooo00l0
oooo00<000000?ooo`3oool0<03oool4000006H0oooo001b0?ooo`030000003oool0oooo00d0oooo
00<000000?ooo`3oool0;@3oool4000006X0oooo001c0?ooo`030000003oool0oooo00`0oooo00<0
00000?ooo`3oool0:P3oool3000006h0oooo001d0?ooo`800000303oool00`000000oooo0?ooo`0V
0?ooo`@00000L@3oool007H0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0R0?oo
o`@00000M@3oool007L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0N0?ooo`@0
0000N@3oool007P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0J0?ooo`@00000
O@3oool007T0oooo0P0000070?ooo`030000003oool0oooo01H0oooo100000210?ooo`00N`3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo01<0oooo0`0000250?ooo`00O03oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00l0oooo100000280?ooo`00O@3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00/0oooo1000002<0?ooo`00OP3oool01@000000oooo
0?ooo`3oool0000000T0oooo1000002@0?ooo`00O`3oool2000000030?ooo`000000oooo00@0oooo
1000002D0?ooo`00P@3oool2000000030?ooo`000000000000800000V03oool00880oooo0P00002L
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {232.562, 0}} -> {-0.0992003, 0.00321087, \
0.00366479, 0.00366479}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  SurfaceGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Plot3D[
      UnitStep[p] modul[x - 2, p, 1] gc[x - 2, p - 3, 1, 2] - 
        UnitStep[p] gc[x - 2, p - 3, 1, 2], {x, \(-2\), 6}, {p, \(-1\), 7}, 
      PlotPoints \[Rule] 50, PlotRange \[Rule] All]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .81114 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-4.06576e-17 1.04977 -0.0679587 1.04977 [
[.02757 .24618 -12 -8.70276 ]
[.02757 .24618 0 .29724 ]
[.17646 .18758 -5.89944 -9 ]
[.17646 .18758 .10056 0 ]
[.3345 .12542 -5.5867 -9 ]
[.3345 .12542 .4133 0 ]
[.50253 .05935 -5.27396 -9 ]
[.50253 .05935 .72604 0 ]
[.68156 -0.01098 -4.96123 -9 ]
[.68156 -0.01098 1.03877 0 ]
[.74324 .05996 0 -6.19808 ]
[.74324 .05996 6 2.80192 ]
[.82083 .17876 0 -6.08311 ]
[.82083 .17876 6 2.91689 ]
[.89031 .28516 0 -5.98272 ]
[.89031 .28516 6 3.01728 ]
[.95289 .38101 0 -5.8943 ]
[.95289 .38101 6 3.1057 ]
[.02179 .27969 -30 -2.75463 ]
[.02179 .27969 0 6.24537 ]
[.0106 .3498 -30 -2.81399 ]
[.0106 .3498 0 6.18601 ]
[-0.0011 .42315 -6 -2.87639 ]
[-0.0011 .42315 0 6.12361 ]
[ 0 0 0 0 ]
[ 1 .81114 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
[(-2)] .02757 .24618 1 .93395 Mshowa
.18558 .19702 m
.19014 .20174 L
s
[(0)] .17646 .18758 .96648 1 Mshowa
.34306 .13535 m
.34735 .14032 L
s
[(2)] .3345 .12542 .86223 1 Mshowa
.51046 .06981 m
.51442 .07504 L
s
[(4)] .50253 .05935 .75799 1 Mshowa
.68874 0 m
.69233 .00549 L
s
[(6)] .68156 -0.01098 .65374 1 Mshowa
.125 Mabswid
.07346 .24092 m
.0763 .24365 L
s
.11029 .2265 m
.1131 .22926 L
s
.14766 .21187 m
.15043 .21466 L
s
.22407 .18195 m
.22677 .18482 L
s
.26314 .16665 m
.2658 .16956 L
s
.3028 .15112 m
.30541 .15406 L
s
.38395 .11935 m
.38647 .12237 L
s
.42547 .10309 m
.42794 .10615 L
s
.46763 .08658 m
.47006 .08968 L
s
.55397 .05277 m
.55629 .05595 L
s
.59817 .03546 m
.60044 .03868 L
s
.64309 .01787 m
.6453 .02113 L
s
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.73096 .06459 m
.72483 .06691 L
s
[(0)] .74324 .05996 -1 .37735 Mshowa
.80845 .18312 m
.80226 .18529 L
s
[(2)] .82083 .17876 -1 .3518 Mshowa
.87784 .28927 m
.87161 .29132 L
s
[(4)] .89031 .28516 -1 .32949 Mshowa
.94036 .3849 m
.93409 .38684 L
s
[(6)] .95289 .38101 -1 .30985 Mshowa
.125 Mabswid
.75117 .0955 m
.74748 .09687 L
s
.7708 .12553 m
.7671 .12688 L
s
.78989 .15473 m
.78618 .15605 L
s
.8265 .21073 m
.82278 .21202 L
s
.84407 .23761 m
.84035 .23888 L
s
.86118 .26378 m
.85745 .26503 L
s
.89408 .3141 m
.89033 .31531 L
s
.9099 .3383 m
.90615 .3395 L
s
.92532 .36189 m
.92156 .36307 L
s
.71016 .03277 m
.70649 .03419 L
s
.95503 .40734 m
.95127 .40849 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
.03402 .27495 m
.04014 .27257 L
s
[(-0.02)] .02179 .27969 1 -0.38786 Mshowa
.02289 .34519 m
.02903 .34289 L
s
[(-0.01)] .0106 .3498 1 -0.37467 Mshowa
.01124 .4187 m
.01741 .41647 L
s
[(0)] -0.0011 .42315 1 -0.3608 Mshowa
.125 Mabswid
.03183 .28875 m
.03551 .28733 L
s
.02963 .30267 m
.0333 .30126 L
s
.0274 .31671 m
.03108 .31532 L
s
.02516 .33089 m
.02884 .3295 L
s
.0206 .35962 m
.02429 .35825 L
s
.01829 .37419 m
.02199 .37283 L
s
.01596 .38889 m
.01966 .38753 L
s
.01361 .40372 m
.01731 .40238 L
s
.03619 .26127 m
.03986 .25984 L
s
.00885 .43381 m
.01255 .43248 L
s
.00643 .44906 m
.01014 .44774 L
s
.00399 .46446 m
.0077 .46315 L
s
.00153 .48 m
.00524 .4787 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
.40529 .59895 m
.03716 .25514 L
s
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.40529 .59895 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
0 0 m
1 0 L
1 .81114 L
0 .81114 L
closepath
clip
newpath
.5 Mabswid
.652 .756 .926 r
.39358 .74204 .40009 .74754 .41098 .74456 .4045 .73904 Metetra
.652 .756 .926 r
.4045 .73904 .41098 .74456 .4219 .74158 .41545 .73603 Metetra
.652 .756 .926 r
.41545 .73603 .4219 .74158 .43288 .73858 .42645 .733 Metetra
.652 .756 .926 r
.42645 .733 .43288 .73858 .44389 .73556 .4375 .72997 Metetra
.652 .756 .926 r
.4375 .72997 .44389 .73556 .45495 .73254 .44859 .72692 Metetra
.652 .756 .926 r
.44859 .72692 .45495 .73254 .46606 .7295 .45972 .72386 Metetra
.652 .756 .926 r
.45972 .72386 .46606 .7295 .47721 .72645 .4709 .72078 Metetra
.652 .756 .926 r
.4709 .72078 .47721 .72645 .48841 .72339 .48213 .7177 Metetra
.652 .756 .926 r
.48213 .7177 .48841 .72339 .49965 .72031 .4934 .7146 Metetra
.652 .756 .926 r
.4934 .7146 .49965 .72031 .51095 .71722 .50472 .71149 Metetra
.652 .756 .926 r
.50472 .71149 .51095 .71722 .52228 .71412 .51609 .70836 Metetra
.652 .756 .926 r
.51609 .70836 .52228 .71412 .53367 .71101 .52751 .70522 Metetra
.652 .756 .926 r
.52751 .70522 .53367 .71101 .5451 .70788 .53897 .70207 Metetra
.652 .756 .926 r
.53897 .70207 .5451 .70788 .55658 .70474 .55048 .69891 Metetra
.652 .756 .926 r
.55048 .69891 .55658 .70474 .5681 .70159 .56204 .69573 Metetra
.652 .756 .926 r
.56204 .69573 .5681 .70159 .57968 .69842 .57364 .69254 Metetra
.652 .756 .926 r
.57364 .69254 .57968 .69842 .5913 .69524 .5853 .68934 Metetra
.652 .756 .926 r
.5853 .68934 .5913 .69524 .60297 .69205 .59701 .68612 Metetra
.652 .756 .926 r
.59701 .68612 .60297 .69205 .61469 .68884 .60876 .68289 Metetra
.652 .756 .926 r
.60876 .68289 .61469 .68884 .62646 .68562 .62056 .67965 Metetra
.652 .756 .926 r
.62056 .67965 .62646 .68562 .63828 .68239 .63242 .67639 Metetra
.652 .756 .926 r
.63242 .67639 .63828 .68239 .65015 .67915 .64432 .67312 Metetra
.652 .756 .926 r
.64432 .67312 .65015 .67915 .66207 .67588 .65628 .66983 Metetra
.652 .756 .926 r
.65628 .66983 .66207 .67588 .67405 .67261 .66828 .66653 Metetra
.652 .756 .926 r
.66828 .66653 .67405 .67261 .68607 .66932 .68034 .66321 Metetra
.652 .756 .926 r
.68034 .66321 .68607 .66932 .69814 .66602 .69245 .65989 Metetra
.652 .756 .926 r
.69245 .65989 .69814 .66602 .71027 .6627 .70461 .65654 Metetra
.652 .756 .926 r
.70461 .65654 .71027 .6627 .72244 .65937 .71682 .65319 Metetra
.652 .756 .926 r
.71682 .65319 .72244 .65937 .73467 .65603 .72909 .64981 Metetra
.652 .756 .926 r
.72909 .64981 .73467 .65603 .74695 .65267 .7414 .64643 Metetra
.652 .756 .926 r
.7414 .64643 .74695 .65267 .75929 .64929 .75378 .64303 Metetra
.652 .756 .926 r
.75378 .64303 .75929 .64929 .77168 .64591 .7662 .63961 Metetra
.652 .756 .926 r
.7662 .63961 .77168 .64591 .78412 .6425 .77868 .63618 Metetra
.652 .756 .926 r
.77868 .63618 .78412 .6425 .79661 .63909 .79122 .63274 Metetra
.652 .756 .926 r
.79122 .63274 .79661 .63909 .80916 .63565 .8038 .62928 Metetra
.652 .756 .926 r
.8038 .62928 .80916 .63565 .82177 .63221 .81645 .6258 Metetra
.652 .756 .926 r
.81645 .6258 .82177 .63221 .83443 .62874 .82915 .62231 Metetra
.652 .756 .926 r
.82915 .62231 .83443 .62874 .84714 .62527 .8419 .6188 Metetra
.652 .756 .926 r
.8419 .6188 .84714 .62527 .85991 .62177 .85471 .61528 Metetra
.652 .756 .926 r
.85471 .61528 .85991 .62177 .87274 .61826 .86758 .61175 Metetra
.652 .756 .926 r
.86758 .61175 .87274 .61826 .88562 .61474 .88051 .60819 Metetra
.652 .756 .926 r
.88051 .60819 .88562 .61474 .89856 .6112 .89349 .60462 Metetra
.652 .756 .926 r
.89349 .60462 .89856 .6112 .91156 .60765 .90653 .60104 Metetra
.652 .756 .926 r
.90653 .60104 .91156 .60765 .92462 .60407 .91963 .59744 Metetra
.652 .756 .926 r
.91963 .59744 .92462 .60407 .93773 .60049 .93278 .59382 Metetra
.652 .756 .926 r
.93278 .59382 .93773 .60049 .9509 .59688 .946 .59019 Metetra
.652 .756 .926 r
.946 .59019 .9509 .59688 .96413 .59327 .95927 .58654 Metetra
.652 .756 .926 r
.95927 .58654 .96413 .59327 .97742 .58963 .97261 .58288 Metetra
.652 .756 .926 r
.97261 .58288 .97742 .58963 .99077 .58598 .986 .5792 Metetra
.652 .756 .926 r
.38703 .73649 .39358 .74204 .4045 .73904 .39796 .73347 Metetra
.652 .756 .926 r
.39796 .73347 .4045 .73904 .41545 .73603 .40895 .73043 Metetra
.652 .756 .926 r
.40895 .73043 .41545 .73603 .42645 .733 .41998 .72739 Metetra
.652 .756 .926 r
.41998 .72739 .42645 .733 .4375 .72997 .43105 .72433 Metetra
.652 .756 .926 r
.43105 .72433 .4375 .72997 .44859 .72692 .44217 .72126 Metetra
.652 .756 .926 r
.44217 .72126 .44859 .72692 .45972 .72386 .45333 .71817 Metetra
.652 .756 .926 r
.45333 .71817 .45972 .72386 .4709 .72078 .46454 .71508 Metetra
.652 .756 .926 r
.46454 .71508 .4709 .72078 .48213 .7177 .4758 .71197 Metetra
.652 .756 .926 r
.4758 .71197 .48213 .7177 .4934 .7146 .48711 .70884 Metetra
.652 .756 .926 r
.48711 .70884 .4934 .7146 .50472 .71149 .49846 .70571 Metetra
.652 .756 .926 r
.49846 .70571 .50472 .71149 .51609 .70836 .50985 .70256 Metetra
.652 .756 .926 r
.50985 .70256 .51609 .70836 .52751 .70522 .5213 .6994 Metetra
.652 .756 .926 r
.5213 .6994 .52751 .70522 .53897 .70207 .53279 .69622 Metetra
.652 .756 .926 r
.53279 .69622 .53897 .70207 .55048 .69891 .54434 .69303 Metetra
.652 .756 .926 r
.54434 .69303 .55048 .69891 .56204 .69573 .55593 .68983 Metetra
.652 .756 .926 r
.55593 .68983 .56204 .69573 .57364 .69254 .56757 .68662 Metetra
.652 .756 .926 r
.56757 .68662 .57364 .69254 .5853 .68934 .57925 .68339 Metetra
.652 .756 .926 r
.57925 .68339 .5853 .68934 .59701 .68612 .59099 .68015 Metetra
.652 .756 .926 r
.59099 .68015 .59701 .68612 .60876 .68289 .60278 .67689 Metetra
.652 .756 .926 r
.60278 .67689 .60876 .68289 .62056 .67965 .61462 .67362 Metetra
.652 .756 .926 r
.61462 .67362 .62056 .67965 .63242 .67639 .6265 .67034 Metetra
.652 .756 .926 r
.6265 .67034 .63242 .67639 .64432 .67312 .63844 .66704 Metetra
.652 .756 .926 r
.63844 .66704 .64432 .67312 .65628 .66983 .65043 .66373 Metetra
.652 .756 .926 r
.65043 .66373 .65628 .66983 .66828 .66653 .66247 .6604 Metetra
.652 .756 .926 r
.66247 .6604 .66828 .66653 .68034 .66321 .67456 .65706 Metetra
.652 .756 .926 r
.67456 .65706 .68034 .66321 .69245 .65989 .68671 .6537 Metetra
.652 .756 .926 r
.68671 .6537 .69245 .65989 .70461 .65654 .6989 .65033 Metetra
.652 .756 .926 r
.6989 .65033 .70461 .65654 .71682 .65319 .71115 .64695 Metetra
.652 .756 .926 r
.71115 .64695 .71682 .65319 .72909 .64981 .72346 .64355 Metetra
.652 .756 .926 r
.72346 .64355 .72909 .64981 .7414 .64643 .73581 .64014 Metetra
.652 .756 .926 r
.73581 .64014 .7414 .64643 .75378 .64303 .74822 .63671 Metetra
.652 .756 .926 r
.74822 .63671 .75378 .64303 .7662 .63961 .76068 .63327 Metetra
.652 .756 .926 r
.76068 .63327 .7662 .63961 .77868 .63618 .7732 .62981 Metetra
.652 .756 .926 r
.7732 .62981 .77868 .63618 .79122 .63274 .78578 .62634 Metetra
.652 .756 .926 r
.78578 .62634 .79122 .63274 .8038 .62928 .7984 .62285 Metetra
.652 .756 .926 r
.7984 .62285 .8038 .62928 .81645 .6258 .81109 .61934 Metetra
.652 .756 .926 r
.81109 .61934 .81645 .6258 .82915 .62231 .82383 .61583 Metetra
.652 .756 .926 r
.82383 .61583 .82915 .62231 .8419 .6188 .83662 .61229 Metetra
.652 .756 .926 r
.83662 .61229 .8419 .6188 .85471 .61528 .84947 .60874 Metetra
.652 .756 .926 r
.84947 .60874 .85471 .61528 .86758 .61175 .86238 .60517 Metetra
.652 .756 .926 r
.86238 .60517 .86758 .61175 .88051 .60819 .87535 .60159 Metetra
.652 .756 .926 r
.87535 .60159 .88051 .60819 .89349 .60462 .88837 .59799 Metetra
.652 .756 .926 r
.88837 .59799 .89349 .60462 .90653 .60104 .90145 .59438 Metetra
.652 .756 .926 r
.90145 .59438 .90653 .60104 .91963 .59744 .91459 .59075 Metetra
.652 .756 .926 r
.91459 .59075 .91963 .59744 .93278 .59382 .92779 .5871 Metetra
.652 .756 .926 r
.92779 .5871 .93278 .59382 .946 .59019 .94105 .58344 Metetra
.652 .756 .926 r
.94105 .58344 .946 .59019 .95927 .58654 .95437 .57976 Metetra
.652 .756 .926 r
.95437 .57976 .95927 .58654 .97261 .58288 .96775 .57607 Metetra
.652 .756 .926 r
.96775 .57607 .97261 .58288 .986 .5792 .98119 .57235 Metetra
.652 .756 .926 r
.38042 .7309 .38703 .73649 .39796 .73347 .39138 .72786 Metetra
.652 .756 .926 r
.39138 .72786 .39796 .73347 .40895 .73043 .4024 .7248 Metetra
.652 .756 .926 r
.4024 .7248 .40895 .73043 .41998 .72739 .41345 .72173 Metetra
.652 .756 .926 r
.41345 .72173 .41998 .72739 .43105 .72433 .42455 .71865 Metetra
.652 .756 .926 r
.42455 .71865 .43105 .72433 .44217 .72126 .4357 .71555 Metetra
.652 .756 .926 r
.4357 .71555 .44217 .72126 .45333 .71817 .4469 .71245 Metetra
.652 .756 .926 r
.4469 .71245 .45333 .71817 .46454 .71508 .45814 .70933 Metetra
.652 .756 .926 r
.45814 .70933 .46454 .71508 .4758 .71197 .46942 .70619 Metetra
.652 .756 .926 r
.46942 .70619 .4758 .71197 .48711 .70884 .48076 .70304 Metetra
.652 .756 .926 r
.48076 .70304 .48711 .70884 .49846 .70571 .49214 .69988 Metetra
.652 .756 .926 r
.49214 .69988 .49846 .70571 .50985 .70256 .50357 .69671 Metetra
.652 .756 .926 r
.50357 .69671 .50985 .70256 .5213 .6994 .51505 .69353 Metetra
.652 .756 .926 r
.51505 .69353 .5213 .6994 .53279 .69622 .52657 .69033 Metetra
.652 .756 .926 r
.52657 .69033 .53279 .69622 .54434 .69303 .53814 .68711 Metetra
.652 .756 .926 r
.53814 .68711 .54434 .69303 .55593 .68983 .54977 .68389 Metetra
.652 .756 .926 r
.54977 .68389 .55593 .68983 .56757 .68662 .56144 .68065 Metetra
.652 .756 .926 r
.56144 .68065 .56757 .68662 .57925 .68339 .57316 .67739 Metetra
.652 .756 .926 r
.57316 .67739 .57925 .68339 .59099 .68015 .58493 .67412 Metetra
.652 .756 .926 r
.58493 .67412 .59099 .68015 .60278 .67689 .59675 .67084 Metetra
.652 .756 .926 r
.59675 .67084 .60278 .67689 .61462 .67362 .60862 .66755 Metetra
.652 .756 .926 r
.60862 .66755 .61462 .67362 .6265 .67034 .62054 .66424 Metetra
.652 .756 .926 r
.62054 .66424 .6265 .67034 .63844 .66704 .63252 .66091 Metetra
.652 .756 .926 r
.63252 .66091 .63844 .66704 .65043 .66373 .64454 .65757 Metetra
.652 .756 .926 r
.64454 .65757 .65043 .66373 .66247 .6604 .65662 .65422 Metetra
.652 .756 .926 r
.65662 .65422 .66247 .6604 .67456 .65706 .66874 .65085 Metetra
.652 .756 .926 r
.66874 .65085 .67456 .65706 .68671 .6537 .68092 .64747 Metetra
.652 .756 .926 r
.68092 .64747 .68671 .6537 .6989 .65033 .69316 .64408 Metetra
.652 .756 .926 r
.69316 .64408 .6989 .65033 .71115 .64695 .70544 .64067 Metetra
.652 .756 .926 r
.70544 .64067 .71115 .64695 .72346 .64355 .71778 .63724 Metetra
.652 .756 .926 r
.71778 .63724 .72346 .64355 .73581 .64014 .73017 .6338 Metetra
.652 .756 .926 r
.73017 .6338 .73581 .64014 .74822 .63671 .74262 .63034 Metetra
.652 .756 .926 r
.74262 .63034 .74822 .63671 .76068 .63327 .75512 .62687 Metetra
.652 .756 .926 r
.75512 .62687 .76068 .63327 .7732 .62981 .76768 .62339 Metetra
.652 .756 .926 r
.76768 .62339 .7732 .62981 .78578 .62634 .78029 .61988 Metetra
.652 .756 .926 r
.78029 .61988 .78578 .62634 .7984 .62285 .79296 .61637 Metetra
.652 .756 .926 r
.79296 .61637 .7984 .62285 .81109 .61934 .80568 .61284 Metetra
.652 .756 .926 r
.80568 .61284 .81109 .61934 .82383 .61583 .81846 .60929 Metetra
.652 .756 .926 r
.81846 .60929 .82383 .61583 .83662 .61229 .8313 .60572 Metetra
.652 .756 .926 r
.8313 .60572 .83662 .61229 .84947 .60874 .84419 .60214 Metetra
.652 .756 .926 r
.84419 .60214 .84947 .60874 .86238 .60517 .85714 .59855 Metetra
.652 .756 .926 r
.85714 .59855 .86238 .60517 .87535 .60159 .87015 .59494 Metetra
.652 .756 .926 r
.87015 .59494 .87535 .60159 .88837 .59799 .88321 .59131 Metetra
.652 .756 .926 r
.88321 .59131 .88837 .59799 .90145 .59438 .89634 .58767 Metetra
.652 .756 .926 r
.89634 .58767 .90145 .59438 .91459 .59075 .90952 .58401 Metetra
.652 .756 .926 r
.90952 .58401 .91459 .59075 .92779 .5871 .92276 .58033 Metetra
.652 .756 .926 r
.92276 .58033 .92779 .5871 .94105 .58344 .93606 .57664 Metetra
.652 .756 .926 r
.93606 .57664 .94105 .58344 .95437 .57976 .94943 .57293 Metetra
.652 .756 .926 r
.94943 .57293 .95437 .57976 .96775 .57607 .96285 .5692 Metetra
.652 .756 .926 r
.96285 .5692 .96775 .57607 .98119 .57235 .97634 .56546 Metetra
.652 .756 .926 r
.37376 .72527 .38042 .7309 .39138 .72786 .38475 .7222 Metetra
.652 .756 .926 r
.38475 .7222 .39138 .72786 .4024 .7248 .39579 .71912 Metetra
.652 .756 .926 r
.39579 .71912 .4024 .7248 .41345 .72173 .40688 .71603 Metetra
.652 .756 .926 r
.40688 .71603 .41345 .72173 .42455 .71865 .41801 .71292 Metetra
.652 .756 .926 r
.41801 .71292 .42455 .71865 .4357 .71555 .42919 .70981 Metetra
.652 .756 .926 r
.42919 .70981 .4357 .71555 .4469 .71245 .44041 .70667 Metetra
.652 .756 .926 r
.44041 .70667 .4469 .71245 .45814 .70933 .45168 .70353 Metetra
.652 .756 .926 r
.45168 .70353 .45814 .70933 .46942 .70619 .463 .70037 Metetra
.652 .756 .926 r
.463 .70037 .46942 .70619 .48076 .70304 .47436 .6972 Metetra
.652 .756 .926 r
.47436 .6972 .48076 .70304 .49214 .69988 .48577 .69402 Metetra
.652 .756 .926 r
.48577 .69402 .49214 .69988 .50357 .69671 .49723 .69082 Metetra
.652 .756 .926 r
.49723 .69082 .50357 .69671 .51505 .69353 .50874 .68761 Metetra
.652 .756 .926 r
.50874 .68761 .51505 .69353 .52657 .69033 .5203 .68438 Metetra
.652 .756 .926 r
.5203 .68438 .52657 .69033 .53814 .68711 .5319 .68114 Metetra
.652 .756 .926 r
.5319 .68114 .53814 .68711 .54977 .68389 .54356 .67789 Metetra
.652 .756 .926 r
.54356 .67789 .54977 .68389 .56144 .68065 .55526 .67463 Metetra
.652 .756 .926 r
.55526 .67463 .56144 .68065 .57316 .67739 .56702 .67135 Metetra
.652 .756 .926 r
.56702 .67135 .57316 .67739 .58493 .67412 .57882 .66805 Metetra
.652 .756 .926 r
.57882 .66805 .58493 .67412 .59675 .67084 .59067 .66475 Metetra
.652 .756 .926 r
.59067 .66475 .59675 .67084 .60862 .66755 .60258 .66142 Metetra
.652 .756 .926 r
.60258 .66142 .60862 .66755 .62054 .66424 .61454 .65809 Metetra
.652 .756 .926 r
.61454 .65809 .62054 .66424 .63252 .66091 .62654 .65474 Metetra
.652 .756 .926 r
.62654 .65474 .63252 .66091 .64454 .65757 .6386 .65137 Metetra
.652 .756 .926 r
.6386 .65137 .64454 .65757 .65662 .65422 .65071 .64799 Metetra
.652 .756 .926 r
.65071 .64799 .65662 .65422 .66874 .65085 .66288 .6446 Metetra
.652 .756 .926 r
.66288 .6446 .66874 .65085 .68092 .64747 .67509 .64119 Metetra
.652 .756 .926 r
.67509 .64119 .68092 .64747 .69316 .64408 .68736 .63777 Metetra
.652 .756 .926 r
.68736 .63777 .69316 .64408 .70544 .64067 .69968 .63433 Metetra
.652 .756 .926 r
.69968 .63433 .70544 .64067 .71778 .63724 .71206 .63088 Metetra
.652 .756 .926 r
.71206 .63088 .71778 .63724 .73017 .6338 .72449 .62741 Metetra
.652 .756 .926 r
.72449 .62741 .73017 .6338 .74262 .63034 .73698 .62392 Metetra
.652 .756 .926 r
.73698 .62392 .74262 .63034 .75512 .62687 .74952 .62042 Metetra
.652 .756 .926 r
.74952 .62042 .75512 .62687 .76768 .62339 .76211 .61691 Metetra
.652 .756 .926 r
.76211 .61691 .76768 .62339 .78029 .61988 .77476 .61338 Metetra
.652 .756 .926 r
.77476 .61338 .78029 .61988 .79296 .61637 .78747 .60983 Metetra
.652 .756 .926 r
.78747 .60983 .79296 .61637 .80568 .61284 .80023 .60627 Metetra
.652 .756 .926 r
.80023 .60627 .80568 .61284 .81846 .60929 .81305 .6027 Metetra
.652 .756 .926 r
.81305 .6027 .81846 .60929 .8313 .60572 .82593 .5991 Metetra
.652 .756 .926 r
.82593 .5991 .8313 .60572 .84419 .60214 .83886 .59549 Metetra
.652 .756 .926 r
.83886 .59549 .84419 .60214 .85714 .59855 .85185 .59187 Metetra
.652 .756 .926 r
.85185 .59187 .85714 .59855 .87015 .59494 .8649 .58823 Metetra
.652 .756 .926 r
.8649 .58823 .87015 .59494 .88321 .59131 .87801 .58457 Metetra
.652 .756 .926 r
.87801 .58457 .88321 .59131 .89634 .58767 .89118 .5809 Metetra
.652 .756 .926 r
.89118 .5809 .89634 .58767 .90952 .58401 .9044 .57721 Metetra
.652 .756 .926 r
.9044 .57721 .90952 .58401 .92276 .58033 .91769 .5735 Metetra
.652 .756 .926 r
.91769 .5735 .92276 .58033 .93606 .57664 .93104 .56977 Metetra
.652 .756 .926 r
.93104 .56977 .93606 .57664 .94943 .57293 .94444 .56603 Metetra
.652 .756 .926 r
.94444 .56603 .94943 .57293 .96285 .5692 .95791 .56228 Metetra
.652 .756 .926 r
.95791 .56228 .96285 .5692 .97634 .56546 .97144 .5585 Metetra
.652 .756 .926 r
.36705 .7196 .37376 .72527 .38475 .7222 .37807 .71651 Metetra
.652 .756 .926 r
.37807 .71651 .38475 .7222 .39579 .71912 .38914 .7134 Metetra
.652 .756 .926 r
.38914 .7134 .39579 .71912 .40688 .71603 .40026 .71029 Metetra
.652 .756 .926 r
.40026 .71029 .40688 .71603 .41801 .71292 .41142 .70716 Metetra
.652 .756 .926 r
.41142 .70716 .41801 .71292 .42919 .70981 .42262 .70401 Metetra
.652 .756 .926 r
.42262 .70401 .42919 .70981 .44041 .70667 .43387 .70086 Metetra
.652 .756 .926 r
.43387 .70086 .44041 .70667 .45168 .70353 .44517 .69769 Metetra
.652 .756 .926 r
.44517 .69769 .45168 .70353 .463 .70037 .45652 .69451 Metetra
.652 .756 .926 r
.45652 .69451 .463 .70037 .47436 .6972 .46792 .69131 Metetra
.652 .756 .926 r
.46792 .69131 .47436 .6972 .48577 .69402 .47936 .6881 Metetra
.652 .756 .926 r
.47936 .6881 .48577 .69402 .49723 .69082 .49085 .68488 Metetra
.652 .756 .926 r
.49085 .68488 .49723 .69082 .50874 .68761 .50239 .68164 Metetra
.652 .756 .926 r
.50239 .68164 .50874 .68761 .5203 .68438 .51398 .67839 Metetra
.652 .756 .926 r
.51398 .67839 .5203 .68438 .5319 .68114 .52562 .67513 Metetra
.652 .756 .926 r
.52562 .67513 .5319 .68114 .54356 .67789 .5373 .67185 Metetra
.652 .756 .926 r
.5373 .67185 .54356 .67789 .55526 .67463 .54904 .66856 Metetra
.652 .756 .926 r
.54904 .66856 .55526 .67463 .56702 .67135 .56083 .66526 Metetra
.652 .756 .926 r
.56083 .66526 .56702 .67135 .57882 .66805 .57266 .66194 Metetra
.652 .756 .926 r
.57266 .66194 .57882 .66805 .59067 .66475 .58455 .6586 Metetra
.652 .756 .926 r
.58455 .6586 .59067 .66475 .60258 .66142 .59649 .65525 Metetra
.652 .756 .926 r
.59649 .65525 .60258 .66142 .61454 .65809 .60848 .65189 Metetra
.652 .756 .926 r
.60848 .65189 .61454 .65809 .62654 .65474 .62052 .64851 Metetra
.652 .756 .926 r
.62052 .64851 .62654 .65474 .6386 .65137 .63262 .64512 Metetra
.652 .756 .926 r
.63262 .64512 .6386 .65137 .65071 .64799 .64476 .64172 Metetra
.652 .756 .926 r
.64476 .64172 .65071 .64799 .66288 .6446 .65696 .63829 Metetra
.652 .756 .926 r
.65696 .63829 .66288 .6446 .67509 .64119 .66921 .63486 Metetra
.652 .756 .926 r
.66921 .63486 .67509 .64119 .68736 .63777 .68152 .63141 Metetra
.652 .756 .926 r
.68152 .63141 .68736 .63777 .69968 .63433 .69388 .62794 Metetra
.652 .756 .926 r
.69388 .62794 .69968 .63433 .71206 .63088 .70629 .62446 Metetra
.652 .756 .926 r
.70629 .62446 .71206 .63088 .72449 .62741 .71876 .62096 Metetra
.652 .756 .926 r
.71876 .62096 .72449 .62741 .73698 .62392 .73129 .61745 Metetra
.652 .756 .926 r
.73129 .61745 .73698 .62392 .74952 .62042 .74386 .61392 Metetra
.652 .756 .926 r
.74386 .61392 .74952 .62042 .76211 .61691 .7565 .61038 Metetra
.652 .756 .926 r
.7565 .61038 .76211 .61691 .77476 .61338 .76919 .60682 Metetra
.652 .756 .926 r
.76919 .60682 .77476 .61338 .78747 .60983 .78193 .60325 Metetra
.652 .756 .926 r
.78193 .60325 .78747 .60983 .80023 .60627 .79474 .59966 Metetra
.652 .756 .926 r
.79474 .59966 .80023 .60627 .81305 .6027 .8076 .59605 Metetra
.652 .756 .926 r
.8076 .59605 .81305 .6027 .82593 .5991 .82051 .59243 Metetra
.652 .756 .926 r
.82051 .59243 .82593 .5991 .83886 .59549 .83349 .58879 Metetra
.652 .756 .926 r
.83349 .58879 .83886 .59549 .85185 .59187 .84652 .58513 Metetra
.652 .756 .926 r
.84652 .58513 .85185 .59187 .8649 .58823 .85961 .58146 Metetra
.652 .756 .926 r
.85961 .58146 .8649 .58823 .87801 .58457 .87276 .57777 Metetra
.652 .756 .926 r
.87276 .57777 .87801 .58457 .89118 .5809 .88597 .57407 Metetra
.652 .756 .926 r
.88597 .57407 .89118 .5809 .9044 .57721 .89924 .57035 Metetra
.652 .756 .926 r
.89924 .57035 .9044 .57721 .91769 .5735 .91258 .56661 Metetra
.652 .756 .926 r
.91258 .56661 .91769 .5735 .93104 .56977 .92597 .56285 Metetra
.652 .756 .926 r
.92597 .56285 .93104 .56977 .94444 .56603 .93942 .55908 Metetra
.652 .756 .926 r
.93942 .55908 .94444 .56603 .95791 .56228 .95293 .55529 Metetra
.652 .756 .926 r
.95293 .55529 .95791 .56228 .97144 .5585 .96651 .55149 Metetra
.652 .756 .926 r
.36029 .71388 .36705 .7196 .37807 .71651 .37134 .71077 Metetra
.652 .756 .926 r
.37134 .71077 .37807 .71651 .38914 .7134 .38244 .70764 Metetra
.652 .756 .926 r
.38244 .70764 .38914 .7134 .40026 .71029 .39358 .7045 Metetra
.652 .756 .926 r
.39358 .7045 .40026 .71029 .41142 .70716 .40477 .70134 Metetra
.652 .756 .926 r
.40477 .70134 .41142 .70716 .42262 .70401 .41601 .69818 Metetra
.652 .756 .926 r
.41601 .69818 .42262 .70401 .43387 .70086 .42729 .695 Metetra
.652 .756 .926 r
.42729 .695 .43387 .70086 .44517 .69769 .43862 .6918 Metetra
.652 .756 .926 r
.43862 .6918 .44517 .69769 .45652 .69451 .45 .6886 Metetra
.652 .756 .926 r
.45 .6886 .45652 .69451 .46792 .69131 .46142 .68538 Metetra
.652 .756 .926 r
.46142 .68538 .46792 .69131 .47936 .6881 .47289 .68214 Metetra
.652 .756 .926 r
.47289 .68214 .47936 .6881 .49085 .68488 .48442 .67889 Metetra
.652 .756 .926 r
.48442 .67889 .49085 .68488 .50239 .68164 .49599 .67563 Metetra
.652 .756 .926 r
.49599 .67563 .50239 .68164 .51398 .67839 .50761 .67236 Metetra
.652 .756 .926 r
.50761 .67236 .51398 .67839 .52562 .67513 .51928 .66907 Metetra
.652 .756 .926 r
.51928 .66907 .52562 .67513 .5373 .67185 .531 .66577 Metetra
.652 .756 .926 r
.531 .66577 .5373 .67185 .54904 .66856 .54277 .66245 Metetra
.652 .756 .926 r
.54277 .66245 .54904 .66856 .56083 .66526 .55459 .65912 Metetra
.652 .756 .926 r
.55459 .65912 .56083 .66526 .57266 .66194 .56646 .65577 Metetra
.652 .756 .926 r
.56646 .65577 .57266 .66194 .58455 .6586 .57838 .65241 Metetra
.652 .756 .926 r
.57838 .65241 .58455 .6586 .59649 .65525 .59035 .64903 Metetra
.652 .756 .926 r
.59035 .64903 .59649 .65525 .60848 .65189 .60238 .64565 Metetra
.652 .756 .926 r
.60238 .64565 .60848 .65189 .62052 .64851 .61445 .64224 Metetra
.652 .756 .926 r
.61445 .64224 .62052 .64851 .63262 .64512 .62658 .63882 Metetra
.652 .756 .926 r
.62658 .63882 .63262 .64512 .64476 .64172 .63877 .63539 Metetra
.652 .756 .926 r
.63877 .63539 .64476 .64172 .65696 .63829 .651 .63194 Metetra
.652 .756 .926 r
.651 .63194 .65696 .63829 .66921 .63486 .66329 .62848 Metetra
.652 .756 .926 r
.66329 .62848 .66921 .63486 .68152 .63141 .67563 .625 Metetra
.652 .756 .926 r
.67563 .625 .68152 .63141 .69388 .62794 .68803 .6215 Metetra
.652 .756 .926 r
.68803 .6215 .69388 .62794 .70629 .62446 .70048 .61799 Metetra
.652 .756 .926 r
.70048 .61799 .70629 .62446 .71876 .62096 .71299 .61447 Metetra
.652 .756 .926 r
.71299 .61447 .71876 .62096 .73129 .61745 .72555 .61093 Metetra
.652 .756 .926 r
.72555 .61093 .73129 .61745 .74386 .61392 .73816 .60737 Metetra
.652 .756 .926 r
.73816 .60737 .74386 .61392 .7565 .61038 .75084 .6038 Metetra
.652 .756 .926 r
.75084 .6038 .7565 .61038 .76919 .60682 .76357 .60021 Metetra
.652 .756 .926 r
.76357 .60021 .76919 .60682 .78193 .60325 .77635 .59661 Metetra
.652 .756 .926 r
.77635 .59661 .78193 .60325 .79474 .59966 .7892 .59299 Metetra
.652 .756 .926 r
.7892 .59299 .79474 .59966 .8076 .59605 .8021 .58935 Metetra
.652 .756 .926 r
.8021 .58935 .8076 .59605 .82051 .59243 .81505 .5857 Metetra
.652 .756 .926 r
.81505 .5857 .82051 .59243 .83349 .58879 .82807 .58203 Metetra
.652 .756 .926 r
.82807 .58203 .83349 .58879 .84652 .58513 .84115 .57834 Metetra
.652 .756 .926 r
.84115 .57834 .84652 .58513 .85961 .58146 .85428 .57464 Metetra
.652 .756 .926 r
.85428 .57464 .85961 .58146 .87276 .57777 .86747 .57092 Metetra
.652 .756 .926 r
.86747 .57092 .87276 .57777 .88597 .57407 .88073 .56719 Metetra
.652 .756 .926 r
.88073 .56719 .88597 .57407 .89924 .57035 .89404 .56343 Metetra
.652 .756 .926 r
.89404 .56343 .89924 .57035 .91258 .56661 .90742 .55966 Metetra
.652 .756 .926 r
.90742 .55966 .91258 .56661 .92597 .56285 .92085 .55588 Metetra
.652 .756 .926 r
.92085 .55588 .92597 .56285 .93942 .55908 .93435 .55207 Metetra
.652 .756 .926 r
.93435 .55207 .93942 .55908 .95293 .55529 .94791 .54825 Metetra
.652 .756 .926 r
.94791 .54825 .95293 .55529 .96651 .55149 .96153 .54441 Metetra
.652 .756 .926 r
.35348 .70812 .36029 .71388 .37134 .71077 .36456 .70498 Metetra
.652 .756 .926 r
.36456 .70498 .37134 .71077 .38244 .70764 .37568 .70183 Metetra
.652 .756 .926 r
.37568 .70183 .38244 .70764 .39358 .7045 .38686 .69867 Metetra
.652 .756 .926 r
.38686 .69867 .39358 .7045 .40477 .70134 .39807 .69549 Metetra
.652 .756 .926 r
.39807 .69549 .40477 .70134 .41601 .69818 .40934 .6923 Metetra
.652 .756 .926 r
.40934 .6923 .41601 .69818 .42729 .695 .42065 .68909 Metetra
.652 .756 .926 r
.42065 .68909 .42729 .695 .43862 .6918 .43201 .68587 Metetra
.652 .756 .926 r
.43201 .68587 .43862 .6918 .45 .6886 .44342 .68264 Metetra
.652 .756 .926 r
.44342 .68264 .45 .6886 .46142 .68538 .45487 .6794 Metetra
.652 .756 .926 r
.45487 .6794 .46142 .68538 .47289 .68214 .46638 .67614 Metetra
.652 .756 .926 r
.46638 .67614 .47289 .68214 .48442 .67889 .47793 .67286 Metetra
.652 .756 .926 r
.47793 .67286 .48442 .67889 .49599 .67563 .48954 .66958 Metetra
.652 .756 .926 r
.48954 .66958 .49599 .67563 .50761 .67236 .50119 .66627 Metetra
.652 .756 .926 r
.50119 .66627 .50761 .67236 .51928 .66907 .51289 .66296 Metetra
.652 .756 .926 r
.51289 .66296 .51928 .66907 .531 .66577 .52464 .65963 Metetra
.652 .756 .926 r
.52464 .65963 .531 .66577 .54277 .66245 .53644 .65629 Metetra
.652 .756 .926 r
.53644 .65629 .54277 .66245 .55459 .65912 .5483 .65293 Metetra
.652 .756 .926 r
.5483 .65293 .55459 .65912 .56646 .65577 .5602 .64955 Metetra
.652 .756 .926 r
.5602 .64955 .56646 .65577 .57838 .65241 .57216 .64617 Metetra
.652 .756 .926 r
.57216 .64617 .57838 .65241 .59035 .64903 .58417 .64277 Metetra
.652 .756 .926 r
.58417 .64277 .59035 .64903 .60238 .64565 .59622 .63935 Metetra
.652 .756 .926 r
.59622 .63935 .60238 .64565 .61445 .64224 .60834 .63592 Metetra
.652 .756 .926 r
.60834 .63592 .61445 .64224 .62658 .63882 .6205 .63247 Metetra
.652 .756 .926 r
.6205 .63247 .62658 .63882 .63877 .63539 .63272 .62901 Metetra
.652 .756 .926 r
.63272 .62901 .63877 .63539 .651 .63194 .64499 .62553 Metetra
.652 .756 .926 r
.64499 .62553 .651 .63194 .66329 .62848 .65732 .62204 Metetra
.652 .756 .926 r
.65732 .62204 .66329 .62848 .67563 .625 .6697 .61853 Metetra
.652 .756 .926 r
.6697 .61853 .67563 .625 .68803 .6215 .68213 .61501 Metetra
.652 .756 .926 r
.68213 .61501 .68803 .6215 .70048 .61799 .69462 .61147 Metetra
.652 .756 .926 r
.69462 .61147 .70048 .61799 .71299 .61447 .70716 .60792 Metetra
.652 .756 .926 r
.70716 .60792 .71299 .61447 .72555 .61093 .71976 .60435 Metetra
.652 .756 .926 r
.71976 .60435 .72555 .61093 .73816 .60737 .73242 .60076 Metetra
.652 .756 .926 r
.73242 .60076 .73816 .60737 .75084 .6038 .74513 .59716 Metetra
.652 .756 .926 r
.74513 .59716 .75084 .6038 .76357 .60021 .7579 .59354 Metetra
.652 .756 .926 r
.7579 .59354 .76357 .60021 .77635 .59661 .77073 .58991 Metetra
.652 .756 .926 r
.77073 .58991 .77635 .59661 .7892 .59299 .78361 .58626 Metetra
.652 .756 .926 r
.78361 .58626 .7892 .59299 .8021 .58935 .79655 .58259 Metetra
.652 .756 .926 r
.79655 .58259 .8021 .58935 .81505 .5857 .80955 .57891 Metetra
.652 .756 .926 r
.80955 .57891 .81505 .5857 .82807 .58203 .82261 .57521 Metetra
.652 .756 .926 r
.82261 .57521 .82807 .58203 .84115 .57834 .83573 .5715 Metetra
.652 .756 .926 r
.83573 .5715 .84115 .57834 .85428 .57464 .8489 .56776 Metetra
.652 .756 .926 r
.8489 .56776 .85428 .57464 .86747 .57092 .86214 .56401 Metetra
.652 .756 .926 r
.86214 .56401 .86747 .57092 .88073 .56719 .87544 .56024 Metetra
.652 .756 .926 r
.87544 .56024 .88073 .56719 .89404 .56343 .8888 .55646 Metetra
.652 .756 .926 r
.8888 .55646 .89404 .56343 .90742 .55966 .90222 .55266 Metetra
.652 .756 .926 r
.90222 .55266 .90742 .55966 .92085 .55588 .9157 .54884 Metetra
.652 .756 .926 r
.9157 .54884 .92085 .55588 .93435 .55207 .92924 .545 Metetra
.652 .756 .926 r
.92924 .545 .93435 .55207 .94791 .54825 .94284 .54115 Metetra
.652 .756 .926 r
.94284 .54115 .94791 .54825 .96153 .54441 .95651 .53728 Metetra
.652 .756 .926 r
.34662 .70232 .35348 .70812 .36456 .70498 .35772 .69915 Metetra
.652 .756 .926 r
.35772 .69915 .36456 .70498 .37568 .70183 .36888 .69598 Metetra
.652 .756 .926 r
.36888 .69598 .37568 .70183 .38686 .69867 .38008 .69279 Metetra
.652 .756 .926 r
.38008 .69279 .38686 .69867 .39807 .69549 .39132 .68959 Metetra
.652 .756 .926 r
.39132 .68959 .39807 .69549 .40934 .6923 .40262 .68637 Metetra
.652 .756 .926 r
.40262 .68637 .40934 .6923 .42065 .68909 .41396 .68314 Metetra
.652 .756 .926 r
.41396 .68314 .42065 .68909 .43201 .68587 .42535 .6799 Metetra
.652 .756 .926 r
.42535 .6799 .43201 .68587 .44342 .68264 .43679 .67664 Metetra
.652 .756 .926 r
.43679 .67664 .44342 .68264 .45487 .6794 .44828 .67337 Metetra
.652 .756 .926 r
.44828 .67337 .45487 .6794 .46638 .67614 .45981 .67008 Metetra
.652 .756 .926 r
.45981 .67008 .46638 .67614 .47793 .67286 .4714 .66678 Metetra
.652 .756 .926 r
.4714 .66678 .47793 .67286 .48954 .66958 .48303 .66347 Metetra
.652 .756 .926 r
.48303 .66347 .48954 .66958 .50119 .66627 .49472 .66014 Metetra
.652 .756 .926 r
.49472 .66014 .50119 .66627 .51289 .66296 .50645 .6568 Metetra
.652 .756 .926 r
.50645 .6568 .51289 .66296 .52464 .65963 .51824 .65345 Metetra
.652 .756 .926 r
.51824 .65345 .52464 .65963 .53644 .65629 .53007 .65007 Metetra
.652 .756 .926 r
.53007 .65007 .53644 .65629 .5483 .65293 .54196 .64669 Metetra
.652 .756 .926 r
.54196 .64669 .5483 .65293 .5602 .64955 .5539 .64329 Metetra
.652 .756 .926 r
.5539 .64329 .5602 .64955 .57216 .64617 .56589 .63988 Metetra
.652 .756 .926 r
.56589 .63988 .57216 .64617 .58417 .64277 .57793 .63645 Metetra
.652 .756 .926 r
.57793 .63645 .58417 .64277 .59622 .63935 .59002 .633 Metetra
.652 .756 .926 r
.59002 .633 .59622 .63935 .60834 .63592 .60217 .62954 Metetra
.652 .756 .926 r
.60217 .62954 .60834 .63592 .6205 .63247 .61437 .62607 Metetra
.652 .756 .926 r
.61437 .62607 .6205 .63247 .63272 .62901 .62662 .62258 Metetra
.652 .756 .926 r
.62662 .62258 .63272 .62901 .64499 .62553 .63893 .61907 Metetra
.652 .756 .926 r
.63893 .61907 .64499 .62553 .65732 .62204 .65129 .61555 Metetra
.652 .756 .926 r
.65129 .61555 .65732 .62204 .6697 .61853 .66371 .61202 Metetra
.652 .756 .926 r
.66371 .61202 .6697 .61853 .68213 .61501 .67618 .60847 Metetra
.652 .756 .926 r
.67618 .60847 .68213 .61501 .69462 .61147 .68871 .6049 Metetra
.652 .756 .926 r
.68871 .6049 .69462 .61147 .70716 .60792 .70129 .60132 Metetra
.652 .756 .926 r
.70129 .60132 .70716 .60792 .71976 .60435 .71393 .59772 Metetra
.652 .756 .926 r
.71393 .59772 .71976 .60435 .73242 .60076 .72663 .5941 Metetra
.652 .756 .926 r
.72663 .5941 .73242 .60076 .74513 .59716 .73938 .59047 Metetra
.652 .756 .926 r
.73938 .59047 .74513 .59716 .7579 .59354 .75219 .58682 Metetra
.652 .756 .926 r
.75219 .58682 .7579 .59354 .77073 .58991 .76505 .58316 Metetra
.652 .756 .926 r
.76505 .58316 .77073 .58991 .78361 .58626 .77798 .57948 Metetra
.652 .756 .926 r
.77798 .57948 .78361 .58626 .79655 .58259 .79096 .57578 Metetra
.652 .756 .926 r
.79096 .57578 .79655 .58259 .80955 .57891 .804 .57207 Metetra
.652 .756 .926 r
.804 .57207 .80955 .57891 .82261 .57521 .8171 .56834 Metetra
.652 .756 .926 r
.8171 .56834 .82261 .57521 .83573 .5715 .83026 .56459 Metetra
.652 .756 .926 r
.83026 .56459 .83573 .5715 .8489 .56776 .84348 .56083 Metetra
.652 .756 .926 r
.84348 .56083 .8489 .56776 .86214 .56401 .85676 .55704 Metetra
.652 .756 .926 r
.85676 .55704 .86214 .56401 .87544 .56024 .8701 .55324 Metetra
.652 .756 .926 r
.8701 .55324 .87544 .56024 .8888 .55646 .88351 .54943 Metetra
.652 .756 .926 r
.88351 .54943 .8888 .55646 .90222 .55266 .89697 .54559 Metetra
.652 .756 .926 r
.89697 .54559 .90222 .55266 .9157 .54884 .9105 .54174 Metetra
.652 .756 .926 r
.9105 .54174 .9157 .54884 .92924 .545 .92408 .53787 Metetra
.652 .756 .926 r
.92408 .53787 .92924 .545 .94284 .54115 .93774 .53399 Metetra
.652 .756 .926 r
.93774 .53399 .94284 .54115 .95651 .53728 .95145 .53008 Metetra
.652 .756 .926 r
.3397 .69647 .34662 .70232 .35772 .69915 .35084 .69328 Metetra
.652 .756 .926 r
.35084 .69328 .35772 .69915 .36888 .69598 .36202 .69008 Metetra
.652 .756 .926 r
.36202 .69008 .36888 .69598 .38008 .69279 .37325 .68686 Metetra
.652 .756 .926 r
.37325 .68686 .38008 .69279 .39132 .68959 .38452 .68364 Metetra
.652 .756 .926 r
.38452 .68364 .39132 .68959 .40262 .68637 .39585 .6804 Metetra
.652 .756 .926 r
.39585 .6804 .40262 .68637 .41396 .68314 .40722 .67714 Metetra
.652 .756 .926 r
.40722 .67714 .41396 .68314 .42535 .6799 .41864 .67387 Metetra
.652 .756 .926 r
.41864 .67387 .42535 .6799 .43679 .67664 .43011 .67059 Metetra
.652 .756 .926 r
.43011 .67059 .43679 .67664 .44828 .67337 .44163 .66729 Metetra
.652 .756 .926 r
.44163 .66729 .44828 .67337 .45981 .67008 .45319 .66398 Metetra
.652 .756 .926 r
.45319 .66398 .45981 .67008 .4714 .66678 .46481 .66066 Metetra
.652 .756 .926 r
.46481 .66066 .4714 .66678 .48303 .66347 .47648 .65732 Metetra
.652 .756 .926 r
.47648 .65732 .48303 .66347 .49472 .66014 .48819 .65396 Metetra
.652 .756 .926 r
.48819 .65396 .49472 .66014 .50645 .6568 .49996 .65059 Metetra
.652 .756 .926 r
.49996 .65059 .50645 .6568 .51824 .65345 .51178 .64721 Metetra
.652 .756 .926 r
.51178 .64721 .51824 .65345 .53007 .65007 .52365 .64381 Metetra
.652 .756 .926 r
.52365 .64381 .53007 .65007 .54196 .64669 .53557 .6404 Metetra
.652 .756 .926 r
.53557 .6404 .54196 .64669 .5539 .64329 .54754 .63698 Metetra
.652 .756 .926 r
.54754 .63698 .5539 .64329 .56589 .63988 .55956 .63353 Metetra
.652 .756 .926 r
.55956 .63353 .56589 .63988 .57793 .63645 .57164 .63008 Metetra
.652 .756 .926 r
.57164 .63008 .57793 .63645 .59002 .633 .58377 .6266 Metetra
.652 .756 .926 r
.58377 .6266 .59002 .633 .60217 .62954 .59595 .62312 Metetra
.652 .756 .926 r
.59595 .62312 .60217 .62954 .61437 .62607 .60819 .61961 Metetra
.652 .756 .926 r
.60819 .61961 .61437 .62607 .62662 .62258 .62048 .6161 Metetra
.652 .756 .926 r
.62048 .6161 .62662 .62258 .63893 .61907 .63282 .61256 Metetra
.652 .756 .926 r
.63282 .61256 .63893 .61907 .65129 .61555 .64522 .60901 Metetra
.652 .756 .926 r
.64522 .60901 .65129 .61555 .66371 .61202 .65768 .60545 Metetra
.652 .756 .926 r
.65768 .60545 .66371 .61202 .67618 .60847 .67019 .60187 Metetra
.652 .756 .926 r
.67019 .60187 .67618 .60847 .68871 .6049 .68275 .59827 Metetra
.652 .756 .926 r
.68275 .59827 .68871 .6049 .70129 .60132 .69537 .59466 Metetra
.652 .756 .926 r
.69537 .59466 .70129 .60132 .71393 .59772 .70805 .59103 Metetra
.652 .756 .926 r
.70805 .59103 .71393 .59772 .72663 .5941 .72079 .58739 Metetra
.652 .756 .926 r
.72079 .58739 .72663 .5941 .73938 .59047 .73358 .58372 Metetra
.652 .756 .926 r
.73358 .58372 .73938 .59047 .75219 .58682 .74643 .58005 Metetra
.652 .756 .926 r
.74643 .58005 .75219 .58682 .76505 .58316 .75933 .57635 Metetra
.652 .756 .926 r
.75933 .57635 .76505 .58316 .77798 .57948 .7723 .57264 Metetra
.652 .756 .926 r
.7723 .57264 .77798 .57948 .79096 .57578 .78532 .56891 Metetra
.652 .756 .926 r
.78532 .56891 .79096 .57578 .804 .57207 .79841 .56517 Metetra
.652 .756 .926 r
.79841 .56517 .804 .57207 .8171 .56834 .81155 .56141 Metetra
.652 .756 .926 r
.81155 .56141 .8171 .56834 .83026 .56459 .82475 .55763 Metetra
.652 .756 .926 r
.82475 .55763 .83026 .56459 .84348 .56083 .83801 .55383 Metetra
.652 .756 .926 r
.83801 .55383 .84348 .56083 .85676 .55704 .85134 .55002 Metetra
.652 .756 .926 r
.85134 .55002 .85676 .55704 .8701 .55324 .86472 .54618 Metetra
.652 .756 .926 r
.86472 .54618 .8701 .55324 .88351 .54943 .87817 .54234 Metetra
.652 .756 .926 r
.87817 .54234 .88351 .54943 .89697 .54559 .89168 .53847 Metetra
.652 .756 .926 r
.89168 .53847 .89697 .54559 .9105 .54174 .90525 .53458 Metetra
.652 .756 .926 r
.90525 .53458 .9105 .54174 .92408 .53787 .91889 .53068 Metetra
.652 .756 .926 r
.91889 .53068 .92408 .53787 .93774 .53399 .93258 .52676 Metetra
.652 .756 .926 r
.93258 .52676 .93774 .53399 .95145 .53008 .94635 .52282 Metetra
.652 .756 .926 r
.33273 .69057 .3397 .69647 .35084 .69328 .34389 .68736 Metetra
.652 .756 .926 r
.34389 .68736 .35084 .69328 .36202 .69008 .3551 .68413 Metetra
.652 .756 .926 r
.3551 .68413 .36202 .69008 .37325 .68686 .36636 .6809 Metetra
.652 .756 .926 r
.36636 .6809 .37325 .68686 .38452 .68364 .37767 .67764 Metetra
.652 .756 .926 r
.37767 .67764 .38452 .68364 .39585 .6804 .38902 .67438 Metetra
.652 .756 .926 r
.38902 .67438 .39585 .6804 .40722 .67714 .40043 .67109 Metetra
.652 .756 .926 r
.40043 .67109 .40722 .67714 .41864 .67387 .41188 .6678 Metetra
.652 .756 .926 r
.41188 .6678 .41864 .67387 .43011 .67059 .42338 .66449 Metetra
.652 .756 .926 r
.42338 .66449 .43011 .67059 .44163 .66729 .43492 .66117 Metetra
.652 .756 .926 r
.43492 .66117 .44163 .66729 .45319 .66398 .44652 .65783 Metetra
.652 .756 .926 r
.44652 .65783 .45319 .66398 .46481 .66066 .45817 .65448 Metetra
.652 .756 .926 r
.45817 .65448 .46481 .66066 .47648 .65732 .46987 .65111 Metetra
.652 .756 .926 r
.46987 .65111 .47648 .65732 .48819 .65396 .48162 .64773 Metetra
.652 .756 .926 r
.48162 .64773 .48819 .65396 .49996 .65059 .49342 .64434 Metetra
.652 .756 .926 r
.49342 .64434 .49996 .65059 .51178 .64721 .50527 .64093 Metetra
.652 .756 .926 r
.50527 .64093 .51178 .64721 .52365 .64381 .51717 .6375 Metetra
.652 .756 .926 r
.51717 .6375 .52365 .64381 .53557 .6404 .52913 .63406 Metetra
.652 .756 .926 r
.52913 .63406 .53557 .6404 .54754 .63698 .54113 .63061 Metetra
.652 .756 .926 r
.54113 .63061 .54754 .63698 .55956 .63353 .55319 .62714 Metetra
.652 .756 .926 r
.55319 .62714 .55956 .63353 .57164 .63008 .5653 .62365 Metetra
.652 .756 .926 r
.5653 .62365 .57164 .63008 .58377 .6266 .57747 .62015 Metetra
.652 .756 .926 r
.57747 .62015 .58377 .6266 .59595 .62312 .58969 .61664 Metetra
.652 .756 .926 r
.58969 .61664 .59595 .62312 .60819 .61961 .60196 .61311 Metetra
.652 .756 .926 r
.60196 .61311 .60819 .61961 .62048 .6161 .61429 .60956 Metetra
.652 .756 .926 r
.61429 .60956 .62048 .6161 .63282 .61256 .62667 .606 Metetra
.652 .756 .926 r
.62667 .606 .63282 .61256 .64522 .60901 .6391 .60242 Metetra
.652 .756 .926 r
.6391 .60242 .64522 .60901 .65768 .60545 .65159 .59883 Metetra
.652 .756 .926 r
.65159 .59883 .65768 .60545 .67019 .60187 .66414 .59522 Metetra
.652 .756 .926 r
.66414 .59522 .67019 .60187 .68275 .59827 .67675 .59159 Metetra
.652 .756 .926 r
.67675 .59159 .68275 .59827 .69537 .59466 .68941 .58795 Metetra
.652 .756 .926 r
.68941 .58795 .69537 .59466 .70805 .59103 .70212 .58429 Metetra
.652 .756 .926 r
.70212 .58429 .70805 .59103 .72079 .58739 .7149 .58061 Metetra
.652 .756 .926 r
.7149 .58061 .72079 .58739 .73358 .58372 .72773 .57692 Metetra
.652 .756 .926 r
.72773 .57692 .73358 .58372 .74643 .58005 .74062 .57321 Metetra
.652 .756 .926 r
.74062 .57321 .74643 .58005 .75933 .57635 .75356 .56949 Metetra
.652 .756 .926 r
.75356 .56949 .75933 .57635 .7723 .57264 .76657 .56575 Metetra
.652 .756 .926 r
.76657 .56575 .7723 .57264 .78532 .56891 .77964 .56199 Metetra
.652 .756 .926 r
.77964 .56199 .78532 .56891 .79841 .56517 .79276 .55821 Metetra
.652 .756 .926 r
.79276 .55821 .79841 .56517 .81155 .56141 .80595 .55442 Metetra
.652 .756 .926 r
.80595 .55442 .81155 .56141 .82475 .55763 .81919 .5506 Metetra
.652 .756 .926 r
.81919 .5506 .82475 .55763 .83801 .55383 .8325 .54678 Metetra
.652 .756 .926 r
.8325 .54678 .83801 .55383 .85134 .55002 .84587 .54293 Metetra
.652 .756 .926 r
.84587 .54293 .85134 .55002 .86472 .54618 .8593 .53907 Metetra
.652 .756 .926 r
.8593 .53907 .86472 .54618 .87817 .54234 .87279 .53518 Metetra
.652 .756 .926 r
.87279 .53518 .87817 .54234 .89168 .53847 .88634 .53128 Metetra
.652 .756 .926 r
.88634 .53128 .89168 .53847 .90525 .53458 .89996 .52737 Metetra
.652 .756 .926 r
.89996 .52737 .90525 .53458 .91889 .53068 .91364 .52343 Metetra
.652 .756 .926 r
.91364 .52343 .91889 .53068 .93258 .52676 .92739 .51947 Metetra
.652 .756 .926 r
.92739 .51947 .93258 .52676 .94635 .52282 .9412 .5155 Metetra
.652 .756 .926 r
.3257 .68463 .33273 .69057 .34389 .68736 .3369 .68139 Metetra
.652 .756 .926 r
.3369 .68139 .34389 .68736 .3551 .68413 .34814 .67814 Metetra
.652 .756 .926 r
.34814 .67814 .3551 .68413 .36636 .6809 .35943 .67488 Metetra
.652 .756 .926 r
.35943 .67488 .36636 .6809 .37767 .67764 .37076 .6716 Metetra
.652 .756 .926 r
.37076 .6716 .37767 .67764 .38902 .67438 .38214 .66831 Metetra
.652 .756 .926 r
.38214 .66831 .38902 .67438 .40043 .67109 .39358 .665 Metetra
.652 .756 .926 r
.39358 .665 .40043 .67109 .41188 .6678 .40506 .66168 Metetra
.652 .756 .926 r
.40506 .66168 .41188 .6678 .42338 .66449 .41659 .65835 Metetra
.652 .756 .926 r
.41659 .65835 .42338 .66449 .43492 .66117 .42817 .655 Metetra
.652 .756 .926 r
.42817 .655 .43492 .66117 .44652 .65783 .4398 .65163 Metetra
.652 .756 .926 r
.4398 .65163 .44652 .65783 .45817 .65448 .45148 .64825 Metetra
.652 .756 .926 r
.45148 .64825 .45817 .65448 .46987 .65111 .46321 .64486 Metetra
.652 .756 .926 r
.46321 .64486 .46987 .65111 .48162 .64773 .47499 .64145 Metetra
.652 .756 .926 r
.47499 .64145 .48162 .64773 .49342 .64434 .48682 .63803 Metetra
.652 .756 .926 r
.48682 .63803 .49342 .64434 .50527 .64093 .49871 .63459 Metetra
.652 .756 .926 r
.49871 .63459 .50527 .64093 .51717 .6375 .51065 .63114 Metetra
.652 .756 .926 r
.51065 .63114 .51717 .6375 .52913 .63406 .52263 .62767 Metetra
.652 .756 .926 r
.52263 .62767 .52913 .63406 .54113 .63061 .53467 .62419 Metetra
.652 .756 .926 r
.53467 .62419 .54113 .63061 .55319 .62714 .54677 .62069 Metetra
.652 .756 .926 r
.54677 .62069 .55319 .62714 .5653 .62365 .55891 .61718 Metetra
.652 .756 .926 r
.55891 .61718 .5653 .62365 .57747 .62015 .57111 .61365 Metetra
.652 .756 .926 r
.57111 .61365 .57747 .62015 .58969 .61664 .58337 .61011 Metetra
.652 .756 .926 r
.58337 .61011 .58969 .61664 .60196 .61311 .59568 .60655 Metetra
.652 .756 .926 r
.59568 .60655 .60196 .61311 .61429 .60956 .60804 .60297 Metetra
.652 .756 .926 r
.60804 .60297 .61429 .60956 .62667 .606 .62046 .59938 Metetra
.652 .756 .926 r
.62046 .59938 .62667 .606 .6391 .60242 .63293 .59577 Metetra
.652 .756 .926 r
.63293 .59577 .6391 .60242 .65159 .59883 .64546 .59215 Metetra
.652 .756 .926 r
.64546 .59215 .65159 .59883 .66414 .59522 .65805 .58851 Metetra
.652 .756 .926 r
.65805 .58851 .66414 .59522 .67675 .59159 .67069 .58485 Metetra
.652 .756 .926 r
.67069 .58485 .67675 .59159 .68941 .58795 .68339 .58118 Metetra
.652 .756 .926 r
.68339 .58118 .68941 .58795 .70212 .58429 .69614 .57749 Metetra
.652 .756 .926 r
.69614 .57749 .70212 .58429 .7149 .58061 .70896 .57378 Metetra
.652 .756 .926 r
.70896 .57378 .7149 .58061 .72773 .57692 .72183 .57006 Metetra
.652 .756 .926 r
.72183 .57006 .72773 .57692 .74062 .57321 .73476 .56632 Metetra
.652 .756 .926 r
.73476 .56632 .74062 .57321 .75356 .56949 .74775 .56257 Metetra
.652 .756 .926 r
.74775 .56257 .75356 .56949 .76657 .56575 .7608 .55879 Metetra
.652 .756 .926 r
.7608 .55879 .76657 .56575 .77964 .56199 .7739 .555 Metetra
.652 .756 .926 r
.7739 .555 .77964 .56199 .79276 .55821 .78707 .55119 Metetra
.652 .756 .926 r
.78707 .55119 .79276 .55821 .80595 .55442 .8003 .54737 Metetra
.652 .756 .926 r
.8003 .54737 .80595 .55442 .81919 .5506 .81359 .54352 Metetra
.652 .756 .926 r
.81359 .54352 .81919 .5506 .8325 .54678 .82694 .53966 Metetra
.652 .756 .926 r
.82694 .53966 .8325 .54678 .84587 .54293 .84035 .53578 Metetra
.652 .756 .926 r
.84035 .53578 .84587 .54293 .8593 .53907 .85383 .53188 Metetra
.652 .756 .926 r
.85383 .53188 .8593 .53907 .87279 .53518 .86736 .52797 Metetra
.652 .756 .926 r
.86736 .52797 .87279 .53518 .88634 .53128 .88096 .52404 Metetra
.652 .756 .926 r
.88096 .52404 .88634 .53128 .89996 .52737 .89463 .52008 Metetra
.652 .756 .926 r
.89463 .52008 .89996 .52737 .91364 .52343 .90835 .51611 Metetra
.652 .756 .926 r
.90835 .51611 .91364 .52343 .92739 .51947 .92215 .51212 Metetra
.652 .756 .926 r
.92215 .51212 .92739 .51947 .9412 .5155 .936 .50812 Metetra
.652 .756 .926 r
.31863 .67864 .3257 .68463 .3369 .68139 .32985 .67538 Metetra
.652 .756 .926 r
.32985 .67538 .3369 .68139 .34814 .67814 .34112 .67211 Metetra
.652 .756 .926 r
.34112 .67211 .34814 .67814 .35943 .67488 .35243 .66882 Metetra
.652 .756 .926 r
.35243 .66882 .35943 .67488 .37076 .6716 .3638 .66551 Metetra
.652 .756 .926 r
.3638 .66551 .37076 .6716 .38214 .66831 .37521 .66219 Metetra
.652 .756 .926 r
.37521 .66219 .38214 .66831 .39358 .665 .38668 .65886 Metetra
.652 .756 .926 r
.38668 .65886 .39358 .665 .40506 .66168 .39819 .65551 Metetra
.652 .756 .926 r
.39819 .65551 .40506 .66168 .41659 .65835 .40975 .65215 Metetra
.652 .756 .926 r
.40975 .65215 .41659 .65835 .42817 .655 .42136 .64877 Metetra
.652 .756 .926 r
.42136 .64877 .42817 .655 .4398 .65163 .43302 .64538 Metetra
.652 .756 .926 r
.43302 .64538 .4398 .65163 .45148 .64825 .44473 .64198 Metetra
.652 .756 .926 r
.44473 .64198 .45148 .64825 .46321 .64486 .4565 .63856 Metetra
.652 .756 .926 r
.4565 .63856 .46321 .64486 .47499 .64145 .46831 .63512 Metetra
.652 .756 .926 r
.46831 .63512 .47499 .64145 .48682 .63803 .48018 .63167 Metetra
.652 .756 .926 r
.48018 .63167 .48682 .63803 .49871 .63459 .4921 .62821 Metetra
.652 .756 .926 r
.4921 .62821 .49871 .63459 .51065 .63114 .50406 .62473 Metetra
.652 .756 .926 r
.50406 .62473 .51065 .63114 .52263 .62767 .51609 .62123 Metetra
.652 .756 .926 r
.51609 .62123 .52263 .62767 .53467 .62419 .52816 .61772 Metetra
.652 .756 .926 r
.52816 .61772 .53467 .62419 .54677 .62069 .54029 .6142 Metetra
.652 .756 .926 r
.54029 .6142 .54677 .62069 .55891 .61718 .55247 .61065 Metetra
.652 .756 .926 r
.55247 .61065 .55891 .61718 .57111 .61365 .56471 .6071 Metetra
.652 .756 .926 r
.56471 .6071 .57111 .61365 .58337 .61011 .577 .60352 Metetra
.652 .756 .926 r
.577 .60352 .58337 .61011 .59568 .60655 .58934 .59993 Metetra
.652 .756 .926 r
.58934 .59993 .59568 .60655 .60804 .60297 .60174 .59633 Metetra
.652 .756 .926 r
.60174 .59633 .60804 .60297 .62046 .59938 .6142 .59271 Metetra
.652 .756 .926 r
.6142 .59271 .62046 .59938 .63293 .59577 .62671 .58907 Metetra
.652 .756 .926 r
.62671 .58907 .63293 .59577 .64546 .59215 .63928 .58542 Metetra
.652 .756 .926 r
.63928 .58542 .64546 .59215 .65805 .58851 .6519 .58175 Metetra
.652 .756 .926 r
.6519 .58175 .65805 .58851 .67069 .58485 .66458 .57806 Metetra
.652 .756 .926 r
.66458 .57806 .67069 .58485 .68339 .58118 .67732 .57436 Metetra
.652 .756 .926 r
.67732 .57436 .68339 .58118 .69614 .57749 .69012 .57064 Metetra
.652 .756 .926 r
.69012 .57064 .69614 .57749 .70896 .57378 .70297 .5669 Metetra
.652 .756 .926 r
.70297 .5669 .70896 .57378 .72183 .57006 .71588 .56314 Metetra
.652 .756 .926 r
.71588 .56314 .72183 .57006 .73476 .56632 .72885 .55937 Metetra
.652 .756 .926 r
.72885 .55937 .73476 .56632 .74775 .56257 .74188 .55558 Metetra
.652 .756 .926 r
.74188 .55558 .74775 .56257 .7608 .55879 .75497 .55178 Metetra
.652 .756 .926 r
.75497 .55178 .7608 .55879 .7739 .555 .76812 .54796 Metetra
.652 .756 .926 r
.76812 .54796 .7739 .555 .78707 .55119 .78133 .54411 Metetra
.652 .756 .926 r
.78133 .54411 .78707 .55119 .8003 .54737 .7946 .54026 Metetra
.652 .756 .926 r
.7946 .54026 .8003 .54737 .81359 .54352 .80794 .53638 Metetra
.652 .756 .926 r
.80794 .53638 .81359 .54352 .82694 .53966 .82133 .53249 Metetra
.652 .756 .926 r
.82133 .53249 .82694 .53966 .84035 .53578 .83479 .52857 Metetra
.652 .756 .926 r
.83479 .52857 .84035 .53578 .85383 .53188 .84831 .52464 Metetra
.652 .756 .926 r
.84831 .52464 .85383 .53188 .86736 .52797 .86189 .52069 Metetra
.652 .756 .926 r
.86189 .52069 .86736 .52797 .88096 .52404 .87554 .51673 Metetra
.652 .756 .926 r
.87554 .51673 .88096 .52404 .89463 .52008 .88924 .51274 Metetra
.652 .756 .926 r
.88924 .51274 .89463 .52008 .90835 .51611 .90302 .50873 Metetra
.652 .756 .926 r
.90302 .50873 .90835 .51611 .92215 .51212 .91686 .50471 Metetra
.652 .756 .926 r
.91686 .50471 .92215 .51212 .936 .50812 .93076 .50067 Metetra
.652 .756 .926 r
.31149 .67261 .31863 .67864 .32985 .67538 .32274 .66932 Metetra
.652 .756 .926 r
.32274 .66932 .32985 .67538 .34112 .67211 .33404 .66602 Metetra
.652 .756 .926 r
.33404 .66602 .34112 .67211 .35243 .66882 .34539 .6627 Metetra
.652 .756 .926 r
.34539 .6627 .35243 .66882 .3638 .66551 .35678 .65937 Metetra
.652 .756 .926 r
.35678 .65937 .3638 .66551 .37521 .66219 .36822 .65603 Metetra
.652 .756 .926 r
.36822 .65603 .37521 .66219 .38668 .65886 .37972 .65267 Metetra
.652 .756 .926 r
.37972 .65267 .38668 .65886 .39819 .65551 .39126 .64929 Metetra
.652 .756 .926 r
.39126 .64929 .39819 .65551 .40975 .65215 .40285 .64591 Metetra
.652 .756 .926 r
.40285 .64591 .40975 .65215 .42136 .64877 .4145 .6425 Metetra
.652 .756 .926 r
.4145 .6425 .42136 .64877 .43302 .64538 .42619 .63909 Metetra
.652 .756 .926 r
.42619 .63909 .43302 .64538 .44473 .64198 .43793 .63565 Metetra
.652 .756 .926 r
.43793 .63565 .44473 .64198 .4565 .63856 .44973 .63221 Metetra
.652 .756 .926 r
.44973 .63221 .4565 .63856 .46831 .63512 .46158 .62874 Metetra
.652 .756 .926 r
.46158 .62874 .46831 .63512 .48018 .63167 .47348 .62527 Metetra
.652 .756 .926 r
.47348 .62527 .48018 .63167 .4921 .62821 .48543 .62177 Metetra
.652 .756 .926 r
.48543 .62177 .4921 .62821 .50406 .62473 .49743 .61826 Metetra
.652 .756 .926 r
.49743 .61826 .50406 .62473 .51609 .62123 .50949 .61474 Metetra
.652 .756 .926 r
.50949 .61474 .51609 .62123 .52816 .61772 .5216 .6112 Metetra
.652 .756 .926 r
.5216 .6112 .52816 .61772 .54029 .6142 .53376 .60765 Metetra
.652 .756 .926 r
.53376 .60765 .54029 .6142 .55247 .61065 .54598 .60407 Metetra
.652 .756 .926 r
.54598 .60407 .55247 .61065 .56471 .6071 .55825 .60049 Metetra
.652 .756 .926 r
.55825 .60049 .56471 .6071 .577 .60352 .57058 .59688 Metetra
.652 .756 .926 r
.57058 .59688 .577 .60352 .58934 .59993 .58296 .59327 Metetra
.652 .756 .926 r
.58296 .59327 .58934 .59993 .60174 .59633 .5954 .58963 Metetra
.652 .756 .926 r
.5954 .58963 .60174 .59633 .6142 .59271 .60789 .58598 Metetra
.652 .756 .926 r
.60789 .58598 .6142 .59271 .62671 .58907 .62044 .58231 Metetra
.652 .756 .926 r
.62044 .58231 .62671 .58907 .63928 .58542 .63304 .57863 Metetra
.652 .756 .926 r
.63304 .57863 .63928 .58542 .6519 .58175 .6457 .57493 Metetra
.652 .756 .926 r
.6457 .57493 .6519 .58175 .66458 .57806 .65842 .57121 Metetra
.652 .756 .926 r
.65842 .57121 .66458 .57806 .67732 .57436 .6712 .56747 Metetra
.652 .756 .926 r
.6712 .56747 .67732 .57436 .69012 .57064 .68404 .56372 Metetra
.652 .756 .926 r
.68404 .56372 .69012 .57064 .70297 .5669 .69693 .55995 Metetra
.652 .756 .926 r
.69693 .55995 .70297 .5669 .71588 .56314 .70988 .55617 Metetra
.652 .756 .926 r
.70988 .55617 .71588 .56314 .72885 .55937 .72289 .55237 Metetra
.652 .756 .926 r
.72289 .55237 .72885 .55937 .74188 .55558 .73597 .54854 Metetra
.652 .756 .926 r
.73597 .54854 .74188 .55558 .75497 .55178 .7491 .54471 Metetra
.652 .756 .926 r
.7491 .54471 .75497 .55178 .76812 .54796 .76229 .54085 Metetra
.652 .756 .926 r
.76229 .54085 .76812 .54796 .78133 .54411 .77554 .53698 Metetra
.652 .756 .926 r
.77554 .53698 .78133 .54411 .7946 .54026 .78886 .53309 Metetra
.652 .756 .926 r
.78886 .53309 .7946 .54026 .80794 .53638 .80224 .52918 Metetra
.652 .756 .926 r
.80224 .52918 .80794 .53638 .82133 .53249 .81567 .52525 Metetra
.652 .756 .926 r
.81567 .52525 .82133 .53249 .83479 .52857 .82918 .5213 Metetra
.652 .756 .926 r
.82918 .5213 .83479 .52857 .84831 .52464 .84274 .51734 Metetra
.652 .756 .926 r
.84274 .51734 .84831 .52464 .86189 .52069 .85637 .51335 Metetra
.652 .756 .926 r
.85637 .51335 .86189 .52069 .87554 .51673 .87006 .50935 Metetra
.652 .756 .926 r
.87006 .50935 .87554 .51673 .88924 .51274 .88382 .50533 Metetra
.652 .756 .926 r
.88382 .50533 .88924 .51274 .90302 .50873 .89764 .50129 Metetra
.652 .756 .926 r
.89764 .50129 .90302 .50873 .91686 .50471 .91152 .49723 Metetra
.652 .756 .926 r
.91152 .49723 .91686 .50471 .93076 .50067 .92548 .49315 Metetra
.652 .756 .926 r
.3043 .66653 .31149 .67261 .32274 .66932 .31558 .66321 Metetra
.652 .756 .926 r
.31558 .66321 .32274 .66932 .33404 .66602 .32691 .65989 Metetra
.652 .756 .926 r
.32691 .65989 .33404 .66602 .34539 .6627 .33828 .65654 Metetra
.652 .756 .926 r
.33828 .65654 .34539 .6627 .35678 .65937 .34971 .65319 Metetra
.652 .756 .926 r
.34971 .65319 .35678 .65937 .36822 .65603 .36118 .64981 Metetra
.652 .756 .926 r
.36118 .64981 .36822 .65603 .37972 .65267 .37271 .64643 Metetra
.652 .756 .926 r
.37271 .64643 .37972 .65267 .39126 .64929 .38428 .64303 Metetra
.652 .756 .926 r
.38428 .64303 .39126 .64929 .40285 .64591 .3959 .63961 Metetra
.652 .756 .926 r
.3959 .63961 .40285 .64591 .4145 .6425 .40758 .63618 Metetra
.652 .756 .926 r
.40758 .63618 .4145 .6425 .42619 .63909 .4193 .63274 Metetra
.652 .756 .926 r
.4193 .63274 .42619 .63909 .43793 .63565 .43108 .62928 Metetra
.652 .756 .926 r
.43108 .62928 .43793 .63565 .44973 .63221 .44291 .6258 Metetra
.652 .756 .926 r
.44291 .6258 .44973 .63221 .46158 .62874 .45479 .62231 Metetra
.652 .756 .926 r
.45479 .62231 .46158 .62874 .47348 .62527 .46672 .6188 Metetra
.652 .756 .926 r
.46672 .6188 .47348 .62527 .48543 .62177 .47871 .61528 Metetra
.652 .756 .926 r
.47871 .61528 .48543 .62177 .49743 .61826 .49074 .61175 Metetra
.652 .756 .926 r
.49074 .61175 .49743 .61826 .50949 .61474 .50283 .60819 Metetra
.652 .756 .926 r
.50283 .60819 .50949 .61474 .5216 .6112 .51498 .60462 Metetra
.652 .756 .926 r
.51498 .60462 .5216 .6112 .53376 .60765 .52718 .60104 Metetra
.652 .756 .926 r
.52718 .60104 .53376 .60765 .54598 .60407 .53943 .59744 Metetra
.652 .756 .926 r
.53943 .59744 .54598 .60407 .55825 .60049 .55174 .59382 Metetra
.652 .756 .926 r
.55174 .59382 .55825 .60049 .57058 .59688 .5641 .59019 Metetra
.652 .756 .926 r
.5641 .59019 .57058 .59688 .58296 .59327 .57652 .58654 Metetra
.652 .756 .926 r
.57652 .58654 .58296 .59327 .5954 .58963 .58899 .58288 Metetra
.652 .756 .926 r
.58899 .58288 .5954 .58963 .60789 .58598 .60152 .5792 Metetra
.652 .756 .926 r
.60152 .5792 .60789 .58598 .62044 .58231 .61411 .5755 Metetra
.652 .756 .926 r
.61411 .5755 .62044 .58231 .63304 .57863 .62675 .57178 Metetra
.652 .756 .926 r
.62675 .57178 .63304 .57863 .6457 .57493 .63946 .56805 Metetra
.652 .756 .926 r
.63946 .56805 .6457 .57493 .65842 .57121 .65221 .5643 Metetra
.652 .756 .926 r
.65221 .5643 .65842 .57121 .6712 .56747 .66503 .56054 Metetra
.652 .756 .926 r
.66503 .56054 .6712 .56747 .68404 .56372 .67791 .55675 Metetra
.652 .756 .926 r
.67791 .55675 .68404 .56372 .69693 .55995 .69084 .55295 Metetra
.652 .756 .926 r
.69084 .55295 .69693 .55995 .70988 .55617 .70383 .54913 Metetra
.652 .756 .926 r
.70383 .54913 .70988 .55617 .72289 .55237 .71689 .5453 Metetra
.652 .756 .926 r
.71689 .5453 .72289 .55237 .73597 .54854 .73 .54145 Metetra
.652 .756 .926 r
.73 .54145 .73597 .54854 .7491 .54471 .74317 .53757 Metetra
.652 .756 .926 r
.74317 .53757 .7491 .54471 .76229 .54085 .75641 .53369 Metetra
.652 .756 .926 r
.75641 .53369 .76229 .54085 .77554 .53698 .76971 .52978 Metetra
.652 .756 .926 r
.76971 .52978 .77554 .53698 .78886 .53309 .78306 .52585 Metetra
.652 .756 .926 r
.78306 .52585 .78886 .53309 .80224 .52918 .79649 .52191 Metetra
.652 .756 .926 r
.79649 .52191 .80224 .52918 .81567 .52525 .80997 .51795 Metetra
.652 .756 .926 r
.80997 .51795 .81567 .52525 .82918 .5213 .82351 .51397 Metetra
.652 .756 .926 r
.82351 .51397 .82918 .5213 .84274 .51734 .83712 .50997 Metetra
.652 .756 .926 r
.83712 .50997 .84274 .51734 .85637 .51335 .8508 .50595 Metetra
.652 .756 .926 r
.8508 .50595 .85637 .51335 .87006 .50935 .86454 .50191 Metetra
.652 .756 .926 r
.86454 .50191 .87006 .50935 .88382 .50533 .87834 .49786 Metetra
.652 .756 .926 r
.87834 .49786 .88382 .50533 .89764 .50129 .89221 .49378 Metetra
.652 .756 .926 r
.89221 .49378 .89764 .50129 .91152 .49723 .90614 .48969 Metetra
.652 .756 .926 r
.90614 .48969 .91152 .49723 .92548 .49315 .92015 .48558 Metetra
.652 .756 .926 r
.29705 .6604 .3043 .66653 .31558 .66321 .30836 .65706 Metetra
.652 .756 .926 r
.30836 .65706 .31558 .66321 .32691 .65989 .31972 .6537 Metetra
.652 .756 .926 r
.31972 .6537 .32691 .65989 .33828 .65654 .33112 .65033 Metetra
.652 .756 .926 r
.33112 .65033 .33828 .65654 .34971 .65319 .34258 .64695 Metetra
.652 .756 .926 r
.34258 .64695 .34971 .65319 .36118 .64981 .35408 .64355 Metetra
.652 .756 .926 r
.35408 .64355 .36118 .64981 .37271 .64643 .36564 .64014 Metetra
.652 .756 .926 r
.36564 .64014 .37271 .64643 .38428 .64303 .37724 .63671 Metetra
.652 .756 .926 r
.37724 .63671 .38428 .64303 .3959 .63961 .3889 .63327 Metetra
.652 .756 .926 r
.3889 .63327 .3959 .63961 .40758 .63618 .4006 .62981 Metetra
.652 .756 .926 r
.4006 .62981 .40758 .63618 .4193 .63274 .41236 .62634 Metetra
.652 .756 .926 r
.41236 .62634 .4193 .63274 .43108 .62928 .42417 .62285 Metetra
.652 .756 .926 r
.42417 .62285 .43108 .62928 .44291 .6258 .43603 .61934 Metetra
.652 .756 .926 r
.43603 .61934 .44291 .6258 .45479 .62231 .44794 .61583 Metetra
.652 .756 .926 r
.44794 .61583 .45479 .62231 .46672 .6188 .45991 .61229 Metetra
.652 .756 .926 r
.45991 .61229 .46672 .6188 .47871 .61528 .47193 .60874 Metetra
.652 .756 .926 r
.47193 .60874 .47871 .61528 .49074 .61175 .484 .60517 Metetra
.652 .756 .926 r
.484 .60517 .49074 .61175 .50283 .60819 .49613 .60159 Metetra
.652 .756 .926 r
.49613 .60159 .50283 .60819 .51498 .60462 .50831 .59799 Metetra
.652 .756 .926 r
.50831 .59799 .51498 .60462 .52718 .60104 .52054 .59438 Metetra
.652 .756 .926 r
.52054 .59438 .52718 .60104 .53943 .59744 .53283 .59075 Metetra
.652 .756 .926 r
.53283 .59075 .53943 .59744 .55174 .59382 .54517 .5871 Metetra
.652 .756 .926 r
.54517 .5871 .55174 .59382 .5641 .59019 .55757 .58344 Metetra
.652 .756 .926 r
.55757 .58344 .5641 .59019 .57652 .58654 .57003 .57976 Metetra
.652 .756 .926 r
.57003 .57976 .57652 .58654 .58899 .58288 .58254 .57607 Metetra
.652 .756 .926 r
.58254 .57607 .58899 .58288 .60152 .5792 .59511 .57235 Metetra
.652 .756 .926 r
.59511 .57235 .60152 .5792 .61411 .5755 .60773 .56863 Metetra
.652 .756 .926 r
.60773 .56863 .61411 .5755 .62675 .57178 .62041 .56488 Metetra
.652 .756 .926 r
.62041 .56488 .62675 .57178 .63946 .56805 .63315 .56112 Metetra
.652 .756 .926 r
.63315 .56112 .63946 .56805 .65221 .5643 .64595 .55734 Metetra
.652 .756 .926 r
.64595 .55734 .65221 .5643 .66503 .56054 .65881 .55354 Metetra
.652 .756 .926 r
.65881 .55354 .66503 .56054 .67791 .55675 .67172 .54972 Metetra
.652 .756 .926 r
.67172 .54972 .67791 .55675 .69084 .55295 .6847 .54589 Metetra
.652 .756 .926 r
.6847 .54589 .69084 .55295 .70383 .54913 .69773 .54204 Metetra
.652 .756 .926 r
.69773 .54204 .70383 .54913 .71689 .5453 .71083 .53817 Metetra
.652 .756 .926 r
.71083 .53817 .71689 .5453 .73 .54145 .72398 .53428 Metetra
.652 .756 .926 r
.72398 .53428 .73 .54145 .74317 .53757 .7372 .53038 Metetra
.652 .756 .926 r
.7372 .53038 .74317 .53757 .75641 .53369 .75048 .52646 Metetra
.652 .756 .926 r
.75048 .52646 .75641 .53369 .76971 .52978 .76382 .52252 Metetra
.652 .756 .926 r
.76382 .52252 .76971 .52978 .78306 .52585 .77722 .51856 Metetra
.652 .756 .926 r
.77722 .51856 .78306 .52585 .79649 .52191 .79069 .51458 Metetra
.652 .756 .926 r
.79069 .51458 .79649 .52191 .80997 .51795 .80421 .51059 Metetra
.652 .756 .926 r
.80421 .51059 .80997 .51795 .82351 .51397 .81781 .50657 Metetra
.652 .756 .926 r
.81781 .50657 .82351 .51397 .83712 .50997 .83146 .50254 Metetra
.652 .756 .926 r
.83146 .50254 .83712 .50997 .8508 .50595 .84518 .49848 Metetra
.652 .756 .926 r
.84518 .49848 .8508 .50595 .86454 .50191 .85897 .49441 Metetra
.652 .756 .926 r
.85897 .49441 .86454 .50191 .87834 .49786 .87282 .49032 Metetra
.652 .756 .926 r
.87282 .49032 .87834 .49786 .89221 .49378 .88673 .48621 Metetra
.652 .756 .926 r
.88673 .48621 .89221 .49378 .90614 .48969 .90072 .48208 Metetra
.652 .756 .926 r
.90072 .48208 .90614 .48969 .92015 .48558 .91477 .47793 Metetra
.652 .756 .926 r
.28974 .65422 .29705 .6604 .30836 .65706 .30108 .65085 Metetra
.652 .756 .926 r
.30108 .65085 .30836 .65706 .31972 .6537 .31247 .64747 Metetra
.652 .756 .926 r
.31247 .64747 .31972 .6537 .33112 .65033 .32391 .64408 Metetra
.652 .756 .926 r
.32391 .64408 .33112 .65033 .34258 .64695 .33539 .64067 Metetra
.652 .756 .926 r
.33539 .64067 .34258 .64695 .35408 .64355 .34693 .63724 Metetra
.652 .756 .926 r
.34693 .63724 .35408 .64355 .36564 .64014 .35851 .6338 Metetra
.652 .756 .926 r
.35851 .6338 .36564 .64014 .37724 .63671 .37015 .63034 Metetra
.652 .756 .926 r
.37015 .63034 .37724 .63671 .3889 .63327 .38183 .62687 Metetra
.652 .756 .926 r
.38183 .62687 .3889 .63327 .4006 .62981 .39357 .62339 Metetra
.652 .756 .926 r
.39357 .62339 .4006 .62981 .41236 .62634 .40536 .61988 Metetra
.652 .756 .926 r
.40536 .61988 .41236 .62634 .42417 .62285 .4172 .61637 Metetra
.652 .756 .926 r
.4172 .61637 .42417 .62285 .43603 .61934 .4291 .61284 Metetra
.652 .756 .926 r
.4291 .61284 .43603 .61934 .44794 .61583 .44105 .60929 Metetra
.652 .756 .926 r
.44105 .60929 .44794 .61583 .45991 .61229 .45304 .60572 Metetra
.652 .756 .926 r
.45304 .60572 .45991 .61229 .47193 .60874 .4651 .60214 Metetra
.652 .756 .926 r
.4651 .60214 .47193 .60874 .484 .60517 .4772 .59855 Metetra
.652 .756 .926 r
.4772 .59855 .484 .60517 .49613 .60159 .48936 .59494 Metetra
.652 .756 .926 r
.48936 .59494 .49613 .60159 .50831 .59799 .50158 .59131 Metetra
.652 .756 .926 r
.50158 .59131 .50831 .59799 .52054 .59438 .51385 .58767 Metetra
.652 .756 .926 r
.51385 .58767 .52054 .59438 .53283 .59075 .52617 .58401 Metetra
.652 .756 .926 r
.52617 .58401 .53283 .59075 .54517 .5871 .53855 .58033 Metetra
.652 .756 .926 r
.53855 .58033 .54517 .5871 .55757 .58344 .55099 .57664 Metetra
.652 .756 .926 r
.55099 .57664 .55757 .58344 .57003 .57976 .56348 .57293 Metetra
.652 .756 .926 r
.56348 .57293 .57003 .57976 .58254 .57607 .57603 .5692 Metetra
.652 .756 .926 r
.57603 .5692 .58254 .57607 .59511 .57235 .58864 .56546 Metetra
.652 .756 .926 r
.58864 .56546 .59511 .57235 .60773 .56863 .6013 .5617 Metetra
.652 .756 .926 r
.6013 .5617 .60773 .56863 .62041 .56488 .61402 .55792 Metetra
.652 .756 .926 r
.61402 .55792 .62041 .56488 .63315 .56112 .6268 .55412 Metetra
.652 .756 .926 r
.6268 .55412 .63315 .56112 .64595 .55734 .63964 .55031 Metetra
.652 .756 .926 r
.63964 .55031 .64595 .55734 .65881 .55354 .65253 .54648 Metetra
.652 .756 .926 r
.65253 .54648 .65881 .55354 .67172 .54972 .66549 .54263 Metetra
.652 .756 .926 r
.66549 .54263 .67172 .54972 .6847 .54589 .67851 .53877 Metetra
.652 .756 .926 r
.67851 .53877 .6847 .54589 .69773 .54204 .69158 .53488 Metetra
.652 .756 .926 r
.69158 .53488 .69773 .54204 .71083 .53817 .70472 .53098 Metetra
.652 .756 .926 r
.70472 .53098 .71083 .53817 .72398 .53428 .71792 .52706 Metetra
.652 .756 .926 r
.71792 .52706 .72398 .53428 .7372 .53038 .73118 .52313 Metetra
.652 .756 .926 r
.73118 .52313 .7372 .53038 .75048 .52646 .7445 .51917 Metetra
.652 .756 .926 r
.7445 .51917 .75048 .52646 .76382 .52252 .75788 .51519 Metetra
.652 .756 .926 r
.75788 .51519 .76382 .52252 .77722 .51856 .77133 .5112 Metetra
.652 .756 .926 r
.77133 .5112 .77722 .51856 .79069 .51458 .78484 .50719 Metetra
.652 .756 .926 r
.78484 .50719 .79069 .51458 .80421 .51059 .79841 .50316 Metetra
.652 .756 .926 r
.79841 .50316 .80421 .51059 .81781 .50657 .81205 .49911 Metetra
.652 .756 .926 r
.81205 .49911 .81781 .50657 .83146 .50254 .82575 .49504 Metetra
.652 .756 .926 r
.82575 .49504 .83146 .50254 .84518 .49848 .83951 .49095 Metetra
.652 .756 .926 r
.83951 .49095 .84518 .49848 .85897 .49441 .85335 .48684 Metetra
.652 .756 .926 r
.85335 .48684 .85897 .49441 .87282 .49032 .86725 .48272 Metetra
.652 .756 .926 r
.86725 .48272 .87282 .49032 .88673 .48621 .88121 .47857 Metetra
.652 .756 .926 r
.88121 .47857 .88673 .48621 .90072 .48208 .89524 .4744 Metetra
.652 .756 .926 r
.89524 .4744 .90072 .48208 .91477 .47793 .90934 .47021 Metetra
.652 .756 .926 r
.28238 .64799 .28974 .65422 .30108 .65085 .29375 .6446 Metetra
.652 .756 .926 r
.29375 .6446 .30108 .65085 .31247 .64747 .30516 .64119 Metetra
.652 .756 .926 r
.30516 .64119 .31247 .64747 .32391 .64408 .31663 .63777 Metetra
.652 .756 .926 r
.31663 .63777 .32391 .64408 .33539 .64067 .32815 .63433 Metetra
.652 .756 .926 r
.32815 .63433 .33539 .64067 .34693 .63724 .33971 .63088 Metetra
.652 .756 .926 r
.33971 .63088 .34693 .63724 .35851 .6338 .35133 .62741 Metetra
.652 .756 .926 r
.35133 .62741 .35851 .6338 .37015 .63034 .363 .62392 Metetra
.652 .756 .926 r
.363 .62392 .37015 .63034 .38183 .62687 .37471 .62042 Metetra
.652 .756 .926 r
.37471 .62042 .38183 .62687 .39357 .62339 .38649 .61691 Metetra
.652 .756 .926 r
.38649 .61691 .39357 .62339 .40536 .61988 .39831 .61338 Metetra
.652 .756 .926 r
.39831 .61338 .40536 .61988 .4172 .61637 .41018 .60983 Metetra
.652 .756 .926 r
.41018 .60983 .4172 .61637 .4291 .61284 .42211 .60627 Metetra
.652 .756 .926 r
.42211 .60627 .4291 .61284 .44105 .60929 .43409 .6027 Metetra
.652 .756 .926 r
.43409 .6027 .44105 .60929 .45304 .60572 .44612 .5991 Metetra
.652 .756 .926 r
.44612 .5991 .45304 .60572 .4651 .60214 .45821 .59549 Metetra
.652 .756 .926 r
.45821 .59549 .4651 .60214 .4772 .59855 .47035 .59187 Metetra
.652 .756 .926 r
.47035 .59187 .4772 .59855 .48936 .59494 .48255 .58823 Metetra
.652 .756 .926 r
.48255 .58823 .48936 .59494 .50158 .59131 .4948 .58457 Metetra
.652 .756 .926 r
.4948 .58457 .50158 .59131 .51385 .58767 .5071 .5809 Metetra
.652 .756 .926 r
.5071 .5809 .51385 .58767 .52617 .58401 .51946 .57721 Metetra
.652 .756 .926 r
.51946 .57721 .52617 .58401 .53855 .58033 .53188 .5735 Metetra
.652 .756 .926 r
.53188 .5735 .53855 .58033 .55099 .57664 .54435 .56977 Metetra
.652 .756 .926 r
.54435 .56977 .55099 .57664 .56348 .57293 .55688 .56603 Metetra
.652 .756 .926 r
.55688 .56603 .56348 .57293 .57603 .5692 .56947 .56228 Metetra
.652 .756 .926 r
.56947 .56228 .57603 .5692 .58864 .56546 .58211 .5585 Metetra
.652 .756 .926 r
.58211 .5585 .58864 .56546 .6013 .5617 .59481 .55471 Metetra
.652 .756 .926 r
.59481 .55471 .6013 .5617 .61402 .55792 .60757 .5509 Metetra
.652 .756 .926 r
.60757 .5509 .61402 .55792 .6268 .55412 .62039 .54707 Metetra
.652 .756 .926 r
.62039 .54707 .6268 .55412 .63964 .55031 .63327 .54323 Metetra
.652 .756 .926 r
.63327 .54323 .63964 .55031 .65253 .54648 .64621 .53936 Metetra
.652 .756 .926 r
.64621 .53936 .65253 .54648 .66549 .54263 .6592 .53548 Metetra
.652 .756 .926 r
.6592 .53548 .66549 .54263 .67851 .53877 .67226 .53158 Metetra
.652 .756 .926 r
.67226 .53158 .67851 .53877 .69158 .53488 .68538 .52767 Metetra
.652 .756 .926 r
.68538 .52767 .69158 .53488 .70472 .53098 .69856 .52373 Metetra
.652 .756 .926 r
.69856 .52373 .70472 .53098 .71792 .52706 .7118 .51978 Metetra
.652 .756 .926 r
.7118 .51978 .71792 .52706 .73118 .52313 .7251 .51581 Metetra
.652 .756 .926 r
.7251 .51581 .73118 .52313 .7445 .51917 .73846 .51182 Metetra
.652 .756 .926 r
.73846 .51182 .7445 .51917 .75788 .51519 .75189 .50781 Metetra
.652 .756 .926 r
.75189 .50781 .75788 .51519 .77133 .5112 .76538 .50378 Metetra
.652 .756 .926 r
.76538 .50378 .77133 .5112 .78484 .50719 .77893 .49973 Metetra
.652 .756 .926 r
.77893 .49973 .78484 .50719 .79841 .50316 .79255 .49567 Metetra
.652 .756 .926 r
.79255 .49567 .79841 .50316 .81205 .49911 .80624 .49158 Metetra
.652 .756 .926 r
.80624 .49158 .81205 .49911 .82575 .49504 .81998 .48748 Metetra
.652 .756 .926 r
.81998 .48748 .82575 .49504 .83951 .49095 .8338 .48335 Metetra
.652 .756 .926 r
.8338 .48335 .83951 .49095 .85335 .48684 .84768 .47921 Metetra
.652 .756 .926 r
.84768 .47921 .85335 .48684 .86725 .48272 .86162 .47504 Metetra
.652 .756 .926 r
.86162 .47504 .86725 .48272 .88121 .47857 .87564 .47086 Metetra
.652 .756 .926 r
.87564 .47086 .88121 .47857 .89524 .4744 .88972 .46666 Metetra
.652 .756 .926 r
.88972 .46666 .89524 .4744 .90934 .47021 .90387 .46243 Metetra
.652 .756 .926 r
.27496 .64172 .28238 .64799 .29375 .6446 .28635 .63829 Metetra
.652 .756 .926 r
.28635 .63829 .29375 .6446 .30516 .64119 .2978 .63486 Metetra
.652 .756 .926 r
.2978 .63486 .30516 .64119 .31663 .63777 .3093 .63141 Metetra
.652 .756 .926 r
.3093 .63141 .31663 .63777 .32815 .63433 .32084 .62794 Metetra
.652 .756 .926 r
.32084 .62794 .32815 .63433 .33971 .63088 .33244 .62446 Metetra
.652 .756 .926 r
.33244 .62446 .33971 .63088 .35133 .62741 .34409 .62096 Metetra
.652 .756 .926 r
.34409 .62096 .35133 .62741 .363 .62392 .35579 .61745 Metetra
.652 .756 .926 r
.35579 .61745 .363 .62392 .37471 .62042 .36754 .61392 Metetra
.652 .756 .926 r
.36754 .61392 .37471 .62042 .38649 .61691 .37934 .61038 Metetra
.652 .756 .926 r
.37934 .61038 .38649 .61691 .39831 .61338 .39119 .60682 Metetra
.652 .756 .926 r
.39119 .60682 .39831 .61338 .41018 .60983 .4031 .60325 Metetra
.652 .756 .926 r
.4031 .60325 .41018 .60983 .42211 .60627 .41506 .59966 Metetra
.652 .756 .926 r
.41506 .59966 .42211 .60627 .43409 .6027 .42708 .59605 Metetra
.652 .756 .926 r
.42708 .59605 .43409 .6027 .44612 .5991 .43914 .59243 Metetra
.652 .756 .926 r
.43914 .59243 .44612 .5991 .45821 .59549 .45126 .58879 Metetra
.652 .756 .926 r
.45126 .58879 .45821 .59549 .47035 .59187 .46344 .58513 Metetra
.652 .756 .926 r
.46344 .58513 .47035 .59187 .48255 .58823 .47567 .58146 Metetra
.652 .756 .926 r
.47567 .58146 .48255 .58823 .4948 .58457 .48796 .57777 Metetra
.652 .756 .926 r
.48796 .57777 .4948 .58457 .5071 .5809 .5003 .57407 Metetra
.652 .756 .926 r
.5003 .57407 .5071 .5809 .51946 .57721 .51269 .57035 Metetra
.652 .756 .926 r
.51269 .57035 .51946 .57721 .53188 .5735 .52515 .56661 Metetra
.652 .756 .926 r
.52515 .56661 .53188 .5735 .54435 .56977 .53766 .56285 Metetra
.652 .756 .926 r
.53766 .56285 .54435 .56977 .55688 .56603 .55022 .55908 Metetra
.652 .756 .926 r
.55022 .55908 .55688 .56603 .56947 .56228 .56285 .55529 Metetra
.652 .756 .926 r
.56285 .55529 .56947 .56228 .58211 .5585 .57553 .55149 Metetra
.652 .756 .926 r
.57553 .55149 .58211 .5585 .59481 .55471 .58827 .54766 Metetra
.652 .756 .926 r
.58827 .54766 .59481 .55471 .60757 .5509 .60107 .54382 Metetra
.652 .756 .926 r
.60107 .54382 .60757 .5509 .62039 .54707 .61393 .53996 Metetra
.652 .756 .926 r
.61393 .53996 .62039 .54707 .63327 .54323 .62685 .53608 Metetra
.652 .756 .926 r
.62685 .53608 .63327 .54323 .64621 .53936 .63982 .53218 Metetra
.652 .756 .926 r
.63982 .53218 .64621 .53936 .6592 .53548 .65286 .52827 Metetra
.652 .756 .926 r
.65286 .52827 .6592 .53548 .67226 .53158 .66596 .52434 Metetra
.652 .756 .926 r
.66596 .52434 .67226 .53158 .68538 .52767 .67912 .52039 Metetra
.652 .756 .926 r
.67912 .52039 .68538 .52767 .69856 .52373 .69234 .51642 Metetra
.652 .756 .926 r
.69234 .51642 .69856 .52373 .7118 .51978 .70562 .51243 Metetra
.652 .756 .926 r
.70562 .51243 .7118 .51978 .7251 .51581 .71897 .50843 Metetra
.652 .756 .926 r
.71897 .50843 .7251 .51581 .73846 .51182 .73238 .5044 Metetra
.652 .756 .926 r
.73238 .5044 .73846 .51182 .75189 .50781 .74585 .50036 Metetra
.652 .756 .926 r
.74585 .50036 .75189 .50781 .76538 .50378 .75938 .49629 Metetra
.652 .756 .926 r
.75938 .49629 .76538 .50378 .77893 .49973 .77298 .49221 Metetra
.652 .756 .926 r
.77298 .49221 .77893 .49973 .79255 .49567 .78665 .48811 Metetra
.652 .756 .926 r
.78665 .48811 .79255 .49567 .80624 .49158 .80037 .48399 Metetra
.652 .756 .926 r
.80037 .48399 .80624 .49158 .81998 .48748 .81417 .47985 Metetra
.652 .756 .926 r
.81417 .47985 .81998 .48748 .8338 .48335 .82803 .47569 Metetra
.652 .756 .926 r
.82803 .47569 .8338 .48335 .84768 .47921 .84196 .4715 Metetra
.652 .756 .926 r
.84196 .4715 .84768 .47921 .86162 .47504 .85595 .4673 Metetra
.652 .756 .926 r
.85595 .4673 .86162 .47504 .87564 .47086 .87001 .46308 Metetra
.652 .756 .926 r
.87001 .46308 .87564 .47086 .88972 .46666 .88414 .45884 Metetra
.652 .756 .926 r
.88414 .45884 .88972 .46666 .90387 .46243 .89834 .45458 Metetra
.652 .756 .926 r
.26748 .63539 .27496 .64172 .28635 .63829 .2789 .63194 Metetra
.652 .756 .926 r
.2789 .63194 .28635 .63829 .2978 .63486 .29038 .62848 Metetra
.652 .756 .926 r
.29038 .62848 .2978 .63486 .3093 .63141 .3019 .625 Metetra
.652 .756 .926 r
.3019 .625 .3093 .63141 .32084 .62794 .31348 .6215 Metetra
.652 .756 .926 r
.31348 .6215 .32084 .62794 .33244 .62446 .32511 .61799 Metetra
.652 .756 .926 r
.32511 .61799 .33244 .62446 .34409 .62096 .33679 .61447 Metetra
.652 .756 .926 r
.33679 .61447 .34409 .62096 .35579 .61745 .34852 .61093 Metetra
.652 .756 .926 r
.34852 .61093 .35579 .61745 .36754 .61392 .3603 .60737 Metetra
.652 .756 .926 r
.3603 .60737 .36754 .61392 .37934 .61038 .37214 .6038 Metetra
.652 .756 .926 r
.37214 .6038 .37934 .61038 .39119 .60682 .38402 .60021 Metetra
.652 .756 .926 r
.38402 .60021 .39119 .60682 .4031 .60325 .39596 .59661 Metetra
.652 .756 .926 r
.39596 .59661 .4031 .60325 .41506 .59966 .40796 .59299 Metetra
.652 .756 .926 r
.40796 .59299 .41506 .59966 .42708 .59605 .42 .58935 Metetra
.652 .756 .926 r
.42 .58935 .42708 .59605 .43914 .59243 .43211 .5857 Metetra
.652 .756 .926 r
.43211 .5857 .43914 .59243 .45126 .58879 .44426 .58203 Metetra
.652 .756 .926 r
.44426 .58203 .45126 .58879 .46344 .58513 .45647 .57834 Metetra
.652 .756 .926 r
.45647 .57834 .46344 .58513 .47567 .58146 .46874 .57464 Metetra
.652 .756 .926 r
.46874 .57464 .47567 .58146 .48796 .57777 .48106 .57092 Metetra
.652 .756 .926 r
.48106 .57092 .48796 .57777 .5003 .57407 .49344 .56719 Metetra
.652 .756 .926 r
.49344 .56719 .5003 .57407 .51269 .57035 .50587 .56343 Metetra
.652 .756 .926 r
.50587 .56343 .51269 .57035 .52515 .56661 .51836 .55966 Metetra
.652 .756 .926 r
.51836 .55966 .52515 .56661 .53766 .56285 .53091 .55588 Metetra
.652 .756 .926 r
.53091 .55588 .53766 .56285 .55022 .55908 .54351 .55207 Metetra
.652 .756 .926 r
.54351 .55207 .55022 .55908 .56285 .55529 .55617 .54825 Metetra
.652 .756 .926 r
.55617 .54825 .56285 .55529 .57553 .55149 .56889 .54441 Metetra
.652 .756 .926 r
.56889 .54441 .57553 .55149 .58827 .54766 .58167 .54055 Metetra
.652 .756 .926 r
.58167 .54055 .58827 .54766 .60107 .54382 .59451 .53668 Metetra
.652 .756 .926 r
.59451 .53668 .60107 .54382 .61393 .53996 .60741 .53279 Metetra
.652 .756 .926 r
.60741 .53279 .61393 .53996 .62685 .53608 .62037 .52887 Metetra
.652 .756 .926 r
.62037 .52887 .62685 .53608 .63982 .53218 .63339 .52495 Metetra
.652 .756 .926 r
.63339 .52495 .63982 .53218 .65286 .52827 .64646 .521 Metetra
.652 .756 .926 r
.64646 .521 .65286 .52827 .66596 .52434 .6596 .51703 Metetra
.652 .756 .926 r
.6596 .51703 .66596 .52434 .67912 .52039 .67281 .51305 Metetra
.652 .756 .926 r
.67281 .51305 .67912 .52039 .69234 .51642 .68607 .50904 Metetra
.652 .756 .926 r
.68607 .50904 .69234 .51642 .70562 .51243 .69939 .50502 Metetra
.652 .756 .926 r
.69939 .50502 .70562 .51243 .71897 .50843 .71278 .50098 Metetra
.652 .756 .926 r
.71278 .50098 .71897 .50843 .73238 .5044 .72624 .49692 Metetra
.652 .756 .926 r
.72624 .49692 .73238 .5044 .74585 .50036 .73975 .49284 Metetra
.652 .756 .926 r
.73975 .49284 .74585 .50036 .75938 .49629 .75333 .48874 Metetra
.652 .756 .926 r
.75333 .48874 .75938 .49629 .77298 .49221 .76698 .48462 Metetra
.652 .756 .926 r
.76698 .48462 .77298 .49221 .78665 .48811 .78069 .48048 Metetra
.652 .756 .926 r
.78069 .48048 .78665 .48811 .80037 .48399 .79446 .47633 Metetra
.652 .756 .926 r
.79446 .47633 .80037 .48399 .81417 .47985 .8083 .47215 Metetra
.652 .756 .926 r
.8083 .47215 .81417 .47985 .82803 .47569 .82221 .46795 Metetra
.652 .756 .926 r
.82221 .46795 .82803 .47569 .84196 .4715 .83619 .46373 Metetra
.652 .756 .926 r
.83619 .46373 .84196 .4715 .85595 .4673 .85023 .45949 Metetra
.652 .756 .926 r
.85023 .45949 .85595 .4673 .87001 .46308 .86434 .45524 Metetra
.652 .756 .926 r
.86434 .45524 .87001 .46308 .88414 .45884 .87852 .45096 Metetra
.652 .756 .926 r
.87852 .45096 .88414 .45884 .89834 .45458 .89277 .44665 Metetra
.652 .756 .926 r
.25993 .62901 .26748 .63539 .2789 .63194 .27139 .62553 Metetra
.652 .756 .926 r
.27139 .62553 .2789 .63194 .29038 .62848 .28289 .62204 Metetra
.652 .756 .926 r
.28289 .62204 .29038 .62848 .3019 .625 .29445 .61853 Metetra
.652 .756 .926 r
.29445 .61853 .3019 .625 .31348 .6215 .30606 .61501 Metetra
.652 .756 .926 r
.30606 .61501 .31348 .6215 .32511 .61799 .31772 .61147 Metetra
.652 .756 .926 r
.31772 .61147 .32511 .61799 .33679 .61447 .32943 .60792 Metetra
.652 .756 .926 r
.32943 .60792 .33679 .61447 .34852 .61093 .34119 .60435 Metetra
.652 .756 .926 r
.34119 .60435 .34852 .61093 .3603 .60737 .353 .60076 Metetra
.652 .756 .926 r
.353 .60076 .3603 .60737 .37214 .6038 .36487 .59716 Metetra
.652 .756 .926 r
.36487 .59716 .37214 .6038 .38402 .60021 .37679 .59354 Metetra
.652 .756 .926 r
.37679 .59354 .38402 .60021 .39596 .59661 .38877 .58991 Metetra
.652 .756 .926 r
.38877 .58991 .39596 .59661 .40796 .59299 .40079 .58626 Metetra
.652 .756 .926 r
.40079 .58626 .40796 .59299 .42 .58935 .41287 .58259 Metetra
.652 .756 .926 r
.41287 .58259 .42 .58935 .43211 .5857 .42501 .57891 Metetra
.652 .756 .926 r
.42501 .57891 .43211 .5857 .44426 .58203 .4372 .57521 Metetra
.652 .756 .926 r
.4372 .57521 .44426 .58203 .45647 .57834 .44945 .5715 Metetra
.652 .756 .926 r
.44945 .5715 .45647 .57834 .46874 .57464 .46175 .56776 Metetra
.652 .756 .926 r
.46175 .56776 .46874 .57464 .48106 .57092 .4741 .56401 Metetra
.652 .756 .926 r
.4741 .56401 .48106 .57092 .49344 .56719 .48652 .56024 Metetra
.652 .756 .926 r
.48652 .56024 .49344 .56719 .50587 .56343 .49899 .55646 Metetra
.652 .756 .926 r
.49899 .55646 .50587 .56343 .51836 .55966 .51151 .55266 Metetra
.652 .756 .926 r
.51151 .55266 .51836 .55966 .53091 .55588 .5241 .54884 Metetra
.652 .756 .926 r
.5241 .54884 .53091 .55588 .54351 .55207 .53674 .545 Metetra
.652 .756 .926 r
.53674 .545 .54351 .55207 .55617 .54825 .54944 .54115 Metetra
.652 .756 .926 r
.54944 .54115 .55617 .54825 .56889 .54441 .5622 .53728 Metetra
.652 .756 .926 r
.5622 .53728 .56889 .54441 .58167 .54055 .57502 .53339 Metetra
.652 .756 .926 r
.57502 .53339 .58167 .54055 .59451 .53668 .5879 .52948 Metetra
.652 .756 .926 r
.5879 .52948 .59451 .53668 .60741 .53279 .60084 .52555 Metetra
.652 .756 .926 r
.60084 .52555 .60741 .53279 .62037 .52887 .61383 .52161 Metetra
.652 .756 .926 r
.61383 .52161 .62037 .52887 .63339 .52495 .62689 .51764 Metetra
.652 .756 .926 r
.62689 .51764 .63339 .52495 .64646 .521 .64001 .51366 Metetra
.652 .756 .926 r
.64001 .51366 .64646 .521 .6596 .51703 .65319 .50966 Metetra
.652 .756 .926 r
.65319 .50966 .6596 .51703 .67281 .51305 .66644 .50564 Metetra
.652 .756 .926 r
.66644 .50564 .67281 .51305 .68607 .50904 .67974 .5016 Metetra
.652 .756 .926 r
.67974 .5016 .68607 .50904 .69939 .50502 .69311 .49755 Metetra
.652 .756 .926 r
.69311 .49755 .69939 .50502 .71278 .50098 .70655 .49347 Metetra
.652 .756 .926 r
.70655 .49347 .71278 .50098 .72624 .49692 .72004 .48937 Metetra
.652 .756 .926 r
.72004 .48937 .72624 .49692 .73975 .49284 .7336 .48526 Metetra
.652 .756 .926 r
.7336 .48526 .73975 .49284 .75333 .48874 .74723 .48112 Metetra
.652 .756 .926 r
.74723 .48112 .75333 .48874 .76698 .48462 .76092 .47697 Metetra
.652 .756 .926 r
.76092 .47697 .76698 .48462 .78069 .48048 .77467 .47279 Metetra
.652 .756 .926 r
.77467 .47279 .78069 .48048 .79446 .47633 .7885 .4686 Metetra
.652 .756 .926 r
.7885 .4686 .79446 .47633 .8083 .47215 .80239 .46438 Metetra
.652 .756 .926 r
.80239 .46438 .8083 .47215 .82221 .46795 .81634 .46015 Metetra
.652 .756 .926 r
.81634 .46015 .82221 .46795 .83619 .46373 .83036 .45589 Metetra
.652 .756 .926 r
.83036 .45589 .83619 .46373 .85023 .45949 .84446 .45162 Metetra
.652 .756 .926 r
.84446 .45162 .85023 .45949 .86434 .45524 .85862 .44732 Metetra
.652 .756 .926 r
.85862 .44732 .86434 .45524 .87852 .45096 .87285 .443 Metetra
.652 .756 .926 r
.87285 .443 .87852 .45096 .89277 .44665 .88715 .43866 Metetra
.652 .756 .926 r
.25233 .62258 .25993 .62901 .27139 .62553 .26381 .61907 Metetra
.652 .756 .926 r
.26381 .61907 .27139 .62553 .28289 .62204 .27535 .61555 Metetra
.652 .756 .926 r
.27535 .61555 .28289 .62204 .29445 .61853 .28694 .61202 Metetra
.652 .756 .926 r
.28694 .61202 .29445 .61853 .30606 .61501 .29858 .60847 Metetra
.652 .756 .926 r
.29858 .60847 .30606 .61501 .31772 .61147 .31027 .6049 Metetra
.652 .756 .926 r
.31027 .6049 .31772 .61147 .32943 .60792 .32201 .60132 Metetra
.652 .756 .926 r
.32201 .60132 .32943 .60792 .34119 .60435 .3338 .59772 Metetra
.652 .756 .926 r
.3338 .59772 .34119 .60435 .353 .60076 .34565 .5941 Metetra
.652 .756 .926 r
.34565 .5941 .353 .60076 .36487 .59716 .35755 .59047 Metetra
.652 .756 .926 r
.35755 .59047 .36487 .59716 .37679 .59354 .3695 .58682 Metetra
.652 .756 .926 r
.3695 .58682 .37679 .59354 .38877 .58991 .38151 .58316 Metetra
.652 .756 .926 r
.38151 .58316 .38877 .58991 .40079 .58626 .39357 .57948 Metetra
.652 .756 .926 r
.39357 .57948 .40079 .58626 .41287 .58259 .40568 .57578 Metetra
.652 .756 .926 r
.40568 .57578 .41287 .58259 .42501 .57891 .41785 .57207 Metetra
.652 .756 .926 r
.41785 .57207 .42501 .57891 .4372 .57521 .43008 .56834 Metetra
.652 .756 .926 r
.43008 .56834 .4372 .57521 .44945 .5715 .44236 .56459 Metetra
.652 .756 .926 r
.44236 .56459 .44945 .5715 .46175 .56776 .4547 .56083 Metetra
.652 .756 .926 r
.4547 .56083 .46175 .56776 .4741 .56401 .46709 .55704 Metetra
.652 .756 .926 r
.46709 .55704 .4741 .56401 .48652 .56024 .47954 .55324 Metetra
.652 .756 .926 r
.47954 .55324 .48652 .56024 .49899 .55646 .49205 .54943 Metetra
.652 .756 .926 r
.49205 .54943 .49899 .55646 .51151 .55266 .50461 .54559 Metetra
.652 .756 .926 r
.50461 .54559 .51151 .55266 .5241 .54884 .51723 .54174 Metetra
.652 .756 .926 r
.51723 .54174 .5241 .54884 .53674 .545 .52991 .53787 Metetra
.652 .756 .926 r
.52991 .53787 .53674 .545 .54944 .54115 .54265 .53399 Metetra
.652 .756 .926 r
.54265 .53399 .54944 .54115 .5622 .53728 .55545 .53008 Metetra
.652 .756 .926 r
.55545 .53008 .5622 .53728 .57502 .53339 .56831 .52616 Metetra
.652 .756 .926 r
.56831 .52616 .57502 .53339 .5879 .52948 .58123 .52221 Metetra
.652 .756 .926 r
.58123 .52221 .5879 .52948 .60084 .52555 .5942 .51825 Metetra
.652 .756 .926 r
.5942 .51825 .60084 .52555 .61383 .52161 .60724 .51427 Metetra
.652 .756 .926 r
.60724 .51427 .61383 .52161 .62689 .51764 .62034 .51028 Metetra
.652 .756 .926 r
.62034 .51028 .62689 .51764 .64001 .51366 .6335 .50626 Metetra
.652 .756 .926 r
.6335 .50626 .64001 .51366 .65319 .50966 .64673 .50223 Metetra
.652 .756 .926 r
.64673 .50223 .65319 .50966 .66644 .50564 .66001 .49817 Metetra
.652 .756 .926 r
.66001 .49817 .66644 .50564 .67974 .5016 .67336 .4941 Metetra
.652 .756 .926 r
.67336 .4941 .67974 .5016 .69311 .49755 .68678 .49 Metetra
.652 .756 .926 r
.68678 .49 .69311 .49755 .70655 .49347 .70025 .48589 Metetra
.652 .756 .926 r
.70025 .48589 .70655 .49347 .72004 .48937 .71379 .48176 Metetra
.652 .756 .926 r
.71379 .48176 .72004 .48937 .7336 .48526 .7274 .47761 Metetra
.652 .756 .926 r
.7274 .47761 .7336 .48526 .74723 .48112 .74107 .47344 Metetra
.652 .756 .926 r
.74107 .47344 .74723 .48112 .76092 .47697 .75481 .46924 Metetra
.652 .756 .926 r
.75481 .46924 .76092 .47697 .77467 .47279 .76861 .46503 Metetra
.652 .756 .926 r
.76861 .46503 .77467 .47279 .7885 .4686 .78248 .4608 Metetra
.652 .756 .926 r
.78248 .4608 .7885 .4686 .80239 .46438 .79641 .45655 Metetra
.652 .756 .926 r
.79641 .45655 .80239 .46438 .81634 .46015 .81042 .45227 Metetra
.652 .756 .926 r
.81042 .45227 .81634 .46015 .83036 .45589 .82449 .44798 Metetra
.652 .756 .926 r
.82449 .44798 .83036 .45589 .84446 .45162 .83863 .44366 Metetra
.652 .756 .926 r
.83863 .44366 .84446 .45162 .85862 .44732 .85284 .43933 Metetra
.652 .756 .926 r
.85284 .43933 .85862 .44732 .87285 .443 .86712 .43497 Metetra
.652 .756 .926 r
.86712 .43497 .87285 .443 .88715 .43866 .88147 .43059 Metetra
.652 .756 .926 r
.24466 .6161 .25233 .62258 .26381 .61907 .25618 .61256 Metetra
.652 .756 .926 r
.25618 .61256 .26381 .61907 .27535 .61555 .26775 .60901 Metetra
.652 .756 .926 r
.26775 .60901 .27535 .61555 .28694 .61202 .27936 .60545 Metetra
.652 .756 .926 r
.27936 .60545 .28694 .61202 .29858 .60847 .29103 .60187 Metetra
.652 .756 .926 r
.29103 .60187 .29858 .60847 .31027 .6049 .30275 .59827 Metetra
.652 .756 .926 r
.30275 .59827 .31027 .6049 .32201 .60132 .31453 .59466 Metetra
.652 .756 .926 r
.31453 .59466 .32201 .60132 .3338 .59772 .32635 .59103 Metetra
.652 .756 .926 r
.32635 .59103 .3338 .59772 .34565 .5941 .33823 .58739 Metetra
.652 .756 .926 r
.33823 .58739 .34565 .5941 .35755 .59047 .35016 .58372 Metetra
.652 .756 .926 r
.35016 .58372 .35755 .59047 .3695 .58682 .36215 .58005 Metetra
.652 .756 .926 r
.36215 .58005 .3695 .58682 .38151 .58316 .37419 .57635 Metetra
.652 .756 .926 r
.37419 .57635 .38151 .58316 .39357 .57948 .38628 .57264 Metetra
.652 .756 .926 r
.38628 .57264 .39357 .57948 .40568 .57578 .39843 .56891 Metetra
.652 .756 .926 r
.39843 .56891 .40568 .57578 .41785 .57207 .41064 .56517 Metetra
.652 .756 .926 r
.41064 .56517 .41785 .57207 .43008 .56834 .4229 .56141 Metetra
.652 .756 .926 r
.4229 .56141 .43008 .56834 .44236 .56459 .43522 .55763 Metetra
.652 .756 .926 r
.43522 .55763 .44236 .56459 .4547 .56083 .44759 .55383 Metetra
.652 .756 .926 r
.44759 .55383 .4547 .56083 .46709 .55704 .46002 .55002 Metetra
.652 .756 .926 r
.46002 .55002 .46709 .55704 .47954 .55324 .4725 .54618 Metetra
.652 .756 .926 r
.4725 .54618 .47954 .55324 .49205 .54943 .48505 .54234 Metetra
.652 .756 .926 r
.48505 .54234 .49205 .54943 .50461 .54559 .49765 .53847 Metetra
.652 .756 .926 r
.49765 .53847 .50461 .54559 .51723 .54174 .51031 .53458 Metetra
.652 .756 .926 r
.51031 .53458 .51723 .54174 .52991 .53787 .52303 .53068 Metetra
.652 .756 .926 r
.52303 .53068 .52991 .53787 .54265 .53399 .5358 .52676 Metetra
.652 .756 .926 r
.5358 .52676 .54265 .53399 .55545 .53008 .54864 .52282 Metetra
.652 .756 .926 r
.54864 .52282 .55545 .53008 .56831 .52616 .56154 .51886 Metetra
.652 .756 .926 r
.56154 .51886 .56831 .52616 .58123 .52221 .5745 .51489 Metetra
.652 .756 .926 r
.5745 .51489 .58123 .52221 .5942 .51825 .58752 .51089 Metetra
.652 .756 .926 r
.58752 .51089 .5942 .51825 .60724 .51427 .6006 .50688 Metetra
.652 .756 .926 r
.6006 .50688 .60724 .51427 .62034 .51028 .61374 .50285 Metetra
.652 .756 .926 r
.61374 .50285 .62034 .51028 .6335 .50626 .62694 .4988 Metetra
.652 .756 .926 r
.62694 .4988 .6335 .50626 .64673 .50223 .64021 .49473 Metetra
.652 .756 .926 r
.64021 .49473 .64673 .50223 .66001 .49817 .65354 .49064 Metetra
.652 .756 .926 r
.65354 .49064 .66001 .49817 .67336 .4941 .66693 .48653 Metetra
.652 .756 .926 r
.66693 .48653 .67336 .4941 .68678 .49 .68038 .4824 Metetra
.652 .756 .926 r
.68038 .4824 .68678 .49 .70025 .48589 .6939 .47825 Metetra
.652 .756 .926 r
.6939 .47825 .70025 .48589 .71379 .48176 .70749 .47408 Metetra
.652 .756 .926 r
.70749 .47408 .71379 .48176 .7274 .47761 .72114 .46989 Metetra
.652 .756 .926 r
.72114 .46989 .7274 .47761 .74107 .47344 .73486 .46568 Metetra
.652 .756 .926 r
.73486 .46568 .74107 .47344 .75481 .46924 .74864 .46145 Metetra
.652 .756 .926 r
.74864 .46145 .75481 .46924 .76861 .46503 .76249 .4572 Metetra
.652 .756 .926 r
.76249 .4572 .76861 .46503 .78248 .4608 .77641 .45293 Metetra
.652 .756 .926 r
.77641 .45293 .78248 .4608 .79641 .45655 .79039 .44864 Metetra
.652 .756 .926 r
.79039 .44864 .79641 .45655 .81042 .45227 .80444 .44433 Metetra
.652 .756 .926 r
.80444 .44433 .81042 .45227 .82449 .44798 .81856 .44 Metetra
.652 .756 .926 r
.81856 .44 .82449 .44798 .83863 .44366 .83275 .43564 Metetra
.652 .756 .926 r
.83275 .43564 .83863 .44366 .85284 .43933 .84701 .43127 Metetra
.652 .756 .926 r
.84701 .43127 .85284 .43933 .86712 .43497 .86134 .42687 Metetra
.652 .756 .926 r
.86134 .42687 .86712 .43497 .88147 .43059 .87574 .42245 Metetra
.652 .756 .926 r
.23694 .60956 .24466 .6161 .25618 .61256 .24848 .606 Metetra
.652 .756 .926 r
.24848 .606 .25618 .61256 .26775 .60901 .26008 .60242 Metetra
.652 .756 .926 r
.26008 .60242 .26775 .60901 .27936 .60545 .27173 .59883 Metetra
.652 .756 .926 r
.27173 .59883 .27936 .60545 .29103 .60187 .28343 .59522 Metetra
.652 .756 .926 r
.28343 .59522 .29103 .60187 .30275 .59827 .29518 .59159 Metetra
.652 .756 .926 r
.29518 .59159 .30275 .59827 .31453 .59466 .30698 .58795 Metetra
.652 .756 .926 r
.30698 .58795 .31453 .59466 .32635 .59103 .31884 .58429 Metetra
.652 .756 .926 r
.31884 .58429 .32635 .59103 .33823 .58739 .33075 .58061 Metetra
.652 .756 .926 r
.33075 .58061 .33823 .58739 .35016 .58372 .34272 .57692 Metetra
.652 .756 .926 r
.34272 .57692 .35016 .58372 .36215 .58005 .35474 .57321 Metetra
.652 .756 .926 r
.35474 .57321 .36215 .58005 .37419 .57635 .36681 .56949 Metetra
.652 .756 .926 r
.36681 .56949 .37419 .57635 .38628 .57264 .37894 .56575 Metetra
.652 .756 .926 r
.37894 .56575 .38628 .57264 .39843 .56891 .39112 .56199 Metetra
.652 .756 .926 r
.39112 .56199 .39843 .56891 .41064 .56517 .40336 .55821 Metetra
.652 .756 .926 r
.40336 .55821 .41064 .56517 .4229 .56141 .41566 .55442 Metetra
.652 .756 .926 r
.41566 .55442 .4229 .56141 .43522 .55763 .42801 .5506 Metetra
.652 .756 .926 r
.42801 .5506 .43522 .55763 .44759 .55383 .44042 .54678 Metetra
.652 .756 .926 r
.44042 .54678 .44759 .55383 .46002 .55002 .45288 .54293 Metetra
.652 .756 .926 r
.45288 .54293 .46002 .55002 .4725 .54618 .46541 .53907 Metetra
.652 .756 .926 r
.46541 .53907 .4725 .54618 .48505 .54234 .47799 .53518 Metetra
.652 .756 .926 r
.47799 .53518 .48505 .54234 .49765 .53847 .49063 .53128 Metetra
.652 .756 .926 r
.49063 .53128 .49765 .53847 .51031 .53458 .50332 .52737 Metetra
.652 .756 .926 r
.50332 .52737 .51031 .53458 .52303 .53068 .51608 .52343 Metetra
.652 .756 .926 r
.51608 .52343 .52303 .53068 .5358 .52676 .5289 .51947 Metetra
.652 .756 .926 r
.5289 .51947 .5358 .52676 .54864 .52282 .54178 .5155 Metetra
.652 .756 .926 r
.54178 .5155 .54864 .52282 .56154 .51886 .55471 .51151 Metetra
.652 .756 .926 r
.55471 .51151 .56154 .51886 .5745 .51489 .56771 .5075 Metetra
.652 .756 .926 r
.56771 .5075 .5745 .51489 .58752 .51089 .58077 .50347 Metetra
.652 .756 .926 r
.58077 .50347 .58752 .51089 .6006 .50688 .59389 .49942 Metetra
.652 .756 .926 r
.59389 .49942 .6006 .50688 .61374 .50285 .60707 .49535 Metetra
.652 .756 .926 r
.60707 .49535 .61374 .50285 .62694 .4988 .62032 .49127 Metetra
.652 .756 .926 r
.62032 .49127 .62694 .4988 .64021 .49473 .63363 .48716 Metetra
.652 .756 .926 r
.63363 .48716 .64021 .49473 .65354 .49064 .647 .48303 Metetra
.652 .756 .926 r
.647 .48303 .65354 .49064 .66693 .48653 .66043 .47889 Metetra
.652 .756 .926 r
.66043 .47889 .66693 .48653 .68038 .4824 .67393 .47472 Metetra
.652 .756 .926 r
.67393 .47472 .68038 .4824 .6939 .47825 .6875 .47054 Metetra
.652 .756 .926 r
.6875 .47054 .6939 .47825 .70749 .47408 .70113 .46633 Metetra
.652 .756 .926 r
.70113 .46633 .70749 .47408 .72114 .46989 .71483 .4621 Metetra
.652 .756 .926 r
.71483 .4621 .72114 .46989 .73486 .46568 .72859 .45786 Metetra
.652 .756 .926 r
.72859 .45786 .73486 .46568 .74864 .46145 .74242 .45359 Metetra
.652 .756 .926 r
.74242 .45359 .74864 .46145 .76249 .4572 .75631 .4493 Metetra
.652 .756 .926 r
.75631 .4493 .76249 .4572 .77641 .45293 .77028 .44499 Metetra
.652 .756 .926 r
.77028 .44499 .77641 .45293 .79039 .44864 .78431 .44067 Metetra
.652 .756 .926 r
.78431 .44067 .79039 .44864 .80444 .44433 .79841 .43631 Metetra
.652 .756 .926 r
.79841 .43631 .80444 .44433 .81856 .44 .81258 .43194 Metetra
.652 .756 .926 r
.81258 .43194 .81856 .44 .83275 .43564 .82682 .42755 Metetra
.652 .756 .926 r
.82682 .42755 .83275 .43564 .84701 .43127 .84113 .42313 Metetra
.652 .756 .926 r
.84113 .42313 .84701 .43127 .86134 .42687 .85551 .4187 Metetra
.652 .756 .926 r
.85551 .4187 .86134 .42687 .87574 .42245 .86997 .41424 Metetra
.652 .756 .926 r
.22914 .60297 .23694 .60956 .24848 .606 .24072 .59938 Metetra
.652 .756 .926 r
.24072 .59938 .24848 .606 .26008 .60242 .25235 .59577 Metetra
.652 .756 .926 r
.25235 .59577 .26008 .60242 .27173 .59883 .26403 .59215 Metetra
.652 .756 .926 r
.26403 .59215 .27173 .59883 .28343 .59522 .27576 .58851 Metetra
.652 .756 .926 r
.27576 .58851 .28343 .59522 .29518 .59159 .28754 .58485 Metetra
.652 .756 .926 r
.28754 .58485 .29518 .59159 .30698 .58795 .29938 .58118 Metetra
.652 .756 .926 r
.29938 .58118 .30698 .58795 .31884 .58429 .31127 .57749 Metetra
.652 .756 .926 r
.31127 .57749 .31884 .58429 .33075 .58061 .32321 .57378 Metetra
.652 .756 .926 r
.32321 .57378 .33075 .58061 .34272 .57692 .33521 .57006 Metetra
.652 .756 .926 r
.33521 .57006 .34272 .57692 .35474 .57321 .34726 .56632 Metetra
.652 .756 .926 r
.34726 .56632 .35474 .57321 .36681 .56949 .35937 .56257 Metetra
.652 .756 .926 r
.35937 .56257 .36681 .56949 .37894 .56575 .37153 .55879 Metetra
.652 .756 .926 r
.37153 .55879 .37894 .56575 .39112 .56199 .38375 .555 Metetra
.652 .756 .926 r
.38375 .555 .39112 .56199 .40336 .55821 .39603 .55119 Metetra
.652 .756 .926 r
.39603 .55119 .40336 .55821 .41566 .55442 .40836 .54737 Metetra
.652 .756 .926 r
.40836 .54737 .41566 .55442 .42801 .5506 .42074 .54352 Metetra
.652 .756 .926 r
.42074 .54352 .42801 .5506 .44042 .54678 .43319 .53966 Metetra
.652 .756 .926 r
.43319 .53966 .44042 .54678 .45288 .54293 .44569 .53578 Metetra
.652 .756 .926 r
.44569 .53578 .45288 .54293 .46541 .53907 .45825 .53188 Metetra
.652 .756 .926 r
.45825 .53188 .46541 .53907 .47799 .53518 .47087 .52797 Metetra
.652 .756 .926 r
.47087 .52797 .47799 .53518 .49063 .53128 .48354 .52404 Metetra
.652 .756 .926 r
.48354 .52404 .49063 .53128 .50332 .52737 .49628 .52008 Metetra
.652 .756 .926 r
.49628 .52008 .50332 .52737 .51608 .52343 .50908 .51611 Metetra
.652 .756 .926 r
.50908 .51611 .51608 .52343 .5289 .51947 .52193 .51212 Metetra
.652 .756 .926 r
.52193 .51212 .5289 .51947 .54178 .5155 .53485 .50812 Metetra
.652 .756 .926 r
.53485 .50812 .54178 .5155 .55471 .51151 .54783 .50409 Metetra
.652 .756 .926 r
.54783 .50409 .55471 .51151 .56771 .5075 .56086 .50004 Metetra
.652 .756 .926 r
.56086 .50004 .56771 .5075 .58077 .50347 .57396 .49598 Metetra
.652 .756 .926 r
.57396 .49598 .58077 .50347 .59389 .49942 .58713 .4919 Metetra
.652 .756 .926 r
.58713 .4919 .59389 .49942 .60707 .49535 .60035 .48779 Metetra
.652 .756 .926 r
.60035 .48779 .60707 .49535 .62032 .49127 .61364 .48367 Metetra
.652 .756 .926 r
.61364 .48367 .62032 .49127 .63363 .48716 .62699 .47953 Metetra
.652 .756 .926 r
.62699 .47953 .63363 .48716 .647 .48303 .6404 .47536 Metetra
.652 .756 .926 r
.6404 .47536 .647 .48303 .66043 .47889 .65388 .47118 Metetra
.652 .756 .926 r
.65388 .47118 .66043 .47889 .67393 .47472 .66743 .46698 Metetra
.652 .756 .926 r
.66743 .46698 .67393 .47472 .6875 .47054 .68104 .46276 Metetra
.652 .756 .926 r
.68104 .46276 .6875 .47054 .70113 .46633 .69471 .45851 Metetra
.652 .756 .926 r
.69471 .45851 .70113 .46633 .71483 .4621 .70846 .45425 Metetra
.652 .756 .926 r
.70846 .45425 .71483 .4621 .72859 .45786 .72226 .44996 Metetra
.652 .756 .926 r
.72226 .44996 .72859 .45786 .74242 .45359 .73614 .44566 Metetra
.652 .756 .926 r
.73614 .44566 .74242 .45359 .75631 .4493 .75008 .44133 Metetra
.652 .756 .926 r
.75008 .44133 .75631 .4493 .77028 .44499 .7641 .43698 Metetra
.652 .756 .926 r
.7641 .43698 .77028 .44499 .78431 .44067 .77818 .43262 Metetra
.652 .756 .926 r
.77818 .43262 .78431 .44067 .79841 .43631 .79233 .42823 Metetra
.652 .756 .926 r
.79233 .42823 .79841 .43631 .81258 .43194 .80655 .42381 Metetra
.652 .756 .926 r
.80655 .42381 .81258 .43194 .82682 .42755 .82084 .41938 Metetra
.652 .756 .926 r
.82084 .41938 .82682 .42755 .84113 .42313 .8352 .41492 Metetra
.652 .756 .926 r
.8352 .41492 .84113 .42313 .85551 .4187 .84963 .41045 Metetra
.652 .756 .926 r
.84963 .41045 .85551 .4187 .86997 .41424 .86413 .40594 Metetra
.652 .756 .926 r
.22129 .59633 .22914 .60297 .24072 .59938 .23289 .59271 Metetra
.652 .756 .926 r
.23289 .59271 .24072 .59938 .25235 .59577 .24455 .58907 Metetra
.652 .756 .926 r
.24455 .58907 .25235 .59577 .26403 .59215 .25626 .58542 Metetra
.652 .756 .926 r
.25626 .58542 .26403 .59215 .27576 .58851 .26802 .58175 Metetra
.652 .756 .926 r
.26802 .58175 .27576 .58851 .28754 .58485 .27984 .57806 Metetra
.652 .756 .926 r
.27984 .57806 .28754 .58485 .29938 .58118 .29171 .57436 Metetra
.652 .756 .926 r
.29171 .57436 .29938 .58118 .31127 .57749 .30363 .57064 Metetra
.652 .756 .926 r
.30363 .57064 .31127 .57749 .32321 .57378 .31561 .5669 Metetra
.652 .756 .926 r
.31561 .5669 .32321 .57378 .33521 .57006 .32764 .56314 Metetra
.652 .756 .926 r
.32764 .56314 .33521 .57006 .34726 .56632 .33973 .55937 Metetra
.652 .756 .926 r
.33973 .55937 .34726 .56632 .35937 .56257 .35187 .55558 Metetra
.652 .756 .926 r
.35187 .55558 .35937 .56257 .37153 .55879 .36406 .55178 Metetra
.652 .756 .926 r
.36406 .55178 .37153 .55879 .38375 .555 .37632 .54796 Metetra
.652 .756 .926 r
.37632 .54796 .38375 .555 .39603 .55119 .38863 .54411 Metetra
.652 .756 .926 r
.38863 .54411 .39603 .55119 .40836 .54737 .40099 .54026 Metetra
.652 .756 .926 r
.40099 .54026 .40836 .54737 .42074 .54352 .41341 .53638 Metetra
.652 .756 .926 r
.41341 .53638 .42074 .54352 .43319 .53966 .4259 .53249 Metetra
.652 .756 .926 r
.4259 .53249 .43319 .53966 .44569 .53578 .43843 .52857 Metetra
.652 .756 .926 r
.43843 .52857 .44569 .53578 .45825 .53188 .45103 .52464 Metetra
.652 .756 .926 r
.45103 .52464 .45825 .53188 .47087 .52797 .46369 .52069 Metetra
.652 .756 .926 r
.46369 .52069 .47087 .52797 .48354 .52404 .4764 .51673 Metetra
.652 .756 .926 r
.4764 .51673 .48354 .52404 .49628 .52008 .48918 .51274 Metetra
.652 .756 .926 r
.48918 .51274 .49628 .52008 .50908 .51611 .50201 .50873 Metetra
.652 .756 .926 r
.50201 .50873 .50908 .51611 .52193 .51212 .51491 .50471 Metetra
.652 .756 .926 r
.51491 .50471 .52193 .51212 .53485 .50812 .52786 .50067 Metetra
.652 .756 .926 r
.52786 .50067 .53485 .50812 .54783 .50409 .54088 .49661 Metetra
.652 .756 .926 r
.54088 .49661 .54783 .50409 .56086 .50004 .55396 .49253 Metetra
.652 .756 .926 r
.55396 .49253 .56086 .50004 .57396 .49598 .5671 .48843 Metetra
.652 .756 .926 r
.5671 .48843 .57396 .49598 .58713 .4919 .5803 .48431 Metetra
.652 .756 .926 r
.5803 .48431 .58713 .4919 .60035 .48779 .59357 .48017 Metetra
.652 .756 .926 r
.59357 .48017 .60035 .48779 .61364 .48367 .6069 .47601 Metetra
.652 .756 .926 r
.6069 .47601 .61364 .48367 .62699 .47953 .62029 .47183 Metetra
.652 .756 .926 r
.62029 .47183 .62699 .47953 .6404 .47536 .63375 .46763 Metetra
.652 .756 .926 r
.63375 .46763 .6404 .47536 .65388 .47118 .64728 .46341 Metetra
.652 .756 .926 r
.64728 .46341 .65388 .47118 .66743 .46698 .66086 .45917 Metetra
.652 .756 .926 r
.66086 .45917 .66743 .46698 .68104 .46276 .67452 .45491 Metetra
.652 .756 .926 r
.67452 .45491 .68104 .46276 .69471 .45851 .68824 .45063 Metetra
.652 .756 .926 r
.68824 .45063 .69471 .45851 .70846 .45425 .70203 .44632 Metetra
.652 .756 .926 r
.70203 .44632 .70846 .45425 .72226 .44996 .71588 .442 Metetra
.652 .756 .926 r
.71588 .442 .72226 .44996 .73614 .44566 .72981 .43766 Metetra
.652 .756 .926 r
.72981 .43766 .73614 .44566 .75008 .44133 .7438 .43329 Metetra
.652 .756 .926 r
.7438 .43329 .75008 .44133 .7641 .43698 .75786 .4289 Metetra
.652 .756 .926 r
.75786 .4289 .7641 .43698 .77818 .43262 .77199 .42449 Metetra
.652 .756 .926 r
.77199 .42449 .77818 .43262 .79233 .42823 .78619 .42006 Metetra
.652 .756 .926 r
.78619 .42006 .79233 .42823 .80655 .42381 .80046 .41561 Metetra
.652 .756 .926 r
.80046 .41561 .80655 .42381 .82084 .41938 .8148 .41114 Metetra
.652 .756 .926 r
.8148 .41114 .82084 .41938 .8352 .41492 .82921 .40664 Metetra
.652 .756 .926 r
.82921 .40664 .8352 .41492 .84963 .41045 .84369 .40212 Metetra
.652 .756 .926 r
.84369 .40212 .84963 .41045 .86413 .40594 .85825 .39758 Metetra
.652 .756 .926 r
.21337 .58963 .22129 .59633 .23289 .59271 .225 .58598 Metetra
.652 .756 .926 r
.225 .58598 .23289 .59271 .24455 .58907 .23669 .58231 Metetra
.652 .756 .926 r
.23669 .58231 .24455 .58907 .25626 .58542 .24843 .57863 Metetra
.652 .756 .926 r
.24843 .57863 .25626 .58542 .26802 .58175 .26023 .57493 Metetra
.652 .756 .926 r
.26023 .57493 .26802 .58175 .27984 .57806 .27207 .57121 Metetra
.652 .756 .926 r
.27207 .57121 .27984 .57806 .29171 .57436 .28398 .56747 Metetra
.652 .756 .926 r
.28398 .56747 .29171 .57436 .30363 .57064 .29593 .56372 Metetra
.652 .756 .926 r
.29593 .56372 .30363 .57064 .31561 .5669 .30794 .55995 Metetra
.652 .756 .926 r
.30794 .55995 .31561 .5669 .32764 .56314 .32 .55617 Metetra
.652 .756 .926 r
.32 .55617 .32764 .56314 .33973 .55937 .33212 .55237 Metetra
.652 .756 .926 r
.33212 .55237 .33973 .55937 .35187 .55558 .3443 .54854 Metetra
.652 .756 .926 r
.3443 .54854 .35187 .55558 .36406 .55178 .35653 .54471 Metetra
.652 .756 .926 r
.35653 .54471 .36406 .55178 .37632 .54796 .36882 .54085 Metetra
.652 .756 .926 r
.36882 .54085 .37632 .54796 .38863 .54411 .38116 .53698 Metetra
.652 .756 .926 r
.38116 .53698 .38863 .54411 .40099 .54026 .39356 .53309 Metetra
.652 .756 .926 r
.39356 .53309 .40099 .54026 .41341 .53638 .40602 .52918 Metetra
.652 .756 .926 r
.40602 .52918 .41341 .53638 .4259 .53249 .41854 .52525 Metetra
.652 .756 .926 r
.41854 .52525 .4259 .53249 .43843 .52857 .43112 .5213 Metetra
.652 .756 .926 r
.43112 .5213 .43843 .52857 .45103 .52464 .44375 .51734 Metetra
.652 .756 .926 r
.44375 .51734 .45103 .52464 .46369 .52069 .45644 .51335 Metetra
.652 .756 .926 r
.45644 .51335 .46369 .52069 .4764 .51673 .4692 .50935 Metetra
.652 .756 .926 r
.4692 .50935 .4764 .51673 .48918 .51274 .48201 .50533 Metetra
.652 .756 .926 r
.48201 .50533 .48918 .51274 .50201 .50873 .49488 .50129 Metetra
.652 .756 .926 r
.49488 .50129 .50201 .50873 .51491 .50471 .50782 .49723 Metetra
.652 .756 .926 r
.50782 .49723 .51491 .50471 .52786 .50067 .52081 .49315 Metetra
.652 .756 .926 r
.52081 .49315 .52786 .50067 .54088 .49661 .53387 .48906 Metetra
.652 .756 .926 r
.53387 .48906 .54088 .49661 .55396 .49253 .54699 .48494 Metetra
.652 .756 .926 r
.54699 .48494 .55396 .49253 .5671 .48843 .56017 .4808 Metetra
.652 .756 .926 r
.56017 .4808 .5671 .48843 .5803 .48431 .57342 .47665 Metetra
.652 .756 .926 r
.57342 .47665 .5803 .48431 .59357 .48017 .58673 .47247 Metetra
.652 .756 .926 r
.58673 .47247 .59357 .48017 .6069 .47601 .6001 .46827 Metetra
.652 .756 .926 r
.6001 .46827 .6069 .47601 .62029 .47183 .61354 .46406 Metetra
.652 .756 .926 r
.61354 .46406 .62029 .47183 .63375 .46763 .62704 .45982 Metetra
.652 .756 .926 r
.62704 .45982 .63375 .46763 .64728 .46341 .64061 .45556 Metetra
.652 .756 .926 r
.64061 .45556 .64728 .46341 .66086 .45917 .65424 .45129 Metetra
.652 .756 .926 r
.65424 .45129 .66086 .45917 .67452 .45491 .66794 .44699 Metetra
.652 .756 .926 r
.66794 .44699 .67452 .45491 .68824 .45063 .68171 .44267 Metetra
.652 .756 .926 r
.68171 .44267 .68824 .45063 .70203 .44632 .69554 .43832 Metetra
.652 .756 .926 r
.69554 .43832 .70203 .44632 .71588 .442 .70944 .43396 Metetra
.652 .756 .926 r
.70944 .43396 .71588 .442 .72981 .43766 .72341 .42958 Metetra
.652 .756 .926 r
.72341 .42958 .72981 .43766 .7438 .43329 .73745 .42517 Metetra
.652 .756 .926 r
.73745 .42517 .7438 .43329 .75786 .4289 .75156 .42075 Metetra
.652 .756 .926 r
.75156 .42075 .75786 .4289 .77199 .42449 .76574 .4163 Metetra
.652 .756 .926 r
.76574 .4163 .77199 .42449 .78619 .42006 .77999 .41183 Metetra
.652 .756 .926 r
.77999 .41183 .78619 .42006 .80046 .41561 .79431 .40733 Metetra
.652 .756 .926 r
.79431 .40733 .80046 .41561 .8148 .41114 .8087 .40282 Metetra
.652 .756 .926 r
.8087 .40282 .8148 .41114 .82921 .40664 .82316 .39828 Metetra
.652 .756 .926 r
.82316 .39828 .82921 .40664 .84369 .40212 .8377 .39372 Metetra
.652 .756 .926 r
.8377 .39372 .84369 .40212 .85825 .39758 .85231 .38913 Metetra
.652 .756 .926 r
.20538 .58288 .21337 .58963 .225 .58598 .21705 .5792 Metetra
.652 .756 .926 r
.21705 .5792 .225 .58598 .23669 .58231 .22877 .5755 Metetra
.652 .756 .926 r
.22877 .5755 .23669 .58231 .24843 .57863 .24054 .57178 Metetra
.652 .756 .926 r
.24054 .57178 .24843 .57863 .26023 .57493 .25236 .56805 Metetra
.652 .756 .926 r
.25236 .56805 .26023 .57493 .27207 .57121 .26424 .5643 Metetra
.652 .756 .926 r
.26424 .5643 .27207 .57121 .28398 .56747 .27618 .56054 Metetra
.652 .756 .926 r
.27618 .56054 .28398 .56747 .29593 .56372 .28816 .55675 Metetra
.652 .756 .926 r
.28816 .55675 .29593 .56372 .30794 .55995 .30021 .55295 Metetra
.652 .756 .926 r
.30021 .55295 .30794 .55995 .32 .55617 .3123 .54913 Metetra
.652 .756 .926 r
.3123 .54913 .32 .55617 .33212 .55237 .32446 .5453 Metetra
.652 .756 .926 r
.32446 .5453 .33212 .55237 .3443 .54854 .33667 .54145 Metetra
.652 .756 .926 r
.33667 .54145 .3443 .54854 .35653 .54471 .34893 .53757 Metetra
.652 .756 .926 r
.34893 .53757 .35653 .54471 .36882 .54085 .36126 .53369 Metetra
.652 .756 .926 r
.36126 .53369 .36882 .54085 .38116 .53698 .37364 .52978 Metetra
.652 .756 .926 r
.37364 .52978 .38116 .53698 .39356 .53309 .38607 .52585 Metetra
.652 .756 .926 r
.38607 .52585 .39356 .53309 .40602 .52918 .39857 .52191 Metetra
.652 .756 .926 r
.39857 .52191 .40602 .52918 .41854 .52525 .41112 .51795 Metetra
.652 .756 .926 r
.41112 .51795 .41854 .52525 .43112 .5213 .42373 .51397 Metetra
.652 .756 .926 r
.42373 .51397 .43112 .5213 .44375 .51734 .43641 .50997 Metetra
.652 .756 .926 r
.43641 .50997 .44375 .51734 .45644 .51335 .44914 .50595 Metetra
.652 .756 .926 r
.44914 .50595 .45644 .51335 .4692 .50935 .46193 .50191 Metetra
.652 .756 .926 r
.46193 .50191 .4692 .50935 .48201 .50533 .47478 .49786 Metetra
.652 .756 .926 r
.47478 .49786 .48201 .50533 .49488 .50129 .48769 .49378 Metetra
.652 .756 .926 r
.48769 .49378 .49488 .50129 .50782 .49723 .50067 .48969 Metetra
.652 .756 .926 r
.50067 .48969 .50782 .49723 .52081 .49315 .5137 .48557 Metetra
.652 .756 .926 r
.5137 .48557 .52081 .49315 .53387 .48906 .5268 .48144 Metetra
.652 .756 .926 r
.5268 .48144 .53387 .48906 .54699 .48494 .53996 .47729 Metetra
.652 .756 .926 r
.53996 .47729 .54699 .48494 .56017 .4808 .55319 .47312 Metetra
.652 .756 .926 r
.55319 .47312 .56017 .4808 .57342 .47665 .56647 .46892 Metetra
.652 .756 .926 r
.56647 .46892 .57342 .47665 .58673 .47247 .57982 .46471 Metetra
.652 .756 .926 r
.57982 .46471 .58673 .47247 .6001 .46827 .59324 .46047 Metetra
.652 .756 .926 r
.59324 .46047 .6001 .46827 .61354 .46406 .60672 .45622 Metetra
.652 .756 .926 r
.60672 .45622 .61354 .46406 .62704 .45982 .62027 .45194 Metetra
.652 .756 .926 r
.62027 .45194 .62704 .45982 .64061 .45556 .63388 .44765 Metetra
.652 .756 .926 r
.63388 .44765 .64061 .45556 .65424 .45129 .64756 .44333 Metetra
.652 .756 .926 r
.64756 .44333 .65424 .45129 .66794 .44699 .6613 .43899 Metetra
.652 .756 .926 r
.6613 .43899 .66794 .44699 .68171 .44267 .67512 .43464 Metetra
.652 .756 .926 r
.67512 .43464 .68171 .44267 .69554 .43832 .689 .43025 Metetra
.652 .756 .926 r
.689 .43025 .69554 .43832 .70944 .43396 .70295 .42585 Metetra
.652 .756 .926 r
.70295 .42585 .70944 .43396 .72341 .42958 .71696 .42143 Metetra
.652 .756 .926 r
.71696 .42143 .72341 .42958 .73745 .42517 .73105 .41698 Metetra
.652 .756 .926 r
.73105 .41698 .73745 .42517 .75156 .42075 .74521 .41251 Metetra
.652 .756 .926 r
.74521 .41251 .75156 .42075 .76574 .4163 .75944 .40802 Metetra
.652 .756 .926 r
.75944 .40802 .76574 .4163 .77999 .41183 .77373 .40351 Metetra
.652 .756 .926 r
.77373 .40351 .77999 .41183 .79431 .40733 .7881 .39898 Metetra
.652 .756 .926 r
.7881 .39898 .79431 .40733 .8087 .40282 .80255 .39442 Metetra
.652 .756 .926 r
.80255 .39442 .8087 .40282 .82316 .39828 .81706 .38984 Metetra
.652 .756 .926 r
.81706 .38984 .82316 .39828 .8377 .39372 .83165 .38524 Metetra
.652 .756 .926 r
.83165 .38524 .8377 .39372 .85231 .38913 .84631 .38061 Metetra
.652 .756 .926 r
.19733 .57607 .20538 .58288 .21705 .5792 .20903 .57235 Metetra
.652 .756 .926 r
.20903 .57235 .21705 .5792 .22877 .5755 .22078 .56862 Metetra
.652 .756 .926 r
.22078 .56862 .22877 .5755 .24054 .57178 .23258 .56488 Metetra
.652 .756 .926 r
.23258 .56488 .24054 .57178 .25236 .56805 .24444 .56112 Metetra
.652 .756 .926 r
.24444 .56112 .25236 .56805 .26424 .5643 .25635 .55734 Metetra
.652 .756 .926 r
.25635 .55734 .26424 .5643 .27618 .56054 .26831 .55354 Metetra
.652 .756 .926 r
.26831 .55354 .27618 .56054 .28816 .55675 .28033 .54972 Metetra
.652 .756 .926 r
.28033 .54972 .28816 .55675 .30021 .55295 .29241 .54589 Metetra
.652 .756 .926 r
.29241 .54589 .30021 .55295 .3123 .54913 .30454 .54204 Metetra
.652 .756 .926 r
.30454 .54204 .3123 .54913 .32446 .5453 .31673 .53817 Metetra
.652 .756 .926 r
.31673 .53817 .32446 .5453 .33667 .54145 .32897 .53428 Metetra
.652 .756 .926 r
.32897 .53428 .33667 .54145 .34893 .53757 .34127 .53038 Metetra
.652 .756 .926 r
.34127 .53038 .34893 .53757 .36126 .53369 .35363 .52646 Metetra
.652 .756 .926 r
.35363 .52646 .36126 .53369 .37364 .52978 .36604 .52252 Metetra
.652 .756 .926 r
.36604 .52252 .37364 .52978 .38607 .52585 .37852 .51856 Metetra
.652 .756 .926 r
.37852 .51856 .38607 .52585 .39857 .52191 .39105 .51458 Metetra
.652 .756 .926 r
.39105 .51458 .39857 .52191 .41112 .51795 .40364 .51058 Metetra
.652 .756 .926 r
.40364 .51058 .41112 .51795 .42373 .51397 .41629 .50657 Metetra
.652 .756 .926 r
.41629 .50657 .42373 .51397 .43641 .50997 .429 .50254 Metetra
.652 .756 .926 r
.429 .50254 .43641 .50997 .44914 .50595 .44177 .49848 Metetra
.652 .756 .926 r
.44177 .49848 .44914 .50595 .46193 .50191 .4546 .49441 Metetra
.652 .756 .926 r
.4546 .49441 .46193 .50191 .47478 .49786 .46749 .49032 Metetra
.652 .756 .926 r
.46749 .49032 .47478 .49786 .48769 .49378 .48044 .48621 Metetra
.652 .756 .926 r
.48044 .48621 .48769 .49378 .50067 .48969 .49345 .48208 Metetra
.652 .756 .926 r
.49345 .48208 .50067 .48969 .5137 .48557 .50653 .47793 Metetra
.652 .756 .926 r
.50653 .47793 .5137 .48557 .5268 .48144 .51967 .47376 Metetra
.652 .756 .926 r
.51967 .47376 .5268 .48144 .53996 .47729 .53287 .46957 Metetra
.652 .756 .926 r
.53287 .46957 .53996 .47729 .55319 .47312 .54614 .46536 Metetra
.652 .756 .926 r
.54614 .46536 .55319 .47312 .56647 .46892 .55947 .46113 Metetra
.652 .756 .926 r
.55947 .46113 .56647 .46892 .57982 .46471 .57286 .45688 Metetra
.652 .756 .926 r
.57286 .45688 .57982 .46471 .59324 .46047 .58632 .4526 Metetra
.652 .756 .926 r
.58632 .4526 .59324 .46047 .60672 .45622 .59984 .44831 Metetra
.652 .756 .926 r
.59984 .44831 .60672 .45622 .62027 .45194 .61343 .444 Metetra
.652 .756 .926 r
.61343 .444 .62027 .45194 .63388 .44765 .62709 .43966 Metetra
.652 .756 .926 r
.62709 .43966 .63388 .44765 .64756 .44333 .64081 .43531 Metetra
.652 .756 .926 r
.64081 .43531 .64756 .44333 .6613 .43899 .65461 .43093 Metetra
.652 .756 .926 r
.65461 .43093 .6613 .43899 .67512 .43464 .66846 .42653 Metetra
.652 .756 .926 r
.66846 .42653 .67512 .43464 .689 .43025 .68239 .42211 Metetra
.652 .756 .926 r
.68239 .42211 .689 .43025 .70295 .42585 .69639 .41767 Metetra
.652 .756 .926 r
.69639 .41767 .70295 .42585 .71696 .42143 .71045 .4132 Metetra
.652 .756 .926 r
.71045 .4132 .71696 .42143 .73105 .41698 .72459 .40872 Metetra
.652 .756 .926 r
.72459 .40872 .73105 .41698 .74521 .41251 .7388 .40421 Metetra
.652 .756 .926 r
.7388 .40421 .74521 .41251 .75944 .40802 .75307 .39968 Metetra
.652 .756 .926 r
.75307 .39968 .75944 .40802 .77373 .40351 .76742 .39512 Metetra
.652 .756 .926 r
.76742 .39512 .77373 .40351 .7881 .39898 .78184 .39055 Metetra
.652 .756 .926 r
.78184 .39055 .7881 .39898 .80255 .39442 .79634 .38594 Metetra
.652 .756 .926 r
.79634 .38594 .80255 .39442 .81706 .38984 .8109 .38132 Metetra
.652 .756 .926 r
.8109 .38132 .81706 .38984 .83165 .38524 .82554 .37667 Metetra
.652 .756 .926 r
.82554 .37667 .83165 .38524 .84631 .38061 .84026 .372 Metetra
.652 .756 .926 r
.18921 .5692 .19733 .57607 .20903 .57235 .20094 .56545 Metetra
.652 .756 .926 r
.20094 .56545 .20903 .57235 .22078 .56862 .21272 .5617 Metetra
.652 .756 .926 r
.21272 .5617 .22078 .56862 .23258 .56488 .22455 .55792 Metetra
.652 .756 .926 r
.22455 .55792 .23258 .56488 .24444 .56112 .23644 .55413 Metetra
.652 .756 .926 r
.23644 .55413 .24444 .56112 .25635 .55734 .24838 .55031 Metetra
.652 .756 .926 r
.24838 .55031 .25635 .55734 .26831 .55354 .26038 .54648 Metetra
.652 .756 .926 r
.26038 .54648 .26831 .55354 .28033 .54972 .27244 .54263 Metetra
.652 .756 .926 r
.27244 .54263 .28033 .54972 .29241 .54589 .28454 .53876 Metetra
.652 .756 .926 r
.28454 .53876 .29241 .54589 .30454 .54204 .29671 .53488 Metetra
.652 .756 .926 r
.29671 .53488 .30454 .54204 .31673 .53817 .30893 .53098 Metetra
.652 .756 .926 r
.30893 .53098 .31673 .53817 .32897 .53428 .32121 .52706 Metetra
.652 .756 .926 r
.32121 .52706 .32897 .53428 .34127 .53038 .33354 .52313 Metetra
.652 .756 .926 r
.33354 .52313 .34127 .53038 .35363 .52646 .34594 .51917 Metetra
.652 .756 .926 r
.34594 .51917 .35363 .52646 .36604 .52252 .35839 .5152 Metetra
.652 .756 .926 r
.35839 .5152 .36604 .52252 .37852 .51856 .3709 .5112 Metetra
.652 .756 .926 r
.3709 .5112 .37852 .51856 .39105 .51458 .38346 .50719 Metetra
.652 .756 .926 r
.38346 .50719 .39105 .51458 .40364 .51058 .39609 .50316 Metetra
.652 .756 .926 r
.39609 .50316 .40364 .51058 .41629 .50657 .40878 .49911 Metetra
.652 .756 .926 r
.40878 .49911 .41629 .50657 .429 .50254 .42153 .49504 Metetra
.652 .756 .926 r
.42153 .49504 .429 .50254 .44177 .49848 .43433 .49095 Metetra
.652 .756 .926 r
.43433 .49095 .44177 .49848 .4546 .49441 .4472 .48685 Metetra
.652 .756 .926 r
.4472 .48685 .4546 .49441 .46749 .49032 .46013 .48272 Metetra
.652 .756 .926 r
.46013 .48272 .46749 .49032 .48044 .48621 .47312 .47857 Metetra
.652 .756 .926 r
.47312 .47857 .48044 .48621 .49345 .48208 .48618 .4744 Metetra
.652 .756 .926 r
.48618 .4744 .49345 .48208 .50653 .47793 .49929 .47021 Metetra
.652 .756 .926 r
.49929 .47021 .50653 .47793 .51967 .47376 .51247 .46601 Metetra
.652 .756 .926 r
.51247 .46601 .51967 .47376 .53287 .46957 .52572 .46178 Metetra
.652 .756 .926 r
.52572 .46178 .53287 .46957 .54614 .46536 .53902 .45753 Metetra
.652 .756 .926 r
.53902 .45753 .54614 .46536 .55947 .46113 .5524 .45327 Metetra
.652 .756 .926 r
.5524 .45327 .55947 .46113 .57286 .45688 .56583 .44897 Metetra
.652 .756 .926 r
.56583 .44897 .57286 .45688 .58632 .4526 .57934 .44466 Metetra
.652 .756 .926 r
.57934 .44466 .58632 .4526 .59984 .44831 .5929 .44033 Metetra
.652 .756 .926 r
.5929 .44033 .59984 .44831 .61343 .444 .60654 .43598 Metetra
.652 .756 .926 r
.60654 .43598 .61343 .444 .62709 .43966 .62024 .4316 Metetra
.652 .756 .926 r
.62024 .4316 .62709 .43966 .64081 .43531 .63401 .42721 Metetra
.652 .756 .926 r
.63401 .42721 .64081 .43531 .65461 .43093 .64785 .42279 Metetra
.652 .756 .926 r
.64785 .42279 .65461 .43093 .66846 .42653 .66175 .41836 Metetra
.652 .756 .926 r
.66175 .41836 .66846 .42653 .68239 .42211 .67573 .41389 Metetra
.652 .756 .926 r
.67573 .41389 .68239 .42211 .69639 .41767 .68977 .40941 Metetra
.652 .756 .926 r
.68977 .40941 .69639 .41767 .71045 .4132 .70389 .4049 Metetra
.652 .756 .926 r
.70389 .4049 .71045 .4132 .72459 .40872 .71807 .40037 Metetra
.652 .756 .926 r
.71807 .40037 .72459 .40872 .7388 .40421 .73233 .39582 Metetra
.652 .756 .926 r
.73233 .39582 .7388 .40421 .75307 .39968 .74665 .39125 Metetra
.652 .756 .926 r
.74665 .39125 .75307 .39968 .76742 .39512 .76105 .38666 Metetra
.652 .756 .926 r
.76105 .38666 .76742 .39512 .78184 .39055 .77552 .38204 Metetra
.652 .756 .926 r
.77552 .38204 .78184 .39055 .79634 .38594 .79007 .37739 Metetra
.652 .756 .926 r
.79007 .37739 .79634 .38594 .8109 .38132 .80469 .37272 Metetra
.652 .756 .926 r
.80469 .37272 .8109 .38132 .82554 .37667 .81938 .36803 Metetra
.652 .756 .926 r
.81938 .36803 .82554 .37667 .84026 .372 .83415 .36332 Metetra
.651 .756 .926 r
.18102 .56227 .18921 .5692 .20094 .56545 .19278 .5585 Metetra
.651 .756 .926 r
.19278 .5585 .20094 .56545 .21272 .5617 .20459 .55472 Metetra
.652 .756 .926 r
.20459 .55472 .21272 .5617 .22455 .55792 .21646 .55091 Metetra
.652 .756 .926 r
.21646 .55091 .22455 .55792 .23644 .55413 .22838 .54708 Metetra
.652 .756 .926 r
.22838 .54708 .23644 .55413 .24838 .55031 .24035 .54322 Metetra
.652 .756 .926 r
.24035 .54322 .24838 .55031 .26038 .54648 .25238 .53935 Metetra
.652 .756 .926 r
.25238 .53935 .26038 .54648 .27244 .54263 .26447 .53547 Metetra
.652 .756 .926 r
.26447 .53547 .27244 .54263 .28454 .53876 .27661 .53157 Metetra
.651 .756 .926 r
.27661 .53157 .28454 .53876 .29671 .53488 .28881 .52767 Metetra
.651 .756 .926 r
.28881 .52767 .29671 .53488 .30893 .53098 .30107 .52374 Metetra
.651 .756 .926 r
.30107 .52374 .30893 .53098 .32121 .52706 .31338 .51979 Metetra
.652 .756 .926 r
.31338 .51979 .32121 .52706 .33354 .52313 .32575 .51582 Metetra
.652 .757 .926 r
.32575 .51582 .33354 .52313 .34594 .51917 .33818 .51182 Metetra
.652 .756 .926 r
.33818 .51182 .34594 .51917 .35839 .5152 .35066 .5078 Metetra
.652 .756 .926 r
.35066 .5078 .35839 .5152 .3709 .5112 .36321 .50377 Metetra
.652 .756 .926 r
.36321 .50377 .3709 .5112 .38346 .50719 .37581 .49972 Metetra
.652 .756 .926 r
.37581 .49972 .38346 .50719 .39609 .50316 .38848 .49566 Metetra
.651 .756 .926 r
.38848 .49566 .39609 .50316 .40878 .49911 .4012 .49158 Metetra
.651 .756 .926 r
.4012 .49158 .40878 .49911 .42153 .49504 .41399 .48749 Metetra
.651 .756 .926 r
.41399 .48749 .42153 .49504 .43433 .49095 .42683 .48337 Metetra
.652 .757 .926 r
.42683 .48337 .43433 .49095 .4472 .48685 .43974 .47922 Metetra
.652 .757 .926 r
.43974 .47922 .4472 .48685 .46013 .48272 .45271 .47505 Metetra
.652 .756 .926 r
.45271 .47505 .46013 .48272 .47312 .47857 .46574 .47085 Metetra
.652 .756 .926 r
.46574 .47085 .47312 .47857 .48618 .4744 .47884 .46664 Metetra
.652 .756 .926 r
.47884 .46664 .48618 .4744 .49929 .47021 .49199 .46242 Metetra
.651 .756 .926 r
.49199 .46242 .49929 .47021 .51247 .46601 .50521 .45818 Metetra
.651 .756 .926 r
.50521 .45818 .51247 .46601 .52572 .46178 .5185 .45392 Metetra
.651 .756 .926 r
.5185 .45392 .52572 .46178 .53902 .45753 .53185 .44965 Metetra
.652 .756 .926 r
.53185 .44965 .53902 .45753 .5524 .45327 .54526 .44534 Metetra
.652 .757 .926 r
.54526 .44534 .5524 .45327 .56583 .44897 .55874 .44101 Metetra
.652 .757 .926 r
.55874 .44101 .56583 .44897 .57934 .44466 .57229 .43665 Metetra
.652 .756 .926 r
.57229 .43665 .57934 .44466 .5929 .44033 .5859 .43227 Metetra
.652 .756 .926 r
.5859 .43227 .5929 .44033 .60654 .43598 .59958 .42787 Metetra
.652 .756 .926 r
.59958 .42787 .60654 .43598 .62024 .4316 .61333 .42346 Metetra
.651 .756 .926 r
.61333 .42346 .62024 .4316 .63401 .42721 .62714 .41903 Metetra
.651 .756 .926 r
.62714 .41903 .63401 .42721 .64785 .42279 .64103 .41459 Metetra
.651 .756 .926 r
.64103 .41459 .64785 .42279 .66175 .41836 .65498 .41011 Metetra
.652 .756 .926 r
.65498 .41011 .66175 .41836 .67573 .41389 .669 .40561 Metetra
.652 .757 .926 r
.669 .40561 .67573 .41389 .68977 .40941 .68309 .40108 Metetra
.652 .757 .926 r
.68309 .40108 .68977 .40941 .70389 .4049 .69726 .39652 Metetra
.652 .756 .926 r
.69726 .39652 .70389 .4049 .71807 .40037 .71149 .39195 Metetra
.652 .756 .926 r
.71149 .39195 .71807 .40037 .73233 .39582 .72579 .38735 Metetra
.652 .756 .926 r
.72579 .38735 .73233 .39582 .74665 .39125 .74017 .38274 Metetra
.651 .756 .926 r
.74017 .38274 .74665 .39125 .76105 .38666 .75462 .37811 Metetra
.651 .756 .926 r
.75462 .37811 .76105 .38666 .77552 .38204 .76915 .37345 Metetra
.652 .756 .926 r
.76915 .37345 .77552 .38204 .79007 .37739 .78374 .36877 Metetra
.652 .756 .926 r
.78374 .36877 .79007 .37739 .80469 .37272 .79842 .36406 Metetra
.652 .757 .926 r
.79842 .36406 .80469 .37272 .81938 .36803 .81316 .35932 Metetra
.652 .756 .926 r
.81316 .35932 .81938 .36803 .83415 .36332 .82798 .35455 Metetra
.651 .757 .927 r
.17276 .55533 .18102 .56227 .19278 .5585 .18455 .55152 Metetra
.652 .757 .927 r
.18455 .55152 .19278 .5585 .20459 .55472 .19639 .54769 Metetra
.652 .757 .926 r
.19639 .54769 .20459 .55472 .21646 .55091 .20829 .54383 Metetra
.653 .756 .926 r
.20829 .54383 .21646 .55091 .22838 .54708 .22025 .53994 Metetra
.652 .756 .925 r
.22025 .53994 .22838 .54708 .24035 .54322 .23226 .53604 Metetra
.652 .755 .925 r
.23226 .53604 .24035 .54322 .25238 .53935 .24432 .53214 Metetra
.651 .755 .926 r
.24432 .53214 .25238 .53935 .26447 .53547 .25644 .52824 Metetra
.651 .755 .926 r
.25644 .52824 .26447 .53547 .27661 .53157 .26861 .52434 Metetra
.651 .756 .927 r
.26861 .52434 .27661 .53157 .28881 .52767 .28084 .52042 Metetra
.651 .757 .927 r
.28084 .52042 .28881 .52767 .30107 .52374 .29313 .51647 Metetra
.652 .757 .927 r
.29313 .51647 .30107 .52374 .31338 .51979 .30548 .51248 Metetra
.652 .757 .927 r
.30548 .51248 .31338 .51979 .32575 .51582 .31788 .50845 Metetra
.653 .757 .926 r
.31788 .50845 .32575 .51582 .33818 .51182 .33035 .50439 Metetra
.653 .756 .926 r
.33035 .50439 .33818 .51182 .35066 .5078 .34287 .50032 Metetra
.652 .755 .925 r
.34287 .50032 .35066 .5078 .36321 .50377 .35546 .49624 Metetra
.651 .755 .925 r
.35546 .49624 .36321 .50377 .37581 .49972 .3681 .49217 Metetra
.651 .755 .926 r
.3681 .49217 .37581 .49972 .38848 .49566 .3808 .48809 Metetra
.651 .756 .926 r
.3808 .48809 .38848 .49566 .4012 .49158 .39356 .48401 Metetra
.651 .756 .927 r
.39356 .48401 .4012 .49158 .41399 .48749 .40638 .47989 Metetra
.651 .757 .927 r
.40638 .47989 .41399 .48749 .42683 .48337 .41927 .47574 Metetra
.652 .757 .927 r
.41927 .47574 .42683 .48337 .43974 .47922 .43221 .47154 Metetra
.653 .757 .926 r
.43221 .47154 .43974 .47922 .45271 .47505 .44522 .46731 Metetra
.653 .757 .926 r
.44522 .46731 .45271 .47505 .46574 .47085 .45829 .46305 Metetra
.652 .756 .925 r
.45829 .46305 .46574 .47085 .47884 .46664 .47143 .45879 Metetra
.652 .755 .925 r
.47143 .45879 .47884 .46664 .49199 .46242 .48463 .45453 Metetra
.651 .755 .926 r
.48463 .45453 .49199 .46242 .50521 .45818 .49789 .45027 Metetra
.651 .755 .926 r
.49789 .45027 .50521 .45818 .5185 .45392 .51122 .446 Metetra
.651 .756 .927 r
.51122 .446 .5185 .45392 .53185 .44965 .52461 .4417 Metetra
.651 .757 .927 r
.52461 .4417 .53185 .44965 .54526 .44534 .53806 .43737 Metetra
.652 .757 .927 r
.53806 .43737 .54526 .44534 .55874 .44101 .55159 .433 Metetra
.652 .758 .927 r
.55159 .433 .55874 .44101 .57229 .43665 .56518 .42858 Metetra
.653 .757 .926 r
.56518 .42858 .57229 .43665 .5859 .43227 .57884 .42414 Metetra
.653 .756 .926 r
.57884 .42414 .5859 .43227 .59958 .42787 .59256 .41968 Metetra
.652 .755 .925 r
.59256 .41968 .59958 .42787 .61333 .42346 .60635 .41522 Metetra
.651 .755 .925 r
.60635 .41522 .61333 .42346 .62714 .41903 .62021 .41075 Metetra
.651 .755 .926 r
.62021 .41075 .62714 .41903 .64103 .41459 .63414 .40628 Metetra
.651 .755 .926 r
.63414 .40628 .64103 .41459 .65498 .41011 .64814 .4018 Metetra
.651 .756 .927 r
.64814 .4018 .65498 .41011 .669 .40561 .66222 .39727 Metetra
.652 .757 .927 r
.66222 .39727 .669 .40561 .68309 .40108 .67636 .39271 Metetra
.652 .758 .927 r
.67636 .39271 .68309 .40108 .69726 .39652 .69057 .3881 Metetra
.653 .757 .926 r
.69057 .3881 .69726 .39652 .71149 .39195 .70485 .38346 Metetra
.653 .757 .926 r
.70485 .38346 .71149 .39195 .72579 .38735 .7192 .37879 Metetra
.652 .756 .926 r
.7192 .37879 .72579 .38735 .74017 .38274 .73363 .37412 Metetra
.652 .755 .925 r
.73363 .37412 .74017 .38274 .75462 .37811 .74813 .36944 Metetra
.651 .755 .926 r
.74813 .36944 .75462 .37811 .76915 .37345 .76271 .36475 Metetra
.651 .755 .926 r
.76271 .36475 .76915 .37345 .78374 .36877 .77736 .36005 Metetra
.651 .756 .926 r
.77736 .36005 .78374 .36877 .79842 .36406 .79208 .35532 Metetra
.651 .757 .927 r
.79208 .35532 .79842 .36406 .81316 .35932 .80689 .35055 Metetra
.652 .757 .927 r
.80689 .35055 .81316 .35932 .82798 .35455 .82176 .34574 Metetra
.654 .759 .927 r
.16443 .54835 .17276 .55533 .18455 .55152 .17625 .54445 Metetra
.654 .757 .925 r
.17625 .54445 .18455 .55152 .19639 .54769 .18814 .54051 Metetra
.654 .755 .924 r
.18814 .54051 .19639 .54769 .20829 .54383 .20007 .53657 Metetra
.653 .753 .923 r
.20007 .53657 .20829 .54383 .22025 .53994 .21206 .53264 Metetra
.651 .753 .924 r
.21206 .53264 .22025 .53994 .23226 .53604 .2241 .52875 Metetra
.649 .753 .925 r
.2241 .52875 .23226 .53604 .24432 .53214 .23619 .52489 Metetra
.649 .755 .927 r
.23619 .52489 .24432 .53214 .25644 .52824 .24833 .52103 Metetra
.649 .757 .929 r
.24833 .52103 .25644 .52824 .26861 .52434 .26053 .51715 Metetra
.65 .759 .929 r
.26053 .51715 .26861 .52434 .28084 .52042 .2728 .5132 Metetra
.652 .76 .929 r
.2728 .5132 .28084 .52042 .29313 .51647 .28512 .50919 Metetra
.654 .76 .927 r
.28512 .50919 .29313 .51647 .30548 .51248 .29751 .5051 Metetra
.655 .758 .926 r
.29751 .5051 .30548 .51248 .31788 .50845 .30996 .50096 Metetra
.655 .756 .924 r
.30996 .50096 .31788 .50845 .33035 .50439 .32246 .4968 Metetra
.654 .754 .923 r
.32246 .4968 .33035 .50439 .34287 .50032 .33502 .49267 Metetra
.652 .752 .924 r
.33502 .49267 .34287 .50032 .35546 .49624 .34764 .48858 Metetra
.649 .752 .925 r
.34764 .48858 .35546 .49624 .3681 .49217 .36031 .48453 Metetra
.648 .754 .926 r
.36031 .48453 .3681 .49217 .3808 .48809 .37305 .4805 Metetra
.648 .756 .928 r
.37305 .4805 .3808 .48809 .39356 .48401 .38584 .47644 Metetra
.649 .758 .929 r
.38584 .47644 .39356 .48401 .40638 .47989 .3987 .47233 Metetra
.652 .76 .929 r
.3987 .47233 .40638 .47989 .41927 .47574 .41163 .46812 Metetra
.654 .76 .928 r
.41163 .46812 .41927 .47574 .43221 .47154 .42462 .46384 Metetra
.655 .759 .926 r
.42462 .46384 .43221 .47154 .44522 .46731 .43767 .45949 Metetra
.655 .757 .925 r
.43767 .45949 .44522 .46731 .45829 .46305 .45078 .45512 Metetra
.654 .755 .924 r
.45078 .45512 .45829 .46305 .47143 .45879 .46396 .45078 Metetra
.652 .753 .924 r
.46396 .45078 .47143 .45879 .48463 .45453 .4772 .44647 Metetra
.65 .752 .924 r
.4772 .44647 .48463 .45453 .49789 .45027 .4905 .44222 Metetra
.648 .753 .926 r
.4905 .44222 .49789 .45027 .51122 .446 .50387 .43799 Metetra
.648 .755 .927 r
.50387 .43799 .51122 .446 .52461 .4417 .5173 .43373 Metetra
.649 .757 .928 r
.5173 .43373 .52461 .4417 .53806 .43737 .5308 .42942 Metetra
.651 .759 .929 r
.5308 .42942 .53806 .43737 .55159 .433 .54437 .42501 Metetra
.653 .761 .928 r
.54437 .42501 .55159 .433 .56518 .42858 .558 .42052 Metetra
.655 .76 .927 r
.558 .42052 .56518 .42858 .57884 .42414 .5717 .41597 Metetra
.655 .758 .926 r
.5717 .41597 .57884 .42414 .59256 .41968 .58547 .41139 Metetra
.654 .756 .924 r
.58547 .41139 .59256 .41968 .60635 .41522 .59931 .40682 Metetra
.652 .753 .924 r
.59931 .40682 .60635 .41522 .62021 .41075 .61322 .40229 Metetra
.65 .752 .924 r
.61322 .40229 .62021 .41075 .63414 .40628 .62719 .39781 Metetra
.649 .752 .925 r
.62719 .39781 .63414 .40628 .64814 .4018 .64124 .39334 Metetra
.649 .754 .926 r
.64124 .39334 .64814 .4018 .66222 .39727 .65536 .38886 Metetra
.649 .756 .927 r
.65536 .38886 .66222 .39727 .67636 .39271 .66956 .38432 Metetra
.651 .759 .928 r
.66956 .38432 .67636 .39271 .69057 .3881 .68382 .3797 Metetra
.653 .76 .928 r
.68382 .3797 .69057 .3881 .70485 .38346 .69815 .375 Metetra
.654 .76 .928 r
.69815 .375 .70485 .38346 .7192 .37879 .71255 .37024 Metetra
.654 .759 .927 r
.71255 .37024 .7192 .37879 .73363 .37412 .72702 .36544 Metetra
.654 .757 .925 r
.72702 .36544 .73363 .37412 .74813 .36944 .74157 .36064 Metetra
.652 .754 .924 r
.74157 .36064 .74813 .36944 .76271 .36475 .7562 .35587 Metetra
.651 .752 .924 r
.7562 .35587 .76271 .36475 .77736 .36005 .7709 .35113 Metetra
.65 .752 .924 r
.7709 .35113 .77736 .36005 .79208 .35532 .78568 .3464 Metetra
.649 .753 .925 r
.78568 .3464 .79208 .35532 .80689 .35055 .80055 .34166 Metetra
.65 .755 .927 r
.80055 .34166 .80689 .35055 .82176 .34574 .81548 .33687 Metetra
.658 .751 .919 r
.15605 .541 .16443 .54835 .17625 .54445 .16792 .53695 Metetra
.655 .747 .918 r
.16792 .53695 .17625 .54445 .18814 .54051 .17984 .53298 Metetra
.651 .746 .919 r
.17984 .53298 .18814 .54051 .20007 .53657 .19179 .5291 Metetra
.647 .748 .923 r
.19179 .5291 .20007 .53657 .21206 .53264 .20379 .52532 Metetra
.644 .752 .928 r
.20379 .52532 .21206 .53264 .2241 .52875 .21584 .52161 Metetra
.643 .757 .932 r
.21584 .52161 .2241 .52875 .23619 .52489 .22795 .51788 Metetra
.645 .763 .935 r
.22795 .51788 .23619 .52489 .24833 .52103 .24012 .51408 Metetra
.649 .766 .935 r
.24012 .51408 .24833 .52103 .26053 .51715 .25236 .51013 Metetra
.654 .767 .932 r
.25236 .51013 .26053 .51715 .2728 .5132 .26467 .50603 Metetra
.659 .764 .928 r
.26467 .50603 .2728 .5132 .28512 .50919 .27705 .50178 Metetra
.661 .76 .923 r
.27705 .50178 .28512 .50919 .29751 .5051 .28949 .49745 Metetra
.66 .754 .919 r
.28949 .49745 .29751 .5051 .30996 .50096 .30198 .49311 Metetra
.657 .749 .917 r
.30198 .49311 .30996 .50096 .32246 .4968 .31452 .48886 Metetra
.652 .745 .918 r
.31452 .48886 .32246 .4968 .33502 .49267 .32712 .48475 Metetra
.647 .745 .921 r
.32712 .48475 .33502 .49267 .34764 .48858 .33976 .48078 Metetra
.642 .748 .926 r
.33976 .48078 .34764 .48858 .36031 .48453 .35246 .4769 Metetra
.641 .754 .93 r
.35246 .4769 .36031 .48453 .37305 .4805 .36522 .47303 Metetra
.643 .76 .934 r
.36522 .47303 .37305 .4805 .38584 .47644 .37805 .46908 Metetra
.648 .765 .935 r
.37805 .46908 .38584 .47644 .3987 .47233 .39095 .46496 Metetra
.654 .768 .933 r
.39095 .46496 .3987 .47233 .41163 .46812 .40391 .46063 Metetra
.659 .767 .929 r
.40391 .46063 .41163 .46812 .42462 .46384 .41695 .45613 Metetra
.662 .763 .925 r
.41695 .45613 .42462 .46384 .43767 .45949 .43005 .45153 Metetra
.661 .757 .921 r
.43005 .45153 .43767 .45949 .45078 .45512 .44321 .44693 Metetra
.658 .751 .919 r
.44321 .44693 .45078 .45512 .46396 .45078 .45642 .44243 Metetra
.652 .746 .918 r
.45642 .44243 .46396 .45078 .4772 .44647 .4697 .43809 Metetra
.646 .744 .92 r
.4697 .43809 .4772 .44647 .4905 .44222 .48304 .43391 Metetra
.642 .745 .924 r
.48304 .43391 .4905 .44222 .50387 .43799 .49645 .42983 Metetra
.641 .75 .928 r
.49645 .42983 .50387 .43799 .5173 .43373 .50993 .42575 Metetra
.643 .757 .932 r
.50993 .42575 .5173 .43373 .5308 .42942 .52347 .42158 Metetra
.648 .764 .933 r
.52347 .42158 .5308 .42942 .54437 .42501 .53709 .41722 Metetra
.654 .768 .933 r
.53709 .41722 .54437 .42501 .558 .42052 .55077 .41266 Metetra
.659 .769 .931 r
.55077 .41266 .558 .42052 .5717 .41597 .56451 .40792 Metetra
.661 .766 .927 r
.56451 .40792 .5717 .41597 .58547 .41139 .57832 .4031 Metetra
.66 .76 .924 r
.57832 .4031 .58547 .41139 .59931 .40682 .5922 .39828 Metetra
.657 .753 .921 r
.5922 .39828 .59931 .40682 .61322 .40229 .60615 .39355 Metetra
.652 .747 .919 r
.60615 .39355 .61322 .40229 .62719 .39781 .62017 .38896 Metetra
.647 .744 .92 r
.62017 .38896 .62719 .39781 .64124 .39334 .63427 .38451 Metetra
.644 .744 .922 r
.63427 .38451 .64124 .39334 .65536 .38886 .64844 .38015 Metetra
.643 .748 .925 r
.64844 .38015 .65536 .38886 .66956 .38432 .66269 .37578 Metetra
.645 .754 .929 r
.66269 .37578 .66956 .38432 .68382 .3797 .67701 .37132 Metetra
.648 .761 .932 r
.67701 .37132 .68382 .3797 .69815 .375 .6914 .36671 Metetra
.653 .767 .933 r
.6914 .36671 .69815 .375 .71255 .37024 .70586 .36193 Metetra
.657 .769 .932 r
.70586 .36193 .71255 .37024 .72702 .36544 .72038 .357 Metetra
.659 .767 .93 r
.72038 .357 .72702 .36544 .74157 .36064 .73497 .35198 Metetra
.659 .762 .926 r
.73497 .35198 .74157 .36064 .7562 .35587 .74963 .34695 Metetra
.656 .756 .923 r
.74963 .34695 .7562 .35587 .7709 .35113 .76437 .34197 Metetra
.653 .749 .92 r
.76437 .34197 .7709 .35113 .78568 .3464 .7792 .33708 Metetra
.649 .745 .919 r
.7792 .33708 .78568 .3464 .80055 .34166 .79411 .3323 Metetra
.647 .744 .92 r
.79411 .3323 .80055 .34166 .81548 .33687 .80911 .32759 Metetra
.647 .731 .91 r
.14769 .53294 .15605 .541 .16792 .53695 .15955 .52917 Metetra
.639 .737 .919 r
.15955 .52917 .16792 .53695 .17984 .53298 .17144 .52562 Metetra
.633 .748 .931 r
.17144 .52562 .17984 .53298 .19179 .5291 .18338 .5222 Metetra
.63 .761 .942 r
.18338 .5222 .19179 .5291 .20379 .52532 .19537 .5188 Metetra
.632 .774 .948 r
.19537 .5188 .20379 .52532 .21584 .52161 .20744 .51528 Metetra
.64 .782 .95 r
.20744 .51528 .21584 .52161 .22795 .51788 .21958 .5115 Metetra
.652 .785 .945 r
.21958 .5115 .22795 .51788 .24012 .51408 .23181 .50741 Metetra
.664 .78 .936 r
.23181 .50741 .24012 .51408 .25236 .51013 .24413 .503 Metetra
.671 .77 .924 r
.24413 .503 .25236 .51013 .26467 .50603 .25651 .49835 Metetra
.673 .756 .913 r
.25651 .49835 .26467 .50603 .27705 .50178 .26896 .4936 Metetra
.67 .743 .905 r
.26896 .4936 .27705 .50178 .28949 .49745 .28145 .48893 Metetra
.662 .733 .903 r
.28145 .48893 .28949 .49745 .30198 .49311 .29398 .48449 Metetra
.651 .728 .906 r
.29398 .48449 .30198 .49311 .31452 .48886 .30655 .48039 Metetra
.639 .729 .913 r
.30655 .48039 .31452 .48886 .32712 .48475 .31915 .47662 Metetra
.629 .736 .924 r
.31915 .47662 .32712 .48475 .33976 .48078 .3318 .47312 Metetra
.624 .748 .936 r
.3318 .47312 .33976 .48078 .35246 .4769 .34451 .4697 Metetra
.625 .763 .945 r
.34451 .4697 .35246 .4769 .36522 .47303 .35729 .46617 Metetra
.634 .777 .949 r
.35729 .46617 .36522 .47303 .37805 .46908 .37015 .46234 Metetra
.649 .786 .947 r
.37015 .46234 .37805 .46908 .39095 .46496 .38309 .45809 Metetra
.664 .787 .94 r
.38309 .45809 .39095 .46496 .40391 .46063 .39612 .4534 Metetra
.675 .781 .93 r
.39612 .4534 .40391 .46063 .41695 .45613 .40921 .44838 Metetra
.678 .769 .919 r
.40921 .44838 .41695 .45613 .43005 .45153 .42237 .44323 Metetra
.674 .754 .911 r
.42237 .44323 .43005 .45153 .44321 .44693 .43558 .43816 Metetra
.665 .74 .906 r
.43558 .43816 .44321 .44693 .45642 .44243 .44884 .43337 Metetra
.652 .729 .906 r
.44884 .43337 .45642 .44243 .4697 .43809 .46216 .42899 Metetra
.639 .724 .91 r
.46216 .42899 .4697 .43809 .48304 .43391 .47553 .42501 Metetra
.629 .727 .918 r
.47553 .42501 .48304 .43391 .49645 .42983 .48897 .42133 Metetra
.624 .737 .928 r
.48897 .42133 .49645 .42983 .50993 .42575 .50249 .41773 Metetra
.627 .752 .937 r
.50249 .41773 .50993 .42575 .52347 .42158 .51607 .414 Metetra
.636 .769 .943 r
.51607 .414 .52347 .42158 .53709 .41722 .52973 .40993 Metetra
.649 .783 .945 r
.52973 .40993 .53709 .41722 .55077 .41266 .54346 .40542 Metetra
.663 .79 .943 r
.54346 .40542 .55077 .41266 .56451 .40792 .55726 .40048 Metetra
.672 .789 .936 r
.55726 .40048 .56451 .40792 .57832 .4031 .57111 .39524 Metetra
.676 .779 .928 r
.57111 .39524 .57832 .4031 .5922 .39828 .58503 .38987 Metetra
.672 .764 .92 r
.58503 .38987 .5922 .39828 .60615 .39355 .59901 .38458 Metetra
.664 .748 .913 r
.59901 .38458 .60615 .39355 .62017 .38896 .61307 .37956 Metetra
.653 .734 .909 r
.61307 .37956 .62017 .38896 .63427 .38451 .62721 .37488 Metetra
.642 .725 .908 r
.62721 .37488 .63427 .38451 .64844 .38015 .64143 .37054 Metetra
.634 .723 .912 r
.64143 .37054 .64844 .38015 .66269 .37578 .65573 .36644 Metetra
.631 .73 .919 r
.65573 .36644 .66269 .37578 .67701 .37132 .67012 .36241 Metetra
.633 .743 .927 r
.67012 .36241 .67701 .37132 .6914 .36671 .68459 .35829 Metetra
.639 .76 .936 r
.68459 .35829 .6914 .36671 .70586 .36193 .69912 .35391 Metetra
.647 .776 .942 r
.69912 .35391 .70586 .36193 .72038 .357 .71371 .3492 Metetra
.657 .787 .944 r
.71371 .3492 .72038 .357 .73497 .35198 .72836 .34415 Metetra
.664 .79 .942 r
.72836 .34415 .73497 .35198 .74963 .34695 .74306 .33884 Metetra
.668 .785 .936 r
.74306 .33884 .74963 .34695 .76437 .34197 .75783 .33338 Metetra
.668 .773 .929 r
.75783 .33338 .76437 .34197 .7792 .33708 .77267 .32794 Metetra
.663 .757 .92 r
.77267 .32794 .7792 .33708 .79411 .3323 .7876 .32263 Metetra
.656 .742 .913 r
.7876 .32263 .79411 .3323 .80911 .32759 .80262 .31753 Metetra
.605 .756 .951 r
.1391 .52615 .14769 .53294 .15955 .52917 .15088 .52332 Metetra
.598 .784 .97 r
.15088 .52332 .15955 .52917 .17144 .52562 .16274 .52045 Metetra
.602 .807 .979 r
.16274 .52045 .17144 .52562 .18338 .5222 .17468 .51731 Metetra
.62 .822 .978 r
.17468 .51731 .18338 .5222 .19537 .5188 .18673 .51372 Metetra
.648 .823 .967 r
.18673 .51372 .19537 .5188 .20744 .51528 .19889 .50955 Metetra
.674 .809 .948 r
.19889 .50955 .20744 .51528 .21958 .5115 .21116 .50481 Metetra
.689 .785 .924 r
.21116 .50481 .21958 .5115 .23181 .50741 .22353 .4996 Metetra
.694 .757 .9 r
.22353 .4996 .23181 .50741 .24413 .503 .23596 .49414 Metetra
.689 .731 .883 r
.23596 .49414 .24413 .503 .25651 .49835 .24844 .48869 Metetra
.678 .711 .873 r
.24844 .48869 .25651 .49835 .26896 .4936 .26094 .48356 Metetra
.662 .698 .873 r
.26094 .48356 .26896 .4936 .28145 .48893 .27346 .47897 Metetra
.643 .694 .883 r
.27346 .47897 .28145 .48893 .29398 .48449 .28597 .47507 Metetra
.622 .7 .901 r
.28597 .47507 .29398 .48449 .30655 .48039 .2985 .47185 Metetra
.601 .716 .926 r
.2985 .47185 .30655 .48039 .31915 .47662 .31107 .46914 Metetra
.584 .741 .951 r
.31107 .46914 .31915 .47662 .3318 .47312 .32369 .46664 Metetra
.579 .771 .97 r
.32369 .46664 .3318 .47312 .34451 .4697 .33639 .46399 Metetra
.593 .8 .979 r
.33639 .46399 .34451 .4697 .35729 .46617 .34919 .46083 Metetra
.624 .822 .977 r
.34919 .46083 .35729 .46617 .37015 .46234 .36211 .45689 Metetra
.662 .83 .964 r
.36211 .45689 .37015 .46234 .38309 .45809 .37512 .45207 Metetra
.692 .821 .944 r
.37512 .45207 .38309 .45809 .39612 .4534 .38823 .44646 Metetra
.707 .799 .922 r
.38823 .44646 .39612 .4534 .40921 .44838 .40141 .44032 Metetra
.707 .77 .901 r
.40141 .44032 .40921 .44838 .42237 .44323 .41465 .43406 Metetra
.694 .74 .886 r
.41465 .43406 .42237 .44323 .43558 .43816 .42792 .4281 Metetra
.674 .714 .879 r
.42792 .4281 .43558 .43816 .44884 .43337 .44123 .4228 Metetra
.65 .695 .879 r
.44123 .4228 .44884 .43337 .46216 .42899 .45458 .41838 Metetra
.625 .685 .887 r
.45458 .41838 .46216 .42899 .47553 .42501 .46798 .41483 Metetra
.603 .687 .901 r
.46798 .41483 .47553 .42501 .48897 .42133 .48144 .41195 Metetra
.589 .702 .921 r
.48144 .41195 .48897 .42133 .50249 .41773 .49498 .40939 Metetra
.587 .73 .942 r
.49498 .40939 .50249 .41773 .51607 .414 .5086 .4067 Metetra
.599 .766 .959 r
.5086 .4067 .51607 .414 .52973 .40993 .52231 .4035 Metetra
.623 .802 .968 r
.52231 .4035 .52973 .40993 .54346 .40542 .53609 .39949 Metetra
.653 .829 .968 r
.53609 .39949 .54346 .40542 .55726 .40048 .54994 .39459 Metetra
.681 .839 .959 r
.54994 .39459 .55726 .40048 .57111 .39524 .56385 .38889 Metetra
.699 .832 .946 r
.56385 .38889 .57111 .39524 .58503 .38987 .57782 .38266 Metetra
.704 .809 .931 r
.57782 .38266 .58503 .38987 .59901 .38458 .59183 .37626 Metetra
.696 .778 .914 r
.59183 .37626 .59901 .38458 .61307 .37956 .60591 .37008 Metetra
.679 .744 .9 r
.60591 .37008 .61307 .37956 .62721 .37488 .62006 .36441 Metetra
.658 .713 .889 r
.62006 .36441 .62721 .37488 .64143 .37054 .6343 .35943 Metetra
.638 .692 .884 r
.6343 .35943 .64143 .37054 .65573 .36644 .64864 .35515 Metetra
.622 .682 .886 r
.64864 .35515 .65573 .36644 .67012 .36241 .66308 .35144 Metetra
.612 .685 .895 r
.66308 .35144 .67012 .36241 .68459 .35829 .67762 .34805 Metetra
.609 .702 .91 r
.67762 .34805 .68459 .35829 .69912 .35391 .69225 .34468 Metetra
.614 .731 .929 r
.69225 .34468 .69912 .35391 .71371 .3492 .70696 .34105 Metetra
.625 .767 .948 r
.70696 .34105 .71371 .3492 .72836 .34415 .72172 .33693 Metetra
.64 .801 .96 r
.72172 .33693 .72836 .34415 .74306 .33884 .73653 .33221 Metetra
.656 .827 .965 r
.73653 .33221 .74306 .33884 .75783 .33338 .75138 .32688 Metetra
.671 .838 .963 r
.75138 .32688 .75783 .33338 .77267 .32794 .76627 .32107 Metetra
.682 .832 .956 r
.76627 .32107 .77267 .32794 .7876 .32263 .7812 .31497 Metetra
.685 .811 .943 r
.7812 .31497 .7876 .32263 .80262 .31753 .7962 .3088 Metetra
.512 .866 .989 r
.12988 .52399 .1391 .52615 .15088 .52332 .14173 .52095 Metetra
.58 .884 .992 r
.14173 .52095 .15088 .52332 .16274 .52045 .15373 .5171 Metetra
.654 .876 .981 r
.15373 .5171 .16274 .52045 .17468 .51731 .16589 .51237 Metetra
.701 .837 .947 r
.16589 .51237 .17468 .51731 .18673 .51372 .17818 .5068 Metetra
.718 .783 .904 r
.17818 .5068 .18673 .51372 .19889 .50955 .19058 .50057 Metetra
.715 .734 .865 r
.19058 .50057 .19889 .50955 .21116 .50481 .20306 .49398 Metetra
.703 .694 .838 r
.20306 .49398 .21116 .50481 .22353 .4996 .21557 .48743 Metetra
.687 .666 .824 r
.21557 .48743 .22353 .4996 .23596 .49414 .22808 .48131 Metetra
.667 .648 .822 r
.22808 .48131 .23596 .49414 .24844 .48869 .24057 .476 Metetra
.644 .642 .833 r
.24057 .476 .24844 .48869 .26094 .48356 .25301 .47176 Metetra
.616 .647 .858 r
.25301 .47176 .26094 .48356 .27346 .47897 .26542 .4687 Metetra
.579 .665 .897 r
.26542 .4687 .27346 .47897 .28597 .47507 .27782 .46672 Metetra
.532 .696 .944 r
.27782 .46672 .28597 .47507 .2985 .47185 .29023 .46551 Metetra
.477 .736 .984 r
.29023 .46551 .2985 .47185 .31107 .46914 .30271 .46461 Metetra
.435 .775 .997 r
.30271 .46461 .31107 .46914 .32369 .46664 .31529 .46344 Metetra
.441 .818 .992 r
.31529 .46344 .32369 .46664 .33639 .46399 .328 .46144 Metetra
.512 .866 .989 r
.328 .46144 .33639 .46399 .34919 .46083 .34087 .45813 Metetra
.617 .9 .986 r
.34087 .45813 .34919 .46083 .36211 .45689 .35388 .45328 Metetra
.705 .895 .966 r
.35388 .45328 .36211 .45689 .37512 .45207 .36703 .4469 Metetra
.749 .856 .929 r
.36703 .4469 .37512 .45207 .38823 .44646 .38028 .43932 Metetra
.756 .804 .891 r
.38028 .43932 .38823 .44646 .40141 .44032 .39359 .43109 Metetra
.742 .752 .861 r
.39359 .43109 .40141 .44032 .41465 .43406 .40693 .42292 Metetra
.714 .706 .841 r
.40693 .42292 .41465 .43406 .42792 .4281 .42028 .4155 Metetra
.68 .669 .832 r
.42028 .4155 .42792 .4281 .44123 .4228 .43364 .40939 Metetra
.642 .64 .833 r
.43364 .40939 .44123 .4228 .45458 .41838 .44701 .40493 Metetra
.602 .622 .843 r
.44701 .40493 .45458 .41838 .46798 .41483 .46041 .40209 Metetra
.563 .617 .864 r
.46041 .40209 .46798 .41483 .48144 .41195 .47387 .40059 Metetra
.531 .63 .894 r
.47387 .40059 .48144 .41195 .49498 .40939 .48741 .39986 Metetra
.511 .667 .932 r
.48741 .39986 .49498 .40939 .5086 .4067 .50106 .39921 Metetra
.511 .726 .97 r
.50106 .39921 .5086 .4067 .52231 .4035 .5148 .39791 Metetra
.534 .797 .994 r
.5148 .39791 .52231 .4035 .53609 .39949 .52864 .39541 Metetra
.579 .862 .995 r
.52864 .39541 .53609 .39949 .54994 .39459 .54257 .39137 Metetra
.636 .907 .983 r
.54257 .39137 .54994 .39459 .56385 .38889 .55655 .38574 Metetra
.693 .926 .968 r
.55655 .38574 .56385 .38889 .57782 .38266 .57058 .37879 Metetra
.734 .916 .955 r
.57058 .37879 .57782 .38266 .59183 .37626 .58464 .37096 Metetra
.75 .879 .938 r
.58464 .37096 .59183 .37626 .60591 .37008 .59874 .36284 Metetra
.739 .823 .916 r
.59874 .36284 .60591 .37008 .62006 .36441 .61289 .35502 Metetra
.712 .76 .89 r
.61289 .35502 .62006 .36441 .6343 .35943 .62711 .34798 Metetra
.677 .703 .867 r
.62711 .34798 .6343 .35943 .64864 .35515 .64142 .34205 Metetra
.643 .658 .849 r
.64142 .34205 .64864 .35515 .66308 .35144 .65585 .33731 Metetra
.615 .628 .84 r
.65585 .33731 .66308 .35144 .67762 .34805 .67041 .33369 Metetra
.594 .614 .842 r
.67041 .33369 .67762 .34805 .69225 .34468 .6851 .33091 Metetra
.582 .619 .854 r
.6851 .33091 .69225 .34468 .70696 .34105 .6999 .32859 Metetra
.579 .643 .878 r
.6999 .32859 .70696 .34105 .72172 .33693 .71482 .3263 Metetra
.584 .686 .912 r
.71482 .3263 .72172 .33693 .73653 .33221 .72981 .32365 Metetra
.596 .747 .949 r
.72981 .32365 .73653 .33221 .75138 .32688 .74486 .32031 Metetra
.609 .814 .979 r
.74486 .32031 .75138 .32688 .76627 .32107 .75994 .31609 Metetra
.621 .87 .989 r
.75994 .31609 .76627 .32107 .7812 .31497 .77503 .31094 Metetra
.635 .905 .984 r
.77503 .31094 .7812 .31497 .7962 .3088 .79013 .30493 Metetra
.726 .867 .948 r
.12075 .52011 .12988 .52399 .14173 .52095 .13303 .51376 Metetra
.739 .777 .883 r
.13303 .51376 .14173 .52095 .15373 .5171 .14545 .50656 Metetra
.727 .704 .828 r
.14545 .50656 .15373 .5171 .16589 .51237 .15795 .4988 Metetra
.709 .652 .791 r
.15795 .4988 .16589 .51237 .17818 .5068 .17051 .4909 Metetra
.691 .617 .769 r
.17051 .4909 .17818 .5068 .19058 .50057 .18306 .48328 Metetra
.672 .594 .76 r
.18306 .48328 .19058 .50057 .20306 .49398 .19556 .47641 Metetra
.653 .582 .763 r
.19556 .47641 .20306 .49398 .21557 .48743 .208 .47071 Metetra
.63 .58 .78 r
.208 .47071 .21557 .48743 .22808 .48131 .22034 .46647 Metetra
.599 .589 .813 r
.22034 .46647 .22808 .48131 .24057 .476 .23259 .46386 Metetra
.55 .612 .868 r
.23259 .46386 .24057 .476 .25301 .47176 .24478 .46282 Metetra
.459 .649 .94 r
.24478 .46282 .25301 .47176 .26542 .4687 .25694 .46311 Metetra
.282 .664 .971 r
.25694 .46311 .26542 .4687 .27782 .46672 .26912 .46425 Metetra
.044 .592 .837 r
.26912 .46425 .27782 .46672 .29023 .46551 .2814 .46558 Metetra
.088 0 0 r
.2814 .46558 .29023 .46551 .30271 .46461 .29381 .46633 Metetra
.066 0 0 r
.29381 .46633 .30271 .46461 .31529 .46344 .30642 .46575 Metetra
.30642 .46575 .31529 .46344 .328 .46144 .31923 .46319 Metetra
.379 .842 .804 r
.31923 .46319 .328 .46144 .34087 .45813 .33227 .45826 Metetra
.661 .964 .926 r
.33227 .45826 .34087 .45813 .35388 .45328 .34549 .45087 Metetra
.794 .934 .924 r
.34549 .45087 .35388 .45328 .36703 .4469 .35886 .44137 Metetra
.816 .849 .874 r
.35886 .44137 .36703 .4469 .38028 .43932 .37232 .43041 Metetra
.796 .769 .828 r
.37232 .43041 .38028 .43932 .39359 .43109 .38582 .41893 Metetra
.762 .704 .798 r
.38582 .41893 .39359 .43109 .40693 .42292 .3993 .40796 Metetra
.721 .652 .78 r
.3993 .40796 .40693 .42292 .42028 .4155 .41275 .3985 Metetra
.676 .608 .772 r
.41275 .3985 .42028 .4155 .43364 .40939 .42615 .39129 Metetra
.627 .572 .774 r
.42615 .39129 .43364 .40939 .44701 .40493 .43952 .38677 Metetra
.573 .543 .783 r
.43952 .38677 .44701 .40493 .46041 .40209 .45289 .38494 Metetra
.517 .525 .803 r
.45289 .38494 .46041 .40209 .47387 .40059 .46631 .3854 Metetra
.46 .522 .835 r
.46631 .3854 .47387 .40059 .48741 .39986 .47982 .38739 Metetra
.408 .544 .881 r
.47982 .38739 .48741 .39986 .50106 .39921 .49345 .38993 Metetra
.366 .602 .938 r
.49345 .38993 .50106 .39921 .5148 .39791 .50721 .39196 Metetra
.344 .694 .982 r
.50721 .39196 .5148 .39791 .52864 .39541 .5211 .39256 Metetra
.35 .787 .965 r
.5211 .39256 .52864 .39541 .54257 .39137 .5351 .39101 Metetra
.387 .846 .887 r
.5351 .39101 .54257 .39137 .55655 .38574 .54919 .38699 Metetra
.458 .885 .82 r
.54919 .38699 .55655 .38574 .57058 .37879 .56331 .38053 Metetra
.557 .93 .807 r
.56331 .38053 .57058 .37879 .58464 .37096 .57747 .37204 Metetra
.668 .975 .844 r
.57747 .37204 .58464 .37096 .59874 .36284 .59163 .36216 Metetra
.76 .988 .896 r
.59163 .36216 .59874 .36284 .61289 .35502 .60581 .35167 Metetra
.797 .943 .921 r
.60581 .35167 .61289 .35502 .62711 .34798 .62001 .34135 Metetra
.778 .852 .906 r
.62001 .34135 .62711 .34798 .64142 .34205 .63427 .33188 Metetra
.73 .753 .871 r
.63427 .33188 .64142 .34205 .65585 .33731 .64861 .32374 Metetra
.678 .668 .833 r
.64861 .32374 .65585 .33731 .67041 .33369 .66307 .31723 Metetra
.633 .605 .804 r
.66307 .31723 .67041 .33369 .6851 .33091 .67767 .31239 Metetra
.599 .563 .786 r
.67767 .31239 .6851 .33091 .6999 .32859 .69243 .30908 Metetra
.574 .54 .779 r
.69243 .30908 .6999 .32859 .71482 .3263 .70735 .30698 Metetra
.558 .533 .783 r
.70735 .30698 .71482 .3263 .72981 .32365 .72243 .30567 Metetra
.551 .545 .801 r
.72243 .30567 .72981 .32365 .74486 .32031 .73765 .30467 Metetra
.551 .577 .834 r
.73765 .30467 .74486 .32031 .75994 .31609 .75298 .30353 Metetra
.559 .636 .884 r
.75298 .30353 .75994 .31609 .77503 .31094 .76838 .30181 Metetra
.568 .724 .947 r
.76838 .30181 .77503 .31094 .79013 .30493 .78383 .29921 Metetra
.678 .565 .721 r
.11366 .49896 .12075 .52011 .13303 .51376 .12621 .49029 Metetra
.663 .543 .708 r
.12621 .49029 .13303 .51376 .14545 .50656 .13872 .48206 Metetra
.649 .529 .704 r
.13872 .48206 .14545 .50656 .15795 .4988 .15117 .47468 Metetra
.635 .523 .709 r
.15117 .47468 .15795 .4988 .17051 .4909 .16351 .46849 Metetra
.619 .524 .725 r
.16351 .46849 .17051 .4909 .18306 .48328 .17574 .4638 Metetra
.597 .535 .755 r
.17574 .4638 .18306 .48328 .19556 .47641 .18784 .46083 Metetra
.559 .559 .81 r
.18784 .46083 .19556 .47641 .208 .47071 .19983 .45968 Metetra
.472 .6 .899 r
.19983 .45968 .208 .47071 .22034 .46647 .21173 .46029 Metetra
.211 .606 .949 r
.21173 .46029 .22034 .46647 .23259 .46386 .22358 .46241 Metetra
.253 0 0 r
.22358 .46241 .23259 .46386 .24478 .46282 .23543 .46564 Metetra
.458 0 0 r
.23543 .46564 .24478 .46282 .25694 .46311 .24737 .46935 Metetra
.492 0 0 r
.24737 .46935 .25694 .46311 .26912 .46425 .25944 .47278 Metetra
.467 0 .036 r
.25944 .47278 .26912 .46425 .2814 .46558 .27172 .4751 Metetra
.399 0 .013 r
.27172 .4751 .2814 .46558 .29381 .46633 .28425 .47543 Metetra
.258 0 0 r
.28425 .47543 .29381 .46633 .30642 .46575 .29707 .47306 Metetra
.29707 .47306 .30642 .46575 .31923 .46319 .31017 .4675 Metetra
.524 .902 .727 r
.31017 .4675 .31923 .46319 .33227 .45826 .32353 .45861 Metetra
.83 .982 .879 r
.32353 .45861 .33227 .45826 .34549 .45087 .3371 .44667 Metetra
.867 .871 .839 r
.3371 .44667 .34549 .45087 .35886 .44137 .35079 .43238 Metetra
.837 .77 .787 r
.35079 .43238 .35886 .44137 .37232 .43041 .36453 .41679 Metetra
.797 .695 .752 r
.36453 .41679 .37232 .43041 .38582 .41893 .37825 .40117 Metetra
.755 .638 .731 r
.37825 .40117 .38582 .41893 .3993 .40796 .39189 .38684 Metetra
.711 .591 .72 r
.39189 .38684 .3993 .40796 .41275 .3985 .40542 .375 Metetra
.662 .549 .715 r
.40542 .375 .41275 .3985 .42615 .39129 .41885 .36655 Metetra
.608 .509 .716 r
.41885 .36655 .42615 .39129 .43952 .38677 .43219 .36197 Metetra
.547 .472 .722 r
.43219 .36197 .43952 .38677 .45289 .38494 .44551 .36127 Metetra
.479 .438 .734 r
.44551 .36127 .45289 .38494 .46631 .3854 .45885 .364 Metetra
.406 .413 .754 r
.45885 .364 .46631 .3854 .47982 .38739 .47228 .36926 Metetra
.328 .402 .787 r
.47228 .36926 .47982 .38739 .49345 .38993 .48584 .37587 Metetra
.245 .418 .836 r
.48584 .37587 .49345 .38993 .50721 .39196 .49957 .3825 Metetra
.158 .475 .895 r
.49957 .3825 .50721 .39196 .5211 .39256 .51347 .38786 Metetra
.07 .559 .894 r
.51347 .38786 .5211 .39256 .5351 .39101 .52753 .39088 Metetra
.015 .589 .722 r
.52753 .39088 .5351 .39101 .54919 .38699 .54172 .39082 Metetra
.54172 .39082 .54919 .38699 .56331 .38053 .55598 .38738 Metetra
.55598 .38738 .56331 .38053 .57747 .37204 .57029 .38067 Metetra
.57029 .38067 .57747 .37204 .59163 .36216 .5846 .37117 Metetra
.5846 .37117 .59163 .36216 .60581 .35167 .5989 .35962 Metetra
.5989 .35962 .60581 .35167 .62001 .34135 .61317 .34688 Metetra
.528 .856 .572 r
.61317 .34688 .62001 .34135 .63427 .33188 .62744 .33382 Metetra
.721 .982 .781 r
.62744 .33382 .63427 .33188 .64861 .32374 .64173 .32122 Metetra
.814 .968 .902 r
.64173 .32122 .64861 .32374 .66307 .31723 .65606 .30973 Metetra
.782 .836 .894 r
.65606 .30973 .66307 .31723 .67767 .31239 .67049 .29978 Metetra
.714 .703 .839 r
.67049 .29978 .67767 .31239 .69243 .30908 .68504 .29164 Metetra
.654 .606 .789 r
.68504 .29164 .69243 .30908 .70735 .30698 .69974 .28537 Metetra
.61 .542 .753 r
.69974 .28537 .70735 .30698 .72243 .30567 .71461 .28088 Metetra
.58 .501 .73 r
.71461 .28088 .72243 .30567 .73765 .30467 .72968 .27797 Metetra
.559 .477 .719 r
.72968 .27797 .73765 .30467 .75298 .30353 .74493 .27631 Metetra
.546 .467 .717 r
.74493 .27631 .75298 .30353 .76838 .30181 .76037 .27554 Metetra
.539 .468 .725 r
.76037 .27554 .76838 .30181 .78383 .29921 .77598 .27525 Metetra
.603 .484 .691 r
.10739 .47138 .11366 .49896 .12621 .49029 .11939 .4669 Metetra
.592 .501 .72 r
.11939 .4669 .12621 .49029 .13872 .48206 .13127 .46377 Metetra
.571 .531 .772 r
.13127 .46377 .13872 .48206 .15117 .47468 .14305 .46209 Metetra
.517 .587 .864 r
.14305 .46209 .15117 .47468 .16351 .46849 .15474 .46192 Metetra
.303 .645 .968 r
.15474 .46192 .16351 .46849 .17574 .4638 .16634 .46324 Metetra
.267 0 0 r
.16634 .46324 .17574 .4638 .18784 .46083 .1779 .46595 Metetra
.505 0 0 r
.1779 .46595 .18784 .46083 .19983 .45968 .18944 .46982 Metetra
.553 .108 .147 r
.18944 .46982 .19983 .45968 .21173 .46029 .20102 .47451 Metetra
.561 .153 .225 r
.20102 .47451 .21173 .46029 .22358 .46241 .21269 .47955 Metetra
.554 .164 .257 r
.21269 .47955 .22358 .46241 .23543 .46564 .22451 .48434 Metetra
.535 .153 .262 r
.22451 .48434 .23543 .46564 .24737 .46935 .23654 .48816 Metetra
.501 .116 .243 r
.23654 .48816 .24737 .46935 .25944 .47278 .24884 .49024 Metetra
.437 .041 .189 r
.24884 .49024 .25944 .47278 .27172 .4751 .26145 .48979 Metetra
.308 0 .07 r
.26145 .48979 .27172 .4751 .28425 .47543 .27439 .48615 Metetra
.004 0 0 r
.27439 .48615 .28425 .47543 .29707 .47306 .28767 .47883 Metetra
.59 .919 .689 r
.28767 .47883 .29707 .47306 .31017 .4675 .30124 .46766 Metetra
.884 .961 .843 r
.30124 .46766 .31017 .4675 .32353 .45861 .31506 .45285 Metetra
.882 .826 .788 r
.31506 .45285 .32353 .45861 .3371 .44667 .32905 .43504 Metetra
.843 .729 .738 r
.32905 .43504 .3371 .44667 .35079 .43238 .3431 .41524 Metetra
.805 .664 .707 r
.3431 .41524 .35079 .43238 .36453 .41679 .35713 .39475 Metetra
.769 .616 .689 r
.35713 .39475 .36453 .41679 .37825 .40117 .37106 .37505 Metetra
.733 .576 .679 r
.37106 .37505 .37825 .40117 .39189 .38684 .38483 .35757 Metetra
.692 .538 .673 r
.38483 .35757 .39189 .38684 .40542 .375 .39842 .34358 Metetra
.646 .501 .672 r
.39842 .34358 .40542 .375 .41885 .36655 .41184 .33401 Metetra
.592 .462 .672 r
.41184 .33401 .41885 .36655 .43219 .36197 .42513 .32936 Metetra
.529 .421 .675 r
.42513 .32936 .43219 .36197 .44551 .36127 .43834 .32966 Metetra
.46 .379 .679 r
.43834 .32966 .44551 .36127 .45885 .364 .45156 .33441 Metetra
.385 .34 .685 r
.45156 .33441 .45885 .364 .47228 .36926 .46486 .34272 Metetra
.307 .308 .698 r
.46486 .34272 .47228 .36926 .48584 .37587 .47831 .35332 Metetra
.228 .29 .72 r
.47831 .35332 .48584 .37587 .49957 .3825 .49194 .36479 Metetra
.147 .296 .759 r
.49194 .36479 .49957 .3825 .51347 .38786 .5058 .37563 Metetra
.056 .339 .817 r
.5058 .37563 .51347 .38786 .52753 .39088 .51986 .38452 Metetra
0 .419 .836 r
.51986 .38452 .52753 .39088 .54172 .39082 .53411 .39042 Metetra
.159 0 0 r
.53411 .39042 .54172 .39082 .55598 .38738 .5485 .39264 Metetra
.177 0 0 r
.5485 .39264 .55598 .38738 .57029 .38067 .56298 .39095 Metetra
.16 0 0 r
.56298 .39095 .57029 .38067 .5846 .37117 .57751 .3855 Metetra
.139 0 0 r
.57751 .3855 .5846 .37117 .5989 .35962 .59203 .37674 Metetra
.119 0 .044 r
.59203 .37674 .5989 .35962 .61317 .34688 .60654 .36537 Metetra
.095 0 .061 r
.60654 .36537 .61317 .34688 .62744 .33382 .621 .35215 Metetra
.061 0 .048 r
.621 .35215 .62744 .33382 .64173 .32122 .63543 .33791 Metetra
.008 0 .002 r
.63543 .33791 .64173 .32122 .65606 .30973 .64983 .32335 Metetra
.64983 .32335 .65606 .30973 .67049 .29978 .66424 .30912 Metetra
.66424 .30912 .67049 .29978 .68504 .29164 .67868 .2957 Metetra
.545 .883 .631 r
.67868 .2957 .68504 .29164 .69974 .28537 .69318 .28346 Metetra
.775 .983 .906 r
.69318 .28346 .69974 .28537 .71461 .28088 .70777 .27263 Metetra
.763 .821 .898 r
.70777 .27263 .71461 .28088 .72968 .27797 .72248 .26333 Metetra
.693 .666 .82 r
.72248 .26333 .72968 .27797 .74493 .27631 .73735 .25559 Metetra
.639 .568 .759 r
.73735 .25559 .74493 .27631 .76037 .27554 .75238 .24936 Metetra
.602 .507 .719 r
.75238 .24936 .76037 .27554 .77598 .27525 .76759 .24453 Metetra
.4 0 0 r
.09672 .47789 .10739 .47138 .11939 .4669 .10807 .47913 Metetra
.484 .053 .144 r
.10807 .47913 .11939 .4669 .13127 .46377 .11942 .48115 Metetra
.515 .125 .241 r
.11942 .48115 .13127 .46377 .14305 .46209 .13079 .48386 Metetra
.528 .163 .291 r
.13079 .48386 .14305 .46209 .15474 .46192 .14219 .48716 Metetra
.535 .184 .319 r
.14219 .48716 .15474 .46192 .16634 .46324 .15366 .4909 Metetra
.537 .194 .334 r
.15366 .4909 .16634 .46324 .1779 .46595 .16522 .49486 Metetra
.535 .196 .339 r
.16522 .49486 .1779 .46595 .18944 .46982 .1769 .49875 Metetra
.529 .189 .335 r
.1769 .49875 .18944 .46982 .20102 .47451 .18874 .50221 Metetra
.516 .171 .321 r
.18874 .50221 .20102 .47451 .21269 .47955 .20079 .50478 Metetra
.491 .137 .292 r
.20079 .50478 .21269 .47955 .22451 .48434 .21308 .50595 Metetra
.443 .071 .236 r
.21308 .50595 .22451 .48434 .23654 .48816 .22565 .50512 Metetra
.34 0 .122 r
.22565 .50512 .23654 .48816 .24884 .49024 .23853 .5017 Metetra
.072 0 0 r
.23853 .5017 .24884 .49024 .26145 .48979 .25174 .49516 Metetra
.559 .911 .707 r
.25174 .49516 .26145 .48979 .27439 .48615 .26527 .48507 Metetra
.872 .94 .86 r
.26527 .48507 .27439 .48615 .28767 .47883 .2791 .47125 Metetra
.861 .791 .781 r
.2791 .47125 .28767 .47883 .30124 .46766 .29318 .45379 Metetra
.828 .701 .723 r
.29318 .45379 .30124 .46766 .31506 .45285 .30743 .43317 Metetra
.802 .646 .689 r
.30743 .43317 .31506 .45285 .32905 .43504 .32177 .41019 Metetra
.779 .608 .668 r
.32177 .41019 .32905 .43504 .3431 .41524 .33609 .38599 Metetra
.758 .579 .655 r
.33609 .38599 .3431 .41524 .35713 .39475 .35032 .36192 Metetra
.734 .553 .648 r
.35032 .36192 .35713 .39475 .37106 .37505 .36436 .33944 Metetra
.707 .528 .644 r
.36436 .33944 .37106 .37505 .38483 .35757 .37819 .31994 Metetra
.673 .5 .643 r
.37819 .31994 .38483 .35757 .39842 .34358 .39178 .30463 Metetra
.631 .468 .644 r
.39178 .30463 .39842 .34358 .41184 .33401 .40515 .29438 Metetra
.58 .432 .645 r
.40515 .29438 .41184 .33401 .42513 .32936 .41835 .28966 Metetra
.521 .391 .645 r
.41835 .28966 .42513 .32936 .43834 .32966 .43145 .29049 Metetra
.456 .348 .643 r
.43145 .29049 .43834 .32966 .45156 .33441 .44453 .29643 Metetra
.389 .307 .642 r
.44453 .29643 .45156 .33441 .46486 .34272 .45767 .30662 Metetra
.325 .271 .642 r
.45767 .30662 .46486 .34272 .47831 .35332 .47095 .31988 Metetra
.271 .246 .647 r
.47095 .31988 .47831 .35332 .49194 .36479 .48444 .33482 Metetra
.229 .237 .661 r
.48444 .33482 .49194 .36479 .5058 .37563 .49817 .34999 Metetra
.2 .249 .689 r
.49817 .34999 .5058 .37563 .51986 .38452 .51216 .36401 Metetra
.183 .287 .737 r
.51216 .36401 .51986 .38452 .53411 .39042 .52638 .37571 Metetra
.169 .366 .815 r
.52638 .37571 .53411 .39042 .5485 .39264 .54081 .38425 Metetra
.139 .501 .908 r
.54081 .38425 .5485 .39264 .56298 .39095 .5554 .38914 Metetra
.035 .594 .808 r
.5554 .38914 .56298 .39095 .57751 .3855 .5701 .39023 Metetra
.097 0 0 r
.5701 .39023 .57751 .3855 .59203 .37674 .58487 .3877 Metetra
.166 0 0 r
.58487 .3877 .59203 .37674 .60654 .36537 .59966 .38195 Metetra
.203 0 .062 r
.59966 .38195 .60654 .36537 .621 .35215 .61445 .37351 Metetra
.226 0 .145 r
.61445 .37351 .621 .35215 .63543 .33791 .62922 .36299 Metetra
.243 0 .192 r
.62922 .36299 .63543 .33791 .64983 .32335 .64396 .35097 Metetra
.254 0 .22 r
.64396 .35097 .64983 .32335 .66424 .30912 .65867 .338 Metetra
.26 0 .233 r
.65867 .338 .66424 .30912 .67868 .2957 .67336 .32454 Metetra
.259 0 .234 r
.67336 .32454 .67868 .2957 .69318 .28346 .68805 .31096 Metetra
.252 0 .223 r
.68805 .31096 .69318 .28346 .70777 .27263 .70275 .29759 Metetra
.233 0 .197 r
.70275 .29759 .70777 .27263 .72248 .26333 .71748 .28462 Metetra
.198 0 .149 r
.71748 .28462 .72248 .26333 .73735 .25559 .73225 .27225 Metetra
.13 0 .058 r
.73225 .27225 .73735 .25559 .75238 .24936 .74708 .26057 Metetra
.74708 .26057 .75238 .24936 .76759 .24453 .76199 .24966 Metetra
.491 .17 .35 r
.08192 .51421 .09672 .47789 .10807 .47913 .09355 .51461 Metetra
.49 .167 .346 r
.09355 .51461 .10807 .47913 .11942 .48115 .10527 .51501 Metetra
.487 .16 .338 r
.10527 .51501 .11942 .48115 .13079 .48386 .11708 .51534 Metetra
.482 .149 .324 r
.11708 .51534 .13079 .48386 .14219 .48716 .129 .51553 Metetra
.473 .13 .302 r
.129 .51553 .14219 .48716 .15366 .4909 .14104 .51546 Metetra
.457 .099 .268 r
.14104 .51546 .15366 .4909 .16522 .49486 .15321 .51496 Metetra
.426 .044 .209 r
.15321 .51496 .16522 .49486 .1769 .49875 .16555 .51383 Metetra
.361 0 .1 r
.16555 .51383 .1769 .49875 .18874 .50221 .17805 .51178 Metetra
.197 0 0 r
.17805 .51178 .18874 .50221 .20079 .50478 .19076 .5085 Metetra
.257 .75 .669 r
.19076 .5085 .20079 .50478 .21308 .50595 .2037 .50359 Metetra
.712 .925 .963 r
.2037 .50359 .21308 .50595 .22565 .50512 .21689 .49663 Metetra
.767 .772 .857 r
.21689 .49663 .22565 .50512 .23853 .5017 .23033 .4872 Metetra
.757 .672 .768 r
.23033 .4872 .23853 .5017 .25174 .49516 .24404 .47494 Metetra
.748 .617 .714 r
.24404 .47494 .25174 .49516 .26527 .48507 .25801 .4596 Metetra
.742 .586 .681 r
.25801 .4596 .26527 .48507 .2791 .47125 .27219 .44114 Metetra
.739 .566 .659 r
.27219 .44114 .2791 .47125 .29318 .45379 .28655 .41977 Metetra
.736 .553 .645 r
.28655 .41977 .29318 .45379 .30743 .43317 .301 .396 Metetra
.733 .543 .636 r
.301 .396 .30743 .43317 .32177 .41019 .31546 .37063 Metetra
.727 .534 .63 r
.31546 .37063 .32177 .41019 .33609 .38599 .32986 .34474 Metetra
.719 .524 .626 r
.32986 .34474 .33609 .38599 .35032 .36192 .3441 .31956 Metetra
.705 .513 .626 r
.3441 .31956 .35032 .36192 .36436 .33944 .35813 .29642 Metetra
.685 .497 .626 r
.35813 .29642 .36436 .33944 .37819 .31994 .37192 .27657 Metetra
.658 .477 .628 r
.37192 .27657 .37819 .31994 .39178 .30463 .38544 .26108 Metetra
.621 .451 .63 r
.38544 .26108 .39178 .30463 .40515 .29438 .39872 .25073 Metetra
.575 .418 .631 r
.39872 .25073 .40515 .29438 .41835 .28966 .41181 .24594 Metetra
.52 .38 .63 r
.41181 .24594 .41835 .28966 .43145 .29049 .42479 .24672 Metetra
.461 .339 .627 r
.42479 .24672 .43145 .29049 .44453 .29643 .43773 .25268 Metetra
.403 .299 .622 r
.43773 .25268 .44453 .29643 .45767 .30662 .45072 .26307 Metetra
.355 .267 .617 r
.45072 .26307 .45767 .30662 .47095 .31988 .46384 .27683 Metetra
.32 .246 .614 r
.46384 .27683 .47095 .31988 .48444 .33482 .47716 .29273 Metetra
.303 .238 .616 r
.47716 .29273 .48444 .33482 .49817 .34999 .49072 .30944 Metetra
.302 .243 .623 r
.49072 .30944 .49817 .34999 .51216 .36401 .50455 .32571 Metetra
.315 .261 .636 r
.50455 .32571 .51216 .36401 .52638 .37571 .51864 .34046 Metetra
.339 .29 .656 r
.51864 .34046 .52638 .37571 .54081 .38425 .53298 .35284 Metetra
.372 .33 .682 r
.53298 .35284 .54081 .38425 .5554 .38914 .54753 .36233 Metetra
.41 .383 .718 r
.54753 .36233 .5554 .38914 .5701 .39023 .56225 .36868 Metetra
.454 .454 .768 r
.56225 .36868 .5701 .39023 .58487 .3877 .5771 .37192 Metetra
.504 .555 .841 r
.5771 .37192 .58487 .3877 .59966 .38195 .59204 .37227 Metetra
.553 .707 .942 r
.59204 .37227 .59966 .38195 .61445 .37351 .60705 .37008 Metetra
.531 .875 .989 r
.60705 .37008 .61445 .37351 .62922 .36299 .6221 .36578 Metetra
.264 .752 .66 r
.6221 .36578 .62922 .36299 .64396 .35097 .63719 .35979 Metetra
.02 0 0 r
.63719 .35979 .64396 .35097 .65867 .338 .65229 .35249 Metetra
.168 0 .006 r
.65229 .35249 .65867 .338 .67336 .32454 .66741 .34423 Metetra
.246 0 .129 r
.66741 .34423 .67336 .32454 .68805 .31096 .68255 .33528 Metetra
.293 0 .2 r
.68255 .33528 .68805 .31096 .70275 .29759 .69771 .32587 Metetra
.322 0 .243 r
.69771 .32587 .70275 .29759 .71748 .28462 .7129 .31615 Metetra
.342 .023 .272 r
.7129 .31615 .71748 .28462 .73225 .27225 .72811 .30625 Metetra
.356 .043 .29 r
.72811 .30625 .73225 .27225 .74708 .26057 .74336 .29626 Metetra
.364 .056 .302 r
.74336 .29626 .74708 .26057 .76199 .24966 .75864 .28625 Metetra
.487 .876 .968 r
.07188 .51295 .08192 .51421 .09355 .51461 .08405 .50949 Metetra
.606 .821 .982 r
.08405 .50949 .09355 .51461 .10527 .51501 .0963 .50593 Metetra
.632 .72 .91 r
.0963 .50593 .10527 .51501 .11708 .51534 .10862 .50224 Metetra
.63 .637 .839 r
.10862 .50224 .11708 .51534 .129 .51553 .12104 .49836 Metetra
.623 .579 .784 r
.12104 .49836 .129 .51553 .14104 .51546 .13354 .49422 Metetra
.617 .537 .743 r
.13354 .49422 .14104 .51546 .15321 .51496 .14615 .48969 Metetra
.613 .509 .711 r
.14615 .48969 .15321 .51496 .16555 .51383 .15887 .48461 Metetra
.613 .489 .687 r
.15887 .48461 .16555 .51383 .17805 .51178 .17173 .47876 Metetra
.615 .476 .669 r
.17173 .47876 .17805 .51178 .19076 .5085 .18475 .47188 Metetra
.62 .468 .655 r
.18475 .47188 .19076 .5085 .2037 .50359 .19794 .46367 Metetra
.627 .465 .644 r
.19794 .46367 .2037 .50359 .21689 .49663 .21133 .45377 Metetra
.636 .465 .635 r
.21133 .45377 .21689 .49663 .23033 .4872 .22492 .44184 Metetra
.646 .468 .628 r
.22492 .44184 .23033 .4872 .24404 .47494 .23872 .42761 Metetra
.657 .473 .623 r
.23872 .42761 .24404 .47494 .25801 .4596 .25272 .41088 Metetra
.668 .478 .619 r
.25272 .41088 .25801 .4596 .27219 .44114 .26688 .39164 Metetra
.678 .484 .616 r
.26688 .39164 .27219 .44114 .28655 .41977 .28117 .37008 Metetra
.687 .49 .614 r
.28117 .37008 .28655 .41977 .301 .396 .29552 .34665 Metetra
.693 .494 .614 r
.29552 .34665 .301 .396 .31546 .37063 .30987 .32208 Metetra
.696 .497 .614 r
.30987 .32208 .31546 .37063 .32986 .34474 .32412 .29728 Metetra
.695 .497 .616 r
.32412 .29728 .32986 .34474 .3441 .31956 .33823 .27336 Metetra
.688 .493 .618 r
.33823 .27336 .3441 .31956 .35813 .29642 .35212 .25146 Metetra
.674 .485 .622 r
.35212 .25146 .35813 .29642 .37192 .27657 .36578 .23268 Metetra
.651 .47 .626 r
.36578 .23268 .37192 .27657 .38544 .26108 .37918 .21796 Metetra
.618 .448 .63 r
.37918 .21796 .38544 .26108 .39872 .25073 .39236 .20798 Metetra
.575 .419 .632 r
.39236 .20798 .39872 .25073 .41181 .24594 .40535 .20311 Metetra
.524 .383 .631 r
.40535 .20311 .41181 .24594 .42479 .24672 .41822 .20337 Metetra
.469 .344 .627 r
.41822 .20337 .42479 .24672 .43773 .25268 .43106 .20842 Metetra
.418 .307 .62 r
.43106 .20842 .43773 .25268 .45072 .26307 .44393 .21758 Metetra
.379 .278 .612 r
.44393 .21758 .45072 .26307 .46384 .27683 .45692 .22993 Metetra
.356 .26 .606 r
.45692 .22993 .46384 .27683 .47716 .29273 .47009 .24439 Metetra
.351 .254 .603 r
.47009 .24439 .47716 .29273 .49072 .30944 .48348 .2598 Metetra
.359 .258 .602 r
.48348 .2598 .49072 .30944 .50455 .32571 .49713 .27508 Metetra
.377 .27 .604 r
.49713 .27508 .50455 .32571 .51864 .34046 .51103 .28927 Metetra
.401 .287 .607 r
.51103 .28927 .51864 .34046 .53298 .35284 .52518 .30165 Metetra
.428 .306 .612 r
.52518 .30165 .53298 .35284 .54753 .36233 .53956 .31174 Metetra
.454 .326 .617 r
.53956 .31174 .54753 .36233 .56225 .36868 .55412 .31932 Metetra
.478 .346 .622 r
.55412 .31932 .56225 .36868 .5771 .37192 .56884 .32439 Metetra
.5 .366 .629 r
.56884 .32439 .5771 .37192 .59204 .37227 .58369 .32712 Metetra
.52 .385 .637 r
.58369 .32712 .59204 .37227 .60705 .37008 .59865 .32779 Metetra
.538 .404 .646 r
.59865 .32779 .60705 .37008 .6221 .36578 .61369 .32675 Metetra
.554 .424 .658 r
.61369 .32675 .6221 .36578 .63719 .35979 .6288 .32432 Metetra
.568 .445 .672 r
.6288 .32432 .63719 .35979 .65229 .35249 .64398 .32084 Metetra
.583 .47 .69 r
.64398 .32084 .65229 .35249 .66741 .34423 .65923 .31655 Metetra
.597 .499 .713 r
.65923 .31655 .66741 .34423 .68255 .33528 .67454 .31169 Metetra
.613 .535 .743 r
.67454 .31169 .68255 .33528 .69771 .32587 .68992 .30642 Metetra
.63 .583 .782 r
.68992 .30642 .69771 .32587 .7129 .31615 .70537 .30086 Metetra
.648 .646 .834 r
.70537 .30086 .7129 .31615 .72811 .30625 .72089 .2951 Metetra
.665 .731 .899 r
.72089 .2951 .72811 .30625 .74336 .29626 .73648 .28919 Metetra
.662 .838 .968 r
.73648 .28919 .74336 .29626 .75864 .28625 .75214 .28316 Metetra
.567 .407 .623 r
.06795 .46666 .07188 .51295 .08405 .50949 .08012 .46243 Metetra
.567 .405 .622 r
.08012 .46243 .08405 .50949 .0963 .50593 .09234 .45819 Metetra
.566 .404 .62 r
.09234 .45819 .0963 .50593 .10862 .50224 .10463 .45392 Metetra
.565 .402 .619 r
.10463 .45392 .10862 .50224 .12104 .49836 .11697 .44963 Metetra
.565 .402 .619 r
.11697 .44963 .12104 .49836 .13354 .49422 .12938 .44533 Metetra
.565 .401 .618 r
.12938 .44533 .13354 .49422 .14615 .48969 .14184 .441 Metetra
.565 .402 .619 r
.14184 .441 .14615 .48969 .15887 .48461 .15437 .43665 Metetra
.566 .404 .621 r
.15437 .43665 .15887 .48461 .17173 .47876 .16695 .43228 Metetra
.568 .408 .625 r
.16695 .43228 .17173 .47876 .18475 .47188 .1796 .42789 Metetra
.57 .415 .631 r
.1796 .42789 .18475 .47188 .19794 .46367 .19231 .42347 Metetra
.575 .427 .643 r
.19231 .42347 .19794 .46367 .21133 .45377 .20509 .41904 Metetra
.583 .448 .663 r
.20509 .41904 .21133 .45377 .22492 .44184 .21793 .41458 Metetra
.598 .489 .701 r
.21793 .41458 .22492 .44184 .23872 .42761 .23083 .4101 Metetra
.626 .58 .783 r
.23083 .4101 .23872 .42761 .25272 .41088 .24379 .4056 Metetra
.638 .837 .977 r
.24379 .4056 .25272 .41088 .26688 .39164 .25682 .40107 Metetra
.115 0 0 r
.25682 .40107 .26688 .39164 .28117 .37008 .26992 .39653 Metetra
.376 .025 .235 r
.26992 .39653 .28117 .37008 .29552 .34665 .28308 .39196 Metetra
.437 .131 .348 r
.28308 .39196 .29552 .34665 .30987 .32208 .29631 .38736 Metetra
.461 .177 .395 r
.29631 .38736 .30987 .32208 .32412 .29728 .3096 .38275 Metetra
.473 .201 .42 r
.3096 .38275 .32412 .29728 .33823 .27336 .32296 .37811 Metetra
.481 .216 .435 r
.32296 .37811 .33823 .27336 .35212 .25146 .33639 .37344 Metetra
.485 .225 .444 r
.33639 .37344 .35212 .25146 .36578 .23268 .34989 .36876 Metetra
.488 .23 .45 r
.34989 .36876 .36578 .23268 .37918 .21796 .36346 .36405 Metetra
.49 .234 .453 r
.36346 .36405 .37918 .21796 .39236 .20798 .37709 .35931 Metetra
.49 .235 .454 r
.37709 .35931 .39236 .20798 .40535 .20311 .3908 .35455 Metetra
.49 .235 .454 r
.3908 .35455 .40535 .20311 .41822 .20337 .40457 .34977 Metetra
.49 .234 .453 r
.40457 .34977 .41822 .20337 .43106 .20842 .41842 .34496 Metetra
.488 .23 .45 r
.41842 .34496 .43106 .20842 .44393 .21758 .43234 .34013 Metetra
.485 .225 .444 r
.43234 .34013 .44393 .21758 .45692 .22993 .44633 .33527 Metetra
.481 .216 .435 r
.44633 .33527 .45692 .22993 .47009 .24439 .46039 .33039 Metetra
.473 .201 .42 r
.46039 .33039 .47009 .24439 .48348 .2598 .47453 .32548 Metetra
.461 .177 .395 r
.47453 .32548 .48348 .2598 .49713 .27508 .48874 .32054 Metetra
.437 .131 .348 r
.48874 .32054 .49713 .27508 .51103 .28927 .50302 .31559 Metetra
.376 .025 .235 r
.50302 .31559 .51103 .28927 .52518 .30165 .51738 .3106 Metetra
.115 0 0 r
.51738 .3106 .52518 .30165 .53956 .31174 .53181 .30559 Metetra
.638 .837 .977 r
.53181 .30559 .53956 .31174 .55412 .31932 .54632 .30055 Metetra
.626 .58 .783 r
.54632 .30055 .55412 .31932 .56884 .32439 .56091 .29548 Metetra
.598 .489 .701 r
.56091 .29548 .56884 .32439 .58369 .32712 .57557 .29039 Metetra
.583 .448 .663 r
.57557 .29039 .58369 .32712 .59865 .32779 .59032 .28527 Metetra
.575 .427 .643 r
.59032 .28527 .59865 .32779 .61369 .32675 .60514 .28013 Metetra
.57 .415 .631 r
.60514 .28013 .61369 .32675 .6288 .32432 .62004 .27495 Metetra
.568 .408 .625 r
.62004 .27495 .6288 .32432 .64398 .32084 .63502 .26975 Metetra
.566 .404 .621 r
.63502 .26975 .64398 .32084 .65923 .31655 .65008 .26452 Metetra
.565 .402 .619 r
.65008 .26452 .65923 .31655 .67454 .31169 .66522 .25926 Metetra
.565 .401 .618 r
.66522 .25926 .67454 .31169 .68992 .30642 .68044 .25398 Metetra
.565 .402 .619 r
.68044 .25398 .68992 .30642 .70537 .30086 .69575 .24866 Metetra
.565 .402 .619 r
.69575 .24866 .70537 .30086 .72089 .2951 .71113 .24332 Metetra
.566 .404 .62 r
.71113 .24332 .72089 .2951 .73648 .28919 .72661 .23795 Metetra
.567 .405 .622 r
.72661 .23795 .73648 .28919 .75214 .28316 .74216 .23255 Metetra
.652 .756 .926 r
.05871 .45884 .06795 .46666 .08012 .46243 .07091 .45458 Metetra
.652 .756 .926 r
.07091 .45458 .08012 .46243 .09234 .45819 .08317 .45029 Metetra
.652 .756 .926 r
.08317 .45029 .09234 .45819 .10463 .45392 .09548 .44599 Metetra
.652 .756 .926 r
.09548 .44599 .10463 .45392 .11697 .44963 .10786 .44167 Metetra
.652 .756 .926 r
.10786 .44167 .11697 .44963 .12938 .44533 .1203 .43732 Metetra
.652 .756 .926 r
.1203 .43732 .12938 .44533 .14184 .441 .1328 .43295 Metetra
.652 .756 .926 r
.1328 .43295 .14184 .441 .15437 .43665 .14536 .42856 Metetra
.652 .756 .926 r
.14536 .42856 .15437 .43665 .16695 .43228 .15798 .42415 Metetra
.652 .756 .926 r
.15798 .42415 .16695 .43228 .1796 .42789 .17066 .41972 Metetra
.652 .756 .926 r
.17066 .41972 .1796 .42789 .19231 .42347 .18341 .41527 Metetra
.652 .756 .926 r
.18341 .41527 .19231 .42347 .20509 .41904 .19622 .41079 Metetra
.652 .756 .926 r
.19622 .41079 .20509 .41904 .21793 .41458 .2091 .40629 Metetra
.652 .756 .926 r
.2091 .40629 .21793 .41458 .23083 .4101 .22204 .40177 Metetra
.652 .756 .926 r
.22204 .40177 .23083 .4101 .24379 .4056 .23504 .39723 Metetra
.652 .756 .926 r
.23504 .39723 .24379 .4056 .25682 .40107 .24811 .39266 Metetra
.652 .756 .926 r
.24811 .39266 .25682 .40107 .26992 .39653 .26124 .38807 Metetra
.652 .756 .926 r
.26124 .38807 .26992 .39653 .28308 .39196 .27444 .38346 Metetra
.652 .756 .926 r
.27444 .38346 .28308 .39196 .29631 .38736 .28771 .37882 Metetra
.652 .756 .926 r
.28771 .37882 .29631 .38736 .3096 .38275 .30105 .37416 Metetra
.652 .756 .926 r
.30105 .37416 .3096 .38275 .32296 .37811 .31445 .36948 Metetra
.652 .756 .926 r
.31445 .36948 .32296 .37811 .33639 .37344 .32792 .36477 Metetra
.652 .756 .926 r
.32792 .36477 .33639 .37344 .34989 .36876 .34146 .36004 Metetra
.652 .756 .926 r
.34146 .36004 .34989 .36876 .36346 .36405 .35507 .35529 Metetra
.652 .756 .926 r
.35507 .35529 .36346 .36405 .37709 .35931 .36875 .35051 Metetra
.652 .756 .926 r
.36875 .35051 .37709 .35931 .3908 .35455 .38249 .3457 Metetra
.652 .756 .926 r
.38249 .3457 .3908 .35455 .40457 .34977 .39631 .34087 Metetra
.652 .756 .926 r
.39631 .34087 .40457 .34977 .41842 .34496 .41021 .33602 Metetra
.652 .756 .926 r
.41021 .33602 .41842 .34496 .43234 .34013 .42417 .33114 Metetra
.652 .756 .926 r
.42417 .33114 .43234 .34013 .44633 .33527 .43821 .32624 Metetra
.652 .756 .926 r
.43821 .32624 .44633 .33527 .46039 .33039 .45232 .32131 Metetra
.652 .756 .926 r
.45232 .32131 .46039 .33039 .47453 .32548 .4665 .31635 Metetra
.652 .756 .926 r
.4665 .31635 .47453 .32548 .48874 .32054 .48076 .31137 Metetra
.652 .756 .926 r
.48076 .31137 .48874 .32054 .50302 .31559 .49509 .30636 Metetra
.652 .756 .926 r
.49509 .30636 .50302 .31559 .51738 .3106 .5095 .30133 Metetra
.652 .756 .926 r
.5095 .30133 .51738 .3106 .53181 .30559 .52398 .29626 Metetra
.652 .756 .926 r
.52398 .29626 .53181 .30559 .54632 .30055 .53854 .29118 Metetra
.652 .756 .926 r
.53854 .29118 .54632 .30055 .56091 .29548 .55318 .28606 Metetra
.652 .756 .926 r
.55318 .28606 .56091 .29548 .57557 .29039 .56789 .28092 Metetra
.652 .756 .926 r
.56789 .28092 .57557 .29039 .59032 .28527 .58269 .27575 Metetra
.652 .756 .926 r
.58269 .27575 .59032 .28527 .60514 .28013 .59756 .27055 Metetra
.652 .756 .926 r
.59756 .27055 .60514 .28013 .62004 .27495 .61251 .26533 Metetra
.652 .756 .926 r
.61251 .26533 .62004 .27495 .63502 .26975 .62755 .26007 Metetra
.652 .756 .926 r
.62755 .26007 .63502 .26975 .65008 .26452 .64266 .25479 Metetra
.652 .756 .926 r
.64266 .25479 .65008 .26452 .66522 .25926 .65786 .24948 Metetra
.652 .756 .926 r
.65786 .24948 .66522 .25926 .68044 .25398 .67314 .24414 Metetra
.652 .756 .926 r
.67314 .24414 .68044 .25398 .69575 .24866 .6885 .23878 Metetra
.652 .756 .926 r
.6885 .23878 .69575 .24866 .71113 .24332 .70395 .23338 Metetra
.652 .756 .926 r
.70395 .23338 .71113 .24332 .72661 .23795 .71948 .22795 Metetra
.652 .756 .926 r
.71948 .22795 .72661 .23795 .74216 .23255 .73509 .2225 Metetra
.652 .756 .926 r
.04939 .45096 .05871 .45884 .07091 .45458 .06162 .44665 Metetra
.652 .756 .926 r
.06162 .44665 .07091 .45458 .08317 .45029 .07391 .44233 Metetra
.652 .756 .926 r
.07391 .44233 .08317 .45029 .09548 .44599 .08626 .43799 Metetra
.652 .756 .926 r
.08626 .43799 .09548 .44599 .10786 .44167 .09867 .43363 Metetra
.652 .756 .926 r
.09867 .43363 .10786 .44167 .1203 .43732 .11114 .42924 Metetra
.652 .756 .926 r
.11114 .42924 .1203 .43732 .1328 .43295 .12367 .42483 Metetra
.652 .756 .926 r
.12367 .42483 .1328 .43295 .14536 .42856 .13627 .4204 Metetra
.652 .756 .926 r
.13627 .4204 .14536 .42856 .15798 .42415 .14893 .41595 Metetra
.652 .756 .926 r
.14893 .41595 .15798 .42415 .17066 .41972 .16165 .41148 Metetra
.652 .756 .926 r
.16165 .41148 .17066 .41972 .18341 .41527 .17443 .40699 Metetra
.652 .756 .926 r
.17443 .40699 .18341 .41527 .19622 .41079 .18728 .40247 Metetra
.652 .756 .926 r
.18728 .40247 .19622 .41079 .2091 .40629 .20019 .39793 Metetra
.652 .756 .926 r
.20019 .39793 .2091 .40629 .22204 .40177 .21316 .39336 Metetra
.652 .756 .926 r
.21316 .39336 .22204 .40177 .23504 .39723 .22621 .38878 Metetra
.652 .756 .926 r
.22621 .38878 .23504 .39723 .24811 .39266 .23931 .38417 Metetra
.652 .756 .926 r
.23931 .38417 .24811 .39266 .26124 .38807 .25249 .37954 Metetra
.652 .756 .926 r
.25249 .37954 .26124 .38807 .27444 .38346 .26573 .37488 Metetra
.652 .756 .926 r
.26573 .37488 .27444 .38346 .28771 .37882 .27903 .3702 Metetra
.652 .756 .926 r
.27903 .3702 .28771 .37882 .30105 .37416 .29241 .3655 Metetra
.652 .756 .926 r
.29241 .3655 .30105 .37416 .31445 .36948 .30585 .36077 Metetra
.652 .756 .926 r
.30585 .36077 .31445 .36948 .32792 .36477 .31937 .35602 Metetra
.652 .756 .926 r
.31937 .35602 .32792 .36477 .34146 .36004 .33295 .35124 Metetra
.652 .756 .926 r
.33295 .35124 .34146 .36004 .35507 .35529 .3466 .34644 Metetra
.652 .756 .926 r
.3466 .34644 .35507 .35529 .36875 .35051 .36032 .34162 Metetra
.652 .756 .926 r
.36032 .34162 .36875 .35051 .38249 .3457 .37411 .33677 Metetra
.652 .756 .926 r
.37411 .33677 .38249 .3457 .39631 .34087 .38798 .33189 Metetra
.652 .756 .926 r
.38798 .33189 .39631 .34087 .41021 .33602 .40191 .32699 Metetra
.652 .756 .926 r
.40191 .32699 .41021 .33602 .42417 .33114 .41592 .32207 Metetra
.652 .756 .926 r
.41592 .32207 .42417 .33114 .43821 .32624 .43001 .31711 Metetra
.652 .756 .926 r
.43001 .31711 .43821 .32624 .45232 .32131 .44416 .31214 Metetra
.652 .756 .926 r
.44416 .31214 .45232 .32131 .4665 .31635 .45839 .30713 Metetra
.652 .756 .926 r
.45839 .30713 .4665 .31635 .48076 .31137 .4727 .3021 Metetra
.652 .756 .926 r
.4727 .3021 .48076 .31137 .49509 .30636 .48708 .29704 Metetra
.652 .756 .926 r
.48708 .29704 .49509 .30636 .5095 .30133 .50154 .29196 Metetra
.652 .756 .926 r
.50154 .29196 .5095 .30133 .52398 .29626 .51607 .28685 Metetra
.652 .756 .926 r
.51607 .28685 .52398 .29626 .53854 .29118 .53068 .28171 Metetra
.652 .756 .926 r
.53068 .28171 .53854 .29118 .55318 .28606 .54537 .27655 Metetra
.652 .756 .926 r
.54537 .27655 .55318 .28606 .56789 .28092 .56014 .27135 Metetra
.652 .756 .926 r
.56014 .27135 .56789 .28092 .58269 .27575 .57498 .26613 Metetra
.652 .756 .926 r
.57498 .26613 .58269 .27575 .59756 .27055 .58991 .26088 Metetra
.652 .756 .926 r
.58991 .26088 .59756 .27055 .61251 .26533 .60492 .25561 Metetra
.652 .756 .926 r
.60492 .25561 .61251 .26533 .62755 .26007 .62001 .2503 Metetra
.652 .756 .926 r
.62001 .2503 .62755 .26007 .64266 .25479 .63518 .24497 Metetra
.652 .756 .926 r
.63518 .24497 .64266 .25479 .65786 .24948 .65043 .2396 Metetra
.652 .756 .926 r
.65043 .2396 .65786 .24948 .67314 .24414 .66576 .23421 Metetra
.652 .756 .926 r
.66576 .23421 .67314 .24414 .6885 .23878 .68118 .22879 Metetra
.652 .756 .926 r
.68118 .22879 .6885 .23878 .70395 .23338 .69669 .22334 Metetra
.652 .756 .926 r
.69669 .22334 .70395 .23338 .71948 .22795 .71228 .21786 Metetra
.652 .756 .926 r
.71228 .21786 .71948 .22795 .73509 .2225 .72795 .21234 Metetra
.652 .756 .926 r
.03998 .443 .04939 .45096 .06162 .44665 .05224 .43866 Metetra
.652 .756 .926 r
.05224 .43866 .06162 .44665 .07391 .44233 .06456 .4343 Metetra
.652 .756 .926 r
.06456 .4343 .07391 .44233 .08626 .43799 .07695 .42992 Metetra
.652 .756 .926 r
.07695 .42992 .08626 .43799 .09867 .43363 .08939 .42551 Metetra
.652 .756 .926 r
.08939 .42551 .09867 .43363 .11114 .42924 .1019 .42109 Metetra
.652 .756 .926 r
.1019 .42109 .11114 .42924 .12367 .42483 .11446 .41664 Metetra
.652 .756 .926 r
.11446 .41664 .12367 .42483 .13627 .4204 .12709 .41217 Metetra
.652 .756 .926 r
.12709 .41217 .13627 .4204 .14893 .41595 .13979 .40768 Metetra
.652 .756 .926 r
.13979 .40768 .14893 .41595 .16165 .41148 .15254 .40316 Metetra
.652 .756 .926 r
.15254 .40316 .16165 .41148 .17443 .40699 .16536 .39863 Metetra
.652 .756 .926 r
.16536 .39863 .17443 .40699 .18728 .40247 .17825 .39407 Metetra
.652 .756 .926 r
.17825 .39407 .18728 .40247 .20019 .39793 .1912 .38949 Metetra
.652 .756 .926 r
.1912 .38949 .20019 .39793 .21316 .39336 .20421 .38488 Metetra
.652 .756 .926 r
.20421 .38488 .21316 .39336 .22621 .38878 .21729 .38025 Metetra
.652 .756 .926 r
.21729 .38025 .22621 .38878 .23931 .38417 .23044 .3756 Metetra
.652 .756 .926 r
.23044 .3756 .23931 .38417 .25249 .37954 .24365 .37092 Metetra
.652 .756 .926 r
.24365 .37092 .25249 .37954 .26573 .37488 .25693 .36622 Metetra
.652 .756 .926 r
.25693 .36622 .26573 .37488 .27903 .3702 .27028 .3615 Metetra
.652 .756 .926 r
.27028 .3615 .27903 .3702 .29241 .3655 .28369 .35675 Metetra
.652 .756 .926 r
.28369 .35675 .29241 .3655 .30585 .36077 .29718 .35198 Metetra
.652 .756 .926 r
.29718 .35198 .30585 .36077 .31937 .35602 .31073 .34718 Metetra
.652 .756 .926 r
.31073 .34718 .31937 .35602 .33295 .35124 .32436 .34236 Metetra
.652 .756 .926 r
.32436 .34236 .33295 .35124 .3466 .34644 .33805 .33752 Metetra
.652 .756 .926 r
.33805 .33752 .3466 .34644 .36032 .34162 .35182 .33264 Metetra
.652 .756 .926 r
.35182 .33264 .36032 .34162 .37411 .33677 .36565 .32775 Metetra
.652 .756 .926 r
.36565 .32775 .37411 .33677 .38798 .33189 .37956 .32283 Metetra
.652 .756 .926 r
.37956 .32283 .38798 .33189 .40191 .32699 .39354 .31788 Metetra
.652 .756 .926 r
.39354 .31788 .40191 .32699 .41592 .32207 .4076 .3129 Metetra
.652 .756 .926 r
.4076 .3129 .41592 .32207 .43001 .31711 .42173 .3079 Metetra
.652 .756 .926 r
.42173 .3079 .43001 .31711 .44416 .31214 .43593 .30288 Metetra
.652 .756 .926 r
.43593 .30288 .44416 .31214 .45839 .30713 .45021 .29782 Metetra
.652 .756 .926 r
.45021 .29782 .45839 .30713 .4727 .3021 .46456 .29275 Metetra
.652 .756 .926 r
.46456 .29275 .4727 .3021 .48708 .29704 .47899 .28764 Metetra
.652 .756 .926 r
.47899 .28764 .48708 .29704 .50154 .29196 .4935 .2825 Metetra
.652 .756 .926 r
.4935 .2825 .50154 .29196 .51607 .28685 .50808 .27734 Metetra
.652 .756 .926 r
.50808 .27734 .51607 .28685 .53068 .28171 .52274 .27216 Metetra
.652 .756 .926 r
.52274 .27216 .53068 .28171 .54537 .27655 .53748 .26694 Metetra
.652 .756 .926 r
.53748 .26694 .54537 .27655 .56014 .27135 .5523 .26169 Metetra
.652 .756 .926 r
.5523 .26169 .56014 .27135 .57498 .26613 .5672 .25642 Metetra
.652 .756 .926 r
.5672 .25642 .57498 .26613 .58991 .26088 .58218 .25112 Metetra
.652 .756 .926 r
.58218 .25112 .58991 .26088 .60492 .25561 .59724 .24579 Metetra
.652 .756 .926 r
.59724 .24579 .60492 .25561 .62001 .2503 .61239 .24043 Metetra
.652 .756 .926 r
.61239 .24043 .62001 .2503 .63518 .24497 .62761 .23504 Metetra
.652 .756 .926 r
.62761 .23504 .63518 .24497 .65043 .2396 .64292 .22963 Metetra
.652 .756 .926 r
.64292 .22963 .65043 .2396 .66576 .23421 .65831 .22418 Metetra
.652 .756 .926 r
.65831 .22418 .66576 .23421 .68118 .22879 .67379 .2187 Metetra
.652 .756 .926 r
.67379 .2187 .68118 .22879 .69669 .22334 .68935 .21319 Metetra
.652 .756 .926 r
.68935 .21319 .69669 .22334 .71228 .21786 .705 .20766 Metetra
.652 .756 .926 r
.705 .20766 .71228 .21786 .72795 .21234 .72074 .20209 Metetra
.652 .756 .926 r
.03049 .43497 .03998 .443 .05224 .43866 .04278 .43059 Metetra
.652 .756 .926 r
.04278 .43059 .05224 .43866 .06456 .4343 .05514 .42619 Metetra
.652 .756 .926 r
.05514 .42619 .06456 .4343 .07695 .42992 .06755 .42177 Metetra
.652 .756 .926 r
.06755 .42177 .07695 .42992 .08939 .42551 .08003 .41733 Metetra
.652 .756 .926 r
.08003 .41733 .08939 .42551 .1019 .42109 .09257 .41286 Metetra
.652 .756 .926 r
.09257 .41286 .1019 .42109 .11446 .41664 .10517 .40837 Metetra
.652 .756 .926 r
.10517 .40837 .11446 .41664 .12709 .41217 .11784 .40386 Metetra
.652 .756 .926 r
.11784 .40386 .12709 .41217 .13979 .40768 .13057 .39933 Metetra
.652 .756 .926 r
.13057 .39933 .13979 .40768 .15254 .40316 .14336 .39477 Metetra
.652 .756 .926 r
.14336 .39477 .15254 .40316 .16536 .39863 .15621 .39019 Metetra
.652 .756 .926 r
.15621 .39019 .16536 .39863 .17825 .39407 .16913 .38559 Metetra
.652 .756 .926 r
.16913 .38559 .17825 .39407 .1912 .38949 .18212 .38096 Metetra
.652 .756 .926 r
.18212 .38096 .1912 .38949 .20421 .38488 .19517 .37632 Metetra
.652 .756 .926 r
.19517 .37632 .20421 .38488 .21729 .38025 .20829 .37164 Metetra
.652 .756 .926 r
.20829 .37164 .21729 .38025 .23044 .3756 .22148 .36695 Metetra
.652 .756 .926 r
.22148 .36695 .23044 .3756 .24365 .37092 .23473 .36223 Metetra
.652 .756 .926 r
.23473 .36223 .24365 .37092 .25693 .36622 .24805 .35748 Metetra
.652 .756 .926 r
.24805 .35748 .25693 .36622 .27028 .3615 .26144 .35272 Metetra
.652 .756 .926 r
.26144 .35272 .27028 .3615 .28369 .35675 .27489 .34792 Metetra
.652 .756 .926 r
.27489 .34792 .28369 .35675 .29718 .35198 .28842 .34311 Metetra
.652 .756 .926 r
.28842 .34311 .29718 .35198 .31073 .34718 .30201 .33826 Metetra
.652 .756 .926 r
.30201 .33826 .31073 .34718 .32436 .34236 .31568 .3334 Metetra
.652 .756 .926 r
.31568 .3334 .32436 .34236 .33805 .33752 .32942 .3285 Metetra
.652 .756 .926 r
.32942 .3285 .33805 .33752 .35182 .33264 .34323 .32358 Metetra
.652 .756 .926 r
.34323 .32358 .35182 .33264 .36565 .32775 .35711 .31864 Metetra
.652 .756 .926 r
.35711 .31864 .36565 .32775 .37956 .32283 .37106 .31367 Metetra
.652 .756 .926 r
.37106 .31367 .37956 .32283 .39354 .31788 .38509 .30867 Metetra
.652 .756 .926 r
.38509 .30867 .39354 .31788 .4076 .3129 .39919 .30365 Metetra
.652 .756 .926 r
.39919 .30365 .4076 .3129 .42173 .3079 .41337 .2986 Metetra
.652 .756 .926 r
.41337 .2986 .42173 .3079 .43593 .30288 .42762 .29353 Metetra
.652 .756 .926 r
.42762 .29353 .43593 .30288 .45021 .29782 .44194 .28843 Metetra
.652 .756 .926 r
.44194 .28843 .45021 .29782 .46456 .29275 .45634 .2833 Metetra
.652 .756 .926 r
.45634 .2833 .46456 .29275 .47899 .28764 .47082 .27814 Metetra
.652 .756 .926 r
.47082 .27814 .47899 .28764 .4935 .2825 .48538 .27296 Metetra
.652 .756 .926 r
.48538 .27296 .4935 .2825 .50808 .27734 .50001 .26774 Metetra
.652 .756 .926 r
.50001 .26774 .50808 .27734 .52274 .27216 .51473 .2625 Metetra
.652 .756 .926 r
.51473 .2625 .52274 .27216 .53748 .26694 .52952 .25723 Metetra
.652 .756 .926 r
.52952 .25723 .53748 .26694 .5523 .26169 .54439 .25194 Metetra
.652 .756 .926 r
.54439 .25194 .5523 .26169 .5672 .25642 .55934 .24661 Metetra
.652 .756 .926 r
.55934 .24661 .5672 .25642 .58218 .25112 .57438 .24126 Metetra
.652 .756 .926 r
.57438 .24126 .58218 .25112 .59724 .24579 .58949 .23587 Metetra
.652 .756 .926 r
.58949 .23587 .59724 .24579 .61239 .24043 .60469 .23046 Metetra
.652 .756 .926 r
.60469 .23046 .61239 .24043 .62761 .23504 .61997 .22502 Metetra
.652 .756 .926 r
.61997 .22502 .62761 .23504 .64292 .22963 .63534 .21955 Metetra
.652 .756 .926 r
.63534 .21955 .64292 .22963 .65831 .22418 .65079 .21404 Metetra
.652 .756 .926 r
.65079 .21404 .65831 .22418 .67379 .2187 .66632 .20851 Metetra
.652 .756 .926 r
.66632 .20851 .67379 .2187 .68935 .21319 .68194 .20295 Metetra
.652 .756 .926 r
.68194 .20295 .68935 .21319 .705 .20766 .69765 .19735 Metetra
.652 .756 .926 r
.69765 .19735 .705 .20766 .72074 .20209 .71345 .19173 Metetra
.652 .756 .926 r
.02091 .42687 .03049 .43497 .04278 .43059 .03323 .42245 Metetra
.652 .756 .926 r
.03323 .42245 .04278 .43059 .05514 .42619 .04562 .41801 Metetra
.652 .756 .926 r
.04562 .41801 .05514 .42619 .06755 .42177 .05807 .41355 Metetra
.652 .756 .926 r
.05807 .41355 .06755 .42177 .08003 .41733 .07058 .40906 Metetra
.652 .756 .926 r
.07058 .40906 .08003 .41733 .09257 .41286 .08316 .40456 Metetra
.652 .756 .926 r
.08316 .40456 .09257 .41286 .10517 .40837 .09579 .40003 Metetra
.652 .756 .926 r
.09579 .40003 .10517 .40837 .11784 .40386 .10849 .39547 Metetra
.652 .756 .926 r
.10849 .39547 .11784 .40386 .13057 .39933 .12126 .3909 Metetra
.652 .756 .926 r
.12126 .3909 .13057 .39933 .14336 .39477 .13409 .3863 Metetra
.652 .756 .926 r
.13409 .3863 .14336 .39477 .15621 .39019 .14698 .38168 Metetra
.652 .756 .926 r
.14698 .38168 .15621 .39019 .16913 .38559 .15994 .37703 Metetra
.652 .756 .926 r
.15994 .37703 .16913 .38559 .18212 .38096 .17296 .37236 Metetra
.652 .756 .926 r
.17296 .37236 .18212 .38096 .19517 .37632 .18605 .36767 Metetra
.652 .756 .926 r
.18605 .36767 .19517 .37632 .20829 .37164 .19921 .36296 Metetra
.652 .756 .926 r
.19921 .36296 .20829 .37164 .22148 .36695 .21243 .35822 Metetra
.652 .756 .926 r
.21243 .35822 .22148 .36695 .23473 .36223 .22572 .35345 Metetra
.652 .756 .926 r
.22572 .35345 .23473 .36223 .24805 .35748 .23908 .34866 Metetra
.652 .756 .926 r
.23908 .34866 .24805 .35748 .26144 .35272 .25251 .34385 Metetra
.652 .756 .926 r
.25251 .34385 .26144 .35272 .27489 .34792 .26601 .33901 Metetra
.652 .756 .926 r
.26601 .33901 .27489 .34792 .28842 .34311 .27958 .33415 Metetra
.652 .756 .926 r
.27958 .33415 .28842 .34311 .30201 .33826 .29321 .32926 Metetra
.652 .756 .926 r
.29321 .32926 .30201 .33826 .31568 .3334 .30692 .32434 Metetra
.652 .756 .926 r
.30692 .32434 .31568 .3334 .32942 .3285 .3207 .3194 Metetra
.652 .756 .926 r
.3207 .3194 .32942 .3285 .34323 .32358 .33456 .31444 Metetra
.652 .756 .926 r
.33456 .31444 .34323 .32358 .35711 .31864 .34848 .30944 Metetra
.652 .756 .926 r
.34848 .30944 .35711 .31864 .37106 .31367 .36248 .30443 Metetra
.652 .756 .926 r
.36248 .30443 .37106 .31367 .38509 .30867 .37655 .29938 Metetra
.652 .756 .926 r
.37655 .29938 .38509 .30867 .39919 .30365 .3907 .29431 Metetra
.652 .756 .926 r
.3907 .29431 .39919 .30365 .41337 .2986 .40492 .28921 Metetra
.652 .756 .926 r
.40492 .28921 .41337 .2986 .42762 .29353 .41922 .28409 Metetra
.652 .756 .926 r
.41922 .28409 .42762 .29353 .44194 .28843 .4336 .27893 Metetra
.652 .756 .926 r
.4336 .27893 .44194 .28843 .45634 .2833 .44805 .27375 Metetra
.652 .756 .926 r
.44805 .27375 .45634 .2833 .47082 .27814 .46257 .26855 Metetra
.652 .756 .926 r
.46257 .26855 .47082 .27814 .48538 .27296 .47718 .26331 Metetra
.652 .756 .926 r
.47718 .26331 .48538 .27296 .50001 .26774 .49187 .25805 Metetra
.652 .756 .926 r
.49187 .25805 .50001 .26774 .51473 .2625 .50663 .25275 Metetra
.652 .756 .926 r
.50663 .25275 .51473 .2625 .52952 .25723 .52147 .24743 Metetra
.652 .756 .926 r
.52147 .24743 .52952 .25723 .54439 .25194 .5364 .24208 Metetra
.652 .756 .926 r
.5364 .24208 .54439 .25194 .55934 .24661 .5514 .2367 Metetra
.652 .756 .926 r
.5514 .2367 .55934 .24661 .57438 .24126 .56649 .2313 Metetra
.652 .756 .926 r
.56649 .2313 .57438 .24126 .58949 .23587 .58166 .22586 Metetra
.652 .756 .926 r
.58166 .22586 .58949 .23587 .60469 .23046 .59692 .22039 Metetra
.652 .756 .926 r
.59692 .22039 .60469 .23046 .61997 .22502 .61225 .21489 Metetra
.652 .756 .926 r
.61225 .21489 .61997 .22502 .63534 .21955 .62768 .20936 Metetra
.652 .756 .926 r
.62768 .20936 .63534 .21955 .65079 .21404 .64319 .2038 Metetra
.652 .756 .926 r
.64319 .2038 .65079 .21404 .66632 .20851 .65878 .19821 Metetra
.652 .756 .926 r
.65878 .19821 .66632 .20851 .68194 .20295 .67446 .19259 Metetra
.652 .756 .926 r
.67446 .19259 .68194 .20295 .69765 .19735 .69023 .18694 Metetra
.652 .756 .926 r
.69023 .18694 .69765 .19735 .71345 .19173 .70609 .18126 Metetra
.652 .756 .926 r
.01124 .4187 .02091 .42687 .03323 .42245 .0236 .41424 Metetra
.652 .756 .926 r
.0236 .41424 .03323 .42245 .04562 .41801 .03602 .40975 Metetra
.652 .756 .926 r
.03602 .40975 .04562 .41801 .05807 .41355 .0485 .40525 Metetra
.652 .756 .926 r
.0485 .40525 .05807 .41355 .07058 .40906 .06105 .40072 Metetra
.652 .756 .926 r
.06105 .40072 .07058 .40906 .08316 .40456 .07366 .39618 Metetra
.652 .756 .926 r
.07366 .39618 .08316 .40456 .09579 .40003 .08633 .3916 Metetra
.652 .756 .926 r
.08633 .3916 .09579 .40003 .10849 .39547 .09906 .38701 Metetra
.652 .756 .926 r
.09906 .38701 .10849 .39547 .12126 .3909 .11186 .38239 Metetra
.652 .756 .926 r
.11186 .38239 .12126 .3909 .13409 .3863 .12473 .37775 Metetra
.652 .756 .926 r
.12473 .37775 .13409 .3863 .14698 .38168 .13766 .37308 Metetra
.652 .756 .926 r
.13766 .37308 .14698 .38168 .15994 .37703 .15065 .3684 Metetra
.652 .756 .926 r
.15065 .3684 .15994 .37703 .17296 .37236 .16371 .36368 Metetra
.652 .756 .926 r
.16371 .36368 .17296 .37236 .18605 .36767 .17684 .35895 Metetra
.652 .756 .926 r
.17684 .35895 .18605 .36767 .19921 .36296 .19004 .35419 Metetra
.652 .756 .926 r
.19004 .35419 .19921 .36296 .21243 .35822 .2033 .3494 Metetra
.652 .756 .926 r
.2033 .3494 .21243 .35822 .22572 .35345 .21663 .34459 Metetra
.652 .756 .926 r
.21663 .34459 .22572 .35345 .23908 .34866 .23003 .33976 Metetra
.652 .756 .926 r
.23003 .33976 .23908 .34866 .25251 .34385 .2435 .3349 Metetra
.652 .756 .926 r
.2435 .3349 .25251 .34385 .26601 .33901 .25704 .33001 Metetra
.652 .756 .926 r
.25704 .33001 .26601 .33901 .27958 .33415 .27065 .3251 Metetra
.652 .756 .926 r
.27065 .3251 .27958 .33415 .29321 .32926 .28433 .32016 Metetra
.652 .756 .926 r
.28433 .32016 .29321 .32926 .30692 .32434 .29808 .3152 Metetra
.652 .756 .926 r
.29808 .3152 .30692 .32434 .3207 .3194 .31191 .31021 Metetra
.652 .756 .926 r
.31191 .31021 .3207 .3194 .33456 .31444 .3258 .3052 Metetra
.652 .756 .926 r
.3258 .3052 .33456 .31444 .34848 .30944 .33977 .30016 Metetra
.652 .756 .926 r
.33977 .30016 .34848 .30944 .36248 .30443 .35382 .29509 Metetra
.652 .756 .926 r
.35382 .29509 .36248 .30443 .37655 .29938 .36794 .29 Metetra
.652 .756 .926 r
.36794 .29 .37655 .29938 .3907 .29431 .38213 .28488 Metetra
.652 .756 .926 r
.38213 .28488 .3907 .29431 .40492 .28921 .3964 .27973 Metetra
.652 .756 .926 r
.3964 .27973 .40492 .28921 .41922 .28409 .41074 .27455 Metetra
.652 .756 .926 r
.41074 .27455 .41922 .28409 .4336 .27893 .42517 .26935 Metetra
.652 .756 .926 r
.42517 .26935 .4336 .27893 .44805 .27375 .43967 .26412 Metetra
.652 .756 .926 r
.43967 .26412 .44805 .27375 .46257 .26855 .45424 .25886 Metetra
.652 .756 .926 r
.45424 .25886 .46257 .26855 .47718 .26331 .4689 .25357 Metetra
.652 .756 .926 r
.4689 .25357 .47718 .26331 .49187 .25805 .48364 .24825 Metetra
.652 .756 .926 r
.48364 .24825 .49187 .25805 .50663 .25275 .49845 .24291 Metetra
.652 .756 .926 r
.49845 .24291 .50663 .25275 .52147 .24743 .51335 .23753 Metetra
.652 .756 .926 r
.51335 .23753 .52147 .24743 .5364 .24208 .52833 .23213 Metetra
.652 .756 .926 r
.52833 .23213 .5364 .24208 .5514 .2367 .54339 .2267 Metetra
.652 .756 .926 r
.54339 .2267 .5514 .2367 .56649 .2313 .55853 .22123 Metetra
.652 .756 .926 r
.55853 .22123 .56649 .2313 .58166 .22586 .57375 .21574 Metetra
.652 .756 .926 r
.57375 .21574 .58166 .22586 .59692 .22039 .58906 .21022 Metetra
.652 .756 .926 r
.58906 .21022 .59692 .22039 .61225 .21489 .60446 .20466 Metetra
.652 .756 .926 r
.60446 .20466 .61225 .21489 .62768 .20936 .61994 .19908 Metetra
.652 .756 .926 r
.61994 .19908 .62768 .20936 .64319 .2038 .6355 .19346 Metetra
.652 .756 .926 r
.6355 .19346 .64319 .2038 .65878 .19821 .65116 .18781 Metetra
.652 .756 .926 r
.65116 .18781 .65878 .19821 .67446 .19259 .6669 .18213 Metetra
.652 .756 .926 r
.6669 .18213 .67446 .19259 .69023 .18694 .68273 .17642 Metetra
.652 .756 .926 r
.68273 .17642 .69023 .18694 .70609 .18126 .69864 .17068 Metetra
0 g
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
[(-2)] .02757 .24618 1 .93395 Mshowa
.18558 .19702 m
.19014 .20174 L
s
[(0)] .17646 .18758 .96648 1 Mshowa
.34306 .13535 m
.34735 .14032 L
s
[(2)] .3345 .12542 .86223 1 Mshowa
.51046 .06981 m
.51442 .07504 L
s
[(4)] .50253 .05935 .75799 1 Mshowa
.68874 0 m
.69233 .00549 L
s
[(6)] .68156 -0.01098 .65374 1 Mshowa
.125 Mabswid
.07346 .24092 m
.0763 .24365 L
s
.11029 .2265 m
.1131 .22926 L
s
.14766 .21187 m
.15043 .21466 L
s
.22407 .18195 m
.22677 .18482 L
s
.26314 .16665 m
.2658 .16956 L
s
.3028 .15112 m
.30541 .15406 L
s
.38395 .11935 m
.38647 .12237 L
s
.42547 .10309 m
.42794 .10615 L
s
.46763 .08658 m
.47006 .08968 L
s
.55397 .05277 m
.55629 .05595 L
s
.59817 .03546 m
.60044 .03868 L
s
.64309 .01787 m
.6453 .02113 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 233.562},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000jB000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00b@3oool2000005D0oooo00380?ooo`040000003oool0oooo000005@0
oooo00380?ooo`040000003oool0oooo000005@0oooo00380?ooo`<00000E@3oool00<P0oooo00<0
00000?ooo`3oool0E@3oool00<P0oooo00<000000?ooo`3oool0E@3oool00<T0oooo0`00001D0?oo
o`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00c@3oool200000540oooo003;0?oo
o`80000000<0oooo000000000000D03oool00<P0oooo0`0000030?ooo`800000D03oool00<D0oooo
0`0000060?ooo`030000003oool0000004l0oooo00320?ooo`<000002@3oool010000000oooo0?oo
o`00001>0?ooo`00`03oool3000000/0oooo00@000000?ooo`3oool00000CP3oool00;h0oooo0P00
000>0?ooo`050000003oool0oooo0?ooo`000000C@3oool00;/0oooo0`00000@0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0BP3oool009/0oooo00<000000?ooo`3oool06`3oool2
000001<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1:0?ooo`00V`3oool00`00
0000oooo0?ooo`0H0?ooo`<000005@3oool01`000000oooo0?ooo`3oool000000?ooo`000000B`3o
ool009P0oooo1@00000F0?ooo`<0000000<0oooo0000003oool05@3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo04P0oooo002H0?ooo`040000003oool0oooo000001D0oooo0P00000L
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01P3oool200000400oooo002I0?oo
o`030000003oool000000180oooo0`00000N0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool010000000oooo0?ooo`00000o0?ooo`00VP3oool200000100oooo0P00000Q0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`00000o
0?ooo`00V`3oool00`000000oooo0?ooo`0;0?ooo`<000008`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00<0oooo00@000000?ooo`3oool00000?`3oool00:L0oooo0P00000V0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`00000o
0?ooo`00Y03oool3000002P0oooo00<000000?ooo`3oool01`3oool01@000000oooo0?ooo`3oool0
00000080oooo00<000000?ooo`3oool0?@3oool00:40oooo0`00000[0?ooo`030000003oool0oooo
00D0oooo0`0000040?ooo`800000@03oool009l0oooo0P00000^0?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool0@`3oool009`0oooo0`0000000`3oool000000?ooo`0]0?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool0@`3oool009X0oooo0P00000c0?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool0@P3oool009L0oooo0`00000e0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool0@@3oool009@0oooo0`00000h0?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool0@@3oool00980oooo1000000i0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool0@03oool008l0oooo0`00000m0?ooo`030000003oool0oooo00`0oooo
00<000000?ooo`3oool0?`3oool006d0oooo1000000L0?ooo`800000@03oool00`000000oooo0?oo
o`0;0?ooo`800000@@3oool006d0oooo00<000000?ooo`3oool06P3oool300000480oooo00<00000
0?ooo`3oool03@3oool00`000000oooo0?ooo`0n0?ooo`00KP3oool00`000000oooo0?ooo`0G0?oo
o`<00000A03oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo03d0oooo001_0?ooo`03
0000003oool0oooo01<0oooo0`0000170?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3o
ool0?@3oool00700oooo00<000000?ooo`3oool0403oool2000004X0oooo00<000000?ooo`3oool0
3`3oool00`000000oooo0?ooo`0l0?ooo`00K@3oool010000000oooo0?ooo`00000?0?ooo`<00000
C03oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo03/0oooo001^0?ooo`8000003@3o
ool3000004l0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0k0?ooo`00N`3oool2
00000080oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0
oooo03X0oooo001h0?ooo`<00000E@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool00000
03/0oooo001f0?ooo`800000F03oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo03T0
oooo001c0?ooo`<00000FP3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo03P0oooo
001`0?ooo`<000000P3oool00`000000oooo0?ooo`1H0?ooo`030000003oool0oooo01<0oooo00<0
00000?ooo`3oool0=`3oool006h0oooo0P00001P0?ooo`030000003oool0oooo01<0oooo00<00000
0?ooo`3oool0=`3oool006/0oooo0`00001R0?ooo`030000003oool0oooo01@0oooo00<000000?oo
o`3oool0=P3oool006T0oooo0P00001U0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3o
ool0=@3oool006H0oooo0`0000000`3oool000000?ooo`1T0?ooo`030000003oool0oooo01@0oooo
0P00000g0?ooo`00I03oool2000006X0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?oo
o`0d0?ooo`00A@3oool2000001X0oooo0`00001/0?ooo`030000003oool0oooo01L0oooo00<00000
0?ooo`3oool0103oool4000002/0oooo00140?ooo`040000003oool0oooo000001H0oooo0`00001_
0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0/
0?ooo`00A03oool010000000oooo0?ooo`00000D0?ooo`8000000P3oool00`000000oooo0?ooo`1/
0?ooo`8000006P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo02/0oooo00140?oo
o`040000003oool0oooo00000140oooo0`00001a0?ooo`80000000<0Y/7]0000000000006P3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo02X0oooo00140?ooo`040000003oool0oooo
000000l0oooo0P00001a0?ooo`<000000`2V`Nd2000001X0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`0Y0?ooo`00A03oool010000000oooo0?ooo`00000<0?ooo`<00000L03oool3
000000<0Y/7]00<000000:K1k@2V`Nd00`00000I0?ooo`8000000`3oool010000000oooo0?ooo`00
000[0?ooo`00A@3oool2000000/0oooo0P0000020?ooo`030000003oool0oooo06`0oooo0P000002
0:K1k@040000002V`Nd0Y/7]0:K1k@@000000P2V`Nd00`000000oooo0?ooo`0E0?ooo`040000003o
ool0oooo000000<0oooo0P00000/0?ooo`00C`3oool300000700oooo0`0000040:K1k@040000002V
`Nd0000000000080Y/7]0P0000020:K1k@030000003oool0oooo01P0oooo00<000000?ooo`3oool0
;`3oool004`0oooo0`00001`0?ooo`<000000`2V`Nd00`000000Y/7]0:K1k@03000000@0Y/7]0P00
0000102V`Nd0000000000000000J0?ooo`030000003oool0oooo02h0oooo001:0?ooo`800000L@3o
ool200000080Y/7]00@000000:K1k@2V`Nd0Y/7]0`0000030:K1k@040000002V`Nd0Y/7]0:K1k@<0
00000`2V`Nd00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo02d0oooo00170?ooo`<00000
0P3oool00`000000oooo0?ooo`1[0?ooo`<00000102V`Nd010000000Y/7]0000000000020:K1k@06
0000002V`Nd0Y/7]0:K1k@000000Y/7]0P0000000`2V`Nd00000000000030:K1k@8000006@3oool0
0`000000oooo0?ooo`0]0?ooo`00A@3oool2000003`0oooo1P00000]0?ooo`@000000`2V`Nd00`00
0000Y/7]0:K1k@03000000@0Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@80000000<0Y/7]0000
000000000P2V`Nd00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo02`0oooo00120?ooo`<0
0000>`3oool30000000607dlM0000000OCad07dlM0000000OC]c0`00000W0?ooo`<000000`2V`Nd0
10000000Y/7]0:K1k@2V`Nd3000000<0Y/7]00<000000:K1k@2V`Nd0100000030:K1k@030000002V
`Nd0Y/7]00<00000102V`Nd00`000000oooo0?ooo`0H0?ooo`030000003oool0oooo02/0oooo0010
0?ooo`800000?03oool20000000507dkL`000000OCad07dlM00000000P1m?7@010000000OC]c07dk
L`1m>g<3000002<0oooo0P0000020:K1k@060000002V`Nd0Y/7]0:K1k@000000Y/7]0P0000020:K1
k@040000002V`Nd0Y/7]0:K1k@<000000`2V`Nd010000000Y/7]0:K1k@2V`Nd3000000040:K1k@00
0000Y/7]00000080Y/7]0`00000G0?ooo`<00000;@3oool003d0oooo0`0000020?ooo`030000003o
ool0oooo03P0oooo00D0000007dkL`1m>g<0OC]c0000000207dlM0040000001m?7@0OCad000000<0
OC]c00@0000007`jL`1l>W<000007`3oool3000000@0Y/7]00<000000:K1k@2V`Nd00`0000040:K1
k@040000002V`Nd0000000000080Y/7]00H000000:K1k@2V`Nd0Y/7]0000002V`Nd200000080Y/7]
00@000000:K1k@000000Y/7]0`0000030:K1k@030000003oool0oooo01L0oooo00<000000?ooo`3o
ool0:P3oool001d0oooo1000000I0?ooo`<00000?`3oool2000000<0OC]c00@0000007dlM01m?7@0
00000P1m?7@01@000000OC]c07dkL`1m>g<000000080O3Yc0P00000K0?ooo`<000000`2V`Nd00`00
0000Y/7]0:K1k@04000000<0Y/7]00<000000:K1k@2V`Nd00`0000040:K1k@030000002V`Nd0Y/7]
00<00000102V`Nd010000000Y/7]0000000000020:K1k@050000002V`Nd0Y/7]0:K1k@0000006@3o
ool00`000000oooo0?ooo`0Z0?ooo`007@3oool00`000000oooo0?ooo`0H0?ooo`800000@P3oool2
000000<0OC]c00<0000007dlM00000000`1m?7@01@000000OC]c07dkL`1m>g<000000080O3Yc0P00
000I0?ooo`8000000P2V`Nd010000000Y/7]0:K1k@2V`Nd3000000<0Y/7]00@000000:K1k@2V`Nd0
Y/7]0`0000030:K1k@030000002V`Nd0Y/7]00@000000`2V`Nd00`000000Y/7]0:K1k@04000000<0
Y/7]00<000000:K1k@2V`Nd00`00000I0?ooo`030000003oool0oooo02T0oooo000N0?ooo`030000
003oool0oooo01@0oooo100000120?ooo`030000001l>W<000000080OC]c00@0000007dlM01m?7@0
00000`1m?7@010000000OC]c07dkL`00000307`jL`030000001l>G40000001D0oooo0`0000040:K1
k@040000002V`Nd0000000000080Y/7]00H000000:K1k@2V`Nd0Y/7]0000002V`Nd200000080Y/7]
00@000000:K1k@2V`Nd0Y/7]0`0000030:K1k@040000002V`Nd0Y/7]0:K1k@<000000`2V`Nd00`00
0000Y/7]0:K1k@04000000<0Y/7]00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0X0?oo
o`005`3oool4000000@0oooo00<000000?ooo`3oool04@3oool2000004D0oooo00@0000007`jL`1l
>W<000000P1m>g<010000000OCad07dlM000000207dlM0050000001m>g<0OC]c07dkL`0000000`1l
>W<010000000O3Ua07`iL@00000@0?ooo`@000000`2V`Nd00`000000Y/7]0:K1k@03000000@0Y/7]
00<000000:K1k@2V`Nd00`0000040:K1k@040000002V`Nd0000000000080Y/7]00H000000:K1k@2V
`Nd0Y/7]0000002V`Nd200000080Y/7]00@000000:K1k@2V`Nd0Y/7]0`0000020:K1k@030000002V
`Nd0Y/7]0080Y/7]0P00000H0?ooo`030000003oool0oooo02P0oooo000P0?ooo`030000003oool0
oooo00d0oooo0`0000160?ooo`80000000<0O3Yc0000001m>g<00P1m>g<010000000OCad07dlM000
000207dlM0050000001m>g<0OC]c07dkL`0000000`1l>W<00`000000O3Ua07`iL@02000000`0oooo
0`0000030:K1k@040000002V`Nd0Y/7]0:K1k@<000000`2V`Nd00`000000Y/7]0:K1k@04000000<0
Y/7]00<000000:K1k@2V`Nd00`0000040:K1k@030000002V`Nd0Y/7]00<00000102V`Nd00`000000
Y/7]00000003000000@0Y/7]00H000000:K1k@0000000000095WW`00000I0?ooo`030000003oool0
oooo02L0oooo000M0?ooo`040000003oool0oooo000000d0oooo0P0000180?ooo`050000001l>G40
000007`jL`0000000`1m>g<010000000OCad07dlM000000207dlM0050000001m>g<0OC]c07dkL`00
00000P1l>W<01P000000O3Ua07`iL@1l>G40000007/gK`800000203oool200000080Y/7]00H00000
0:K1k@2V`Nd0Y/7]0000002V`Nd200000080Y/7]00@000000:K1k@2V`Nd0Y/7]0`0000030:K1k@04
0000002V`Nd0Y/7]0:K1k@<000000`2V`Nd00`000000Y/7]0:K1k@04000000<0Y/7]00<000000:K1
k@2V`Nd00`0000020:K1k@040000002V`Nd000000:K1k@@000000`2AIil00`000000oooo0?ooo`0F
0?ooo`<00000:03oool001h0oooo0P00000;0?ooo`<0000000<0oooo0000003oool0A`3oool01@00
0000O3Ua0000001l>W<0000000<0OC]c00@0000007dlM01m?7@000000P1m?7@01@000000OC]c07dk
L`1m>g<000000080O3Yc00D0000007`iL@1l>G40O3Ua0000000307/gK`030000003oool0oooo0080
oooo0`0000040:K1k@030000002V`Nd0Y/7]00<00000102V`Nd010000000Y/7]0000000000020:K1
k@060000002V`Nd0Y/7]0:K1k@000000Y/7]0P0000020:K1k@040000002V`Nd0Y/7]0:K1k@<00000
0`2V`Nd010000000Y/7]0:K1k@2V`Nd300000080Y/7]00<000000:K1k@2V`Nd010000002091WWP03
0000002AIil0TFNO0080TFNO00<000000?ooo`3oool00P3oool2000001@0oooo00<000000?ooo`3o
ool09P3oool002P0oooo0`00001<0?ooo`060000001l>G40O3Ua0000001l>W<000000`1m>g<01000
0000OCad07dlM000000207dlM0050000001m>g<0OC]c07dkL`0000000P1l>W<01@000000O3Ua07`i
L@1l>G40000000<0NcM_0P0000000`3oool00000000000030:K1k@030000002V`Nd0Y/7]00@00000
0`2V`Nd00`000000Y/7]0:K1k@03000000@0Y/7]00<000000:K1k@2V`Nd00`0000040:K1k@040000
002V`Nd0000000000080Y/7]00H000000:K1k@2V`Nd0Y/7]0000002V`Nd2000000030:K1k@000000
Y/7]0080Y/7]100000000`2@IYh00000091WWP02091WWP030000002AIil0TFNO00<0TFNO00<00000
0?ooo`0000000`00000E0?ooo`030000003oool0oooo02D0oooo000V0?ooo`800000CP3oool01000
0000O3Ua07`iL@00000207`jL`050000001m>g<0OC]c07dkL`0000000P1m?7@010000000OCad07dl
M000000307dkL`040000001l>W<0O3Yc000000<0O3Ua00@0000007/gK`1k=fl0NcM_0`0000000`2V
`Nd000000:K1k@030:K1k@8000000`2V`Nd010000000Y/7]0:K1k@2V`Nd3000000<0Y/7]00<00000
0:K1k@2V`Nd0100000030:K1k@030000002V`Nd0Y/7]00<00000102V`Nd00`000000Y/7]0:K1k@03
000000@0Y/7]1@000002091VWP800000102@Iih00`000000TFNO095WW`02095WW`H000005P3oool0
0`000000oooo0?ooo`0T0?ooo`00903oool200000500oooo00@0000007`iL@1l>G4000000P1l>W<0
1@000000OC]c07dkL`1m>g<000000080OCad00@0000007dlM01m?7@000000`1m>g<010000000O3Yc
07`jL`00000307`iL@030000001k=fl0000000800000102V`Nd01P000000Y/7]000000000000Y/7]
000000<0Y/7]00@000000:K1k@00000000000P2V`Nd010000000Y/7]0:K1k@2V`Nd3000000<0Y/7]
00@000000:K1k@2V`Nd0Y/7]0`0000030:K1k@030000002V`Nd0Y/7]00@000000`2V`Nd00`000000
Y/7]0:K1k@0300000080T6JN00H00000091VWP2@IYh00000091VWP000003091WWP030000002AIil0
TFNO0080TFNO0`000000101M3Td0000009Z1^000000E0?ooo`030000003oool0oooo02@0oooo000T
0?ooo`<00000CP3oool200000080O3Ua00@0000007`jL`1l>W<000000`1m>g<010000000OCad07dl
M000000207dlM0050000001m>g<0OC]c07dkL`0000000P1l>W<00`000000O3Ua00000003000000<0
Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<00000102V`Nd010000000
Y/7]0000000000020:K1k@060000002V`Nd0Y/7]0:K1k@000000Y/7]0P0000020:K1k@040000002V
`Nd0Y/7]0:K1k@<000000`2V`Nd010000000Y/7]0:K1k@2V`Nd300000003091VWP000000T6JN00<0
T6JN00<00000091VWP2@IYh00P000003091WWP030000002AIil0TFNO0080TFNO00L0000005d>C@1M
3Td0G@i=0000002JPKP0000001H0oooo00<000000?ooo`3oool08`3oool002@0oooo00<000000?oo
o`000000CP3oool200000080O3Ua00@0000007`jL`1l>W<000000`1m>g<00`000000OCad00000003
07dlM0040000001m>g<0OC]c00000080O3Yc0`0000030:K1k@040000002V`Nd0Y/7]0:K1k@<00000
0`2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd00`0000040:K1k@030000
002V`Nd0Y/7]00<00000102V`Nd010000000Y/7]0000000000020:K1k@040000002V`Nd0Y/7]0:K1
k@@0000000D0T6JN0000002@IYh0T6JN00000004091VWP050000002@IYh0T6JN091VWP0000000`2@
Iih00`000000TFNO095WW`02095WW`070000001M3Td0G@i=05d>C@000000VX6h0000000F0?ooo`80
0000903oool002@0oooo00@000000?ooo`3oool00000C03oool00`000000NcM_0000000207`iL@04
0000001l>W<0O3Yc00000080OC]c00@0000007dlM01m?7@000000`1m?7@00`000000OC]c07dkL`03
00000080Y/7]00H000000:K1k@2V`Nd0Y/7]0000002V`Nd200000080Y/7]00@000000:K1k@2V`Nd0
Y/7]0`0000020:K1k@8000000P2V`Nd3000000<0Y/7]00<000000:K1k@2V`Nd0100000030:K1k@03
0000002V`Nd0Y/7]00<00000102V`Nd00`000000Y/7]0:K1k@03000000<0T6JN00D00000091VWP2@
IYh0T6JN00000003091VWP040000002@IYh0T6JN091VWP8000000`2@Iih01@000000TFNO095WW`2A
Iil0000000<0G@i=00<0000009Z1^00000005@3oool00`000000oooo0000000T0?ooo`008`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo04T0oooo0P00000307`iL@040000001l>W<0
O3Yc00000080OC]c00@0000007dlM01m?7@000000`1m?7@4000000@0Y/7]00<000000:K1k@2V`Nd0
0`0000040:K1k@040000002V`Nd0000000000080Y/7]00@000000:K1k@2V`Nd0Y/7]0`0000020:K1
k@040000002V`Nd0Y/7]0:K1k@<000000`2V`Nd00`000000Y/7]0:K1k@04000000<0Y/7]00<00000
0:K1k@2V`Nd010000002091WWP050000002@IYh0T6JN091VWP0000000`2@IYh01@000000T6JN091V
WP2@IYh0000000@0T6JN00D00000091WWP2@Iih0T6NN00000004095WW`030000001M3Td0000000<0
VX6h00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01P0
oooo000S0?ooo`<000000`3oool00`000000oooo0?ooo`170?ooo`030000001k=fl0000000<0O3Ua
00<0000007`jL`0000000`1m>g<01@000000OCad07dlM0000000OCad00<000000`2V`Nd00`000000
Y/7]0:K1k@04000000<0Y/7]00<000000:K1k@2V`Nd00`0000040:K1k@040000002V`Nd000000000
0080Y/7]00D000000:K1k@2V`Nd000000:K1k@0200000080Y/7]00@000000:K1k@2V`Nd0Y/7]0`00
00030:K1k@040000002V`Nd0Y/7]0:K1k@@0000000<0TFRO0000002@Iih00P2@Iih00`000000T6JN
091VWP02091VWP040000002@IYh0T6JN000000<0T6JN00<00000091VWP2@IYh00P2@IYh200000080
T6NN00<00000095WW`2AIil00P2AIil00`000000G@i=00000004000001P0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`0H0?ooo`002P3oool2000000@0oooo00<000000?ooo`3oool0
0`3oool2000000<0oooo100000040?ooo`030000003oool0oooo00@0oooo0P0000160?ooo`800000
00<0NcM_0000001l>G400P1l>G400`000000O3Yc0000000307dkL`030000001m?7@0000000800000
0P2V`Nd00`000000Y/7]0:K1k@020:K1k@8000000`2V`Nd00`000000Y/7]0:K1k@04000000<0Y/7]
00<000000:K1k@2V`Nd00`0000040:K1k@030000002V`Nd0Y/7]00800000102V`Nd010000000Y/7]
0000000000020:K1k@060000002V`Nd0Y/7]0:K1k@000000Y/7]10000003095XW`050000002@Iih0
T6NN091WWP000000102@IYh010000000T6JN091VWP000004091VWP090000002@IYh0T6JN091VWP00
0000T6NN0000002@Iih0000000@0TFNO00<0000005d>C@0000000`29MkT00`000000oooo0?ooo`0F
0?ooo`030000003oool0oooo0080oooo1@00000I0?ooo`002@3oool010000000oooo0?ooo`000008
0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo04<0oooo0P0000000`1k=fl0000007`iL@0207`iL@030000001l
>W<0000000<0OC]c0P0000020:K1k@060000002V`Nd0Y/7]0:K1k@000000Y/7]0P0000000`2V`Nd0
00000:K1k@030:K1k@8000000`2V`Nd010000000Y/7]0:K1k@2V`Nd3000000<0Y/7]00<000000:K1
k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<00000102V`Nd00`000000Y/7]0:K1k@030000
00<0TFZQ00D00000095XW`2AJ9l0TFRO00000004091WWP050000002@IYh0T6JN091VWP0000000`2@
IYh01@000000T6JN091VWP2@IYh0000000<0T6JN00H00000091WWP2@Iih00000091WWP000002095W
W`80000000<0G@i=0000000000000`29MkT00`000000oooo0?ooo`0F0?ooo`050000003oool0oooo
0?ooo`0000000P3oool00`000000oooo0?ooo`0H0?ooo`002@3oool010000000oooo0?ooo`000008
0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0103oool2000000P0oooo00<0
00000?ooo`3oool0@@3oool01@000000NC=[0000001k=fl000000080O3Ua00<0000007`jL`1l>W<0
100000040:K1k@030000002V`Nd0Y/7]00<00000102V`Nd01P000000Y/7]000000000000Y/7]0000
00<0Y/7]00@000000:K1k@00000000000P2V`Nd010000000Y/7]0:K1k@2V`Nd3000000<0Y/7]00<0
00000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]00@000000P2CKJ@01@000000TFZQ095Z
X@2AJZ40000000@0TFRO00D00000091WWP2@Iih0T6NN00000003091VWP050000002@IYh0T6JN091V
WP0000000`2@IYh00`000000T6JN091VWP02091VWP040000002@Iih00000091WWP<000000P2Ye_L3
000000<0RGNi00<000000?ooo`3oool05`3oool01`000000oooo0?ooo`3oool000000?ooo`000000
6P3oool000<0oooo100000020?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool0
0000103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0?`3oool00`000000NC=[0000000207/gK`030000001l>G40O3Ua00@000000`2V`Nd00`000000
Y/7]0:K1k@04000000<0Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<0
0000102V`Nd010000000Y/7]0000000000020:K1k@040000002V`Nd0Y/7]0:K1k@<000000P2V`Nd0
10000000Y/7]0:K1k@2V`Nd40000000309EbZ@000000TffT0080TffT00<00000095ZX@2AJZ400P2A
JZ401@000000TFRO095XW`2AJ9l0000000<0T6NN00D00000091VWP2@IYh0T6JN00000003091VWP05
0000002@IYh0T6JN091VWP000000102@IYh00`000000T6NN00000002000000<0ZMKg0P0000000`2;
MkL0000008Ug^@0208Ug^@030000003oool0oooo01D0oooo0`0000040?ooo`8000006P3oool000T0
oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000050?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0n0?ooo`030000001i<f/0
00000080NcM_100000020:K1k@030000002V`Nd0Y/7]0080Y/7]0P0000030:K1k@030000002V`Nd0
Y/7]00@000000`2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd00`000004
0:K1k@040000002V`Nd0000000000080Y/7]00D000000:K1k@2V`Nd000000:K1k@04000000<0UG:Y
00D0000009=]Y02CKJ@0TffT00000004095ZX@050000002AJ9l0TFRO095XW`0000000`2@Iih01@00
0000T6JN091VWP2@IYh0000000<0T6JN00<00000091VWP2@IYh00P2@IYh00`000000T6JN091VWP03
00000080Z[_V0P0000000`2Ye_L0000008]g]`0208]g]`0500000029MkT0RGNi08Ug^@0000006P3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01P0oooo00090?ooo`040000003oool0
oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000030?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool0?03oool01@000000NC=[07TcJ`000000NcM_
008000000P2V`Nd01P000000Y/7]0:K1k@2V`Nd000000:K1k@80000000<0Y/7]0000002V`Nd00P2V
`Nd3000000<0Y/7]00<000000:K1k@2V`Nd0100000020:K1k@8000000P2V`Nd3000000<0Y/7]00<0
00000:K1k@2V`Nd00`0000040:K1k@030000002V`Nd00000008000000`2IOK<00`000000UG:Y09Eb
Z@0209EbZ@050000002CKJ@0TffT09=]Y00000000`2AJZ401@000000TFRO095XW`2AJ9l0000000<0
T6NN00D00000091VWP2@IYh0T6JN00000004091VWP040000002@IYh0T6JN091VWP<000000P2UYMD0
10000000Z[_V0:ZkiP2Z^nH3000000@0RgNg00D0000008Ug^@29MkT0RGNi0000000J0?ooo`030000
003oool0oooo01`0oooo000:0?ooo`8000002P3oool2000000@0oooo0P0000040?ooo`8000003@3o
ool00`000000oooo0?ooo`0j0?ooo`80000000@0NC=[0000000000000000102V`Nd00`000000Y/7]
0:K1k@03000000<0Y/7]00@000000:K1k@00000000000P2V`Nd010000000Y/7]0:K1k@2V`Nd30000
00<0Y/7]00@000000:K1k@2V`Nd0Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00@000000`2V`Nd0
0`000000Y/7]0:K1k@04000000030:2Db0000000VGfc00<0VGfc00D0000009EbZ@2ELZT0UG:Y0000
000309=]Y0050000002AJZ40TFZQ095ZX@0000000`2AJ9l01@000000T6NN091WWP2@Iih0000000@0
T6JN00H00000091VWP2@IYh0T6JN0000002@IYh3000000@0YJGE00<000000:ZkiP0000000P000002
08mj^0030000002;MkL0000000H000006P3oool00`000000oooo0?ooo`0L0?ooo`008P3oool00`00
0000oooo0?ooo`0=0?ooo`030000003oool0oooo03T0oooo0`0000030:K1k@030000002V`Nd0Y/7]
00@000000`2V`Nd00`000000Y/7]0:K1k@02000000@0Y/7]00@000000:K1k@00000000000P2V`Nd0
1P000000Y/7]0:K1k@2V`Nd000000:K1k@8000000P2V`Nd010000000Y/7]0:K1k@2V`Nd2000000<0
Y/7]00<000000:K1k@2V`Nd01@0000000`2Se_X000000:2Db0020:2Db0050000002IOK<0VGfc09Um
/`0000000`2ELZT01@000000TffT09=]Y02CKJ@0000000<0TFZQ00D00000095XW`2AJ9l0TFRO0000
0004091WWP050000002@IYh0T6JN091VWP0000000P2@IYh300000080XIG800<000000:FUe@2UYMD0
0`2UYMD8000000<0Sj;R00@00000096ilP2A^O80TKWb0P00000I0?ooo`030000003oool0oooo01/0
oooo000R0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0=@3oool300000080Y/7]
0P0000020:K1k@<000000`2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]0P0000020:K1k@800000
102V`Nd00`000000Y/7]0:K1k@03000000@0Y/7]00H000000:K1k@00000000000:K1k@0000030:K1
k@L000000`2Se_X010000000X9C80:2Db000000309Um/`050000002ELZT0UG:Y09EbZ@0000000`2C
KJ@01@000000TFZQ095ZX@2AJZ40000000@0TFRO00D00000091WWP2@Iih0T6NN00000003091VWP<0
000000<0W8Rn0000002QULP00`2QULP00`000000YJGE0:FUe@0200000080SH_=00H0000008fCe@2=
TmD0000008fCe@00000308nRhP040000002A^O80000000000080X^Ok0P00000H0?ooo`030000003o
ool0oooo01X0oooo000R0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0<P3oool2
00000080Y/7]00@000000:K1k@2V`Nd0Y/7]0`0000020:K1k@030000002V`Nd0Y/7]0080Y/7]0P00
00030:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@04000000<0Y/7]00<0
00000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0000000<0000000<0ITVK0000001]CY`00P1]
CY`010000000XmKj0:?FnP0000030:2Db0040000002IOK<0VGfc000000<0UG:Y00D0000009=]Y02C
KJ@0TffT00000004095ZX@050000002AJ9l0TFRO095XW`0000000`2@Iih00`000000T6JN00000002
000000@0W8Rn00T000000:6Eb02QULP0XIG80000002UYMD0000008j8b00000000`2=Rld00`000000
SI?E08fCe@0200000080Sj;R0`0000020:;Wn`80000000<0[loa0000003oool05`3oool00`000000
oooo0?ooo`0J0?ooo`008P3oool200000140oooo00<000000?ooo`3oool0;`3oool2000000@0Y/7]
00@000000:K1k@00000000000P2V`Nd01P000000Y/7]0:K1k@2V`Nd000000:K1k@80000000<0Y/7]
0000002V`Nd00P2V`Nd3000000<0Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0
Y/7]00@000000`2V`Nd00`000000Y/7]0:K1k@03000000030615VP000000ITVK0080ITVK00<00000
06e>W01]CY`00`0000001@2Se_X000000:2Db02PU<P000000080VGfc00D0000009EbZ@2ELZT0UG:Y
0000000309=]Y0030000002AJZ40TFZQ0080TFZQ00H00000095XW`2AJ9l0TFRO0000002@Iih40000
0080V7nf00<0000009b8_P2LR;h00P2LR;h010000000XIG80:6Eb02QULP200000080SXS800D00000
08f;c@2=Rld0SH_=0000000208fCe@@000000P2Ng_d3000000<0[loa0P00000F0?ooo`030000003o
ool0000001/0oooo000Q0?ooo`030000003oool0oooo0180oooo00<000000?ooo`3oool0:P3oool4
00000080Y/7]00<000000:K1k@2V`Nd00`0000040:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd0
10000000Y/7]0000000000020:K1k@040000002V`Nd0Y/7]0:K1k@<000000P2V`Nd00`000000Y/7]
0:K1k@020:K1k@8000000`2V`Nd00`000000Y/7]0:K1k@040000000504dnW`00000000000615VP00
00000`1VBI/010000000KDjL06e>W000000207ACW@<000000P2PU<P010000000VGfc09Um/`000003
09EbZ@050000002CKJ@0TffT09=]Y00000000`2AJZ400`000000TFRO0000000300000080UGR`00<0
000009Qo]P2HOkH00P2HOkH00`000000W8Rn09b8_P0209b8_P@00000102>R<P00`000000SH_=0000
00030000000309_@nP000000Vm3j00<000000P2^e?@010000000[loa0000000000020:Nmj@030000
003oool0oooo01H0oooo00<000000?ooo`3oool0603oool00240oooo00<000000?ooo`3oool04`3o
ool00`000000oooo0?ooo`0W0?ooo`8000000`2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<0
00000:K1k@2V`Nd0100000030:K1k@030000002V`Nd0Y/7]00800000102V`Nd010000000Y/7]0000
000000020:K1k@060000002V`Nd0Y/7]0:K1k@000000Y/7]0P0000000`2V`Nd000000:K1k@020:K1
k@@000000P1=?9d01P000000CCjO04dnW`000000H4FJ000000<0ITVK00@0000006e>W01]CY`00000
0`1dDid00`000000NURO000000030000000309Um/`000000UG:Y0080UG:Y00H0000009=]Y02CKJ@0
TffT0000002AJZ4400000080TG6/00<0000009Eh/02EN;000P2EN;001@000000V7nf09Qo]P2HOkH0
000000@0W8Rn0P00000209::a`030000002>R<P0000000<000000`2H_o801P000000Vm3j00000000
0000ZmKf00000080[]Cd0`0000040:Nmj@030000003oool0oooo01H0oooo00<000000?ooo`3oool0
603oool00240oooo0P00000E0?ooo`8000009@3oool2000000030:K1k@000000Y/7]0080Y/7]0`00
00020:K1k@8000000P2V`Nd3000000<0Y/7]00<000000:K1k@2V`Nd0100000020:K1k@8000000P2V
`Nd2000000@0Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd000000080000000H0
ACjU0000001A?Yd0000004dlW@00000204dnW`80000000D0H4FJ0000001VBI/0ITVK0000000306e>
W0040000001dDid0M5>M000000<0NURO00<0000007mMX@0000002P00000208e/Z0050000002ALJ`0
TG6/095a[0000000102EN;001@000000V7nf09Qo]P2HOkH000000080W8Rn2000000309F_j@030000
002H_o80V;ob00<0000000<0ZmKf0000002[e_H00`0000030:W1j`030000002W_NT0YkgY00<00000
603oool00`000000oooo0?ooo`0G0?ooo`008@3oool00`000000oooo0?ooo`0F0?ooo`030000003o
ool0oooo01l0oooo0`0000030:K1k@040000002V`Nd0000000000080Y/7]00@000000:K1k@2V`Nd0
Y/7]0`0000020:K1k@8000000P2V`Nd3000000<0Y/7]00<000000:K1k@2V`Nd0100000020:K1k@03
0000002V`Nd0Y/7]00@000000`2V`Nd00`000000Y/7]0000000300000080DdFT00H0000004DnY@00
0000000004dlW@00000204dnW`80000000D0H4FJ0000001VBI/0ITVK0000000306e>W0040000001d
Did0M5>M000000<0NURO00@0000007mMX@1oGJ4000000`25HZ<01@000000RFNU08UWY@29IjD00000
00<0SFbX00<00000095a[02ALJ`00P2ALJ`01@000000UGR`09Eh/02EN;00000000@0V7nf0`000002
09BNfP050000002DY>00U:CP09BTh00000000P2E[nT4000000<0Ym?g0`0000020:_5k@030000002Y
`N/0ZL7[00@000000`2U_^/00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo01H0oooo000Q
0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool06`3oool3000000<0Y/7]00<00000
0:K1k@2V`Nd00P0000040:K1k@040000002V`Nd0000000000080Y/7]00@000000:K1k@2V`Nd0Y/7]
0`0000020:K1k@040000002V`Nd0Y/7]0:K1k@<000000`2V`Nd00`000000Y/7]0:K1k@03000000<0
Y/7]00<000000:K1k@2V`Nd01000000206=>Y0040000001CAJ@0DdFT00000080ACjU00<0000004dl
W@0000000`1=?Yl300000080ITVK00D0000006e>W01]CY`0KDjL0000000307ACW@040000001jF9l0
NURO000000<0OefQ00@0000008ERX`25HZ<000000`29IjD00`000000SFbX08e/Z00208e/Z0050000
002ALJ`0TG6/095a[00000000`2EN;0010000000V7nf09Qo]P2HOkH20000000309RMe`000000U9kJ
0080U9kJ00<0000009BTh00000000`0000030:?=m@090000002WdoL000000000002[b>l000000:_5
k@000000ZlG]00<000000`2V_^/010000000YKk[0:Fnj`2U_^/2000001L0oooo00<000000?ooo`3o
ool05P3oool00240oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0F0?ooo`@00000
0P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]0P0000020:K1k@800000102V`Nd010000000Y/7]
0000000000020:K1k@050000002V`Nd0Y/7]0000002V`Nd00P0000020:K1k@040000002V`Nd0Y/7]
0:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0500000080MF6]1000000205=5Y00300000015?ZD0
ACjU00<000000`1=?Yl00`000000D4:R0000000306I9V`040000001]CY`0KDjL000000<0M5>M00D0
000007YHW`1jF9l0NURO0000000207mMX@0500000025HZ<0QF:S08ERX`0000000`29IjD01@000000
SFbX08e/Z02=K:P0000000<0TG6/00<0000009Eh/02EN;000P2EN;03000000<0V9gG00<0000009BN
fP2DW]X00`00000309o4lP030000002ScOD0Xlge00<00000102[b>l300000080Yko[00H000000:Jn
j`2V_^/0Y[k[0000002U_^/2000000030:K1k@000000oooo01D0oooo0`00000G0?ooo`008@3oool2
000001X0oooo00<000000?ooo`3oool04`3oool2000000<0Y/7]00<000000:K1k@2V`Nd00`000003
0:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@03000000@0Y/7]00<00000
0:K1k@2V`Nd00P0000040:K1k@040000002V`Nd0000000000080Y/7]00@000000:K1k@2V`Nd0Y/7]
1000000208M[[0070000001eHJd0MF6]07EQ[@000000HUN_0000000205=5Y00300000015?ZD0ACjU
0080000000H0CCbM0000001=?Yl0CCjO0000001@@Z8200000080ITVK00@0000006e>W01]CY`00000
0`1dDid01@000000NURO07YHW`1jF9l000000080OefQ00D0000008ERX`25HZ<0QF:S0000000308UW
Y@050000002=K:P0SFbX08e/Z00000000`2ALJ`010000000UGR`09Eh/02EN;020000000409fPe`00
0000V9gG09RMe`@000000P2M^nd010000000WlCb09o4lP2Oa?8300000080ZL[a00<000000:_8k`2[
b>l00`0000001@2W_n/000000:Noj`2W_n/000000080Y[k[0`0000040:K1k@030000003oool0oooo
01H0oooo00<000000?ooo`3oool0503oool00200oooo00<000000?ooo`3oool06`3oool00`000000
oooo0?ooo`0@0?ooo`80000000<0Y/7]0000002V`Nd00P2V`Nd300000080Y/7]0P0000020:K1k@<0
00000`2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd0100000020:K1k@80
00000P2V`Nd2000000@0Y/7]00<000000:K1k@0000000P00000209Mf[00500000027Jj`0Qf^/08M[
[00000000P1eHJd010000000HUN_00000000000205=5Y00300000015?ZD0ACjU00<000000P1=?Yl0
10000000D4:R0000001FBZL300000080KDjL00D0000007ACW@1dDid0M5>M0000000307YHW`040000
001oGJ40OefQ000000<0QF:S00D0000008UWY@29IjD0RFNU0000000308e/Z0030000002ALJ`0TG6/
0080TG6/0`00000209fPe`@000000P2K/nP01P000000WK_]09fkk@2M^nd0000009o4lP8000000P2X
bO400`000000ZL[a0:W:l@03000000<0Yl7/00<000000:Noj`000000100000020:K0k0030000002V
`Nd0Y/7]00<00000603oool00`000000oooo0?ooo`0D0?ooo`00203oool2000000@0oooo00<00000
0?ooo`3oool00`3oool2000000<0oooo100000030?ooo`030000003oool0oooo01`0oooo00<00000
0?ooo`3oool0303oool3000000<0Y/7]00@000000:K1k@00000000000P2V`Nd010000000Y/7]0:K1
k@2V`Nd300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@8000000P2V`Nd3000000<0Y/7]
00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<000000P2UP:`010000000UgJ/
09Mf[000000308M[[0040000001eHJd0MF6]00000080HUN_1000000204DnY@030000000j?:T00000
0080CCjO00@000000512XP1@@Z8000000P1FBZL01@000000KDjL06e>W01]CY`000000080M5>M00D0
000007YHW`1jF9l0NURO0000000307mMX@0400000025HZ<0QF:S000000<0RFNU00<0000008e/Z02=
K:P00P2=K:P00`000000TG6/095a[006000000<0W:oU00H0000009^cj02K/nP0Vk?X0000002M^nd3
000000@0Z<Wa0`0000020:S3k@030000002W`N`0Yl7/00D0000000@0Y/3/0000002V`>`0Y/3/1000
00030:K1k@030000003oool0oooo01H0oooo00<000000?ooo`3oool04`3oool000L0oooo00@00000
0?ooo`3oool00000203oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`080?ooo`<000000`2V`Nd00`000000Y/7]
0:K1k@02000000@0Y/7]00@000000:K1k@00000000000P2V`Nd010000000Y/7]0:K1k@2V`Nd20000
00<0Y/7]00@000000:K1k@2V`Nd0Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00@000000`2V`Nd0
0`000000Y/7]0:K1k@03000000030;69[0000000YH2/0080YH2/00D0000009Mf[02GMZ`0UgJ/0000
000208M[[0040000001eHJd0MF6]00000080HUN_00@0000004i>/P1>C[8000000P15?ZD010000000
>SbY00000000000204dnW`030000001@@Z8000000080ETZW0P00000206e>W0040000001dDid0M5>M
000000<0NURO00D0000007mMX@1oGJ40OefQ0000000208ERX`0500000029IjD0RFNU08UWY@000000
102=K:P5000000<0WjkR00D0000009b_i@2L[nD0W:oU0000000209^cj0<000000`2Ua_401P000000
Z<Wa000000000000Z<C^00000080Z<?]100000030:K0k0030000002V`>`0000000<000000`2V`Nd0
0`000000Y/7]0:K1k@03000001P0oooo00<000000?ooo`3oool04P3oool000L0oooo00@000000?oo
o`3oool00000203oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo0080oooo0P00
000O0?ooo`030000003oool0oooo00<0oooo100000020:K1k@030000002V`Nd0Y/7]00@000000P2V
`Nd200000080Y/7]0P0000040:K1k@060000002V`Nd000000000002V`Nd000000`2V`Nd010000000
Y/7]0000000000020:K1k@040000002V`Nd0Y/7]0:K1k@8000000`2V`Nd00`000000Y/7]0:K1k@05
000000<0/HV/00D000000:F0[02UP:`0YH2/0000000309Mf[00400000027Jj`0Qf^/000000<0MF6]
00<00000069G[`0000000P1>C[820000000404DnY@000000>SbY03XlZ@@0000000H0D4:R0000001F
BZL0ETZW0000001OE:h3000000<0M5>M00@0000007YHW`1jF9l000000`1oGJ4010000000QF:S08ER
X`00000408UWY@030000002=K:P0SFbX00<000000P2S/N801@000000WjkR09n^hP2O[^8000000080
W:oU100000020:?2k`030000002Ua_40YLKa00<00000102Xa>h2000000<0Y/7/00@000000:K0k02V
`>`0Y/3/0`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000oooo0?ooo`0F0?oo
o`030000003oool0oooo0180oooo00000`3oool000000000000200000080oooo00@000000?ooo`3o
ool00000203oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool07`3oool00`000000oooo00000002000000<0Y/7]00<000000:K1k@2V`Nd00`000003
0:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@03000000@0Y/7]00<00000
0:K1k@2V`Nd00P0000040:K1k@060000002V`Nd000000000002V`Nd00000102V`Nd300000080]8NT
0P0000030;69[0030000002UP:`0YH2/0080YH2/00<0000009Mf[0000000200000000`1REjl00000
04i>/P0204i>/P@0000000L0>SbY0000000c?k00<cn`0000001@@Z80000000<0ETZW00@0000005mD
[P1OE:h000000`1dDid01@000000NURO07YHW`1jF9l000000080OefQ00D0000008ERX`25HZ<0QF:S
0000000308UWY@<0000000<0Z;KS0000002S/N800P2S/N800`000000WjkR09n^hP0400000080X[k]
00<000000:?2k`2S`^l0100000030:S4kP060000002Xa>h000000000002W`N`000000`2V`N`02@00
0000Y/3/000000000000Y/7]0000002V`Nd000000:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd0
0P00000F0?ooo`<000004`3oool000L0oooo00@000000?ooo`3oool00000203oool010000000oooo
0?ooo`0000040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool07`3oool200000080
Y/7]00<000000:K1k@2V`Nd00P2V`Nd200000080Y/7]0P0000020:K1k@<000000`2V`Nd00`000000
Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<0
0000102V`Nd400000080^hfU00<000000;B7Y00000000P2kTjd010000000/HV/0;69[00000030:F0
[0<0000000D0Vh:g0000002<N;P0S7Rh0000000307Y`^`@000000P1>C[801P000000>TZh03Y:^000
0000>SbY00000080<cn`0P0000001@1@@Z80000005I:Y`1FBZL000000080GeB^0`0000000`1dDid0
000007YHW`0207YHW`050000001oGJ40OefQ07mMX@0000000P25HZ<00`000000RFNU000000030000
00<0Z;KS00<000000:>ahP0000000`0000030:6jj`030000002R_^d0X[k]00<000000`2Wa>h00`00
0000Z<C^0:S4kP03000000<0Yl7/00<000000:K1k02V`N`00`0000040:K1k@<000000P2V`Nd01000
0000Y/7]0:K1k@2V`Nd300000080Y/7]00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`05
0?ooo`8000002P3oool000L0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`00
00020?ooo`<00000103oool00`000000oooo0?ooo`0M0?ooo`80000000<0Y/7]0000002V`Nd00P2V
`Nd01P000000Y/7]000000000000Y/7]000000<0Y/7]0`0000020:K1k@8000000P2V`Nd300000080
Y/7]0P0000020:K1k@<000000`2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V
`Nd00`0000040;^=Y@8000000`2kTjd010000000/HV/0;69[02aRJ`3000000030:V<]`000000Vh:g
0080Vh:g00@0000008ah^02<N;P000000`1jL;/010000000IfW100000000000204i>/P030000000j
B[P0000000<000000P0c?k0300000080ETZW00H0000005mD[P1OE:h0GeB^0000001XH[L>00000004
08OOo@000000[KkV00000080Z;KS0`0000030::ij@030000002Q^^/0XK[[00@000000P2U`^h00`00
0000YlC^0:O4kP0400000080Yl;]00<000000:O1k02W`N`0100000030:K1k@030000002V`Nd0Y/7]
008000000P2V`Nd010000000Y/7]0000002V`Nd2000000030:K1k@000000Y/7]0080Y/7]0P00000G
0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool000002@3oool000P0oooo0P00000:
0?ooo`8000001@3oool010000000oooo0?ooo`3oool2000001`0oooo0`0000030:K1k@030000002V
`Nd0Y/7]00<000000`2V`Nd010000000Y/7]0000000000020:K1k@040000002V`Nd0Y/7]0:K1k@<0
00000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@80
00000P2V`Nd400000080`YBW00D000000;^=Y@2kSJD0^hfU000000040;^C[@050000002aRJ`0/HV/
0;69[00000000`2YS;L01@000000Vh:g09^2]`2KP[L000000080S7Rh00P0000007Y`^`1jL;/0NW2k
0000001WJL40000005=Vb@<000000P0jB[P00`0000009D_20000000203<o/0030000000^BK`00000
0080ETZW00D0000005mD[P1OE:h0GeB^0000000206QR]`050000001dM<@0M7C407Ada00000001021
S]L00`000000SKCa08fdl@02000000030:fniP0000000000008000000P2T^NP010000000X[WY0::i
j@2R^NT300000080YL7]00<000000:G2kP2U`^h0100000030:O2k@030000002W`^d0Yl;]00<00000
0`2V`N`00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@0000000`0000040:K1k@<00000
0P2V`Nd00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool0
00002@3oool001l0oooo00<000000?ooo`3oool0603oool3000000<0Y/7]00<000000:K1k@2V`Nd0
0`0000030:K1k@030000002V`Nd0Y/7]00800000102V`Nd010000000Y/7]0000000000020:K1k@04
0000002V`Nd0Y/7]0:K1k@8000000`2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1
k@2V`Nd0100000000`2jR:400000000000030<:DY`030000002kSJD0^hfU00800000102kTjd00`00
0000/HV/0;69[002000000<0ZHbg00D0000009^2]`2KP[L0Vh:g0000000208ah^0050000001jL;/0
NW2k07Y`^`0000000P1WJL400`000000DfK905=Vb@040000000602E;`P000000000003<o/0000000
;TVl0P00000205I:Y`040000001OE:h0GeB^000000<0J6:g00D0000007Ada01dM<@0M7C400000003
086>e`030000002=]?40000000<000000`2W^nP01@000000Y;WX0:Bij0000000X[WY008000000P2T
_n`010000000YL7]0:G1k@2U`Nd2000000<0Yl;]00<000000:O2k@2W`^d0100000020:K1k@030000
002V`N`0Y/7/00@000000P2V`Nd00`000000Y/7]0:K1k@05000000040:K1k@000000Y/7]0:K1k@<0
0000102V`Nd00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0080oooo0`00000:0?ooo`00
7`3oool00`000000oooo0?ooo`0D0?ooo`@000000P2V`Nd200000080Y/7]0`0000020:K1k@800000
0P2V`Nd300000080Y/7]0P0000020:K1k@800000102V`Nd01P000000Y/7]000000000000Y/7]0000
00@0Y/7]0P0000020:K1k@8000000P2V`Nd4000000@0^XRQ0P0000030<:DY`060000002kSJD0^hfU
00000034WK000000102kTjd200000080]YNh00D000000:V<]`2YS;L0ZHbg0000000309^2]`040000
002<N;P0S7Rh000000<0NW2k00<0000006MY`@0000000`1CI/T01@000000?V_F0000000000009D_2
00@0000000<0;TVl0000000000000P00000205mD[P050000001XH[L0J6:g06QR]`0000000`1dM<@0
10000000PHkG086>e`21S]L300000080ZKoY00D000000:Nkj02W^nP0Yk_X000000020:Bij0800000
102T_n`01P000000YL7]000000000000Y/;]000000<0Yl;]0`0000020:O1k@030000002V`Nd0Y/7]
00@000000P2V`Nd00`000000Y/7]0:K1k@04000000<0Y/7]00<000000:K1k@0000000`0000030:K1
k@030000002V`Nd0Y/7]00<000005`3oool01@000000oooo0?ooo`3oool0000000`0oooo000O0?oo
o`8000004`3oool2000000<0Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]
00@000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]0P0000020:K1k@800000102V`Nd01P00
0000Y/7]000000000000Y/7]000000<0Y/7]1@0000000`2kRj8000000;Z8X@030;Z8X@0300000032
U:L0`YBW0080`YBW00<000000;^=Y@0000000P34WK000`000000^i>]0;^C[@020;^C[@050000002f
UkP0]YNh0;JG^00000000`2YS;L00`000000Vh:g0000000=0000000405=Vb@000000?V_F03i[eP<0
00000P0>E]4300000080:eg@0P00000205mD[P050000001XH[L0J6:g06QR]`0000000`1dM<@40000
00@0ZKoY00<000000:Nkj02W^nP0100000020:Bnk0030000002T_n`0Y;o/00<000000`2V`^d01000
0000Yl;]0000000000020:O1k@040000002W`Nd0Yl7]0:O1k@8000000`2V`Nd00`000000Y/7]0:K1
k@03000000<0Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00@000000P2V
`Nd00`000000oooo0?ooo`0C0?ooo`@000000P3oool00`000000oooo0?ooo`0:0?ooo`007`3oool0
0`000000oooo0?ooo`0@0?ooo`80000000<0Y/7]0000002V`Nd00`2V`Nd2000000<0Y/7]00<00000
0:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]0:K1k@04
00000080Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd000000080000000<0[gfM
0000000000000P2kRj8010000000^XRQ0;Z8X@2jR:42000000D0`YBW0P0000020<BM/0040000002k
Tjd0^i>]0;^C[@8000000`2fUkP010000000ZHbg0:V<]`2YS;L200000080X9;600@0000009:;b02B
RlP000000`24Q/d01@000000MHGE07F5e@000000J8_Q00@0000000<0?V_F0000000XNND01`000000
0`0[GM0000000000000;00000080[<?[00<000000:Voj@2Y_nT0100000020:Fnj`030000002T_^`0
Y;k/00@000000P2V`Nd00`000000Y/;]0:K2k@03000000@0Yl7]00H000000:O1k@00000000000:K1
k@0000030:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@000000
100000020:K1k@030000002V`Nd0Y/7]00<000005`3oool010000000oooo0?ooo`3oool3000000T0
oooo000O0?ooo`030000003oool0oooo00h0oooo0P0000040:K1k@060000002V`Nd000000000002V
`Nd00000102V`Nd200000080Y/7]0P0000020:K1k@<000000P2V`Nd200000080Y/7]0`0000030:K1
k@030000002V`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]00000002000000@0[gfM0P0000030;^;
XP030000002jR:40^XRQ008000001@32U:L01@000000a9f`0<BM/034WK0000000080^i>]00<00000
0<6S^`000000102fUkP4000000@0X9;600@0000009:;b02BRlP000000`24Q/d010000000MHGE07F5
e@00000306R;h@P0000000<0FLWg0000000000001@0000020:kFm@<000000`2]and00`000000[<?[
0:c3j`03000000<0Y[o[00<000000:Fnj`2U_^/00`0000030:K1k@030000002V`Nd0Y/7]00<00000
0`2V`^d00`000000Yl7]0:O1k@03000000<0Y/7]00H000000:K1k@00000000000:K1k@0000030:K1
k@<000000P2V`Nd00`000000Y/7]0:K1k@0500000080Y/7]00<000000:K1k@2V`Nd00`0000030:K1
k@030000003oool0oooo01D0oooo00<000000?ooo`3oool0303oool001l0oooo00<000000?ooo`3o
ool02`3oool300000080Y/7]0P0000020:K1k@800000102V`Nd01P000000Y/7]000000000000Y/7]
000000<0Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@04
00000080Y/7]00<000000:K1k@2V`Nd0100000020:ekW@050000002_OId0[gfM0:mmW@000000102k
Rj800`000000^XRQ000000020<NKZ`0400000032U:L0`YBW0<:DY`8000001034WK0200000080`J>k
00<000000;JG^02fUkP00P2fUkP01@000000[I_50:fKa@2]VlD0000000<0X9;600@0000009:;b02B
RlP000000`24Q/d010000000MHGE07F5e@00000206R;h@X000000P2Dg?h2000000030:ODm`000000
[]Ke008000000P2/bNl010000000[LO]0:g7k@2]and300000080Z<3[00<000000:Joj`2V_n/01000
00020:K0k0030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/;]0:K2k@0400000080Y/7]00<0
00000:K1k@2V`Nd00`0000040:K1k@<000000P2V`Nd010000000Y/7]0:K1k@2V`Nd2000000<0Y/7]
00<000000:K1k@000000100000020:K1k@030000002V`Nd0Y/7]00<000005`3oool00`000000oooo
0?ooo`0;0?ooo`007P3oool2000000T0oooo100000020:K1k@030000002V`Nd0Y/7]00@000000P2V
`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00@000000:K1k@00000000000P2V`Nd010000000Y/7]
0:K1k@2V`Nd2000000<0Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<0
000000<0ZgZN0000002]Nid00`2]Nid00`000000[gfM0:mmW@02000000@0^h^R0P0000030<NKZ`04
00000032U:L0`YBW0<:DY`8000001034WK000`000000`J>k0<6S^`020<6S^`030000002fUkP00000
008000000`2]VlD00`000000X9;60:2BaP020:2BaP030000002BRlP0000000T000000`22Z^h01000
0000P[Wh08:in000000208S<oP<000000`2We?L2000000@0[<W_00H000000:g7k@00000000000:S2
k00000020:S0j`@000000P2V`>`00`000000Y/3/0:K0k004000000<0Y/7]00<000000:K1k@2V`Nd0
0`0000030:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]0:K1k@02000000@0Y/7]
00H000000:K1k@00000000000:K1k@0000030:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@040000
0080Y/7]00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0;0?ooo`007P3oool00`000000
oooo0?ooo`050?ooo`<000000`2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V
`Nd00`0000030:K1k@030000002V`Nd0Y/7]00800000102V`Nd01@000000Y/7]000000000000Y/7]
008000000P2V`Nd300000080Y/7]0P0000020:K1k@<000000P2Se_X00`000000ZgZN000000040:ek
W@030000002_OId0[gfM00800000102kRj82000000<0ai^[00H000000<:DY`32U:L000000<jY]000
00030<BM/08000001031Xk/2000000<0^:K700H000000:fKa@2]VlD0[I_50000002PT/H400000003
09ZOe`000000T9gM00<0T9gM00@0000008NQi027XN@000000P22Z^h700000080Wlgg100000020:W:
l@030000002/bNl0[<W_00<00000102X`^`2000000<0Y/3/00<000000:K0k02V`>`00`0000030:K1
k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1
k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd02@000000Y/7]000000000000
Y/7]0000002V`Nd000000:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`00000G0?ooo`030000
003oool0oooo00X0oooo000N0?ooo`030000003oool0oooo0080oooo0`0000020:K1k@8000000P2V
`Nd300000080Y/7]0P0000020:K1k@<000000P2V`Nd200000080Y/7]0`0000020:K1k@8000000P2V
`Nd2000000@0Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00D0000000@0X9C80000002Se_X00000
0P2[NYh00`000000[G^M0:ekW@020:ekW@030000002_OId000000080_8fU00D000000;^;XP2kRj80
^h^R000000040<NKZ`0300000032U:L0000000<0cZVd00<000000<BM/00000000P3</L001@000000
`J>k0<6S^`31Xk/0000000@0^:K700@000000:fKa@2]VlD0[I_50P0000030:BSe@040000002JWmL0
VYoG000000<0T9gM00<0000008NQi027XN@00`00000309Jjl@030000002Ia?D0VLCe00<000000`2V
b?400`000000ZL[a0:W:l@03000000<0ZLC]00H000000:S2k000000000000:O1k00000030:K0k0<0
00000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@03
0000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V
`Nd00`0000040:K1k@<000000P2V`Nd010000000Y/7]0:K1k@2V`Nd2000000<0Y/7]00<000000?oo
o`3oool04`3oool3000000/0oooo000N0?ooo`030000003oool0oooo008000000P2V`Nd200000080
Y/7]0`0000020:K1k@8000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@03
0000002V`Nd0Y/7]00@000000P2V`Nd010000000Y/7]0000000000020:K1k@040000002V`Nd0Y/7]
0:K1k@D00000102PU<P01@000000ZgZN0:]jWP2[NYh0000000@0[G^M0P0000030;b=Y@050000002k
Rj80^h^R0;^;XP0000001@37Vj/2000000<0cZVd0P0000030<ba`00300000031Xk/0`J>k00800000
1@2hY/L4000000@0Y:?E00@0000009ZOe`2JWmL000000P2@WMd400000080U[?[00<0000009Jjl@2F
^_40100000020:;4l@030000002Vb?40Y/Sa00@000000P2Xa>h00`000000ZLC]0:W4k@03000000<0
Yl7/00@000000:K0k000000000000P2V`N`010000000Y/7]0:K1k@2V`Nd2000000<0Y/7]00<00000
0:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]0:K1k@03
000000<0Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]008000000P2V`Nd0
10000000Y/7]0000002V`Nd2000000030:K1k@000000Y/7]0080Y/7]0P00000F0?ooo`030000003o
ool0oooo00T0oooo000N0?ooo`<0000000<0Y/7]0000002V`Nd00P2V`Nd300000080Y/7]00<00000
0:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]0:K1k@03
000000<0Y/7]00<000000:K1k@2V`Nd00P0000040:K1k@030000002V`Nd0000000800000102IOK<0
0`000000X9C80:2Db002000000<0ZgZN00<000000:ekW@2]Nid00P2]Nid2000000<0_8fU00H00000
0;^;XP2kRj8000000<fU/00000040<NKZ`030000003>ZK@0cZVd0080cZVd00<000000<ba`03</L00
0`3</L0200000080`kC<00@000000;RVa`2hY/L0^:K70P0000030:j[e0040000002TXmD0Y:?E0:BS
e@H000000`2J[nH00`000000U[?[09Jcj`03000000<0X<3_00<000000:;4l@2Ra?400`0000030:O4
kP030000002Xa>h0Z<C^00<000000`2W`^d00`000000Yl7/0:O1k002000000@0Y/7/00H000000:K1
k@00000000000:K1k@0000030:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<0
00000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1
k@0400000080Y/7]00<000000:K1k@0000000`0000030:K1k@060000002V`Nd000000000002V`Nd0
00005`3oool00`000000oooo0?ooo`080?ooo`007P3oool01P000000Y/7]0:K1k@2V`Nd000000:K1
k@8000000P2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd00`0000020:K1
k@8000000P2V`Nd300000080Y/7]0P0000020:K1k@<000000P2V`Nd2000000040:K1k@0000000000
00000080UG:Y00<0000009Um/`2IOK<00P2IOK<00`000000X9C80:2Db002000000@0ZgZN00D00000
0:ekW@2]Nid0[G^M000000040;b=Y@060000002kRj80^h^R0000003=YK0000000`37Vj/2000000<0
cZVd0P0000050<ba`00600000033]<`0`kC<0<>dc0000000^:K70P0000020;Jde`050000002^Zm@0
[Z_D0000002TXmD00P0000020:Jah@040000002O[n<0WjoS00000080VZoV1000000209nlk@030000
002P`>l0X<3_00@000000P2U`nh00`000000YlC^0:O4kP0400000080Yl;]00<000000:O2k@2W`^d0
100000020:K1k0030000002V`N`0Y/7/00<000000`2V`Nd01P000000Y/7]000000000000Y/7]0000
00<0Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@040000
0080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00D0000000@0Y/7]0000
002V`Nd0Y/7]0`0000040:K1k@030000003oool0oooo01D0oooo00<000000?ooo`3oool01`3oool0
01H0oooo0P0000060?ooo`8000000P2V`Nd2000000D0Y/7]0P0000020:K1k@8000000P2V`Nd30000
0080Y/7]0P0000020:K1k@<000000P2V`Nd200000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]
00@0000000<0TffT0000002ELZT00P2ELZT00`000000VGfc09Um/`0209Um/`80000000<0Z7VO0000
002[NYh00`2[NYh00`000000[G^M0:ekW@02000000D0_8fU0P0000020<fU/00400000037Vj/0ai^[
00000080ekZl00H000000<jY]03>ZK@000000=K5b@0000020<ba`080000000<0blCC00000033]<`0
0P33]<`00`000000][CG0;Jde`020;Jde`030000002^Zm@0[Z_D00800000102V/N400`000000WjoS
09n_h`03000000<0XK[[00<0000009nlk@2O_>d00`0000030:C1kP030000002U`nh0YL?^00<00000
0`2W`^d00`000000Yl;]0:O2k@0300000080Yl7]00<000000:K1k02V`N`0100000020:K1k@030000
002V`Nd0Y/7]00<00000102V`Nd300000080Y/7]00@000000:K1k@2V`Nd0Y/7]0P0000030:K1k@03
0000002V`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V
`Nd00`0000030:K1k@030000002V`Nd0000000<000000P2V`Nd00`000000Y/7]0:K1k@03000001L0
oooo00<000000?ooo`3oool01`3oool001D0oooo00@000000?ooo`3oool00000103oool00`000000
oooo0?ooo`0200000080Y/7]0P0000001@2V`Nd000000000002V`Nd0000000@0Y/7]0P0000020:K1
k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1
k@2V`Nd00`000002095ZX@040000002CKJ@0TffT000000<0UG:Y00<0000009Um/`2IOK<00P2IOK<0
1@000000Z7VO0:QiW`2XNIl0000000<0ZgZN00D000000:ekW@000000_I2X000000050;b=Y@800000
0P3=YK0010000000ai^[0<NKZ`0000020=Nj_0030000003>ZK@000000080e/G900<000000<ba`000
00000`3;a=<01P000000`kC<000000000000_L3L000000<0][CG0`0000020:bfh@030000002V/N40
Y[7Q00@000000P2S^NP010000000XK[[0:6jj`2Q^^/300000080Y;o]00<000000:C1kP2T`Nh01000
00020:K2k@030000002W`^d0Yl;]00@000000P2W`Nd00`000000Yl7]0:O1k@03000000<0Y/7]00<0
00000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]00800000102V`Nd01P000000Y/7]0000
00000000Y/7]000000<0Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000
Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd01@000000102V`Nd000000:K1k@2V`Nd30000
00<0Y/7]00<000000?ooo`3oool0503oool2000000P0oooo000E0?ooo`040000003oool0oooo0000
00@0oooo0P0000020?ooo`8000000P2V`Nd2000000@0Y/7]00H000000:K1k@00000000000:K1k@00
00030:K1k@8000000`2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd00`00
00000`2AJ9l00000095ZX@02095ZX@050000002CKJ@0TffT09=]Y00000000P2ELZT010000000VGfc
09Um/`2IOK<2000000<0Z7VO00L000000:]jWP2[NYh0ZgZN0000002]Nid000000080_I2X00<00000
0;b=Y@2lSJD00P2lSJD00`000000cJF`0<fU/0020<fU/0800000103G^[`00`000000e/G90=K5b@02
0=K5b@030000003;a=<0blCC00<0blCC00H000000;g0g02m`=`0_L3L0000002f]=L200000080/KgR
00@000000:bfh@2/]^40[;KQ0P0000030:Jji`050000002S^NP0XkWX0000002Q^^/00P0000020:Bn
k0040000002T_nd0Y;o]0:Bok@8000000`2V`Nd00`000000Y/;]0:K2k@0300000080Y/;]00<00000
0:O1k@2W`Nd0100000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@04
00000080Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@060000002V`Nd000000000002V`Nd00000
0P2V`Nd400000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00@00000
0P2V`Nd00`000000Y/7]0000000400000080Y/7]00<000000:K1k@2V`Nd00`00000A0?ooo`@00000
00<0oooo0000003oool01`3oool001D0oooo00@000000?ooo`3oool00000103oool00`000000oooo
0?ooo`030?ooo`8000000P2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00H000000:K1k@000000
00000:K1k@0000040:K1k@8000000P2V`Nd200000080Y/7]0`0000001@2@Iih00000095XW`2AJ9l0
000000<0TFZQ00D0000009=]Y02CKJ@0TffT0000000209EbZ@060000002IOK<0VGfc0000002UMj00
00000`2XNIl010000000ZgZN0:]jWP2[NYh2000000<0_I2X00@000000;b=Y@2lSJD0_8fU0P000004
0<fU/0030000003G^[`0ekZl0080ekZl00@000000=gNeP000000e/G90P000000103@fMl000000000
003;a=<2000000040<7=i0000000_L3L0;g0g0800000102a_N801P000000[;KQ000000000000Z[gW
000000<0Y[[W00<000000:>ij02S^NP00P0000040:Bnk0060000002T_nd000000000002U`Nd00000
0`2V`Nd300000080Y/7]00<000000:K2k@2V`^d00`0000030:K1k@030000002V`Nd0Y/7]00<00000
0`2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000
002V`Nd0Y/7]00<00000102V`Nd2000000<0Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000
002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@05000000040:K1k@000000Y/7]0:K1k@@0
00000P2V`Nd00`000000oooo0?ooo`0<0?ooo`<000001@3oool00`000000oooo0?ooo`060?ooo`00
5@3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo00@0oooo00<000000:K1k@2V
`Nd00`0000030:K1k@030000002V`Nd0Y/7]00800000102V`Nd01P000000Y/7]000000000000Y/7]
00000080Y/7]100000001@2@IYh00000091WWP2@Iih0000000<0TFRO00@00000095ZX@2AJZ400000
0`2CKJ@010000000UG:Y09EbZ@2ELZT200000080YGNP00D000000:QiW`2XNIl0Z7VO000000030:]j
WP030000002mT:P0_I2X0080_I2X00L000000;b=Y@2lSJD0_8fU0000003C/kT000000080cJF`00<0
00000>7Cb@0000000P3G^[`01@000000gMkF0=gNeP3Mg]H0000000@0d=WO0P0000040<7=i0800000
0P2daNH00`000000/KgR0;6mhP03000000<0Z[gW00<000000:Jji`2V^^L0100000020:Fnj`030000
002T_^`0Y;k/00<000000`2U`Nd01P000000Y/7]000000000000Y/7]00000080Y/7]100000020:K1
k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1
k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd01P000000Y/7]000000000000
Y/7]000000<0Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]0:K1
k@03000000<0Y/7]00<000000:K1k@0000000`0000020:K1k@030000002V`Nd0Y/7]00<000002P3o
ool3000000P0oooo00<000000?ooo`3oool01P3oool001D0oooo00@000000?ooo`3oool00000103o
ool00`000000oooo0?ooo`050?ooo`8000000P2V`Nd200000080Y/7]0`0000020:K1k@8000000P2V
`Nd2000000@0Y/7]1@000002091VWP040000002@Iih0T6NN000000<0TFRO00@00000095ZX@2AJZ40
00000`2CKJ@01@000000UG:Y09EbZ@2ELZT0000000<0YGNP00D000000:QiW`2XNIl0Z7VO00000002
0:]jWP800000102mT:P010000000_8fU0;b=Y@0000020=>c^@080000003=YK00cJF`0000003QdlT0
00000=Nj_00000020=gNeP80000000<0bno/0000003@fMl00P0000020;oKk@0600000031cN@00000
0000002dc>`000000P2daNH3000000<0[<7Y00<000000:Zmi`2Z_NL00`0000030:Jnj`030000002U
_^/0YKk[00<000000`2U`>d00`000000YL7]0:G1k@02000000@0Y/7]0P0000030:K1k@030000002V
`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd01000
00020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00H0
00000:K1k@00000000000:K1k@0000030:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0400000080
Y/7]00<000000:K1k@2V`Nd01@000000102V`Nd000000:K1k@2V`Nd3000000<0Y/7]00<000000?oo
o`3oool00`3oool4000000`0oooo00<000000?ooo`3oool01@3oool001H0oooo0P0000040?ooo`80
0000203oool200000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000
Y/7]00000002000000<0T6JN00@00000091VWP2@IYh000000P2@Iih01@000000TFRO095XW`2AJ9l0
000000<0TFZQ00H0000009=]Y02CKJ@0TffT0000002ELZT2000000<0YGNP00D000000:QiW`2XNIl0
Z7VO000000020:]jWP8000001@2mT:P2000000@0dk>i0P0000030>7Cb@040000003Mg]H0gMkF0000
00@0bno/00@000000;oKk@2ofnd0_m_]0`0000040;C<k08000000P2]a>/00`000000[<7Y0:c1j@04
00000080Z<3[00<000000:Jnj`2V_^/0100000020:K0k0030000002U`>d0YL3]00@000000P2V`Nd0
1P000000Y/7]000000000000Y/7]000000<0Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00@00000
0P2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@030000
002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@03000000@0Y/7]0`000000102V`Nd00000
0:K1k@2V`Nd400000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0000000@0
00000P2V`Nd00`000000Y/7]0:K1k@03000000040?ooo`000000000000000100oooo00<000000?oo
o`3oool01@3oool001`0oooo00<000000?ooo`3oool02@3oool200000080Y/7]00<000000:K1k@2V
`Nd00`0000030:K1k@030000002V`Nd00000008000000P2@IYh01@000000T6JN091VWP2@IYh00000
0080T6JN00@00000091WWP2@Iih000000`2AJ9l01@000000TFZQ095ZX@2AJZ40000000<0TffT0P00
00000`2RMj8000000:EgX0020:EgX0030000002XNIl0Z7VO0080Z7VO0P0000020;fF[P030000002m
T:P0_I2X0080_I2X0P0000040=>c^@060000003QdlT0hM?90>7Cb@000000e?_Q0`0000020<__k080
000000@0]>Gg00000000000000000`2ad_401P000000]<c/000000000000[<O^00000080[LC[0`00
00030:W1j`030000002X`>/0Z<3[00<000000`2V`>`00`000000Y/3/0:K0k00300000080Y/7]00<0
00000:K1k@2V`Nd00`0000030:K1k@040000002V`Nd0000000000080Y/7]00<000000:K1k@2V`Nd0
0`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]
00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]
0:K1k@02000000@0Y/7]0P0000030:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]
0:K1k@05000000040:K1k@000000Y/7]0:K1k@@000000P2V`Nd2000001<0oooo00<000000?ooo`3o
ool01@3oool001`0oooo00<000000?ooo`3oool02P3oool00`000000Y/7]0:K1k@0300000080Y/7]
0P0000000`2V`Nd000000000000200000005091VWP000000T6JN091VWP0000000`2@IYh010000000
T6JN091VWP000002091WWP050000002AJ9l0TFRO095XW`0000000`2AJZ400`000000TffT09=]Y002
000000<0XWNR00D000000:EgX02UMj00YGNP000000030:QiW`8000000P2mUZh00`000000_I2X0;f@
Z0020;f@Z0030000003C/kT0dk>i0080dk>i00H000000>;fe`000000hM?90000003Dnn4200000003
0:Wfk@000000000000@000000P2Ye?H00`000000/M;a0;7Bl@03000000<0[<O^0`0000020:W3k003
0000002Y`N/0ZL7[00@000000P2W`N`00`000000Y/3/0:K0k00400000080Y/7]00<000000:K1k@2V
`Nd00`0000030:K1k@030000002V`Nd0Y/7]00800000102V`Nd300000080Y/7]00<000000:K1k@2V
`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080
Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd01P000000
Y/7]000000000000Y/7]00000080Y/7]100000020:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd0
0`000000Y/7]0000000300000080Y/7]00<000000:K1k@2V`Nd00`00000C0?ooo`030000003oool0
oooo00D0oooo000L0?ooo`030000003oool0oooo00/0oooo0P0000020:K1k@80000000<0Y/7]0000
000000000P0000001@2@Iih00000091VWP2@IYh000000080T6JN00D00000091VWP2@IYh0T6JN0000
0002091VWP050000002@Iih0T6NN091WWP0000000P2AJ9l010000000TFZQ095ZX@2AJZ4300000003
0:1gY0000000XWNR0080XWNR00D000000:EgX02UMj00YGNP000000030:QiW`050000002mUZh0_IJ^
0;fF[P0000000`2mT:P00`000000g<[7000000020=>c^@030000003Rm]L0h_KG00T000000`2Od_X0
0`000000ZMCf0:WDmP03000000<0ZLW`0`0000020:S4k@030000002Y`n`0ZL?/00<000000`2W`N`0
0`000000Yl7/0:O1k003000000<0Y/7/00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0
Y/7]00@000000P2V`Nd01P000000Y/7]000000000000Y/7]000000<0Y/7]0`0000020:K1k@030000
002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd0
0`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]
0`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]
00<000000:K1k@2V`Nd00`0000030:K1k@030000003oool0oooo0100oooo00<000000?ooo`3oool0
1@3oool001`0oooo0P00000=0?ooo`030000002V`Nd0Y/7]00@0000000D0TFNO0000002@Iih0T6NN
00000002091VWP040000002@IYh0T6JN000000<0T6JN00D00000091VWP2@IYh0T6JN00000002091W
WP050000002AJ9l0TFRO095XW`0000000P2AJZ401@000000X7NT0:1gY02PMj@0000000<0XWNR00D0
00000:EgX02UMj00YGNP000000020:QiW`8000000`2mUZh010000000_I2X0;f@Z00000020=c:a`04
0000003C/kT000000>;fe`P000000P2Gc?X200000080Wm;j0`0000020:K9lP040000002YbO000000
00000080YlC^00<000000:S4k@2Xa>d00`0000020:O2k@030000002W`N`0Yl7/00@000000P2V`N`0
0`000000Y/7/0:K1k00400000080Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0
Y/7]00800000102V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0
Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`000003
0:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd010000000Y/7]0000000000020:K1k@040000002V
`Nd0Y/7]0:K1k@8000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@000000
100000020:K1k@030000002V`Nd0Y/7]00<000004@3oool00`000000oooo0?ooo`050?ooo`00703o
ool00`000000oooo0?ooo`0<0?ooo`<000000P2AJ9l010000000TFNO095WW`000002091WWP040000
002@IYh0T6JN00000080T6JN00<00000091VWP2@IYh00P2@IYh010000000T6JN091VWP000002091W
WP040000002AJ9l0TFRO095XW`@000000`2PMj@01@000000XWNR0:9gXP2RMj80000000<0YGNP00<0
00000:QiW`0000000P2oWKH010000000_IJ^0;fF[P2mUZh2000000@0g<[710000000101_a_l00000
00000000000209C5n0030000002Gc?X0Ulcj00@000000P2Ra_800`000000Y/Wb0:K9lP02000000<0
YlC^100000020:O2k@030000002W`^d0Yl;]00<000000`2W`Nd00`000000Y/7/0:K1k00300000080
Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000
Y/7]0:K1k@02000000@0Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd00`000000
Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00@0
00000P2V`Nd00`000000Y/7]0:K1k@02000000@0Y/7]00H000000:K1k@00000000000:K1k@000002
0:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@05000000040:K1k@000000Y/7]0:K1k@@000000P2V
`Nd00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00D0oooo000L0?ooo`030000003oool0
oooo00T0oooo0`0000000`3oool00000095XW`02095XW`040000002AIil0TFNO00000080T6NN00@0
0000091VWP2@IYh000000`2@IYh01@000000T6JN091VWP2@IYh000000080T6JN00@00000091WWP2@
Iih000000P2AJ9l200000080WWNW00D000000:1gY02PMj@0X7NT000000030:9gXP040000002UMj00
YGNP0:EgX08000000`2oWKH01@000000_IJ^0;fF[P2mUZh0000000<0g<[71`00000209Fml`030000
002DaOP0U<Gh00<000000`2O`o400`000000X/Kb0:;6lP0300000080YL?_0`0000030:K2k@030000
002W`^d0Yl;]00<000000P2W`Nd00`000000Yl7]0:O1k@0400000080Y/7]00<000000:K1k@2V`Nd0
0`0000030:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]
00H000000:K1k@00000000000:K1k@0000020:K1k@@000000P2V`Nd00`000000Y/7]0:K1k@040000
0080Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`00
0000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@<000000P2V`Nd00`00
0000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@0000000`0000020:K1k@030000002V`Nd0Y/7]
00<00000403oool00`000000oooo0?ooo`050?ooo`00703oool00`000000oooo0?ooo`070?ooo`80
0000103oool01@000000TFRO095XW`2AJ9l000000080TFNO00@00000091WWP2@Iih000000P2@IYh0
1@000000T6JN091VWP2@IYh0000000<0T6JN00@00000091VWP2@IYh000000P2@Iih30000000309ei
Z`000000WWNW0080WWNW00@000000:1gY02PMj@000000`2RMj801@000000YGNP0:EgX02UMj000000
00@0_iff00L000000;fF[P2mUZh000000=o`g0000000g<[700@000000`2I]nd00`000000UKgc09Fm
l`0300000080Wko_00<0000009o3l@2O`o40100000020:C2k`060000002U`nl000000000002V`^d0
00000P2V`^d400000080Y/7]00<000000:O1k@2W`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<0
00000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@03
0000002V`Nd0Y/7]00800000102V`Nd2000000<0Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@03
0000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V
`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd01P000000Y/7]000000000000Y/7]
00000080Y/7]100000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@03
00000080Y/7]00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`040?ooo`006`3oool20000
00H0oooo0`0000060?ooo`050000002AJ9l0TFRO095XW`0000000P2AIil010000000T6NN091WWP00
0003091VWP040000002@IYh0T6JN000000<0T6JN00@00000091VWP2@IYh000000P2@Iih01@000000
WGV[09eiZ`2MNJ/0000000<0WWNW00D000000:1gY02PMj@0X7NT000000030:9gXP040000002UMj00
0000000000@0_iff00@000000;fF[P2mUZh000000P3Ol=`200000080Wk?V00<0000009Vgk@2I]nd0
100000020:6lk0030000002O_nl0Wko_00<000000`2T`Nh00`000000Y<;_0:C2k`02000000@0Y/;]
0P0000030:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]
00<000000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]
0:K1k@0400000080Y/7]00H000000:K1k@00000000000:K1k@0000020:K1k@@000000P2V`Nd00`00
0000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]
00@000000P2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd00P0000040:K1
k@8000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@000000100000020:K1
k@030000002V`Nd0Y/7]00800000403oool00`000000oooo0?ooo`040?ooo`006`3oool00`000000
oooo0?ooo`020?ooo`<000002@3oool01@000000TFRO095XW`2AJ9l000000080TFNO00D00000091W
WP2@Iih0T6NN00000002091VWP040000002@IYh0T6JN000000<0T6JN00<00000091VWP2@IYh01000
000309eiZ`050000002NMjL0WWNW09igY`0000000`2PMj@010000000XWNR0:9gXP2RMj8200000080
`Jc400<000000;nM]P2oWKH00P2oWKH2000000050=o`g000000000000:BahP0000000P2O/nH30000
00<0Xk[Y00<000000:6lk02Q_>`00`0000020:Bok@030000002T`Nh0Y<7^00@000000P2U`Nd01P00
0000Y/;]000000000000Y/7]00000080Y/7]100000020:K1k@030000002V`Nd0Y/7]00<000000`2V
`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V
`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]0`0000020:K1k@030000002V
`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd00`00
00020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00H0
00000:K1k@00000000000:K1k@0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0500000004
0:K1k@000000Y/7]0:K1k@@000000P2V`Nd00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo
00@0oooo000K0?ooo`030000003oool0000000800000303oool01@000000TFRO095XW`2AJ9l00000
00<0TFNO00@00000091WWP2@Iih000000P2@IYh010000000T6JN091VWP000003091VWP040000002@
IYh0000000000080W7f_00D0000009eiZ`2MNJ/0WGV[0000000309igY`050000002PMj@0X7NT0:1g
Y00000000`2RMj801@000000`Jc40<6/a031[<@0000000<0_iff1@0000020:BahP<000000P2V^^L0
0`000000Xk[Y0:>jj@0400000080YKk[00<000000:Bok@2T_nd00`0000030:G1k@030000002U`Nd0
YL7]008000000`2V`Nd3000000<0Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0
Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd010000002
0:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`000003
0:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<00000
0:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@03
00000080Y/7]100000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@04
00000080Y/7]00<000000:K1k@2V`Nd00`00000>0?ooo`030000003oool0oooo00@0oooo000K0?oo
o`8000003`3oool00`000000TFRO095XW`02095XW`040000002AIil0TFNO00000080T6NN00@00000
091VWP2@IYh000000P2@IYh00`000000T6JN000000030000000309b2]P000000W7f_0080W7f_00@0
000009eiZ`2MNJ/000000`2NMjL01P000000X7NT0:1gY02PMj@000000:9gXP<000001031[<@50000
0080ZK;O0`0000020:Vki`030000002V^^L0Y[[W00<000000`2V_^/00`000000YKk[0:Fnj`030000
0080Y/3/00<000000:G1k@2U`Nd0100000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@040000
0080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`00
0000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@060000002V`Nd00000
0000002V`Nd000000P2V`Nd400000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V
`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`00
00030:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd200000080Y/7]00<000000:K1k@2V`Nd01000
00020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<0
00000?ooo`3oool0303oool00`000000oooo0?ooo`040?ooo`00703oool00`000000oooo0?ooo`0>
0?ooo`050000002AJ9l0TFRO095XW`0000000P2AIil010000000T6NN091WWP000002091VWP030000
002@IYh00000008000000P2MRKh01@000000W8:f09b2]P2LP[H000000080W7f_00D0000009eiZ`2M
NJ/0WGV[0000000209igY`040000002PMj@0X7NT0:1gY08000000`34aM/010000000`Jc40<6/a031
[<@2000000030:ffg`0000000000008000000P2[_^L00`000000ZK_W0:Vki`0300000080Z;oZ0P00
00020:Jnj`<000000P2V`>`00`000000Y/3/0:K0k003000000<0Y/7]00H000000:K1k@0000000000
0:K1k@0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V
`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080
Y/7]00<000000:K1k@2V`Nd00P0000040:K1k@8000000`2V`Nd00`000000Y/7]0:K1k@0300000080
Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000
Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@060000002V`Nd000000000
002V`Nd000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0
000000@000000P2V`Nd00`000000Y/7]0:K1k@02000000d0oooo00<000000?ooo`3oool0103oool0
01d0oooo0P00000>0?ooo`050000002AJ9l0TFRO095XW`0000000P2AIil01@000000T6NN091WWP00
0000T6JN00<0000000<0WiC80000002MRKh00`2MRKh010000000W8:f09b2]P00000209am[`050000
002MNJ/0WGV[09eiZ`0000000`2NMjL010000000X7NT0:1gY00000040<C5f`0300000031[<@00000
00@000000`2/`NT00`000000ZkkW0:^ni`0300000080Z<7[00<000000:RojP2X_nX0100000020:O1
k0030000002V`>`0Y/3/00<000000P2V`N`00`000000Y/7]0:K1k@03000000<0Y/7]0`0000020:K1
k@030000002V`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1
k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@040000
0080Y/7]00H000000:K1k@00000000000:K1k@0000020:K1k@@000000P2V`Nd00`000000Y/7]0:K1
k@0300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<000000P2V
`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@@000000P2V
`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd01@000000102V`Nd000000:K1
k@2V`Nd400000080Y/7]00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`040?ooo`007`3o
ool00`000000oooo0?ooo`0;0?ooo`050000002AJ9l0TFRO095XW`0000000P2AIil00`000000T6NN
00000002000000030:6SeP000000WiC80080WiC800D0000009f9_P2MRKh0WHVn0000000209b2]P04
0000002LOJl0W7f_000000<0WGV[00@0000009igY`2NMjL0WWNW0`000000102fk?H000000<C5f`34
aM/500000080ZlG/00<000000:c1j@2/`NT0100000020:W2k0030000002X`N/0Z<7[00<000000`2W
`N`00`000000Yl7/0:O1k00300000080Y/7/00<000000:K1k02V`N`00`0000030:K1k@<000000P2V
`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V
`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`00
00030:K1k@030000002V`Nd0Y/7]008000000`2V`Nd300000080Y/7]00<000000:K1k@2V`Nd01000
00020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<0
00000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd200000080Y/7]00<0
00000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1
k@0400000080Y/7]00<000000:K1k@2V`Nd00`00000<0?ooo`030000003oool0oooo00<0oooo000P
0?ooo`030000003oool0oooo00X0oooo00H00000095XW`2AJ9l0TFRO0000002AIil3000000030:6h
j0000000XJ?F0080XJ?F00@0000009nDb02OU<P000000`2MRKh010000000W8:f09b2]P00000309am
[`050000002MNJ/0WGV[0000002NMjL02@0000001@2a`NH000000000002Yanl000000080ZlG/0`00
00030:S3k@030000002Y`^`0ZL;/00<000000P2W`^d00`000000Yl7/0:O1k00400000080Yl7]00<0
00000:K1k02V`N`00`0000020:K1k@040000002V`Nd0000000000080Y/7]00<000000:K1k@2V`Nd0
0`0000020:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]
00<000000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]
0:K1k@04000000030:K1k@0000000000008000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]
00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]
0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@060000002V`Nd000000000002V
`Nd000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]
00@0000000@0Y/7]0000002V`Nd0Y/7]100000020:K1k@030000003oool0oooo00X0oooo00<00000
0?ooo`3oool00`3oool00240oooo00<000000?ooo`3oool02@3oool00`000000TFRO000000030000
0080Vm;k00@000000:6hj02Q^>P000000P2QXmH010000000WiC809nDb000000309f9_P050000002L
P[H0W8:f09b2]P0000000P2LOJl00`000000WGV[00000004000000<0[<ob00<000000;38k02`b>`0
0P0000030:W7k`<000000P2Wa>h200000080Z<?]0`0000020:O2k@030000002W`^d0Yl;]00<00000
0`2W`Nd00`000000Yl7]0:O1k@0300000080Y/7]00<000000:K1k@2V`Nd00P0000030:K1k@@00000
0P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000
002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd0
0`0000030:K1k@8000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd0
0`0000030:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd400000080Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]
0000000300000080Y/7]00<000000:K1k@2V`Nd00`00000;0?ooo`030000003oool0oooo00<0oooo
000R0?ooo`8000002@3oool900000080XKSX00D000000:6SeP2QXmH0XJ?F0000000209nDb0060000
002MRKh0WHVn09f9_P000000W8:f200000020:GBm`8000000P2/co8300000080Y/Sa0`0000020:K4
k`030000002Wa>h0YlC^00@000000P2V`^d00`000000Yl;]0:O2k@0300000080Y/7]00<000000:O1
k@2W`Nd0100000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd3000000<0Y/7]00<000000:K1
k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@040000
0080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd01P00
0000Y/7]000000000000Y/7]00000080Y/7]0`0000030:K1k@030000002V`Nd0Y/7]00<000000P2V
`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V
`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]0`0000020:K1k@030000002V
`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd01@00
0000102V`Nd000000:K1k@2V`Nd300000080Y/7]00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`030?ooo`00903oool00`000000oooo0?ooo`0>0?oooa0000000P2Wh?/300000080W];j00<0
00000:GBm`2Ud_L0100000020:?8l`<000000P2U`nl00`000000Y/C_0:K4k`03000000<0Y/;]00<0
00000:K2k@2V`^d00`0000020:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]0:K1
k@0300000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1
k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<000000P2V
`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd00P0000030:K1k@<000000P2V
`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V
`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd01000
00020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd01000
00020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<0
00000:K1k@2V`Nd00P00000:0?ooo`030000003oool0oooo00<0oooo000U0?ooo`030000003oool0
oooo0180oooo00@000000;WMlP2igO80^Mgb1000000209CRo@<000000P2Jc_X6000000<0XLKb0`00
00020:C1kP030000002U`nl0YL?_00<000000P2V`Nd200000080Y/;]0`0000020:K1k@030000002V
`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00H000000:K1k@0000000000
0:K1k@0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V
`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0300000080
Y/7]00<000000:K1k@2V`Nd0100000000`2V`Nd000000000000200000080Y/7]00<000000:K1k@2V
`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0300000080
Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd01P000000
Y/7]000000000000Y/7]00000080Y/7]100000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd0
0`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd010000000102V`Nd000000:K1k@2V
`Nd400000080Y/7]00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`030?ooo`009P3oool0
0`000000oooo0?ooo`0B0?ooo`T000000P2Ib?P300000080X[o^0P0000020:72l@<000000P2T`>d0
0`000000Y<7^0:C1kP0300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0
Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd00P000003
0:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd00`000002
0:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<00000
0:K1k@2V`Nd00`0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<00000
0:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@03
00000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]008000000`2V`Nd3
00000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd0
0`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@0000000`0000020:K1k@030000002V`Nd0
Y/7]00<00000203oool00`000000oooo0?ooo`030?ooo`009`3oool2000001L0oooo00<0000009[1
l`2J`O<00`0000020:>lj`030000002R_nh0X[o^00@000000P2U_n`00`000000Y<3]0:C0k@030000
0080Y/3/00<000000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`00
0000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@<000000P2V`Nd00`00
0000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]
00<000000P2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd00`0000020:K1
k@<000000P2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd00`0000020:K1
k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1
k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@0000000<0Y/7]0000000000000P0000020:K1
k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1
k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00H000000P2V`Nd400000080Y/7]0P0000080?oo
o`030000003oool0oooo0080oooo000Y0?ooo`030000003oool0oooo01D0oooo0P0000020:Fkj003
0000002S_>/0Xkc[00<000000`2V_^/00`000000YKo/0:Fok00300000080Y/3/00<000000:K0k02V
`>`00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0300000080
Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@@000000P2V`Nd00`000000Y/7]0:K1k@0300000080
Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000
Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@060000002V`Nd000000000
002V`Nd000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0
Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd010000002
0:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd010000002
0:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@04000000040:K1k@000000
Y/7]0:K1k@@000000P2V`Nd00`000000Y/7]0000000300000080Y/7]00H000000:K1k@0000000000
0:K1k@0000080?ooo`030000003oool0oooo0080oooo000Z0?ooo`030000003oool0oooo01D0oooo
00<000000:Fkj02U^nP00`0000020:Noj`8000000P2V_^/300000080Yl3/00<000000:K0k02V`>`0
0`0000020:K1k0030000002V`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@<000000`2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]
0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<00000
0P2V`Nd400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@00000
0P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000
002V`Nd0Y/7]00@0000000<0Y/7]0000000000000P0000020:K1k@030000002V`Nd0Y/7]00<00000
0P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000
002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@05000000040:K1k@000000Y/7]0:K1k@80
00000`2V`Nd2000000L0oooo00<000000?ooo`3oool00P3oool002/0oooo00<000000?ooo`3oool0
5@3oool200000080Z<3[0P0000020:Noj`<000000P2W`N`00`000000Yl3/0:O0k00300000080Y/7/
00<000000:K1k02V`N`00`0000020:K1k@8000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd0
0`0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd0
0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd3000000<0Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]
0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<00000
0P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<00000
0P2V`Nd00`000000Y/7]0:K1k@04000000040:K1k@000000Y/7]0:K1k@@000000P2V`Nd00`000000
Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0100000000`2V`Nd000000000000200000080
Y/7]00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`00;03oool00`000000oooo
0?ooo`0E0?ooo`030000002X`>/0Z<3[00@000000P2W`N`00`000000Yl7/0:O1k00300000080Yl7]
00<000000:K1k02V`N`00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]
0:K1k@0300000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]
0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<00000
0P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@<00000
0P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000
002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd0
0`0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0
100000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]
00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<0000000<0Y/7]000000000000
0P0000020:K1k@030000002V`Nd0Y/7]00<000001@3oool00`000000oooo0?ooo`020?ooo`00;@3o
ool2000001H0oooo0P0000030:O2k@030000002W`N`0Yl7/00<000000P2V`Nd00`000000Yl7]0:O1
k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000030:K1k@030000002V`Nd0Y/7]00<000000P2V
`Nd300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000`2V
`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V
`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]0`0000020:K1k@030000002V
`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`00
00020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@04000000030:K1k@00
00000000008000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`00
00020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<0
00000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@0000000<0Y/7]0000000000000P00
0000102V`Nd000000:K1k@2V`Nd400000080Y/7]00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`020?ooo`00;`3oool00`000000oooo0?ooo`0D0?ooo`8000000P2W`^d300000080Y/7]00<0
00000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1
k@0400000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1
k@0300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<000000P2V
`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0100000000`2V`Nd000000000
000200000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V
`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V
`Nd0Y/7]00<000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd010000000102V`Nd000000:K1
k@2V`Nd400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@00000
00@0Y/7]0000002V`Nd0Y/7]100000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd300000080
Y/7]00<000000:K1k@0000000`0000020:K1k@030000002V`Nd0Y/7]00<00000103oool00`000000
oooo0?ooo`020?ooo`00<03oool00`000000oooo0?ooo`0E0?ooo`8000000P2V`Nd00`000000Y/7]
0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<00000
0P2V`Nd400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<00000
0P2V`Nd00`000000Y/7]0:K1k@03000000<0Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000
002V`Nd0Y/7]00<000000P2V`Nd600000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00@00000
0P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000
002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@03000000030:K1k@000000000000800000
0P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000
002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0
0`0000020:K1k@L0000000<0Y/7]0000000000000P000000102V`Nd000000:K1k@2V`Nd500000004
0:K1k@000000Y/7]0:K1k@<000000P2V`Nd00`000000oooo0?ooo`020?ooo`030000003oool0oooo
0080oooo000a0?ooo`030000003oool0oooo01D0oooo00<000000:K1k@2V`Nd00`0000020:K1k@03
0000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]0`0000030:K1k@03
0000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V
`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0300000080
Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080
Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000
Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd010000000102V`Nd000000000000000020:K1
k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1
k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@030000
00030:K1k@0000000000008000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1
k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@020000
00@0oooo00<000000?ooo`3oool00@3oool00380oooo0P00000F0?ooo`8000000P2V`Nd00`000000
Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@<000000P2V`Nd200000080
Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080
Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@0000000<0Y/7]00000000
00000P0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080
Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000
Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@<000000P2V`Nd00`000000
Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<0
00000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd010000000102V`Nd0
00000000000000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@030000
0080Y/7]00<000000:K1k@2V`Nd010000000102V`Nd000000:K1k@2V`Nd4000000030:K1k@000000
oooo00<0oooo00<000000?ooo`3oool00@3oool003@0oooo00<000000?ooo`3oool0503oool00`00
0000Y/7]0:K1k@0300000080Y/7]1P0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@040000
0080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`00
0000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@<000000P2V`Nd00`00
0000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]
00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0100000000`2V
`Nd000000000000500000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`00
0000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd010000000102V`Nd000000:K1k@2V`Nd4
00000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@03
00000080Y/7]00<000000:K1k@2V`Nd010000000102V`Nd000000:K1k@2V`Nd400000080Y/7]00<0
00000:K1k@0000000`0000020:K1k@030000002V`Nd0Y/7]008000000`3oool00`000000oooo0?oo
o`010?ooo`00=@3oool00`000000oooo0?ooo`0D0?ooo`8000000P2V`Nd300000080Y/7]00<00000
0:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd00`000000Y/7]0:K1k@03
00000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd0
0`000000Y/7]0:K1k@0300000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<000000`2V`Nd0
0`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0
Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]0`0000020:K1k@030000002V`Nd0
Y/7]00@0000000@0Y/7]0000002V`Nd0Y/7]100000020:K1k@030000002V`Nd0Y/7]00<000000P2V
`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V
`Nd0Y/7]00@0000000<0Y/7]0000000000000P000000102V`Nd000000:K1k@2V`Nd400000080Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]
0:K1k@0600000080Y/7]100000001P2V`Nd00000000000000000oooo000000<0oooo000f0?ooo`03
0000003oool0oooo01@0oooo0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000
Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0100000020:K1k@030000002V`Nd0Y/7]00<0
00000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@<0
00000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd010000000102V`Nd0
00000:K1k@2V`Nd400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]
00<000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]
00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1
k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]0`0000020:K1
k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@04000000040:K1k@000000Y/7]
0:K1k@@000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`000002
0:K1k@<000000P2V`Nd00`000000oooo000000030?ooo`00=`3oool2000001H0oooo00<000000:K1
k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@030000
00<0Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd60000
0080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@030000
0080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`00
0000Y/7]0:K1k@0300000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`00
0000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]
00@0000000@0Y/7]0000002V`Nd0Y/7]100000000`2V`Nd0000000000005000000030:K1k@000000
0000008000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`000002
0:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@04000000040:K1k@000000
Y/7]0:K1k@T0000000@0Y/7]0000002V`Nd0Y/7]100000030?ooo`00>@3oool00`000000oooo0?oo
o`0D0?ooo`8000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`00
00020:K1k@030000002V`Nd0Y/7]00@000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]0`00
00020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<0
00000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1
k@0300000080Y/7]1`0000000`2V`Nd000000000000200000080Y/7]00<000000:K1k@2V`Nd00`00
00020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<0
00000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd300000080Y/7]00<0
00000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@0000000@0Y/7]0000002V`Nd0Y/7]
100000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]
1P0000020:K1k@@0000000@0Y/7]0000002V`Nd0Y/7]0`0000020:K1k@8000000`3oool003X0oooo
00<000000?ooo`3oool0503oool00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0
0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0400000080Y/7]
0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]
0:K1k@0300000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]
0:K1k@04000000040:K1k@000000Y/7]0:K1k@@000000P2V`Nd00`000000Y/7]0:K1k@0300000080
Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd300000080
Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000
Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd010000000102V`Nd000000:K1k@2V`Nd40000
00030:K1k@00000000000080000000@0Y/7]0000002V`Nd0Y/7]10000000102V`Nd000000:K1k@2V
`Nd400000080Y/7]00<000000:K1k@2V`Nd00`0000020?ooo`00>`3oool00`000000oooo0?ooo`0D
0?ooo`8000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`000002
0:K1k@H000000P2V`Nd400000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0
Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`000002
0:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`000002
0:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<00000
0:K1k@2V`Nd010000000102V`Nd000000:K1k@2V`Nd4000000030:K1k@000000000000D0000000<0
Y/7]0000000000000P000000102V`Nd000000:K1k@2V`Nd400000080Y/7]00<000000:K1k@2V`Nd0
0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]
00<000000:K1k@2V`Nd010000000102V`Nd000000:K1k@2V`Nd400000080oooo0@0000010?ooo`40
oooo000l0?ooo`8000005@3oool00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0
0`0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0
100000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@H000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd0
0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd300000080Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]
0:K1k@04000000040:K1k@000000Y/7]0:K1k@@000000P2V`Nd00`000000Y/7]0:K1k@0300000003
0:K1k@000000000000D0000000<0Y/7]0000000000000P0000020:K1k@030000002V`Nd0Y/7]00<0
00000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@0000000`0000060?ooo`40
00000@3oool10?ooo`00?P3oool00`000000oooo0?ooo`0C0?ooo`8000000P2V`Nd600000080Y/7]
0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]
00<000000:K1k@2V`Nd010000000102V`Nd000000:K1k@2V`Nd400000080Y/7]00<000000:K1k@2V
`Nd00`0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V
`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080
Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@H000000P2V`Nd300000080Y/7]00<000000:K1k@2V
`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080
Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00@0000000@0Y/7]00000000
000000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd010000000102V
`Nd000000:K1k@2V`Nd4000000040:K1k@000000Y/7]0:K1k@D00000203oool100000040oooo0@3o
ool003l0oooo00<000000?ooo`3oool04`3oool300000080Y/7]00<000000:K1k@2V`Nd00`000002
0:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<00000
0:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd7000000030:K1k@000000
00000080000000@0Y/7]0000002V`Nd0Y/7]10000000102V`Nd000000:K1k@2V`Nd400000080Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]
0:K1k@03000000030:K1k@0000000000008000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]
0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@H000000P2V`Nd300000080Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]
0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000050?ooo`030000003oool0oooo00D0oooo
0@0000010?ooo`40oooo00100?ooo`030000003oool0oooo01@0oooo00<000000:K1k@2V`Nd00`00
00020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<0
00000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd300000080Y/7]00<0
00000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1
k@0300000080Y/7]00<000000:K1k@2V`Nd010000000102V`Nd000000:K1k@2V`Nd4000000030:K1
k@000000000000D0000000@0Y/7]00000000000000000P2V`Nd00`000000Y/7]0:K1k@0400000004
0:K1k@000000Y/7]0:K1k@@0000000@0Y/7]0000002V`Nd0Y/7]10000000102V`Nd000000:K1k@2V
`Nd4000000040:K1k@000000Y/7]0:K1k@@0000000<0Y/7]0000000000000P000000102V`Nd00000
0:K1k@2V`Nd4000000040:K1k@000000Y/7]0:K1k@@0000000@0Y/7]0000002V`Nd0Y/7]10000000
102V`Nd000000:K1k@2V`Nd400000080Y/7]00<000000:K1k@2V`Nd00`0000080?ooo`030000003o
ool0oooo00D0oooo0@0000010?ooo`40oooo00110?ooo`8000005@3oool200000080Y/7]00<00000
0:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@03
00000080Y/7]1P0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<00000
0:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@03
00000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@03
00000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd0
0`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@H000000P2V`Nd3
00000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd0
0`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0
Y/7]00@00000303oool00`000000oooo0?ooo`040?ooo`4000000@3oool10?ooo`00@`3oool00`00
0000oooo0?ooo`0C0?ooo`030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@030000
0080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@030000
0080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`00
0000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@H000000P2V`Nd30000
0080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`00
0000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]
00<000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]
00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1
k@030000002V`Nd0Y/7]00<0000000<0Y/7]0000000000001@00000A0?ooo`030000003oool0oooo
00@0oooo0@0000010?ooo`00A03oool00`000000oooo0?ooo`0C0?ooo`8000000P2V`Nd00`000000
Y/7]0:K1k@0300000080Y/7]1P0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0300000080
Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000
Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@<000000P2V`Nd00`000000
Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<0
00000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000000`2V`Nd0
000000000005000000030:K1k@00000000000080000000@0Y/7]0000002V`Nd0Y/7]10000000102V
`Nd000000:K1k@2V`Nd4000000040:K1k@000000Y/7]0:K1k@@0000000@0Y/7]0000002V`Nd0Y/7]
10000000102V`Nd000000:K1k@2V`Nd4000000040:K1k@0000000000000001T0oooo00<000000?oo
o`3oool00`3oool100000040oooo00150?ooo`030000003oool0oooo01<0oooo00<000000:K1k@2V
`Nd00`0000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V
`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080
Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@H000000P2V`Nd300000080Y/7]00<000000:K1k@2V
`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080
Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<0000000@0Y/7]00000000
000000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1
k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1
k@2V`Nd00`0000020:K1k@H000000P2V`Nd3000001`0oooo00<000000?ooo`3oool00`3oool10000
0040oooo00160?ooo`800000503oool200000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<0
00000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@03
0000002V`Nd0Y/7]00<000000P2V`Nd600000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<0
00000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`000000102V`Nd0
00000:K1k@2V`Nd4000000040:K1k@000000Y/7]0:K1k@@0000000<0Y/7]0000000000001@000000
102V`Nd000000000000000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1
k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V
`Nd600000080Y/7]0`000000102V`Nd000000:K1k@2V`Nd400000200oooo00<000000?ooo`3oool0
0P3oool100000040oooo00180?ooo`030000003oool0oooo0180oooo0`0000020:K1k@030000002V
`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`00
00020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`00
00020:K1k@030000002V`Nd0Y/7]00<0000000@0Y/7]0000002V`Nd0Y/7]10000000102V`Nd00000
0:K1k@2V`Nd4000000040:K1k@000000Y/7]0:K1k@<000000P2V`Nd600000080Y/7]0`0000020:K1
k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1
k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@030000
00030:K1k@00000000000080000000@0Y/7]0000002V`Nd0Y/7]10000000102V`Nd000000:K1k@2V
`Nd3000002D0oooo00D000000?ooo`3oool0oooo000000010?ooo`00B@3oool00`000000oooo0?oo
o`0C0?ooo`030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<0
00000:K1k@2V`Nd00`0000020:K1k@H000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`00
00020:K1k@030000002V`Nd0Y/7]00<0000000@0Y/7]0000002V`Nd0Y/7]0`0000020:K1k@030000
002V`Nd0Y/7]00<000000P2V`Nd600000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<00000
0P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000
002V`Nd0Y/7]00<0000000@0Y/7]0000002V`Nd0Y/7]100000000`2V`Nd000000000000500000004
0:K1k@000000000000000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]
00<00000:@3oool010000000oooo0?ooo`0000010?ooo`00BP3oool00`000000oooo0?ooo`0C0?oo
o`8000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]1P0000020:K1k@<000000P2V`Nd00`00
0000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`000000102V`Nd000000:K1k@2V`Nd4
000000040:K1k@000000Y/7]0:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]0`00
00020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<0
00000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<0000000@0Y/7]0000002V`Nd0Y/7]
100000000`2V`Nd000000000000400000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<00000
0P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`00000/0?ooo`040000
003oool0oooo00000040oooo001;0?ooo`800000503oool600000080Y/7]0`0000020:K1k@030000
002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd0
0`000000102V`Nd000000:K1k@2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@H0
00000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<0
000000@0Y/7]0000002V`Nd0Y/7]10000000102V`Nd000000:K1k@2V`Nd4000000030:K1k@000000
000000@000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0
Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@03000000040:K1k@000000Y/7]0:K1k@@00000<03o
ool00`000000oooo000000010?ooo`00C@3oool00`000000oooo0?ooo`0C0?ooo`030000002V`Nd0
Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`000002
0:K1k@030000002V`Nd0Y/7]00<0000000@0Y/7]0000002V`Nd0Y/7]0`0000020:K1k@H000000P2V
`Nd300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V
`Nd00`000000Y/7]0:K1k@03000000040:K1k@000000Y/7]0:K1k@<000000P2V`Nd00`000000Y/7]
0:K1k@0300000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]
0:K1k@03000000040:K1k@000000Y/7]0:K1k@@0000000@0Y/7]0000002V`Nd0Y/7]10000000102V
`Nd000000:K1k@2V`Nd3000003D0oooo0@0000010?ooo`400000001>0?ooo`030000003oool0oooo
01<0oooo0P0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@030000
0080Y/7]00<000000:K1k@2V`Nd00`0000000`2V`Nd000000000000400000080Y/7]0`0000020:K1
k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1
k@2V`Nd00`000000102V`Nd000000:K1k@2V`Nd4000000040:K1k@000000Y/7]0:K1k@<000000P2V
`Nd600000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<0000000@0Y/7]0000002V`Nd0Y/7]
10000000102V`Nd000000:K1k@2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@H0
0000>@3oool200000000C`3oool00`000000oooo0?ooo`0C0?ooo`030000002V`Nd0Y/7]00<00000
0P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]1P000000102V`Nd000000000000000020:K1k@03
0000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V
`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<0000000@0Y/7]0000002V`Nd0Y/7]0`0000020:K1
k@H000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`000000102V`Nd000000:K1k@2V`Nd4
000000040:K1k@000000Y/7]0:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]1P00
00020:K1k@<00000?`3oool200000000D03oool00`000000oooo0?ooo`0C0?ooo`8000000P2V`Nd6
00000080Y/7]0`000000102V`Nd000000:K1k@2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`00
00020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<0
00000:K1k@2V`Nd00`0000000`2V`Nd000000000000400000080Y/7]0`0000020:K1k@030000002V
`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@03000000040:K1k@000000Y/7]0:K1k@<00000
0P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]1P0000020:K1k@<0000000@0Y/7]0000002V`Nd0
Y/7]100000120?ooo`800000001A0?ooo`800000503oool300000080Y/7]00<000000:K1k@2V`Nd0
0`000000102V`Nd000000:K1k@2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@03
0000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@03000000030:K1k@000000000000D0
000000@0Y/7]00000000000000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1
k@2V`Nd00`000000102V`Nd000000:K1k@2V`Nd4000000040:K1k@000000Y/7]0:K1k@<000000P2V
`Nd600000080Y/7]0`000000102V`Nd000000:K1k@2V`Nd4000000040:K1k@000000Y/7]0:K1k@<0
0000@P3oool400000080oooo001C0?ooo`030000003oool0oooo01<0oooo00<000000:K1k@2V`Nd0
0`0000020:K1k@030000002V`Nd00000008000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]
00<000000:K1k@2V`Nd00`0000020:K1k@H0000000@0Y/7]00000000000000000P2V`Nd00`000000
Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]00<0
000000@0Y/7]0000002V`Nd0Y/7]0`0000020:K1k@H000000P2V`Nd300000080Y/7]00<000000:K1
k@2V`Nd00`000000102V`Nd000000:K1k@2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`000011
0?ooo`@000001P3oool005@0oooo00<000000?ooo`3oool04`3oool200000080Y/7]00<000000:K1
k@2V`Nd00P0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd600000080Y/7]0`000000102V
`Nd000000:K1k@2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0
Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@03000000030:K1k@000000000000@000000P2V`Nd3
00000080Y/7]00<000000:K1k@2V`Nd00`000000102V`Nd000000:K1k@2V`Nd4000000040:K1k@00
0000Y/7]0:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@0300000400oooo1000000:0?ooo`00E@3o
ool00`000000oooo0?ooo`0C0?ooo`030000002V`Nd0Y/7]00<0000000<0Y/7]0000000000001000
00020:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@03000000040:K1k@000000Y/7]0:K1k@<00000
0P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@H00000
00@0Y/7]00000000000000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@2V
`Nd00`000000102V`Nd000000:K1k@2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1
k@030000002V`Nd0Y/7]00<00000?`3oool4000000h0oooo001F0?ooo`800000503oool200000004
0:K1k@000000000000000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0Y/7]
00<000000P2V`Nd00`000000Y/7]0000000200000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1
k@H000000P2V`Nd3000000040:K1k@000000Y/7]0:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@03
00000080Y/7]00<000000:K1k@2V`Nd00`000000102V`Nd000000:K1k@2V`Nd300000080Y/7]1P00
00020:K1k@H00000?P3oool400000180oooo001H0?ooo`030000003oool0oooo0180oooo0P000002
0:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]00<00000
0:K1k@2V`Nd00P0000020:K1k@H000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`000000
102V`Nd000000:K1k@2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V
`Nd0Y/7]00<0000000<0Y/7]000000000000100000020:K1k@<000000P2V`Nd00`000000Y/7]0:K1
k@0300000400oooo1000000F0?ooo`00F@3oool00`000000oooo0?ooo`0B0?ooo`030000002V`Nd0
Y/7]00<000000P2V`Nd600000080Y/7]1P000000102V`Nd000000000000000020:K1k@030000002V
`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0:K1k@03000000040:K1k@000000Y/7]0:K1k@<00000
0P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]1P000000102V`Nd000000000000000020:K1k@03
0000002V`Nd0Y/7]00<0000000@0Y/7]0000002V`Nd0Y/7]1000000o0?ooo`@000006P3oool005X0
oooo00<000000?ooo`3oool04P3oool200000080Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<0
000000@0Y/7]0000002V`Nd0Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`00
0000Y/7]0:K1k@03000000040:K1k@000000Y/7]0:K1k@<000000P2V`Nd600000080Y/7]0`000000
102V`Nd000000:K1k@2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`000000102V`Nd000000:K1
k@2V`Nd3000003l0oooo1000000N0?ooo`00F`3oool2000001<0oooo0`0000020:K1k@030000002V
`Nd0Y/7]00<0000000@0Y/7]0000002V`Nd0Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<00000
0P2V`Nd6000000030:K1k@000000000000@000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd0
0`000000102V`Nd000000:K1k@2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`000000102V`Nd0
00000:K1k@2V`Nd3000003h0oooo1000000R0?ooo`00G@3oool00`000000oooo0?ooo`0B0?ooo`03
0000002V`Nd0Y/7]00<000000P2V`Nd00`000000Y/7]0000000200000080Y/7]1P0000020:K1k@<0
000000@0Y/7]0000002V`Nd0Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<000000P2V`Nd00`00
0000Y/7]0:K1k@03000000040:K1k@000000Y/7]0:K1k@<000000P2V`Nd00`000000Y/7]0:K1k@03
000000030:K1k@000000000000@00000?@3oool4000002H0oooo001N0?ooo`030000003oool0oooo
0180oooo0P0000020:K1k@D000000P2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`000000102V
`Nd000000:K1k@2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd0
Y/7]00<0000000<0Y/7]000000000000100000020:K1k@H0000000@0Y/7]0000000000000000?`3o
ool4000002X0oooo001O0?ooo`030000003oool0oooo0180oooo0`000000102V`Nd000000:K1k@2V
`Nd300000080Y/7]00<000000:K1k@2V`Nd00`0000020:K1k@030000002V`Nd00000008000000P2V
`Nd00`000000Y/7]0:K1k@0300000080Y/7]1P000000102V`Nd000000000000000020:K1k@030000
002V`Nd0Y/7]00<0000000@0Y/7]0000002V`Nd0Y/7]0`00000n0?ooo`@00000;P3oool00600oooo
0P00000D0?ooo`030000002V`Nd00000008000000P2V`Nd00`000000Y/7]0:K1k@0300000080Y/7]
1@0000020:K1k@H000000P2V`Nd3000000040:K1k@000000Y/7]0:K1k@<000000P2V`Nd00`000000
Y/7]0:K1k@03000000040:K1k@000000Y/7]0:K1k@<00000?P3oool300000380oooo001R0?ooo`03
0000003oool0oooo0180oooo00<000000:K1k@2V`Nd01P0000020:K1k@<0000000@0Y/7]0000002V
`Nd0Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<0000000@0Y/7]0000002V`Nd0Y/7]0`000002
0:K1k@030000002V`Nd0Y/7]00<0000000<0Y/7]0000000000001000000m0?ooo`@00000=@3oool0
06<0oooo00<000000?ooo`3oool04P3oool200000080Y/7]00<000000:K1k@2V`Nd00`000000102V
`Nd000000:K1k@2V`Nd300000080Y/7]00<000000:K1k@2V`Nd00`000000102V`Nd000000:K1k@2V
`Nd300000080Y/7]1P000000102V`Nd0000000000000000o0?ooo`@00000>@3oool006@0oooo00<0
00000?ooo`3oool04P3oool00`000000Y/7]0:K1k@0300000080Y/7]00<000000:K1k@0000000P00
00020:K1k@H000000P2V`Nd500000080Y/7]0`0000020:K1k@030000002V`Nd0000000800000?P3o
ool4000003d0oooo001U0?ooo`8000004`3oool200000080Y/7]1@0000020:K1k@<000000P2V`Nd0
0`000000Y/7]0:K1k@03000000040:K1k@000000Y/7]0:K1k@<000000P2V`Nd00`000000Y/7]0:K1
k@02000003d0oooo100000110?ooo`00I`3oool00`000000oooo0?ooo`0A0?ooo`<0000000@0Y/7]
0000002V`Nd0Y/7]0`0000020:K1k@030000002V`Nd0Y/7]00<0000000@0Y/7]0000002V`Nd0Y/7]
0`0000020:K1k@H00000>`3oool4000004D0oooo001X0?ooo`030000003oool0oooo0180oooo00<0
00000:K1k@0000000P0000020:K1k@030000002V`Nd0Y/7]00<0000000<0Y/7]0000000000001000
00020:K1k@<00000?@3oool4000004T0oooo001Y0?ooo`030000003oool0oooo0180oooo00<00000
0:K1k@2V`Nd01P0000020:K1k@8000000P2V`Nd00`000000Y/7]0:K1k@03000003`0oooo1000001=
0?ooo`00JP3oool2000001<0oooo0P0000020:K1k@030000002V`Nd0Y/7]00<0000000@0Y/7]0000
002V`Nd0Y/7]0`00000k0?ooo`@00000D@3oool006`0oooo00<000000?ooo`3oool04@3oool00`00
0000Y/7]0:K1k@03000000030:K1k@000000000000@00000>P3oool4000005D0oooo001]0?ooo`03
0000003oool0oooo0140oooo0P0000020:K1k@800000?03oool4000005T0oooo001^0?ooo`030000
003oool0oooo0140oooo0`00000j0?ooo`@00000G@3oool006l0oooo0P00000B0?ooo`030000003o
ool0oooo03D0oooo1000001Q0?ooo`00L@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0
oooo0340oooo1000001U0?ooo`00LP3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo
02l0oooo0`00001Y0?ooo`00L`3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo02/0
oooo1000001/0?ooo`00M03oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo02L0oooo
1000001`0?ooo`00M@3oool2000000/0oooo00<000000?ooo`3oool08`3oool4000007@0oooo001g
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool07`3oool4000007P0oooo001h0?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool06`3oool4000007`0oooo001i0?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool05`3oool400000800oooo001j0?ooo`800000
1P3oool00`000000oooo0?ooo`0C0?ooo`@00000Q03oool007`0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`0?0?ooo`@00000R03oool007d0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0;0?ooo`@00000S03oool007h0oooo00D000000?ooo`3oool0oooo00000009
0?ooo`@00000T03oool007l0oooo0P0000000`3oool000000?ooo`040?ooo`@00000U03oool00840
oooo0P0000000`3oool0000000000002000009P0oooo00220?ooo`800000W03oool00?l0oooo8@3o
ool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00001\
\>"],
  ImageRangeCache->{{{0, 287}, {232.562, 0}} -> {-0.0999269, 0.00290515, \
0.00366732, 0.00366732}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  SurfaceGraphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[BoxData[
    \(Table[
        Plot3D[UnitStep[p] modul[x - 2, p, sx] 
            gc[x - 2, p - 4, sx, 2], {x, \(-4\), 8}, {p, \(-1\), 9}, 
          PlotPoints \[Rule] 60, 
          PlotRange \[Rule] {{\(-3\), 8}, {\(-1\), 9}, {\(-0.15\), 0.15}}, 
          DisplayFunction \[Rule] \ Identity], {sx, 0.1, 1.1, 0.1}] // 
      Short\)], "Input"]
},
FrontEndVersion->"5.1 for X",
ScreenRectangle->{{0, 1024}, {0, 768}},
AutoGeneratedPackage->None,
ScreenStyleEnvironment->"Presentation",
WindowSize->{1024, 768},
WindowMargins->{{0, Automatic}, {Automatic, 6}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 693, 12, 140, "Input",
  InitializationCell->True],
Cell[2450, 65, 593, 12, 165, "Input",
  InitializationCell->True],

Cell[CellGroupData[{
Cell[3068, 81, 180, 4, 65, "Input"],
Cell[3251, 87, 355, 5, 55, "Message"],
Cell[3609, 94, 355, 5, 55, "Message"],
Cell[3967, 101, 354, 5, 55, "Message"],
Cell[4324, 108, 134, 3, 61, "Output"]
}, Open  ]],
Cell[4473, 114, 148, 3, 42, "Input"],

Cell[CellGroupData[{
Cell[4646, 121, 263, 5, 65, "Input"],
Cell[4912, 128, 275296, 6486, 242, 174341, 5235, "GraphicsData", \
"PostScript", "Graphics"],
Cell[280211, 6616, 137, 3, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[280385, 6624, 922, 17, 116, "Input"],
Cell[281310, 6643, 235965, 5527, 242, 138010, 4313, "GraphicsData", \
"PostScript", "Graphics"],
Cell[517278, 12172, 137, 3, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[517452, 12180, 922, 17, 116, "Input"],
Cell[518377, 12199, 233678, 5454, 242, 136750, 4253, "GraphicsData", \
"PostScript", "Graphics"],
Cell[752058, 17655, 137, 3, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[752232, 17663, 122, 2, 40, "Input"],
Cell[752357, 17667, 207422, 7653, 744, 89023, 6187, "GraphicsData", \
"PostScript", "Graphics"],
Cell[959782, 25322, 137, 3, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[959956, 25330, 92, 1, 40, "Input"],
Cell[960051, 25333, 20066, 715, 186, 8444, 567, "GraphicsData", "PostScript", \
"Graphics"],
Cell[980120, 26050, 130, 3, 40, "Output"]
}, Open  ]],
Cell[980265, 26056, 159, 3, 42, "Input"],

Cell[CellGroupData[{
Cell[980449, 26063, 123, 2, 40, "Input"],
Cell[980575, 26067, 26405, 776, 186, 7889, 543, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1007017, 26848, 305, 6, 90, "Input"],
Cell[1007325, 26856, 1650, 40, 65, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1009012, 26901, 69, 1, 40, "Input"],
Cell[1009084, 26904, 207404, 6180, 483, 65046, 4417, "GraphicsData", \
"PostScript", "Graphics"],
Cell[1216491, 33086, 135, 3, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1216663, 33094, 121, 2, 40, "Input"],
Cell[1216787, 33098, 155916, 4034, 510, 39432, 2590, "GraphicsData", \
"PostScript", "Graphics"],
Cell[1372706, 37134, 135, 3, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1372878, 37142, 83, 1, 40, "Input"],
Cell[1372964, 37145, 66, 1, 40, "Output"]
}, Open  ]],
Cell[1373045, 37149, 75, 2, 65, "Input"],

Cell[CellGroupData[{
Cell[1373145, 37155, 26, 0, 40, "Input"],
Cell[1373174, 37157, 173547, 4283, 242, 135910, 3814, "GraphicsData", \
"PostScript", "Graphics"],
Cell[1546724, 41442, 137, 3, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1546898, 41450, 144, 3, 40, "Input"],
Cell[1547045, 41455, 300299, 6461, 242, 195651, 5165, "GraphicsData", \
"PostScript", "Graphics"],
Cell[1847347, 47918, 137, 3, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1847521, 47926, 232, 4, 65, "Input"],
Cell[1847756, 47932, 300690, 6448, 242, 196771, 5161, "GraphicsData", \
"PostScript", "Graphics"],
Cell[2148449, 54382, 137, 3, 40, "Output"]
}, Open  ]],
Cell[2148601, 54388, 351, 7, 90, "Input"]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

